#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 3501
#define LARGE_STATE_COUNT 158
#define SYMBOL_COUNT 164
#define ALIAS_COUNT 0
#define TOKEN_COUNT 103
#define EXTERNAL_TOKEN_COUNT 15
#define FIELD_COUNT 19
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 75

enum {
  sym_word = 1,
  anon_sym_LF = 2,
  anon_sym_for = 3,
  anon_sym_select = 4,
  anon_sym_in = 5,
  anon_sym_LPAREN_LPAREN = 6,
  anon_sym_RPAREN_RPAREN = 7,
  anon_sym_SEMI = 8,
  anon_sym_while = 9,
  anon_sym_until = 10,
  anon_sym_do = 11,
  anon_sym_done = 12,
  anon_sym_if = 13,
  anon_sym_then = 14,
  anon_sym_fi = 15,
  anon_sym_elif = 16,
  anon_sym_else = 17,
  anon_sym_case = 18,
  anon_sym_esac = 19,
  anon_sym_PIPE = 20,
  anon_sym_RPAREN = 21,
  anon_sym_SEMI_SEMI = 22,
  anon_sym_SEMI_AMP = 23,
  anon_sym_SEMI_SEMI_AMP = 24,
  anon_sym_function = 25,
  anon_sym_LPAREN = 26,
  anon_sym_LBRACE = 27,
  anon_sym_RBRACE = 28,
  anon_sym_PIPE_AMP = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE_PIPE = 31,
  anon_sym_BANG = 32,
  anon_sym_LBRACK = 33,
  anon_sym_RBRACK = 34,
  anon_sym_LBRACK_LBRACK = 35,
  anon_sym_RBRACK_RBRACK = 36,
  anon_sym_declare = 37,
  anon_sym_typeset = 38,
  anon_sym_export = 39,
  anon_sym_readonly = 40,
  anon_sym_local = 41,
  anon_sym_unset = 42,
  anon_sym_unsetenv = 43,
  anon_sym_EQ_TILDE = 44,
  anon_sym_EQ_EQ = 45,
  anon_sym_EQ = 46,
  anon_sym_PLUS_EQ = 47,
  anon_sym_LT = 48,
  anon_sym_GT = 49,
  anon_sym_GT_GT = 50,
  anon_sym_AMP_GT = 51,
  anon_sym_AMP_GT_GT = 52,
  anon_sym_LT_AMP = 53,
  anon_sym_GT_AMP = 54,
  anon_sym_GT_PIPE = 55,
  anon_sym_LT_LT = 56,
  anon_sym_LT_LT_DASH = 57,
  anon_sym_LT_LT_LT = 58,
  anon_sym_BANG_EQ = 59,
  anon_sym_PLUS = 60,
  anon_sym_DASH = 61,
  anon_sym_DASH_EQ = 62,
  anon_sym_LT_EQ = 63,
  anon_sym_GT_EQ = 64,
  anon_sym_QMARK = 65,
  anon_sym_COLON = 66,
  anon_sym_PLUS_PLUS = 67,
  anon_sym_DASH_DASH = 68,
  anon_sym_DOLLAR = 69,
  sym__special_character = 70,
  anon_sym_DQUOTE = 71,
  sym__string_content = 72,
  sym_raw_string = 73,
  sym_ansi_c_string = 74,
  anon_sym_POUND = 75,
  anon_sym_DOLLAR_LBRACE = 76,
  anon_sym_SLASH = 77,
  anon_sym_COLON_QMARK = 78,
  anon_sym_COLON_DASH = 79,
  anon_sym_PERCENT = 80,
  anon_sym_DOLLAR_LPAREN = 81,
  anon_sym_BQUOTE = 82,
  anon_sym_LT_LPAREN = 83,
  anon_sym_GT_LPAREN = 84,
  sym_comment = 85,
  aux_sym__simple_variable_name_token1 = 86,
  anon_sym_STAR = 87,
  anon_sym_AT = 88,
  anon_sym_0 = 89,
  anon_sym__ = 90,
  sym_test_operator = 91,
  anon_sym_AMP = 92,
  sym_heredoc_start = 93,
  sym__simple_heredoc_body = 94,
  sym__heredoc_body_beginning = 95,
  sym__heredoc_body_middle = 96,
  sym__heredoc_body_end = 97,
  sym_file_descriptor = 98,
  sym__empty_value = 99,
  sym__concat = 100,
  sym_variable_name = 101,
  sym_regex = 102,
  sym_program = 103,
  sym__statements = 104,
  aux_sym__statements2 = 105,
  sym__terminated_statement = 106,
  sym_redirected_statement = 107,
  sym_for_statement = 108,
  sym_c_style_for_statement = 109,
  sym_while_statement = 110,
  sym_do_group = 111,
  sym_if_statement = 112,
  sym_elif_clause = 113,
  sym_else_clause = 114,
  sym_case_statement = 115,
  sym_case_item = 116,
  sym_last_case_item = 117,
  sym_function_definition = 118,
  sym_compound_statement = 119,
  sym_subshell = 120,
  sym_pipeline = 121,
  sym_list = 122,
  sym_negated_command = 123,
  sym_test_command = 124,
  sym_declaration_command = 125,
  sym_unset_command = 126,
  sym_command = 127,
  sym_command_name = 128,
  sym_variable_assignment = 129,
  sym_subscript = 130,
  sym_file_redirect = 131,
  sym_heredoc_redirect = 132,
  sym_heredoc_body = 133,
  sym_herestring_redirect = 134,
  sym__expression = 135,
  sym_binary_expression = 136,
  sym_ternary_expression = 137,
  sym_unary_expression = 138,
  sym_postfix_expression = 139,
  sym_parenthesized_expression = 140,
  sym_concatenation = 141,
  sym_string = 142,
  sym_translated_string = 143,
  sym_array = 144,
  sym_simple_expansion = 145,
  sym_expansion = 146,
  sym_command_substitution = 147,
  sym_process_substitution = 148,
  aux_sym__statements_repeat1 = 149,
  aux_sym_redirected_statement_repeat1 = 150,
  aux_sym_for_statement_repeat1 = 151,
  aux_sym_if_statement_repeat1 = 152,
  aux_sym_case_statement_repeat1 = 153,
  aux_sym_case_item_repeat1 = 154,
  aux_sym_declaration_command_repeat1 = 155,
  aux_sym_unset_command_repeat1 = 156,
  aux_sym_command_repeat1 = 157,
  aux_sym_command_repeat2 = 158,
  aux_sym_heredoc_body_repeat1 = 159,
  aux_sym__literal_repeat1 = 160,
  aux_sym_concatenation_repeat1 = 161,
  aux_sym_string_repeat1 = 162,
  aux_sym_expansion_repeat1 = 163,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_word] = "word",
  [anon_sym_LF] = "\n",
  [anon_sym_for] = "for",
  [anon_sym_select] = "select",
  [anon_sym_in] = "in",
  [anon_sym_LPAREN_LPAREN] = "((",
  [anon_sym_RPAREN_RPAREN] = "))",
  [anon_sym_SEMI] = ";",
  [anon_sym_while] = "while",
  [anon_sym_until] = "until",
  [anon_sym_do] = "do",
  [anon_sym_done] = "done",
  [anon_sym_if] = "if",
  [anon_sym_then] = "then",
  [anon_sym_fi] = "fi",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_case] = "case",
  [anon_sym_esac] = "esac",
  [anon_sym_PIPE] = "|",
  [anon_sym_RPAREN] = ")",
  [anon_sym_SEMI_SEMI] = ";;",
  [anon_sym_SEMI_AMP] = ";&",
  [anon_sym_SEMI_SEMI_AMP] = ";;&",
  [anon_sym_function] = "function",
  [anon_sym_LPAREN] = "(",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_PIPE_AMP] = "|&",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_BANG] = "!",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym_declare] = "declare",
  [anon_sym_typeset] = "typeset",
  [anon_sym_export] = "export",
  [anon_sym_readonly] = "readonly",
  [anon_sym_local] = "local",
  [anon_sym_unset] = "unset",
  [anon_sym_unsetenv] = "unsetenv",
  [anon_sym_EQ_TILDE] = "=~",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ] = "=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_AMP_GT] = "&>",
  [anon_sym_AMP_GT_GT] = "&>>",
  [anon_sym_LT_AMP] = "<&",
  [anon_sym_GT_AMP] = ">&",
  [anon_sym_GT_PIPE] = ">|",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_LT_LT_DASH] = "<<-",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK] = "\?",
  [anon_sym_COLON] = ":",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DOLLAR] = "$",
  [sym__special_character] = "_special_character",
  [anon_sym_DQUOTE] = "\"",
  [sym__string_content] = "_string_content",
  [sym_raw_string] = "raw_string",
  [sym_ansi_c_string] = "ansi_c_string",
  [anon_sym_POUND] = "#",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH] = "/",
  [anon_sym_COLON_QMARK] = ":\?",
  [anon_sym_COLON_DASH] = ":-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_DOLLAR_LPAREN] = "$(",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_LT_LPAREN] = "<(",
  [anon_sym_GT_LPAREN] = ">(",
  [sym_comment] = "comment",
  [aux_sym__simple_variable_name_token1] = "variable_name",
  [anon_sym_STAR] = "special_variable_name",
  [anon_sym_AT] = "special_variable_name",
  [anon_sym_0] = "special_variable_name",
  [anon_sym__] = "special_variable_name",
  [sym_test_operator] = "test_operator",
  [anon_sym_AMP] = "&",
  [sym_heredoc_start] = "heredoc_start",
  [sym__simple_heredoc_body] = "_simple_heredoc_body",
  [sym__heredoc_body_beginning] = "_heredoc_body_beginning",
  [sym__heredoc_body_middle] = "_heredoc_body_middle",
  [sym__heredoc_body_end] = "_heredoc_body_end",
  [sym_file_descriptor] = "file_descriptor",
  [sym__empty_value] = "_empty_value",
  [sym__concat] = "_concat",
  [sym_variable_name] = "variable_name",
  [sym_regex] = "regex",
  [sym_program] = "program",
  [sym__statements] = "_statements",
  [aux_sym__statements2] = "_statements2",
  [sym__terminated_statement] = "_terminated_statement",
  [sym_redirected_statement] = "redirected_statement",
  [sym_for_statement] = "for_statement",
  [sym_c_style_for_statement] = "c_style_for_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_group] = "do_group",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_case_statement] = "case_statement",
  [sym_case_item] = "case_item",
  [sym_last_case_item] = "case_item",
  [sym_function_definition] = "function_definition",
  [sym_compound_statement] = "compound_statement",
  [sym_subshell] = "subshell",
  [sym_pipeline] = "pipeline",
  [sym_list] = "list",
  [sym_negated_command] = "negated_command",
  [sym_test_command] = "test_command",
  [sym_declaration_command] = "declaration_command",
  [sym_unset_command] = "unset_command",
  [sym_command] = "command",
  [sym_command_name] = "command_name",
  [sym_variable_assignment] = "variable_assignment",
  [sym_subscript] = "subscript",
  [sym_file_redirect] = "file_redirect",
  [sym_heredoc_redirect] = "heredoc_redirect",
  [sym_heredoc_body] = "heredoc_body",
  [sym_herestring_redirect] = "herestring_redirect",
  [sym__expression] = "_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_ternary_expression] = "ternary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_postfix_expression] = "postfix_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_concatenation] = "concatenation",
  [sym_string] = "string",
  [sym_translated_string] = "translated_string",
  [sym_array] = "array",
  [sym_simple_expansion] = "simple_expansion",
  [sym_expansion] = "expansion",
  [sym_command_substitution] = "command_substitution",
  [sym_process_substitution] = "process_substitution",
  [aux_sym__statements_repeat1] = "_statements_repeat1",
  [aux_sym_redirected_statement_repeat1] = "redirected_statement_repeat1",
  [aux_sym_for_statement_repeat1] = "for_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_case_item_repeat1] = "case_item_repeat1",
  [aux_sym_declaration_command_repeat1] = "declaration_command_repeat1",
  [aux_sym_unset_command_repeat1] = "unset_command_repeat1",
  [aux_sym_command_repeat1] = "command_repeat1",
  [aux_sym_command_repeat2] = "command_repeat2",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym__literal_repeat1] = "_literal_repeat1",
  [aux_sym_concatenation_repeat1] = "concatenation_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_expansion_repeat1] = "expansion_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_word] = sym_word,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_select] = anon_sym_select,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_LPAREN_LPAREN] = anon_sym_LPAREN_LPAREN,
  [anon_sym_RPAREN_RPAREN] = anon_sym_RPAREN_RPAREN,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_until] = anon_sym_until,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_done] = anon_sym_done,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_fi] = anon_sym_fi,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_esac] = anon_sym_esac,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_SEMI_SEMI] = anon_sym_SEMI_SEMI,
  [anon_sym_SEMI_AMP] = anon_sym_SEMI_AMP,
  [anon_sym_SEMI_SEMI_AMP] = anon_sym_SEMI_SEMI_AMP,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_PIPE_AMP] = anon_sym_PIPE_AMP,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_typeset] = anon_sym_typeset,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_local] = anon_sym_local,
  [anon_sym_unset] = anon_sym_unset,
  [anon_sym_unsetenv] = anon_sym_unsetenv,
  [anon_sym_EQ_TILDE] = anon_sym_EQ_TILDE,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_AMP_GT] = anon_sym_AMP_GT,
  [anon_sym_AMP_GT_GT] = anon_sym_AMP_GT_GT,
  [anon_sym_LT_AMP] = anon_sym_LT_AMP,
  [anon_sym_GT_AMP] = anon_sym_GT_AMP,
  [anon_sym_GT_PIPE] = anon_sym_GT_PIPE,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [sym__special_character] = sym__special_character,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [sym__string_content] = sym__string_content,
  [sym_raw_string] = sym_raw_string,
  [sym_ansi_c_string] = sym_ansi_c_string,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_COLON_QMARK] = anon_sym_COLON_QMARK,
  [anon_sym_COLON_DASH] = anon_sym_COLON_DASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_DOLLAR_LPAREN] = anon_sym_DOLLAR_LPAREN,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_LT_LPAREN] = anon_sym_LT_LPAREN,
  [anon_sym_GT_LPAREN] = anon_sym_GT_LPAREN,
  [sym_comment] = sym_comment,
  [aux_sym__simple_variable_name_token1] = sym_variable_name,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_AT] = anon_sym_STAR,
  [anon_sym_0] = anon_sym_STAR,
  [anon_sym__] = anon_sym_STAR,
  [sym_test_operator] = sym_test_operator,
  [anon_sym_AMP] = anon_sym_AMP,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym__simple_heredoc_body] = sym__simple_heredoc_body,
  [sym__heredoc_body_beginning] = sym__heredoc_body_beginning,
  [sym__heredoc_body_middle] = sym__heredoc_body_middle,
  [sym__heredoc_body_end] = sym__heredoc_body_end,
  [sym_file_descriptor] = sym_file_descriptor,
  [sym__empty_value] = sym__empty_value,
  [sym__concat] = sym__concat,
  [sym_variable_name] = sym_variable_name,
  [sym_regex] = sym_regex,
  [sym_program] = sym_program,
  [sym__statements] = sym__statements,
  [aux_sym__statements2] = aux_sym__statements2,
  [sym__terminated_statement] = sym__terminated_statement,
  [sym_redirected_statement] = sym_redirected_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_c_style_for_statement] = sym_c_style_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_group] = sym_do_group,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_case_statement] = sym_case_statement,
  [sym_case_item] = sym_case_item,
  [sym_last_case_item] = sym_case_item,
  [sym_function_definition] = sym_function_definition,
  [sym_compound_statement] = sym_compound_statement,
  [sym_subshell] = sym_subshell,
  [sym_pipeline] = sym_pipeline,
  [sym_list] = sym_list,
  [sym_negated_command] = sym_negated_command,
  [sym_test_command] = sym_test_command,
  [sym_declaration_command] = sym_declaration_command,
  [sym_unset_command] = sym_unset_command,
  [sym_command] = sym_command,
  [sym_command_name] = sym_command_name,
  [sym_variable_assignment] = sym_variable_assignment,
  [sym_subscript] = sym_subscript,
  [sym_file_redirect] = sym_file_redirect,
  [sym_heredoc_redirect] = sym_heredoc_redirect,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_herestring_redirect] = sym_herestring_redirect,
  [sym__expression] = sym__expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_postfix_expression] = sym_postfix_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_concatenation] = sym_concatenation,
  [sym_string] = sym_string,
  [sym_translated_string] = sym_translated_string,
  [sym_array] = sym_array,
  [sym_simple_expansion] = sym_simple_expansion,
  [sym_expansion] = sym_expansion,
  [sym_command_substitution] = sym_command_substitution,
  [sym_process_substitution] = sym_process_substitution,
  [aux_sym__statements_repeat1] = aux_sym__statements_repeat1,
  [aux_sym_redirected_statement_repeat1] = aux_sym_redirected_statement_repeat1,
  [aux_sym_for_statement_repeat1] = aux_sym_for_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_case_item_repeat1] = aux_sym_case_item_repeat1,
  [aux_sym_declaration_command_repeat1] = aux_sym_declaration_command_repeat1,
  [aux_sym_unset_command_repeat1] = aux_sym_unset_command_repeat1,
  [aux_sym_command_repeat1] = aux_sym_command_repeat1,
  [aux_sym_command_repeat2] = aux_sym_command_repeat2,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym__literal_repeat1] = aux_sym__literal_repeat1,
  [aux_sym_concatenation_repeat1] = aux_sym_concatenation_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_expansion_repeat1] = aux_sym_expansion_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_word] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_until] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_done] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_esac] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI_SEMI_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsetenv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [sym__special_character] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym_raw_string] = {
    .visible = true,
    .named = true,
  },
  [sym_ansi_c_string] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__simple_variable_name_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_0] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__] = {
    .visible = true,
    .named = true,
  },
  [sym_test_operator] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_heredoc_body] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_beginning] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_middle] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_end] = {
    .visible = false,
    .named = true,
  },
  [sym_file_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_value] = {
    .visible = false,
    .named = true,
  },
  [sym__concat] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym__statements] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__statements2] = {
    .visible = false,
    .named = false,
  },
  [sym__terminated_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_redirected_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_c_style_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_group] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_item] = {
    .visible = true,
    .named = true,
  },
  [sym_last_case_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_subshell] = {
    .visible = true,
    .named = true,
  },
  [sym_pipeline] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_negated_command] = {
    .visible = true,
    .named = true,
  },
  [sym_test_command] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_command] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_command] = {
    .visible = true,
    .named = true,
  },
  [sym_command] = {
    .visible = true,
    .named = true,
  },
  [sym_command_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_file_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_herestring_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenation] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_translated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_command_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_process_substitution] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_redirected_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_item_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expansion_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum {
  field_alternative = 1,
  field_argument = 2,
  field_body = 3,
  field_condition = 4,
  field_consequence = 5,
  field_descriptor = 6,
  field_destination = 7,
  field_fallthrough = 8,
  field_index = 9,
  field_initializer = 10,
  field_left = 11,
  field_name = 12,
  field_operator = 13,
  field_redirect = 14,
  field_right = 15,
  field_termination = 16,
  field_update = 17,
  field_value = 18,
  field_variable = 19,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_descriptor] = "descriptor",
  [field_destination] = "destination",
  [field_fallthrough] = "fallthrough",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_redirect] = "redirect",
  [field_right] = "right",
  [field_termination] = "termination",
  [field_update] = "update",
  [field_value] = "value",
  [field_variable] = "variable",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 1, .length = 1},
  [6] = {.index = 2, .length = 2},
  [7] = {.index = 4, .length = 1},
  [8] = {.index = 5, .length = 2},
  [9] = {.index = 4, .length = 1},
  [10] = {.index = 7, .length = 1},
  [11] = {.index = 8, .length = 2},
  [12] = {.index = 8, .length = 2},
  [13] = {.index = 10, .length = 2},
  [14] = {.index = 10, .length = 2},
  [15] = {.index = 12, .length = 2},
  [16] = {.index = 14, .length = 2},
  [18] = {.index = 16, .length = 2},
  [19] = {.index = 16, .length = 2},
  [20] = {.index = 18, .length = 2},
  [21] = {.index = 20, .length = 2},
  [22] = {.index = 22, .length = 2},
  [23] = {.index = 22, .length = 2},
  [24] = {.index = 24, .length = 2},
  [25] = {.index = 26, .length = 3},
  [26] = {.index = 29, .length = 1},
  [28] = {.index = 30, .length = 2},
  [29] = {.index = 32, .length = 1},
  [30] = {.index = 32, .length = 1},
  [31] = {.index = 33, .length = 1},
  [32] = {.index = 33, .length = 1},
  [33] = {.index = 34, .length = 2},
  [35] = {.index = 36, .length = 1},
  [36] = {.index = 37, .length = 3},
  [37] = {.index = 40, .length = 3},
  [38] = {.index = 43, .length = 1},
  [39] = {.index = 43, .length = 1},
  [41] = {.index = 44, .length = 1},
  [42] = {.index = 45, .length = 2},
  [43] = {.index = 47, .length = 2},
  [44] = {.index = 49, .length = 2},
  [45] = {.index = 51, .length = 2},
  [46] = {.index = 53, .length = 2},
  [47] = {.index = 55, .length = 2},
  [48] = {.index = 57, .length = 2},
  [49] = {.index = 51, .length = 2},
  [50] = {.index = 53, .length = 2},
  [51] = {.index = 55, .length = 2},
  [52] = {.index = 59, .length = 2},
  [53] = {.index = 61, .length = 2},
  [54] = {.index = 63, .length = 3},
  [55] = {.index = 66, .length = 2},
  [56] = {.index = 68, .length = 3},
  [57] = {.index = 71, .length = 3},
  [58] = {.index = 74, .length = 2},
  [59] = {.index = 76, .length = 2},
  [60] = {.index = 78, .length = 3},
  [61] = {.index = 81, .length = 3},
  [62] = {.index = 74, .length = 2},
  [63] = {.index = 76, .length = 2},
  [64] = {.index = 78, .length = 3},
  [65] = {.index = 81, .length = 3},
  [66] = {.index = 84, .length = 3},
  [67] = {.index = 87, .length = 3},
  [68] = {.index = 90, .length = 3},
  [69] = {.index = 93, .length = 4},
  [70] = {.index = 97, .length = 3},
  [71] = {.index = 100, .length = 3},
  [72] = {.index = 97, .length = 3},
  [73] = {.index = 100, .length = 3},
  [74] = {.index = 103, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0},
  [1] =
    {field_destination, 1},
  [2] =
    {field_body, 0},
    {field_redirect, 1},
  [4] =
    {field_argument, 0},
  [5] =
    {field_argument, 1, .inherited = true},
    {field_name, 0},
  [7] =
    {field_name, 1},
  [8] =
    {field_descriptor, 0},
    {field_destination, 2},
  [10] =
    {field_name, 0},
    {field_value, 2},
  [12] =
    {field_body, 2},
    {field_condition, 1},
  [14] =
    {field_body, 2},
    {field_name, 1},
  [16] =
    {field_argument, 0},
    {field_argument, 1},
  [18] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [20] =
    {field_argument, 2, .inherited = true},
    {field_name, 1},
  [22] =
    {field_index, 2},
    {field_name, 0},
  [24] =
    {field_body, 3},
    {field_variable, 1},
  [26] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [29] =
    {field_condition, 1},
  [30] =
    {field_body, 3},
    {field_name, 0},
  [32] =
    {field_descriptor, 0},
  [33] =
    {field_value, 1},
  [34] =
    {field_body, 4},
    {field_name, 1},
  [36] =
    {field_body, 5},
  [37] =
    {field_body, 5},
    {field_value, 3},
    {field_variable, 1},
  [40] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [43] =
    {field_value, 0},
  [44] =
    {field_body, 6},
  [45] =
    {field_body, 6},
    {field_update, 4},
  [47] =
    {field_body, 6},
    {field_condition, 3},
  [49] =
    {field_body, 6},
    {field_initializer, 2},
  [51] =
    {field_termination, 2},
    {field_value, 0},
  [53] =
    {field_fallthrough, 2},
    {field_value, 0},
  [55] =
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [57] =
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [59] =
    {field_body, 7},
    {field_update, 4},
  [61] =
    {field_body, 7},
    {field_condition, 3},
  [63] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [66] =
    {field_body, 7},
    {field_initializer, 2},
  [68] =
    {field_body, 7},
    {field_initializer, 2},
    {field_update, 5},
  [71] =
    {field_body, 7},
    {field_condition, 4},
    {field_initializer, 2},
  [74] =
    {field_termination, 3},
    {field_value, 0},
  [76] =
    {field_fallthrough, 3},
    {field_value, 0},
  [78] =
    {field_termination, 3},
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [81] =
    {field_fallthrough, 3},
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [84] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
  [87] =
    {field_body, 8},
    {field_initializer, 2},
    {field_update, 5},
  [90] =
    {field_body, 8},
    {field_condition, 4},
    {field_initializer, 2},
  [93] =
    {field_body, 8},
    {field_condition, 4},
    {field_initializer, 2},
    {field_update, 6},
  [97] =
    {field_termination, 4},
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [100] =
    {field_fallthrough, 4},
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [103] =
    {field_body, 9},
    {field_condition, 4},
    {field_initializer, 2},
    {field_update, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [0] = sym_word,
  },
  [4] = {
    [1] = sym_word,
  },
  [5] = {
    [1] = anon_sym_STAR,
  },
  [9] = {
    [0] = sym_word,
  },
  [12] = {
    [2] = sym_word,
  },
  [14] = {
    [2] = sym_word,
  },
  [17] = {
    [1] = sym_word,
  },
  [19] = {
    [1] = sym_word,
  },
  [23] = {
    [2] = sym_word,
  },
  [27] = {
    [2] = anon_sym_STAR,
  },
  [30] = {
    [2] = sym_word,
  },
  [32] = {
    [1] = sym_word,
  },
  [34] = {
    [3] = sym_word,
  },
  [39] = {
    [0] = sym_word,
  },
  [40] = {
    [4] = sym_word,
  },
  [49] = {
    [0] = sym_word,
  },
  [50] = {
    [0] = sym_word,
  },
  [51] = {
    [0] = sym_word,
  },
  [62] = {
    [0] = sym_word,
  },
  [63] = {
    [0] = sym_word,
  },
  [64] = {
    [0] = sym_word,
  },
  [65] = {
    [0] = sym_word,
  },
  [72] = {
    [0] = sym_word,
  },
  [73] = {
    [0] = sym_word,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  aux_sym__literal_repeat1, 2,
    aux_sym__literal_repeat1,
    sym_word,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 2,
  [6] = 4,
  [7] = 4,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 21,
  [23] = 21,
  [24] = 18,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 25,
  [29] = 27,
  [30] = 26,
  [31] = 27,
  [32] = 26,
  [33] = 25,
  [34] = 25,
  [35] = 26,
  [36] = 27,
  [37] = 18,
  [38] = 27,
  [39] = 26,
  [40] = 25,
  [41] = 25,
  [42] = 42,
  [43] = 26,
  [44] = 25,
  [45] = 27,
  [46] = 26,
  [47] = 25,
  [48] = 27,
  [49] = 26,
  [50] = 25,
  [51] = 51,
  [52] = 27,
  [53] = 26,
  [54] = 25,
  [55] = 27,
  [56] = 26,
  [57] = 25,
  [58] = 27,
  [59] = 59,
  [60] = 26,
  [61] = 25,
  [62] = 25,
  [63] = 27,
  [64] = 26,
  [65] = 42,
  [66] = 66,
  [67] = 67,
  [68] = 67,
  [69] = 69,
  [70] = 59,
  [71] = 25,
  [72] = 27,
  [73] = 26,
  [74] = 74,
  [75] = 27,
  [76] = 26,
  [77] = 25,
  [78] = 66,
  [79] = 27,
  [80] = 25,
  [81] = 26,
  [82] = 25,
  [83] = 27,
  [84] = 27,
  [85] = 26,
  [86] = 25,
  [87] = 27,
  [88] = 26,
  [89] = 25,
  [90] = 27,
  [91] = 26,
  [92] = 25,
  [93] = 27,
  [94] = 67,
  [95] = 59,
  [96] = 74,
  [97] = 27,
  [98] = 26,
  [99] = 25,
  [100] = 27,
  [101] = 26,
  [102] = 66,
  [103] = 27,
  [104] = 25,
  [105] = 42,
  [106] = 25,
  [107] = 18,
  [108] = 26,
  [109] = 27,
  [110] = 27,
  [111] = 25,
  [112] = 26,
  [113] = 25,
  [114] = 27,
  [115] = 26,
  [116] = 25,
  [117] = 27,
  [118] = 27,
  [119] = 26,
  [120] = 25,
  [121] = 27,
  [122] = 26,
  [123] = 25,
  [124] = 27,
  [125] = 26,
  [126] = 25,
  [127] = 27,
  [128] = 26,
  [129] = 25,
  [130] = 74,
  [131] = 27,
  [132] = 26,
  [133] = 26,
  [134] = 25,
  [135] = 135,
  [136] = 136,
  [137] = 135,
  [138] = 138,
  [139] = 138,
  [140] = 140,
  [141] = 141,
  [142] = 140,
  [143] = 135,
  [144] = 138,
  [145] = 138,
  [146] = 140,
  [147] = 138,
  [148] = 148,
  [149] = 149,
  [150] = 149,
  [151] = 148,
  [152] = 149,
  [153] = 149,
  [154] = 149,
  [155] = 148,
  [156] = 148,
  [157] = 148,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 159,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 158,
  [166] = 166,
  [167] = 162,
  [168] = 160,
  [169] = 163,
  [170] = 166,
  [171] = 171,
  [172] = 159,
  [173] = 164,
  [174] = 174,
  [175] = 164,
  [176] = 163,
  [177] = 177,
  [178] = 159,
  [179] = 162,
  [180] = 158,
  [181] = 166,
  [182] = 160,
  [183] = 177,
  [184] = 184,
  [185] = 185,
  [186] = 158,
  [187] = 164,
  [188] = 162,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 163,
  [193] = 193,
  [194] = 160,
  [195] = 166,
  [196] = 174,
  [197] = 193,
  [198] = 190,
  [199] = 159,
  [200] = 166,
  [201] = 191,
  [202] = 184,
  [203] = 158,
  [204] = 185,
  [205] = 162,
  [206] = 166,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 166,
  [211] = 211,
  [212] = 171,
  [213] = 163,
  [214] = 214,
  [215] = 166,
  [216] = 166,
  [217] = 189,
  [218] = 218,
  [219] = 171,
  [220] = 184,
  [221] = 191,
  [222] = 166,
  [223] = 166,
  [224] = 166,
  [225] = 218,
  [226] = 166,
  [227] = 191,
  [228] = 171,
  [229] = 189,
  [230] = 211,
  [231] = 207,
  [232] = 185,
  [233] = 189,
  [234] = 184,
  [235] = 166,
  [236] = 185,
  [237] = 184,
  [238] = 166,
  [239] = 211,
  [240] = 211,
  [241] = 174,
  [242] = 208,
  [243] = 209,
  [244] = 193,
  [245] = 185,
  [246] = 207,
  [247] = 218,
  [248] = 209,
  [249] = 166,
  [250] = 218,
  [251] = 207,
  [252] = 209,
  [253] = 208,
  [254] = 190,
  [255] = 208,
  [256] = 177,
  [257] = 189,
  [258] = 191,
  [259] = 174,
  [260] = 260,
  [261] = 261,
  [262] = 260,
  [263] = 260,
  [264] = 190,
  [265] = 177,
  [266] = 260,
  [267] = 193,
  [268] = 260,
  [269] = 218,
  [270] = 270,
  [271] = 211,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 280,
  [282] = 275,
  [283] = 283,
  [284] = 284,
  [285] = 272,
  [286] = 286,
  [287] = 279,
  [288] = 276,
  [289] = 283,
  [290] = 290,
  [291] = 273,
  [292] = 274,
  [293] = 276,
  [294] = 294,
  [295] = 272,
  [296] = 290,
  [297] = 276,
  [298] = 286,
  [299] = 275,
  [300] = 300,
  [301] = 284,
  [302] = 278,
  [303] = 277,
  [304] = 273,
  [305] = 274,
  [306] = 290,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 283,
  [317] = 317,
  [318] = 318,
  [319] = 312,
  [320] = 313,
  [321] = 274,
  [322] = 314,
  [323] = 273,
  [324] = 315,
  [325] = 317,
  [326] = 318,
  [327] = 327,
  [328] = 328,
  [329] = 279,
  [330] = 330,
  [331] = 331,
  [332] = 280,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 275,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 294,
  [349] = 349,
  [350] = 350,
  [351] = 283,
  [352] = 327,
  [353] = 328,
  [354] = 279,
  [355] = 330,
  [356] = 280,
  [357] = 272,
  [358] = 331,
  [359] = 279,
  [360] = 280,
  [361] = 333,
  [362] = 334,
  [363] = 335,
  [364] = 336,
  [365] = 337,
  [366] = 338,
  [367] = 339,
  [368] = 341,
  [369] = 342,
  [370] = 343,
  [371] = 344,
  [372] = 345,
  [373] = 346,
  [374] = 347,
  [375] = 279,
  [376] = 280,
  [377] = 283,
  [378] = 350,
  [379] = 349,
  [380] = 283,
  [381] = 300,
  [382] = 327,
  [383] = 336,
  [384] = 335,
  [385] = 290,
  [386] = 283,
  [387] = 334,
  [388] = 333,
  [389] = 315,
  [390] = 314,
  [391] = 331,
  [392] = 277,
  [393] = 330,
  [394] = 313,
  [395] = 312,
  [396] = 328,
  [397] = 327,
  [398] = 350,
  [399] = 349,
  [400] = 294,
  [401] = 347,
  [402] = 346,
  [403] = 345,
  [404] = 344,
  [405] = 279,
  [406] = 343,
  [407] = 342,
  [408] = 338,
  [409] = 341,
  [410] = 339,
  [411] = 338,
  [412] = 337,
  [413] = 339,
  [414] = 336,
  [415] = 335,
  [416] = 334,
  [417] = 333,
  [418] = 331,
  [419] = 336,
  [420] = 330,
  [421] = 328,
  [422] = 327,
  [423] = 300,
  [424] = 318,
  [425] = 337,
  [426] = 341,
  [427] = 342,
  [428] = 338,
  [429] = 339,
  [430] = 343,
  [431] = 341,
  [432] = 342,
  [433] = 343,
  [434] = 344,
  [435] = 345,
  [436] = 318,
  [437] = 344,
  [438] = 317,
  [439] = 346,
  [440] = 347,
  [441] = 294,
  [442] = 349,
  [443] = 315,
  [444] = 350,
  [445] = 314,
  [446] = 345,
  [447] = 346,
  [448] = 312,
  [449] = 277,
  [450] = 313,
  [451] = 451,
  [452] = 347,
  [453] = 294,
  [454] = 335,
  [455] = 349,
  [456] = 280,
  [457] = 457,
  [458] = 314,
  [459] = 313,
  [460] = 315,
  [461] = 312,
  [462] = 317,
  [463] = 278,
  [464] = 350,
  [465] = 465,
  [466] = 278,
  [467] = 283,
  [468] = 279,
  [469] = 307,
  [470] = 334,
  [471] = 318,
  [472] = 327,
  [473] = 283,
  [474] = 328,
  [475] = 284,
  [476] = 333,
  [477] = 477,
  [478] = 290,
  [479] = 308,
  [480] = 280,
  [481] = 280,
  [482] = 482,
  [483] = 279,
  [484] = 284,
  [485] = 485,
  [486] = 309,
  [487] = 310,
  [488] = 465,
  [489] = 330,
  [490] = 311,
  [491] = 465,
  [492] = 331,
  [493] = 331,
  [494] = 318,
  [495] = 290,
  [496] = 337,
  [497] = 286,
  [498] = 498,
  [499] = 317,
  [500] = 280,
  [501] = 465,
  [502] = 333,
  [503] = 334,
  [504] = 315,
  [505] = 335,
  [506] = 314,
  [507] = 336,
  [508] = 330,
  [509] = 509,
  [510] = 279,
  [511] = 274,
  [512] = 273,
  [513] = 451,
  [514] = 280,
  [515] = 313,
  [516] = 280,
  [517] = 312,
  [518] = 337,
  [519] = 338,
  [520] = 275,
  [521] = 339,
  [522] = 341,
  [523] = 342,
  [524] = 524,
  [525] = 343,
  [526] = 344,
  [527] = 345,
  [528] = 346,
  [529] = 279,
  [530] = 347,
  [531] = 294,
  [532] = 349,
  [533] = 317,
  [534] = 286,
  [535] = 283,
  [536] = 328,
  [537] = 283,
  [538] = 279,
  [539] = 283,
  [540] = 350,
  [541] = 276,
  [542] = 542,
  [543] = 543,
  [544] = 312,
  [545] = 342,
  [546] = 344,
  [547] = 339,
  [548] = 345,
  [549] = 346,
  [550] = 347,
  [551] = 327,
  [552] = 344,
  [553] = 294,
  [554] = 300,
  [555] = 350,
  [556] = 328,
  [557] = 283,
  [558] = 312,
  [559] = 451,
  [560] = 333,
  [561] = 317,
  [562] = 451,
  [563] = 313,
  [564] = 330,
  [565] = 477,
  [566] = 317,
  [567] = 314,
  [568] = 311,
  [569] = 349,
  [570] = 311,
  [571] = 310,
  [572] = 309,
  [573] = 338,
  [574] = 315,
  [575] = 333,
  [576] = 334,
  [577] = 335,
  [578] = 336,
  [579] = 317,
  [580] = 482,
  [581] = 310,
  [582] = 318,
  [583] = 350,
  [584] = 337,
  [585] = 338,
  [586] = 280,
  [587] = 309,
  [588] = 339,
  [589] = 279,
  [590] = 485,
  [591] = 341,
  [592] = 342,
  [593] = 343,
  [594] = 283,
  [595] = 344,
  [596] = 345,
  [597] = 346,
  [598] = 347,
  [599] = 294,
  [600] = 327,
  [601] = 328,
  [602] = 312,
  [603] = 166,
  [604] = 327,
  [605] = 294,
  [606] = 509,
  [607] = 313,
  [608] = 327,
  [609] = 349,
  [610] = 330,
  [611] = 350,
  [612] = 312,
  [613] = 331,
  [614] = 279,
  [615] = 331,
  [616] = 347,
  [617] = 308,
  [618] = 350,
  [619] = 349,
  [620] = 294,
  [621] = 347,
  [622] = 328,
  [623] = 337,
  [624] = 330,
  [625] = 318,
  [626] = 346,
  [627] = 346,
  [628] = 331,
  [629] = 331,
  [630] = 312,
  [631] = 345,
  [632] = 344,
  [633] = 343,
  [634] = 342,
  [635] = 341,
  [636] = 333,
  [637] = 334,
  [638] = 343,
  [639] = 335,
  [640] = 339,
  [641] = 338,
  [642] = 337,
  [643] = 327,
  [644] = 328,
  [645] = 341,
  [646] = 315,
  [647] = 313,
  [648] = 330,
  [649] = 336,
  [650] = 337,
  [651] = 338,
  [652] = 339,
  [653] = 300,
  [654] = 341,
  [655] = 313,
  [656] = 336,
  [657] = 342,
  [658] = 343,
  [659] = 342,
  [660] = 344,
  [661] = 328,
  [662] = 331,
  [663] = 280,
  [664] = 336,
  [665] = 335,
  [666] = 334,
  [667] = 333,
  [668] = 290,
  [669] = 280,
  [670] = 330,
  [671] = 330,
  [672] = 524,
  [673] = 279,
  [674] = 345,
  [675] = 328,
  [676] = 327,
  [677] = 318,
  [678] = 345,
  [679] = 346,
  [680] = 347,
  [681] = 315,
  [682] = 294,
  [683] = 314,
  [684] = 317,
  [685] = 341,
  [686] = 315,
  [687] = 333,
  [688] = 334,
  [689] = 335,
  [690] = 336,
  [691] = 317,
  [692] = 315,
  [693] = 318,
  [694] = 314,
  [695] = 334,
  [696] = 313,
  [697] = 339,
  [698] = 338,
  [699] = 312,
  [700] = 333,
  [701] = 331,
  [702] = 543,
  [703] = 337,
  [704] = 349,
  [705] = 336,
  [706] = 350,
  [707] = 334,
  [708] = 308,
  [709] = 335,
  [710] = 283,
  [711] = 313,
  [712] = 343,
  [713] = 314,
  [714] = 451,
  [715] = 335,
  [716] = 542,
  [717] = 315,
  [718] = 318,
  [719] = 337,
  [720] = 338,
  [721] = 339,
  [722] = 314,
  [723] = 317,
  [724] = 314,
  [725] = 349,
  [726] = 307,
  [727] = 280,
  [728] = 307,
  [729] = 345,
  [730] = 346,
  [731] = 347,
  [732] = 294,
  [733] = 283,
  [734] = 290,
  [735] = 451,
  [736] = 477,
  [737] = 318,
  [738] = 341,
  [739] = 342,
  [740] = 343,
  [741] = 344,
  [742] = 279,
  [743] = 300,
  [744] = 485,
  [745] = 349,
  [746] = 482,
  [747] = 350,
  [748] = 339,
  [749] = 749,
  [750] = 337,
  [751] = 300,
  [752] = 336,
  [753] = 335,
  [754] = 334,
  [755] = 333,
  [756] = 330,
  [757] = 328,
  [758] = 509,
  [759] = 327,
  [760] = 749,
  [761] = 318,
  [762] = 317,
  [763] = 315,
  [764] = 314,
  [765] = 313,
  [766] = 312,
  [767] = 485,
  [768] = 485,
  [769] = 482,
  [770] = 166,
  [771] = 477,
  [772] = 331,
  [773] = 331,
  [774] = 350,
  [775] = 349,
  [776] = 294,
  [777] = 347,
  [778] = 346,
  [779] = 477,
  [780] = 341,
  [781] = 345,
  [782] = 342,
  [783] = 343,
  [784] = 344,
  [785] = 345,
  [786] = 749,
  [787] = 346,
  [788] = 344,
  [789] = 343,
  [790] = 342,
  [791] = 347,
  [792] = 294,
  [793] = 349,
  [794] = 350,
  [795] = 482,
  [796] = 166,
  [797] = 341,
  [798] = 350,
  [799] = 339,
  [800] = 338,
  [801] = 337,
  [802] = 318,
  [803] = 331,
  [804] = 524,
  [805] = 317,
  [806] = 349,
  [807] = 294,
  [808] = 347,
  [809] = 346,
  [810] = 451,
  [811] = 312,
  [812] = 300,
  [813] = 313,
  [814] = 336,
  [815] = 314,
  [816] = 345,
  [817] = 335,
  [818] = 334,
  [819] = 333,
  [820] = 315,
  [821] = 315,
  [822] = 477,
  [823] = 317,
  [824] = 451,
  [825] = 314,
  [826] = 318,
  [827] = 509,
  [828] = 344,
  [829] = 451,
  [830] = 338,
  [831] = 451,
  [832] = 524,
  [833] = 327,
  [834] = 328,
  [835] = 451,
  [836] = 330,
  [837] = 313,
  [838] = 330,
  [839] = 312,
  [840] = 328,
  [841] = 327,
  [842] = 451,
  [843] = 333,
  [844] = 334,
  [845] = 335,
  [846] = 336,
  [847] = 337,
  [848] = 338,
  [849] = 339,
  [850] = 341,
  [851] = 342,
  [852] = 343,
  [853] = 344,
  [854] = 482,
  [855] = 345,
  [856] = 346,
  [857] = 347,
  [858] = 294,
  [859] = 349,
  [860] = 350,
  [861] = 343,
  [862] = 331,
  [863] = 543,
  [864] = 342,
  [865] = 485,
  [866] = 312,
  [867] = 313,
  [868] = 314,
  [869] = 315,
  [870] = 317,
  [871] = 318,
  [872] = 543,
  [873] = 327,
  [874] = 328,
  [875] = 330,
  [876] = 333,
  [877] = 334,
  [878] = 335,
  [879] = 542,
  [880] = 336,
  [881] = 337,
  [882] = 338,
  [883] = 749,
  [884] = 339,
  [885] = 749,
  [886] = 341,
  [887] = 542,
  [888] = 451,
  [889] = 451,
  [890] = 166,
  [891] = 451,
  [892] = 485,
  [893] = 477,
  [894] = 477,
  [895] = 482,
  [896] = 482,
  [897] = 485,
  [898] = 451,
  [899] = 899,
  [900] = 166,
  [901] = 899,
  [902] = 902,
  [903] = 902,
  [904] = 904,
  [905] = 904,
  [906] = 904,
  [907] = 166,
  [908] = 902,
  [909] = 899,
  [910] = 166,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 912,
  [922] = 922,
  [923] = 911,
  [924] = 166,
  [925] = 925,
  [926] = 914,
  [927] = 917,
  [928] = 928,
  [929] = 918,
  [930] = 919,
  [931] = 912,
  [932] = 918,
  [933] = 919,
  [934] = 922,
  [935] = 911,
  [936] = 925,
  [937] = 914,
  [938] = 920,
  [939] = 917,
  [940] = 918,
  [941] = 919,
  [942] = 912,
  [943] = 928,
  [944] = 916,
  [945] = 915,
  [946] = 922,
  [947] = 913,
  [948] = 911,
  [949] = 925,
  [950] = 914,
  [951] = 917,
  [952] = 925,
  [953] = 918,
  [954] = 919,
  [955] = 912,
  [956] = 928,
  [957] = 916,
  [958] = 915,
  [959] = 922,
  [960] = 913,
  [961] = 911,
  [962] = 925,
  [963] = 912,
  [964] = 914,
  [965] = 922,
  [966] = 917,
  [967] = 918,
  [968] = 911,
  [969] = 919,
  [970] = 912,
  [971] = 922,
  [972] = 911,
  [973] = 925,
  [974] = 914,
  [975] = 917,
  [976] = 918,
  [977] = 919,
  [978] = 912,
  [979] = 922,
  [980] = 911,
  [981] = 925,
  [982] = 917,
  [983] = 914,
  [984] = 914,
  [985] = 917,
  [986] = 920,
  [987] = 918,
  [988] = 925,
  [989] = 919,
  [990] = 912,
  [991] = 911,
  [992] = 922,
  [993] = 922,
  [994] = 912,
  [995] = 911,
  [996] = 919,
  [997] = 918,
  [998] = 925,
  [999] = 914,
  [1000] = 917,
  [1001] = 920,
  [1002] = 918,
  [1003] = 919,
  [1004] = 912,
  [1005] = 922,
  [1006] = 911,
  [1007] = 925,
  [1008] = 914,
  [1009] = 917,
  [1010] = 918,
  [1011] = 919,
  [1012] = 912,
  [1013] = 917,
  [1014] = 922,
  [1015] = 914,
  [1016] = 911,
  [1017] = 925,
  [1018] = 925,
  [1019] = 914,
  [1020] = 911,
  [1021] = 922,
  [1022] = 912,
  [1023] = 919,
  [1024] = 918,
  [1025] = 917,
  [1026] = 918,
  [1027] = 919,
  [1028] = 912,
  [1029] = 922,
  [1030] = 911,
  [1031] = 925,
  [1032] = 914,
  [1033] = 917,
  [1034] = 918,
  [1035] = 919,
  [1036] = 912,
  [1037] = 917,
  [1038] = 922,
  [1039] = 914,
  [1040] = 911,
  [1041] = 925,
  [1042] = 925,
  [1043] = 911,
  [1044] = 922,
  [1045] = 912,
  [1046] = 919,
  [1047] = 918,
  [1048] = 914,
  [1049] = 917,
  [1050] = 918,
  [1051] = 919,
  [1052] = 912,
  [1053] = 922,
  [1054] = 911,
  [1055] = 925,
  [1056] = 914,
  [1057] = 917,
  [1058] = 918,
  [1059] = 919,
  [1060] = 917,
  [1061] = 912,
  [1062] = 914,
  [1063] = 922,
  [1064] = 925,
  [1065] = 911,
  [1066] = 911,
  [1067] = 922,
  [1068] = 912,
  [1069] = 919,
  [1070] = 918,
  [1071] = 925,
  [1072] = 914,
  [1073] = 917,
  [1074] = 918,
  [1075] = 919,
  [1076] = 912,
  [1077] = 922,
  [1078] = 911,
  [1079] = 925,
  [1080] = 914,
  [1081] = 917,
  [1082] = 918,
  [1083] = 917,
  [1084] = 919,
  [1085] = 914,
  [1086] = 912,
  [1087] = 925,
  [1088] = 922,
  [1089] = 911,
  [1090] = 922,
  [1091] = 912,
  [1092] = 919,
  [1093] = 911,
  [1094] = 918,
  [1095] = 925,
  [1096] = 914,
  [1097] = 917,
  [1098] = 918,
  [1099] = 919,
  [1100] = 912,
  [1101] = 922,
  [1102] = 925,
  [1103] = 914,
  [1104] = 917,
  [1105] = 918,
  [1106] = 919,
  [1107] = 912,
  [1108] = 917,
  [1109] = 922,
  [1110] = 914,
  [1111] = 911,
  [1112] = 925,
  [1113] = 925,
  [1114] = 914,
  [1115] = 917,
  [1116] = 911,
  [1117] = 922,
  [1118] = 912,
  [1119] = 919,
  [1120] = 918,
  [1121] = 918,
  [1122] = 919,
  [1123] = 912,
  [1124] = 922,
  [1125] = 911,
  [1126] = 925,
  [1127] = 914,
  [1128] = 917,
  [1129] = 918,
  [1130] = 919,
  [1131] = 912,
  [1132] = 922,
  [1133] = 917,
  [1134] = 911,
  [1135] = 914,
  [1136] = 925,
  [1137] = 925,
  [1138] = 914,
  [1139] = 911,
  [1140] = 917,
  [1141] = 922,
  [1142] = 912,
  [1143] = 919,
  [1144] = 918,
  [1145] = 918,
  [1146] = 919,
  [1147] = 912,
  [1148] = 922,
  [1149] = 911,
  [1150] = 925,
  [1151] = 914,
  [1152] = 917,
  [1153] = 918,
  [1154] = 919,
  [1155] = 912,
  [1156] = 922,
  [1157] = 917,
  [1158] = 911,
  [1159] = 925,
  [1160] = 914,
  [1161] = 914,
  [1162] = 925,
  [1163] = 917,
  [1164] = 918,
  [1165] = 920,
  [1166] = 919,
  [1167] = 911,
  [1168] = 922,
  [1169] = 912,
  [1170] = 919,
  [1171] = 918,
  [1172] = 166,
  [1173] = 917,
  [1174] = 914,
  [1175] = 925,
  [1176] = 911,
  [1177] = 922,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1179,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1178,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1180,
  [1195] = 1189,
  [1196] = 1184,
  [1197] = 1197,
  [1198] = 1178,
  [1199] = 1188,
  [1200] = 1190,
  [1201] = 1191,
  [1202] = 1192,
  [1203] = 1193,
  [1204] = 1185,
  [1205] = 1180,
  [1206] = 1183,
  [1207] = 1207,
  [1208] = 1182,
  [1209] = 1179,
  [1210] = 1182,
  [1211] = 1179,
  [1212] = 1183,
  [1213] = 1213,
  [1214] = 1185,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1187,
  [1219] = 1187,
  [1220] = 1189,
  [1221] = 1189,
  [1222] = 1185,
  [1223] = 1183,
  [1224] = 1187,
  [1225] = 1182,
  [1226] = 1184,
  [1227] = 1178,
  [1228] = 1188,
  [1229] = 1190,
  [1230] = 1191,
  [1231] = 1192,
  [1232] = 1193,
  [1233] = 1180,
  [1234] = 1179,
  [1235] = 1182,
  [1236] = 1183,
  [1237] = 1179,
  [1238] = 1185,
  [1239] = 1180,
  [1240] = 1187,
  [1241] = 1183,
  [1242] = 1189,
  [1243] = 1192,
  [1244] = 1191,
  [1245] = 1190,
  [1246] = 1188,
  [1247] = 1178,
  [1248] = 1184,
  [1249] = 1178,
  [1250] = 1188,
  [1251] = 1190,
  [1252] = 1191,
  [1253] = 1192,
  [1254] = 1193,
  [1255] = 1180,
  [1256] = 1179,
  [1257] = 1182,
  [1258] = 1183,
  [1259] = 1184,
  [1260] = 1185,
  [1261] = 1261,
  [1262] = 1187,
  [1263] = 1189,
  [1264] = 1189,
  [1265] = 1187,
  [1266] = 1185,
  [1267] = 1183,
  [1268] = 1182,
  [1269] = 1185,
  [1270] = 1184,
  [1271] = 1178,
  [1272] = 1197,
  [1273] = 1188,
  [1274] = 1190,
  [1275] = 1191,
  [1276] = 1192,
  [1277] = 1193,
  [1278] = 1180,
  [1279] = 1179,
  [1280] = 1182,
  [1281] = 1183,
  [1282] = 1179,
  [1283] = 1185,
  [1284] = 1180,
  [1285] = 1187,
  [1286] = 1193,
  [1287] = 1189,
  [1288] = 1192,
  [1289] = 1191,
  [1290] = 1190,
  [1291] = 1188,
  [1292] = 1292,
  [1293] = 1184,
  [1294] = 1178,
  [1295] = 1188,
  [1296] = 1190,
  [1297] = 1191,
  [1298] = 1192,
  [1299] = 1193,
  [1300] = 1180,
  [1301] = 1179,
  [1302] = 1182,
  [1303] = 1183,
  [1304] = 1184,
  [1305] = 1185,
  [1306] = 1189,
  [1307] = 1187,
  [1308] = 1183,
  [1309] = 1189,
  [1310] = 1182,
  [1311] = 1187,
  [1312] = 1185,
  [1313] = 1207,
  [1314] = 1183,
  [1315] = 1184,
  [1316] = 1178,
  [1317] = 1188,
  [1318] = 1190,
  [1319] = 1191,
  [1320] = 1179,
  [1321] = 1192,
  [1322] = 1193,
  [1323] = 1180,
  [1324] = 1179,
  [1325] = 1182,
  [1326] = 1183,
  [1327] = 1182,
  [1328] = 1185,
  [1329] = 1179,
  [1330] = 1187,
  [1331] = 1180,
  [1332] = 1189,
  [1333] = 1193,
  [1334] = 1192,
  [1335] = 1180,
  [1336] = 1191,
  [1337] = 1184,
  [1338] = 1178,
  [1339] = 1188,
  [1340] = 1190,
  [1341] = 1191,
  [1342] = 1192,
  [1343] = 1193,
  [1344] = 1180,
  [1345] = 1179,
  [1346] = 1182,
  [1347] = 1183,
  [1348] = 1190,
  [1349] = 1185,
  [1350] = 1188,
  [1351] = 1187,
  [1352] = 1178,
  [1353] = 1189,
  [1354] = 1184,
  [1355] = 1193,
  [1356] = 1189,
  [1357] = 1187,
  [1358] = 1185,
  [1359] = 1184,
  [1360] = 1178,
  [1361] = 1188,
  [1362] = 1190,
  [1363] = 1191,
  [1364] = 1192,
  [1365] = 1193,
  [1366] = 1180,
  [1367] = 1179,
  [1368] = 1182,
  [1369] = 1183,
  [1370] = 1189,
  [1371] = 1192,
  [1372] = 1185,
  [1373] = 1182,
  [1374] = 1187,
  [1375] = 1179,
  [1376] = 1189,
  [1377] = 1180,
  [1378] = 1193,
  [1379] = 1192,
  [1380] = 1191,
  [1381] = 1190,
  [1382] = 1184,
  [1383] = 1178,
  [1384] = 1188,
  [1385] = 1190,
  [1386] = 1191,
  [1387] = 1192,
  [1388] = 1193,
  [1389] = 1180,
  [1390] = 1191,
  [1391] = 1179,
  [1392] = 1182,
  [1393] = 1183,
  [1394] = 1188,
  [1395] = 1185,
  [1396] = 1178,
  [1397] = 1190,
  [1398] = 1187,
  [1399] = 1184,
  [1400] = 1189,
  [1401] = 1207,
  [1402] = 1188,
  [1403] = 1213,
  [1404] = 1189,
  [1405] = 1187,
  [1406] = 1185,
  [1407] = 1183,
  [1408] = 1184,
  [1409] = 1178,
  [1410] = 1188,
  [1411] = 1207,
  [1412] = 1190,
  [1413] = 1193,
  [1414] = 1191,
  [1415] = 1192,
  [1416] = 1193,
  [1417] = 1180,
  [1418] = 1179,
  [1419] = 1182,
  [1420] = 1183,
  [1421] = 1182,
  [1422] = 1185,
  [1423] = 1179,
  [1424] = 1187,
  [1425] = 1180,
  [1426] = 1189,
  [1427] = 1193,
  [1428] = 1192,
  [1429] = 1191,
  [1430] = 1190,
  [1431] = 1192,
  [1432] = 1184,
  [1433] = 1178,
  [1434] = 1188,
  [1435] = 1190,
  [1436] = 1191,
  [1437] = 1192,
  [1438] = 1193,
  [1439] = 1180,
  [1440] = 1179,
  [1441] = 1182,
  [1442] = 1183,
  [1443] = 1188,
  [1444] = 1185,
  [1445] = 1178,
  [1446] = 1187,
  [1447] = 1184,
  [1448] = 1189,
  [1449] = 1189,
  [1450] = 1187,
  [1451] = 1185,
  [1452] = 1191,
  [1453] = 1183,
  [1454] = 1182,
  [1455] = 1184,
  [1456] = 1178,
  [1457] = 1188,
  [1458] = 1190,
  [1459] = 1191,
  [1460] = 1190,
  [1461] = 1192,
  [1462] = 1193,
  [1463] = 1180,
  [1464] = 1179,
  [1465] = 1182,
  [1466] = 1183,
  [1467] = 1193,
  [1468] = 1185,
  [1469] = 1180,
  [1470] = 1187,
  [1471] = 1188,
  [1472] = 1193,
  [1473] = 1189,
  [1474] = 1192,
  [1475] = 1191,
  [1476] = 1190,
  [1477] = 1188,
  [1478] = 1178,
  [1479] = 1184,
  [1480] = 1178,
  [1481] = 1188,
  [1482] = 1190,
  [1483] = 1191,
  [1484] = 1192,
  [1485] = 1193,
  [1486] = 1180,
  [1487] = 1179,
  [1488] = 1184,
  [1489] = 1182,
  [1490] = 1197,
  [1491] = 1183,
  [1492] = 1178,
  [1493] = 1185,
  [1494] = 1184,
  [1495] = 1187,
  [1496] = 1189,
  [1497] = 1187,
  [1498] = 1215,
  [1499] = 1189,
  [1500] = 1189,
  [1501] = 1187,
  [1502] = 1185,
  [1503] = 1183,
  [1504] = 1182,
  [1505] = 1184,
  [1506] = 1178,
  [1507] = 1188,
  [1508] = 1190,
  [1509] = 1191,
  [1510] = 1192,
  [1511] = 1193,
  [1512] = 1180,
  [1513] = 1179,
  [1514] = 1182,
  [1515] = 1183,
  [1516] = 1179,
  [1517] = 1185,
  [1518] = 1180,
  [1519] = 1187,
  [1520] = 1215,
  [1521] = 1189,
  [1522] = 1193,
  [1523] = 1192,
  [1524] = 1185,
  [1525] = 1183,
  [1526] = 1191,
  [1527] = 1184,
  [1528] = 1178,
  [1529] = 1188,
  [1530] = 1190,
  [1531] = 1191,
  [1532] = 1192,
  [1533] = 1182,
  [1534] = 1213,
  [1535] = 1193,
  [1536] = 1180,
  [1537] = 1179,
  [1538] = 1182,
  [1539] = 1183,
  [1540] = 1190,
  [1541] = 1185,
  [1542] = 1179,
  [1543] = 1188,
  [1544] = 1178,
  [1545] = 1187,
  [1546] = 1178,
  [1547] = 1189,
  [1548] = 1184,
  [1549] = 1184,
  [1550] = 1180,
  [1551] = 1193,
  [1552] = 1189,
  [1553] = 1184,
  [1554] = 1178,
  [1555] = 1188,
  [1556] = 1190,
  [1557] = 1191,
  [1558] = 1192,
  [1559] = 1192,
  [1560] = 1193,
  [1561] = 1180,
  [1562] = 1179,
  [1563] = 1182,
  [1564] = 1183,
  [1565] = 1213,
  [1566] = 1185,
  [1567] = 1187,
  [1568] = 1187,
  [1569] = 1185,
  [1570] = 1189,
  [1571] = 1183,
  [1572] = 1182,
  [1573] = 1179,
  [1574] = 1180,
  [1575] = 1193,
  [1576] = 1184,
  [1577] = 1178,
  [1578] = 1188,
  [1579] = 1190,
  [1580] = 1191,
  [1581] = 1192,
  [1582] = 1193,
  [1583] = 1180,
  [1584] = 1179,
  [1585] = 1182,
  [1586] = 1183,
  [1587] = 1191,
  [1588] = 1190,
  [1589] = 1188,
  [1590] = 1192,
  [1591] = 1185,
  [1592] = 1191,
  [1593] = 1178,
  [1594] = 1187,
  [1595] = 1184,
  [1596] = 1197,
  [1597] = 1187,
  [1598] = 1189,
  [1599] = 1190,
  [1600] = 1188,
  [1601] = 1215,
  [1602] = 1178,
  [1603] = 1261,
  [1604] = 1184,
  [1605] = 1605,
  [1606] = 1184,
  [1607] = 1178,
  [1608] = 1188,
  [1609] = 1190,
  [1610] = 1191,
  [1611] = 1192,
  [1612] = 1193,
  [1613] = 1180,
  [1614] = 1179,
  [1615] = 1182,
  [1616] = 1183,
  [1617] = 1216,
  [1618] = 1185,
  [1619] = 1217,
  [1620] = 1187,
  [1621] = 1207,
  [1622] = 1189,
  [1623] = 1261,
  [1624] = 1605,
  [1625] = 1215,
  [1626] = 1261,
  [1627] = 1189,
  [1628] = 1197,
  [1629] = 1605,
  [1630] = 1184,
  [1631] = 1178,
  [1632] = 1188,
  [1633] = 1190,
  [1634] = 1191,
  [1635] = 1192,
  [1636] = 1193,
  [1637] = 1180,
  [1638] = 1179,
  [1639] = 1182,
  [1640] = 1183,
  [1641] = 1213,
  [1642] = 1185,
  [1643] = 1216,
  [1644] = 1187,
  [1645] = 1217,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 1650,
  [1651] = 166,
  [1652] = 1652,
  [1653] = 1652,
  [1654] = 1650,
  [1655] = 283,
  [1656] = 1646,
  [1657] = 1647,
  [1658] = 1649,
  [1659] = 1650,
  [1660] = 1646,
  [1661] = 1648,
  [1662] = 1647,
  [1663] = 1647,
  [1664] = 1652,
  [1665] = 1652,
  [1666] = 280,
  [1667] = 1649,
  [1668] = 1668,
  [1669] = 1648,
  [1670] = 283,
  [1671] = 1650,
  [1672] = 1672,
  [1673] = 279,
  [1674] = 331,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 166,
  [1678] = 283,
  [1679] = 1648,
  [1680] = 1649,
  [1681] = 1681,
  [1682] = 1682,
  [1683] = 1652,
  [1684] = 283,
  [1685] = 1646,
  [1686] = 1649,
  [1687] = 1687,
  [1688] = 1648,
  [1689] = 1689,
  [1690] = 1690,
  [1691] = 349,
  [1692] = 280,
  [1693] = 345,
  [1694] = 346,
  [1695] = 347,
  [1696] = 294,
  [1697] = 1697,
  [1698] = 350,
  [1699] = 1699,
  [1700] = 279,
  [1701] = 1690,
  [1702] = 1682,
  [1703] = 1697,
  [1704] = 1704,
  [1705] = 1697,
  [1706] = 315,
  [1707] = 1668,
  [1708] = 343,
  [1709] = 1672,
  [1710] = 280,
  [1711] = 279,
  [1712] = 331,
  [1713] = 342,
  [1714] = 283,
  [1715] = 1675,
  [1716] = 1676,
  [1717] = 1717,
  [1718] = 280,
  [1719] = 279,
  [1720] = 341,
  [1721] = 279,
  [1722] = 344,
  [1723] = 283,
  [1724] = 339,
  [1725] = 338,
  [1726] = 337,
  [1727] = 451,
  [1728] = 312,
  [1729] = 313,
  [1730] = 1730,
  [1731] = 336,
  [1732] = 335,
  [1733] = 334,
  [1734] = 330,
  [1735] = 317,
  [1736] = 1736,
  [1737] = 331,
  [1738] = 333,
  [1739] = 318,
  [1740] = 328,
  [1741] = 1697,
  [1742] = 1682,
  [1743] = 327,
  [1744] = 314,
  [1745] = 1690,
  [1746] = 1668,
  [1747] = 1747,
  [1748] = 1675,
  [1749] = 1689,
  [1750] = 1682,
  [1751] = 1690,
  [1752] = 1681,
  [1753] = 1747,
  [1754] = 1747,
  [1755] = 283,
  [1756] = 315,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1689,
  [1760] = 1690,
  [1761] = 279,
  [1762] = 1681,
  [1763] = 1763,
  [1764] = 1682,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1768,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1676,
  [1772] = 331,
  [1773] = 1675,
  [1774] = 312,
  [1775] = 341,
  [1776] = 280,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 350,
  [1780] = 349,
  [1781] = 313,
  [1782] = 1782,
  [1783] = 314,
  [1784] = 1784,
  [1785] = 315,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 317,
  [1792] = 318,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1795,
  [1796] = 294,
  [1797] = 347,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 330,
  [1801] = 346,
  [1802] = 345,
  [1803] = 344,
  [1804] = 343,
  [1805] = 342,
  [1806] = 1806,
  [1807] = 327,
  [1808] = 328,
  [1809] = 1809,
  [1810] = 279,
  [1811] = 339,
  [1812] = 338,
  [1813] = 1813,
  [1814] = 337,
  [1815] = 280,
  [1816] = 318,
  [1817] = 1817,
  [1818] = 333,
  [1819] = 1819,
  [1820] = 317,
  [1821] = 336,
  [1822] = 335,
  [1823] = 334,
  [1824] = 333,
  [1825] = 315,
  [1826] = 334,
  [1827] = 335,
  [1828] = 336,
  [1829] = 337,
  [1830] = 314,
  [1831] = 1831,
  [1832] = 1832,
  [1833] = 338,
  [1834] = 1834,
  [1835] = 1835,
  [1836] = 339,
  [1837] = 1736,
  [1838] = 1838,
  [1839] = 1839,
  [1840] = 1840,
  [1841] = 1841,
  [1842] = 330,
  [1843] = 341,
  [1844] = 313,
  [1845] = 451,
  [1846] = 350,
  [1847] = 349,
  [1848] = 294,
  [1849] = 347,
  [1850] = 346,
  [1851] = 290,
  [1852] = 342,
  [1853] = 343,
  [1854] = 344,
  [1855] = 345,
  [1856] = 344,
  [1857] = 1857,
  [1858] = 312,
  [1859] = 328,
  [1860] = 1786,
  [1861] = 1784,
  [1862] = 327,
  [1863] = 1863,
  [1864] = 1864,
  [1865] = 1865,
  [1866] = 1681,
  [1867] = 1867,
  [1868] = 1868,
  [1869] = 343,
  [1870] = 342,
  [1871] = 1871,
  [1872] = 341,
  [1873] = 339,
  [1874] = 338,
  [1875] = 1875,
  [1876] = 345,
  [1877] = 346,
  [1878] = 347,
  [1879] = 337,
  [1880] = 294,
  [1881] = 1841,
  [1882] = 349,
  [1883] = 1857,
  [1884] = 336,
  [1885] = 335,
  [1886] = 334,
  [1887] = 333,
  [1888] = 350,
  [1889] = 331,
  [1890] = 1857,
  [1891] = 1689,
  [1892] = 1841,
  [1893] = 1893,
  [1894] = 1894,
  [1895] = 451,
  [1896] = 330,
  [1897] = 328,
  [1898] = 1784,
  [1899] = 1786,
  [1900] = 1900,
  [1901] = 327,
  [1902] = 318,
  [1903] = 317,
  [1904] = 1904,
  [1905] = 314,
  [1906] = 1672,
  [1907] = 313,
  [1908] = 1908,
  [1909] = 312,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 1668,
  [1913] = 1913,
  [1914] = 1875,
  [1915] = 1915,
  [1916] = 166,
  [1917] = 1917,
  [1918] = 1911,
  [1919] = 1919,
  [1920] = 1913,
  [1921] = 283,
  [1922] = 1910,
  [1923] = 1923,
  [1924] = 1908,
  [1925] = 1925,
  [1926] = 1867,
  [1927] = 344,
  [1928] = 343,
  [1929] = 1929,
  [1930] = 1930,
  [1931] = 1835,
  [1932] = 1834,
  [1933] = 342,
  [1934] = 341,
  [1935] = 1915,
  [1936] = 1936,
  [1937] = 331,
  [1938] = 330,
  [1939] = 1939,
  [1940] = 313,
  [1941] = 312,
  [1942] = 328,
  [1943] = 327,
  [1944] = 1923,
  [1945] = 1929,
  [1946] = 1782,
  [1947] = 1787,
  [1948] = 1923,
  [1949] = 1915,
  [1950] = 1838,
  [1951] = 1832,
  [1952] = 1923,
  [1953] = 1788,
  [1954] = 1831,
  [1955] = 1789,
  [1956] = 1790,
  [1957] = 349,
  [1958] = 1930,
  [1959] = 1923,
  [1960] = 1923,
  [1961] = 1961,
  [1962] = 1923,
  [1963] = 1819,
  [1964] = 1915,
  [1965] = 283,
  [1966] = 1913,
  [1967] = 1817,
  [1968] = 1793,
  [1969] = 1794,
  [1970] = 1795,
  [1971] = 339,
  [1972] = 1809,
  [1973] = 338,
  [1974] = 1923,
  [1975] = 337,
  [1976] = 318,
  [1977] = 451,
  [1978] = 314,
  [1979] = 283,
  [1980] = 1923,
  [1981] = 1923,
  [1982] = 1919,
  [1983] = 1904,
  [1984] = 1778,
  [1985] = 350,
  [1986] = 1923,
  [1987] = 1798,
  [1988] = 349,
  [1989] = 1925,
  [1990] = 1777,
  [1991] = 1936,
  [1992] = 1919,
  [1993] = 1799,
  [1994] = 1813,
  [1995] = 315,
  [1996] = 331,
  [1997] = 333,
  [1998] = 1929,
  [1999] = 1923,
  [2000] = 334,
  [2001] = 335,
  [2002] = 1923,
  [2003] = 1923,
  [2004] = 1923,
  [2005] = 1770,
  [2006] = 451,
  [2007] = 350,
  [2008] = 1863,
  [2009] = 1769,
  [2010] = 294,
  [2011] = 347,
  [2012] = 346,
  [2013] = 1923,
  [2014] = 345,
  [2015] = 1923,
  [2016] = 344,
  [2017] = 343,
  [2018] = 1923,
  [2019] = 342,
  [2020] = 341,
  [2021] = 336,
  [2022] = 339,
  [2023] = 317,
  [2024] = 1925,
  [2025] = 338,
  [2026] = 1768,
  [2027] = 1871,
  [2028] = 2028,
  [2029] = 300,
  [2030] = 337,
  [2031] = 1758,
  [2032] = 1923,
  [2033] = 336,
  [2034] = 335,
  [2035] = 1767,
  [2036] = 1915,
  [2037] = 334,
  [2038] = 1930,
  [2039] = 1915,
  [2040] = 1766,
  [2041] = 1875,
  [2042] = 333,
  [2043] = 330,
  [2044] = 1923,
  [2045] = 1806,
  [2046] = 1936,
  [2047] = 1699,
  [2048] = 1923,
  [2049] = 1961,
  [2050] = 1923,
  [2051] = 294,
  [2052] = 1923,
  [2053] = 1923,
  [2054] = 1871,
  [2055] = 347,
  [2056] = 1923,
  [2057] = 2057,
  [2058] = 1923,
  [2059] = 328,
  [2060] = 327,
  [2061] = 2061,
  [2062] = 1923,
  [2063] = 346,
  [2064] = 1894,
  [2065] = 2065,
  [2066] = 1893,
  [2067] = 1915,
  [2068] = 345,
  [2069] = 1765,
  [2070] = 1839,
  [2071] = 2071,
  [2072] = 1757,
  [2073] = 1868,
  [2074] = 1865,
  [2075] = 318,
  [2076] = 1923,
  [2077] = 317,
  [2078] = 1864,
  [2079] = 1915,
  [2080] = 1923,
  [2081] = 1923,
  [2082] = 1961,
  [2083] = 312,
  [2084] = 1840,
  [2085] = 313,
  [2086] = 1763,
  [2087] = 315,
  [2088] = 280,
  [2089] = 1923,
  [2090] = 1915,
  [2091] = 314,
  [2092] = 1900,
  [2093] = 2093,
  [2094] = 314,
  [2095] = 313,
  [2096] = 279,
  [2097] = 1819,
  [2098] = 312,
  [2099] = 1817,
  [2100] = 482,
  [2101] = 2071,
  [2102] = 1809,
  [2103] = 2103,
  [2104] = 1778,
  [2105] = 1777,
  [2106] = 1790,
  [2107] = 315,
  [2108] = 279,
  [2109] = 1834,
  [2110] = 1789,
  [2111] = 1835,
  [2112] = 2112,
  [2113] = 1699,
  [2114] = 317,
  [2115] = 318,
  [2116] = 2103,
  [2117] = 283,
  [2118] = 2118,
  [2119] = 2112,
  [2120] = 1763,
  [2121] = 1813,
  [2122] = 1770,
  [2123] = 2112,
  [2124] = 2124,
  [2125] = 2103,
  [2126] = 1788,
  [2127] = 1806,
  [2128] = 2065,
  [2129] = 2061,
  [2130] = 334,
  [2131] = 485,
  [2132] = 2057,
  [2133] = 1911,
  [2134] = 1799,
  [2135] = 1798,
  [2136] = 1769,
  [2137] = 477,
  [2138] = 1832,
  [2139] = 2112,
  [2140] = 1838,
  [2141] = 1787,
  [2142] = 1736,
  [2143] = 1782,
  [2144] = 1768,
  [2145] = 1766,
  [2146] = 331,
  [2147] = 2112,
  [2148] = 2103,
  [2149] = 2149,
  [2150] = 327,
  [2151] = 2103,
  [2152] = 328,
  [2153] = 451,
  [2154] = 1900,
  [2155] = 1840,
  [2156] = 1863,
  [2157] = 2112,
  [2158] = 330,
  [2159] = 280,
  [2160] = 1765,
  [2161] = 1910,
  [2162] = 2103,
  [2163] = 1864,
  [2164] = 333,
  [2165] = 1865,
  [2166] = 1867,
  [2167] = 1795,
  [2168] = 335,
  [2169] = 1757,
  [2170] = 1794,
  [2171] = 1793,
  [2172] = 1831,
  [2173] = 1917,
  [2174] = 2112,
  [2175] = 336,
  [2176] = 1839,
  [2177] = 1699,
  [2178] = 2103,
  [2179] = 1868,
  [2180] = 280,
  [2181] = 2112,
  [2182] = 1767,
  [2183] = 2183,
  [2184] = 2184,
  [2185] = 1908,
  [2186] = 1736,
  [2187] = 1699,
  [2188] = 2103,
  [2189] = 337,
  [2190] = 1939,
  [2191] = 1871,
  [2192] = 1758,
  [2193] = 2103,
  [2194] = 338,
  [2195] = 339,
  [2196] = 341,
  [2197] = 342,
  [2198] = 1717,
  [2199] = 343,
  [2200] = 2112,
  [2201] = 279,
  [2202] = 344,
  [2203] = 451,
  [2204] = 331,
  [2205] = 345,
  [2206] = 1875,
  [2207] = 346,
  [2208] = 347,
  [2209] = 294,
  [2210] = 1894,
  [2211] = 349,
  [2212] = 350,
  [2213] = 1893,
  [2214] = 1904,
  [2215] = 2215,
  [2216] = 346,
  [2217] = 2217,
  [2218] = 451,
  [2219] = 2215,
  [2220] = 2217,
  [2221] = 2221,
  [2222] = 314,
  [2223] = 315,
  [2224] = 314,
  [2225] = 2217,
  [2226] = 2215,
  [2227] = 317,
  [2228] = 318,
  [2229] = 2217,
  [2230] = 315,
  [2231] = 333,
  [2232] = 334,
  [2233] = 2217,
  [2234] = 335,
  [2235] = 2215,
  [2236] = 336,
  [2237] = 2217,
  [2238] = 2215,
  [2239] = 2217,
  [2240] = 2215,
  [2241] = 327,
  [2242] = 2215,
  [2243] = 2215,
  [2244] = 328,
  [2245] = 317,
  [2246] = 2221,
  [2247] = 318,
  [2248] = 330,
  [2249] = 337,
  [2250] = 350,
  [2251] = 2217,
  [2252] = 2217,
  [2253] = 2253,
  [2254] = 2215,
  [2255] = 2215,
  [2256] = 312,
  [2257] = 2217,
  [2258] = 2217,
  [2259] = 2217,
  [2260] = 2217,
  [2261] = 333,
  [2262] = 2215,
  [2263] = 334,
  [2264] = 2215,
  [2265] = 2215,
  [2266] = 2215,
  [2267] = 335,
  [2268] = 336,
  [2269] = 337,
  [2270] = 338,
  [2271] = 339,
  [2272] = 341,
  [2273] = 342,
  [2274] = 338,
  [2275] = 2217,
  [2276] = 2217,
  [2277] = 343,
  [2278] = 344,
  [2279] = 2217,
  [2280] = 346,
  [2281] = 2215,
  [2282] = 347,
  [2283] = 294,
  [2284] = 349,
  [2285] = 313,
  [2286] = 2217,
  [2287] = 2217,
  [2288] = 2217,
  [2289] = 339,
  [2290] = 2215,
  [2291] = 2215,
  [2292] = 350,
  [2293] = 341,
  [2294] = 2294,
  [2295] = 2215,
  [2296] = 2217,
  [2297] = 2253,
  [2298] = 2215,
  [2299] = 2215,
  [2300] = 2215,
  [2301] = 342,
  [2302] = 2215,
  [2303] = 331,
  [2304] = 345,
  [2305] = 2305,
  [2306] = 2217,
  [2307] = 327,
  [2308] = 343,
  [2309] = 328,
  [2310] = 312,
  [2311] = 2217,
  [2312] = 344,
  [2313] = 2217,
  [2314] = 345,
  [2315] = 2215,
  [2316] = 2215,
  [2317] = 2217,
  [2318] = 347,
  [2319] = 294,
  [2320] = 349,
  [2321] = 2215,
  [2322] = 2221,
  [2323] = 2217,
  [2324] = 2217,
  [2325] = 2217,
  [2326] = 2326,
  [2327] = 2215,
  [2328] = 2215,
  [2329] = 2028,
  [2330] = 2253,
  [2331] = 330,
  [2332] = 2215,
  [2333] = 313,
  [2334] = 2215,
  [2335] = 2217,
  [2336] = 2215,
  [2337] = 451,
  [2338] = 2217,
  [2339] = 2339,
  [2340] = 2217,
  [2341] = 2341,
  [2342] = 2215,
  [2343] = 2253,
  [2344] = 2217,
  [2345] = 2061,
  [2346] = 2346,
  [2347] = 2347,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 2350,
  [2351] = 2351,
  [2352] = 2352,
  [2353] = 2353,
  [2354] = 2354,
  [2355] = 2346,
  [2356] = 2356,
  [2357] = 2354,
  [2358] = 2347,
  [2359] = 2359,
  [2360] = 2360,
  [2361] = 2360,
  [2362] = 2359,
  [2363] = 2356,
  [2364] = 2354,
  [2365] = 2351,
  [2366] = 2366,
  [2367] = 451,
  [2368] = 2353,
  [2369] = 2366,
  [2370] = 2370,
  [2371] = 2351,
  [2372] = 2372,
  [2373] = 2366,
  [2374] = 2352,
  [2375] = 2349,
  [2376] = 2349,
  [2377] = 2348,
  [2378] = 2354,
  [2379] = 2349,
  [2380] = 2346,
  [2381] = 2352,
  [2382] = 2348,
  [2383] = 2057,
  [2384] = 1917,
  [2385] = 2028,
  [2386] = 2360,
  [2387] = 2351,
  [2388] = 2359,
  [2389] = 2348,
  [2390] = 1939,
  [2391] = 2353,
  [2392] = 2350,
  [2393] = 2372,
  [2394] = 2071,
  [2395] = 2065,
  [2396] = 2366,
  [2397] = 2028,
  [2398] = 2349,
  [2399] = 2028,
  [2400] = 2348,
  [2401] = 2352,
  [2402] = 1917,
  [2403] = 2057,
  [2404] = 2352,
  [2405] = 2065,
  [2406] = 2061,
  [2407] = 2347,
  [2408] = 2356,
  [2409] = 1939,
  [2410] = 2410,
  [2411] = 2350,
  [2412] = 2071,
  [2413] = 2410,
  [2414] = 2410,
  [2415] = 2415,
  [2416] = 2415,
  [2417] = 2417,
  [2418] = 2418,
  [2419] = 2417,
  [2420] = 2418,
  [2421] = 2418,
  [2422] = 2418,
  [2423] = 2423,
  [2424] = 2417,
  [2425] = 283,
  [2426] = 2418,
  [2427] = 2417,
  [2428] = 2418,
  [2429] = 2417,
  [2430] = 2417,
  [2431] = 2418,
  [2432] = 2417,
  [2433] = 2417,
  [2434] = 2418,
  [2435] = 2417,
  [2436] = 2417,
  [2437] = 2418,
  [2438] = 2417,
  [2439] = 2417,
  [2440] = 2418,
  [2441] = 2418,
  [2442] = 2418,
  [2443] = 2418,
  [2444] = 2418,
  [2445] = 2417,
  [2446] = 2418,
  [2447] = 2417,
  [2448] = 2417,
  [2449] = 2418,
  [2450] = 2417,
  [2451] = 2417,
  [2452] = 2418,
  [2453] = 2417,
  [2454] = 2417,
  [2455] = 2417,
  [2456] = 2417,
  [2457] = 2418,
  [2458] = 2418,
  [2459] = 2417,
  [2460] = 2418,
  [2461] = 2417,
  [2462] = 2417,
  [2463] = 2417,
  [2464] = 166,
  [2465] = 2418,
  [2466] = 2418,
  [2467] = 2417,
  [2468] = 2418,
  [2469] = 2417,
  [2470] = 2417,
  [2471] = 2418,
  [2472] = 280,
  [2473] = 2417,
  [2474] = 2418,
  [2475] = 2417,
  [2476] = 2418,
  [2477] = 2418,
  [2478] = 2417,
  [2479] = 2417,
  [2480] = 279,
  [2481] = 2418,
  [2482] = 2418,
  [2483] = 333,
  [2484] = 349,
  [2485] = 344,
  [2486] = 294,
  [2487] = 343,
  [2488] = 314,
  [2489] = 342,
  [2490] = 312,
  [2491] = 341,
  [2492] = 339,
  [2493] = 315,
  [2494] = 347,
  [2495] = 338,
  [2496] = 346,
  [2497] = 337,
  [2498] = 2498,
  [2499] = 350,
  [2500] = 313,
  [2501] = 317,
  [2502] = 336,
  [2503] = 335,
  [2504] = 334,
  [2505] = 331,
  [2506] = 318,
  [2507] = 345,
  [2508] = 330,
  [2509] = 328,
  [2510] = 327,
  [2511] = 451,
  [2512] = 280,
  [2513] = 279,
  [2514] = 166,
  [2515] = 2423,
  [2516] = 166,
  [2517] = 283,
  [2518] = 335,
  [2519] = 2519,
  [2520] = 2519,
  [2521] = 336,
  [2522] = 2519,
  [2523] = 312,
  [2524] = 337,
  [2525] = 338,
  [2526] = 2519,
  [2527] = 166,
  [2528] = 339,
  [2529] = 341,
  [2530] = 342,
  [2531] = 2519,
  [2532] = 2519,
  [2533] = 334,
  [2534] = 333,
  [2535] = 313,
  [2536] = 330,
  [2537] = 343,
  [2538] = 2519,
  [2539] = 2519,
  [2540] = 2519,
  [2541] = 318,
  [2542] = 2519,
  [2543] = 2519,
  [2544] = 328,
  [2545] = 344,
  [2546] = 345,
  [2547] = 346,
  [2548] = 2519,
  [2549] = 347,
  [2550] = 327,
  [2551] = 2498,
  [2552] = 2519,
  [2553] = 2519,
  [2554] = 2519,
  [2555] = 2519,
  [2556] = 2519,
  [2557] = 2519,
  [2558] = 2519,
  [2559] = 2519,
  [2560] = 331,
  [2561] = 2519,
  [2562] = 2519,
  [2563] = 314,
  [2564] = 2519,
  [2565] = 2519,
  [2566] = 315,
  [2567] = 2519,
  [2568] = 2519,
  [2569] = 2519,
  [2570] = 2519,
  [2571] = 2519,
  [2572] = 2519,
  [2573] = 2519,
  [2574] = 350,
  [2575] = 317,
  [2576] = 349,
  [2577] = 294,
  [2578] = 2578,
  [2579] = 2579,
  [2580] = 2579,
  [2581] = 2581,
  [2582] = 2582,
  [2583] = 2583,
  [2584] = 451,
  [2585] = 2578,
  [2586] = 2583,
  [2587] = 2579,
  [2588] = 2588,
  [2589] = 2578,
  [2590] = 2579,
  [2591] = 2578,
  [2592] = 2579,
  [2593] = 2583,
  [2594] = 2583,
  [2595] = 2583,
  [2596] = 2578,
  [2597] = 2578,
  [2598] = 2579,
  [2599] = 2579,
  [2600] = 2579,
  [2601] = 2583,
  [2602] = 2578,
  [2603] = 2579,
  [2604] = 2583,
  [2605] = 2583,
  [2606] = 2578,
  [2607] = 2578,
  [2608] = 2578,
  [2609] = 2609,
  [2610] = 2583,
  [2611] = 2583,
  [2612] = 2583,
  [2613] = 2583,
  [2614] = 2578,
  [2615] = 2579,
  [2616] = 2583,
  [2617] = 2579,
  [2618] = 2618,
  [2619] = 2579,
  [2620] = 2579,
  [2621] = 2579,
  [2622] = 2579,
  [2623] = 2623,
  [2624] = 2579,
  [2625] = 2579,
  [2626] = 2579,
  [2627] = 2579,
  [2628] = 2583,
  [2629] = 2583,
  [2630] = 2578,
  [2631] = 2578,
  [2632] = 2583,
  [2633] = 2579,
  [2634] = 2634,
  [2635] = 2583,
  [2636] = 2578,
  [2637] = 2579,
  [2638] = 2583,
  [2639] = 2578,
  [2640] = 2583,
  [2641] = 2579,
  [2642] = 2578,
  [2643] = 2643,
  [2644] = 2578,
  [2645] = 2579,
  [2646] = 2646,
  [2647] = 2579,
  [2648] = 2583,
  [2649] = 2578,
  [2650] = 2578,
  [2651] = 2579,
  [2652] = 2583,
  [2653] = 2578,
  [2654] = 2583,
  [2655] = 2583,
  [2656] = 2578,
  [2657] = 2583,
  [2658] = 2578,
  [2659] = 2583,
  [2660] = 2578,
  [2661] = 2578,
  [2662] = 2579,
  [2663] = 2579,
  [2664] = 2583,
  [2665] = 2578,
  [2666] = 2583,
  [2667] = 2583,
  [2668] = 2668,
  [2669] = 2583,
  [2670] = 2578,
  [2671] = 2578,
  [2672] = 2578,
  [2673] = 2578,
  [2674] = 2579,
  [2675] = 2579,
  [2676] = 2676,
  [2677] = 2676,
  [2678] = 2676,
  [2679] = 2676,
  [2680] = 2676,
  [2681] = 2676,
  [2682] = 2682,
  [2683] = 2676,
  [2684] = 2684,
  [2685] = 2676,
  [2686] = 2676,
  [2687] = 2687,
  [2688] = 2688,
  [2689] = 2676,
  [2690] = 2690,
  [2691] = 2676,
  [2692] = 2676,
  [2693] = 2693,
  [2694] = 2676,
  [2695] = 2695,
  [2696] = 2676,
  [2697] = 2688,
  [2698] = 2676,
  [2699] = 2676,
  [2700] = 2700,
  [2701] = 2676,
  [2702] = 2676,
  [2703] = 2676,
  [2704] = 2676,
  [2705] = 2705,
  [2706] = 2676,
  [2707] = 2707,
  [2708] = 2676,
  [2709] = 2709,
  [2710] = 2710,
  [2711] = 2711,
  [2712] = 2712,
  [2713] = 2688,
  [2714] = 2714,
  [2715] = 2715,
  [2716] = 2716,
  [2717] = 2717,
  [2718] = 2718,
  [2719] = 2719,
  [2720] = 2676,
  [2721] = 2721,
  [2722] = 2722,
  [2723] = 2723,
  [2724] = 2724,
  [2725] = 2676,
  [2726] = 2688,
  [2727] = 2727,
  [2728] = 2676,
  [2729] = 2676,
  [2730] = 2676,
  [2731] = 2731,
  [2732] = 2732,
  [2733] = 2676,
  [2734] = 2676,
  [2735] = 2676,
  [2736] = 2676,
  [2737] = 2737,
  [2738] = 2738,
  [2739] = 2739,
  [2740] = 2738,
  [2741] = 2738,
  [2742] = 2742,
  [2743] = 2743,
  [2744] = 2738,
  [2745] = 2743,
  [2746] = 2743,
  [2747] = 2738,
  [2748] = 2738,
  [2749] = 2743,
  [2750] = 2743,
  [2751] = 2743,
  [2752] = 2738,
  [2753] = 2743,
  [2754] = 2738,
  [2755] = 2738,
  [2756] = 2743,
  [2757] = 2743,
  [2758] = 2738,
  [2759] = 2739,
  [2760] = 2743,
  [2761] = 2738,
  [2762] = 2762,
  [2763] = 2738,
  [2764] = 2743,
  [2765] = 2743,
  [2766] = 2743,
  [2767] = 2738,
  [2768] = 2738,
  [2769] = 2743,
  [2770] = 2743,
  [2771] = 2743,
  [2772] = 2738,
  [2773] = 2738,
  [2774] = 2743,
  [2775] = 2743,
  [2776] = 2743,
  [2777] = 2738,
  [2778] = 2738,
  [2779] = 2779,
  [2780] = 2779,
  [2781] = 2743,
  [2782] = 2743,
  [2783] = 2743,
  [2784] = 2743,
  [2785] = 2738,
  [2786] = 2738,
  [2787] = 2743,
  [2788] = 2738,
  [2789] = 2743,
  [2790] = 2738,
  [2791] = 2738,
  [2792] = 2738,
  [2793] = 2743,
  [2794] = 2743,
  [2795] = 2743,
  [2796] = 2739,
  [2797] = 2738,
  [2798] = 2738,
  [2799] = 2738,
  [2800] = 2738,
  [2801] = 2801,
  [2802] = 2743,
  [2803] = 2779,
  [2804] = 2738,
  [2805] = 2805,
  [2806] = 2806,
  [2807] = 283,
  [2808] = 2805,
  [2809] = 2809,
  [2810] = 2810,
  [2811] = 2809,
  [2812] = 2806,
  [2813] = 2806,
  [2814] = 2809,
  [2815] = 2805,
  [2816] = 341,
  [2817] = 350,
  [2818] = 2818,
  [2819] = 279,
  [2820] = 2820,
  [2821] = 2821,
  [2822] = 2822,
  [2823] = 2823,
  [2824] = 2824,
  [2825] = 2825,
  [2826] = 331,
  [2827] = 2825,
  [2828] = 327,
  [2829] = 328,
  [2830] = 2830,
  [2831] = 330,
  [2832] = 2830,
  [2833] = 2833,
  [2834] = 342,
  [2835] = 333,
  [2836] = 334,
  [2837] = 335,
  [2838] = 280,
  [2839] = 343,
  [2840] = 344,
  [2841] = 345,
  [2842] = 336,
  [2843] = 346,
  [2844] = 347,
  [2845] = 294,
  [2846] = 349,
  [2847] = 337,
  [2848] = 2825,
  [2849] = 338,
  [2850] = 339,
  [2851] = 2830,
  [2852] = 2852,
  [2853] = 339,
  [2854] = 2854,
  [2855] = 315,
  [2856] = 2822,
  [2857] = 333,
  [2858] = 334,
  [2859] = 335,
  [2860] = 336,
  [2861] = 2861,
  [2862] = 317,
  [2863] = 2818,
  [2864] = 318,
  [2865] = 337,
  [2866] = 338,
  [2867] = 313,
  [2868] = 350,
  [2869] = 349,
  [2870] = 2861,
  [2871] = 294,
  [2872] = 2852,
  [2873] = 347,
  [2874] = 346,
  [2875] = 339,
  [2876] = 345,
  [2877] = 344,
  [2878] = 343,
  [2879] = 342,
  [2880] = 341,
  [2881] = 314,
  [2882] = 451,
  [2883] = 338,
  [2884] = 337,
  [2885] = 2821,
  [2886] = 2861,
  [2887] = 2833,
  [2888] = 330,
  [2889] = 2823,
  [2890] = 341,
  [2891] = 342,
  [2892] = 336,
  [2893] = 335,
  [2894] = 334,
  [2895] = 333,
  [2896] = 343,
  [2897] = 344,
  [2898] = 330,
  [2899] = 328,
  [2900] = 345,
  [2901] = 327,
  [2902] = 346,
  [2903] = 347,
  [2904] = 294,
  [2905] = 2852,
  [2906] = 349,
  [2907] = 350,
  [2908] = 2908,
  [2909] = 327,
  [2910] = 328,
  [2911] = 312,
  [2912] = 2912,
  [2913] = 2913,
  [2914] = 2914,
  [2915] = 2913,
  [2916] = 2916,
  [2917] = 2818,
  [2918] = 2918,
  [2919] = 2919,
  [2920] = 2919,
  [2921] = 2833,
  [2922] = 2922,
  [2923] = 2923,
  [2924] = 2924,
  [2925] = 2925,
  [2926] = 2918,
  [2927] = 2927,
  [2928] = 2928,
  [2929] = 2913,
  [2930] = 2922,
  [2931] = 2914,
  [2932] = 2912,
  [2933] = 2922,
  [2934] = 2923,
  [2935] = 2935,
  [2936] = 2923,
  [2937] = 2919,
  [2938] = 2823,
  [2939] = 283,
  [2940] = 2928,
  [2941] = 2914,
  [2942] = 2942,
  [2943] = 2943,
  [2944] = 2935,
  [2945] = 2822,
  [2946] = 2927,
  [2947] = 2821,
  [2948] = 2928,
  [2949] = 2818,
  [2950] = 2823,
  [2951] = 2927,
  [2952] = 2823,
  [2953] = 2935,
  [2954] = 2912,
  [2955] = 2918,
  [2956] = 2818,
  [2957] = 2957,
  [2958] = 2958,
  [2959] = 2959,
  [2960] = 2960,
  [2961] = 2961,
  [2962] = 2962,
  [2963] = 2963,
  [2964] = 2964,
  [2965] = 2965,
  [2966] = 2966,
  [2967] = 2962,
  [2968] = 2968,
  [2969] = 2969,
  [2970] = 2970,
  [2971] = 2971,
  [2972] = 2972,
  [2973] = 2964,
  [2974] = 2972,
  [2975] = 2961,
  [2976] = 2963,
  [2977] = 279,
  [2978] = 2978,
  [2979] = 2979,
  [2980] = 2971,
  [2981] = 2972,
  [2982] = 2960,
  [2983] = 2959,
  [2984] = 2957,
  [2985] = 2964,
  [2986] = 283,
  [2987] = 2958,
  [2988] = 2988,
  [2989] = 2989,
  [2990] = 2962,
  [2991] = 2961,
  [2992] = 2988,
  [2993] = 2960,
  [2994] = 2989,
  [2995] = 2959,
  [2996] = 2963,
  [2997] = 283,
  [2998] = 2998,
  [2999] = 2957,
  [3000] = 3000,
  [3001] = 3001,
  [3002] = 2971,
  [3003] = 2972,
  [3004] = 3000,
  [3005] = 3000,
  [3006] = 2958,
  [3007] = 3001,
  [3008] = 331,
  [3009] = 3001,
  [3010] = 2989,
  [3011] = 3011,
  [3012] = 3012,
  [3013] = 3013,
  [3014] = 3014,
  [3015] = 3011,
  [3016] = 3016,
  [3017] = 3016,
  [3018] = 3011,
  [3019] = 3011,
  [3020] = 3013,
  [3021] = 3013,
  [3022] = 3016,
  [3023] = 3011,
  [3024] = 3011,
  [3025] = 3013,
  [3026] = 3014,
  [3027] = 3014,
  [3028] = 3011,
  [3029] = 3016,
  [3030] = 3011,
  [3031] = 451,
  [3032] = 3013,
  [3033] = 3016,
  [3034] = 3011,
  [3035] = 3013,
  [3036] = 3014,
  [3037] = 3016,
  [3038] = 3013,
  [3039] = 3014,
  [3040] = 3016,
  [3041] = 3014,
  [3042] = 3042,
  [3043] = 3042,
  [3044] = 3044,
  [3045] = 3014,
  [3046] = 3014,
  [3047] = 3013,
  [3048] = 3048,
  [3049] = 3014,
  [3050] = 3016,
  [3051] = 3016,
  [3052] = 3013,
  [3053] = 2118,
  [3054] = 331,
  [3055] = 3014,
  [3056] = 3013,
  [3057] = 3016,
  [3058] = 3011,
  [3059] = 3011,
  [3060] = 3011,
  [3061] = 3013,
  [3062] = 3013,
  [3063] = 3013,
  [3064] = 3048,
  [3065] = 3013,
  [3066] = 3011,
  [3067] = 3011,
  [3068] = 3011,
  [3069] = 3016,
  [3070] = 3014,
  [3071] = 3014,
  [3072] = 3016,
  [3073] = 3013,
  [3074] = 3011,
  [3075] = 3013,
  [3076] = 3011,
  [3077] = 3011,
  [3078] = 2124,
  [3079] = 3013,
  [3080] = 3080,
  [3081] = 3016,
  [3082] = 3014,
  [3083] = 3083,
  [3084] = 3016,
  [3085] = 3085,
  [3086] = 3086,
  [3087] = 3016,
  [3088] = 3016,
  [3089] = 3014,
  [3090] = 3013,
  [3091] = 3014,
  [3092] = 3014,
  [3093] = 3016,
  [3094] = 3014,
  [3095] = 3016,
  [3096] = 3016,
  [3097] = 3097,
  [3098] = 3098,
  [3099] = 3013,
  [3100] = 3014,
  [3101] = 3011,
  [3102] = 3011,
  [3103] = 279,
  [3104] = 3013,
  [3105] = 3011,
  [3106] = 3013,
  [3107] = 3016,
  [3108] = 3014,
  [3109] = 3014,
  [3110] = 3013,
  [3111] = 3014,
  [3112] = 3042,
  [3113] = 3016,
  [3114] = 3042,
  [3115] = 3115,
  [3116] = 3116,
  [3117] = 3117,
  [3118] = 3016,
  [3119] = 3013,
  [3120] = 3011,
  [3121] = 3121,
  [3122] = 3016,
  [3123] = 3014,
  [3124] = 3014,
  [3125] = 3014,
  [3126] = 2183,
  [3127] = 3014,
  [3128] = 3016,
  [3129] = 3011,
  [3130] = 3016,
  [3131] = 3011,
  [3132] = 3013,
  [3133] = 3011,
  [3134] = 3013,
  [3135] = 3013,
  [3136] = 3011,
  [3137] = 3014,
  [3138] = 3138,
  [3139] = 3042,
  [3140] = 3140,
  [3141] = 3016,
  [3142] = 3016,
  [3143] = 3014,
  [3144] = 3011,
  [3145] = 3013,
  [3146] = 3013,
  [3147] = 3014,
  [3148] = 3016,
  [3149] = 3011,
  [3150] = 3042,
  [3151] = 280,
  [3152] = 3042,
  [3153] = 3014,
  [3154] = 3016,
  [3155] = 3011,
  [3156] = 3011,
  [3157] = 3013,
  [3158] = 3014,
  [3159] = 3042,
  [3160] = 3016,
  [3161] = 3016,
  [3162] = 2184,
  [3163] = 3014,
  [3164] = 279,
  [3165] = 3011,
  [3166] = 3042,
  [3167] = 3013,
  [3168] = 3013,
  [3169] = 3169,
  [3170] = 3170,
  [3171] = 2305,
  [3172] = 3172,
  [3173] = 2294,
  [3174] = 3172,
  [3175] = 3175,
  [3176] = 3172,
  [3177] = 3170,
  [3178] = 3169,
  [3179] = 3170,
  [3180] = 3169,
  [3181] = 3170,
  [3182] = 3169,
  [3183] = 3170,
  [3184] = 3169,
  [3185] = 3185,
  [3186] = 3186,
  [3187] = 3187,
  [3188] = 3170,
  [3189] = 3169,
  [3190] = 3190,
  [3191] = 3170,
  [3192] = 3169,
  [3193] = 3170,
  [3194] = 3169,
  [3195] = 3175,
  [3196] = 3170,
  [3197] = 3169,
  [3198] = 3170,
  [3199] = 3169,
  [3200] = 3169,
  [3201] = 3170,
  [3202] = 3169,
  [3203] = 3170,
  [3204] = 3169,
  [3205] = 3170,
  [3206] = 3169,
  [3207] = 3170,
  [3208] = 3169,
  [3209] = 3169,
  [3210] = 3210,
  [3211] = 3170,
  [3212] = 3169,
  [3213] = 3170,
  [3214] = 3169,
  [3215] = 3170,
  [3216] = 3169,
  [3217] = 3170,
  [3218] = 3169,
  [3219] = 3210,
  [3220] = 3170,
  [3221] = 3169,
  [3222] = 3170,
  [3223] = 3169,
  [3224] = 2339,
  [3225] = 2341,
  [3226] = 3170,
  [3227] = 328,
  [3228] = 3170,
  [3229] = 3169,
  [3230] = 3186,
  [3231] = 3170,
  [3232] = 3169,
  [3233] = 3190,
  [3234] = 3185,
  [3235] = 3170,
  [3236] = 3169,
  [3237] = 3185,
  [3238] = 3170,
  [3239] = 3169,
  [3240] = 3169,
  [3241] = 3185,
  [3242] = 3170,
  [3243] = 3169,
  [3244] = 3185,
  [3245] = 312,
  [3246] = 3170,
  [3247] = 3247,
  [3248] = 3170,
  [3249] = 313,
  [3250] = 3185,
  [3251] = 314,
  [3252] = 3170,
  [3253] = 3210,
  [3254] = 451,
  [3255] = 3169,
  [3256] = 3185,
  [3257] = 350,
  [3258] = 349,
  [3259] = 294,
  [3260] = 347,
  [3261] = 315,
  [3262] = 346,
  [3263] = 345,
  [3264] = 344,
  [3265] = 3170,
  [3266] = 317,
  [3267] = 3169,
  [3268] = 3185,
  [3269] = 343,
  [3270] = 318,
  [3271] = 327,
  [3272] = 342,
  [3273] = 341,
  [3274] = 339,
  [3275] = 330,
  [3276] = 338,
  [3277] = 3175,
  [3278] = 333,
  [3279] = 3170,
  [3280] = 334,
  [3281] = 337,
  [3282] = 3185,
  [3283] = 335,
  [3284] = 336,
  [3285] = 3190,
  [3286] = 3169,
  [3287] = 3287,
  [3288] = 3288,
  [3289] = 3289,
  [3290] = 3290,
  [3291] = 3290,
  [3292] = 3292,
  [3293] = 3293,
  [3294] = 3294,
  [3295] = 3295,
  [3296] = 3293,
  [3297] = 3297,
  [3298] = 3294,
  [3299] = 3299,
  [3300] = 3300,
  [3301] = 3297,
  [3302] = 3302,
  [3303] = 3303,
  [3304] = 3302,
  [3305] = 3297,
  [3306] = 3294,
  [3307] = 3302,
  [3308] = 3300,
  [3309] = 3290,
  [3310] = 3302,
  [3311] = 3311,
  [3312] = 3293,
  [3313] = 3313,
  [3314] = 3294,
  [3315] = 3315,
  [3316] = 3297,
  [3317] = 3302,
  [3318] = 3302,
  [3319] = 3290,
  [3320] = 3297,
  [3321] = 3294,
  [3322] = 3322,
  [3323] = 3297,
  [3324] = 3324,
  [3325] = 3293,
  [3326] = 3326,
  [3327] = 3297,
  [3328] = 3328,
  [3329] = 3294,
  [3330] = 3302,
  [3331] = 3293,
  [3332] = 3290,
  [3333] = 3290,
  [3334] = 3290,
  [3335] = 3293,
  [3336] = 3290,
  [3337] = 3294,
  [3338] = 3338,
  [3339] = 3302,
  [3340] = 3293,
  [3341] = 3294,
  [3342] = 3322,
  [3343] = 3343,
  [3344] = 3287,
  [3345] = 3288,
  [3346] = 3297,
  [3347] = 3295,
  [3348] = 3292,
  [3349] = 3297,
  [3350] = 3297,
  [3351] = 3302,
  [3352] = 3302,
  [3353] = 3294,
  [3354] = 3302,
  [3355] = 3293,
  [3356] = 3297,
  [3357] = 3290,
  [3358] = 3290,
  [3359] = 3302,
  [3360] = 3294,
  [3361] = 3293,
  [3362] = 3293,
  [3363] = 3303,
  [3364] = 3294,
  [3365] = 3297,
  [3366] = 3290,
  [3367] = 3302,
  [3368] = 3294,
  [3369] = 3293,
  [3370] = 3290,
  [3371] = 3371,
  [3372] = 3302,
  [3373] = 3290,
  [3374] = 3302,
  [3375] = 3343,
  [3376] = 3293,
  [3377] = 3294,
  [3378] = 3289,
  [3379] = 3338,
  [3380] = 3287,
  [3381] = 3293,
  [3382] = 3302,
  [3383] = 3293,
  [3384] = 3294,
  [3385] = 3302,
  [3386] = 3302,
  [3387] = 3297,
  [3388] = 3297,
  [3389] = 3324,
  [3390] = 3297,
  [3391] = 3294,
  [3392] = 3293,
  [3393] = 3290,
  [3394] = 3290,
  [3395] = 3294,
  [3396] = 3293,
  [3397] = 3294,
  [3398] = 3293,
  [3399] = 3302,
  [3400] = 3290,
  [3401] = 3297,
  [3402] = 3302,
  [3403] = 3343,
  [3404] = 3290,
  [3405] = 3290,
  [3406] = 3290,
  [3407] = 3302,
  [3408] = 3302,
  [3409] = 3297,
  [3410] = 3294,
  [3411] = 3295,
  [3412] = 3322,
  [3413] = 3311,
  [3414] = 3293,
  [3415] = 3299,
  [3416] = 3290,
  [3417] = 3302,
  [3418] = 3418,
  [3419] = 3294,
  [3420] = 3293,
  [3421] = 3293,
  [3422] = 3294,
  [3423] = 3297,
  [3424] = 3288,
  [3425] = 3425,
  [3426] = 3297,
  [3427] = 3290,
  [3428] = 3294,
  [3429] = 3300,
  [3430] = 3290,
  [3431] = 3290,
  [3432] = 3297,
  [3433] = 3338,
  [3434] = 3302,
  [3435] = 3297,
  [3436] = 3297,
  [3437] = 3294,
  [3438] = 3297,
  [3439] = 3293,
  [3440] = 3293,
  [3441] = 3315,
  [3442] = 3290,
  [3443] = 3290,
  [3444] = 3302,
  [3445] = 3294,
  [3446] = 3302,
  [3447] = 3297,
  [3448] = 3302,
  [3449] = 3449,
  [3450] = 3450,
  [3451] = 3315,
  [3452] = 3297,
  [3453] = 3289,
  [3454] = 3293,
  [3455] = 3302,
  [3456] = 3290,
  [3457] = 3294,
  [3458] = 3297,
  [3459] = 3313,
  [3460] = 3313,
  [3461] = 3292,
  [3462] = 3462,
  [3463] = 3324,
  [3464] = 3297,
  [3465] = 3302,
  [3466] = 3294,
  [3467] = 3418,
  [3468] = 3293,
  [3469] = 3290,
  [3470] = 3328,
  [3471] = 3326,
  [3472] = 3299,
  [3473] = 3303,
  [3474] = 3297,
  [3475] = 3311,
  [3476] = 3302,
  [3477] = 3290,
  [3478] = 3297,
  [3479] = 3294,
  [3480] = 3293,
  [3481] = 3290,
  [3482] = 3294,
  [3483] = 3462,
  [3484] = 3290,
  [3485] = 3302,
  [3486] = 3293,
  [3487] = 3294,
  [3488] = 3297,
  [3489] = 3294,
  [3490] = 3328,
  [3491] = 3326,
  [3492] = 3425,
  [3493] = 3462,
  [3494] = 3297,
  [3495] = 3293,
  [3496] = 3293,
  [3497] = 3293,
  [3498] = 3294,
  [3499] = 3290,
  [3500] = 3294,
};

static inline bool sym_word_character_set_1(int32_t c) {
  return (c < '&'
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : (c <= '\n' || c == '\r'))
      : (c <= ' ' || (c < '$'
        ? c == '"'
        : c <= '$')))
    : (c <= ')' || (c < '['
      ? (c < '>'
        ? (c >= ';' && c <= '<')
        : c <= '>')
      : (c <= ']' || (c < '{'
        ? c == '`'
        : c <= '}')))));
}

static inline bool sym_word_character_set_2(int32_t c) {
  return (c < '$'
    ? (c < '\r'
      ? (c < '\t'
        ? c == 0
        : c <= '\n')
      : (c <= '\r' || (c < '"'
        ? c == ' '
        : c <= '"')))
    : (c <= '$' || (c < '>'
      ? (c < ';'
        ? (c >= '&' && c <= ')')
        : c <= '<')
      : (c <= '>' || (c < '`'
        ? (c >= '[' && c <= ']')
        : c <= '}')))));
}

static inline bool sym_word_character_set_3(int32_t c) {
  return (c < '$'
    ? (c < '\r'
      ? (c < '\t'
        ? c == 0
        : c <= '\n')
      : (c <= '\r' || (c < '"'
        ? c == ' '
        : c <= '"')))
    : (c <= '$' || (c < '['
      ? (c < ';'
        ? (c >= '&' && c <= ')')
        : c <= '>')
      : (c <= ']' || (c < '{'
        ? c == '`'
        : c <= '}')))));
}

static inline bool sym_word_character_set_4(int32_t c) {
  return (c < '$'
    ? (c < '\r'
      ? (c < '\t'
        ? c == 0
        : c <= '\n')
      : (c <= '\r' || (c < '"'
        ? c == ' '
        : c <= '"')))
    : (c <= '$' || (c < '['
      ? (c < ';'
        ? (c >= '&' && c <= ')')
        : c <= '>')
      : (c <= ']' || (c >= '`' && c <= '}')))));
}

static inline bool sym_word_character_set_5(int32_t c) {
  return (c < '&'
    ? (c < '\r'
      ? (c < '\t'
        ? c == 0
        : c <= '\t')
      : (c <= '\r' || (c < '"'
        ? c == ' '
        : c <= '$')))
    : (c <= ')' || (c < '['
      ? (c < '>'
        ? (c >= ';' && c <= '<')
        : c <= '>')
      : (c <= ']' || (c >= '`' && c <= '}')))));
}

static inline bool sym_word_character_set_6(int32_t c) {
  return (c < ';'
    ? (c < '\r'
      ? (c < '\t'
        ? c == 0
        : c <= '\t')
      : (c <= '\r' || (c < '&'
        ? (c >= ' ' && c <= '$')
        : c <= ')')))
    : (c <= '<' || (c < '`'
      ? (c < '['
        ? c == '>'
        : c <= ']')
      : (c <= '`' || (c >= '{' && c <= '}')))));
}

static inline bool sym_word_character_set_7(int32_t c) {
  return (c < '&'
    ? (c < '\r'
      ? (c < '\t'
        ? c == 0
        : c <= '\t')
      : (c <= '\r' || (c < '"'
        ? c == ' '
        : c <= '$')))
    : (c <= ')' || (c < '`'
      ? (c < '['
        ? (c >= ';' && c <= '>')
        : c <= ']')
      : (c <= '`' || (c >= '{' && c <= '}')))));
}

static inline bool sym_word_character_set_8(int32_t c) {
  return (c < '&'
    ? (c < '\r'
      ? (c < '\t'
        ? c == 0
        : c <= '\t')
      : (c <= '\r' || (c < '"'
        ? c == ' '
        : c <= '$')))
    : (c <= ')' || (c < '['
      ? (c < '>'
        ? (c >= ';' && c <= '<')
        : c <= '>')
      : (c <= ']' || (c < '{'
        ? c == '`'
        : c <= '}')))));
}

static inline bool sym_word_character_set_9(int32_t c) {
  return (c < ';'
    ? (c < '\r'
      ? (c < '\t'
        ? c == 0
        : c <= '\n')
      : (c <= '\r' || (c < '&'
        ? (c >= ' ' && c <= '$')
        : c <= ')')))
    : (c <= '<' || (c < '`'
      ? (c < '['
        ? c == '>'
        : c <= ']')
      : (c <= '`' || (c >= '{' && c <= '}')))));
}

static inline bool sym_word_character_set_10(int32_t c) {
  return (c < '"'
    ? (c < '\r'
      ? (c < '\t'
        ? c == 0
        : c <= '\n')
      : (c <= '\r' || c == ' '))
    : (c <= ')' || (c < '`'
      ? (c < '['
        ? (c >= ';' && c <= '>')
        : c <= ']')
      : (c <= '`' || (c >= '{' && c <= '}')))));
}

static inline bool sym_word_character_set_11(int32_t c) {
  return (c < '&'
    ? (c < '\r'
      ? (c < '\t'
        ? c == 0
        : c <= '\n')
      : (c <= '\r' || (c < '"'
        ? c == ' '
        : c <= '$')))
    : (c <= ')' || (c < '['
      ? (c < '>'
        ? (c >= ';' && c <= '<')
        : c <= '>')
      : (c <= ']' || (c < '{'
        ? c == '`'
        : c <= '}')))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(204);
      if (lookahead == '!') ADVANCE(263);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '%') ADVANCE(344);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(256);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(302);
      if (lookahead == '-') ADVANCE(305);
      if (lookahead == '/') ADVANCE(341);
      if (lookahead == '0') ADVANCE(366);
      if (lookahead == ':') ADVANCE(315);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(284);
      if (lookahead == '=') ADVANCE(276);
      if (lookahead == '>') ADVANCE(287);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(364);
      if (lookahead == '[') ADVANCE(267);
      if (lookahead == '\\') ADVANCE(131);
      if (lookahead == ']') ADVANCE(268);
      if (lookahead == '_') ADVANCE(369);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == 'd') ADVANCE(418);
      if (lookahead == 'e') ADVANCE(414);
      if (lookahead == 'f') ADVANCE(412);
      if (lookahead == 'i') ADVANCE(416);
      if (lookahead == 't') ADVANCE(411);
      if (lookahead == '{') ADVANCE(257);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '}') ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(76)
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(79)
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(81)
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(80)
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(82)
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(83)
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(8)
      END_STATE();
    case 8:
      if (lookahead == '\n') ADVANCE(205);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(137);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == 'e') ADVANCE(354);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(8)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(421);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(60)
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(61)
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(62)
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(63)
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(64)
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(65)
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(66)
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(67)
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(68)
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(69)
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(70)
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(95)
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(71)
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(72)
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(73)
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(25)
      END_STATE();
    case 25:
      if (lookahead == '\n') ADVANCE(206);
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(320);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '-') ADVANCE(304);
      if (lookahead == '0') ADVANCE(367);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(285);
      if (lookahead == '>') ADVANCE(289);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '@') ADVANCE(363);
      if (lookahead == '\\') SKIP(165)
      if (lookahead == '_') ADVANCE(370);
      if (lookahead == 'e') ADVANCE(359);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(25)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(360);
      END_STATE();
    case 26:
      if (lookahead == '\n') ADVANCE(206);
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(320);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '-') ADVANCE(304);
      if (lookahead == '0') ADVANCE(367);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(285);
      if (lookahead == '>') ADVANCE(289);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '@') ADVANCE(363);
      if (lookahead == '\\') SKIP(166)
      if (lookahead == '_') ADVANCE(370);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(26)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(360);
      END_STATE();
    case 27:
      if (lookahead == '\n') ADVANCE(206);
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(320);
      if (lookahead == '&') ADVANCE(424);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '-') ADVANCE(304);
      if (lookahead == '0') ADVANCE(367);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '@') ADVANCE(363);
      if (lookahead == '\\') SKIP(175)
      if (lookahead == '_') ADVANCE(370);
      if (lookahead == 'i') ADVANCE(358);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(27)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(360);
      END_STATE();
    case 28:
      if (lookahead == '\n') ADVANCE(206);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(285);
      if (lookahead == '>') ADVANCE(289);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') SKIP(170)
      if (lookahead == 'e') ADVANCE(129);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(28)
      END_STATE();
    case 29:
      if (lookahead == '\n') ADVANCE(206);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '&') ADVANCE(424);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '\\') SKIP(182)
      if (lookahead == 'e') ADVANCE(129);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(29)
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(96)
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(26)
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(33)
      END_STATE();
    case 33:
      if (lookahead == '\n') ADVANCE(207);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(424);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(255);
      if (lookahead == '-') ADVANCE(420);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(110);
      if (lookahead == '>') ADVANCE(111);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(154);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(33)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(421);
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(35)
      END_STATE();
    case 35:
      if (lookahead == '\n') ADVANCE(208);
      if (lookahead == '!') ADVANCE(264);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(320);
      if (lookahead == '&') ADVANCE(425);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '+') ADVANCE(303);
      if (lookahead == '-') ADVANCE(306);
      if (lookahead == '0') ADVANCE(367);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(286);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(290);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '@') ADVANCE(363);
      if (lookahead == '\\') SKIP(167)
      if (lookahead == '_') ADVANCE(370);
      if (lookahead == '|') ADVANCE(130);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(35)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(360);
      END_STATE();
    case 36:
      if (lookahead == '\n') ADVANCE(208);
      if (lookahead == '!') ADVANCE(113);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '&') ADVANCE(425);
      if (lookahead == '+') ADVANCE(303);
      if (lookahead == '-') ADVANCE(306);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(286);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(290);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') SKIP(171)
      if (lookahead == '|') ADVANCE(130);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(36)
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(78)
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(89)
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(94)
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(93)
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(84)
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(88)
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(28)
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(77)
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(36)
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(74)
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(75)
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(90)
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(99)
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(91)
      END_STATE();
    case 51:
      if (lookahead == '\n') SKIP(92)
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(97)
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(98)
      END_STATE();
    case 54:
      if (lookahead == '\n') SKIP(27)
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(85)
      END_STATE();
    case 56:
      if (lookahead == '\n') SKIP(101)
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(102)
      END_STATE();
    case 58:
      if (lookahead == '\n') SKIP(29)
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(103)
      END_STATE();
    case 60:
      if (lookahead == '\n') ADVANCE(209);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '=') ADVANCE(405);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(364);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(138);
      if (lookahead == '_') ADVANCE(368);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == 'e') ADVANCE(354);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(60)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(421);
      END_STATE();
    case 61:
      if (lookahead == '\n') ADVANCE(210);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(139);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(61)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(421);
      END_STATE();
    case 62:
      if (lookahead == '\n') ADVANCE(211);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '=') ADVANCE(405);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(364);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(140);
      if (lookahead == '_') ADVANCE(368);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(62)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(421);
      END_STATE();
    case 63:
      if (lookahead == '\n') ADVANCE(212);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(255);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '=') ADVANCE(405);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(141);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == 'e') ADVANCE(419);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(63)
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(421);
      END_STATE();
    case 64:
      if (lookahead == '\n') ADVANCE(213);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(142);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(64)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(421);
      END_STATE();
    case 65:
      if (lookahead == '\n') ADVANCE(214);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(364);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(143);
      if (lookahead == '_') ADVANCE(368);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == 'e') ADVANCE(354);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(65)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(421);
      END_STATE();
    case 66:
      if (lookahead == '\n') ADVANCE(215);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '=') ADVANCE(405);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(364);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(144);
      if (lookahead == '_') ADVANCE(368);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(66)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(421);
      END_STATE();
    case 67:
      if (lookahead == '\n') ADVANCE(216);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(255);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '=') ADVANCE(405);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(145);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(67)
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(421);
      END_STATE();
    case 68:
      if (lookahead == '\n') ADVANCE(217);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(364);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(146);
      if (lookahead == '_') ADVANCE(368);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(68)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(421);
      END_STATE();
    case 69:
      if (lookahead == '\n') ADVANCE(218);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(255);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '=') ADVANCE(405);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(69)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 70:
      if (lookahead == '\n') ADVANCE(219);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(364);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(148);
      if (lookahead == '_') ADVANCE(368);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(70)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(421);
      END_STATE();
    case 71:
      if (lookahead == '\n') ADVANCE(220);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(150);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == 'e') ADVANCE(419);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(71)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(421);
      END_STATE();
    case 72:
      if (lookahead == '\n') ADVANCE(221);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(151);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(72)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(421);
      END_STATE();
    case 73:
      if (lookahead == '\n') ADVANCE(222);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(152);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(73)
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(421);
      END_STATE();
    case 74:
      if (lookahead == '\n') ADVANCE(223);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(424);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(110);
      if (lookahead == '>') ADVANCE(111);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(364);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead == '_') ADVANCE(368);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(74)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(421);
      END_STATE();
    case 75:
      if (lookahead == '\n') ADVANCE(224);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(424);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(110);
      if (lookahead == '>') ADVANCE(111);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(161);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(75)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(421);
      END_STATE();
    case 76:
      if (lookahead == '!') ADVANCE(263);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '%') ADVANCE(344);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(256);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(302);
      if (lookahead == '-') ADVANCE(305);
      if (lookahead == '/') ADVANCE(341);
      if (lookahead == '0') ADVANCE(366);
      if (lookahead == ':') ADVANCE(315);
      if (lookahead == ';') ADVANCE(231);
      if (lookahead == '<') ADVANCE(284);
      if (lookahead == '=') ADVANCE(276);
      if (lookahead == '>') ADVANCE(287);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(364);
      if (lookahead == '[') ADVANCE(267);
      if (lookahead == '\\') ADVANCE(131);
      if (lookahead == ']') ADVANCE(268);
      if (lookahead == '_') ADVANCE(369);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == 'd') ADVANCE(418);
      if (lookahead == 'e') ADVANCE(414);
      if (lookahead == 'f') ADVANCE(412);
      if (lookahead == 'i') ADVANCE(416);
      if (lookahead == 't') ADVANCE(411);
      if (lookahead == '{') ADVANCE(257);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '}') ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(76)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 77:
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '%') ADVANCE(344);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == ':') ADVANCE(315);
      if (lookahead == '<') ADVANCE(110);
      if (lookahead == '=') ADVANCE(278);
      if (lookahead == '>') ADVANCE(111);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(364);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(159);
      if (lookahead == '_') ADVANCE(368);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '}') ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(77)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(421);
      END_STATE();
    case 78:
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(115);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == '<') ADVANCE(282);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(364);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '_') ADVANCE(368);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(78)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(421);
      END_STATE();
    case 79:
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(115);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(256);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == ';') ADVANCE(105);
      if (lookahead == '<') ADVANCE(282);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[') ADVANCE(267);
      if (lookahead == '\\') ADVANCE(132);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '{') ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(79)
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(421);
      END_STATE();
    case 80:
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(115);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(256);
      if (lookahead == ';') ADVANCE(105);
      if (lookahead == '<') ADVANCE(282);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[') ADVANCE(267);
      if (lookahead == '\\') ADVANCE(134);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == 'e') ADVANCE(419);
      if (lookahead == '{') ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(80)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(421);
      END_STATE();
    case 81:
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(115);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(256);
      if (lookahead == '<') ADVANCE(282);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[') ADVANCE(267);
      if (lookahead == '\\') ADVANCE(133);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == 'e') ADVANCE(415);
      if (lookahead == 'f') ADVANCE(412);
      if (lookahead == '{') ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(81)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(421);
      END_STATE();
    case 82:
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(115);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(256);
      if (lookahead == '<') ADVANCE(282);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[') ADVANCE(267);
      if (lookahead == '\\') ADVANCE(135);
      if (lookahead == ']') ADVANCE(323);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '{') ADVANCE(257);
      if (lookahead == '}') ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(82)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(421);
      END_STATE();
    case 83:
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(115);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(256);
      if (lookahead == '<') ADVANCE(282);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[') ADVANCE(267);
      if (lookahead == '\\') ADVANCE(136);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == 'f') ADVANCE(412);
      if (lookahead == '{') ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(83)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(421);
      END_STATE();
    case 84:
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(255);
      if (lookahead == ')') ADVANCE(112);
      if (lookahead == '-') ADVANCE(420);
      if (lookahead == '<') ADVANCE(110);
      if (lookahead == '>') ADVANCE(111);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(158);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(84)
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(421);
      END_STATE();
    case 85:
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(320);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '-') ADVANCE(304);
      if (lookahead == '0') ADVANCE(367);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '@') ADVANCE(363);
      if (lookahead == '\\') SKIP(176)
      if (lookahead == ']') ADVANCE(268);
      if (lookahead == '_') ADVANCE(370);
      if (lookahead == '|') ADVANCE(247);
      if (lookahead == '}') ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(85)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(360);
      END_STATE();
    case 86:
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(320);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '-') ADVANCE(304);
      if (lookahead == '0') ADVANCE(367);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '@') ADVANCE(363);
      if (lookahead == '\\') ADVANCE(177);
      if (lookahead == '_') ADVANCE(370);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(330);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(360);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(333);
      END_STATE();
    case 87:
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(320);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '-') ADVANCE(304);
      if (lookahead == '0') ADVANCE(367);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '@') ADVANCE(363);
      if (lookahead == '\\') ADVANCE(179);
      if (lookahead == '_') ADVANCE(370);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(331);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(360);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '`') ADVANCE(333);
      END_STATE();
    case 88:
      if (lookahead == '!') ADVANCE(264);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(320);
      if (lookahead == '&') ADVANCE(104);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '+') ADVANCE(303);
      if (lookahead == '-') ADVANCE(306);
      if (lookahead == '0') ADVANCE(367);
      if (lookahead == '<') ADVANCE(286);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(290);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '@') ADVANCE(363);
      if (lookahead == '\\') SKIP(169)
      if (lookahead == ']') ADVANCE(268);
      if (lookahead == '_') ADVANCE(370);
      if (lookahead == '|') ADVANCE(130);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(88)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(360);
      END_STATE();
    case 89:
      if (lookahead == '!') ADVANCE(264);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(320);
      if (lookahead == '&') ADVANCE(104);
      if (lookahead == ')') ADVANCE(112);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '+') ADVANCE(303);
      if (lookahead == '-') ADVANCE(306);
      if (lookahead == '0') ADVANCE(367);
      if (lookahead == ':') ADVANCE(314);
      if (lookahead == '<') ADVANCE(286);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(290);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '@') ADVANCE(363);
      if (lookahead == '\\') SKIP(168)
      if (lookahead == ']') ADVANCE(116);
      if (lookahead == '_') ADVANCE(370);
      if (lookahead == '|') ADVANCE(130);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(89)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(360);
      END_STATE();
    case 90:
      if (lookahead == '!') ADVANCE(113);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '&') ADVANCE(104);
      if (lookahead == '(') ADVANCE(109);
      if (lookahead == ')') ADVANCE(112);
      if (lookahead == '+') ADVANCE(303);
      if (lookahead == '-') ADVANCE(306);
      if (lookahead == ':') ADVANCE(314);
      if (lookahead == '<') ADVANCE(286);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(290);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') SKIP(172)
      if (lookahead == ']') ADVANCE(324);
      if (lookahead == '|') ADVANCE(130);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(90)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(360);
      END_STATE();
    case 91:
      if (lookahead == '!') ADVANCE(113);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '&') ADVANCE(104);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == '+') ADVANCE(303);
      if (lookahead == '-') ADVANCE(306);
      if (lookahead == '<') ADVANCE(286);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(290);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') SKIP(173)
      if (lookahead == '|') ADVANCE(249);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(91)
      END_STATE();
    case 92:
      if (lookahead == '!') ADVANCE(113);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '&') ADVANCE(104);
      if (lookahead == '+') ADVANCE(303);
      if (lookahead == '-') ADVANCE(306);
      if (lookahead == '<') ADVANCE(286);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(290);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') SKIP(174)
      if (lookahead == ']') ADVANCE(268);
      if (lookahead == '|') ADVANCE(130);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(92)
      END_STATE();
    case 93:
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '%') ADVANCE(344);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '/') ADVANCE(341);
      if (lookahead == ':') ADVANCE(315);
      if (lookahead == '<') ADVANCE(110);
      if (lookahead == '=') ADVANCE(278);
      if (lookahead == '>') ADVANCE(111);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(157);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '}') ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(93)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(421);
      END_STATE();
    case 94:
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '%') ADVANCE(344);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == ':') ADVANCE(315);
      if (lookahead == '<') ADVANCE(110);
      if (lookahead == '=') ADVANCE(278);
      if (lookahead == '>') ADVANCE(111);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(156);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '}') ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(94)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(421);
      END_STATE();
    case 95:
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(115);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(256);
      if (lookahead == '<') ADVANCE(282);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[') ADVANCE(267);
      if (lookahead == '\\') ADVANCE(149);
      if (lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(95)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(421);
      END_STATE();
    case 96:
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(115);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(255);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == '<') ADVANCE(282);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(153);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(96)
      if (lookahead != 0 &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(421);
      END_STATE();
    case 97:
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '<') ADVANCE(110);
      if (lookahead == '>') ADVANCE(111);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(163);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '}') ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(97)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(421);
      END_STATE();
    case 98:
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '<') ADVANCE(110);
      if (lookahead == '>') ADVANCE(111);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(164);
      if (lookahead == ']') ADVANCE(268);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(98)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(421);
      END_STATE();
    case 99:
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '<') ADVANCE(110);
      if (lookahead == '>') ADVANCE(111);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(162);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == 'e') ADVANCE(419);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(99)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(421);
      END_STATE();
    case 100:
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(327);
      if (lookahead == '$') ADVANCE(322);
      if (lookahead == '\\') ADVANCE(180);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(332);
      if (lookahead != 0) ADVANCE(333);
      END_STATE();
    case 101:
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(320);
      if (lookahead == '&') ADVANCE(115);
      if (lookahead == '(') ADVANCE(256);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '+') ADVANCE(114);
      if (lookahead == '-') ADVANCE(304);
      if (lookahead == '0') ADVANCE(367);
      if (lookahead == '<') ADVANCE(285);
      if (lookahead == '=') ADVANCE(275);
      if (lookahead == '>') ADVANCE(289);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '@') ADVANCE(363);
      if (lookahead == '[') ADVANCE(267);
      if (lookahead == '\\') SKIP(178)
      if (lookahead == '_') ADVANCE(370);
      if (lookahead == '{') ADVANCE(257);
      if (lookahead == '}') ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(101)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(360);
      END_STATE();
    case 102:
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '&') ADVANCE(115);
      if (lookahead == '+') ADVANCE(114);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(281);
      if (lookahead == '=') ADVANCE(275);
      if (lookahead == '>') ADVANCE(289);
      if (lookahead == '[') ADVANCE(266);
      if (lookahead == '\\') SKIP(181)
      if (lookahead == 'd') ADVANCE(128);
      if (lookahead == '{') ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(102)
      END_STATE();
    case 103:
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(323);
      if (lookahead == '\\') SKIP(183)
      if (lookahead == '}') ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(103)
      END_STATE();
    case 104:
      if (lookahead == '&') ADVANCE(260);
      END_STATE();
    case 105:
      if (lookahead == '&') ADVANCE(253);
      if (lookahead == ';') ADVANCE(252);
      END_STATE();
    case 106:
      if (lookahead == '\'') ADVANCE(335);
      if (lookahead != 0) ADVANCE(106);
      END_STATE();
    case 107:
      if (lookahead == '\'') ADVANCE(336);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0) ADVANCE(107);
      END_STATE();
    case 108:
      if (lookahead == '\'') ADVANCE(337);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0) ADVANCE(107);
      END_STATE();
    case 109:
      if (lookahead == '(') ADVANCE(228);
      END_STATE();
    case 110:
      if (lookahead == '(') ADVANCE(347);
      END_STATE();
    case 111:
      if (lookahead == '(') ADVANCE(348);
      END_STATE();
    case 112:
      if (lookahead == ')') ADVANCE(229);
      END_STATE();
    case 113:
      if (lookahead == '=') ADVANCE(300);
      END_STATE();
    case 114:
      if (lookahead == '=') ADVANCE(279);
      END_STATE();
    case 115:
      if (lookahead == '>') ADVANCE(292);
      END_STATE();
    case 116:
      if (lookahead == ']') ADVANCE(270);
      END_STATE();
    case 117:
      if (lookahead == 'a') ADVANCE(118);
      END_STATE();
    case 118:
      if (lookahead == 'c') ADVANCE(243);
      END_STATE();
    case 119:
      if (lookahead == 'e') ADVANCE(241);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(127);
      END_STATE();
    case 121:
      if (lookahead == 'f') ADVANCE(239);
      END_STATE();
    case 122:
      if (lookahead == 'h') ADVANCE(120);
      END_STATE();
    case 123:
      if (lookahead == 'i') ADVANCE(237);
      END_STATE();
    case 124:
      if (lookahead == 'i') ADVANCE(121);
      if (lookahead == 's') ADVANCE(119);
      END_STATE();
    case 125:
      if (lookahead == 'l') ADVANCE(124);
      if (lookahead == 's') ADVANCE(117);
      END_STATE();
    case 126:
      if (lookahead == 'n') ADVANCE(225);
      END_STATE();
    case 127:
      if (lookahead == 'n') ADVANCE(235);
      END_STATE();
    case 128:
      if (lookahead == 'o') ADVANCE(233);
      END_STATE();
    case 129:
      if (lookahead == 's') ADVANCE(117);
      END_STATE();
    case 130:
      if (lookahead == '|') ADVANCE(261);
      END_STATE();
    case 131:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(76)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(389);
      if (lookahead == '\r') SKIP(1)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 132:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(79)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(393);
      if (lookahead == '\r') SKIP(2)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 133:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(81)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(394);
      if (lookahead == '\r') SKIP(3)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 134:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(80)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(395);
      if (lookahead == '\r') SKIP(4)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 135:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(82)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(396);
      if (lookahead == '\r') SKIP(5)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 136:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(83)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(397);
      if (lookahead == '\r') SKIP(6)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 137:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(8)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(371);
      if (lookahead == '\r') SKIP(7)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 138:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(60)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(373);
      if (lookahead == '\r') SKIP(9)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 139:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(61)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(374);
      if (lookahead == '\r') SKIP(10)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 140:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(62)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(375);
      if (lookahead == '\r') SKIP(11)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 141:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(63)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(376);
      if (lookahead == '\r') SKIP(12)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 142:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(64)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(377);
      if (lookahead == '\r') SKIP(13)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 143:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(65)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(378);
      if (lookahead == '\r') SKIP(14)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 144:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(66)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(379);
      if (lookahead == '\r') SKIP(15)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 145:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(67)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(380);
      if (lookahead == '\r') SKIP(16)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 146:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(68)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(381);
      if (lookahead == '\r') SKIP(17)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 147:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(69)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(382);
      if (lookahead == '\r') SKIP(18)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 148:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(70)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(383);
      if (lookahead == '\r') SKIP(19)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 149:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(95)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(400);
      if (lookahead == '\r') SKIP(20)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 150:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(71)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(384);
      if (lookahead == '\r') SKIP(21)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 151:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(72)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(385);
      if (lookahead == '\r') SKIP(22)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 152:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(73)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(386);
      if (lookahead == '\r') SKIP(23)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 153:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(96)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(401);
      if (lookahead == '\r') SKIP(30)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 154:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(33)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(372);
      if (lookahead == '\r') SKIP(32)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 155:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(78)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(391);
      if (lookahead == '\r') SKIP(37)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 156:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(94)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(399);
      if (lookahead == '\r') SKIP(39)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 157:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(93)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(398);
      if (lookahead == '\r') SKIP(40)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 158:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(84)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(392);
      if (lookahead == '\r') SKIP(41)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 159:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(77)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(390);
      if (lookahead == '\r') SKIP(44)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 160:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(74)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(387);
      if (lookahead == '\r') SKIP(46)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 161:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(75)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(388);
      if (lookahead == '\r') SKIP(47)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 162:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(99)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(402);
      if (lookahead == '\r') SKIP(49)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 163:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(97)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(403);
      if (lookahead == '\r') SKIP(52)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 164:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(98)
      if (lookahead == 11 ||
          lookahead == '\f') ADVANCE(404);
      if (lookahead == '\r') SKIP(53)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 165:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(25)
      if (lookahead == '\r') SKIP(24)
      END_STATE();
    case 166:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(26)
      if (lookahead == '\r') SKIP(31)
      END_STATE();
    case 167:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(35)
      if (lookahead == '\r') SKIP(34)
      END_STATE();
    case 168:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(89)
      if (lookahead == '\r') SKIP(38)
      END_STATE();
    case 169:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(88)
      if (lookahead == '\r') SKIP(42)
      END_STATE();
    case 170:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(28)
      if (lookahead == '\r') SKIP(43)
      END_STATE();
    case 171:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(36)
      if (lookahead == '\r') SKIP(45)
      END_STATE();
    case 172:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(90)
      if (lookahead == '\r') SKIP(48)
      END_STATE();
    case 173:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(91)
      if (lookahead == '\r') SKIP(50)
      END_STATE();
    case 174:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(92)
      if (lookahead == '\r') SKIP(51)
      END_STATE();
    case 175:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(27)
      if (lookahead == '\r') SKIP(54)
      END_STATE();
    case 176:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(85)
      if (lookahead == '\r') SKIP(55)
      END_STATE();
    case 177:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(330);
      if (lookahead == '\r') ADVANCE(326);
      if (lookahead != 0) ADVANCE(333);
      END_STATE();
    case 178:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(101)
      if (lookahead == '\r') SKIP(56)
      END_STATE();
    case 179:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(331);
      if (lookahead == '\r') ADVANCE(328);
      if (lookahead != 0) ADVANCE(333);
      END_STATE();
    case 180:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(332);
      if (lookahead == '\r') ADVANCE(329);
      if (lookahead != 0) ADVANCE(333);
      END_STATE();
    case 181:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(102)
      if (lookahead == '\r') SKIP(57)
      END_STATE();
    case 182:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(29)
      if (lookahead == '\r') SKIP(58)
      END_STATE();
    case 183:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(103)
      if (lookahead == '\r') SKIP(59)
      END_STATE();
    case 184:
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(421);
      END_STATE();
    case 185:
      if (lookahead != 0 &&
          lookahead != '\r') ADVANCE(333);
      if (lookahead == '\r') ADVANCE(334);
      END_STATE();
    case 186:
      if (eof) ADVANCE(204);
      if (lookahead == '\n') ADVANCE(206);
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(320);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '-') ADVANCE(304);
      if (lookahead == '0') ADVANCE(367);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(285);
      if (lookahead == '>') ADVANCE(289);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '@') ADVANCE(363);
      if (lookahead == '\\') SKIP(200)
      if (lookahead == '_') ADVANCE(370);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(186)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(360);
      END_STATE();
    case 187:
      if (eof) ADVANCE(204);
      if (lookahead == '\n') ADVANCE(206);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(285);
      if (lookahead == '>') ADVANCE(289);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') SKIP(201)
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(187)
      END_STATE();
    case 188:
      if (eof) ADVANCE(204);
      if (lookahead == '\n') ADVANCE(206);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '&') ADVANCE(424);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') SKIP(203)
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == 'i') ADVANCE(126);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(188)
      END_STATE();
    case 189:
      if (eof) ADVANCE(204);
      if (lookahead == '\n') SKIP(186)
      END_STATE();
    case 190:
      if (eof) ADVANCE(204);
      if (lookahead == '\n') SKIP(187)
      END_STATE();
    case 191:
      if (eof) ADVANCE(204);
      if (lookahead == '\n') SKIP(199)
      END_STATE();
    case 192:
      if (eof) ADVANCE(204);
      if (lookahead == '\n') SKIP(188)
      END_STATE();
    case 193:
      if (eof) ADVANCE(204);
      if (lookahead == '\n') ADVANCE(213);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(142);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(193)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(421);
      END_STATE();
    case 194:
      if (eof) ADVANCE(204);
      if (lookahead == '\n') ADVANCE(215);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '=') ADVANCE(405);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(364);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(144);
      if (lookahead == '_') ADVANCE(368);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(194)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(421);
      END_STATE();
    case 195:
      if (eof) ADVANCE(204);
      if (lookahead == '\n') ADVANCE(218);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(255);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '=') ADVANCE(405);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(195)
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 196:
      if (eof) ADVANCE(204);
      if (lookahead == '\n') ADVANCE(219);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(364);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(148);
      if (lookahead == '_') ADVANCE(368);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(196)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(421);
      END_STATE();
    case 197:
      if (eof) ADVANCE(204);
      if (lookahead == '\n') ADVANCE(222);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == ';') ADVANCE(232);
      if (lookahead == '<') ADVANCE(283);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(152);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(197)
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(421);
      END_STATE();
    case 198:
      if (eof) ADVANCE(204);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(321);
      if (lookahead == '&') ADVANCE(115);
      if (lookahead == '\'') ADVANCE(106);
      if (lookahead == '(') ADVANCE(256);
      if (lookahead == ')') ADVANCE(250);
      if (lookahead == ';') ADVANCE(105);
      if (lookahead == '<') ADVANCE(282);
      if (lookahead == '>') ADVANCE(288);
      if (lookahead == '[') ADVANCE(267);
      if (lookahead == '\\') ADVANCE(132);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '{') ADVANCE(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(198)
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(421);
      END_STATE();
    case 199:
      if (eof) ADVANCE(204);
      if (lookahead == '!') ADVANCE(113);
      if (lookahead == '#') ADVANCE(351);
      if (lookahead == '$') ADVANCE(322);
      if (lookahead == '&') ADVANCE(104);
      if (lookahead == ')') ADVANCE(112);
      if (lookahead == '+') ADVANCE(303);
      if (lookahead == '-') ADVANCE(306);
      if (lookahead == ':') ADVANCE(314);
      if (lookahead == ';') ADVANCE(105);
      if (lookahead == '<') ADVANCE(286);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(290);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(323);
      if (lookahead == '\\') SKIP(202)
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == 'd') ADVANCE(128);
      if (lookahead == 'e') ADVANCE(125);
      if (lookahead == 'f') ADVANCE(123);
      if (lookahead == 'i') ADVANCE(126);
      if (lookahead == 't') ADVANCE(122);
      if (lookahead == '|') ADVANCE(130);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(199)
      END_STATE();
    case 200:
      if (eof) ADVANCE(204);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(186)
      if (lookahead == '\r') SKIP(189)
      END_STATE();
    case 201:
      if (eof) ADVANCE(204);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(187)
      if (lookahead == '\r') SKIP(190)
      END_STATE();
    case 202:
      if (eof) ADVANCE(204);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(199)
      if (lookahead == '\r') SKIP(191)
      END_STATE();
    case 203:
      if (eof) ADVANCE(204);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(188)
      if (lookahead == '\r') SKIP(192)
      END_STATE();
    case 204:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(205);
      if (lookahead == '\\') ADVANCE(137);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(206);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(207);
      if (lookahead == '-') ADVANCE(420);
      if (lookahead == '\\') ADVANCE(154);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(208);
      if (lookahead == '-') ADVANCE(306);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(209);
      if (lookahead == '\\') ADVANCE(138);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(210);
      if (lookahead == '\\') ADVANCE(139);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(211);
      if (lookahead == '\\') ADVANCE(140);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(212);
      if (lookahead == '\\') ADVANCE(141);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(213);
      if (lookahead == '\\') ADVANCE(142);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(214);
      if (lookahead == '\\') ADVANCE(143);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(144);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(145);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(146);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(218);
      if (lookahead == '\\') ADVANCE(147);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(219);
      if (lookahead == '\\') ADVANCE(148);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(150);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(221);
      if (lookahead == '\\') ADVANCE(151);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(222);
      if (lookahead == '\\') ADVANCE(152);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(223);
      if (lookahead == '\\') ADVANCE(160);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(224);
      if (lookahead == '\\') ADVANCE(161);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_in);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(360);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_LPAREN_LPAREN);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_RPAREN_RPAREN);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == '&') ADVANCE(253);
      if (lookahead == ';') ADVANCE(252);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == ';') ADVANCE(251);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_then);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_fi);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_fi);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_elif);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_esac);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_esac);
      if (lookahead == '\\') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(421);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_esac);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_esac);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(360);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '&') ADVANCE(259);
      if (lookahead == '|') ADVANCE(261);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(261);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      if (lookahead == '&') ADVANCE(254);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_SEMI_AMP);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI_AMP);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead == '(') ADVANCE(228);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_PIPE_AMP);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(301);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_3(lookahead)) ADVANCE(421);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(300);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(269);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(274);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == '~') ADVANCE(272);
      if (!sym_word_character_set_3(lookahead)) ADVANCE(421);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(273);
      if (lookahead == '~') ADVANCE(271);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(294);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(294);
      if (lookahead == '(') ADVANCE(347);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(294);
      if (lookahead == '(') ADVANCE(347);
      if (lookahead == '<') ADVANCE(297);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(294);
      if (lookahead == '(') ADVANCE(347);
      if (lookahead == '<') ADVANCE(297);
      if (lookahead == '=') ADVANCE(310);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(294);
      if (lookahead == '<') ADVANCE(297);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(310);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(295);
      if (lookahead == '(') ADVANCE(348);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '>') ADVANCE(291);
      if (lookahead == '|') ADVANCE(296);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(295);
      if (lookahead == '(') ADVANCE(348);
      if (lookahead == '>') ADVANCE(291);
      if (lookahead == '|') ADVANCE(296);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(295);
      if (lookahead == '>') ADVANCE(291);
      if (lookahead == '|') ADVANCE(296);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(311);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(anon_sym_AMP_GT);
      if (lookahead == '>') ADVANCE(293);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_AMP_GT_GT);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_LT_AMP);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_GT_AMP);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_GT_PIPE);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '-') ADVANCE(298);
      if (lookahead == '<') ADVANCE(299);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_LT_LT_DASH);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(317);
      if (lookahead == '=') ADVANCE(280);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_3(lookahead)) ADVANCE(421);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(316);
      if (lookahead == '=') ADVANCE(279);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(319);
      if (lookahead == '=') ADVANCE(309);
      if (lookahead == '\\') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(423);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(421);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(318);
      if (lookahead == '=') ADVANCE(308);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(423);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '-') ADVANCE(343);
      if (lookahead == '?') ADVANCE(342);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '\'') ADVANCE(107);
      if (lookahead == '(') ADVANCE(345);
      if (lookahead == '{') ADVANCE(340);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '(') ADVANCE(345);
      if (lookahead == '{') ADVANCE(340);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(sym__special_character);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(sym__special_character);
      if (lookahead == ']') ADVANCE(270);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '\n') ADVANCE(330);
      if (lookahead == '\\') ADVANCE(185);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(333);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '\n') ADVANCE(333);
      if (lookahead == '\\') ADVANCE(349);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(327);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '\n') ADVANCE(331);
      if (lookahead == '\\') ADVANCE(185);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(333);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '\n') ADVANCE(332);
      if (lookahead == '\\') ADVANCE(185);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(333);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(320);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '-') ADVANCE(304);
      if (lookahead == '0') ADVANCE(367);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '@') ADVANCE(363);
      if (lookahead == '\\') ADVANCE(177);
      if (lookahead == '_') ADVANCE(370);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(330);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(360);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(333);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '#') ADVANCE(338);
      if (lookahead == '$') ADVANCE(320);
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == '-') ADVANCE(304);
      if (lookahead == '0') ADVANCE(367);
      if (lookahead == '?') ADVANCE(312);
      if (lookahead == '@') ADVANCE(363);
      if (lookahead == '\\') ADVANCE(179);
      if (lookahead == '_') ADVANCE(370);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(331);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(360);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '`') ADVANCE(333);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '"') ADVANCE(325);
      if (lookahead == '#') ADVANCE(327);
      if (lookahead == '$') ADVANCE(322);
      if (lookahead == '\\') ADVANCE(180);
      if (lookahead == '`') ADVANCE(346);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(332);
      if (lookahead != 0) ADVANCE(333);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '\\') ADVANCE(185);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(333);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\' &&
          lookahead != '`') ADVANCE(333);
      if (lookahead == '\\') ADVANCE(185);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(sym_raw_string);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(sym_ansi_c_string);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(sym_ansi_c_string);
      if (lookahead == '\'') ADVANCE(336);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0) ADVANCE(107);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (lookahead == '\\') ADVANCE(350);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(422);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_COLON_QMARK);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_COLON_DASH);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LPAREN);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_LT_LPAREN);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(anon_sym_GT_LPAREN);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(333);
      if (lookahead == '\r') ADVANCE(327);
      if (lookahead != 0) ADVANCE(327);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(351);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(422);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(351);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'a') ADVANCE(353);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(421);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'c') ADVANCE(244);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(421);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 's') ADVANCE(352);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(421);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(421);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'a') ADVANCE(357);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(360);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'c') ADVANCE(246);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(360);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'n') ADVANCE(227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(360);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 's') ADVANCE(356);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(360);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(360);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym_0);
      if (lookahead == '\\') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(421);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym_0);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(anon_sym_0);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(360);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '\\') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(421);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(anon_sym__);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(360);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(205);
      if (lookahead == '#') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(137);
      if (lookahead == 'e') ADVANCE(354);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (!sym_word_character_set_5(lookahead)) ADVANCE(421);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(207);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '#') ADVANCE(422);
      if (lookahead == '-') ADVANCE(420);
      if (lookahead == '\\') ADVANCE(154);
      if (!sym_word_character_set_6(lookahead)) ADVANCE(421);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(209);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '#') ADVANCE(339);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == '=') ADVANCE(405);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(364);
      if (lookahead == '\\') ADVANCE(138);
      if (lookahead == '_') ADVANCE(368);
      if (lookahead == 'e') ADVANCE(354);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(421);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(210);
      if (lookahead == '#') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(139);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (!sym_word_character_set_5(lookahead)) ADVANCE(421);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(211);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '#') ADVANCE(339);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == '=') ADVANCE(405);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(364);
      if (lookahead == '\\') ADVANCE(140);
      if (lookahead == '_') ADVANCE(368);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(421);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(212);
      if (lookahead == '#') ADVANCE(422);
      if (lookahead == '=') ADVANCE(405);
      if (lookahead == '\\') ADVANCE(141);
      if (lookahead == 'e') ADVANCE(419);
      if (!sym_word_character_set_7(lookahead)) ADVANCE(421);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(213);
      if (lookahead == '#') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(142);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (!sym_word_character_set_5(lookahead)) ADVANCE(421);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(214);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '#') ADVANCE(339);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(364);
      if (lookahead == '\\') ADVANCE(143);
      if (lookahead == '_') ADVANCE(368);
      if (lookahead == 'e') ADVANCE(354);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '>' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(421);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(215);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '#') ADVANCE(339);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == '=') ADVANCE(405);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(364);
      if (lookahead == '\\') ADVANCE(144);
      if (lookahead == '_') ADVANCE(368);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(421);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(216);
      if (lookahead == '#') ADVANCE(422);
      if (lookahead == '=') ADVANCE(405);
      if (lookahead == '\\') ADVANCE(145);
      if (!sym_word_character_set_7(lookahead)) ADVANCE(421);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(217);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '#') ADVANCE(339);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(364);
      if (lookahead == '\\') ADVANCE(146);
      if (lookahead == '_') ADVANCE(368);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '>' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(421);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(218);
      if (lookahead == '#') ADVANCE(422);
      if (lookahead == '=') ADVANCE(405);
      if (lookahead == '\\') ADVANCE(147);
      if (!sym_word_character_set_7(lookahead)) ADVANCE(421);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(219);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '#') ADVANCE(339);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(364);
      if (lookahead == '\\') ADVANCE(148);
      if (lookahead == '_') ADVANCE(368);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '>' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(421);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(220);
      if (lookahead == '#') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(150);
      if (lookahead == 'e') ADVANCE(419);
      if (!sym_word_character_set_8(lookahead)) ADVANCE(421);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(221);
      if (lookahead == '#') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(151);
      if (!sym_word_character_set_8(lookahead)) ADVANCE(421);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(222);
      if (lookahead == '#') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(152);
      if (!sym_word_character_set_8(lookahead)) ADVANCE(421);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(223);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '#') ADVANCE(339);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(364);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead == '_') ADVANCE(368);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '>' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(421);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\n') ADVANCE(224);
      if (lookahead == '#') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(161);
      if (!sym_word_character_set_8(lookahead)) ADVANCE(421);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '!') ADVANCE(263);
      if (lookahead == '#') ADVANCE(339);
      if (lookahead == '%') ADVANCE(344);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '+') ADVANCE(302);
      if (lookahead == '-') ADVANCE(305);
      if (lookahead == '/') ADVANCE(341);
      if (lookahead == '0') ADVANCE(366);
      if (lookahead == ':') ADVANCE(315);
      if (lookahead == '=') ADVANCE(276);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(364);
      if (lookahead == '\\') ADVANCE(131);
      if (lookahead == '_') ADVANCE(369);
      if (lookahead == 'd') ADVANCE(418);
      if (lookahead == 'e') ADVANCE(414);
      if (lookahead == 'f') ADVANCE(412);
      if (lookahead == 'i') ADVANCE(416);
      if (lookahead == 't') ADVANCE(411);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(421);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '#') ADVANCE(339);
      if (lookahead == '%') ADVANCE(344);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == ':') ADVANCE(315);
      if (lookahead == '=') ADVANCE(278);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(364);
      if (lookahead == '\\') ADVANCE(159);
      if (lookahead == '_') ADVANCE(368);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || ')' < lookahead) &&
          (lookahead < ';' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(421);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '#') ADVANCE(339);
      if (lookahead == '*') ADVANCE(362);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '0') ADVANCE(365);
      if (lookahead == '?') ADVANCE(313);
      if (lookahead == '@') ADVANCE(364);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '_') ADVANCE(368);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '>' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(421);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '#') ADVANCE(422);
      if (lookahead == '-') ADVANCE(420);
      if (lookahead == '\\') ADVANCE(158);
      if (!sym_word_character_set_9(lookahead)) ADVANCE(421);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '#') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(132);
      if (!sym_word_character_set_9(lookahead)) ADVANCE(421);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '#') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(133);
      if (lookahead == 'e') ADVANCE(415);
      if (lookahead == 'f') ADVANCE(412);
      if (!sym_word_character_set_9(lookahead)) ADVANCE(421);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '#') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(134);
      if (lookahead == 'e') ADVANCE(419);
      if (!sym_word_character_set_9(lookahead)) ADVANCE(421);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '#') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(135);
      if (!sym_word_character_set_9(lookahead)) ADVANCE(421);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '!') ADVANCE(265);
      if (lookahead == '#') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(136);
      if (lookahead == 'f') ADVANCE(412);
      if (!sym_word_character_set_9(lookahead)) ADVANCE(421);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '#') ADVANCE(339);
      if (lookahead == '%') ADVANCE(344);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == '/') ADVANCE(341);
      if (lookahead == ':') ADVANCE(315);
      if (lookahead == '=') ADVANCE(278);
      if (lookahead == '\\') ADVANCE(157);
      if (!sym_word_character_set_10(lookahead)) ADVANCE(421);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '#') ADVANCE(339);
      if (lookahead == '%') ADVANCE(344);
      if (lookahead == '-') ADVANCE(307);
      if (lookahead == ':') ADVANCE(315);
      if (lookahead == '=') ADVANCE(278);
      if (lookahead == '\\') ADVANCE(156);
      if (!sym_word_character_set_10(lookahead)) ADVANCE(421);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '#') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(149);
      if (!sym_word_character_set_11(lookahead)) ADVANCE(421);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '#') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(153);
      if (!sym_word_character_set_11(lookahead)) ADVANCE(421);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '#') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(162);
      if (lookahead == 'e') ADVANCE(419);
      if (!sym_word_character_set_11(lookahead)) ADVANCE(421);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '#') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(163);
      if (!sym_word_character_set_11(lookahead)) ADVANCE(421);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '#') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(164);
      if (!sym_word_character_set_11(lookahead)) ADVANCE(421);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '=') ADVANCE(274);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == '~') ADVANCE(272);
      if (!sym_word_character_set_3(lookahead)) ADVANCE(421);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'a') ADVANCE(407);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'c') ADVANCE(245);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'e') ADVANCE(242);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'e') ADVANCE(417);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'f') ADVANCE(240);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'h') ADVANCE(409);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'i') ADVANCE(238);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'i') ADVANCE(410);
      if (lookahead == 's') ADVANCE(408);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'l') ADVANCE(413);
      if (lookahead == 's') ADVANCE(406);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'l') ADVANCE(413);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'n') ADVANCE(226);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'n') ADVANCE(236);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 'o') ADVANCE(234);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (lookahead == 's') ADVANCE(406);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(423);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(421);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(421);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(350);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(422);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(sym_test_operator);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(423);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(260);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(260);
      if (lookahead == '>') ADVANCE(292);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '\\') SKIP(1)
      if (lookahead == 'c') ADVANCE(2);
      if (lookahead == 'd') ADVANCE(3);
      if (lookahead == 'e') ADVANCE(4);
      if (lookahead == 'f') ADVANCE(5);
      if (lookahead == 'i') ADVANCE(6);
      if (lookahead == 'l') ADVANCE(7);
      if (lookahead == 'r') ADVANCE(8);
      if (lookahead == 's') ADVANCE(9);
      if (lookahead == 't') ADVANCE(10);
      if (lookahead == 'u') ADVANCE(11);
      if (lookahead == 'w') ADVANCE(12);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(0)
      if (lookahead == '\r') SKIP(13)
      END_STATE();
    case 2:
      if (lookahead == 'a') ADVANCE(14);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(15);
      if (lookahead == 'o') ADVANCE(16);
      END_STATE();
    case 4:
      if (lookahead == 'x') ADVANCE(17);
      END_STATE();
    case 5:
      if (lookahead == 'o') ADVANCE(18);
      if (lookahead == 'u') ADVANCE(19);
      END_STATE();
    case 6:
      if (lookahead == 'f') ADVANCE(20);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(21);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(22);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(23);
      END_STATE();
    case 10:
      if (lookahead == 'y') ADVANCE(24);
      END_STATE();
    case 11:
      if (lookahead == 'n') ADVANCE(25);
      END_STATE();
    case 12:
      if (lookahead == 'h') ADVANCE(26);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 14:
      if (lookahead == 's') ADVANCE(27);
      END_STATE();
    case 15:
      if (lookahead == 'c') ADVANCE(28);
      END_STATE();
    case 16:
      if (lookahead == 'n') ADVANCE(29);
      END_STATE();
    case 17:
      if (lookahead == 'p') ADVANCE(30);
      END_STATE();
    case 18:
      if (lookahead == 'r') ADVANCE(31);
      END_STATE();
    case 19:
      if (lookahead == 'n') ADVANCE(32);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 21:
      if (lookahead == 'c') ADVANCE(33);
      END_STATE();
    case 22:
      if (lookahead == 'a') ADVANCE(34);
      END_STATE();
    case 23:
      if (lookahead == 'l') ADVANCE(35);
      END_STATE();
    case 24:
      if (lookahead == 'p') ADVANCE(36);
      END_STATE();
    case 25:
      if (lookahead == 's') ADVANCE(37);
      if (lookahead == 't') ADVANCE(38);
      END_STATE();
    case 26:
      if (lookahead == 'i') ADVANCE(39);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(40);
      END_STATE();
    case 28:
      if (lookahead == 'l') ADVANCE(41);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 30:
      if (lookahead == 'o') ADVANCE(43);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 32:
      if (lookahead == 'c') ADVANCE(44);
      END_STATE();
    case 33:
      if (lookahead == 'a') ADVANCE(45);
      END_STATE();
    case 34:
      if (lookahead == 'd') ADVANCE(46);
      END_STATE();
    case 35:
      if (lookahead == 'e') ADVANCE(47);
      END_STATE();
    case 36:
      if (lookahead == 'e') ADVANCE(48);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(49);
      END_STATE();
    case 38:
      if (lookahead == 'i') ADVANCE(50);
      END_STATE();
    case 39:
      if (lookahead == 'l') ADVANCE(51);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 41:
      if (lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_done);
      END_STATE();
    case 43:
      if (lookahead == 'r') ADVANCE(53);
      END_STATE();
    case 44:
      if (lookahead == 't') ADVANCE(54);
      END_STATE();
    case 45:
      if (lookahead == 'l') ADVANCE(55);
      END_STATE();
    case 46:
      if (lookahead == 'o') ADVANCE(56);
      END_STATE();
    case 47:
      if (lookahead == 'c') ADVANCE(57);
      END_STATE();
    case 48:
      if (lookahead == 's') ADVANCE(58);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(59);
      END_STATE();
    case 50:
      if (lookahead == 'l') ADVANCE(60);
      END_STATE();
    case 51:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 52:
      if (lookahead == 'r') ADVANCE(62);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(63);
      END_STATE();
    case 54:
      if (lookahead == 'i') ADVANCE(64);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_local);
      END_STATE();
    case 56:
      if (lookahead == 'n') ADVANCE(65);
      END_STATE();
    case 57:
      if (lookahead == 't') ADVANCE(66);
      END_STATE();
    case 58:
      if (lookahead == 'e') ADVANCE(67);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_unset);
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_until);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(69);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 64:
      if (lookahead == 'o') ADVANCE(70);
      END_STATE();
    case 65:
      if (lookahead == 'l') ADVANCE(71);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_select);
      END_STATE();
    case 67:
      if (lookahead == 't') ADVANCE(72);
      END_STATE();
    case 68:
      if (lookahead == 'n') ADVANCE(73);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 70:
      if (lookahead == 'n') ADVANCE(74);
      END_STATE();
    case 71:
      if (lookahead == 'y') ADVANCE(75);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_typeset);
      END_STATE();
    case 73:
      if (lookahead == 'v') ADVANCE(76);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_unsetenv);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 198, .external_lex_state = 2},
  [2] = {.lex_state = 81, .external_lex_state = 2},
  [3] = {.lex_state = 81, .external_lex_state = 2},
  [4] = {.lex_state = 81, .external_lex_state = 2},
  [5] = {.lex_state = 81, .external_lex_state = 2},
  [6] = {.lex_state = 81, .external_lex_state = 2},
  [7] = {.lex_state = 81, .external_lex_state = 2},
  [8] = {.lex_state = 80, .external_lex_state = 2},
  [9] = {.lex_state = 80, .external_lex_state = 2},
  [10] = {.lex_state = 80, .external_lex_state = 2},
  [11] = {.lex_state = 80, .external_lex_state = 2},
  [12] = {.lex_state = 80, .external_lex_state = 2},
  [13] = {.lex_state = 198, .external_lex_state = 2},
  [14] = {.lex_state = 198, .external_lex_state = 2},
  [15] = {.lex_state = 198, .external_lex_state = 2},
  [16] = {.lex_state = 198, .external_lex_state = 2},
  [17] = {.lex_state = 198, .external_lex_state = 2},
  [18] = {.lex_state = 81, .external_lex_state = 2},
  [19] = {.lex_state = 81, .external_lex_state = 2},
  [20] = {.lex_state = 81, .external_lex_state = 2},
  [21] = {.lex_state = 198, .external_lex_state = 2},
  [22] = {.lex_state = 198, .external_lex_state = 2},
  [23] = {.lex_state = 198, .external_lex_state = 2},
  [24] = {.lex_state = 82, .external_lex_state = 3},
  [25] = {.lex_state = 198, .external_lex_state = 2},
  [26] = {.lex_state = 198, .external_lex_state = 2},
  [27] = {.lex_state = 198, .external_lex_state = 2},
  [28] = {.lex_state = 198, .external_lex_state = 2},
  [29] = {.lex_state = 198, .external_lex_state = 2},
  [30] = {.lex_state = 198, .external_lex_state = 2},
  [31] = {.lex_state = 198, .external_lex_state = 2},
  [32] = {.lex_state = 198, .external_lex_state = 2},
  [33] = {.lex_state = 198, .external_lex_state = 2},
  [34] = {.lex_state = 198, .external_lex_state = 2},
  [35] = {.lex_state = 198, .external_lex_state = 2},
  [36] = {.lex_state = 198, .external_lex_state = 2},
  [37] = {.lex_state = 198, .external_lex_state = 2},
  [38] = {.lex_state = 198, .external_lex_state = 2},
  [39] = {.lex_state = 198, .external_lex_state = 2},
  [40] = {.lex_state = 198, .external_lex_state = 2},
  [41] = {.lex_state = 198, .external_lex_state = 2},
  [42] = {.lex_state = 198, .external_lex_state = 2},
  [43] = {.lex_state = 198, .external_lex_state = 2},
  [44] = {.lex_state = 198, .external_lex_state = 2},
  [45] = {.lex_state = 198, .external_lex_state = 2},
  [46] = {.lex_state = 198, .external_lex_state = 2},
  [47] = {.lex_state = 198, .external_lex_state = 2},
  [48] = {.lex_state = 198, .external_lex_state = 2},
  [49] = {.lex_state = 198, .external_lex_state = 2},
  [50] = {.lex_state = 198, .external_lex_state = 2},
  [51] = {.lex_state = 83, .external_lex_state = 2},
  [52] = {.lex_state = 198, .external_lex_state = 2},
  [53] = {.lex_state = 198, .external_lex_state = 2},
  [54] = {.lex_state = 198, .external_lex_state = 2},
  [55] = {.lex_state = 198, .external_lex_state = 2},
  [56] = {.lex_state = 198, .external_lex_state = 2},
  [57] = {.lex_state = 198, .external_lex_state = 2},
  [58] = {.lex_state = 198, .external_lex_state = 2},
  [59] = {.lex_state = 82, .external_lex_state = 3},
  [60] = {.lex_state = 198, .external_lex_state = 2},
  [61] = {.lex_state = 198, .external_lex_state = 2},
  [62] = {.lex_state = 198, .external_lex_state = 2},
  [63] = {.lex_state = 198, .external_lex_state = 2},
  [64] = {.lex_state = 198, .external_lex_state = 2},
  [65] = {.lex_state = 198, .external_lex_state = 2},
  [66] = {.lex_state = 198, .external_lex_state = 2},
  [67] = {.lex_state = 82, .external_lex_state = 3},
  [68] = {.lex_state = 82, .external_lex_state = 3},
  [69] = {.lex_state = 83, .external_lex_state = 2},
  [70] = {.lex_state = 82, .external_lex_state = 3},
  [71] = {.lex_state = 198, .external_lex_state = 2},
  [72] = {.lex_state = 198, .external_lex_state = 2},
  [73] = {.lex_state = 198, .external_lex_state = 2},
  [74] = {.lex_state = 198, .external_lex_state = 2},
  [75] = {.lex_state = 198, .external_lex_state = 2},
  [76] = {.lex_state = 198, .external_lex_state = 2},
  [77] = {.lex_state = 198, .external_lex_state = 2},
  [78] = {.lex_state = 198, .external_lex_state = 2},
  [79] = {.lex_state = 198, .external_lex_state = 2},
  [80] = {.lex_state = 198, .external_lex_state = 2},
  [81] = {.lex_state = 198, .external_lex_state = 2},
  [82] = {.lex_state = 198, .external_lex_state = 2},
  [83] = {.lex_state = 198, .external_lex_state = 2},
  [84] = {.lex_state = 198, .external_lex_state = 2},
  [85] = {.lex_state = 198, .external_lex_state = 2},
  [86] = {.lex_state = 198, .external_lex_state = 2},
  [87] = {.lex_state = 198, .external_lex_state = 2},
  [88] = {.lex_state = 198, .external_lex_state = 2},
  [89] = {.lex_state = 198, .external_lex_state = 2},
  [90] = {.lex_state = 198, .external_lex_state = 2},
  [91] = {.lex_state = 198, .external_lex_state = 2},
  [92] = {.lex_state = 198, .external_lex_state = 2},
  [93] = {.lex_state = 198, .external_lex_state = 2},
  [94] = {.lex_state = 82, .external_lex_state = 3},
  [95] = {.lex_state = 82, .external_lex_state = 3},
  [96] = {.lex_state = 198, .external_lex_state = 2},
  [97] = {.lex_state = 198, .external_lex_state = 2},
  [98] = {.lex_state = 198, .external_lex_state = 2},
  [99] = {.lex_state = 198, .external_lex_state = 2},
  [100] = {.lex_state = 198, .external_lex_state = 2},
  [101] = {.lex_state = 198, .external_lex_state = 2},
  [102] = {.lex_state = 198, .external_lex_state = 2},
  [103] = {.lex_state = 198, .external_lex_state = 2},
  [104] = {.lex_state = 198, .external_lex_state = 2},
  [105] = {.lex_state = 198, .external_lex_state = 2},
  [106] = {.lex_state = 198, .external_lex_state = 2},
  [107] = {.lex_state = 83, .external_lex_state = 2},
  [108] = {.lex_state = 198, .external_lex_state = 2},
  [109] = {.lex_state = 198, .external_lex_state = 2},
  [110] = {.lex_state = 198, .external_lex_state = 2},
  [111] = {.lex_state = 198, .external_lex_state = 2},
  [112] = {.lex_state = 198, .external_lex_state = 2},
  [113] = {.lex_state = 198, .external_lex_state = 2},
  [114] = {.lex_state = 198, .external_lex_state = 2},
  [115] = {.lex_state = 198, .external_lex_state = 2},
  [116] = {.lex_state = 198, .external_lex_state = 2},
  [117] = {.lex_state = 198, .external_lex_state = 2},
  [118] = {.lex_state = 198, .external_lex_state = 2},
  [119] = {.lex_state = 198, .external_lex_state = 2},
  [120] = {.lex_state = 198, .external_lex_state = 2},
  [121] = {.lex_state = 198, .external_lex_state = 2},
  [122] = {.lex_state = 198, .external_lex_state = 2},
  [123] = {.lex_state = 198, .external_lex_state = 2},
  [124] = {.lex_state = 198, .external_lex_state = 2},
  [125] = {.lex_state = 198, .external_lex_state = 2},
  [126] = {.lex_state = 198, .external_lex_state = 2},
  [127] = {.lex_state = 198, .external_lex_state = 2},
  [128] = {.lex_state = 198, .external_lex_state = 2},
  [129] = {.lex_state = 198, .external_lex_state = 2},
  [130] = {.lex_state = 198, .external_lex_state = 2},
  [131] = {.lex_state = 198, .external_lex_state = 2},
  [132] = {.lex_state = 198, .external_lex_state = 2},
  [133] = {.lex_state = 198, .external_lex_state = 2},
  [134] = {.lex_state = 198, .external_lex_state = 2},
  [135] = {.lex_state = 198, .external_lex_state = 2},
  [136] = {.lex_state = 198, .external_lex_state = 2},
  [137] = {.lex_state = 198, .external_lex_state = 2},
  [138] = {.lex_state = 198, .external_lex_state = 2},
  [139] = {.lex_state = 198, .external_lex_state = 2},
  [140] = {.lex_state = 198, .external_lex_state = 2},
  [141] = {.lex_state = 198, .external_lex_state = 2},
  [142] = {.lex_state = 198, .external_lex_state = 2},
  [143] = {.lex_state = 198, .external_lex_state = 2},
  [144] = {.lex_state = 198, .external_lex_state = 2},
  [145] = {.lex_state = 198, .external_lex_state = 2},
  [146] = {.lex_state = 198, .external_lex_state = 2},
  [147] = {.lex_state = 198, .external_lex_state = 2},
  [148] = {.lex_state = 198, .external_lex_state = 2},
  [149] = {.lex_state = 198, .external_lex_state = 2},
  [150] = {.lex_state = 198, .external_lex_state = 2},
  [151] = {.lex_state = 198, .external_lex_state = 2},
  [152] = {.lex_state = 198, .external_lex_state = 2},
  [153] = {.lex_state = 198, .external_lex_state = 2},
  [154] = {.lex_state = 198, .external_lex_state = 2},
  [155] = {.lex_state = 198, .external_lex_state = 2},
  [156] = {.lex_state = 198, .external_lex_state = 2},
  [157] = {.lex_state = 198, .external_lex_state = 2},
  [158] = {.lex_state = 80, .external_lex_state = 4},
  [159] = {.lex_state = 80, .external_lex_state = 4},
  [160] = {.lex_state = 8, .external_lex_state = 5},
  [161] = {.lex_state = 198, .external_lex_state = 4},
  [162] = {.lex_state = 8, .external_lex_state = 5},
  [163] = {.lex_state = 8, .external_lex_state = 5},
  [164] = {.lex_state = 81, .external_lex_state = 4},
  [165] = {.lex_state = 198, .external_lex_state = 4},
  [166] = {.lex_state = 60, .external_lex_state = 6},
  [167] = {.lex_state = 61, .external_lex_state = 5},
  [168] = {.lex_state = 61, .external_lex_state = 5},
  [169] = {.lex_state = 61, .external_lex_state = 5},
  [170] = {.lex_state = 62, .external_lex_state = 6},
  [171] = {.lex_state = 63, .external_lex_state = 6},
  [172] = {.lex_state = 198, .external_lex_state = 4},
  [173] = {.lex_state = 198, .external_lex_state = 4},
  [174] = {.lex_state = 198, .external_lex_state = 2},
  [175] = {.lex_state = 83, .external_lex_state = 4},
  [176] = {.lex_state = 193, .external_lex_state = 5},
  [177] = {.lex_state = 198, .external_lex_state = 2},
  [178] = {.lex_state = 198, .external_lex_state = 4},
  [179] = {.lex_state = 193, .external_lex_state = 5},
  [180] = {.lex_state = 198, .external_lex_state = 4},
  [181] = {.lex_state = 65, .external_lex_state = 5},
  [182] = {.lex_state = 193, .external_lex_state = 5},
  [183] = {.lex_state = 80, .external_lex_state = 2},
  [184] = {.lex_state = 63, .external_lex_state = 6},
  [185] = {.lex_state = 63, .external_lex_state = 6},
  [186] = {.lex_state = 198, .external_lex_state = 4},
  [187] = {.lex_state = 82, .external_lex_state = 7},
  [188] = {.lex_state = 193, .external_lex_state = 5},
  [189] = {.lex_state = 63, .external_lex_state = 6},
  [190] = {.lex_state = 80, .external_lex_state = 2},
  [191] = {.lex_state = 63, .external_lex_state = 6},
  [192] = {.lex_state = 193, .external_lex_state = 5},
  [193] = {.lex_state = 80, .external_lex_state = 2},
  [194] = {.lex_state = 193, .external_lex_state = 5},
  [195] = {.lex_state = 65, .external_lex_state = 5},
  [196] = {.lex_state = 80, .external_lex_state = 2},
  [197] = {.lex_state = 198, .external_lex_state = 2},
  [198] = {.lex_state = 198, .external_lex_state = 2},
  [199] = {.lex_state = 198, .external_lex_state = 4},
  [200] = {.lex_state = 194, .external_lex_state = 6},
  [201] = {.lex_state = 67, .external_lex_state = 6},
  [202] = {.lex_state = 67, .external_lex_state = 6},
  [203] = {.lex_state = 198, .external_lex_state = 4},
  [204] = {.lex_state = 67, .external_lex_state = 6},
  [205] = {.lex_state = 193, .external_lex_state = 5},
  [206] = {.lex_state = 194, .external_lex_state = 6},
  [207] = {.lex_state = 8, .external_lex_state = 6},
  [208] = {.lex_state = 81, .external_lex_state = 2},
  [209] = {.lex_state = 81, .external_lex_state = 2},
  [210] = {.lex_state = 68, .external_lex_state = 5},
  [211] = {.lex_state = 8, .external_lex_state = 6},
  [212] = {.lex_state = 67, .external_lex_state = 6},
  [213] = {.lex_state = 193, .external_lex_state = 5},
  [214] = {.lex_state = 198, .external_lex_state = 4},
  [215] = {.lex_state = 68, .external_lex_state = 5},
  [216] = {.lex_state = 65, .external_lex_state = 6},
  [217] = {.lex_state = 67, .external_lex_state = 6},
  [218] = {.lex_state = 8, .external_lex_state = 6},
  [219] = {.lex_state = 195, .external_lex_state = 6},
  [220] = {.lex_state = 195, .external_lex_state = 6},
  [221] = {.lex_state = 195, .external_lex_state = 6},
  [222] = {.lex_state = 68, .external_lex_state = 6},
  [223] = {.lex_state = 196, .external_lex_state = 5},
  [224] = {.lex_state = 196, .external_lex_state = 5},
  [225] = {.lex_state = 61, .external_lex_state = 6},
  [226] = {.lex_state = 196, .external_lex_state = 5},
  [227] = {.lex_state = 195, .external_lex_state = 6},
  [228] = {.lex_state = 195, .external_lex_state = 6},
  [229] = {.lex_state = 195, .external_lex_state = 6},
  [230] = {.lex_state = 61, .external_lex_state = 6},
  [231] = {.lex_state = 61, .external_lex_state = 6},
  [232] = {.lex_state = 195, .external_lex_state = 6},
  [233] = {.lex_state = 195, .external_lex_state = 6},
  [234] = {.lex_state = 195, .external_lex_state = 6},
  [235] = {.lex_state = 196, .external_lex_state = 5},
  [236] = {.lex_state = 195, .external_lex_state = 6},
  [237] = {.lex_state = 195, .external_lex_state = 6},
  [238] = {.lex_state = 196, .external_lex_state = 6},
  [239] = {.lex_state = 193, .external_lex_state = 6},
  [240] = {.lex_state = 193, .external_lex_state = 6},
  [241] = {.lex_state = 198, .external_lex_state = 2},
  [242] = {.lex_state = 198, .external_lex_state = 2},
  [243] = {.lex_state = 83, .external_lex_state = 2},
  [244] = {.lex_state = 198, .external_lex_state = 2},
  [245] = {.lex_state = 195, .external_lex_state = 6},
  [246] = {.lex_state = 193, .external_lex_state = 6},
  [247] = {.lex_state = 193, .external_lex_state = 6},
  [248] = {.lex_state = 198, .external_lex_state = 2},
  [249] = {.lex_state = 196, .external_lex_state = 6},
  [250] = {.lex_state = 193, .external_lex_state = 6},
  [251] = {.lex_state = 193, .external_lex_state = 6},
  [252] = {.lex_state = 82, .external_lex_state = 3},
  [253] = {.lex_state = 83, .external_lex_state = 2},
  [254] = {.lex_state = 198, .external_lex_state = 2},
  [255] = {.lex_state = 82, .external_lex_state = 3},
  [256] = {.lex_state = 198, .external_lex_state = 2},
  [257] = {.lex_state = 195, .external_lex_state = 6},
  [258] = {.lex_state = 195, .external_lex_state = 6},
  [259] = {.lex_state = 198, .external_lex_state = 2},
  [260] = {.lex_state = 95, .external_lex_state = 2},
  [261] = {.lex_state = 198, .external_lex_state = 2},
  [262] = {.lex_state = 95, .external_lex_state = 2},
  [263] = {.lex_state = 95, .external_lex_state = 2},
  [264] = {.lex_state = 198, .external_lex_state = 2},
  [265] = {.lex_state = 198, .external_lex_state = 2},
  [266] = {.lex_state = 95, .external_lex_state = 2},
  [267] = {.lex_state = 198, .external_lex_state = 2},
  [268] = {.lex_state = 95, .external_lex_state = 2},
  [269] = {.lex_state = 193, .external_lex_state = 6},
  [270] = {.lex_state = 198, .external_lex_state = 2},
  [271] = {.lex_state = 193, .external_lex_state = 6},
  [272] = {.lex_state = 63, .external_lex_state = 8},
  [273] = {.lex_state = 71, .external_lex_state = 5},
  [274] = {.lex_state = 71, .external_lex_state = 5},
  [275] = {.lex_state = 71, .external_lex_state = 5},
  [276] = {.lex_state = 71, .external_lex_state = 5},
  [277] = {.lex_state = 63, .external_lex_state = 8},
  [278] = {.lex_state = 8, .external_lex_state = 9},
  [279] = {.lex_state = 63, .external_lex_state = 8},
  [280] = {.lex_state = 63, .external_lex_state = 8},
  [281] = {.lex_state = 8, .external_lex_state = 9},
  [282] = {.lex_state = 72, .external_lex_state = 5},
  [283] = {.lex_state = 8, .external_lex_state = 9},
  [284] = {.lex_state = 63, .external_lex_state = 8},
  [285] = {.lex_state = 67, .external_lex_state = 8},
  [286] = {.lex_state = 63, .external_lex_state = 8},
  [287] = {.lex_state = 8, .external_lex_state = 9},
  [288] = {.lex_state = 72, .external_lex_state = 5},
  [289] = {.lex_state = 63, .external_lex_state = 8},
  [290] = {.lex_state = 8, .external_lex_state = 9},
  [291] = {.lex_state = 72, .external_lex_state = 5},
  [292] = {.lex_state = 72, .external_lex_state = 5},
  [293] = {.lex_state = 197, .external_lex_state = 5},
  [294] = {.lex_state = 8, .external_lex_state = 9},
  [295] = {.lex_state = 195, .external_lex_state = 8},
  [296] = {.lex_state = 71, .external_lex_state = 9},
  [297] = {.lex_state = 197, .external_lex_state = 5},
  [298] = {.lex_state = 67, .external_lex_state = 8},
  [299] = {.lex_state = 197, .external_lex_state = 5},
  [300] = {.lex_state = 8, .external_lex_state = 5},
  [301] = {.lex_state = 67, .external_lex_state = 8},
  [302] = {.lex_state = 61, .external_lex_state = 9},
  [303] = {.lex_state = 67, .external_lex_state = 8},
  [304] = {.lex_state = 197, .external_lex_state = 5},
  [305] = {.lex_state = 197, .external_lex_state = 5},
  [306] = {.lex_state = 61, .external_lex_state = 9},
  [307] = {.lex_state = 63, .external_lex_state = 6},
  [308] = {.lex_state = 63, .external_lex_state = 6},
  [309] = {.lex_state = 8, .external_lex_state = 8},
  [310] = {.lex_state = 8, .external_lex_state = 5},
  [311] = {.lex_state = 63, .external_lex_state = 6},
  [312] = {.lex_state = 63, .external_lex_state = 8},
  [313] = {.lex_state = 63, .external_lex_state = 8},
  [314] = {.lex_state = 63, .external_lex_state = 8},
  [315] = {.lex_state = 63, .external_lex_state = 8},
  [316] = {.lex_state = 61, .external_lex_state = 9},
  [317] = {.lex_state = 63, .external_lex_state = 8},
  [318] = {.lex_state = 63, .external_lex_state = 8},
  [319] = {.lex_state = 8, .external_lex_state = 9},
  [320] = {.lex_state = 8, .external_lex_state = 9},
  [321] = {.lex_state = 197, .external_lex_state = 5},
  [322] = {.lex_state = 8, .external_lex_state = 9},
  [323] = {.lex_state = 197, .external_lex_state = 5},
  [324] = {.lex_state = 8, .external_lex_state = 9},
  [325] = {.lex_state = 8, .external_lex_state = 9},
  [326] = {.lex_state = 8, .external_lex_state = 9},
  [327] = {.lex_state = 63, .external_lex_state = 8},
  [328] = {.lex_state = 63, .external_lex_state = 8},
  [329] = {.lex_state = 8, .external_lex_state = 8},
  [330] = {.lex_state = 63, .external_lex_state = 8},
  [331] = {.lex_state = 63, .external_lex_state = 6},
  [332] = {.lex_state = 8, .external_lex_state = 8},
  [333] = {.lex_state = 63, .external_lex_state = 8},
  [334] = {.lex_state = 63, .external_lex_state = 8},
  [335] = {.lex_state = 63, .external_lex_state = 8},
  [336] = {.lex_state = 63, .external_lex_state = 8},
  [337] = {.lex_state = 63, .external_lex_state = 8},
  [338] = {.lex_state = 63, .external_lex_state = 8},
  [339] = {.lex_state = 63, .external_lex_state = 8},
  [340] = {.lex_state = 197, .external_lex_state = 5},
  [341] = {.lex_state = 63, .external_lex_state = 8},
  [342] = {.lex_state = 63, .external_lex_state = 8},
  [343] = {.lex_state = 63, .external_lex_state = 8},
  [344] = {.lex_state = 63, .external_lex_state = 8},
  [345] = {.lex_state = 63, .external_lex_state = 8},
  [346] = {.lex_state = 63, .external_lex_state = 8},
  [347] = {.lex_state = 63, .external_lex_state = 8},
  [348] = {.lex_state = 63, .external_lex_state = 8},
  [349] = {.lex_state = 63, .external_lex_state = 8},
  [350] = {.lex_state = 63, .external_lex_state = 8},
  [351] = {.lex_state = 67, .external_lex_state = 8},
  [352] = {.lex_state = 8, .external_lex_state = 9},
  [353] = {.lex_state = 8, .external_lex_state = 9},
  [354] = {.lex_state = 71, .external_lex_state = 9},
  [355] = {.lex_state = 8, .external_lex_state = 9},
  [356] = {.lex_state = 61, .external_lex_state = 9},
  [357] = {.lex_state = 195, .external_lex_state = 8},
  [358] = {.lex_state = 8, .external_lex_state = 5},
  [359] = {.lex_state = 61, .external_lex_state = 9},
  [360] = {.lex_state = 71, .external_lex_state = 9},
  [361] = {.lex_state = 8, .external_lex_state = 9},
  [362] = {.lex_state = 8, .external_lex_state = 9},
  [363] = {.lex_state = 8, .external_lex_state = 9},
  [364] = {.lex_state = 8, .external_lex_state = 9},
  [365] = {.lex_state = 8, .external_lex_state = 9},
  [366] = {.lex_state = 8, .external_lex_state = 9},
  [367] = {.lex_state = 8, .external_lex_state = 9},
  [368] = {.lex_state = 8, .external_lex_state = 9},
  [369] = {.lex_state = 8, .external_lex_state = 9},
  [370] = {.lex_state = 8, .external_lex_state = 9},
  [371] = {.lex_state = 8, .external_lex_state = 9},
  [372] = {.lex_state = 8, .external_lex_state = 9},
  [373] = {.lex_state = 8, .external_lex_state = 9},
  [374] = {.lex_state = 8, .external_lex_state = 9},
  [375] = {.lex_state = 67, .external_lex_state = 8},
  [376] = {.lex_state = 67, .external_lex_state = 8},
  [377] = {.lex_state = 8, .external_lex_state = 8},
  [378] = {.lex_state = 8, .external_lex_state = 9},
  [379] = {.lex_state = 8, .external_lex_state = 9},
  [380] = {.lex_state = 71, .external_lex_state = 9},
  [381] = {.lex_state = 61, .external_lex_state = 5},
  [382] = {.lex_state = 61, .external_lex_state = 9},
  [383] = {.lex_state = 71, .external_lex_state = 9},
  [384] = {.lex_state = 71, .external_lex_state = 9},
  [385] = {.lex_state = 193, .external_lex_state = 9},
  [386] = {.lex_state = 195, .external_lex_state = 8},
  [387] = {.lex_state = 71, .external_lex_state = 9},
  [388] = {.lex_state = 71, .external_lex_state = 9},
  [389] = {.lex_state = 67, .external_lex_state = 8},
  [390] = {.lex_state = 67, .external_lex_state = 8},
  [391] = {.lex_state = 71, .external_lex_state = 5},
  [392] = {.lex_state = 195, .external_lex_state = 8},
  [393] = {.lex_state = 71, .external_lex_state = 9},
  [394] = {.lex_state = 67, .external_lex_state = 8},
  [395] = {.lex_state = 67, .external_lex_state = 8},
  [396] = {.lex_state = 71, .external_lex_state = 9},
  [397] = {.lex_state = 71, .external_lex_state = 9},
  [398] = {.lex_state = 8, .external_lex_state = 8},
  [399] = {.lex_state = 8, .external_lex_state = 8},
  [400] = {.lex_state = 8, .external_lex_state = 8},
  [401] = {.lex_state = 8, .external_lex_state = 8},
  [402] = {.lex_state = 8, .external_lex_state = 8},
  [403] = {.lex_state = 8, .external_lex_state = 8},
  [404] = {.lex_state = 8, .external_lex_state = 8},
  [405] = {.lex_state = 193, .external_lex_state = 9},
  [406] = {.lex_state = 8, .external_lex_state = 8},
  [407] = {.lex_state = 8, .external_lex_state = 8},
  [408] = {.lex_state = 61, .external_lex_state = 9},
  [409] = {.lex_state = 8, .external_lex_state = 8},
  [410] = {.lex_state = 8, .external_lex_state = 8},
  [411] = {.lex_state = 8, .external_lex_state = 8},
  [412] = {.lex_state = 8, .external_lex_state = 8},
  [413] = {.lex_state = 61, .external_lex_state = 9},
  [414] = {.lex_state = 8, .external_lex_state = 8},
  [415] = {.lex_state = 8, .external_lex_state = 8},
  [416] = {.lex_state = 8, .external_lex_state = 8},
  [417] = {.lex_state = 8, .external_lex_state = 8},
  [418] = {.lex_state = 8, .external_lex_state = 6},
  [419] = {.lex_state = 61, .external_lex_state = 9},
  [420] = {.lex_state = 8, .external_lex_state = 8},
  [421] = {.lex_state = 8, .external_lex_state = 8},
  [422] = {.lex_state = 8, .external_lex_state = 8},
  [423] = {.lex_state = 71, .external_lex_state = 5},
  [424] = {.lex_state = 67, .external_lex_state = 8},
  [425] = {.lex_state = 71, .external_lex_state = 9},
  [426] = {.lex_state = 61, .external_lex_state = 9},
  [427] = {.lex_state = 61, .external_lex_state = 9},
  [428] = {.lex_state = 71, .external_lex_state = 9},
  [429] = {.lex_state = 71, .external_lex_state = 9},
  [430] = {.lex_state = 61, .external_lex_state = 9},
  [431] = {.lex_state = 71, .external_lex_state = 9},
  [432] = {.lex_state = 71, .external_lex_state = 9},
  [433] = {.lex_state = 71, .external_lex_state = 9},
  [434] = {.lex_state = 71, .external_lex_state = 9},
  [435] = {.lex_state = 71, .external_lex_state = 9},
  [436] = {.lex_state = 71, .external_lex_state = 9},
  [437] = {.lex_state = 61, .external_lex_state = 9},
  [438] = {.lex_state = 71, .external_lex_state = 9},
  [439] = {.lex_state = 71, .external_lex_state = 9},
  [440] = {.lex_state = 71, .external_lex_state = 9},
  [441] = {.lex_state = 71, .external_lex_state = 9},
  [442] = {.lex_state = 71, .external_lex_state = 9},
  [443] = {.lex_state = 71, .external_lex_state = 9},
  [444] = {.lex_state = 71, .external_lex_state = 9},
  [445] = {.lex_state = 71, .external_lex_state = 9},
  [446] = {.lex_state = 61, .external_lex_state = 9},
  [447] = {.lex_state = 61, .external_lex_state = 9},
  [448] = {.lex_state = 61, .external_lex_state = 9},
  [449] = {.lex_state = 195, .external_lex_state = 8},
  [450] = {.lex_state = 61, .external_lex_state = 9},
  [451] = {.lex_state = 8, .external_lex_state = 5},
  [452] = {.lex_state = 61, .external_lex_state = 9},
  [453] = {.lex_state = 61, .external_lex_state = 9},
  [454] = {.lex_state = 61, .external_lex_state = 9},
  [455] = {.lex_state = 61, .external_lex_state = 9},
  [456] = {.lex_state = 193, .external_lex_state = 9},
  [457] = {.lex_state = 197, .external_lex_state = 5},
  [458] = {.lex_state = 61, .external_lex_state = 9},
  [459] = {.lex_state = 71, .external_lex_state = 9},
  [460] = {.lex_state = 61, .external_lex_state = 9},
  [461] = {.lex_state = 71, .external_lex_state = 9},
  [462] = {.lex_state = 61, .external_lex_state = 9},
  [463] = {.lex_state = 193, .external_lex_state = 9},
  [464] = {.lex_state = 61, .external_lex_state = 9},
  [465] = {.lex_state = 197, .external_lex_state = 5},
  [466] = {.lex_state = 193, .external_lex_state = 9},
  [467] = {.lex_state = 61, .external_lex_state = 8},
  [468] = {.lex_state = 195, .external_lex_state = 8},
  [469] = {.lex_state = 67, .external_lex_state = 6},
  [470] = {.lex_state = 61, .external_lex_state = 9},
  [471] = {.lex_state = 61, .external_lex_state = 9},
  [472] = {.lex_state = 67, .external_lex_state = 8},
  [473] = {.lex_state = 193, .external_lex_state = 9},
  [474] = {.lex_state = 67, .external_lex_state = 8},
  [475] = {.lex_state = 195, .external_lex_state = 8},
  [476] = {.lex_state = 61, .external_lex_state = 9},
  [477] = {.lex_state = 8, .external_lex_state = 5},
  [478] = {.lex_state = 193, .external_lex_state = 9},
  [479] = {.lex_state = 67, .external_lex_state = 6},
  [480] = {.lex_state = 72, .external_lex_state = 9},
  [481] = {.lex_state = 195, .external_lex_state = 8},
  [482] = {.lex_state = 8, .external_lex_state = 5},
  [483] = {.lex_state = 61, .external_lex_state = 8},
  [484] = {.lex_state = 195, .external_lex_state = 8},
  [485] = {.lex_state = 8, .external_lex_state = 5},
  [486] = {.lex_state = 61, .external_lex_state = 8},
  [487] = {.lex_state = 61, .external_lex_state = 5},
  [488] = {.lex_state = 197, .external_lex_state = 5},
  [489] = {.lex_state = 67, .external_lex_state = 8},
  [490] = {.lex_state = 67, .external_lex_state = 6},
  [491] = {.lex_state = 197, .external_lex_state = 5},
  [492] = {.lex_state = 67, .external_lex_state = 6},
  [493] = {.lex_state = 61, .external_lex_state = 5},
  [494] = {.lex_state = 8, .external_lex_state = 8},
  [495] = {.lex_state = 72, .external_lex_state = 9},
  [496] = {.lex_state = 61, .external_lex_state = 9},
  [497] = {.lex_state = 195, .external_lex_state = 8},
  [498] = {.lex_state = 197, .external_lex_state = 5},
  [499] = {.lex_state = 8, .external_lex_state = 8},
  [500] = {.lex_state = 61, .external_lex_state = 8},
  [501] = {.lex_state = 197, .external_lex_state = 5},
  [502] = {.lex_state = 67, .external_lex_state = 8},
  [503] = {.lex_state = 67, .external_lex_state = 8},
  [504] = {.lex_state = 8, .external_lex_state = 8},
  [505] = {.lex_state = 67, .external_lex_state = 8},
  [506] = {.lex_state = 8, .external_lex_state = 8},
  [507] = {.lex_state = 67, .external_lex_state = 8},
  [508] = {.lex_state = 61, .external_lex_state = 9},
  [509] = {.lex_state = 63, .external_lex_state = 6},
  [510] = {.lex_state = 193, .external_lex_state = 9},
  [511] = {.lex_state = 197, .external_lex_state = 5},
  [512] = {.lex_state = 197, .external_lex_state = 5},
  [513] = {.lex_state = 63, .external_lex_state = 6},
  [514] = {.lex_state = 193, .external_lex_state = 9},
  [515] = {.lex_state = 8, .external_lex_state = 8},
  [516] = {.lex_state = 195, .external_lex_state = 8},
  [517] = {.lex_state = 8, .external_lex_state = 8},
  [518] = {.lex_state = 67, .external_lex_state = 8},
  [519] = {.lex_state = 67, .external_lex_state = 8},
  [520] = {.lex_state = 197, .external_lex_state = 5},
  [521] = {.lex_state = 67, .external_lex_state = 8},
  [522] = {.lex_state = 67, .external_lex_state = 8},
  [523] = {.lex_state = 67, .external_lex_state = 8},
  [524] = {.lex_state = 63, .external_lex_state = 6},
  [525] = {.lex_state = 67, .external_lex_state = 8},
  [526] = {.lex_state = 67, .external_lex_state = 8},
  [527] = {.lex_state = 67, .external_lex_state = 8},
  [528] = {.lex_state = 67, .external_lex_state = 8},
  [529] = {.lex_state = 195, .external_lex_state = 8},
  [530] = {.lex_state = 67, .external_lex_state = 8},
  [531] = {.lex_state = 67, .external_lex_state = 8},
  [532] = {.lex_state = 67, .external_lex_state = 8},
  [533] = {.lex_state = 67, .external_lex_state = 8},
  [534] = {.lex_state = 195, .external_lex_state = 8},
  [535] = {.lex_state = 193, .external_lex_state = 9},
  [536] = {.lex_state = 61, .external_lex_state = 9},
  [537] = {.lex_state = 72, .external_lex_state = 9},
  [538] = {.lex_state = 72, .external_lex_state = 9},
  [539] = {.lex_state = 195, .external_lex_state = 8},
  [540] = {.lex_state = 67, .external_lex_state = 8},
  [541] = {.lex_state = 197, .external_lex_state = 5},
  [542] = {.lex_state = 63, .external_lex_state = 6},
  [543] = {.lex_state = 8, .external_lex_state = 6},
  [544] = {.lex_state = 195, .external_lex_state = 8},
  [545] = {.lex_state = 72, .external_lex_state = 9},
  [546] = {.lex_state = 61, .external_lex_state = 8},
  [547] = {.lex_state = 195, .external_lex_state = 8},
  [548] = {.lex_state = 61, .external_lex_state = 8},
  [549] = {.lex_state = 61, .external_lex_state = 8},
  [550] = {.lex_state = 61, .external_lex_state = 8},
  [551] = {.lex_state = 193, .external_lex_state = 9},
  [552] = {.lex_state = 195, .external_lex_state = 8},
  [553] = {.lex_state = 61, .external_lex_state = 8},
  [554] = {.lex_state = 193, .external_lex_state = 5},
  [555] = {.lex_state = 195, .external_lex_state = 8},
  [556] = {.lex_state = 193, .external_lex_state = 9},
  [557] = {.lex_state = 197, .external_lex_state = 9},
  [558] = {.lex_state = 193, .external_lex_state = 9},
  [559] = {.lex_state = 71, .external_lex_state = 5},
  [560] = {.lex_state = 61, .external_lex_state = 8},
  [561] = {.lex_state = 72, .external_lex_state = 9},
  [562] = {.lex_state = 8, .external_lex_state = 6},
  [563] = {.lex_state = 193, .external_lex_state = 9},
  [564] = {.lex_state = 193, .external_lex_state = 9},
  [565] = {.lex_state = 71, .external_lex_state = 5},
  [566] = {.lex_state = 61, .external_lex_state = 8},
  [567] = {.lex_state = 193, .external_lex_state = 9},
  [568] = {.lex_state = 195, .external_lex_state = 6},
  [569] = {.lex_state = 61, .external_lex_state = 8},
  [570] = {.lex_state = 195, .external_lex_state = 6},
  [571] = {.lex_state = 193, .external_lex_state = 5},
  [572] = {.lex_state = 193, .external_lex_state = 8},
  [573] = {.lex_state = 195, .external_lex_state = 8},
  [574] = {.lex_state = 193, .external_lex_state = 9},
  [575] = {.lex_state = 193, .external_lex_state = 9},
  [576] = {.lex_state = 193, .external_lex_state = 9},
  [577] = {.lex_state = 193, .external_lex_state = 9},
  [578] = {.lex_state = 193, .external_lex_state = 9},
  [579] = {.lex_state = 193, .external_lex_state = 9},
  [580] = {.lex_state = 71, .external_lex_state = 5},
  [581] = {.lex_state = 193, .external_lex_state = 5},
  [582] = {.lex_state = 193, .external_lex_state = 9},
  [583] = {.lex_state = 61, .external_lex_state = 8},
  [584] = {.lex_state = 193, .external_lex_state = 9},
  [585] = {.lex_state = 193, .external_lex_state = 9},
  [586] = {.lex_state = 197, .external_lex_state = 9},
  [587] = {.lex_state = 193, .external_lex_state = 8},
  [588] = {.lex_state = 193, .external_lex_state = 9},
  [589] = {.lex_state = 197, .external_lex_state = 9},
  [590] = {.lex_state = 71, .external_lex_state = 5},
  [591] = {.lex_state = 193, .external_lex_state = 9},
  [592] = {.lex_state = 193, .external_lex_state = 9},
  [593] = {.lex_state = 193, .external_lex_state = 9},
  [594] = {.lex_state = 193, .external_lex_state = 8},
  [595] = {.lex_state = 193, .external_lex_state = 9},
  [596] = {.lex_state = 193, .external_lex_state = 9},
  [597] = {.lex_state = 193, .external_lex_state = 9},
  [598] = {.lex_state = 193, .external_lex_state = 9},
  [599] = {.lex_state = 193, .external_lex_state = 9},
  [600] = {.lex_state = 195, .external_lex_state = 8},
  [601] = {.lex_state = 195, .external_lex_state = 8},
  [602] = {.lex_state = 195, .external_lex_state = 8},
  [603] = {.lex_state = 25, .external_lex_state = 6},
  [604] = {.lex_state = 61, .external_lex_state = 8},
  [605] = {.lex_state = 195, .external_lex_state = 8},
  [606] = {.lex_state = 67, .external_lex_state = 6},
  [607] = {.lex_state = 195, .external_lex_state = 8},
  [608] = {.lex_state = 72, .external_lex_state = 9},
  [609] = {.lex_state = 193, .external_lex_state = 9},
  [610] = {.lex_state = 195, .external_lex_state = 8},
  [611] = {.lex_state = 193, .external_lex_state = 9},
  [612] = {.lex_state = 61, .external_lex_state = 8},
  [613] = {.lex_state = 193, .external_lex_state = 5},
  [614] = {.lex_state = 193, .external_lex_state = 8},
  [615] = {.lex_state = 193, .external_lex_state = 5},
  [616] = {.lex_state = 195, .external_lex_state = 8},
  [617] = {.lex_state = 195, .external_lex_state = 6},
  [618] = {.lex_state = 193, .external_lex_state = 9},
  [619] = {.lex_state = 193, .external_lex_state = 9},
  [620] = {.lex_state = 193, .external_lex_state = 9},
  [621] = {.lex_state = 193, .external_lex_state = 9},
  [622] = {.lex_state = 72, .external_lex_state = 9},
  [623] = {.lex_state = 195, .external_lex_state = 8},
  [624] = {.lex_state = 72, .external_lex_state = 9},
  [625] = {.lex_state = 195, .external_lex_state = 8},
  [626] = {.lex_state = 193, .external_lex_state = 9},
  [627] = {.lex_state = 195, .external_lex_state = 8},
  [628] = {.lex_state = 72, .external_lex_state = 5},
  [629] = {.lex_state = 195, .external_lex_state = 6},
  [630] = {.lex_state = 72, .external_lex_state = 9},
  [631] = {.lex_state = 193, .external_lex_state = 9},
  [632] = {.lex_state = 193, .external_lex_state = 9},
  [633] = {.lex_state = 193, .external_lex_state = 9},
  [634] = {.lex_state = 193, .external_lex_state = 9},
  [635] = {.lex_state = 193, .external_lex_state = 9},
  [636] = {.lex_state = 72, .external_lex_state = 9},
  [637] = {.lex_state = 72, .external_lex_state = 9},
  [638] = {.lex_state = 195, .external_lex_state = 8},
  [639] = {.lex_state = 72, .external_lex_state = 9},
  [640] = {.lex_state = 193, .external_lex_state = 9},
  [641] = {.lex_state = 193, .external_lex_state = 9},
  [642] = {.lex_state = 193, .external_lex_state = 9},
  [643] = {.lex_state = 195, .external_lex_state = 8},
  [644] = {.lex_state = 195, .external_lex_state = 8},
  [645] = {.lex_state = 195, .external_lex_state = 8},
  [646] = {.lex_state = 72, .external_lex_state = 9},
  [647] = {.lex_state = 195, .external_lex_state = 8},
  [648] = {.lex_state = 195, .external_lex_state = 8},
  [649] = {.lex_state = 72, .external_lex_state = 9},
  [650] = {.lex_state = 72, .external_lex_state = 9},
  [651] = {.lex_state = 72, .external_lex_state = 9},
  [652] = {.lex_state = 72, .external_lex_state = 9},
  [653] = {.lex_state = 193, .external_lex_state = 5},
  [654] = {.lex_state = 72, .external_lex_state = 9},
  [655] = {.lex_state = 72, .external_lex_state = 9},
  [656] = {.lex_state = 195, .external_lex_state = 8},
  [657] = {.lex_state = 195, .external_lex_state = 8},
  [658] = {.lex_state = 72, .external_lex_state = 9},
  [659] = {.lex_state = 61, .external_lex_state = 8},
  [660] = {.lex_state = 72, .external_lex_state = 9},
  [661] = {.lex_state = 61, .external_lex_state = 8},
  [662] = {.lex_state = 195, .external_lex_state = 6},
  [663] = {.lex_state = 193, .external_lex_state = 8},
  [664] = {.lex_state = 193, .external_lex_state = 9},
  [665] = {.lex_state = 193, .external_lex_state = 9},
  [666] = {.lex_state = 193, .external_lex_state = 9},
  [667] = {.lex_state = 193, .external_lex_state = 9},
  [668] = {.lex_state = 197, .external_lex_state = 9},
  [669] = {.lex_state = 193, .external_lex_state = 8},
  [670] = {.lex_state = 61, .external_lex_state = 8},
  [671] = {.lex_state = 193, .external_lex_state = 9},
  [672] = {.lex_state = 67, .external_lex_state = 6},
  [673] = {.lex_state = 193, .external_lex_state = 8},
  [674] = {.lex_state = 195, .external_lex_state = 8},
  [675] = {.lex_state = 193, .external_lex_state = 9},
  [676] = {.lex_state = 193, .external_lex_state = 9},
  [677] = {.lex_state = 193, .external_lex_state = 9},
  [678] = {.lex_state = 72, .external_lex_state = 9},
  [679] = {.lex_state = 72, .external_lex_state = 9},
  [680] = {.lex_state = 72, .external_lex_state = 9},
  [681] = {.lex_state = 195, .external_lex_state = 8},
  [682] = {.lex_state = 72, .external_lex_state = 9},
  [683] = {.lex_state = 195, .external_lex_state = 8},
  [684] = {.lex_state = 193, .external_lex_state = 9},
  [685] = {.lex_state = 61, .external_lex_state = 8},
  [686] = {.lex_state = 195, .external_lex_state = 8},
  [687] = {.lex_state = 195, .external_lex_state = 8},
  [688] = {.lex_state = 195, .external_lex_state = 8},
  [689] = {.lex_state = 195, .external_lex_state = 8},
  [690] = {.lex_state = 195, .external_lex_state = 8},
  [691] = {.lex_state = 195, .external_lex_state = 8},
  [692] = {.lex_state = 193, .external_lex_state = 9},
  [693] = {.lex_state = 61, .external_lex_state = 8},
  [694] = {.lex_state = 193, .external_lex_state = 9},
  [695] = {.lex_state = 61, .external_lex_state = 8},
  [696] = {.lex_state = 193, .external_lex_state = 9},
  [697] = {.lex_state = 61, .external_lex_state = 8},
  [698] = {.lex_state = 61, .external_lex_state = 8},
  [699] = {.lex_state = 193, .external_lex_state = 9},
  [700] = {.lex_state = 195, .external_lex_state = 8},
  [701] = {.lex_state = 61, .external_lex_state = 6},
  [702] = {.lex_state = 61, .external_lex_state = 6},
  [703] = {.lex_state = 61, .external_lex_state = 8},
  [704] = {.lex_state = 72, .external_lex_state = 9},
  [705] = {.lex_state = 61, .external_lex_state = 8},
  [706] = {.lex_state = 72, .external_lex_state = 9},
  [707] = {.lex_state = 195, .external_lex_state = 8},
  [708] = {.lex_state = 195, .external_lex_state = 6},
  [709] = {.lex_state = 61, .external_lex_state = 8},
  [710] = {.lex_state = 197, .external_lex_state = 9},
  [711] = {.lex_state = 61, .external_lex_state = 8},
  [712] = {.lex_state = 61, .external_lex_state = 8},
  [713] = {.lex_state = 72, .external_lex_state = 9},
  [714] = {.lex_state = 67, .external_lex_state = 6},
  [715] = {.lex_state = 195, .external_lex_state = 8},
  [716] = {.lex_state = 67, .external_lex_state = 6},
  [717] = {.lex_state = 61, .external_lex_state = 8},
  [718] = {.lex_state = 195, .external_lex_state = 8},
  [719] = {.lex_state = 195, .external_lex_state = 8},
  [720] = {.lex_state = 195, .external_lex_state = 8},
  [721] = {.lex_state = 195, .external_lex_state = 8},
  [722] = {.lex_state = 195, .external_lex_state = 8},
  [723] = {.lex_state = 195, .external_lex_state = 8},
  [724] = {.lex_state = 61, .external_lex_state = 8},
  [725] = {.lex_state = 195, .external_lex_state = 8},
  [726] = {.lex_state = 195, .external_lex_state = 6},
  [727] = {.lex_state = 197, .external_lex_state = 9},
  [728] = {.lex_state = 195, .external_lex_state = 6},
  [729] = {.lex_state = 195, .external_lex_state = 8},
  [730] = {.lex_state = 195, .external_lex_state = 8},
  [731] = {.lex_state = 195, .external_lex_state = 8},
  [732] = {.lex_state = 195, .external_lex_state = 8},
  [733] = {.lex_state = 193, .external_lex_state = 8},
  [734] = {.lex_state = 197, .external_lex_state = 9},
  [735] = {.lex_state = 61, .external_lex_state = 5},
  [736] = {.lex_state = 61, .external_lex_state = 5},
  [737] = {.lex_state = 72, .external_lex_state = 9},
  [738] = {.lex_state = 195, .external_lex_state = 8},
  [739] = {.lex_state = 195, .external_lex_state = 8},
  [740] = {.lex_state = 195, .external_lex_state = 8},
  [741] = {.lex_state = 195, .external_lex_state = 8},
  [742] = {.lex_state = 197, .external_lex_state = 9},
  [743] = {.lex_state = 72, .external_lex_state = 5},
  [744] = {.lex_state = 61, .external_lex_state = 5},
  [745] = {.lex_state = 195, .external_lex_state = 8},
  [746] = {.lex_state = 61, .external_lex_state = 5},
  [747] = {.lex_state = 195, .external_lex_state = 8},
  [748] = {.lex_state = 197, .external_lex_state = 9},
  [749] = {.lex_state = 96, .external_lex_state = 2},
  [750] = {.lex_state = 197, .external_lex_state = 9},
  [751] = {.lex_state = 197, .external_lex_state = 5},
  [752] = {.lex_state = 197, .external_lex_state = 9},
  [753] = {.lex_state = 197, .external_lex_state = 9},
  [754] = {.lex_state = 197, .external_lex_state = 9},
  [755] = {.lex_state = 197, .external_lex_state = 9},
  [756] = {.lex_state = 197, .external_lex_state = 9},
  [757] = {.lex_state = 197, .external_lex_state = 9},
  [758] = {.lex_state = 195, .external_lex_state = 6},
  [759] = {.lex_state = 197, .external_lex_state = 9},
  [760] = {.lex_state = 96, .external_lex_state = 2},
  [761] = {.lex_state = 197, .external_lex_state = 9},
  [762] = {.lex_state = 197, .external_lex_state = 9},
  [763] = {.lex_state = 197, .external_lex_state = 9},
  [764] = {.lex_state = 197, .external_lex_state = 9},
  [765] = {.lex_state = 197, .external_lex_state = 9},
  [766] = {.lex_state = 197, .external_lex_state = 9},
  [767] = {.lex_state = 72, .external_lex_state = 5},
  [768] = {.lex_state = 193, .external_lex_state = 5},
  [769] = {.lex_state = 72, .external_lex_state = 5},
  [770] = {.lex_state = 186, .external_lex_state = 6},
  [771] = {.lex_state = 72, .external_lex_state = 5},
  [772] = {.lex_state = 193, .external_lex_state = 6},
  [773] = {.lex_state = 197, .external_lex_state = 5},
  [774] = {.lex_state = 193, .external_lex_state = 8},
  [775] = {.lex_state = 193, .external_lex_state = 8},
  [776] = {.lex_state = 193, .external_lex_state = 8},
  [777] = {.lex_state = 193, .external_lex_state = 8},
  [778] = {.lex_state = 193, .external_lex_state = 8},
  [779] = {.lex_state = 193, .external_lex_state = 5},
  [780] = {.lex_state = 197, .external_lex_state = 9},
  [781] = {.lex_state = 193, .external_lex_state = 8},
  [782] = {.lex_state = 197, .external_lex_state = 9},
  [783] = {.lex_state = 197, .external_lex_state = 9},
  [784] = {.lex_state = 197, .external_lex_state = 9},
  [785] = {.lex_state = 197, .external_lex_state = 9},
  [786] = {.lex_state = 96, .external_lex_state = 2},
  [787] = {.lex_state = 197, .external_lex_state = 9},
  [788] = {.lex_state = 193, .external_lex_state = 8},
  [789] = {.lex_state = 193, .external_lex_state = 8},
  [790] = {.lex_state = 193, .external_lex_state = 8},
  [791] = {.lex_state = 197, .external_lex_state = 9},
  [792] = {.lex_state = 197, .external_lex_state = 9},
  [793] = {.lex_state = 197, .external_lex_state = 9},
  [794] = {.lex_state = 197, .external_lex_state = 9},
  [795] = {.lex_state = 193, .external_lex_state = 5},
  [796] = {.lex_state = 26, .external_lex_state = 6},
  [797] = {.lex_state = 193, .external_lex_state = 8},
  [798] = {.lex_state = 197, .external_lex_state = 9},
  [799] = {.lex_state = 193, .external_lex_state = 8},
  [800] = {.lex_state = 193, .external_lex_state = 8},
  [801] = {.lex_state = 193, .external_lex_state = 8},
  [802] = {.lex_state = 193, .external_lex_state = 8},
  [803] = {.lex_state = 197, .external_lex_state = 5},
  [804] = {.lex_state = 195, .external_lex_state = 6},
  [805] = {.lex_state = 193, .external_lex_state = 8},
  [806] = {.lex_state = 197, .external_lex_state = 9},
  [807] = {.lex_state = 197, .external_lex_state = 9},
  [808] = {.lex_state = 197, .external_lex_state = 9},
  [809] = {.lex_state = 197, .external_lex_state = 9},
  [810] = {.lex_state = 61, .external_lex_state = 6},
  [811] = {.lex_state = 193, .external_lex_state = 8},
  [812] = {.lex_state = 197, .external_lex_state = 5},
  [813] = {.lex_state = 193, .external_lex_state = 8},
  [814] = {.lex_state = 193, .external_lex_state = 8},
  [815] = {.lex_state = 193, .external_lex_state = 8},
  [816] = {.lex_state = 197, .external_lex_state = 9},
  [817] = {.lex_state = 193, .external_lex_state = 8},
  [818] = {.lex_state = 193, .external_lex_state = 8},
  [819] = {.lex_state = 193, .external_lex_state = 8},
  [820] = {.lex_state = 193, .external_lex_state = 8},
  [821] = {.lex_state = 193, .external_lex_state = 8},
  [822] = {.lex_state = 193, .external_lex_state = 5},
  [823] = {.lex_state = 193, .external_lex_state = 8},
  [824] = {.lex_state = 195, .external_lex_state = 6},
  [825] = {.lex_state = 193, .external_lex_state = 8},
  [826] = {.lex_state = 193, .external_lex_state = 8},
  [827] = {.lex_state = 195, .external_lex_state = 6},
  [828] = {.lex_state = 197, .external_lex_state = 9},
  [829] = {.lex_state = 195, .external_lex_state = 6},
  [830] = {.lex_state = 197, .external_lex_state = 9},
  [831] = {.lex_state = 72, .external_lex_state = 5},
  [832] = {.lex_state = 195, .external_lex_state = 6},
  [833] = {.lex_state = 193, .external_lex_state = 8},
  [834] = {.lex_state = 193, .external_lex_state = 8},
  [835] = {.lex_state = 193, .external_lex_state = 5},
  [836] = {.lex_state = 193, .external_lex_state = 8},
  [837] = {.lex_state = 193, .external_lex_state = 8},
  [838] = {.lex_state = 193, .external_lex_state = 8},
  [839] = {.lex_state = 193, .external_lex_state = 8},
  [840] = {.lex_state = 193, .external_lex_state = 8},
  [841] = {.lex_state = 193, .external_lex_state = 8},
  [842] = {.lex_state = 193, .external_lex_state = 5},
  [843] = {.lex_state = 193, .external_lex_state = 8},
  [844] = {.lex_state = 193, .external_lex_state = 8},
  [845] = {.lex_state = 193, .external_lex_state = 8},
  [846] = {.lex_state = 193, .external_lex_state = 8},
  [847] = {.lex_state = 193, .external_lex_state = 8},
  [848] = {.lex_state = 193, .external_lex_state = 8},
  [849] = {.lex_state = 193, .external_lex_state = 8},
  [850] = {.lex_state = 193, .external_lex_state = 8},
  [851] = {.lex_state = 193, .external_lex_state = 8},
  [852] = {.lex_state = 193, .external_lex_state = 8},
  [853] = {.lex_state = 193, .external_lex_state = 8},
  [854] = {.lex_state = 193, .external_lex_state = 5},
  [855] = {.lex_state = 193, .external_lex_state = 8},
  [856] = {.lex_state = 193, .external_lex_state = 8},
  [857] = {.lex_state = 193, .external_lex_state = 8},
  [858] = {.lex_state = 193, .external_lex_state = 8},
  [859] = {.lex_state = 193, .external_lex_state = 8},
  [860] = {.lex_state = 193, .external_lex_state = 8},
  [861] = {.lex_state = 197, .external_lex_state = 9},
  [862] = {.lex_state = 193, .external_lex_state = 6},
  [863] = {.lex_state = 193, .external_lex_state = 6},
  [864] = {.lex_state = 197, .external_lex_state = 9},
  [865] = {.lex_state = 193, .external_lex_state = 5},
  [866] = {.lex_state = 197, .external_lex_state = 9},
  [867] = {.lex_state = 197, .external_lex_state = 9},
  [868] = {.lex_state = 197, .external_lex_state = 9},
  [869] = {.lex_state = 197, .external_lex_state = 9},
  [870] = {.lex_state = 197, .external_lex_state = 9},
  [871] = {.lex_state = 197, .external_lex_state = 9},
  [872] = {.lex_state = 193, .external_lex_state = 6},
  [873] = {.lex_state = 197, .external_lex_state = 9},
  [874] = {.lex_state = 197, .external_lex_state = 9},
  [875] = {.lex_state = 197, .external_lex_state = 9},
  [876] = {.lex_state = 197, .external_lex_state = 9},
  [877] = {.lex_state = 197, .external_lex_state = 9},
  [878] = {.lex_state = 197, .external_lex_state = 9},
  [879] = {.lex_state = 195, .external_lex_state = 6},
  [880] = {.lex_state = 197, .external_lex_state = 9},
  [881] = {.lex_state = 197, .external_lex_state = 9},
  [882] = {.lex_state = 197, .external_lex_state = 9},
  [883] = {.lex_state = 96, .external_lex_state = 2},
  [884] = {.lex_state = 197, .external_lex_state = 9},
  [885] = {.lex_state = 96, .external_lex_state = 2},
  [886] = {.lex_state = 197, .external_lex_state = 9},
  [887] = {.lex_state = 195, .external_lex_state = 6},
  [888] = {.lex_state = 197, .external_lex_state = 5},
  [889] = {.lex_state = 197, .external_lex_state = 5},
  [890] = {.lex_state = 186, .external_lex_state = 6},
  [891] = {.lex_state = 193, .external_lex_state = 6},
  [892] = {.lex_state = 197, .external_lex_state = 5},
  [893] = {.lex_state = 197, .external_lex_state = 5},
  [894] = {.lex_state = 197, .external_lex_state = 5},
  [895] = {.lex_state = 197, .external_lex_state = 5},
  [896] = {.lex_state = 197, .external_lex_state = 5},
  [897] = {.lex_state = 197, .external_lex_state = 5},
  [898] = {.lex_state = 193, .external_lex_state = 6},
  [899] = {.lex_state = 33, .external_lex_state = 10},
  [900] = {.lex_state = 35, .external_lex_state = 10},
  [901] = {.lex_state = 33, .external_lex_state = 10},
  [902] = {.lex_state = 33, .external_lex_state = 10},
  [903] = {.lex_state = 33, .external_lex_state = 10},
  [904] = {.lex_state = 33, .external_lex_state = 10},
  [905] = {.lex_state = 33, .external_lex_state = 10},
  [906] = {.lex_state = 33, .external_lex_state = 10},
  [907] = {.lex_state = 78, .external_lex_state = 2},
  [908] = {.lex_state = 33, .external_lex_state = 10},
  [909] = {.lex_state = 33, .external_lex_state = 10},
  [910] = {.lex_state = 89},
  [911] = {.lex_state = 94, .external_lex_state = 11},
  [912] = {.lex_state = 93, .external_lex_state = 12},
  [913] = {.lex_state = 84},
  [914] = {.lex_state = 94, .external_lex_state = 11},
  [915] = {.lex_state = 84},
  [916] = {.lex_state = 84},
  [917] = {.lex_state = 94, .external_lex_state = 11},
  [918] = {.lex_state = 93, .external_lex_state = 12},
  [919] = {.lex_state = 93, .external_lex_state = 12},
  [920] = {.lex_state = 84, .external_lex_state = 13},
  [921] = {.lex_state = 93, .external_lex_state = 12},
  [922] = {.lex_state = 93, .external_lex_state = 12},
  [923] = {.lex_state = 94, .external_lex_state = 11},
  [924] = {.lex_state = 88, .external_lex_state = 14},
  [925] = {.lex_state = 94, .external_lex_state = 11},
  [926] = {.lex_state = 94, .external_lex_state = 11},
  [927] = {.lex_state = 94, .external_lex_state = 11},
  [928] = {.lex_state = 84},
  [929] = {.lex_state = 93, .external_lex_state = 12},
  [930] = {.lex_state = 93, .external_lex_state = 12},
  [931] = {.lex_state = 93, .external_lex_state = 12},
  [932] = {.lex_state = 93, .external_lex_state = 12},
  [933] = {.lex_state = 93, .external_lex_state = 12},
  [934] = {.lex_state = 93, .external_lex_state = 12},
  [935] = {.lex_state = 94, .external_lex_state = 11},
  [936] = {.lex_state = 94, .external_lex_state = 11},
  [937] = {.lex_state = 94, .external_lex_state = 11},
  [938] = {.lex_state = 84, .external_lex_state = 13},
  [939] = {.lex_state = 94, .external_lex_state = 11},
  [940] = {.lex_state = 93, .external_lex_state = 12},
  [941] = {.lex_state = 93, .external_lex_state = 12},
  [942] = {.lex_state = 93, .external_lex_state = 12},
  [943] = {.lex_state = 84},
  [944] = {.lex_state = 84},
  [945] = {.lex_state = 84},
  [946] = {.lex_state = 93, .external_lex_state = 12},
  [947] = {.lex_state = 84},
  [948] = {.lex_state = 94, .external_lex_state = 11},
  [949] = {.lex_state = 94, .external_lex_state = 11},
  [950] = {.lex_state = 94, .external_lex_state = 11},
  [951] = {.lex_state = 94, .external_lex_state = 11},
  [952] = {.lex_state = 94, .external_lex_state = 11},
  [953] = {.lex_state = 93, .external_lex_state = 12},
  [954] = {.lex_state = 93, .external_lex_state = 12},
  [955] = {.lex_state = 93, .external_lex_state = 12},
  [956] = {.lex_state = 84},
  [957] = {.lex_state = 84},
  [958] = {.lex_state = 84},
  [959] = {.lex_state = 93, .external_lex_state = 12},
  [960] = {.lex_state = 84},
  [961] = {.lex_state = 94, .external_lex_state = 11},
  [962] = {.lex_state = 94, .external_lex_state = 11},
  [963] = {.lex_state = 93, .external_lex_state = 12},
  [964] = {.lex_state = 94, .external_lex_state = 11},
  [965] = {.lex_state = 93, .external_lex_state = 12},
  [966] = {.lex_state = 94, .external_lex_state = 11},
  [967] = {.lex_state = 93, .external_lex_state = 12},
  [968] = {.lex_state = 94, .external_lex_state = 11},
  [969] = {.lex_state = 93, .external_lex_state = 12},
  [970] = {.lex_state = 93, .external_lex_state = 12},
  [971] = {.lex_state = 93, .external_lex_state = 12},
  [972] = {.lex_state = 94, .external_lex_state = 11},
  [973] = {.lex_state = 94, .external_lex_state = 11},
  [974] = {.lex_state = 94, .external_lex_state = 11},
  [975] = {.lex_state = 94, .external_lex_state = 11},
  [976] = {.lex_state = 93, .external_lex_state = 12},
  [977] = {.lex_state = 93, .external_lex_state = 12},
  [978] = {.lex_state = 93, .external_lex_state = 12},
  [979] = {.lex_state = 93, .external_lex_state = 12},
  [980] = {.lex_state = 94, .external_lex_state = 11},
  [981] = {.lex_state = 94, .external_lex_state = 11},
  [982] = {.lex_state = 94, .external_lex_state = 11},
  [983] = {.lex_state = 94, .external_lex_state = 11},
  [984] = {.lex_state = 94, .external_lex_state = 11},
  [985] = {.lex_state = 94, .external_lex_state = 11},
  [986] = {.lex_state = 84, .external_lex_state = 13},
  [987] = {.lex_state = 93, .external_lex_state = 12},
  [988] = {.lex_state = 94, .external_lex_state = 11},
  [989] = {.lex_state = 93, .external_lex_state = 12},
  [990] = {.lex_state = 93, .external_lex_state = 12},
  [991] = {.lex_state = 94, .external_lex_state = 11},
  [992] = {.lex_state = 93, .external_lex_state = 12},
  [993] = {.lex_state = 93, .external_lex_state = 12},
  [994] = {.lex_state = 93, .external_lex_state = 12},
  [995] = {.lex_state = 94, .external_lex_state = 11},
  [996] = {.lex_state = 93, .external_lex_state = 12},
  [997] = {.lex_state = 93, .external_lex_state = 12},
  [998] = {.lex_state = 94, .external_lex_state = 11},
  [999] = {.lex_state = 94, .external_lex_state = 11},
  [1000] = {.lex_state = 94, .external_lex_state = 11},
  [1001] = {.lex_state = 84, .external_lex_state = 13},
  [1002] = {.lex_state = 93, .external_lex_state = 12},
  [1003] = {.lex_state = 93, .external_lex_state = 12},
  [1004] = {.lex_state = 93, .external_lex_state = 12},
  [1005] = {.lex_state = 93, .external_lex_state = 12},
  [1006] = {.lex_state = 94, .external_lex_state = 11},
  [1007] = {.lex_state = 94, .external_lex_state = 11},
  [1008] = {.lex_state = 94, .external_lex_state = 11},
  [1009] = {.lex_state = 94, .external_lex_state = 11},
  [1010] = {.lex_state = 93, .external_lex_state = 12},
  [1011] = {.lex_state = 93, .external_lex_state = 12},
  [1012] = {.lex_state = 93, .external_lex_state = 12},
  [1013] = {.lex_state = 94, .external_lex_state = 11},
  [1014] = {.lex_state = 93, .external_lex_state = 12},
  [1015] = {.lex_state = 94, .external_lex_state = 11},
  [1016] = {.lex_state = 94, .external_lex_state = 11},
  [1017] = {.lex_state = 94, .external_lex_state = 11},
  [1018] = {.lex_state = 94, .external_lex_state = 11},
  [1019] = {.lex_state = 94, .external_lex_state = 11},
  [1020] = {.lex_state = 94, .external_lex_state = 11},
  [1021] = {.lex_state = 93, .external_lex_state = 12},
  [1022] = {.lex_state = 93, .external_lex_state = 12},
  [1023] = {.lex_state = 93, .external_lex_state = 12},
  [1024] = {.lex_state = 93, .external_lex_state = 12},
  [1025] = {.lex_state = 94, .external_lex_state = 11},
  [1026] = {.lex_state = 93, .external_lex_state = 12},
  [1027] = {.lex_state = 93, .external_lex_state = 12},
  [1028] = {.lex_state = 93, .external_lex_state = 12},
  [1029] = {.lex_state = 93, .external_lex_state = 12},
  [1030] = {.lex_state = 94, .external_lex_state = 11},
  [1031] = {.lex_state = 94, .external_lex_state = 11},
  [1032] = {.lex_state = 94, .external_lex_state = 11},
  [1033] = {.lex_state = 94, .external_lex_state = 11},
  [1034] = {.lex_state = 93, .external_lex_state = 12},
  [1035] = {.lex_state = 93, .external_lex_state = 12},
  [1036] = {.lex_state = 93, .external_lex_state = 12},
  [1037] = {.lex_state = 94, .external_lex_state = 11},
  [1038] = {.lex_state = 93, .external_lex_state = 12},
  [1039] = {.lex_state = 94, .external_lex_state = 11},
  [1040] = {.lex_state = 94, .external_lex_state = 11},
  [1041] = {.lex_state = 94, .external_lex_state = 11},
  [1042] = {.lex_state = 94, .external_lex_state = 11},
  [1043] = {.lex_state = 94, .external_lex_state = 11},
  [1044] = {.lex_state = 93, .external_lex_state = 12},
  [1045] = {.lex_state = 93, .external_lex_state = 12},
  [1046] = {.lex_state = 93, .external_lex_state = 12},
  [1047] = {.lex_state = 93, .external_lex_state = 12},
  [1048] = {.lex_state = 94, .external_lex_state = 11},
  [1049] = {.lex_state = 94, .external_lex_state = 11},
  [1050] = {.lex_state = 93, .external_lex_state = 12},
  [1051] = {.lex_state = 93, .external_lex_state = 12},
  [1052] = {.lex_state = 93, .external_lex_state = 12},
  [1053] = {.lex_state = 93, .external_lex_state = 12},
  [1054] = {.lex_state = 94, .external_lex_state = 11},
  [1055] = {.lex_state = 94, .external_lex_state = 11},
  [1056] = {.lex_state = 94, .external_lex_state = 11},
  [1057] = {.lex_state = 94, .external_lex_state = 11},
  [1058] = {.lex_state = 93, .external_lex_state = 12},
  [1059] = {.lex_state = 93, .external_lex_state = 12},
  [1060] = {.lex_state = 94, .external_lex_state = 11},
  [1061] = {.lex_state = 93, .external_lex_state = 12},
  [1062] = {.lex_state = 94, .external_lex_state = 11},
  [1063] = {.lex_state = 93, .external_lex_state = 12},
  [1064] = {.lex_state = 94, .external_lex_state = 11},
  [1065] = {.lex_state = 94, .external_lex_state = 11},
  [1066] = {.lex_state = 94, .external_lex_state = 11},
  [1067] = {.lex_state = 93, .external_lex_state = 12},
  [1068] = {.lex_state = 93, .external_lex_state = 12},
  [1069] = {.lex_state = 93, .external_lex_state = 12},
  [1070] = {.lex_state = 93, .external_lex_state = 12},
  [1071] = {.lex_state = 94, .external_lex_state = 11},
  [1072] = {.lex_state = 94, .external_lex_state = 11},
  [1073] = {.lex_state = 94, .external_lex_state = 11},
  [1074] = {.lex_state = 93, .external_lex_state = 12},
  [1075] = {.lex_state = 93, .external_lex_state = 12},
  [1076] = {.lex_state = 93, .external_lex_state = 12},
  [1077] = {.lex_state = 93, .external_lex_state = 12},
  [1078] = {.lex_state = 94, .external_lex_state = 11},
  [1079] = {.lex_state = 94, .external_lex_state = 11},
  [1080] = {.lex_state = 94, .external_lex_state = 11},
  [1081] = {.lex_state = 94, .external_lex_state = 11},
  [1082] = {.lex_state = 93, .external_lex_state = 12},
  [1083] = {.lex_state = 94, .external_lex_state = 11},
  [1084] = {.lex_state = 93, .external_lex_state = 12},
  [1085] = {.lex_state = 94, .external_lex_state = 11},
  [1086] = {.lex_state = 93, .external_lex_state = 12},
  [1087] = {.lex_state = 94, .external_lex_state = 11},
  [1088] = {.lex_state = 93, .external_lex_state = 12},
  [1089] = {.lex_state = 94, .external_lex_state = 11},
  [1090] = {.lex_state = 93, .external_lex_state = 12},
  [1091] = {.lex_state = 93, .external_lex_state = 12},
  [1092] = {.lex_state = 93, .external_lex_state = 12},
  [1093] = {.lex_state = 94, .external_lex_state = 11},
  [1094] = {.lex_state = 93, .external_lex_state = 12},
  [1095] = {.lex_state = 94, .external_lex_state = 11},
  [1096] = {.lex_state = 94, .external_lex_state = 11},
  [1097] = {.lex_state = 94, .external_lex_state = 11},
  [1098] = {.lex_state = 93, .external_lex_state = 12},
  [1099] = {.lex_state = 93, .external_lex_state = 12},
  [1100] = {.lex_state = 93, .external_lex_state = 12},
  [1101] = {.lex_state = 93, .external_lex_state = 12},
  [1102] = {.lex_state = 94, .external_lex_state = 11},
  [1103] = {.lex_state = 94, .external_lex_state = 11},
  [1104] = {.lex_state = 94, .external_lex_state = 11},
  [1105] = {.lex_state = 93, .external_lex_state = 12},
  [1106] = {.lex_state = 93, .external_lex_state = 12},
  [1107] = {.lex_state = 93, .external_lex_state = 12},
  [1108] = {.lex_state = 94, .external_lex_state = 11},
  [1109] = {.lex_state = 93, .external_lex_state = 12},
  [1110] = {.lex_state = 94, .external_lex_state = 11},
  [1111] = {.lex_state = 94, .external_lex_state = 11},
  [1112] = {.lex_state = 94, .external_lex_state = 11},
  [1113] = {.lex_state = 94, .external_lex_state = 11},
  [1114] = {.lex_state = 94, .external_lex_state = 11},
  [1115] = {.lex_state = 94, .external_lex_state = 11},
  [1116] = {.lex_state = 94, .external_lex_state = 11},
  [1117] = {.lex_state = 93, .external_lex_state = 12},
  [1118] = {.lex_state = 93, .external_lex_state = 12},
  [1119] = {.lex_state = 93, .external_lex_state = 12},
  [1120] = {.lex_state = 93, .external_lex_state = 12},
  [1121] = {.lex_state = 93, .external_lex_state = 12},
  [1122] = {.lex_state = 93, .external_lex_state = 12},
  [1123] = {.lex_state = 93, .external_lex_state = 12},
  [1124] = {.lex_state = 93, .external_lex_state = 12},
  [1125] = {.lex_state = 94, .external_lex_state = 11},
  [1126] = {.lex_state = 94, .external_lex_state = 11},
  [1127] = {.lex_state = 94, .external_lex_state = 11},
  [1128] = {.lex_state = 94, .external_lex_state = 11},
  [1129] = {.lex_state = 93, .external_lex_state = 12},
  [1130] = {.lex_state = 93, .external_lex_state = 12},
  [1131] = {.lex_state = 93, .external_lex_state = 12},
  [1132] = {.lex_state = 93, .external_lex_state = 12},
  [1133] = {.lex_state = 94, .external_lex_state = 11},
  [1134] = {.lex_state = 94, .external_lex_state = 11},
  [1135] = {.lex_state = 94, .external_lex_state = 11},
  [1136] = {.lex_state = 94, .external_lex_state = 11},
  [1137] = {.lex_state = 94, .external_lex_state = 11},
  [1138] = {.lex_state = 94, .external_lex_state = 11},
  [1139] = {.lex_state = 94, .external_lex_state = 11},
  [1140] = {.lex_state = 94, .external_lex_state = 11},
  [1141] = {.lex_state = 93, .external_lex_state = 12},
  [1142] = {.lex_state = 93, .external_lex_state = 12},
  [1143] = {.lex_state = 93, .external_lex_state = 12},
  [1144] = {.lex_state = 93, .external_lex_state = 12},
  [1145] = {.lex_state = 93, .external_lex_state = 12},
  [1146] = {.lex_state = 93, .external_lex_state = 12},
  [1147] = {.lex_state = 93, .external_lex_state = 12},
  [1148] = {.lex_state = 93, .external_lex_state = 12},
  [1149] = {.lex_state = 94, .external_lex_state = 11},
  [1150] = {.lex_state = 94, .external_lex_state = 11},
  [1151] = {.lex_state = 94, .external_lex_state = 11},
  [1152] = {.lex_state = 94, .external_lex_state = 11},
  [1153] = {.lex_state = 93, .external_lex_state = 12},
  [1154] = {.lex_state = 93, .external_lex_state = 12},
  [1155] = {.lex_state = 93, .external_lex_state = 12},
  [1156] = {.lex_state = 93, .external_lex_state = 12},
  [1157] = {.lex_state = 94, .external_lex_state = 11},
  [1158] = {.lex_state = 94, .external_lex_state = 11},
  [1159] = {.lex_state = 94, .external_lex_state = 11},
  [1160] = {.lex_state = 94, .external_lex_state = 11},
  [1161] = {.lex_state = 94, .external_lex_state = 11},
  [1162] = {.lex_state = 94, .external_lex_state = 11},
  [1163] = {.lex_state = 94, .external_lex_state = 11},
  [1164] = {.lex_state = 93, .external_lex_state = 12},
  [1165] = {.lex_state = 84, .external_lex_state = 13},
  [1166] = {.lex_state = 93, .external_lex_state = 12},
  [1167] = {.lex_state = 94, .external_lex_state = 11},
  [1168] = {.lex_state = 93, .external_lex_state = 12},
  [1169] = {.lex_state = 93, .external_lex_state = 12},
  [1170] = {.lex_state = 93, .external_lex_state = 12},
  [1171] = {.lex_state = 93, .external_lex_state = 12},
  [1172] = {.lex_state = 88},
  [1173] = {.lex_state = 94, .external_lex_state = 11},
  [1174] = {.lex_state = 94, .external_lex_state = 11},
  [1175] = {.lex_state = 94, .external_lex_state = 11},
  [1176] = {.lex_state = 94, .external_lex_state = 11},
  [1177] = {.lex_state = 93, .external_lex_state = 12},
  [1178] = {.lex_state = 94, .external_lex_state = 12},
  [1179] = {.lex_state = 94, .external_lex_state = 12},
  [1180] = {.lex_state = 94, .external_lex_state = 12},
  [1181] = {.lex_state = 94, .external_lex_state = 12},
  [1182] = {.lex_state = 94, .external_lex_state = 12},
  [1183] = {.lex_state = 94, .external_lex_state = 12},
  [1184] = {.lex_state = 94, .external_lex_state = 12},
  [1185] = {.lex_state = 94, .external_lex_state = 12},
  [1186] = {.lex_state = 94, .external_lex_state = 12},
  [1187] = {.lex_state = 94, .external_lex_state = 12},
  [1188] = {.lex_state = 94, .external_lex_state = 12},
  [1189] = {.lex_state = 94, .external_lex_state = 12},
  [1190] = {.lex_state = 94, .external_lex_state = 12},
  [1191] = {.lex_state = 94, .external_lex_state = 12},
  [1192] = {.lex_state = 94, .external_lex_state = 12},
  [1193] = {.lex_state = 94, .external_lex_state = 12},
  [1194] = {.lex_state = 94, .external_lex_state = 12},
  [1195] = {.lex_state = 94, .external_lex_state = 12},
  [1196] = {.lex_state = 94, .external_lex_state = 12},
  [1197] = {.lex_state = 84},
  [1198] = {.lex_state = 94, .external_lex_state = 12},
  [1199] = {.lex_state = 94, .external_lex_state = 12},
  [1200] = {.lex_state = 94, .external_lex_state = 12},
  [1201] = {.lex_state = 94, .external_lex_state = 12},
  [1202] = {.lex_state = 94, .external_lex_state = 12},
  [1203] = {.lex_state = 94, .external_lex_state = 12},
  [1204] = {.lex_state = 94, .external_lex_state = 12},
  [1205] = {.lex_state = 94, .external_lex_state = 12},
  [1206] = {.lex_state = 94, .external_lex_state = 12},
  [1207] = {.lex_state = 84},
  [1208] = {.lex_state = 94, .external_lex_state = 12},
  [1209] = {.lex_state = 94, .external_lex_state = 12},
  [1210] = {.lex_state = 94, .external_lex_state = 12},
  [1211] = {.lex_state = 94, .external_lex_state = 12},
  [1212] = {.lex_state = 94, .external_lex_state = 12},
  [1213] = {.lex_state = 84},
  [1214] = {.lex_state = 94, .external_lex_state = 12},
  [1215] = {.lex_state = 84},
  [1216] = {.lex_state = 84},
  [1217] = {.lex_state = 84},
  [1218] = {.lex_state = 94, .external_lex_state = 12},
  [1219] = {.lex_state = 94, .external_lex_state = 12},
  [1220] = {.lex_state = 94, .external_lex_state = 12},
  [1221] = {.lex_state = 94, .external_lex_state = 12},
  [1222] = {.lex_state = 94, .external_lex_state = 12},
  [1223] = {.lex_state = 94, .external_lex_state = 12},
  [1224] = {.lex_state = 94, .external_lex_state = 12},
  [1225] = {.lex_state = 94, .external_lex_state = 12},
  [1226] = {.lex_state = 94, .external_lex_state = 12},
  [1227] = {.lex_state = 94, .external_lex_state = 12},
  [1228] = {.lex_state = 94, .external_lex_state = 12},
  [1229] = {.lex_state = 94, .external_lex_state = 12},
  [1230] = {.lex_state = 94, .external_lex_state = 12},
  [1231] = {.lex_state = 94, .external_lex_state = 12},
  [1232] = {.lex_state = 94, .external_lex_state = 12},
  [1233] = {.lex_state = 94, .external_lex_state = 12},
  [1234] = {.lex_state = 94, .external_lex_state = 12},
  [1235] = {.lex_state = 94, .external_lex_state = 12},
  [1236] = {.lex_state = 94, .external_lex_state = 12},
  [1237] = {.lex_state = 94, .external_lex_state = 12},
  [1238] = {.lex_state = 94, .external_lex_state = 12},
  [1239] = {.lex_state = 94, .external_lex_state = 12},
  [1240] = {.lex_state = 94, .external_lex_state = 12},
  [1241] = {.lex_state = 94, .external_lex_state = 12},
  [1242] = {.lex_state = 94, .external_lex_state = 12},
  [1243] = {.lex_state = 94, .external_lex_state = 12},
  [1244] = {.lex_state = 94, .external_lex_state = 12},
  [1245] = {.lex_state = 94, .external_lex_state = 12},
  [1246] = {.lex_state = 94, .external_lex_state = 12},
  [1247] = {.lex_state = 94, .external_lex_state = 12},
  [1248] = {.lex_state = 94, .external_lex_state = 12},
  [1249] = {.lex_state = 94, .external_lex_state = 12},
  [1250] = {.lex_state = 94, .external_lex_state = 12},
  [1251] = {.lex_state = 94, .external_lex_state = 12},
  [1252] = {.lex_state = 94, .external_lex_state = 12},
  [1253] = {.lex_state = 94, .external_lex_state = 12},
  [1254] = {.lex_state = 94, .external_lex_state = 12},
  [1255] = {.lex_state = 94, .external_lex_state = 12},
  [1256] = {.lex_state = 94, .external_lex_state = 12},
  [1257] = {.lex_state = 94, .external_lex_state = 12},
  [1258] = {.lex_state = 94, .external_lex_state = 12},
  [1259] = {.lex_state = 94, .external_lex_state = 12},
  [1260] = {.lex_state = 94, .external_lex_state = 12},
  [1261] = {.lex_state = 84},
  [1262] = {.lex_state = 94, .external_lex_state = 12},
  [1263] = {.lex_state = 94, .external_lex_state = 12},
  [1264] = {.lex_state = 94, .external_lex_state = 12},
  [1265] = {.lex_state = 94, .external_lex_state = 12},
  [1266] = {.lex_state = 94, .external_lex_state = 12},
  [1267] = {.lex_state = 94, .external_lex_state = 12},
  [1268] = {.lex_state = 94, .external_lex_state = 12},
  [1269] = {.lex_state = 94, .external_lex_state = 12},
  [1270] = {.lex_state = 94, .external_lex_state = 12},
  [1271] = {.lex_state = 94, .external_lex_state = 12},
  [1272] = {.lex_state = 84},
  [1273] = {.lex_state = 94, .external_lex_state = 12},
  [1274] = {.lex_state = 94, .external_lex_state = 12},
  [1275] = {.lex_state = 94, .external_lex_state = 12},
  [1276] = {.lex_state = 94, .external_lex_state = 12},
  [1277] = {.lex_state = 94, .external_lex_state = 12},
  [1278] = {.lex_state = 94, .external_lex_state = 12},
  [1279] = {.lex_state = 94, .external_lex_state = 12},
  [1280] = {.lex_state = 94, .external_lex_state = 12},
  [1281] = {.lex_state = 94, .external_lex_state = 12},
  [1282] = {.lex_state = 94, .external_lex_state = 12},
  [1283] = {.lex_state = 94, .external_lex_state = 12},
  [1284] = {.lex_state = 94, .external_lex_state = 12},
  [1285] = {.lex_state = 94, .external_lex_state = 12},
  [1286] = {.lex_state = 94, .external_lex_state = 12},
  [1287] = {.lex_state = 94, .external_lex_state = 12},
  [1288] = {.lex_state = 94, .external_lex_state = 12},
  [1289] = {.lex_state = 94, .external_lex_state = 12},
  [1290] = {.lex_state = 94, .external_lex_state = 12},
  [1291] = {.lex_state = 94, .external_lex_state = 12},
  [1292] = {.lex_state = 94, .external_lex_state = 12},
  [1293] = {.lex_state = 94, .external_lex_state = 12},
  [1294] = {.lex_state = 94, .external_lex_state = 12},
  [1295] = {.lex_state = 94, .external_lex_state = 12},
  [1296] = {.lex_state = 94, .external_lex_state = 12},
  [1297] = {.lex_state = 94, .external_lex_state = 12},
  [1298] = {.lex_state = 94, .external_lex_state = 12},
  [1299] = {.lex_state = 94, .external_lex_state = 12},
  [1300] = {.lex_state = 94, .external_lex_state = 12},
  [1301] = {.lex_state = 94, .external_lex_state = 12},
  [1302] = {.lex_state = 94, .external_lex_state = 12},
  [1303] = {.lex_state = 94, .external_lex_state = 12},
  [1304] = {.lex_state = 94, .external_lex_state = 12},
  [1305] = {.lex_state = 94, .external_lex_state = 12},
  [1306] = {.lex_state = 94, .external_lex_state = 12},
  [1307] = {.lex_state = 94, .external_lex_state = 12},
  [1308] = {.lex_state = 94, .external_lex_state = 12},
  [1309] = {.lex_state = 94, .external_lex_state = 12},
  [1310] = {.lex_state = 94, .external_lex_state = 12},
  [1311] = {.lex_state = 94, .external_lex_state = 12},
  [1312] = {.lex_state = 94, .external_lex_state = 12},
  [1313] = {.lex_state = 84},
  [1314] = {.lex_state = 94, .external_lex_state = 12},
  [1315] = {.lex_state = 94, .external_lex_state = 12},
  [1316] = {.lex_state = 94, .external_lex_state = 12},
  [1317] = {.lex_state = 94, .external_lex_state = 12},
  [1318] = {.lex_state = 94, .external_lex_state = 12},
  [1319] = {.lex_state = 94, .external_lex_state = 12},
  [1320] = {.lex_state = 94, .external_lex_state = 12},
  [1321] = {.lex_state = 94, .external_lex_state = 12},
  [1322] = {.lex_state = 94, .external_lex_state = 12},
  [1323] = {.lex_state = 94, .external_lex_state = 12},
  [1324] = {.lex_state = 94, .external_lex_state = 12},
  [1325] = {.lex_state = 94, .external_lex_state = 12},
  [1326] = {.lex_state = 94, .external_lex_state = 12},
  [1327] = {.lex_state = 94, .external_lex_state = 12},
  [1328] = {.lex_state = 94, .external_lex_state = 12},
  [1329] = {.lex_state = 94, .external_lex_state = 12},
  [1330] = {.lex_state = 94, .external_lex_state = 12},
  [1331] = {.lex_state = 94, .external_lex_state = 12},
  [1332] = {.lex_state = 94, .external_lex_state = 12},
  [1333] = {.lex_state = 94, .external_lex_state = 12},
  [1334] = {.lex_state = 94, .external_lex_state = 12},
  [1335] = {.lex_state = 94, .external_lex_state = 12},
  [1336] = {.lex_state = 94, .external_lex_state = 12},
  [1337] = {.lex_state = 94, .external_lex_state = 12},
  [1338] = {.lex_state = 94, .external_lex_state = 12},
  [1339] = {.lex_state = 94, .external_lex_state = 12},
  [1340] = {.lex_state = 94, .external_lex_state = 12},
  [1341] = {.lex_state = 94, .external_lex_state = 12},
  [1342] = {.lex_state = 94, .external_lex_state = 12},
  [1343] = {.lex_state = 94, .external_lex_state = 12},
  [1344] = {.lex_state = 94, .external_lex_state = 12},
  [1345] = {.lex_state = 94, .external_lex_state = 12},
  [1346] = {.lex_state = 94, .external_lex_state = 12},
  [1347] = {.lex_state = 94, .external_lex_state = 12},
  [1348] = {.lex_state = 94, .external_lex_state = 12},
  [1349] = {.lex_state = 94, .external_lex_state = 12},
  [1350] = {.lex_state = 94, .external_lex_state = 12},
  [1351] = {.lex_state = 94, .external_lex_state = 12},
  [1352] = {.lex_state = 94, .external_lex_state = 12},
  [1353] = {.lex_state = 94, .external_lex_state = 12},
  [1354] = {.lex_state = 94, .external_lex_state = 12},
  [1355] = {.lex_state = 94, .external_lex_state = 12},
  [1356] = {.lex_state = 94, .external_lex_state = 12},
  [1357] = {.lex_state = 94, .external_lex_state = 12},
  [1358] = {.lex_state = 94, .external_lex_state = 12},
  [1359] = {.lex_state = 94, .external_lex_state = 12},
  [1360] = {.lex_state = 94, .external_lex_state = 12},
  [1361] = {.lex_state = 94, .external_lex_state = 12},
  [1362] = {.lex_state = 94, .external_lex_state = 12},
  [1363] = {.lex_state = 94, .external_lex_state = 12},
  [1364] = {.lex_state = 94, .external_lex_state = 12},
  [1365] = {.lex_state = 94, .external_lex_state = 12},
  [1366] = {.lex_state = 94, .external_lex_state = 12},
  [1367] = {.lex_state = 94, .external_lex_state = 12},
  [1368] = {.lex_state = 94, .external_lex_state = 12},
  [1369] = {.lex_state = 94, .external_lex_state = 12},
  [1370] = {.lex_state = 94, .external_lex_state = 12},
  [1371] = {.lex_state = 94, .external_lex_state = 12},
  [1372] = {.lex_state = 94, .external_lex_state = 12},
  [1373] = {.lex_state = 94, .external_lex_state = 12},
  [1374] = {.lex_state = 94, .external_lex_state = 12},
  [1375] = {.lex_state = 94, .external_lex_state = 12},
  [1376] = {.lex_state = 94, .external_lex_state = 12},
  [1377] = {.lex_state = 94, .external_lex_state = 12},
  [1378] = {.lex_state = 94, .external_lex_state = 12},
  [1379] = {.lex_state = 94, .external_lex_state = 12},
  [1380] = {.lex_state = 94, .external_lex_state = 12},
  [1381] = {.lex_state = 94, .external_lex_state = 12},
  [1382] = {.lex_state = 94, .external_lex_state = 12},
  [1383] = {.lex_state = 94, .external_lex_state = 12},
  [1384] = {.lex_state = 94, .external_lex_state = 12},
  [1385] = {.lex_state = 94, .external_lex_state = 12},
  [1386] = {.lex_state = 94, .external_lex_state = 12},
  [1387] = {.lex_state = 94, .external_lex_state = 12},
  [1388] = {.lex_state = 94, .external_lex_state = 12},
  [1389] = {.lex_state = 94, .external_lex_state = 12},
  [1390] = {.lex_state = 94, .external_lex_state = 12},
  [1391] = {.lex_state = 94, .external_lex_state = 12},
  [1392] = {.lex_state = 94, .external_lex_state = 12},
  [1393] = {.lex_state = 94, .external_lex_state = 12},
  [1394] = {.lex_state = 94, .external_lex_state = 12},
  [1395] = {.lex_state = 94, .external_lex_state = 12},
  [1396] = {.lex_state = 94, .external_lex_state = 12},
  [1397] = {.lex_state = 94, .external_lex_state = 12},
  [1398] = {.lex_state = 94, .external_lex_state = 12},
  [1399] = {.lex_state = 94, .external_lex_state = 12},
  [1400] = {.lex_state = 94, .external_lex_state = 12},
  [1401] = {.lex_state = 84},
  [1402] = {.lex_state = 94, .external_lex_state = 12},
  [1403] = {.lex_state = 84},
  [1404] = {.lex_state = 94, .external_lex_state = 12},
  [1405] = {.lex_state = 94, .external_lex_state = 12},
  [1406] = {.lex_state = 94, .external_lex_state = 12},
  [1407] = {.lex_state = 94, .external_lex_state = 12},
  [1408] = {.lex_state = 94, .external_lex_state = 12},
  [1409] = {.lex_state = 94, .external_lex_state = 12},
  [1410] = {.lex_state = 94, .external_lex_state = 12},
  [1411] = {.lex_state = 84},
  [1412] = {.lex_state = 94, .external_lex_state = 12},
  [1413] = {.lex_state = 94, .external_lex_state = 12},
  [1414] = {.lex_state = 94, .external_lex_state = 12},
  [1415] = {.lex_state = 94, .external_lex_state = 12},
  [1416] = {.lex_state = 94, .external_lex_state = 12},
  [1417] = {.lex_state = 94, .external_lex_state = 12},
  [1418] = {.lex_state = 94, .external_lex_state = 12},
  [1419] = {.lex_state = 94, .external_lex_state = 12},
  [1420] = {.lex_state = 94, .external_lex_state = 12},
  [1421] = {.lex_state = 94, .external_lex_state = 12},
  [1422] = {.lex_state = 94, .external_lex_state = 12},
  [1423] = {.lex_state = 94, .external_lex_state = 12},
  [1424] = {.lex_state = 94, .external_lex_state = 12},
  [1425] = {.lex_state = 94, .external_lex_state = 12},
  [1426] = {.lex_state = 94, .external_lex_state = 12},
  [1427] = {.lex_state = 94, .external_lex_state = 12},
  [1428] = {.lex_state = 94, .external_lex_state = 12},
  [1429] = {.lex_state = 94, .external_lex_state = 12},
  [1430] = {.lex_state = 94, .external_lex_state = 12},
  [1431] = {.lex_state = 94, .external_lex_state = 12},
  [1432] = {.lex_state = 94, .external_lex_state = 12},
  [1433] = {.lex_state = 94, .external_lex_state = 12},
  [1434] = {.lex_state = 94, .external_lex_state = 12},
  [1435] = {.lex_state = 94, .external_lex_state = 12},
  [1436] = {.lex_state = 94, .external_lex_state = 12},
  [1437] = {.lex_state = 94, .external_lex_state = 12},
  [1438] = {.lex_state = 94, .external_lex_state = 12},
  [1439] = {.lex_state = 94, .external_lex_state = 12},
  [1440] = {.lex_state = 94, .external_lex_state = 12},
  [1441] = {.lex_state = 94, .external_lex_state = 12},
  [1442] = {.lex_state = 94, .external_lex_state = 12},
  [1443] = {.lex_state = 94, .external_lex_state = 12},
  [1444] = {.lex_state = 94, .external_lex_state = 12},
  [1445] = {.lex_state = 94, .external_lex_state = 12},
  [1446] = {.lex_state = 94, .external_lex_state = 12},
  [1447] = {.lex_state = 94, .external_lex_state = 12},
  [1448] = {.lex_state = 94, .external_lex_state = 12},
  [1449] = {.lex_state = 94, .external_lex_state = 12},
  [1450] = {.lex_state = 94, .external_lex_state = 12},
  [1451] = {.lex_state = 94, .external_lex_state = 12},
  [1452] = {.lex_state = 94, .external_lex_state = 12},
  [1453] = {.lex_state = 94, .external_lex_state = 12},
  [1454] = {.lex_state = 94, .external_lex_state = 12},
  [1455] = {.lex_state = 94, .external_lex_state = 12},
  [1456] = {.lex_state = 94, .external_lex_state = 12},
  [1457] = {.lex_state = 94, .external_lex_state = 12},
  [1458] = {.lex_state = 94, .external_lex_state = 12},
  [1459] = {.lex_state = 94, .external_lex_state = 12},
  [1460] = {.lex_state = 94, .external_lex_state = 12},
  [1461] = {.lex_state = 94, .external_lex_state = 12},
  [1462] = {.lex_state = 94, .external_lex_state = 12},
  [1463] = {.lex_state = 94, .external_lex_state = 12},
  [1464] = {.lex_state = 94, .external_lex_state = 12},
  [1465] = {.lex_state = 94, .external_lex_state = 12},
  [1466] = {.lex_state = 94, .external_lex_state = 12},
  [1467] = {.lex_state = 94, .external_lex_state = 12},
  [1468] = {.lex_state = 94, .external_lex_state = 12},
  [1469] = {.lex_state = 94, .external_lex_state = 12},
  [1470] = {.lex_state = 94, .external_lex_state = 12},
  [1471] = {.lex_state = 94, .external_lex_state = 12},
  [1472] = {.lex_state = 94, .external_lex_state = 12},
  [1473] = {.lex_state = 94, .external_lex_state = 12},
  [1474] = {.lex_state = 94, .external_lex_state = 12},
  [1475] = {.lex_state = 94, .external_lex_state = 12},
  [1476] = {.lex_state = 94, .external_lex_state = 12},
  [1477] = {.lex_state = 94, .external_lex_state = 12},
  [1478] = {.lex_state = 94, .external_lex_state = 12},
  [1479] = {.lex_state = 94, .external_lex_state = 12},
  [1480] = {.lex_state = 94, .external_lex_state = 12},
  [1481] = {.lex_state = 94, .external_lex_state = 12},
  [1482] = {.lex_state = 94, .external_lex_state = 12},
  [1483] = {.lex_state = 94, .external_lex_state = 12},
  [1484] = {.lex_state = 94, .external_lex_state = 12},
  [1485] = {.lex_state = 94, .external_lex_state = 12},
  [1486] = {.lex_state = 94, .external_lex_state = 12},
  [1487] = {.lex_state = 94, .external_lex_state = 12},
  [1488] = {.lex_state = 94, .external_lex_state = 12},
  [1489] = {.lex_state = 94, .external_lex_state = 12},
  [1490] = {.lex_state = 84},
  [1491] = {.lex_state = 94, .external_lex_state = 12},
  [1492] = {.lex_state = 94, .external_lex_state = 12},
  [1493] = {.lex_state = 94, .external_lex_state = 12},
  [1494] = {.lex_state = 94, .external_lex_state = 12},
  [1495] = {.lex_state = 94, .external_lex_state = 12},
  [1496] = {.lex_state = 94, .external_lex_state = 12},
  [1497] = {.lex_state = 94, .external_lex_state = 12},
  [1498] = {.lex_state = 84},
  [1499] = {.lex_state = 94, .external_lex_state = 12},
  [1500] = {.lex_state = 94, .external_lex_state = 12},
  [1501] = {.lex_state = 94, .external_lex_state = 12},
  [1502] = {.lex_state = 94, .external_lex_state = 12},
  [1503] = {.lex_state = 94, .external_lex_state = 12},
  [1504] = {.lex_state = 94, .external_lex_state = 12},
  [1505] = {.lex_state = 94, .external_lex_state = 12},
  [1506] = {.lex_state = 94, .external_lex_state = 12},
  [1507] = {.lex_state = 94, .external_lex_state = 12},
  [1508] = {.lex_state = 94, .external_lex_state = 12},
  [1509] = {.lex_state = 94, .external_lex_state = 12},
  [1510] = {.lex_state = 94, .external_lex_state = 12},
  [1511] = {.lex_state = 94, .external_lex_state = 12},
  [1512] = {.lex_state = 94, .external_lex_state = 12},
  [1513] = {.lex_state = 94, .external_lex_state = 12},
  [1514] = {.lex_state = 94, .external_lex_state = 12},
  [1515] = {.lex_state = 94, .external_lex_state = 12},
  [1516] = {.lex_state = 94, .external_lex_state = 12},
  [1517] = {.lex_state = 94, .external_lex_state = 12},
  [1518] = {.lex_state = 94, .external_lex_state = 12},
  [1519] = {.lex_state = 94, .external_lex_state = 12},
  [1520] = {.lex_state = 84},
  [1521] = {.lex_state = 94, .external_lex_state = 12},
  [1522] = {.lex_state = 94, .external_lex_state = 12},
  [1523] = {.lex_state = 94, .external_lex_state = 12},
  [1524] = {.lex_state = 94, .external_lex_state = 12},
  [1525] = {.lex_state = 94, .external_lex_state = 12},
  [1526] = {.lex_state = 94, .external_lex_state = 12},
  [1527] = {.lex_state = 94, .external_lex_state = 12},
  [1528] = {.lex_state = 94, .external_lex_state = 12},
  [1529] = {.lex_state = 94, .external_lex_state = 12},
  [1530] = {.lex_state = 94, .external_lex_state = 12},
  [1531] = {.lex_state = 94, .external_lex_state = 12},
  [1532] = {.lex_state = 94, .external_lex_state = 12},
  [1533] = {.lex_state = 94, .external_lex_state = 12},
  [1534] = {.lex_state = 84},
  [1535] = {.lex_state = 94, .external_lex_state = 12},
  [1536] = {.lex_state = 94, .external_lex_state = 12},
  [1537] = {.lex_state = 94, .external_lex_state = 12},
  [1538] = {.lex_state = 94, .external_lex_state = 12},
  [1539] = {.lex_state = 94, .external_lex_state = 12},
  [1540] = {.lex_state = 94, .external_lex_state = 12},
  [1541] = {.lex_state = 94, .external_lex_state = 12},
  [1542] = {.lex_state = 94, .external_lex_state = 12},
  [1543] = {.lex_state = 94, .external_lex_state = 12},
  [1544] = {.lex_state = 94, .external_lex_state = 12},
  [1545] = {.lex_state = 94, .external_lex_state = 12},
  [1546] = {.lex_state = 94, .external_lex_state = 12},
  [1547] = {.lex_state = 94, .external_lex_state = 12},
  [1548] = {.lex_state = 94, .external_lex_state = 12},
  [1549] = {.lex_state = 94, .external_lex_state = 12},
  [1550] = {.lex_state = 94, .external_lex_state = 12},
  [1551] = {.lex_state = 94, .external_lex_state = 12},
  [1552] = {.lex_state = 94, .external_lex_state = 12},
  [1553] = {.lex_state = 94, .external_lex_state = 12},
  [1554] = {.lex_state = 94, .external_lex_state = 12},
  [1555] = {.lex_state = 94, .external_lex_state = 12},
  [1556] = {.lex_state = 94, .external_lex_state = 12},
  [1557] = {.lex_state = 94, .external_lex_state = 12},
  [1558] = {.lex_state = 94, .external_lex_state = 12},
  [1559] = {.lex_state = 94, .external_lex_state = 12},
  [1560] = {.lex_state = 94, .external_lex_state = 12},
  [1561] = {.lex_state = 94, .external_lex_state = 12},
  [1562] = {.lex_state = 94, .external_lex_state = 12},
  [1563] = {.lex_state = 94, .external_lex_state = 12},
  [1564] = {.lex_state = 94, .external_lex_state = 12},
  [1565] = {.lex_state = 84},
  [1566] = {.lex_state = 94, .external_lex_state = 12},
  [1567] = {.lex_state = 94, .external_lex_state = 12},
  [1568] = {.lex_state = 94, .external_lex_state = 12},
  [1569] = {.lex_state = 94, .external_lex_state = 12},
  [1570] = {.lex_state = 94, .external_lex_state = 12},
  [1571] = {.lex_state = 94, .external_lex_state = 12},
  [1572] = {.lex_state = 94, .external_lex_state = 12},
  [1573] = {.lex_state = 94, .external_lex_state = 12},
  [1574] = {.lex_state = 94, .external_lex_state = 12},
  [1575] = {.lex_state = 94, .external_lex_state = 12},
  [1576] = {.lex_state = 94, .external_lex_state = 12},
  [1577] = {.lex_state = 94, .external_lex_state = 12},
  [1578] = {.lex_state = 94, .external_lex_state = 12},
  [1579] = {.lex_state = 94, .external_lex_state = 12},
  [1580] = {.lex_state = 94, .external_lex_state = 12},
  [1581] = {.lex_state = 94, .external_lex_state = 12},
  [1582] = {.lex_state = 94, .external_lex_state = 12},
  [1583] = {.lex_state = 94, .external_lex_state = 12},
  [1584] = {.lex_state = 94, .external_lex_state = 12},
  [1585] = {.lex_state = 94, .external_lex_state = 12},
  [1586] = {.lex_state = 94, .external_lex_state = 12},
  [1587] = {.lex_state = 94, .external_lex_state = 12},
  [1588] = {.lex_state = 94, .external_lex_state = 12},
  [1589] = {.lex_state = 94, .external_lex_state = 12},
  [1590] = {.lex_state = 94, .external_lex_state = 12},
  [1591] = {.lex_state = 94, .external_lex_state = 12},
  [1592] = {.lex_state = 94, .external_lex_state = 12},
  [1593] = {.lex_state = 94, .external_lex_state = 12},
  [1594] = {.lex_state = 94, .external_lex_state = 12},
  [1595] = {.lex_state = 94, .external_lex_state = 12},
  [1596] = {.lex_state = 84},
  [1597] = {.lex_state = 94, .external_lex_state = 12},
  [1598] = {.lex_state = 94, .external_lex_state = 12},
  [1599] = {.lex_state = 94, .external_lex_state = 12},
  [1600] = {.lex_state = 94, .external_lex_state = 12},
  [1601] = {.lex_state = 84},
  [1602] = {.lex_state = 94, .external_lex_state = 12},
  [1603] = {.lex_state = 84},
  [1604] = {.lex_state = 94, .external_lex_state = 12},
  [1605] = {.lex_state = 84},
  [1606] = {.lex_state = 94, .external_lex_state = 12},
  [1607] = {.lex_state = 94, .external_lex_state = 12},
  [1608] = {.lex_state = 94, .external_lex_state = 12},
  [1609] = {.lex_state = 94, .external_lex_state = 12},
  [1610] = {.lex_state = 94, .external_lex_state = 12},
  [1611] = {.lex_state = 94, .external_lex_state = 12},
  [1612] = {.lex_state = 94, .external_lex_state = 12},
  [1613] = {.lex_state = 94, .external_lex_state = 12},
  [1614] = {.lex_state = 94, .external_lex_state = 12},
  [1615] = {.lex_state = 94, .external_lex_state = 12},
  [1616] = {.lex_state = 94, .external_lex_state = 12},
  [1617] = {.lex_state = 84},
  [1618] = {.lex_state = 94, .external_lex_state = 12},
  [1619] = {.lex_state = 84},
  [1620] = {.lex_state = 94, .external_lex_state = 12},
  [1621] = {.lex_state = 84},
  [1622] = {.lex_state = 94, .external_lex_state = 12},
  [1623] = {.lex_state = 84},
  [1624] = {.lex_state = 84},
  [1625] = {.lex_state = 84},
  [1626] = {.lex_state = 84},
  [1627] = {.lex_state = 94, .external_lex_state = 12},
  [1628] = {.lex_state = 84},
  [1629] = {.lex_state = 84},
  [1630] = {.lex_state = 94, .external_lex_state = 12},
  [1631] = {.lex_state = 94, .external_lex_state = 12},
  [1632] = {.lex_state = 94, .external_lex_state = 12},
  [1633] = {.lex_state = 94, .external_lex_state = 12},
  [1634] = {.lex_state = 94, .external_lex_state = 12},
  [1635] = {.lex_state = 94, .external_lex_state = 12},
  [1636] = {.lex_state = 94, .external_lex_state = 12},
  [1637] = {.lex_state = 94, .external_lex_state = 12},
  [1638] = {.lex_state = 94, .external_lex_state = 12},
  [1639] = {.lex_state = 94, .external_lex_state = 12},
  [1640] = {.lex_state = 94, .external_lex_state = 12},
  [1641] = {.lex_state = 84},
  [1642] = {.lex_state = 94, .external_lex_state = 12},
  [1643] = {.lex_state = 84},
  [1644] = {.lex_state = 94, .external_lex_state = 12},
  [1645] = {.lex_state = 84},
  [1646] = {.lex_state = 28, .external_lex_state = 6},
  [1647] = {.lex_state = 28, .external_lex_state = 6},
  [1648] = {.lex_state = 28, .external_lex_state = 6},
  [1649] = {.lex_state = 28, .external_lex_state = 6},
  [1650] = {.lex_state = 28, .external_lex_state = 6},
  [1651] = {.lex_state = 77, .external_lex_state = 12},
  [1652] = {.lex_state = 28, .external_lex_state = 6},
  [1653] = {.lex_state = 28, .external_lex_state = 6},
  [1654] = {.lex_state = 28, .external_lex_state = 6},
  [1655] = {.lex_state = 28, .external_lex_state = 8},
  [1656] = {.lex_state = 28, .external_lex_state = 6},
  [1657] = {.lex_state = 28, .external_lex_state = 6},
  [1658] = {.lex_state = 28, .external_lex_state = 6},
  [1659] = {.lex_state = 187, .external_lex_state = 6},
  [1660] = {.lex_state = 187, .external_lex_state = 6},
  [1661] = {.lex_state = 28, .external_lex_state = 6},
  [1662] = {.lex_state = 187, .external_lex_state = 6},
  [1663] = {.lex_state = 187, .external_lex_state = 6},
  [1664] = {.lex_state = 187, .external_lex_state = 6},
  [1665] = {.lex_state = 187, .external_lex_state = 6},
  [1666] = {.lex_state = 28, .external_lex_state = 8},
  [1667] = {.lex_state = 187, .external_lex_state = 6},
  [1668] = {.lex_state = 28, .external_lex_state = 8},
  [1669] = {.lex_state = 187, .external_lex_state = 6},
  [1670] = {.lex_state = 36, .external_lex_state = 15},
  [1671] = {.lex_state = 187, .external_lex_state = 6},
  [1672] = {.lex_state = 28, .external_lex_state = 6},
  [1673] = {.lex_state = 28, .external_lex_state = 8},
  [1674] = {.lex_state = 28, .external_lex_state = 6},
  [1675] = {.lex_state = 28, .external_lex_state = 8},
  [1676] = {.lex_state = 28, .external_lex_state = 6},
  [1677] = {.lex_state = 74, .external_lex_state = 10},
  [1678] = {.lex_state = 187, .external_lex_state = 8},
  [1679] = {.lex_state = 187, .external_lex_state = 6},
  [1680] = {.lex_state = 187, .external_lex_state = 6},
  [1681] = {.lex_state = 28, .external_lex_state = 6},
  [1682] = {.lex_state = 28, .external_lex_state = 8},
  [1683] = {.lex_state = 187, .external_lex_state = 6},
  [1684] = {.lex_state = 28, .external_lex_state = 8},
  [1685] = {.lex_state = 187, .external_lex_state = 6},
  [1686] = {.lex_state = 187, .external_lex_state = 6},
  [1687] = {.lex_state = 96, .external_lex_state = 2},
  [1688] = {.lex_state = 187, .external_lex_state = 6},
  [1689] = {.lex_state = 28, .external_lex_state = 6},
  [1690] = {.lex_state = 28, .external_lex_state = 8},
  [1691] = {.lex_state = 28, .external_lex_state = 8},
  [1692] = {.lex_state = 36, .external_lex_state = 15},
  [1693] = {.lex_state = 28, .external_lex_state = 8},
  [1694] = {.lex_state = 28, .external_lex_state = 8},
  [1695] = {.lex_state = 28, .external_lex_state = 8},
  [1696] = {.lex_state = 28, .external_lex_state = 8},
  [1697] = {.lex_state = 187, .external_lex_state = 6},
  [1698] = {.lex_state = 28, .external_lex_state = 8},
  [1699] = {.lex_state = 36, .external_lex_state = 10},
  [1700] = {.lex_state = 96, .external_lex_state = 16},
  [1701] = {.lex_state = 96, .external_lex_state = 16},
  [1702] = {.lex_state = 96, .external_lex_state = 16},
  [1703] = {.lex_state = 187, .external_lex_state = 6},
  [1704] = {.lex_state = 187, .external_lex_state = 6},
  [1705] = {.lex_state = 187, .external_lex_state = 6},
  [1706] = {.lex_state = 28, .external_lex_state = 8},
  [1707] = {.lex_state = 187, .external_lex_state = 8},
  [1708] = {.lex_state = 28, .external_lex_state = 8},
  [1709] = {.lex_state = 187, .external_lex_state = 6},
  [1710] = {.lex_state = 96, .external_lex_state = 16},
  [1711] = {.lex_state = 28, .external_lex_state = 8},
  [1712] = {.lex_state = 187, .external_lex_state = 6},
  [1713] = {.lex_state = 28, .external_lex_state = 8},
  [1714] = {.lex_state = 96, .external_lex_state = 16},
  [1715] = {.lex_state = 187, .external_lex_state = 8},
  [1716] = {.lex_state = 187, .external_lex_state = 6},
  [1717] = {.lex_state = 75, .external_lex_state = 10},
  [1718] = {.lex_state = 187, .external_lex_state = 8},
  [1719] = {.lex_state = 187, .external_lex_state = 8},
  [1720] = {.lex_state = 28, .external_lex_state = 8},
  [1721] = {.lex_state = 36, .external_lex_state = 15},
  [1722] = {.lex_state = 28, .external_lex_state = 8},
  [1723] = {.lex_state = 187, .external_lex_state = 8},
  [1724] = {.lex_state = 28, .external_lex_state = 8},
  [1725] = {.lex_state = 28, .external_lex_state = 8},
  [1726] = {.lex_state = 28, .external_lex_state = 8},
  [1727] = {.lex_state = 28, .external_lex_state = 6},
  [1728] = {.lex_state = 28, .external_lex_state = 8},
  [1729] = {.lex_state = 28, .external_lex_state = 8},
  [1730] = {.lex_state = 187, .external_lex_state = 6},
  [1731] = {.lex_state = 28, .external_lex_state = 8},
  [1732] = {.lex_state = 28, .external_lex_state = 8},
  [1733] = {.lex_state = 28, .external_lex_state = 8},
  [1734] = {.lex_state = 28, .external_lex_state = 8},
  [1735] = {.lex_state = 28, .external_lex_state = 8},
  [1736] = {.lex_state = 36, .external_lex_state = 15},
  [1737] = {.lex_state = 36, .external_lex_state = 10},
  [1738] = {.lex_state = 28, .external_lex_state = 8},
  [1739] = {.lex_state = 28, .external_lex_state = 8},
  [1740] = {.lex_state = 28, .external_lex_state = 8},
  [1741] = {.lex_state = 187, .external_lex_state = 6},
  [1742] = {.lex_state = 187, .external_lex_state = 8},
  [1743] = {.lex_state = 28, .external_lex_state = 8},
  [1744] = {.lex_state = 28, .external_lex_state = 8},
  [1745] = {.lex_state = 187, .external_lex_state = 8},
  [1746] = {.lex_state = 28, .external_lex_state = 8},
  [1747] = {.lex_state = 75, .external_lex_state = 10},
  [1748] = {.lex_state = 28, .external_lex_state = 8},
  [1749] = {.lex_state = 187, .external_lex_state = 6},
  [1750] = {.lex_state = 28, .external_lex_state = 8},
  [1751] = {.lex_state = 28, .external_lex_state = 8},
  [1752] = {.lex_state = 187, .external_lex_state = 6},
  [1753] = {.lex_state = 75, .external_lex_state = 10},
  [1754] = {.lex_state = 75, .external_lex_state = 10},
  [1755] = {.lex_state = 199, .external_lex_state = 17},
  [1756] = {.lex_state = 187, .external_lex_state = 8},
  [1757] = {.lex_state = 28, .external_lex_state = 6},
  [1758] = {.lex_state = 28, .external_lex_state = 6},
  [1759] = {.lex_state = 187, .external_lex_state = 6},
  [1760] = {.lex_state = 187, .external_lex_state = 8},
  [1761] = {.lex_state = 90, .external_lex_state = 17},
  [1762] = {.lex_state = 187, .external_lex_state = 6},
  [1763] = {.lex_state = 28, .external_lex_state = 6},
  [1764] = {.lex_state = 187, .external_lex_state = 8},
  [1765] = {.lex_state = 28, .external_lex_state = 6},
  [1766] = {.lex_state = 28, .external_lex_state = 6},
  [1767] = {.lex_state = 28, .external_lex_state = 6},
  [1768] = {.lex_state = 28, .external_lex_state = 6},
  [1769] = {.lex_state = 28, .external_lex_state = 6},
  [1770] = {.lex_state = 28, .external_lex_state = 6},
  [1771] = {.lex_state = 187, .external_lex_state = 6},
  [1772] = {.lex_state = 96, .external_lex_state = 2},
  [1773] = {.lex_state = 187, .external_lex_state = 8},
  [1774] = {.lex_state = 36, .external_lex_state = 15},
  [1775] = {.lex_state = 96, .external_lex_state = 16},
  [1776] = {.lex_state = 90, .external_lex_state = 17},
  [1777] = {.lex_state = 28, .external_lex_state = 6},
  [1778] = {.lex_state = 28, .external_lex_state = 6},
  [1779] = {.lex_state = 96, .external_lex_state = 16},
  [1780] = {.lex_state = 96, .external_lex_state = 16},
  [1781] = {.lex_state = 36, .external_lex_state = 15},
  [1782] = {.lex_state = 28, .external_lex_state = 6},
  [1783] = {.lex_state = 36, .external_lex_state = 15},
  [1784] = {.lex_state = 99},
  [1785] = {.lex_state = 36, .external_lex_state = 15},
  [1786] = {.lex_state = 99},
  [1787] = {.lex_state = 28, .external_lex_state = 6},
  [1788] = {.lex_state = 28, .external_lex_state = 6},
  [1789] = {.lex_state = 28, .external_lex_state = 6},
  [1790] = {.lex_state = 28, .external_lex_state = 6},
  [1791] = {.lex_state = 36, .external_lex_state = 15},
  [1792] = {.lex_state = 36, .external_lex_state = 15},
  [1793] = {.lex_state = 28, .external_lex_state = 6},
  [1794] = {.lex_state = 28, .external_lex_state = 6},
  [1795] = {.lex_state = 28, .external_lex_state = 6},
  [1796] = {.lex_state = 96, .external_lex_state = 16},
  [1797] = {.lex_state = 96, .external_lex_state = 16},
  [1798] = {.lex_state = 28, .external_lex_state = 6},
  [1799] = {.lex_state = 28, .external_lex_state = 6},
  [1800] = {.lex_state = 187, .external_lex_state = 8},
  [1801] = {.lex_state = 96, .external_lex_state = 16},
  [1802] = {.lex_state = 96, .external_lex_state = 16},
  [1803] = {.lex_state = 96, .external_lex_state = 16},
  [1804] = {.lex_state = 96, .external_lex_state = 16},
  [1805] = {.lex_state = 96, .external_lex_state = 16},
  [1806] = {.lex_state = 28, .external_lex_state = 6},
  [1807] = {.lex_state = 36, .external_lex_state = 15},
  [1808] = {.lex_state = 36, .external_lex_state = 15},
  [1809] = {.lex_state = 28, .external_lex_state = 6},
  [1810] = {.lex_state = 187, .external_lex_state = 8},
  [1811] = {.lex_state = 96, .external_lex_state = 16},
  [1812] = {.lex_state = 96, .external_lex_state = 16},
  [1813] = {.lex_state = 28, .external_lex_state = 6},
  [1814] = {.lex_state = 96, .external_lex_state = 16},
  [1815] = {.lex_state = 187, .external_lex_state = 8},
  [1816] = {.lex_state = 96, .external_lex_state = 16},
  [1817] = {.lex_state = 28, .external_lex_state = 6},
  [1818] = {.lex_state = 36, .external_lex_state = 15},
  [1819] = {.lex_state = 28, .external_lex_state = 6},
  [1820] = {.lex_state = 96, .external_lex_state = 16},
  [1821] = {.lex_state = 96, .external_lex_state = 16},
  [1822] = {.lex_state = 96, .external_lex_state = 16},
  [1823] = {.lex_state = 96, .external_lex_state = 16},
  [1824] = {.lex_state = 96, .external_lex_state = 16},
  [1825] = {.lex_state = 96, .external_lex_state = 16},
  [1826] = {.lex_state = 36, .external_lex_state = 15},
  [1827] = {.lex_state = 36, .external_lex_state = 15},
  [1828] = {.lex_state = 36, .external_lex_state = 15},
  [1829] = {.lex_state = 36, .external_lex_state = 15},
  [1830] = {.lex_state = 96, .external_lex_state = 16},
  [1831] = {.lex_state = 28, .external_lex_state = 6},
  [1832] = {.lex_state = 28, .external_lex_state = 6},
  [1833] = {.lex_state = 36, .external_lex_state = 15},
  [1834] = {.lex_state = 28, .external_lex_state = 6},
  [1835] = {.lex_state = 28, .external_lex_state = 6},
  [1836] = {.lex_state = 36, .external_lex_state = 15},
  [1837] = {.lex_state = 90, .external_lex_state = 17},
  [1838] = {.lex_state = 28, .external_lex_state = 6},
  [1839] = {.lex_state = 28, .external_lex_state = 6},
  [1840] = {.lex_state = 28, .external_lex_state = 6},
  [1841] = {.lex_state = 99},
  [1842] = {.lex_state = 96, .external_lex_state = 16},
  [1843] = {.lex_state = 36, .external_lex_state = 15},
  [1844] = {.lex_state = 96, .external_lex_state = 16},
  [1845] = {.lex_state = 187, .external_lex_state = 6},
  [1846] = {.lex_state = 187, .external_lex_state = 8},
  [1847] = {.lex_state = 187, .external_lex_state = 8},
  [1848] = {.lex_state = 187, .external_lex_state = 8},
  [1849] = {.lex_state = 187, .external_lex_state = 8},
  [1850] = {.lex_state = 187, .external_lex_state = 8},
  [1851] = {.lex_state = 96, .external_lex_state = 16},
  [1852] = {.lex_state = 36, .external_lex_state = 15},
  [1853] = {.lex_state = 36, .external_lex_state = 15},
  [1854] = {.lex_state = 36, .external_lex_state = 15},
  [1855] = {.lex_state = 187, .external_lex_state = 8},
  [1856] = {.lex_state = 187, .external_lex_state = 8},
  [1857] = {.lex_state = 99},
  [1858] = {.lex_state = 96, .external_lex_state = 16},
  [1859] = {.lex_state = 96, .external_lex_state = 16},
  [1860] = {.lex_state = 99},
  [1861] = {.lex_state = 99},
  [1862] = {.lex_state = 96, .external_lex_state = 16},
  [1863] = {.lex_state = 28, .external_lex_state = 6},
  [1864] = {.lex_state = 28, .external_lex_state = 6},
  [1865] = {.lex_state = 28, .external_lex_state = 6},
  [1866] = {.lex_state = 96, .external_lex_state = 2},
  [1867] = {.lex_state = 28, .external_lex_state = 6},
  [1868] = {.lex_state = 28, .external_lex_state = 6},
  [1869] = {.lex_state = 187, .external_lex_state = 8},
  [1870] = {.lex_state = 187, .external_lex_state = 8},
  [1871] = {.lex_state = 28, .external_lex_state = 6},
  [1872] = {.lex_state = 187, .external_lex_state = 8},
  [1873] = {.lex_state = 187, .external_lex_state = 8},
  [1874] = {.lex_state = 187, .external_lex_state = 8},
  [1875] = {.lex_state = 28, .external_lex_state = 6},
  [1876] = {.lex_state = 36, .external_lex_state = 15},
  [1877] = {.lex_state = 36, .external_lex_state = 15},
  [1878] = {.lex_state = 36, .external_lex_state = 15},
  [1879] = {.lex_state = 187, .external_lex_state = 8},
  [1880] = {.lex_state = 36, .external_lex_state = 15},
  [1881] = {.lex_state = 99},
  [1882] = {.lex_state = 36, .external_lex_state = 15},
  [1883] = {.lex_state = 99},
  [1884] = {.lex_state = 187, .external_lex_state = 8},
  [1885] = {.lex_state = 187, .external_lex_state = 8},
  [1886] = {.lex_state = 187, .external_lex_state = 8},
  [1887] = {.lex_state = 187, .external_lex_state = 8},
  [1888] = {.lex_state = 36, .external_lex_state = 15},
  [1889] = {.lex_state = 187, .external_lex_state = 6},
  [1890] = {.lex_state = 99},
  [1891] = {.lex_state = 96, .external_lex_state = 2},
  [1892] = {.lex_state = 99},
  [1893] = {.lex_state = 28, .external_lex_state = 6},
  [1894] = {.lex_state = 28, .external_lex_state = 6},
  [1895] = {.lex_state = 36, .external_lex_state = 10},
  [1896] = {.lex_state = 36, .external_lex_state = 15},
  [1897] = {.lex_state = 187, .external_lex_state = 8},
  [1898] = {.lex_state = 99},
  [1899] = {.lex_state = 99},
  [1900] = {.lex_state = 28, .external_lex_state = 6},
  [1901] = {.lex_state = 187, .external_lex_state = 8},
  [1902] = {.lex_state = 187, .external_lex_state = 8},
  [1903] = {.lex_state = 187, .external_lex_state = 8},
  [1904] = {.lex_state = 28, .external_lex_state = 6},
  [1905] = {.lex_state = 187, .external_lex_state = 8},
  [1906] = {.lex_state = 187, .external_lex_state = 6},
  [1907] = {.lex_state = 187, .external_lex_state = 8},
  [1908] = {.lex_state = 28, .external_lex_state = 6},
  [1909] = {.lex_state = 187, .external_lex_state = 8},
  [1910] = {.lex_state = 28, .external_lex_state = 6},
  [1911] = {.lex_state = 28, .external_lex_state = 6},
  [1912] = {.lex_state = 187, .external_lex_state = 8},
  [1913] = {.lex_state = 96},
  [1914] = {.lex_state = 96, .external_lex_state = 2},
  [1915] = {.lex_state = 96, .external_lex_state = 18},
  [1916] = {.lex_state = 78},
  [1917] = {.lex_state = 36, .external_lex_state = 10},
  [1918] = {.lex_state = 187, .external_lex_state = 6},
  [1919] = {.lex_state = 96},
  [1920] = {.lex_state = 96},
  [1921] = {.lex_state = 91, .external_lex_state = 17},
  [1922] = {.lex_state = 187, .external_lex_state = 6},
  [1923] = {.lex_state = 96, .external_lex_state = 2},
  [1924] = {.lex_state = 187, .external_lex_state = 6},
  [1925] = {.lex_state = 96},
  [1926] = {.lex_state = 187, .external_lex_state = 6},
  [1927] = {.lex_state = 90, .external_lex_state = 17},
  [1928] = {.lex_state = 90, .external_lex_state = 17},
  [1929] = {.lex_state = 36, .external_lex_state = 10},
  [1930] = {.lex_state = 36, .external_lex_state = 10},
  [1931] = {.lex_state = 187, .external_lex_state = 6},
  [1932] = {.lex_state = 187, .external_lex_state = 6},
  [1933] = {.lex_state = 90, .external_lex_state = 17},
  [1934] = {.lex_state = 90, .external_lex_state = 17},
  [1935] = {.lex_state = 96, .external_lex_state = 18},
  [1936] = {.lex_state = 96},
  [1937] = {.lex_state = 199},
  [1938] = {.lex_state = 90, .external_lex_state = 17},
  [1939] = {.lex_state = 36, .external_lex_state = 10},
  [1940] = {.lex_state = 90, .external_lex_state = 17},
  [1941] = {.lex_state = 90, .external_lex_state = 17},
  [1942] = {.lex_state = 90, .external_lex_state = 17},
  [1943] = {.lex_state = 90, .external_lex_state = 17},
  [1944] = {.lex_state = 96, .external_lex_state = 2},
  [1945] = {.lex_state = 36, .external_lex_state = 10},
  [1946] = {.lex_state = 187, .external_lex_state = 6},
  [1947] = {.lex_state = 187, .external_lex_state = 6},
  [1948] = {.lex_state = 96, .external_lex_state = 2},
  [1949] = {.lex_state = 96, .external_lex_state = 18},
  [1950] = {.lex_state = 187, .external_lex_state = 6},
  [1951] = {.lex_state = 187, .external_lex_state = 6},
  [1952] = {.lex_state = 96, .external_lex_state = 2},
  [1953] = {.lex_state = 187, .external_lex_state = 6},
  [1954] = {.lex_state = 187, .external_lex_state = 6},
  [1955] = {.lex_state = 187, .external_lex_state = 6},
  [1956] = {.lex_state = 187, .external_lex_state = 6},
  [1957] = {.lex_state = 187, .external_lex_state = 8},
  [1958] = {.lex_state = 36, .external_lex_state = 10},
  [1959] = {.lex_state = 96, .external_lex_state = 2},
  [1960] = {.lex_state = 96, .external_lex_state = 2},
  [1961] = {.lex_state = 36, .external_lex_state = 10},
  [1962] = {.lex_state = 96, .external_lex_state = 2},
  [1963] = {.lex_state = 187, .external_lex_state = 6},
  [1964] = {.lex_state = 96, .external_lex_state = 18},
  [1965] = {.lex_state = 92, .external_lex_state = 19},
  [1966] = {.lex_state = 96},
  [1967] = {.lex_state = 187, .external_lex_state = 6},
  [1968] = {.lex_state = 187, .external_lex_state = 6},
  [1969] = {.lex_state = 187, .external_lex_state = 6},
  [1970] = {.lex_state = 187, .external_lex_state = 6},
  [1971] = {.lex_state = 90, .external_lex_state = 17},
  [1972] = {.lex_state = 187, .external_lex_state = 6},
  [1973] = {.lex_state = 90, .external_lex_state = 17},
  [1974] = {.lex_state = 96, .external_lex_state = 2},
  [1975] = {.lex_state = 90, .external_lex_state = 17},
  [1976] = {.lex_state = 90, .external_lex_state = 17},
  [1977] = {.lex_state = 96, .external_lex_state = 2},
  [1978] = {.lex_state = 90, .external_lex_state = 17},
  [1979] = {.lex_state = 90, .external_lex_state = 17},
  [1980] = {.lex_state = 96, .external_lex_state = 2},
  [1981] = {.lex_state = 96, .external_lex_state = 2},
  [1982] = {.lex_state = 96},
  [1983] = {.lex_state = 187, .external_lex_state = 6},
  [1984] = {.lex_state = 187, .external_lex_state = 6},
  [1985] = {.lex_state = 90, .external_lex_state = 17},
  [1986] = {.lex_state = 96, .external_lex_state = 2},
  [1987] = {.lex_state = 187, .external_lex_state = 6},
  [1988] = {.lex_state = 90, .external_lex_state = 17},
  [1989] = {.lex_state = 96},
  [1990] = {.lex_state = 187, .external_lex_state = 6},
  [1991] = {.lex_state = 96},
  [1992] = {.lex_state = 96},
  [1993] = {.lex_state = 187, .external_lex_state = 6},
  [1994] = {.lex_state = 187, .external_lex_state = 6},
  [1995] = {.lex_state = 90, .external_lex_state = 17},
  [1996] = {.lex_state = 91},
  [1997] = {.lex_state = 90, .external_lex_state = 17},
  [1998] = {.lex_state = 36, .external_lex_state = 10},
  [1999] = {.lex_state = 96, .external_lex_state = 2},
  [2000] = {.lex_state = 90, .external_lex_state = 17},
  [2001] = {.lex_state = 90, .external_lex_state = 17},
  [2002] = {.lex_state = 96, .external_lex_state = 2},
  [2003] = {.lex_state = 96, .external_lex_state = 2},
  [2004] = {.lex_state = 96, .external_lex_state = 2},
  [2005] = {.lex_state = 187, .external_lex_state = 6},
  [2006] = {.lex_state = 187, .external_lex_state = 6},
  [2007] = {.lex_state = 187, .external_lex_state = 8},
  [2008] = {.lex_state = 187, .external_lex_state = 6},
  [2009] = {.lex_state = 187, .external_lex_state = 6},
  [2010] = {.lex_state = 187, .external_lex_state = 8},
  [2011] = {.lex_state = 187, .external_lex_state = 8},
  [2012] = {.lex_state = 187, .external_lex_state = 8},
  [2013] = {.lex_state = 96, .external_lex_state = 2},
  [2014] = {.lex_state = 187, .external_lex_state = 8},
  [2015] = {.lex_state = 96, .external_lex_state = 2},
  [2016] = {.lex_state = 187, .external_lex_state = 8},
  [2017] = {.lex_state = 187, .external_lex_state = 8},
  [2018] = {.lex_state = 96, .external_lex_state = 2},
  [2019] = {.lex_state = 187, .external_lex_state = 8},
  [2020] = {.lex_state = 187, .external_lex_state = 8},
  [2021] = {.lex_state = 90, .external_lex_state = 17},
  [2022] = {.lex_state = 187, .external_lex_state = 8},
  [2023] = {.lex_state = 90, .external_lex_state = 17},
  [2024] = {.lex_state = 96},
  [2025] = {.lex_state = 187, .external_lex_state = 8},
  [2026] = {.lex_state = 187, .external_lex_state = 6},
  [2027] = {.lex_state = 96, .external_lex_state = 2},
  [2028] = {.lex_state = 36, .external_lex_state = 10},
  [2029] = {.lex_state = 96, .external_lex_state = 2},
  [2030] = {.lex_state = 187, .external_lex_state = 8},
  [2031] = {.lex_state = 187, .external_lex_state = 6},
  [2032] = {.lex_state = 96, .external_lex_state = 2},
  [2033] = {.lex_state = 187, .external_lex_state = 8},
  [2034] = {.lex_state = 187, .external_lex_state = 8},
  [2035] = {.lex_state = 187, .external_lex_state = 6},
  [2036] = {.lex_state = 96, .external_lex_state = 18},
  [2037] = {.lex_state = 187, .external_lex_state = 8},
  [2038] = {.lex_state = 36, .external_lex_state = 10},
  [2039] = {.lex_state = 96, .external_lex_state = 18},
  [2040] = {.lex_state = 187, .external_lex_state = 6},
  [2041] = {.lex_state = 187, .external_lex_state = 6},
  [2042] = {.lex_state = 187, .external_lex_state = 8},
  [2043] = {.lex_state = 187, .external_lex_state = 8},
  [2044] = {.lex_state = 96, .external_lex_state = 2},
  [2045] = {.lex_state = 187, .external_lex_state = 6},
  [2046] = {.lex_state = 96},
  [2047] = {.lex_state = 199},
  [2048] = {.lex_state = 96, .external_lex_state = 2},
  [2049] = {.lex_state = 36, .external_lex_state = 10},
  [2050] = {.lex_state = 96, .external_lex_state = 2},
  [2051] = {.lex_state = 90, .external_lex_state = 17},
  [2052] = {.lex_state = 96, .external_lex_state = 2},
  [2053] = {.lex_state = 96, .external_lex_state = 2},
  [2054] = {.lex_state = 187, .external_lex_state = 6},
  [2055] = {.lex_state = 90, .external_lex_state = 17},
  [2056] = {.lex_state = 96, .external_lex_state = 2},
  [2057] = {.lex_state = 36, .external_lex_state = 10},
  [2058] = {.lex_state = 96, .external_lex_state = 2},
  [2059] = {.lex_state = 187, .external_lex_state = 8},
  [2060] = {.lex_state = 187, .external_lex_state = 8},
  [2061] = {.lex_state = 36, .external_lex_state = 10},
  [2062] = {.lex_state = 96, .external_lex_state = 2},
  [2063] = {.lex_state = 90, .external_lex_state = 17},
  [2064] = {.lex_state = 187, .external_lex_state = 6},
  [2065] = {.lex_state = 36, .external_lex_state = 10},
  [2066] = {.lex_state = 187, .external_lex_state = 6},
  [2067] = {.lex_state = 96, .external_lex_state = 18},
  [2068] = {.lex_state = 90, .external_lex_state = 17},
  [2069] = {.lex_state = 187, .external_lex_state = 6},
  [2070] = {.lex_state = 187, .external_lex_state = 6},
  [2071] = {.lex_state = 36, .external_lex_state = 10},
  [2072] = {.lex_state = 187, .external_lex_state = 6},
  [2073] = {.lex_state = 187, .external_lex_state = 6},
  [2074] = {.lex_state = 187, .external_lex_state = 6},
  [2075] = {.lex_state = 187, .external_lex_state = 8},
  [2076] = {.lex_state = 96, .external_lex_state = 2},
  [2077] = {.lex_state = 187, .external_lex_state = 8},
  [2078] = {.lex_state = 187, .external_lex_state = 6},
  [2079] = {.lex_state = 96, .external_lex_state = 18},
  [2080] = {.lex_state = 96, .external_lex_state = 2},
  [2081] = {.lex_state = 96, .external_lex_state = 2},
  [2082] = {.lex_state = 36, .external_lex_state = 10},
  [2083] = {.lex_state = 187, .external_lex_state = 8},
  [2084] = {.lex_state = 187, .external_lex_state = 6},
  [2085] = {.lex_state = 187, .external_lex_state = 8},
  [2086] = {.lex_state = 187, .external_lex_state = 6},
  [2087] = {.lex_state = 187, .external_lex_state = 8},
  [2088] = {.lex_state = 91, .external_lex_state = 17},
  [2089] = {.lex_state = 96, .external_lex_state = 2},
  [2090] = {.lex_state = 96, .external_lex_state = 18},
  [2091] = {.lex_state = 187, .external_lex_state = 8},
  [2092] = {.lex_state = 187, .external_lex_state = 6},
  [2093] = {.lex_state = 96},
  [2094] = {.lex_state = 91, .external_lex_state = 17},
  [2095] = {.lex_state = 91, .external_lex_state = 17},
  [2096] = {.lex_state = 91, .external_lex_state = 17},
  [2097] = {.lex_state = 187, .external_lex_state = 6},
  [2098] = {.lex_state = 91, .external_lex_state = 17},
  [2099] = {.lex_state = 187, .external_lex_state = 6},
  [2100] = {.lex_state = 96, .external_lex_state = 2},
  [2101] = {.lex_state = 90},
  [2102] = {.lex_state = 187, .external_lex_state = 6},
  [2103] = {.lex_state = 96},
  [2104] = {.lex_state = 187, .external_lex_state = 6},
  [2105] = {.lex_state = 187, .external_lex_state = 6},
  [2106] = {.lex_state = 187, .external_lex_state = 6},
  [2107] = {.lex_state = 91, .external_lex_state = 17},
  [2108] = {.lex_state = 94, .external_lex_state = 20},
  [2109] = {.lex_state = 187, .external_lex_state = 6},
  [2110] = {.lex_state = 187, .external_lex_state = 6},
  [2111] = {.lex_state = 187, .external_lex_state = 6},
  [2112] = {.lex_state = 96},
  [2113] = {.lex_state = 90},
  [2114] = {.lex_state = 91, .external_lex_state = 17},
  [2115] = {.lex_state = 91, .external_lex_state = 17},
  [2116] = {.lex_state = 96},
  [2117] = {.lex_state = 94, .external_lex_state = 20},
  [2118] = {.lex_state = 93, .external_lex_state = 20},
  [2119] = {.lex_state = 96},
  [2120] = {.lex_state = 187, .external_lex_state = 6},
  [2121] = {.lex_state = 187, .external_lex_state = 6},
  [2122] = {.lex_state = 187, .external_lex_state = 6},
  [2123] = {.lex_state = 96},
  [2124] = {.lex_state = 93, .external_lex_state = 20},
  [2125] = {.lex_state = 96},
  [2126] = {.lex_state = 187, .external_lex_state = 6},
  [2127] = {.lex_state = 187, .external_lex_state = 6},
  [2128] = {.lex_state = 90},
  [2129] = {.lex_state = 90},
  [2130] = {.lex_state = 91, .external_lex_state = 17},
  [2131] = {.lex_state = 96, .external_lex_state = 2},
  [2132] = {.lex_state = 90},
  [2133] = {.lex_state = 187, .external_lex_state = 6},
  [2134] = {.lex_state = 187, .external_lex_state = 6},
  [2135] = {.lex_state = 187, .external_lex_state = 6},
  [2136] = {.lex_state = 187, .external_lex_state = 6},
  [2137] = {.lex_state = 96, .external_lex_state = 2},
  [2138] = {.lex_state = 187, .external_lex_state = 6},
  [2139] = {.lex_state = 96},
  [2140] = {.lex_state = 187, .external_lex_state = 6},
  [2141] = {.lex_state = 187, .external_lex_state = 6},
  [2142] = {.lex_state = 91, .external_lex_state = 17},
  [2143] = {.lex_state = 187, .external_lex_state = 6},
  [2144] = {.lex_state = 187, .external_lex_state = 6},
  [2145] = {.lex_state = 187, .external_lex_state = 6},
  [2146] = {.lex_state = 92, .external_lex_state = 14},
  [2147] = {.lex_state = 96},
  [2148] = {.lex_state = 96},
  [2149] = {.lex_state = 94, .external_lex_state = 20},
  [2150] = {.lex_state = 91, .external_lex_state = 17},
  [2151] = {.lex_state = 96},
  [2152] = {.lex_state = 91, .external_lex_state = 17},
  [2153] = {.lex_state = 91},
  [2154] = {.lex_state = 187, .external_lex_state = 6},
  [2155] = {.lex_state = 187, .external_lex_state = 6},
  [2156] = {.lex_state = 187, .external_lex_state = 6},
  [2157] = {.lex_state = 96},
  [2158] = {.lex_state = 91, .external_lex_state = 17},
  [2159] = {.lex_state = 92, .external_lex_state = 19},
  [2160] = {.lex_state = 187, .external_lex_state = 6},
  [2161] = {.lex_state = 187, .external_lex_state = 6},
  [2162] = {.lex_state = 96},
  [2163] = {.lex_state = 187, .external_lex_state = 6},
  [2164] = {.lex_state = 91, .external_lex_state = 17},
  [2165] = {.lex_state = 187, .external_lex_state = 6},
  [2166] = {.lex_state = 187, .external_lex_state = 6},
  [2167] = {.lex_state = 187, .external_lex_state = 6},
  [2168] = {.lex_state = 91, .external_lex_state = 17},
  [2169] = {.lex_state = 187, .external_lex_state = 6},
  [2170] = {.lex_state = 187, .external_lex_state = 6},
  [2171] = {.lex_state = 187, .external_lex_state = 6},
  [2172] = {.lex_state = 187, .external_lex_state = 6},
  [2173] = {.lex_state = 90},
  [2174] = {.lex_state = 96},
  [2175] = {.lex_state = 91, .external_lex_state = 17},
  [2176] = {.lex_state = 187, .external_lex_state = 6},
  [2177] = {.lex_state = 91},
  [2178] = {.lex_state = 96},
  [2179] = {.lex_state = 187, .external_lex_state = 6},
  [2180] = {.lex_state = 94, .external_lex_state = 20},
  [2181] = {.lex_state = 96},
  [2182] = {.lex_state = 187, .external_lex_state = 6},
  [2183] = {.lex_state = 93, .external_lex_state = 20},
  [2184] = {.lex_state = 93, .external_lex_state = 20},
  [2185] = {.lex_state = 187, .external_lex_state = 6},
  [2186] = {.lex_state = 92, .external_lex_state = 19},
  [2187] = {.lex_state = 92, .external_lex_state = 14},
  [2188] = {.lex_state = 96},
  [2189] = {.lex_state = 91, .external_lex_state = 17},
  [2190] = {.lex_state = 90},
  [2191] = {.lex_state = 187, .external_lex_state = 6},
  [2192] = {.lex_state = 187, .external_lex_state = 6},
  [2193] = {.lex_state = 96},
  [2194] = {.lex_state = 91, .external_lex_state = 17},
  [2195] = {.lex_state = 91, .external_lex_state = 17},
  [2196] = {.lex_state = 91, .external_lex_state = 17},
  [2197] = {.lex_state = 91, .external_lex_state = 17},
  [2198] = {.lex_state = 96},
  [2199] = {.lex_state = 91, .external_lex_state = 17},
  [2200] = {.lex_state = 96},
  [2201] = {.lex_state = 92, .external_lex_state = 19},
  [2202] = {.lex_state = 91, .external_lex_state = 17},
  [2203] = {.lex_state = 199},
  [2204] = {.lex_state = 90},
  [2205] = {.lex_state = 91, .external_lex_state = 17},
  [2206] = {.lex_state = 187, .external_lex_state = 6},
  [2207] = {.lex_state = 91, .external_lex_state = 17},
  [2208] = {.lex_state = 91, .external_lex_state = 17},
  [2209] = {.lex_state = 91, .external_lex_state = 17},
  [2210] = {.lex_state = 187, .external_lex_state = 6},
  [2211] = {.lex_state = 91, .external_lex_state = 17},
  [2212] = {.lex_state = 91, .external_lex_state = 17},
  [2213] = {.lex_state = 187, .external_lex_state = 6},
  [2214] = {.lex_state = 187, .external_lex_state = 6},
  [2215] = {.lex_state = 97, .external_lex_state = 12},
  [2216] = {.lex_state = 92, .external_lex_state = 19},
  [2217] = {.lex_state = 97, .external_lex_state = 12},
  [2218] = {.lex_state = 92, .external_lex_state = 14},
  [2219] = {.lex_state = 97, .external_lex_state = 12},
  [2220] = {.lex_state = 97, .external_lex_state = 12},
  [2221] = {.lex_state = 96},
  [2222] = {.lex_state = 94, .external_lex_state = 20},
  [2223] = {.lex_state = 94, .external_lex_state = 20},
  [2224] = {.lex_state = 92, .external_lex_state = 19},
  [2225] = {.lex_state = 97, .external_lex_state = 12},
  [2226] = {.lex_state = 97, .external_lex_state = 12},
  [2227] = {.lex_state = 94, .external_lex_state = 20},
  [2228] = {.lex_state = 94, .external_lex_state = 20},
  [2229] = {.lex_state = 97, .external_lex_state = 12},
  [2230] = {.lex_state = 92, .external_lex_state = 19},
  [2231] = {.lex_state = 92, .external_lex_state = 19},
  [2232] = {.lex_state = 92, .external_lex_state = 19},
  [2233] = {.lex_state = 97, .external_lex_state = 12},
  [2234] = {.lex_state = 92, .external_lex_state = 19},
  [2235] = {.lex_state = 97, .external_lex_state = 12},
  [2236] = {.lex_state = 92, .external_lex_state = 19},
  [2237] = {.lex_state = 97, .external_lex_state = 12},
  [2238] = {.lex_state = 97, .external_lex_state = 12},
  [2239] = {.lex_state = 97, .external_lex_state = 12},
  [2240] = {.lex_state = 97, .external_lex_state = 12},
  [2241] = {.lex_state = 94, .external_lex_state = 20},
  [2242] = {.lex_state = 97, .external_lex_state = 12},
  [2243] = {.lex_state = 97, .external_lex_state = 12},
  [2244] = {.lex_state = 94, .external_lex_state = 20},
  [2245] = {.lex_state = 92, .external_lex_state = 19},
  [2246] = {.lex_state = 96},
  [2247] = {.lex_state = 92, .external_lex_state = 19},
  [2248] = {.lex_state = 94, .external_lex_state = 20},
  [2249] = {.lex_state = 92, .external_lex_state = 19},
  [2250] = {.lex_state = 92, .external_lex_state = 19},
  [2251] = {.lex_state = 97, .external_lex_state = 12},
  [2252] = {.lex_state = 97, .external_lex_state = 12},
  [2253] = {.lex_state = 96, .external_lex_state = 13},
  [2254] = {.lex_state = 97, .external_lex_state = 12},
  [2255] = {.lex_state = 97, .external_lex_state = 12},
  [2256] = {.lex_state = 94, .external_lex_state = 20},
  [2257] = {.lex_state = 97, .external_lex_state = 12},
  [2258] = {.lex_state = 97, .external_lex_state = 12},
  [2259] = {.lex_state = 97, .external_lex_state = 12},
  [2260] = {.lex_state = 97, .external_lex_state = 12},
  [2261] = {.lex_state = 94, .external_lex_state = 20},
  [2262] = {.lex_state = 97, .external_lex_state = 12},
  [2263] = {.lex_state = 94, .external_lex_state = 20},
  [2264] = {.lex_state = 97, .external_lex_state = 12},
  [2265] = {.lex_state = 97, .external_lex_state = 12},
  [2266] = {.lex_state = 97, .external_lex_state = 12},
  [2267] = {.lex_state = 94, .external_lex_state = 20},
  [2268] = {.lex_state = 94, .external_lex_state = 20},
  [2269] = {.lex_state = 94, .external_lex_state = 20},
  [2270] = {.lex_state = 94, .external_lex_state = 20},
  [2271] = {.lex_state = 94, .external_lex_state = 20},
  [2272] = {.lex_state = 94, .external_lex_state = 20},
  [2273] = {.lex_state = 94, .external_lex_state = 20},
  [2274] = {.lex_state = 92, .external_lex_state = 19},
  [2275] = {.lex_state = 97, .external_lex_state = 12},
  [2276] = {.lex_state = 97, .external_lex_state = 12},
  [2277] = {.lex_state = 94, .external_lex_state = 20},
  [2278] = {.lex_state = 94, .external_lex_state = 20},
  [2279] = {.lex_state = 97, .external_lex_state = 12},
  [2280] = {.lex_state = 94, .external_lex_state = 20},
  [2281] = {.lex_state = 97, .external_lex_state = 12},
  [2282] = {.lex_state = 94, .external_lex_state = 20},
  [2283] = {.lex_state = 94, .external_lex_state = 20},
  [2284] = {.lex_state = 94, .external_lex_state = 20},
  [2285] = {.lex_state = 94, .external_lex_state = 20},
  [2286] = {.lex_state = 97, .external_lex_state = 12},
  [2287] = {.lex_state = 97, .external_lex_state = 12},
  [2288] = {.lex_state = 97, .external_lex_state = 12},
  [2289] = {.lex_state = 92, .external_lex_state = 19},
  [2290] = {.lex_state = 97, .external_lex_state = 12},
  [2291] = {.lex_state = 97, .external_lex_state = 12},
  [2292] = {.lex_state = 94, .external_lex_state = 20},
  [2293] = {.lex_state = 92, .external_lex_state = 19},
  [2294] = {.lex_state = 93, .external_lex_state = 12},
  [2295] = {.lex_state = 97, .external_lex_state = 12},
  [2296] = {.lex_state = 97, .external_lex_state = 12},
  [2297] = {.lex_state = 96, .external_lex_state = 13},
  [2298] = {.lex_state = 97, .external_lex_state = 12},
  [2299] = {.lex_state = 97, .external_lex_state = 12},
  [2300] = {.lex_state = 97, .external_lex_state = 12},
  [2301] = {.lex_state = 92, .external_lex_state = 19},
  [2302] = {.lex_state = 97, .external_lex_state = 12},
  [2303] = {.lex_state = 94, .external_lex_state = 12},
  [2304] = {.lex_state = 94, .external_lex_state = 20},
  [2305] = {.lex_state = 93, .external_lex_state = 12},
  [2306] = {.lex_state = 97, .external_lex_state = 12},
  [2307] = {.lex_state = 92, .external_lex_state = 19},
  [2308] = {.lex_state = 92, .external_lex_state = 19},
  [2309] = {.lex_state = 92, .external_lex_state = 19},
  [2310] = {.lex_state = 92, .external_lex_state = 19},
  [2311] = {.lex_state = 97, .external_lex_state = 12},
  [2312] = {.lex_state = 92, .external_lex_state = 19},
  [2313] = {.lex_state = 97, .external_lex_state = 12},
  [2314] = {.lex_state = 92, .external_lex_state = 19},
  [2315] = {.lex_state = 97, .external_lex_state = 12},
  [2316] = {.lex_state = 97, .external_lex_state = 12},
  [2317] = {.lex_state = 97, .external_lex_state = 12},
  [2318] = {.lex_state = 92, .external_lex_state = 19},
  [2319] = {.lex_state = 92, .external_lex_state = 19},
  [2320] = {.lex_state = 92, .external_lex_state = 19},
  [2321] = {.lex_state = 97, .external_lex_state = 12},
  [2322] = {.lex_state = 96},
  [2323] = {.lex_state = 97, .external_lex_state = 12},
  [2324] = {.lex_state = 97, .external_lex_state = 12},
  [2325] = {.lex_state = 97, .external_lex_state = 12},
  [2326] = {.lex_state = 94, .external_lex_state = 12},
  [2327] = {.lex_state = 97, .external_lex_state = 12},
  [2328] = {.lex_state = 97, .external_lex_state = 12},
  [2329] = {.lex_state = 199},
  [2330] = {.lex_state = 96, .external_lex_state = 13},
  [2331] = {.lex_state = 92, .external_lex_state = 19},
  [2332] = {.lex_state = 97, .external_lex_state = 12},
  [2333] = {.lex_state = 92, .external_lex_state = 19},
  [2334] = {.lex_state = 97, .external_lex_state = 12},
  [2335] = {.lex_state = 97, .external_lex_state = 12},
  [2336] = {.lex_state = 97, .external_lex_state = 12},
  [2337] = {.lex_state = 90},
  [2338] = {.lex_state = 97, .external_lex_state = 12},
  [2339] = {.lex_state = 93, .external_lex_state = 12},
  [2340] = {.lex_state = 97, .external_lex_state = 12},
  [2341] = {.lex_state = 93, .external_lex_state = 12},
  [2342] = {.lex_state = 97, .external_lex_state = 12},
  [2343] = {.lex_state = 96, .external_lex_state = 13},
  [2344] = {.lex_state = 97, .external_lex_state = 12},
  [2345] = {.lex_state = 92, .external_lex_state = 14},
  [2346] = {.lex_state = 199},
  [2347] = {.lex_state = 199},
  [2348] = {.lex_state = 96},
  [2349] = {.lex_state = 96},
  [2350] = {.lex_state = 199},
  [2351] = {.lex_state = 91},
  [2352] = {.lex_state = 199},
  [2353] = {.lex_state = 199},
  [2354] = {.lex_state = 96},
  [2355] = {.lex_state = 199},
  [2356] = {.lex_state = 199},
  [2357] = {.lex_state = 96},
  [2358] = {.lex_state = 199},
  [2359] = {.lex_state = 92, .external_lex_state = 14},
  [2360] = {.lex_state = 90},
  [2361] = {.lex_state = 90},
  [2362] = {.lex_state = 92, .external_lex_state = 14},
  [2363] = {.lex_state = 199},
  [2364] = {.lex_state = 96},
  [2365] = {.lex_state = 91},
  [2366] = {.lex_state = 96},
  [2367] = {.lex_state = 94, .external_lex_state = 12},
  [2368] = {.lex_state = 199},
  [2369] = {.lex_state = 96},
  [2370] = {.lex_state = 96},
  [2371] = {.lex_state = 91},
  [2372] = {.lex_state = 96},
  [2373] = {.lex_state = 96},
  [2374] = {.lex_state = 199},
  [2375] = {.lex_state = 96},
  [2376] = {.lex_state = 96},
  [2377] = {.lex_state = 96},
  [2378] = {.lex_state = 96},
  [2379] = {.lex_state = 96},
  [2380] = {.lex_state = 199},
  [2381] = {.lex_state = 199},
  [2382] = {.lex_state = 96},
  [2383] = {.lex_state = 91},
  [2384] = {.lex_state = 92, .external_lex_state = 14},
  [2385] = {.lex_state = 92, .external_lex_state = 14},
  [2386] = {.lex_state = 90},
  [2387] = {.lex_state = 91},
  [2388] = {.lex_state = 92, .external_lex_state = 14},
  [2389] = {.lex_state = 96},
  [2390] = {.lex_state = 92, .external_lex_state = 14},
  [2391] = {.lex_state = 199},
  [2392] = {.lex_state = 199},
  [2393] = {.lex_state = 96},
  [2394] = {.lex_state = 91},
  [2395] = {.lex_state = 92, .external_lex_state = 14},
  [2396] = {.lex_state = 96},
  [2397] = {.lex_state = 90},
  [2398] = {.lex_state = 96},
  [2399] = {.lex_state = 91},
  [2400] = {.lex_state = 96},
  [2401] = {.lex_state = 199},
  [2402] = {.lex_state = 91},
  [2403] = {.lex_state = 92, .external_lex_state = 14},
  [2404] = {.lex_state = 199},
  [2405] = {.lex_state = 91},
  [2406] = {.lex_state = 91},
  [2407] = {.lex_state = 199},
  [2408] = {.lex_state = 199},
  [2409] = {.lex_state = 91},
  [2410] = {.lex_state = 96},
  [2411] = {.lex_state = 199},
  [2412] = {.lex_state = 92, .external_lex_state = 14},
  [2413] = {.lex_state = 96},
  [2414] = {.lex_state = 96},
  [2415] = {.lex_state = 98, .external_lex_state = 14},
  [2416] = {.lex_state = 98, .external_lex_state = 14},
  [2417] = {.lex_state = 96},
  [2418] = {.lex_state = 96},
  [2419] = {.lex_state = 96},
  [2420] = {.lex_state = 96},
  [2421] = {.lex_state = 96},
  [2422] = {.lex_state = 96},
  [2423] = {.lex_state = 75, .external_lex_state = 15},
  [2424] = {.lex_state = 96},
  [2425] = {.lex_state = 75, .external_lex_state = 15},
  [2426] = {.lex_state = 96},
  [2427] = {.lex_state = 96},
  [2428] = {.lex_state = 96},
  [2429] = {.lex_state = 96},
  [2430] = {.lex_state = 96},
  [2431] = {.lex_state = 96},
  [2432] = {.lex_state = 96},
  [2433] = {.lex_state = 96},
  [2434] = {.lex_state = 96},
  [2435] = {.lex_state = 96},
  [2436] = {.lex_state = 96},
  [2437] = {.lex_state = 96},
  [2438] = {.lex_state = 96},
  [2439] = {.lex_state = 96},
  [2440] = {.lex_state = 96},
  [2441] = {.lex_state = 96},
  [2442] = {.lex_state = 96},
  [2443] = {.lex_state = 96},
  [2444] = {.lex_state = 96},
  [2445] = {.lex_state = 96},
  [2446] = {.lex_state = 96},
  [2447] = {.lex_state = 96},
  [2448] = {.lex_state = 96},
  [2449] = {.lex_state = 96},
  [2450] = {.lex_state = 96},
  [2451] = {.lex_state = 96},
  [2452] = {.lex_state = 96},
  [2453] = {.lex_state = 96},
  [2454] = {.lex_state = 96},
  [2455] = {.lex_state = 96},
  [2456] = {.lex_state = 96},
  [2457] = {.lex_state = 96},
  [2458] = {.lex_state = 96},
  [2459] = {.lex_state = 96},
  [2460] = {.lex_state = 96},
  [2461] = {.lex_state = 96},
  [2462] = {.lex_state = 96},
  [2463] = {.lex_state = 96},
  [2464] = {.lex_state = 27, .external_lex_state = 10},
  [2465] = {.lex_state = 96},
  [2466] = {.lex_state = 96},
  [2467] = {.lex_state = 96},
  [2468] = {.lex_state = 96},
  [2469] = {.lex_state = 96},
  [2470] = {.lex_state = 96},
  [2471] = {.lex_state = 96},
  [2472] = {.lex_state = 75, .external_lex_state = 15},
  [2473] = {.lex_state = 96},
  [2474] = {.lex_state = 96},
  [2475] = {.lex_state = 96},
  [2476] = {.lex_state = 96},
  [2477] = {.lex_state = 96},
  [2478] = {.lex_state = 96},
  [2479] = {.lex_state = 96},
  [2480] = {.lex_state = 75, .external_lex_state = 15},
  [2481] = {.lex_state = 96},
  [2482] = {.lex_state = 96},
  [2483] = {.lex_state = 75, .external_lex_state = 15},
  [2484] = {.lex_state = 75, .external_lex_state = 15},
  [2485] = {.lex_state = 75, .external_lex_state = 15},
  [2486] = {.lex_state = 75, .external_lex_state = 15},
  [2487] = {.lex_state = 75, .external_lex_state = 15},
  [2488] = {.lex_state = 75, .external_lex_state = 15},
  [2489] = {.lex_state = 75, .external_lex_state = 15},
  [2490] = {.lex_state = 75, .external_lex_state = 15},
  [2491] = {.lex_state = 75, .external_lex_state = 15},
  [2492] = {.lex_state = 75, .external_lex_state = 15},
  [2493] = {.lex_state = 75, .external_lex_state = 15},
  [2494] = {.lex_state = 75, .external_lex_state = 15},
  [2495] = {.lex_state = 75, .external_lex_state = 15},
  [2496] = {.lex_state = 75, .external_lex_state = 15},
  [2497] = {.lex_state = 75, .external_lex_state = 15},
  [2498] = {.lex_state = 75, .external_lex_state = 10},
  [2499] = {.lex_state = 75, .external_lex_state = 15},
  [2500] = {.lex_state = 75, .external_lex_state = 15},
  [2501] = {.lex_state = 75, .external_lex_state = 15},
  [2502] = {.lex_state = 75, .external_lex_state = 15},
  [2503] = {.lex_state = 75, .external_lex_state = 15},
  [2504] = {.lex_state = 75, .external_lex_state = 15},
  [2505] = {.lex_state = 75, .external_lex_state = 10},
  [2506] = {.lex_state = 75, .external_lex_state = 15},
  [2507] = {.lex_state = 75, .external_lex_state = 15},
  [2508] = {.lex_state = 75, .external_lex_state = 15},
  [2509] = {.lex_state = 75, .external_lex_state = 15},
  [2510] = {.lex_state = 75, .external_lex_state = 15},
  [2511] = {.lex_state = 75, .external_lex_state = 10},
  [2512] = {.lex_state = 96, .external_lex_state = 17},
  [2513] = {.lex_state = 96, .external_lex_state = 17},
  [2514] = {.lex_state = 85},
  [2515] = {.lex_state = 96, .external_lex_state = 17},
  [2516] = {.lex_state = 85, .external_lex_state = 19},
  [2517] = {.lex_state = 96, .external_lex_state = 17},
  [2518] = {.lex_state = 96, .external_lex_state = 17},
  [2519] = {.lex_state = 85, .external_lex_state = 21},
  [2520] = {.lex_state = 85, .external_lex_state = 21},
  [2521] = {.lex_state = 96, .external_lex_state = 17},
  [2522] = {.lex_state = 85, .external_lex_state = 21},
  [2523] = {.lex_state = 96, .external_lex_state = 17},
  [2524] = {.lex_state = 96, .external_lex_state = 17},
  [2525] = {.lex_state = 96, .external_lex_state = 17},
  [2526] = {.lex_state = 85, .external_lex_state = 21},
  [2527] = {.lex_state = 85, .external_lex_state = 12},
  [2528] = {.lex_state = 96, .external_lex_state = 17},
  [2529] = {.lex_state = 96, .external_lex_state = 17},
  [2530] = {.lex_state = 96, .external_lex_state = 17},
  [2531] = {.lex_state = 85, .external_lex_state = 21},
  [2532] = {.lex_state = 85, .external_lex_state = 21},
  [2533] = {.lex_state = 96, .external_lex_state = 17},
  [2534] = {.lex_state = 96, .external_lex_state = 17},
  [2535] = {.lex_state = 96, .external_lex_state = 17},
  [2536] = {.lex_state = 96, .external_lex_state = 17},
  [2537] = {.lex_state = 96, .external_lex_state = 17},
  [2538] = {.lex_state = 85, .external_lex_state = 21},
  [2539] = {.lex_state = 85, .external_lex_state = 21},
  [2540] = {.lex_state = 85, .external_lex_state = 21},
  [2541] = {.lex_state = 96, .external_lex_state = 17},
  [2542] = {.lex_state = 85, .external_lex_state = 21},
  [2543] = {.lex_state = 85, .external_lex_state = 21},
  [2544] = {.lex_state = 96, .external_lex_state = 17},
  [2545] = {.lex_state = 96, .external_lex_state = 17},
  [2546] = {.lex_state = 96, .external_lex_state = 17},
  [2547] = {.lex_state = 96, .external_lex_state = 17},
  [2548] = {.lex_state = 85, .external_lex_state = 21},
  [2549] = {.lex_state = 96, .external_lex_state = 17},
  [2550] = {.lex_state = 96, .external_lex_state = 17},
  [2551] = {.lex_state = 96},
  [2552] = {.lex_state = 85, .external_lex_state = 21},
  [2553] = {.lex_state = 85, .external_lex_state = 21},
  [2554] = {.lex_state = 85, .external_lex_state = 21},
  [2555] = {.lex_state = 85, .external_lex_state = 21},
  [2556] = {.lex_state = 85, .external_lex_state = 21},
  [2557] = {.lex_state = 85, .external_lex_state = 21},
  [2558] = {.lex_state = 85, .external_lex_state = 21},
  [2559] = {.lex_state = 85, .external_lex_state = 21},
  [2560] = {.lex_state = 96},
  [2561] = {.lex_state = 85, .external_lex_state = 21},
  [2562] = {.lex_state = 85, .external_lex_state = 21},
  [2563] = {.lex_state = 96, .external_lex_state = 17},
  [2564] = {.lex_state = 85, .external_lex_state = 21},
  [2565] = {.lex_state = 85, .external_lex_state = 21},
  [2566] = {.lex_state = 96, .external_lex_state = 17},
  [2567] = {.lex_state = 85, .external_lex_state = 21},
  [2568] = {.lex_state = 85, .external_lex_state = 21},
  [2569] = {.lex_state = 85, .external_lex_state = 21},
  [2570] = {.lex_state = 85, .external_lex_state = 21},
  [2571] = {.lex_state = 85, .external_lex_state = 21},
  [2572] = {.lex_state = 85, .external_lex_state = 21},
  [2573] = {.lex_state = 85, .external_lex_state = 21},
  [2574] = {.lex_state = 96, .external_lex_state = 17},
  [2575] = {.lex_state = 96, .external_lex_state = 17},
  [2576] = {.lex_state = 96, .external_lex_state = 17},
  [2577] = {.lex_state = 96, .external_lex_state = 17},
  [2578] = {.lex_state = 85},
  [2579] = {.lex_state = 86},
  [2580] = {.lex_state = 86},
  [2581] = {.lex_state = 99},
  [2582] = {.lex_state = 99},
  [2583] = {.lex_state = 86},
  [2584] = {.lex_state = 96},
  [2585] = {.lex_state = 85},
  [2586] = {.lex_state = 86},
  [2587] = {.lex_state = 86},
  [2588] = {.lex_state = 99},
  [2589] = {.lex_state = 85},
  [2590] = {.lex_state = 86},
  [2591] = {.lex_state = 85},
  [2592] = {.lex_state = 86},
  [2593] = {.lex_state = 86},
  [2594] = {.lex_state = 86},
  [2595] = {.lex_state = 86},
  [2596] = {.lex_state = 85},
  [2597] = {.lex_state = 85},
  [2598] = {.lex_state = 86},
  [2599] = {.lex_state = 86},
  [2600] = {.lex_state = 86},
  [2601] = {.lex_state = 86},
  [2602] = {.lex_state = 85},
  [2603] = {.lex_state = 86},
  [2604] = {.lex_state = 86},
  [2605] = {.lex_state = 86},
  [2606] = {.lex_state = 85},
  [2607] = {.lex_state = 85},
  [2608] = {.lex_state = 85},
  [2609] = {.lex_state = 99},
  [2610] = {.lex_state = 86},
  [2611] = {.lex_state = 86},
  [2612] = {.lex_state = 86},
  [2613] = {.lex_state = 86},
  [2614] = {.lex_state = 85},
  [2615] = {.lex_state = 86},
  [2616] = {.lex_state = 86},
  [2617] = {.lex_state = 86},
  [2618] = {.lex_state = 99},
  [2619] = {.lex_state = 86},
  [2620] = {.lex_state = 86},
  [2621] = {.lex_state = 86},
  [2622] = {.lex_state = 86},
  [2623] = {.lex_state = 99},
  [2624] = {.lex_state = 86},
  [2625] = {.lex_state = 86},
  [2626] = {.lex_state = 86},
  [2627] = {.lex_state = 86},
  [2628] = {.lex_state = 86},
  [2629] = {.lex_state = 86},
  [2630] = {.lex_state = 85},
  [2631] = {.lex_state = 85},
  [2632] = {.lex_state = 86},
  [2633] = {.lex_state = 86},
  [2634] = {.lex_state = 99},
  [2635] = {.lex_state = 86},
  [2636] = {.lex_state = 85},
  [2637] = {.lex_state = 86},
  [2638] = {.lex_state = 86},
  [2639] = {.lex_state = 85},
  [2640] = {.lex_state = 86},
  [2641] = {.lex_state = 86},
  [2642] = {.lex_state = 85},
  [2643] = {.lex_state = 99},
  [2644] = {.lex_state = 85},
  [2645] = {.lex_state = 86},
  [2646] = {.lex_state = 99},
  [2647] = {.lex_state = 86},
  [2648] = {.lex_state = 86},
  [2649] = {.lex_state = 85},
  [2650] = {.lex_state = 85},
  [2651] = {.lex_state = 86},
  [2652] = {.lex_state = 86},
  [2653] = {.lex_state = 85},
  [2654] = {.lex_state = 86},
  [2655] = {.lex_state = 86},
  [2656] = {.lex_state = 85},
  [2657] = {.lex_state = 86},
  [2658] = {.lex_state = 85},
  [2659] = {.lex_state = 86},
  [2660] = {.lex_state = 85},
  [2661] = {.lex_state = 85},
  [2662] = {.lex_state = 86},
  [2663] = {.lex_state = 86},
  [2664] = {.lex_state = 86},
  [2665] = {.lex_state = 85},
  [2666] = {.lex_state = 86},
  [2667] = {.lex_state = 86},
  [2668] = {.lex_state = 99},
  [2669] = {.lex_state = 86},
  [2670] = {.lex_state = 85},
  [2671] = {.lex_state = 85},
  [2672] = {.lex_state = 85},
  [2673] = {.lex_state = 85},
  [2674] = {.lex_state = 86},
  [2675] = {.lex_state = 86},
  [2676] = {.lex_state = 101, .external_lex_state = 21},
  [2677] = {.lex_state = 101, .external_lex_state = 21},
  [2678] = {.lex_state = 101, .external_lex_state = 21},
  [2679] = {.lex_state = 101, .external_lex_state = 21},
  [2680] = {.lex_state = 101, .external_lex_state = 21},
  [2681] = {.lex_state = 101, .external_lex_state = 21},
  [2682] = {.lex_state = 96},
  [2683] = {.lex_state = 101, .external_lex_state = 21},
  [2684] = {.lex_state = 96},
  [2685] = {.lex_state = 101, .external_lex_state = 21},
  [2686] = {.lex_state = 101, .external_lex_state = 21},
  [2687] = {.lex_state = 96},
  [2688] = {.lex_state = 101, .external_lex_state = 22},
  [2689] = {.lex_state = 101, .external_lex_state = 21},
  [2690] = {.lex_state = 87},
  [2691] = {.lex_state = 101, .external_lex_state = 21},
  [2692] = {.lex_state = 101, .external_lex_state = 21},
  [2693] = {.lex_state = 96},
  [2694] = {.lex_state = 101, .external_lex_state = 21},
  [2695] = {.lex_state = 96},
  [2696] = {.lex_state = 101, .external_lex_state = 21},
  [2697] = {.lex_state = 101, .external_lex_state = 22},
  [2698] = {.lex_state = 101, .external_lex_state = 21},
  [2699] = {.lex_state = 101, .external_lex_state = 21},
  [2700] = {.lex_state = 96},
  [2701] = {.lex_state = 101, .external_lex_state = 21},
  [2702] = {.lex_state = 101, .external_lex_state = 21},
  [2703] = {.lex_state = 101, .external_lex_state = 21},
  [2704] = {.lex_state = 101, .external_lex_state = 21},
  [2705] = {.lex_state = 96},
  [2706] = {.lex_state = 101, .external_lex_state = 21},
  [2707] = {.lex_state = 96},
  [2708] = {.lex_state = 101, .external_lex_state = 21},
  [2709] = {.lex_state = 96},
  [2710] = {.lex_state = 96},
  [2711] = {.lex_state = 96},
  [2712] = {.lex_state = 96},
  [2713] = {.lex_state = 101, .external_lex_state = 22},
  [2714] = {.lex_state = 96},
  [2715] = {.lex_state = 96},
  [2716] = {.lex_state = 96},
  [2717] = {.lex_state = 96},
  [2718] = {.lex_state = 96},
  [2719] = {.lex_state = 96},
  [2720] = {.lex_state = 101, .external_lex_state = 21},
  [2721] = {.lex_state = 96},
  [2722] = {.lex_state = 96},
  [2723] = {.lex_state = 96},
  [2724] = {.lex_state = 96},
  [2725] = {.lex_state = 101, .external_lex_state = 21},
  [2726] = {.lex_state = 101, .external_lex_state = 22},
  [2727] = {.lex_state = 96},
  [2728] = {.lex_state = 101, .external_lex_state = 21},
  [2729] = {.lex_state = 101, .external_lex_state = 21},
  [2730] = {.lex_state = 101, .external_lex_state = 21},
  [2731] = {.lex_state = 96},
  [2732] = {.lex_state = 96},
  [2733] = {.lex_state = 101, .external_lex_state = 21},
  [2734] = {.lex_state = 101, .external_lex_state = 21},
  [2735] = {.lex_state = 101, .external_lex_state = 21},
  [2736] = {.lex_state = 101, .external_lex_state = 21},
  [2737] = {.lex_state = 96},
  [2738] = {.lex_state = 100},
  [2739] = {.lex_state = 199, .external_lex_state = 23},
  [2740] = {.lex_state = 100},
  [2741] = {.lex_state = 100},
  [2742] = {.lex_state = 199, .external_lex_state = 23},
  [2743] = {.lex_state = 100},
  [2744] = {.lex_state = 100},
  [2745] = {.lex_state = 100},
  [2746] = {.lex_state = 100},
  [2747] = {.lex_state = 100},
  [2748] = {.lex_state = 100},
  [2749] = {.lex_state = 100},
  [2750] = {.lex_state = 100},
  [2751] = {.lex_state = 100},
  [2752] = {.lex_state = 100},
  [2753] = {.lex_state = 100},
  [2754] = {.lex_state = 100},
  [2755] = {.lex_state = 100},
  [2756] = {.lex_state = 100},
  [2757] = {.lex_state = 100},
  [2758] = {.lex_state = 100},
  [2759] = {.lex_state = 199, .external_lex_state = 23},
  [2760] = {.lex_state = 100},
  [2761] = {.lex_state = 100},
  [2762] = {.lex_state = 100},
  [2763] = {.lex_state = 100},
  [2764] = {.lex_state = 100},
  [2765] = {.lex_state = 100},
  [2766] = {.lex_state = 100},
  [2767] = {.lex_state = 100},
  [2768] = {.lex_state = 100},
  [2769] = {.lex_state = 100},
  [2770] = {.lex_state = 100},
  [2771] = {.lex_state = 100},
  [2772] = {.lex_state = 100},
  [2773] = {.lex_state = 100},
  [2774] = {.lex_state = 100},
  [2775] = {.lex_state = 100},
  [2776] = {.lex_state = 100},
  [2777] = {.lex_state = 100},
  [2778] = {.lex_state = 100},
  [2779] = {.lex_state = 199, .external_lex_state = 23},
  [2780] = {.lex_state = 199, .external_lex_state = 23},
  [2781] = {.lex_state = 100},
  [2782] = {.lex_state = 100},
  [2783] = {.lex_state = 100},
  [2784] = {.lex_state = 100},
  [2785] = {.lex_state = 100},
  [2786] = {.lex_state = 100},
  [2787] = {.lex_state = 100},
  [2788] = {.lex_state = 100},
  [2789] = {.lex_state = 100},
  [2790] = {.lex_state = 100},
  [2791] = {.lex_state = 100},
  [2792] = {.lex_state = 100},
  [2793] = {.lex_state = 100},
  [2794] = {.lex_state = 100},
  [2795] = {.lex_state = 100},
  [2796] = {.lex_state = 199, .external_lex_state = 23},
  [2797] = {.lex_state = 100},
  [2798] = {.lex_state = 100},
  [2799] = {.lex_state = 100},
  [2800] = {.lex_state = 100},
  [2801] = {.lex_state = 85},
  [2802] = {.lex_state = 100},
  [2803] = {.lex_state = 199, .external_lex_state = 23},
  [2804] = {.lex_state = 100},
  [2805] = {.lex_state = 101},
  [2806] = {.lex_state = 101},
  [2807] = {.lex_state = 188, .external_lex_state = 15},
  [2808] = {.lex_state = 101},
  [2809] = {.lex_state = 101},
  [2810] = {.lex_state = 102},
  [2811] = {.lex_state = 101},
  [2812] = {.lex_state = 101},
  [2813] = {.lex_state = 101},
  [2814] = {.lex_state = 101},
  [2815] = {.lex_state = 101},
  [2816] = {.lex_state = 100, .external_lex_state = 17},
  [2817] = {.lex_state = 100, .external_lex_state = 17},
  [2818] = {.lex_state = 29, .external_lex_state = 10},
  [2819] = {.lex_state = 188, .external_lex_state = 15},
  [2820] = {.lex_state = 100, .external_lex_state = 17},
  [2821] = {.lex_state = 29, .external_lex_state = 10},
  [2822] = {.lex_state = 29, .external_lex_state = 10},
  [2823] = {.lex_state = 29, .external_lex_state = 10},
  [2824] = {.lex_state = 100, .external_lex_state = 17},
  [2825] = {.lex_state = 188, .external_lex_state = 10},
  [2826] = {.lex_state = 188, .external_lex_state = 10},
  [2827] = {.lex_state = 188, .external_lex_state = 10},
  [2828] = {.lex_state = 100, .external_lex_state = 17},
  [2829] = {.lex_state = 100, .external_lex_state = 17},
  [2830] = {.lex_state = 188, .external_lex_state = 15},
  [2831] = {.lex_state = 100, .external_lex_state = 17},
  [2832] = {.lex_state = 188, .external_lex_state = 15},
  [2833] = {.lex_state = 29, .external_lex_state = 10},
  [2834] = {.lex_state = 100, .external_lex_state = 17},
  [2835] = {.lex_state = 100, .external_lex_state = 17},
  [2836] = {.lex_state = 100, .external_lex_state = 17},
  [2837] = {.lex_state = 100, .external_lex_state = 17},
  [2838] = {.lex_state = 188, .external_lex_state = 15},
  [2839] = {.lex_state = 100, .external_lex_state = 17},
  [2840] = {.lex_state = 100, .external_lex_state = 17},
  [2841] = {.lex_state = 100, .external_lex_state = 17},
  [2842] = {.lex_state = 100, .external_lex_state = 17},
  [2843] = {.lex_state = 100, .external_lex_state = 17},
  [2844] = {.lex_state = 100, .external_lex_state = 17},
  [2845] = {.lex_state = 100, .external_lex_state = 17},
  [2846] = {.lex_state = 100, .external_lex_state = 17},
  [2847] = {.lex_state = 100, .external_lex_state = 17},
  [2848] = {.lex_state = 188, .external_lex_state = 10},
  [2849] = {.lex_state = 100, .external_lex_state = 17},
  [2850] = {.lex_state = 100, .external_lex_state = 17},
  [2851] = {.lex_state = 188, .external_lex_state = 15},
  [2852] = {.lex_state = 199},
  [2853] = {.lex_state = 199, .external_lex_state = 23},
  [2854] = {.lex_state = 100},
  [2855] = {.lex_state = 188, .external_lex_state = 15},
  [2856] = {.lex_state = 188, .external_lex_state = 10},
  [2857] = {.lex_state = 188, .external_lex_state = 15},
  [2858] = {.lex_state = 188, .external_lex_state = 15},
  [2859] = {.lex_state = 188, .external_lex_state = 15},
  [2860] = {.lex_state = 188, .external_lex_state = 15},
  [2861] = {.lex_state = 199},
  [2862] = {.lex_state = 188, .external_lex_state = 15},
  [2863] = {.lex_state = 29, .external_lex_state = 10},
  [2864] = {.lex_state = 188, .external_lex_state = 15},
  [2865] = {.lex_state = 188, .external_lex_state = 15},
  [2866] = {.lex_state = 188, .external_lex_state = 15},
  [2867] = {.lex_state = 188, .external_lex_state = 15},
  [2868] = {.lex_state = 199, .external_lex_state = 23},
  [2869] = {.lex_state = 199, .external_lex_state = 23},
  [2870] = {.lex_state = 199},
  [2871] = {.lex_state = 199, .external_lex_state = 23},
  [2872] = {.lex_state = 199},
  [2873] = {.lex_state = 199, .external_lex_state = 23},
  [2874] = {.lex_state = 199, .external_lex_state = 23},
  [2875] = {.lex_state = 188, .external_lex_state = 15},
  [2876] = {.lex_state = 199, .external_lex_state = 23},
  [2877] = {.lex_state = 199, .external_lex_state = 23},
  [2878] = {.lex_state = 199, .external_lex_state = 23},
  [2879] = {.lex_state = 199, .external_lex_state = 23},
  [2880] = {.lex_state = 199, .external_lex_state = 23},
  [2881] = {.lex_state = 188, .external_lex_state = 15},
  [2882] = {.lex_state = 188, .external_lex_state = 10},
  [2883] = {.lex_state = 199, .external_lex_state = 23},
  [2884] = {.lex_state = 199, .external_lex_state = 23},
  [2885] = {.lex_state = 188, .external_lex_state = 10},
  [2886] = {.lex_state = 199},
  [2887] = {.lex_state = 188, .external_lex_state = 10},
  [2888] = {.lex_state = 188, .external_lex_state = 15},
  [2889] = {.lex_state = 29, .external_lex_state = 10},
  [2890] = {.lex_state = 188, .external_lex_state = 15},
  [2891] = {.lex_state = 188, .external_lex_state = 15},
  [2892] = {.lex_state = 199, .external_lex_state = 23},
  [2893] = {.lex_state = 199, .external_lex_state = 23},
  [2894] = {.lex_state = 199, .external_lex_state = 23},
  [2895] = {.lex_state = 199, .external_lex_state = 23},
  [2896] = {.lex_state = 188, .external_lex_state = 15},
  [2897] = {.lex_state = 188, .external_lex_state = 15},
  [2898] = {.lex_state = 199, .external_lex_state = 23},
  [2899] = {.lex_state = 199, .external_lex_state = 23},
  [2900] = {.lex_state = 188, .external_lex_state = 15},
  [2901] = {.lex_state = 199, .external_lex_state = 23},
  [2902] = {.lex_state = 188, .external_lex_state = 15},
  [2903] = {.lex_state = 188, .external_lex_state = 15},
  [2904] = {.lex_state = 188, .external_lex_state = 15},
  [2905] = {.lex_state = 199},
  [2906] = {.lex_state = 188, .external_lex_state = 15},
  [2907] = {.lex_state = 188, .external_lex_state = 15},
  [2908] = {.lex_state = 100},
  [2909] = {.lex_state = 188, .external_lex_state = 15},
  [2910] = {.lex_state = 188, .external_lex_state = 15},
  [2911] = {.lex_state = 188, .external_lex_state = 15},
  [2912] = {.lex_state = 102},
  [2913] = {.lex_state = 102},
  [2914] = {.lex_state = 188, .external_lex_state = 10},
  [2915] = {.lex_state = 102},
  [2916] = {.lex_state = 91},
  [2917] = {.lex_state = 188, .external_lex_state = 10},
  [2918] = {.lex_state = 188, .external_lex_state = 10},
  [2919] = {.lex_state = 102},
  [2920] = {.lex_state = 102},
  [2921] = {.lex_state = 188, .external_lex_state = 10},
  [2922] = {.lex_state = 102},
  [2923] = {.lex_state = 102},
  [2924] = {.lex_state = 91, .external_lex_state = 17},
  [2925] = {.lex_state = 199},
  [2926] = {.lex_state = 188, .external_lex_state = 10},
  [2927] = {.lex_state = 102},
  [2928] = {.lex_state = 102},
  [2929] = {.lex_state = 102},
  [2930] = {.lex_state = 102},
  [2931] = {.lex_state = 188, .external_lex_state = 10},
  [2932] = {.lex_state = 102},
  [2933] = {.lex_state = 102},
  [2934] = {.lex_state = 102},
  [2935] = {.lex_state = 102},
  [2936] = {.lex_state = 102},
  [2937] = {.lex_state = 102},
  [2938] = {.lex_state = 188, .external_lex_state = 10},
  [2939] = {.lex_state = 91, .external_lex_state = 17},
  [2940] = {.lex_state = 102},
  [2941] = {.lex_state = 188, .external_lex_state = 10},
  [2942] = {.lex_state = 91, .external_lex_state = 17},
  [2943] = {.lex_state = 91},
  [2944] = {.lex_state = 102},
  [2945] = {.lex_state = 188, .external_lex_state = 10},
  [2946] = {.lex_state = 102},
  [2947] = {.lex_state = 188, .external_lex_state = 10},
  [2948] = {.lex_state = 102},
  [2949] = {.lex_state = 188, .external_lex_state = 10},
  [2950] = {.lex_state = 188, .external_lex_state = 10},
  [2951] = {.lex_state = 102},
  [2952] = {.lex_state = 188, .external_lex_state = 10},
  [2953] = {.lex_state = 102},
  [2954] = {.lex_state = 102},
  [2955] = {.lex_state = 188, .external_lex_state = 10},
  [2956] = {.lex_state = 188, .external_lex_state = 10},
  [2957] = {.lex_state = 188, .external_lex_state = 10},
  [2958] = {.lex_state = 188, .external_lex_state = 10},
  [2959] = {.lex_state = 188, .external_lex_state = 10},
  [2960] = {.lex_state = 188, .external_lex_state = 10},
  [2961] = {.lex_state = 102},
  [2962] = {.lex_state = 102},
  [2963] = {.lex_state = 102},
  [2964] = {.lex_state = 102},
  [2965] = {.lex_state = 199},
  [2966] = {.lex_state = 199},
  [2967] = {.lex_state = 102},
  [2968] = {.lex_state = 199},
  [2969] = {.lex_state = 199},
  [2970] = {.lex_state = 199},
  [2971] = {.lex_state = 102},
  [2972] = {.lex_state = 188, .external_lex_state = 10},
  [2973] = {.lex_state = 102},
  [2974] = {.lex_state = 188, .external_lex_state = 10},
  [2975] = {.lex_state = 102},
  [2976] = {.lex_state = 102},
  [2977] = {.lex_state = 91, .external_lex_state = 17},
  [2978] = {.lex_state = 91},
  [2979] = {.lex_state = 91, .external_lex_state = 17},
  [2980] = {.lex_state = 102},
  [2981] = {.lex_state = 188, .external_lex_state = 10},
  [2982] = {.lex_state = 188, .external_lex_state = 10},
  [2983] = {.lex_state = 188, .external_lex_state = 10},
  [2984] = {.lex_state = 188, .external_lex_state = 10},
  [2985] = {.lex_state = 102},
  [2986] = {.lex_state = 103, .external_lex_state = 20},
  [2987] = {.lex_state = 188, .external_lex_state = 10},
  [2988] = {.lex_state = 92, .external_lex_state = 19},
  [2989] = {.lex_state = 102},
  [2990] = {.lex_state = 102},
  [2991] = {.lex_state = 102},
  [2992] = {.lex_state = 92, .external_lex_state = 19},
  [2993] = {.lex_state = 188, .external_lex_state = 10},
  [2994] = {.lex_state = 102},
  [2995] = {.lex_state = 188, .external_lex_state = 10},
  [2996] = {.lex_state = 102},
  [2997] = {.lex_state = 92, .external_lex_state = 19},
  [2998] = {.lex_state = 188, .external_lex_state = 10},
  [2999] = {.lex_state = 188, .external_lex_state = 10},
  [3000] = {.lex_state = 102},
  [3001] = {.lex_state = 102},
  [3002] = {.lex_state = 102},
  [3003] = {.lex_state = 188, .external_lex_state = 10},
  [3004] = {.lex_state = 102},
  [3005] = {.lex_state = 102},
  [3006] = {.lex_state = 188, .external_lex_state = 10},
  [3007] = {.lex_state = 102},
  [3008] = {.lex_state = 92, .external_lex_state = 19},
  [3009] = {.lex_state = 102},
  [3010] = {.lex_state = 102},
  [3011] = {.lex_state = 101, .external_lex_state = 20},
  [3012] = {.lex_state = 199},
  [3013] = {.lex_state = 103, .external_lex_state = 12},
  [3014] = {.lex_state = 101, .external_lex_state = 20},
  [3015] = {.lex_state = 101, .external_lex_state = 20},
  [3016] = {.lex_state = 103, .external_lex_state = 12},
  [3017] = {.lex_state = 103, .external_lex_state = 12},
  [3018] = {.lex_state = 101, .external_lex_state = 20},
  [3019] = {.lex_state = 101, .external_lex_state = 20},
  [3020] = {.lex_state = 103, .external_lex_state = 12},
  [3021] = {.lex_state = 103, .external_lex_state = 12},
  [3022] = {.lex_state = 103, .external_lex_state = 12},
  [3023] = {.lex_state = 101, .external_lex_state = 20},
  [3024] = {.lex_state = 101, .external_lex_state = 20},
  [3025] = {.lex_state = 103, .external_lex_state = 12},
  [3026] = {.lex_state = 101, .external_lex_state = 20},
  [3027] = {.lex_state = 101, .external_lex_state = 20},
  [3028] = {.lex_state = 101, .external_lex_state = 20},
  [3029] = {.lex_state = 103, .external_lex_state = 12},
  [3030] = {.lex_state = 101, .external_lex_state = 20},
  [3031] = {.lex_state = 92, .external_lex_state = 19},
  [3032] = {.lex_state = 103, .external_lex_state = 12},
  [3033] = {.lex_state = 103, .external_lex_state = 12},
  [3034] = {.lex_state = 101, .external_lex_state = 20},
  [3035] = {.lex_state = 103, .external_lex_state = 12},
  [3036] = {.lex_state = 101, .external_lex_state = 20},
  [3037] = {.lex_state = 103, .external_lex_state = 12},
  [3038] = {.lex_state = 103, .external_lex_state = 12},
  [3039] = {.lex_state = 101, .external_lex_state = 20},
  [3040] = {.lex_state = 103, .external_lex_state = 12},
  [3041] = {.lex_state = 101, .external_lex_state = 20},
  [3042] = {.lex_state = 102},
  [3043] = {.lex_state = 102},
  [3044] = {.lex_state = 91},
  [3045] = {.lex_state = 101, .external_lex_state = 20},
  [3046] = {.lex_state = 101, .external_lex_state = 20},
  [3047] = {.lex_state = 103, .external_lex_state = 12},
  [3048] = {.lex_state = 92, .external_lex_state = 19},
  [3049] = {.lex_state = 101, .external_lex_state = 20},
  [3050] = {.lex_state = 103, .external_lex_state = 12},
  [3051] = {.lex_state = 103, .external_lex_state = 12},
  [3052] = {.lex_state = 103, .external_lex_state = 12},
  [3053] = {.lex_state = 101, .external_lex_state = 17},
  [3054] = {.lex_state = 103, .external_lex_state = 12},
  [3055] = {.lex_state = 101, .external_lex_state = 20},
  [3056] = {.lex_state = 103, .external_lex_state = 12},
  [3057] = {.lex_state = 103, .external_lex_state = 12},
  [3058] = {.lex_state = 101, .external_lex_state = 20},
  [3059] = {.lex_state = 101, .external_lex_state = 20},
  [3060] = {.lex_state = 101, .external_lex_state = 20},
  [3061] = {.lex_state = 103, .external_lex_state = 12},
  [3062] = {.lex_state = 103, .external_lex_state = 12},
  [3063] = {.lex_state = 103, .external_lex_state = 12},
  [3064] = {.lex_state = 92, .external_lex_state = 19},
  [3065] = {.lex_state = 103, .external_lex_state = 12},
  [3066] = {.lex_state = 101, .external_lex_state = 20},
  [3067] = {.lex_state = 101, .external_lex_state = 20},
  [3068] = {.lex_state = 101, .external_lex_state = 20},
  [3069] = {.lex_state = 103, .external_lex_state = 12},
  [3070] = {.lex_state = 101, .external_lex_state = 20},
  [3071] = {.lex_state = 101, .external_lex_state = 20},
  [3072] = {.lex_state = 103, .external_lex_state = 12},
  [3073] = {.lex_state = 103, .external_lex_state = 12},
  [3074] = {.lex_state = 101, .external_lex_state = 20},
  [3075] = {.lex_state = 103, .external_lex_state = 12},
  [3076] = {.lex_state = 101, .external_lex_state = 20},
  [3077] = {.lex_state = 101, .external_lex_state = 20},
  [3078] = {.lex_state = 101, .external_lex_state = 17},
  [3079] = {.lex_state = 103, .external_lex_state = 12},
  [3080] = {.lex_state = 199},
  [3081] = {.lex_state = 103, .external_lex_state = 12},
  [3082] = {.lex_state = 101, .external_lex_state = 20},
  [3083] = {.lex_state = 199},
  [3084] = {.lex_state = 103, .external_lex_state = 12},
  [3085] = {.lex_state = 91},
  [3086] = {.lex_state = 91},
  [3087] = {.lex_state = 103, .external_lex_state = 12},
  [3088] = {.lex_state = 103, .external_lex_state = 12},
  [3089] = {.lex_state = 101, .external_lex_state = 20},
  [3090] = {.lex_state = 103, .external_lex_state = 12},
  [3091] = {.lex_state = 101, .external_lex_state = 20},
  [3092] = {.lex_state = 101, .external_lex_state = 20},
  [3093] = {.lex_state = 103, .external_lex_state = 12},
  [3094] = {.lex_state = 101, .external_lex_state = 20},
  [3095] = {.lex_state = 103, .external_lex_state = 12},
  [3096] = {.lex_state = 103, .external_lex_state = 12},
  [3097] = {.lex_state = 199},
  [3098] = {.lex_state = 199},
  [3099] = {.lex_state = 103, .external_lex_state = 12},
  [3100] = {.lex_state = 101, .external_lex_state = 20},
  [3101] = {.lex_state = 101, .external_lex_state = 20},
  [3102] = {.lex_state = 101, .external_lex_state = 20},
  [3103] = {.lex_state = 92, .external_lex_state = 19},
  [3104] = {.lex_state = 103, .external_lex_state = 12},
  [3105] = {.lex_state = 101, .external_lex_state = 20},
  [3106] = {.lex_state = 103, .external_lex_state = 12},
  [3107] = {.lex_state = 103, .external_lex_state = 12},
  [3108] = {.lex_state = 101, .external_lex_state = 20},
  [3109] = {.lex_state = 101, .external_lex_state = 20},
  [3110] = {.lex_state = 103, .external_lex_state = 12},
  [3111] = {.lex_state = 101, .external_lex_state = 20},
  [3112] = {.lex_state = 102},
  [3113] = {.lex_state = 103, .external_lex_state = 12},
  [3114] = {.lex_state = 102},
  [3115] = {.lex_state = 91},
  [3116] = {.lex_state = 91},
  [3117] = {.lex_state = 91},
  [3118] = {.lex_state = 103, .external_lex_state = 12},
  [3119] = {.lex_state = 103, .external_lex_state = 12},
  [3120] = {.lex_state = 101, .external_lex_state = 20},
  [3121] = {.lex_state = 91},
  [3122] = {.lex_state = 103, .external_lex_state = 12},
  [3123] = {.lex_state = 101, .external_lex_state = 20},
  [3124] = {.lex_state = 101, .external_lex_state = 20},
  [3125] = {.lex_state = 101, .external_lex_state = 20},
  [3126] = {.lex_state = 101, .external_lex_state = 17},
  [3127] = {.lex_state = 101, .external_lex_state = 20},
  [3128] = {.lex_state = 103, .external_lex_state = 12},
  [3129] = {.lex_state = 101, .external_lex_state = 20},
  [3130] = {.lex_state = 103, .external_lex_state = 12},
  [3131] = {.lex_state = 101, .external_lex_state = 20},
  [3132] = {.lex_state = 103, .external_lex_state = 12},
  [3133] = {.lex_state = 101, .external_lex_state = 20},
  [3134] = {.lex_state = 103, .external_lex_state = 12},
  [3135] = {.lex_state = 103, .external_lex_state = 12},
  [3136] = {.lex_state = 101, .external_lex_state = 20},
  [3137] = {.lex_state = 101, .external_lex_state = 20},
  [3138] = {.lex_state = 91},
  [3139] = {.lex_state = 102},
  [3140] = {.lex_state = 91},
  [3141] = {.lex_state = 103, .external_lex_state = 12},
  [3142] = {.lex_state = 103, .external_lex_state = 12},
  [3143] = {.lex_state = 101, .external_lex_state = 20},
  [3144] = {.lex_state = 101, .external_lex_state = 20},
  [3145] = {.lex_state = 103, .external_lex_state = 12},
  [3146] = {.lex_state = 103, .external_lex_state = 12},
  [3147] = {.lex_state = 101, .external_lex_state = 20},
  [3148] = {.lex_state = 103, .external_lex_state = 12},
  [3149] = {.lex_state = 101, .external_lex_state = 20},
  [3150] = {.lex_state = 102},
  [3151] = {.lex_state = 101, .external_lex_state = 20},
  [3152] = {.lex_state = 102},
  [3153] = {.lex_state = 101, .external_lex_state = 20},
  [3154] = {.lex_state = 103, .external_lex_state = 12},
  [3155] = {.lex_state = 101, .external_lex_state = 20},
  [3156] = {.lex_state = 101, .external_lex_state = 20},
  [3157] = {.lex_state = 103, .external_lex_state = 12},
  [3158] = {.lex_state = 101, .external_lex_state = 20},
  [3159] = {.lex_state = 102},
  [3160] = {.lex_state = 103, .external_lex_state = 12},
  [3161] = {.lex_state = 103, .external_lex_state = 12},
  [3162] = {.lex_state = 101, .external_lex_state = 17},
  [3163] = {.lex_state = 101, .external_lex_state = 20},
  [3164] = {.lex_state = 101, .external_lex_state = 20},
  [3165] = {.lex_state = 101, .external_lex_state = 20},
  [3166] = {.lex_state = 102},
  [3167] = {.lex_state = 103, .external_lex_state = 12},
  [3168] = {.lex_state = 103, .external_lex_state = 12},
  [3169] = {.lex_state = 102},
  [3170] = {.lex_state = 102},
  [3171] = {.lex_state = 101},
  [3172] = {.lex_state = 90},
  [3173] = {.lex_state = 101},
  [3174] = {.lex_state = 90},
  [3175] = {.lex_state = 199},
  [3176] = {.lex_state = 90},
  [3177] = {.lex_state = 102},
  [3178] = {.lex_state = 102},
  [3179] = {.lex_state = 102},
  [3180] = {.lex_state = 102},
  [3181] = {.lex_state = 102},
  [3182] = {.lex_state = 102},
  [3183] = {.lex_state = 102},
  [3184] = {.lex_state = 102},
  [3185] = {.lex_state = 101},
  [3186] = {.lex_state = 92, .external_lex_state = 19},
  [3187] = {.lex_state = 91},
  [3188] = {.lex_state = 102},
  [3189] = {.lex_state = 102},
  [3190] = {.lex_state = 199},
  [3191] = {.lex_state = 102},
  [3192] = {.lex_state = 102},
  [3193] = {.lex_state = 102},
  [3194] = {.lex_state = 102},
  [3195] = {.lex_state = 199},
  [3196] = {.lex_state = 102},
  [3197] = {.lex_state = 102},
  [3198] = {.lex_state = 102},
  [3199] = {.lex_state = 102},
  [3200] = {.lex_state = 102},
  [3201] = {.lex_state = 102},
  [3202] = {.lex_state = 102},
  [3203] = {.lex_state = 102},
  [3204] = {.lex_state = 102},
  [3205] = {.lex_state = 102},
  [3206] = {.lex_state = 102},
  [3207] = {.lex_state = 102},
  [3208] = {.lex_state = 102},
  [3209] = {.lex_state = 102},
  [3210] = {.lex_state = 199},
  [3211] = {.lex_state = 102},
  [3212] = {.lex_state = 102},
  [3213] = {.lex_state = 102},
  [3214] = {.lex_state = 102},
  [3215] = {.lex_state = 102},
  [3216] = {.lex_state = 102},
  [3217] = {.lex_state = 102},
  [3218] = {.lex_state = 102},
  [3219] = {.lex_state = 199},
  [3220] = {.lex_state = 102},
  [3221] = {.lex_state = 102},
  [3222] = {.lex_state = 102},
  [3223] = {.lex_state = 102},
  [3224] = {.lex_state = 101},
  [3225] = {.lex_state = 101},
  [3226] = {.lex_state = 102},
  [3227] = {.lex_state = 101, .external_lex_state = 20},
  [3228] = {.lex_state = 102},
  [3229] = {.lex_state = 102},
  [3230] = {.lex_state = 92, .external_lex_state = 19},
  [3231] = {.lex_state = 102},
  [3232] = {.lex_state = 102},
  [3233] = {.lex_state = 199},
  [3234] = {.lex_state = 101},
  [3235] = {.lex_state = 102},
  [3236] = {.lex_state = 102},
  [3237] = {.lex_state = 101},
  [3238] = {.lex_state = 102},
  [3239] = {.lex_state = 102},
  [3240] = {.lex_state = 102},
  [3241] = {.lex_state = 101},
  [3242] = {.lex_state = 102},
  [3243] = {.lex_state = 102},
  [3244] = {.lex_state = 101},
  [3245] = {.lex_state = 101, .external_lex_state = 20},
  [3246] = {.lex_state = 102},
  [3247] = {.lex_state = 199},
  [3248] = {.lex_state = 102},
  [3249] = {.lex_state = 101, .external_lex_state = 20},
  [3250] = {.lex_state = 101},
  [3251] = {.lex_state = 101, .external_lex_state = 20},
  [3252] = {.lex_state = 102},
  [3253] = {.lex_state = 199},
  [3254] = {.lex_state = 103, .external_lex_state = 12},
  [3255] = {.lex_state = 102},
  [3256] = {.lex_state = 101},
  [3257] = {.lex_state = 101, .external_lex_state = 20},
  [3258] = {.lex_state = 101, .external_lex_state = 20},
  [3259] = {.lex_state = 101, .external_lex_state = 20},
  [3260] = {.lex_state = 101, .external_lex_state = 20},
  [3261] = {.lex_state = 101, .external_lex_state = 20},
  [3262] = {.lex_state = 101, .external_lex_state = 20},
  [3263] = {.lex_state = 101, .external_lex_state = 20},
  [3264] = {.lex_state = 101, .external_lex_state = 20},
  [3265] = {.lex_state = 102},
  [3266] = {.lex_state = 101, .external_lex_state = 20},
  [3267] = {.lex_state = 102},
  [3268] = {.lex_state = 101},
  [3269] = {.lex_state = 101, .external_lex_state = 20},
  [3270] = {.lex_state = 101, .external_lex_state = 20},
  [3271] = {.lex_state = 101, .external_lex_state = 20},
  [3272] = {.lex_state = 101, .external_lex_state = 20},
  [3273] = {.lex_state = 101, .external_lex_state = 20},
  [3274] = {.lex_state = 101, .external_lex_state = 20},
  [3275] = {.lex_state = 101, .external_lex_state = 20},
  [3276] = {.lex_state = 101, .external_lex_state = 20},
  [3277] = {.lex_state = 199},
  [3278] = {.lex_state = 101, .external_lex_state = 20},
  [3279] = {.lex_state = 102},
  [3280] = {.lex_state = 101, .external_lex_state = 20},
  [3281] = {.lex_state = 101, .external_lex_state = 20},
  [3282] = {.lex_state = 101},
  [3283] = {.lex_state = 101, .external_lex_state = 20},
  [3284] = {.lex_state = 101, .external_lex_state = 20},
  [3285] = {.lex_state = 199},
  [3286] = {.lex_state = 102},
  [3287] = {.lex_state = 91},
  [3288] = {.lex_state = 199},
  [3289] = {.lex_state = 199, .external_lex_state = 24},
  [3290] = {.lex_state = 101, .external_lex_state = 12},
  [3291] = {.lex_state = 101, .external_lex_state = 12},
  [3292] = {.lex_state = 199},
  [3293] = {.lex_state = 91},
  [3294] = {.lex_state = 199},
  [3295] = {.lex_state = 199},
  [3296] = {.lex_state = 91},
  [3297] = {.lex_state = 91},
  [3298] = {.lex_state = 199},
  [3299] = {.lex_state = 91},
  [3300] = {.lex_state = 199, .external_lex_state = 24},
  [3301] = {.lex_state = 91},
  [3302] = {.lex_state = 101, .external_lex_state = 12},
  [3303] = {.lex_state = 95},
  [3304] = {.lex_state = 101, .external_lex_state = 12},
  [3305] = {.lex_state = 91},
  [3306] = {.lex_state = 199},
  [3307] = {.lex_state = 101, .external_lex_state = 12},
  [3308] = {.lex_state = 199, .external_lex_state = 24},
  [3309] = {.lex_state = 101, .external_lex_state = 12},
  [3310] = {.lex_state = 101, .external_lex_state = 12},
  [3311] = {.lex_state = 199},
  [3312] = {.lex_state = 91},
  [3313] = {.lex_state = 199},
  [3314] = {.lex_state = 199},
  [3315] = {.lex_state = 199},
  [3316] = {.lex_state = 91},
  [3317] = {.lex_state = 101, .external_lex_state = 12},
  [3318] = {.lex_state = 101, .external_lex_state = 12},
  [3319] = {.lex_state = 101, .external_lex_state = 12},
  [3320] = {.lex_state = 91},
  [3321] = {.lex_state = 199},
  [3322] = {.lex_state = 199},
  [3323] = {.lex_state = 91},
  [3324] = {.lex_state = 199},
  [3325] = {.lex_state = 91},
  [3326] = {.lex_state = 199},
  [3327] = {.lex_state = 91},
  [3328] = {.lex_state = 199},
  [3329] = {.lex_state = 199},
  [3330] = {.lex_state = 101, .external_lex_state = 12},
  [3331] = {.lex_state = 91},
  [3332] = {.lex_state = 101, .external_lex_state = 12},
  [3333] = {.lex_state = 101, .external_lex_state = 12},
  [3334] = {.lex_state = 101, .external_lex_state = 12},
  [3335] = {.lex_state = 91},
  [3336] = {.lex_state = 101, .external_lex_state = 12},
  [3337] = {.lex_state = 199},
  [3338] = {.lex_state = 199},
  [3339] = {.lex_state = 101, .external_lex_state = 12},
  [3340] = {.lex_state = 91},
  [3341] = {.lex_state = 199},
  [3342] = {.lex_state = 199},
  [3343] = {.lex_state = 199},
  [3344] = {.lex_state = 91},
  [3345] = {.lex_state = 199},
  [3346] = {.lex_state = 91},
  [3347] = {.lex_state = 199},
  [3348] = {.lex_state = 199},
  [3349] = {.lex_state = 91},
  [3350] = {.lex_state = 91},
  [3351] = {.lex_state = 101, .external_lex_state = 12},
  [3352] = {.lex_state = 101, .external_lex_state = 12},
  [3353] = {.lex_state = 199},
  [3354] = {.lex_state = 101, .external_lex_state = 12},
  [3355] = {.lex_state = 91},
  [3356] = {.lex_state = 91},
  [3357] = {.lex_state = 101, .external_lex_state = 12},
  [3358] = {.lex_state = 101, .external_lex_state = 12},
  [3359] = {.lex_state = 101, .external_lex_state = 12},
  [3360] = {.lex_state = 199},
  [3361] = {.lex_state = 91},
  [3362] = {.lex_state = 91},
  [3363] = {.lex_state = 95},
  [3364] = {.lex_state = 199},
  [3365] = {.lex_state = 91},
  [3366] = {.lex_state = 101, .external_lex_state = 12},
  [3367] = {.lex_state = 101, .external_lex_state = 12},
  [3368] = {.lex_state = 199},
  [3369] = {.lex_state = 91},
  [3370] = {.lex_state = 101, .external_lex_state = 12},
  [3371] = {.lex_state = 199},
  [3372] = {.lex_state = 101, .external_lex_state = 12},
  [3373] = {.lex_state = 101, .external_lex_state = 12},
  [3374] = {.lex_state = 101, .external_lex_state = 12},
  [3375] = {.lex_state = 199},
  [3376] = {.lex_state = 91},
  [3377] = {.lex_state = 199},
  [3378] = {.lex_state = 199, .external_lex_state = 24},
  [3379] = {.lex_state = 199},
  [3380] = {.lex_state = 91},
  [3381] = {.lex_state = 91},
  [3382] = {.lex_state = 101, .external_lex_state = 12},
  [3383] = {.lex_state = 91},
  [3384] = {.lex_state = 199},
  [3385] = {.lex_state = 101, .external_lex_state = 12},
  [3386] = {.lex_state = 101, .external_lex_state = 12},
  [3387] = {.lex_state = 91},
  [3388] = {.lex_state = 91},
  [3389] = {.lex_state = 199},
  [3390] = {.lex_state = 91},
  [3391] = {.lex_state = 199},
  [3392] = {.lex_state = 91},
  [3393] = {.lex_state = 101, .external_lex_state = 12},
  [3394] = {.lex_state = 101, .external_lex_state = 12},
  [3395] = {.lex_state = 199},
  [3396] = {.lex_state = 91},
  [3397] = {.lex_state = 199},
  [3398] = {.lex_state = 91},
  [3399] = {.lex_state = 101, .external_lex_state = 12},
  [3400] = {.lex_state = 101, .external_lex_state = 12},
  [3401] = {.lex_state = 91},
  [3402] = {.lex_state = 101, .external_lex_state = 12},
  [3403] = {.lex_state = 199},
  [3404] = {.lex_state = 101, .external_lex_state = 12},
  [3405] = {.lex_state = 101, .external_lex_state = 12},
  [3406] = {.lex_state = 101, .external_lex_state = 12},
  [3407] = {.lex_state = 101, .external_lex_state = 12},
  [3408] = {.lex_state = 101, .external_lex_state = 12},
  [3409] = {.lex_state = 91},
  [3410] = {.lex_state = 199},
  [3411] = {.lex_state = 199},
  [3412] = {.lex_state = 199},
  [3413] = {.lex_state = 199},
  [3414] = {.lex_state = 91},
  [3415] = {.lex_state = 91},
  [3416] = {.lex_state = 101, .external_lex_state = 12},
  [3417] = {.lex_state = 101, .external_lex_state = 12},
  [3418] = {.lex_state = 92, .external_lex_state = 14},
  [3419] = {.lex_state = 199},
  [3420] = {.lex_state = 91},
  [3421] = {.lex_state = 91},
  [3422] = {.lex_state = 199},
  [3423] = {.lex_state = 91},
  [3424] = {.lex_state = 199},
  [3425] = {.lex_state = 92, .external_lex_state = 14},
  [3426] = {.lex_state = 91},
  [3427] = {.lex_state = 101, .external_lex_state = 12},
  [3428] = {.lex_state = 199},
  [3429] = {.lex_state = 199, .external_lex_state = 24},
  [3430] = {.lex_state = 101, .external_lex_state = 12},
  [3431] = {.lex_state = 101, .external_lex_state = 12},
  [3432] = {.lex_state = 91},
  [3433] = {.lex_state = 199},
  [3434] = {.lex_state = 101, .external_lex_state = 12},
  [3435] = {.lex_state = 91},
  [3436] = {.lex_state = 91},
  [3437] = {.lex_state = 199},
  [3438] = {.lex_state = 91},
  [3439] = {.lex_state = 91},
  [3440] = {.lex_state = 91},
  [3441] = {.lex_state = 199},
  [3442] = {.lex_state = 101, .external_lex_state = 12},
  [3443] = {.lex_state = 101, .external_lex_state = 12},
  [3444] = {.lex_state = 101, .external_lex_state = 12},
  [3445] = {.lex_state = 199},
  [3446] = {.lex_state = 101, .external_lex_state = 12},
  [3447] = {.lex_state = 91},
  [3448] = {.lex_state = 101, .external_lex_state = 12},
  [3449] = {.lex_state = 199},
  [3450] = {.lex_state = 199},
  [3451] = {.lex_state = 199},
  [3452] = {.lex_state = 91},
  [3453] = {.lex_state = 199, .external_lex_state = 24},
  [3454] = {.lex_state = 91},
  [3455] = {.lex_state = 101, .external_lex_state = 12},
  [3456] = {.lex_state = 101, .external_lex_state = 12},
  [3457] = {.lex_state = 199},
  [3458] = {.lex_state = 91},
  [3459] = {.lex_state = 199},
  [3460] = {.lex_state = 199},
  [3461] = {.lex_state = 199},
  [3462] = {.lex_state = 90},
  [3463] = {.lex_state = 199},
  [3464] = {.lex_state = 91},
  [3465] = {.lex_state = 101, .external_lex_state = 12},
  [3466] = {.lex_state = 199},
  [3467] = {.lex_state = 92, .external_lex_state = 14},
  [3468] = {.lex_state = 91},
  [3469] = {.lex_state = 101, .external_lex_state = 12},
  [3470] = {.lex_state = 199},
  [3471] = {.lex_state = 199},
  [3472] = {.lex_state = 91},
  [3473] = {.lex_state = 95},
  [3474] = {.lex_state = 91},
  [3475] = {.lex_state = 199},
  [3476] = {.lex_state = 101, .external_lex_state = 12},
  [3477] = {.lex_state = 101, .external_lex_state = 12},
  [3478] = {.lex_state = 91},
  [3479] = {.lex_state = 199},
  [3480] = {.lex_state = 91},
  [3481] = {.lex_state = 101, .external_lex_state = 12},
  [3482] = {.lex_state = 199},
  [3483] = {.lex_state = 90},
  [3484] = {.lex_state = 101, .external_lex_state = 12},
  [3485] = {.lex_state = 101, .external_lex_state = 12},
  [3486] = {.lex_state = 91},
  [3487] = {.lex_state = 199},
  [3488] = {.lex_state = 91},
  [3489] = {.lex_state = 199},
  [3490] = {.lex_state = 199},
  [3491] = {.lex_state = 199},
  [3492] = {.lex_state = 92, .external_lex_state = 14},
  [3493] = {.lex_state = 90},
  [3494] = {.lex_state = 91},
  [3495] = {.lex_state = 91},
  [3496] = {.lex_state = 91},
  [3497] = {.lex_state = 91},
  [3498] = {.lex_state = 199},
  [3499] = {.lex_state = 101, .external_lex_state = 12},
  [3500] = {.lex_state = 199},
};

enum {
  ts_external_token_heredoc_start = 0,
  ts_external_token__simple_heredoc_body = 1,
  ts_external_token__heredoc_body_beginning = 2,
  ts_external_token__heredoc_body_middle = 3,
  ts_external_token__heredoc_body_end = 4,
  ts_external_token_file_descriptor = 5,
  ts_external_token__empty_value = 6,
  ts_external_token__concat = 7,
  ts_external_token_variable_name = 8,
  ts_external_token_regex = 9,
  ts_external_token_RBRACE = 10,
  ts_external_token_RBRACK = 11,
  ts_external_token_LT_LT = 12,
  ts_external_token_LT_LT_DASH = 13,
  ts_external_token_LF = 14,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token__simple_heredoc_body] = sym__simple_heredoc_body,
  [ts_external_token__heredoc_body_beginning] = sym__heredoc_body_beginning,
  [ts_external_token__heredoc_body_middle] = sym__heredoc_body_middle,
  [ts_external_token__heredoc_body_end] = sym__heredoc_body_end,
  [ts_external_token_file_descriptor] = sym_file_descriptor,
  [ts_external_token__empty_value] = sym__empty_value,
  [ts_external_token__concat] = sym__concat,
  [ts_external_token_variable_name] = sym_variable_name,
  [ts_external_token_regex] = sym_regex,
  [ts_external_token_RBRACE] = anon_sym_RBRACE,
  [ts_external_token_RBRACK] = anon_sym_RBRACK,
  [ts_external_token_LT_LT] = anon_sym_LT_LT,
  [ts_external_token_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [ts_external_token_LF] = anon_sym_LF,
};

static const bool ts_external_scanner_states[25][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_heredoc_start] = true,
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token__heredoc_body_middle] = true,
    [ts_external_token__heredoc_body_end] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__empty_value] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_regex] = true,
    [ts_external_token_RBRACE] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [2] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
  },
  [3] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_RBRACE] = true,
  },
  [4] = {
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
  },
  [5] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [6] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [7] = {
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_RBRACE] = true,
  },
  [8] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [9] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [10] = {
    [ts_external_token_LF] = true,
  },
  [11] = {
    [ts_external_token_regex] = true,
    [ts_external_token_RBRACE] = true,
  },
  [12] = {
    [ts_external_token_RBRACE] = true,
  },
  [13] = {
    [ts_external_token_regex] = true,
  },
  [14] = {
    [ts_external_token_RBRACK] = true,
  },
  [15] = {
    [ts_external_token__concat] = true,
    [ts_external_token_LF] = true,
  },
  [16] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
  },
  [17] = {
    [ts_external_token__concat] = true,
  },
  [18] = {
    [ts_external_token__empty_value] = true,
  },
  [19] = {
    [ts_external_token__concat] = true,
    [ts_external_token_RBRACK] = true,
  },
  [20] = {
    [ts_external_token__concat] = true,
    [ts_external_token_RBRACE] = true,
  },
  [21] = {
    [ts_external_token_variable_name] = true,
    [ts_external_token_RBRACE] = true,
  },
  [22] = {
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [23] = {
    [ts_external_token__heredoc_body_middle] = true,
    [ts_external_token__heredoc_body_end] = true,
  },
  [24] = {
    [ts_external_token_heredoc_start] = true,
  },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_word] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_select] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_until] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_done] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_fi] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_esac] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_SEMI_SEMI] = ACTIONS(1),
    [anon_sym_SEMI_AMP] = ACTIONS(1),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_PIPE_AMP] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_typeset] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_local] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [anon_sym_unsetenv] = ACTIONS(1),
    [anon_sym_EQ_TILDE] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_AMP_GT] = ACTIONS(1),
    [anon_sym_AMP_GT_GT] = ACTIONS(1),
    [anon_sym_LT_AMP] = ACTIONS(1),
    [anon_sym_GT_AMP] = ACTIONS(1),
    [anon_sym_GT_PIPE] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_LT_LT_DASH] = ACTIONS(1),
    [anon_sym_LT_LT_LT] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [sym__special_character] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_raw_string] = ACTIONS(1),
    [sym_ansi_c_string] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_COLON_QMARK] = ACTIONS(1),
    [anon_sym_COLON_DASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_LT_LPAREN] = ACTIONS(1),
    [anon_sym_GT_LPAREN] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_0] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [sym_test_operator] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym__simple_heredoc_body] = ACTIONS(1),
    [sym__heredoc_body_beginning] = ACTIONS(1),
    [sym__heredoc_body_middle] = ACTIONS(1),
    [sym__heredoc_body_end] = ACTIONS(1),
    [sym_file_descriptor] = ACTIONS(1),
    [sym__empty_value] = ACTIONS(1),
    [sym__concat] = ACTIONS(1),
    [sym_variable_name] = ACTIONS(1),
    [sym_regex] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(3450),
    [sym__statements] = STATE(3449),
    [sym_redirected_statement] = STATE(1669),
    [sym_for_statement] = STATE(1669),
    [sym_c_style_for_statement] = STATE(1669),
    [sym_while_statement] = STATE(1669),
    [sym_if_statement] = STATE(1669),
    [sym_case_statement] = STATE(1669),
    [sym_function_definition] = STATE(1669),
    [sym_compound_statement] = STATE(1669),
    [sym_subshell] = STATE(1669),
    [sym_pipeline] = STATE(1669),
    [sym_list] = STATE(1669),
    [sym_negated_command] = STATE(1669),
    [sym_test_command] = STATE(1669),
    [sym_declaration_command] = STATE(1669),
    [sym_unset_command] = STATE(1669),
    [sym_command] = STATE(1669),
    [sym_command_name] = STATE(236),
    [sym_variable_assignment] = STATE(297),
    [sym_subscript] = STATE(3185),
    [sym_file_redirect] = STATE(885),
    [sym_concatenation] = STATE(887),
    [sym_string] = STATE(392),
    [sym_translated_string] = STATE(392),
    [sym_simple_expansion] = STATE(392),
    [sym_expansion] = STATE(392),
    [sym_command_substitution] = STATE(392),
    [sym_process_substitution] = STATE(392),
    [aux_sym__statements_repeat1] = STATE(144),
    [aux_sym_command_repeat1] = STATE(885),
    [aux_sym__literal_repeat1] = STATE(568),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_until] = ACTIONS(15),
    [anon_sym_if] = ACTIONS(17),
    [anon_sym_case] = ACTIONS(19),
    [anon_sym_function] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(25),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(31),
    [anon_sym_declare] = ACTIONS(33),
    [anon_sym_typeset] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(33),
    [anon_sym_readonly] = ACTIONS(33),
    [anon_sym_local] = ACTIONS(33),
    [anon_sym_unset] = ACTIONS(35),
    [anon_sym_unsetenv] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansi_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(57),
  },
  [2] = {
    [aux_sym__statements2] = STATE(18),
    [sym_redirected_statement] = STATE(1705),
    [sym_for_statement] = STATE(1705),
    [sym_c_style_for_statement] = STATE(1705),
    [sym_while_statement] = STATE(1705),
    [sym_if_statement] = STATE(1705),
    [sym_elif_clause] = STATE(2861),
    [sym_else_clause] = STATE(3463),
    [sym_case_statement] = STATE(1705),
    [sym_function_definition] = STATE(1705),
    [sym_compound_statement] = STATE(1705),
    [sym_subshell] = STATE(1705),
    [sym_pipeline] = STATE(1705),
    [sym_list] = STATE(1705),
    [sym_negated_command] = STATE(1705),
    [sym_test_command] = STATE(1705),
    [sym_declaration_command] = STATE(1705),
    [sym_unset_command] = STATE(1705),
    [sym_command] = STATE(1705),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(491),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_if_statement_repeat1] = STATE(2861),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(71),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [3] = {
    [aux_sym__statements2] = STATE(18),
    [sym_redirected_statement] = STATE(1705),
    [sym_for_statement] = STATE(1705),
    [sym_c_style_for_statement] = STATE(1705),
    [sym_while_statement] = STATE(1705),
    [sym_if_statement] = STATE(1705),
    [sym_elif_clause] = STATE(2870),
    [sym_else_clause] = STATE(3324),
    [sym_case_statement] = STATE(1705),
    [sym_function_definition] = STATE(1705),
    [sym_compound_statement] = STATE(1705),
    [sym_subshell] = STATE(1705),
    [sym_pipeline] = STATE(1705),
    [sym_list] = STATE(1705),
    [sym_negated_command] = STATE(1705),
    [sym_test_command] = STATE(1705),
    [sym_declaration_command] = STATE(1705),
    [sym_unset_command] = STATE(1705),
    [sym_command] = STATE(1705),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(491),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_if_statement_repeat1] = STATE(2870),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(113),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [4] = {
    [aux_sym__statements2] = STATE(3),
    [sym_redirected_statement] = STATE(1705),
    [sym_for_statement] = STATE(1705),
    [sym_c_style_for_statement] = STATE(1705),
    [sym_while_statement] = STATE(1705),
    [sym_if_statement] = STATE(1705),
    [sym_elif_clause] = STATE(2905),
    [sym_else_clause] = STATE(3311),
    [sym_case_statement] = STATE(1705),
    [sym_function_definition] = STATE(1705),
    [sym_compound_statement] = STATE(1705),
    [sym_subshell] = STATE(1705),
    [sym_pipeline] = STATE(1705),
    [sym_list] = STATE(1705),
    [sym_negated_command] = STATE(1705),
    [sym_test_command] = STATE(1705),
    [sym_declaration_command] = STATE(1705),
    [sym_unset_command] = STATE(1705),
    [sym_command] = STATE(1705),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(491),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_if_statement_repeat1] = STATE(2905),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(115),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [5] = {
    [aux_sym__statements2] = STATE(18),
    [sym_redirected_statement] = STATE(1705),
    [sym_for_statement] = STATE(1705),
    [sym_c_style_for_statement] = STATE(1705),
    [sym_while_statement] = STATE(1705),
    [sym_if_statement] = STATE(1705),
    [sym_elif_clause] = STATE(2886),
    [sym_else_clause] = STATE(3389),
    [sym_case_statement] = STATE(1705),
    [sym_function_definition] = STATE(1705),
    [sym_compound_statement] = STATE(1705),
    [sym_subshell] = STATE(1705),
    [sym_pipeline] = STATE(1705),
    [sym_list] = STATE(1705),
    [sym_negated_command] = STATE(1705),
    [sym_test_command] = STATE(1705),
    [sym_declaration_command] = STATE(1705),
    [sym_unset_command] = STATE(1705),
    [sym_command] = STATE(1705),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(491),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_if_statement_repeat1] = STATE(2886),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(117),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [6] = {
    [aux_sym__statements2] = STATE(2),
    [sym_redirected_statement] = STATE(1705),
    [sym_for_statement] = STATE(1705),
    [sym_c_style_for_statement] = STATE(1705),
    [sym_while_statement] = STATE(1705),
    [sym_if_statement] = STATE(1705),
    [sym_elif_clause] = STATE(2852),
    [sym_else_clause] = STATE(3475),
    [sym_case_statement] = STATE(1705),
    [sym_function_definition] = STATE(1705),
    [sym_compound_statement] = STATE(1705),
    [sym_subshell] = STATE(1705),
    [sym_pipeline] = STATE(1705),
    [sym_list] = STATE(1705),
    [sym_negated_command] = STATE(1705),
    [sym_test_command] = STATE(1705),
    [sym_declaration_command] = STATE(1705),
    [sym_unset_command] = STATE(1705),
    [sym_command] = STATE(1705),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(491),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_if_statement_repeat1] = STATE(2852),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(119),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [7] = {
    [aux_sym__statements2] = STATE(5),
    [sym_redirected_statement] = STATE(1705),
    [sym_for_statement] = STATE(1705),
    [sym_c_style_for_statement] = STATE(1705),
    [sym_while_statement] = STATE(1705),
    [sym_if_statement] = STATE(1705),
    [sym_elif_clause] = STATE(2872),
    [sym_else_clause] = STATE(3413),
    [sym_case_statement] = STATE(1705),
    [sym_function_definition] = STATE(1705),
    [sym_compound_statement] = STATE(1705),
    [sym_subshell] = STATE(1705),
    [sym_pipeline] = STATE(1705),
    [sym_list] = STATE(1705),
    [sym_negated_command] = STATE(1705),
    [sym_test_command] = STATE(1705),
    [sym_declaration_command] = STATE(1705),
    [sym_unset_command] = STATE(1705),
    [sym_command] = STATE(1705),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(491),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_if_statement_repeat1] = STATE(2872),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(121),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [8] = {
    [sym__statements] = STATE(2970),
    [sym_redirected_statement] = STATE(1648),
    [sym_for_statement] = STATE(1648),
    [sym_c_style_for_statement] = STATE(1648),
    [sym_while_statement] = STATE(1648),
    [sym_if_statement] = STATE(1648),
    [sym_case_statement] = STATE(1648),
    [sym_function_definition] = STATE(1648),
    [sym_compound_statement] = STATE(1648),
    [sym_subshell] = STATE(1648),
    [sym_pipeline] = STATE(1648),
    [sym_list] = STATE(1648),
    [sym_negated_command] = STATE(1648),
    [sym_test_command] = STATE(1648),
    [sym_declaration_command] = STATE(1648),
    [sym_unset_command] = STATE(1648),
    [sym_command] = STATE(1648),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(276),
    [sym_subscript] = STATE(3250),
    [sym_file_redirect] = STATE(749),
    [sym_concatenation] = STATE(542),
    [sym_string] = STATE(277),
    [sym_translated_string] = STATE(277),
    [sym_simple_expansion] = STATE(277),
    [sym_expansion] = STATE(277),
    [sym_command_substitution] = STATE(277),
    [sym_process_substitution] = STATE(277),
    [aux_sym__statements_repeat1] = STATE(138),
    [aux_sym_command_repeat1] = STATE(749),
    [aux_sym__literal_repeat1] = STATE(311),
    [sym_word] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_select] = ACTIONS(127),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_until] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_esac] = ACTIONS(137),
    [anon_sym_SEMI_SEMI] = ACTIONS(139),
    [anon_sym_SEMI_AMP] = ACTIONS(141),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(141),
    [anon_sym_function] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(153),
    [anon_sym_declare] = ACTIONS(155),
    [anon_sym_typeset] = ACTIONS(155),
    [anon_sym_export] = ACTIONS(155),
    [anon_sym_readonly] = ACTIONS(155),
    [anon_sym_local] = ACTIONS(155),
    [anon_sym_unset] = ACTIONS(157),
    [anon_sym_unsetenv] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [sym__special_character] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_raw_string] = ACTIONS(165),
    [sym_ansi_c_string] = ACTIONS(165),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(167),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(169),
    [anon_sym_BQUOTE] = ACTIONS(171),
    [anon_sym_LT_LPAREN] = ACTIONS(173),
    [anon_sym_GT_LPAREN] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(175),
  },
  [9] = {
    [sym__statements] = STATE(2969),
    [sym_redirected_statement] = STATE(1648),
    [sym_for_statement] = STATE(1648),
    [sym_c_style_for_statement] = STATE(1648),
    [sym_while_statement] = STATE(1648),
    [sym_if_statement] = STATE(1648),
    [sym_case_statement] = STATE(1648),
    [sym_function_definition] = STATE(1648),
    [sym_compound_statement] = STATE(1648),
    [sym_subshell] = STATE(1648),
    [sym_pipeline] = STATE(1648),
    [sym_list] = STATE(1648),
    [sym_negated_command] = STATE(1648),
    [sym_test_command] = STATE(1648),
    [sym_declaration_command] = STATE(1648),
    [sym_unset_command] = STATE(1648),
    [sym_command] = STATE(1648),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(276),
    [sym_subscript] = STATE(3250),
    [sym_file_redirect] = STATE(749),
    [sym_concatenation] = STATE(542),
    [sym_string] = STATE(277),
    [sym_translated_string] = STATE(277),
    [sym_simple_expansion] = STATE(277),
    [sym_expansion] = STATE(277),
    [sym_command_substitution] = STATE(277),
    [sym_process_substitution] = STATE(277),
    [aux_sym__statements_repeat1] = STATE(138),
    [aux_sym_command_repeat1] = STATE(749),
    [aux_sym__literal_repeat1] = STATE(311),
    [sym_word] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_select] = ACTIONS(127),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_until] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_esac] = ACTIONS(177),
    [anon_sym_SEMI_SEMI] = ACTIONS(179),
    [anon_sym_SEMI_AMP] = ACTIONS(181),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(181),
    [anon_sym_function] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(153),
    [anon_sym_declare] = ACTIONS(155),
    [anon_sym_typeset] = ACTIONS(155),
    [anon_sym_export] = ACTIONS(155),
    [anon_sym_readonly] = ACTIONS(155),
    [anon_sym_local] = ACTIONS(155),
    [anon_sym_unset] = ACTIONS(157),
    [anon_sym_unsetenv] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [sym__special_character] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_raw_string] = ACTIONS(165),
    [sym_ansi_c_string] = ACTIONS(165),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(167),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(169),
    [anon_sym_BQUOTE] = ACTIONS(171),
    [anon_sym_LT_LPAREN] = ACTIONS(173),
    [anon_sym_GT_LPAREN] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(175),
  },
  [10] = {
    [sym__statements] = STATE(2965),
    [sym_redirected_statement] = STATE(1648),
    [sym_for_statement] = STATE(1648),
    [sym_c_style_for_statement] = STATE(1648),
    [sym_while_statement] = STATE(1648),
    [sym_if_statement] = STATE(1648),
    [sym_case_statement] = STATE(1648),
    [sym_function_definition] = STATE(1648),
    [sym_compound_statement] = STATE(1648),
    [sym_subshell] = STATE(1648),
    [sym_pipeline] = STATE(1648),
    [sym_list] = STATE(1648),
    [sym_negated_command] = STATE(1648),
    [sym_test_command] = STATE(1648),
    [sym_declaration_command] = STATE(1648),
    [sym_unset_command] = STATE(1648),
    [sym_command] = STATE(1648),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(276),
    [sym_subscript] = STATE(3250),
    [sym_file_redirect] = STATE(749),
    [sym_concatenation] = STATE(542),
    [sym_string] = STATE(277),
    [sym_translated_string] = STATE(277),
    [sym_simple_expansion] = STATE(277),
    [sym_expansion] = STATE(277),
    [sym_command_substitution] = STATE(277),
    [sym_process_substitution] = STATE(277),
    [aux_sym__statements_repeat1] = STATE(138),
    [aux_sym_command_repeat1] = STATE(749),
    [aux_sym__literal_repeat1] = STATE(311),
    [sym_word] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_select] = ACTIONS(127),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_until] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_esac] = ACTIONS(183),
    [anon_sym_SEMI_SEMI] = ACTIONS(185),
    [anon_sym_SEMI_AMP] = ACTIONS(187),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(189),
    [anon_sym_function] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(153),
    [anon_sym_declare] = ACTIONS(155),
    [anon_sym_typeset] = ACTIONS(155),
    [anon_sym_export] = ACTIONS(155),
    [anon_sym_readonly] = ACTIONS(155),
    [anon_sym_local] = ACTIONS(155),
    [anon_sym_unset] = ACTIONS(157),
    [anon_sym_unsetenv] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [sym__special_character] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_raw_string] = ACTIONS(165),
    [sym_ansi_c_string] = ACTIONS(165),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(167),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(169),
    [anon_sym_BQUOTE] = ACTIONS(171),
    [anon_sym_LT_LPAREN] = ACTIONS(173),
    [anon_sym_GT_LPAREN] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(175),
  },
  [11] = {
    [sym__statements] = STATE(2968),
    [sym_redirected_statement] = STATE(1648),
    [sym_for_statement] = STATE(1648),
    [sym_c_style_for_statement] = STATE(1648),
    [sym_while_statement] = STATE(1648),
    [sym_if_statement] = STATE(1648),
    [sym_case_statement] = STATE(1648),
    [sym_function_definition] = STATE(1648),
    [sym_compound_statement] = STATE(1648),
    [sym_subshell] = STATE(1648),
    [sym_pipeline] = STATE(1648),
    [sym_list] = STATE(1648),
    [sym_negated_command] = STATE(1648),
    [sym_test_command] = STATE(1648),
    [sym_declaration_command] = STATE(1648),
    [sym_unset_command] = STATE(1648),
    [sym_command] = STATE(1648),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(276),
    [sym_subscript] = STATE(3250),
    [sym_file_redirect] = STATE(749),
    [sym_concatenation] = STATE(542),
    [sym_string] = STATE(277),
    [sym_translated_string] = STATE(277),
    [sym_simple_expansion] = STATE(277),
    [sym_expansion] = STATE(277),
    [sym_command_substitution] = STATE(277),
    [sym_process_substitution] = STATE(277),
    [aux_sym__statements_repeat1] = STATE(138),
    [aux_sym_command_repeat1] = STATE(749),
    [aux_sym__literal_repeat1] = STATE(311),
    [sym_word] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_select] = ACTIONS(127),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_until] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_esac] = ACTIONS(191),
    [anon_sym_SEMI_SEMI] = ACTIONS(193),
    [anon_sym_SEMI_AMP] = ACTIONS(195),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(197),
    [anon_sym_function] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(153),
    [anon_sym_declare] = ACTIONS(155),
    [anon_sym_typeset] = ACTIONS(155),
    [anon_sym_export] = ACTIONS(155),
    [anon_sym_readonly] = ACTIONS(155),
    [anon_sym_local] = ACTIONS(155),
    [anon_sym_unset] = ACTIONS(157),
    [anon_sym_unsetenv] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [sym__special_character] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_raw_string] = ACTIONS(165),
    [sym_ansi_c_string] = ACTIONS(165),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(167),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(169),
    [anon_sym_BQUOTE] = ACTIONS(171),
    [anon_sym_LT_LPAREN] = ACTIONS(173),
    [anon_sym_GT_LPAREN] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(175),
  },
  [12] = {
    [sym__statements] = STATE(2966),
    [sym_redirected_statement] = STATE(1648),
    [sym_for_statement] = STATE(1648),
    [sym_c_style_for_statement] = STATE(1648),
    [sym_while_statement] = STATE(1648),
    [sym_if_statement] = STATE(1648),
    [sym_case_statement] = STATE(1648),
    [sym_function_definition] = STATE(1648),
    [sym_compound_statement] = STATE(1648),
    [sym_subshell] = STATE(1648),
    [sym_pipeline] = STATE(1648),
    [sym_list] = STATE(1648),
    [sym_negated_command] = STATE(1648),
    [sym_test_command] = STATE(1648),
    [sym_declaration_command] = STATE(1648),
    [sym_unset_command] = STATE(1648),
    [sym_command] = STATE(1648),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(276),
    [sym_subscript] = STATE(3250),
    [sym_file_redirect] = STATE(749),
    [sym_concatenation] = STATE(542),
    [sym_string] = STATE(277),
    [sym_translated_string] = STATE(277),
    [sym_simple_expansion] = STATE(277),
    [sym_expansion] = STATE(277),
    [sym_command_substitution] = STATE(277),
    [sym_process_substitution] = STATE(277),
    [aux_sym__statements_repeat1] = STATE(138),
    [aux_sym_command_repeat1] = STATE(749),
    [aux_sym__literal_repeat1] = STATE(311),
    [sym_word] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_select] = ACTIONS(127),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_until] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_esac] = ACTIONS(183),
    [anon_sym_SEMI_SEMI] = ACTIONS(199),
    [anon_sym_SEMI_AMP] = ACTIONS(201),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(153),
    [anon_sym_declare] = ACTIONS(155),
    [anon_sym_typeset] = ACTIONS(155),
    [anon_sym_export] = ACTIONS(155),
    [anon_sym_readonly] = ACTIONS(155),
    [anon_sym_local] = ACTIONS(155),
    [anon_sym_unset] = ACTIONS(157),
    [anon_sym_unsetenv] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [sym__special_character] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_raw_string] = ACTIONS(165),
    [sym_ansi_c_string] = ACTIONS(165),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(167),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(169),
    [anon_sym_BQUOTE] = ACTIONS(171),
    [anon_sym_LT_LPAREN] = ACTIONS(173),
    [anon_sym_GT_LPAREN] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(175),
  },
  [13] = {
    [sym__statements] = STATE(3098),
    [sym_redirected_statement] = STATE(1661),
    [sym_for_statement] = STATE(1661),
    [sym_c_style_for_statement] = STATE(1661),
    [sym_while_statement] = STATE(1661),
    [sym_if_statement] = STATE(1661),
    [sym_case_statement] = STATE(1661),
    [sym_function_definition] = STATE(1661),
    [sym_compound_statement] = STATE(1661),
    [sym_subshell] = STATE(1661),
    [sym_pipeline] = STATE(1661),
    [sym_list] = STATE(1661),
    [sym_negated_command] = STATE(1661),
    [sym_test_command] = STATE(1661),
    [sym_declaration_command] = STATE(1661),
    [sym_unset_command] = STATE(1661),
    [sym_command] = STATE(1661),
    [sym_command_name] = STATE(204),
    [sym_variable_assignment] = STATE(288),
    [sym_subscript] = STATE(3241),
    [sym_file_redirect] = STATE(786),
    [sym_concatenation] = STATE(716),
    [sym_string] = STATE(303),
    [sym_translated_string] = STATE(303),
    [sym_simple_expansion] = STATE(303),
    [sym_expansion] = STATE(303),
    [sym_command_substitution] = STATE(303),
    [sym_process_substitution] = STATE(303),
    [aux_sym__statements_repeat1] = STATE(145),
    [aux_sym_command_repeat1] = STATE(786),
    [aux_sym__literal_repeat1] = STATE(490),
    [sym_word] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_select] = ACTIONS(127),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_until] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_SEMI_SEMI] = ACTIONS(207),
    [anon_sym_SEMI_AMP] = ACTIONS(141),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(141),
    [anon_sym_function] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(209),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(153),
    [anon_sym_declare] = ACTIONS(211),
    [anon_sym_typeset] = ACTIONS(211),
    [anon_sym_export] = ACTIONS(211),
    [anon_sym_readonly] = ACTIONS(211),
    [anon_sym_local] = ACTIONS(211),
    [anon_sym_unset] = ACTIONS(213),
    [anon_sym_unsetenv] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(215),
    [sym__special_character] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [sym_raw_string] = ACTIONS(221),
    [sym_ansi_c_string] = ACTIONS(221),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(223),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_LT_LPAREN] = ACTIONS(229),
    [anon_sym_GT_LPAREN] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(231),
  },
  [14] = {
    [sym__statements] = STATE(3097),
    [sym_redirected_statement] = STATE(1661),
    [sym_for_statement] = STATE(1661),
    [sym_c_style_for_statement] = STATE(1661),
    [sym_while_statement] = STATE(1661),
    [sym_if_statement] = STATE(1661),
    [sym_case_statement] = STATE(1661),
    [sym_function_definition] = STATE(1661),
    [sym_compound_statement] = STATE(1661),
    [sym_subshell] = STATE(1661),
    [sym_pipeline] = STATE(1661),
    [sym_list] = STATE(1661),
    [sym_negated_command] = STATE(1661),
    [sym_test_command] = STATE(1661),
    [sym_declaration_command] = STATE(1661),
    [sym_unset_command] = STATE(1661),
    [sym_command] = STATE(1661),
    [sym_command_name] = STATE(204),
    [sym_variable_assignment] = STATE(288),
    [sym_subscript] = STATE(3241),
    [sym_file_redirect] = STATE(786),
    [sym_concatenation] = STATE(716),
    [sym_string] = STATE(303),
    [sym_translated_string] = STATE(303),
    [sym_simple_expansion] = STATE(303),
    [sym_expansion] = STATE(303),
    [sym_command_substitution] = STATE(303),
    [sym_process_substitution] = STATE(303),
    [aux_sym__statements_repeat1] = STATE(145),
    [aux_sym_command_repeat1] = STATE(786),
    [aux_sym__literal_repeat1] = STATE(490),
    [sym_word] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_select] = ACTIONS(127),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_until] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_SEMI_SEMI] = ACTIONS(233),
    [anon_sym_SEMI_AMP] = ACTIONS(181),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(181),
    [anon_sym_function] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(209),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(153),
    [anon_sym_declare] = ACTIONS(211),
    [anon_sym_typeset] = ACTIONS(211),
    [anon_sym_export] = ACTIONS(211),
    [anon_sym_readonly] = ACTIONS(211),
    [anon_sym_local] = ACTIONS(211),
    [anon_sym_unset] = ACTIONS(213),
    [anon_sym_unsetenv] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(215),
    [sym__special_character] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [sym_raw_string] = ACTIONS(221),
    [sym_ansi_c_string] = ACTIONS(221),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(223),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_LT_LPAREN] = ACTIONS(229),
    [anon_sym_GT_LPAREN] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(231),
  },
  [15] = {
    [sym__statements] = STATE(3012),
    [sym_redirected_statement] = STATE(1661),
    [sym_for_statement] = STATE(1661),
    [sym_c_style_for_statement] = STATE(1661),
    [sym_while_statement] = STATE(1661),
    [sym_if_statement] = STATE(1661),
    [sym_case_statement] = STATE(1661),
    [sym_function_definition] = STATE(1661),
    [sym_compound_statement] = STATE(1661),
    [sym_subshell] = STATE(1661),
    [sym_pipeline] = STATE(1661),
    [sym_list] = STATE(1661),
    [sym_negated_command] = STATE(1661),
    [sym_test_command] = STATE(1661),
    [sym_declaration_command] = STATE(1661),
    [sym_unset_command] = STATE(1661),
    [sym_command] = STATE(1661),
    [sym_command_name] = STATE(204),
    [sym_variable_assignment] = STATE(288),
    [sym_subscript] = STATE(3241),
    [sym_file_redirect] = STATE(786),
    [sym_concatenation] = STATE(716),
    [sym_string] = STATE(303),
    [sym_translated_string] = STATE(303),
    [sym_simple_expansion] = STATE(303),
    [sym_expansion] = STATE(303),
    [sym_command_substitution] = STATE(303),
    [sym_process_substitution] = STATE(303),
    [aux_sym__statements_repeat1] = STATE(145),
    [aux_sym_command_repeat1] = STATE(786),
    [aux_sym__literal_repeat1] = STATE(490),
    [sym_word] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_select] = ACTIONS(127),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_until] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_SEMI_SEMI] = ACTIONS(235),
    [anon_sym_SEMI_AMP] = ACTIONS(187),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(189),
    [anon_sym_function] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(209),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(153),
    [anon_sym_declare] = ACTIONS(211),
    [anon_sym_typeset] = ACTIONS(211),
    [anon_sym_export] = ACTIONS(211),
    [anon_sym_readonly] = ACTIONS(211),
    [anon_sym_local] = ACTIONS(211),
    [anon_sym_unset] = ACTIONS(213),
    [anon_sym_unsetenv] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(215),
    [sym__special_character] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [sym_raw_string] = ACTIONS(221),
    [sym_ansi_c_string] = ACTIONS(221),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(223),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_LT_LPAREN] = ACTIONS(229),
    [anon_sym_GT_LPAREN] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(231),
  },
  [16] = {
    [sym__statements] = STATE(3083),
    [sym_redirected_statement] = STATE(1661),
    [sym_for_statement] = STATE(1661),
    [sym_c_style_for_statement] = STATE(1661),
    [sym_while_statement] = STATE(1661),
    [sym_if_statement] = STATE(1661),
    [sym_case_statement] = STATE(1661),
    [sym_function_definition] = STATE(1661),
    [sym_compound_statement] = STATE(1661),
    [sym_subshell] = STATE(1661),
    [sym_pipeline] = STATE(1661),
    [sym_list] = STATE(1661),
    [sym_negated_command] = STATE(1661),
    [sym_test_command] = STATE(1661),
    [sym_declaration_command] = STATE(1661),
    [sym_unset_command] = STATE(1661),
    [sym_command] = STATE(1661),
    [sym_command_name] = STATE(204),
    [sym_variable_assignment] = STATE(288),
    [sym_subscript] = STATE(3241),
    [sym_file_redirect] = STATE(786),
    [sym_concatenation] = STATE(716),
    [sym_string] = STATE(303),
    [sym_translated_string] = STATE(303),
    [sym_simple_expansion] = STATE(303),
    [sym_expansion] = STATE(303),
    [sym_command_substitution] = STATE(303),
    [sym_process_substitution] = STATE(303),
    [aux_sym__statements_repeat1] = STATE(145),
    [aux_sym_command_repeat1] = STATE(786),
    [aux_sym__literal_repeat1] = STATE(490),
    [sym_word] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_select] = ACTIONS(127),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_until] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_SEMI_SEMI] = ACTIONS(237),
    [anon_sym_SEMI_AMP] = ACTIONS(201),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(209),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(153),
    [anon_sym_declare] = ACTIONS(211),
    [anon_sym_typeset] = ACTIONS(211),
    [anon_sym_export] = ACTIONS(211),
    [anon_sym_readonly] = ACTIONS(211),
    [anon_sym_local] = ACTIONS(211),
    [anon_sym_unset] = ACTIONS(213),
    [anon_sym_unsetenv] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(215),
    [sym__special_character] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [sym_raw_string] = ACTIONS(221),
    [sym_ansi_c_string] = ACTIONS(221),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(223),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_LT_LPAREN] = ACTIONS(229),
    [anon_sym_GT_LPAREN] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(231),
  },
  [17] = {
    [sym__statements] = STATE(3080),
    [sym_redirected_statement] = STATE(1661),
    [sym_for_statement] = STATE(1661),
    [sym_c_style_for_statement] = STATE(1661),
    [sym_while_statement] = STATE(1661),
    [sym_if_statement] = STATE(1661),
    [sym_case_statement] = STATE(1661),
    [sym_function_definition] = STATE(1661),
    [sym_compound_statement] = STATE(1661),
    [sym_subshell] = STATE(1661),
    [sym_pipeline] = STATE(1661),
    [sym_list] = STATE(1661),
    [sym_negated_command] = STATE(1661),
    [sym_test_command] = STATE(1661),
    [sym_declaration_command] = STATE(1661),
    [sym_unset_command] = STATE(1661),
    [sym_command] = STATE(1661),
    [sym_command_name] = STATE(204),
    [sym_variable_assignment] = STATE(288),
    [sym_subscript] = STATE(3241),
    [sym_file_redirect] = STATE(786),
    [sym_concatenation] = STATE(716),
    [sym_string] = STATE(303),
    [sym_translated_string] = STATE(303),
    [sym_simple_expansion] = STATE(303),
    [sym_expansion] = STATE(303),
    [sym_command_substitution] = STATE(303),
    [sym_process_substitution] = STATE(303),
    [aux_sym__statements_repeat1] = STATE(145),
    [aux_sym_command_repeat1] = STATE(786),
    [aux_sym__literal_repeat1] = STATE(490),
    [sym_word] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_select] = ACTIONS(127),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_until] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_SEMI_SEMI] = ACTIONS(239),
    [anon_sym_SEMI_AMP] = ACTIONS(195),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(197),
    [anon_sym_function] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(209),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(153),
    [anon_sym_declare] = ACTIONS(211),
    [anon_sym_typeset] = ACTIONS(211),
    [anon_sym_export] = ACTIONS(211),
    [anon_sym_readonly] = ACTIONS(211),
    [anon_sym_local] = ACTIONS(211),
    [anon_sym_unset] = ACTIONS(213),
    [anon_sym_unsetenv] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(215),
    [sym__special_character] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [sym_raw_string] = ACTIONS(221),
    [sym_ansi_c_string] = ACTIONS(221),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(223),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_LT_LPAREN] = ACTIONS(229),
    [anon_sym_GT_LPAREN] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(231),
  },
  [18] = {
    [aux_sym__statements2] = STATE(18),
    [sym_redirected_statement] = STATE(1705),
    [sym_for_statement] = STATE(1705),
    [sym_c_style_for_statement] = STATE(1705),
    [sym_while_statement] = STATE(1705),
    [sym_if_statement] = STATE(1705),
    [sym_case_statement] = STATE(1705),
    [sym_function_definition] = STATE(1705),
    [sym_compound_statement] = STATE(1705),
    [sym_subshell] = STATE(1705),
    [sym_pipeline] = STATE(1705),
    [sym_list] = STATE(1705),
    [sym_negated_command] = STATE(1705),
    [sym_test_command] = STATE(1705),
    [sym_declaration_command] = STATE(1705),
    [sym_unset_command] = STATE(1705),
    [sym_command] = STATE(1705),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(491),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(241),
    [anon_sym_for] = ACTIONS(244),
    [anon_sym_select] = ACTIONS(247),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(250),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_until] = ACTIONS(253),
    [anon_sym_if] = ACTIONS(256),
    [anon_sym_fi] = ACTIONS(259),
    [anon_sym_elif] = ACTIONS(259),
    [anon_sym_else] = ACTIONS(259),
    [anon_sym_case] = ACTIONS(261),
    [anon_sym_function] = ACTIONS(264),
    [anon_sym_LPAREN] = ACTIONS(267),
    [anon_sym_LBRACE] = ACTIONS(270),
    [anon_sym_BANG] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(279),
    [anon_sym_declare] = ACTIONS(282),
    [anon_sym_typeset] = ACTIONS(282),
    [anon_sym_export] = ACTIONS(282),
    [anon_sym_readonly] = ACTIONS(282),
    [anon_sym_local] = ACTIONS(282),
    [anon_sym_unset] = ACTIONS(285),
    [anon_sym_unsetenv] = ACTIONS(285),
    [anon_sym_LT] = ACTIONS(288),
    [anon_sym_GT] = ACTIONS(288),
    [anon_sym_GT_GT] = ACTIONS(288),
    [anon_sym_AMP_GT] = ACTIONS(288),
    [anon_sym_AMP_GT_GT] = ACTIONS(288),
    [anon_sym_LT_AMP] = ACTIONS(288),
    [anon_sym_GT_AMP] = ACTIONS(288),
    [anon_sym_GT_PIPE] = ACTIONS(288),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [sym__special_character] = ACTIONS(294),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [sym_raw_string] = ACTIONS(300),
    [sym_ansi_c_string] = ACTIONS(300),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(303),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(306),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_LT_LPAREN] = ACTIONS(312),
    [anon_sym_GT_LPAREN] = ACTIONS(312),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(315),
    [sym_variable_name] = ACTIONS(318),
  },
  [19] = {
    [aux_sym__statements2] = STATE(18),
    [sym_redirected_statement] = STATE(1705),
    [sym_for_statement] = STATE(1705),
    [sym_c_style_for_statement] = STATE(1705),
    [sym_while_statement] = STATE(1705),
    [sym_if_statement] = STATE(1705),
    [sym_case_statement] = STATE(1705),
    [sym_function_definition] = STATE(1705),
    [sym_compound_statement] = STATE(1705),
    [sym_subshell] = STATE(1705),
    [sym_pipeline] = STATE(1705),
    [sym_list] = STATE(1705),
    [sym_negated_command] = STATE(1705),
    [sym_test_command] = STATE(1705),
    [sym_declaration_command] = STATE(1705),
    [sym_unset_command] = STATE(1705),
    [sym_command] = STATE(1705),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(491),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(321),
    [anon_sym_elif] = ACTIONS(321),
    [anon_sym_else] = ACTIONS(321),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [20] = {
    [aux_sym__statements2] = STATE(19),
    [sym_redirected_statement] = STATE(1705),
    [sym_for_statement] = STATE(1705),
    [sym_c_style_for_statement] = STATE(1705),
    [sym_while_statement] = STATE(1705),
    [sym_if_statement] = STATE(1705),
    [sym_case_statement] = STATE(1705),
    [sym_function_definition] = STATE(1705),
    [sym_compound_statement] = STATE(1705),
    [sym_subshell] = STATE(1705),
    [sym_pipeline] = STATE(1705),
    [sym_list] = STATE(1705),
    [sym_negated_command] = STATE(1705),
    [sym_test_command] = STATE(1705),
    [sym_declaration_command] = STATE(1705),
    [sym_unset_command] = STATE(1705),
    [sym_command] = STATE(1705),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(491),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(323),
    [anon_sym_elif] = ACTIONS(323),
    [anon_sym_else] = ACTIONS(323),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [21] = {
    [sym__statements] = STATE(3472),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [22] = {
    [sym__statements] = STATE(3299),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [23] = {
    [sym__statements] = STATE(3415),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [24] = {
    [aux_sym__statements2] = STATE(24),
    [sym_redirected_statement] = STATE(1703),
    [sym_for_statement] = STATE(1703),
    [sym_c_style_for_statement] = STATE(1703),
    [sym_while_statement] = STATE(1703),
    [sym_if_statement] = STATE(1703),
    [sym_case_statement] = STATE(1703),
    [sym_function_definition] = STATE(1703),
    [sym_compound_statement] = STATE(1703),
    [sym_subshell] = STATE(1703),
    [sym_pipeline] = STATE(1703),
    [sym_list] = STATE(1703),
    [sym_negated_command] = STATE(1703),
    [sym_test_command] = STATE(1703),
    [sym_declaration_command] = STATE(1703),
    [sym_unset_command] = STATE(1703),
    [sym_command] = STATE(1703),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(465),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(241),
    [anon_sym_for] = ACTIONS(244),
    [anon_sym_select] = ACTIONS(247),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(250),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_until] = ACTIONS(253),
    [anon_sym_if] = ACTIONS(256),
    [anon_sym_case] = ACTIONS(261),
    [anon_sym_function] = ACTIONS(264),
    [anon_sym_LPAREN] = ACTIONS(267),
    [anon_sym_LBRACE] = ACTIONS(270),
    [anon_sym_RBRACE] = ACTIONS(259),
    [anon_sym_BANG] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(279),
    [anon_sym_declare] = ACTIONS(282),
    [anon_sym_typeset] = ACTIONS(282),
    [anon_sym_export] = ACTIONS(282),
    [anon_sym_readonly] = ACTIONS(282),
    [anon_sym_local] = ACTIONS(282),
    [anon_sym_unset] = ACTIONS(285),
    [anon_sym_unsetenv] = ACTIONS(285),
    [anon_sym_LT] = ACTIONS(288),
    [anon_sym_GT] = ACTIONS(288),
    [anon_sym_GT_GT] = ACTIONS(288),
    [anon_sym_AMP_GT] = ACTIONS(288),
    [anon_sym_AMP_GT_GT] = ACTIONS(288),
    [anon_sym_LT_AMP] = ACTIONS(288),
    [anon_sym_GT_AMP] = ACTIONS(288),
    [anon_sym_GT_PIPE] = ACTIONS(288),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [sym__special_character] = ACTIONS(294),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [sym_raw_string] = ACTIONS(300),
    [sym_ansi_c_string] = ACTIONS(300),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(303),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(306),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_LT_LPAREN] = ACTIONS(312),
    [anon_sym_GT_LPAREN] = ACTIONS(312),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(315),
    [sym_variable_name] = ACTIONS(318),
  },
  [25] = {
    [sym__statements] = STATE(3410),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [26] = {
    [sym__statements] = STATE(3383),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [27] = {
    [sym__statements] = STATE(3356),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(2003),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [28] = {
    [sym__statements] = STATE(3498),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [29] = {
    [sym__statements] = STATE(3452),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(2053),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [30] = {
    [sym__statements] = STATE(3392),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [31] = {
    [sym__statements] = STATE(3297),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(1952),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [32] = {
    [sym__statements] = STATE(3454),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [33] = {
    [sym__statements] = STATE(3391),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [34] = {
    [sym__statements] = STATE(3294),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [35] = {
    [sym__statements] = STATE(3293),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [36] = {
    [sym__statements] = STATE(3436),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(2050),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [37] = {
    [aux_sym__statements2] = STATE(37),
    [sym_redirected_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_c_style_for_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_case_statement] = STATE(1741),
    [sym_function_definition] = STATE(1741),
    [sym_compound_statement] = STATE(1741),
    [sym_subshell] = STATE(1741),
    [sym_pipeline] = STATE(1741),
    [sym_list] = STATE(1741),
    [sym_negated_command] = STATE(1741),
    [sym_test_command] = STATE(1741),
    [sym_declaration_command] = STATE(1741),
    [sym_unset_command] = STATE(1741),
    [sym_command] = STATE(1741),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(501),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(241),
    [anon_sym_for] = ACTIONS(244),
    [anon_sym_select] = ACTIONS(247),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(250),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_until] = ACTIONS(253),
    [anon_sym_done] = ACTIONS(259),
    [anon_sym_if] = ACTIONS(256),
    [anon_sym_case] = ACTIONS(261),
    [anon_sym_function] = ACTIONS(264),
    [anon_sym_LPAREN] = ACTIONS(267),
    [anon_sym_LBRACE] = ACTIONS(270),
    [anon_sym_BANG] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(279),
    [anon_sym_declare] = ACTIONS(282),
    [anon_sym_typeset] = ACTIONS(282),
    [anon_sym_export] = ACTIONS(282),
    [anon_sym_readonly] = ACTIONS(282),
    [anon_sym_local] = ACTIONS(282),
    [anon_sym_unset] = ACTIONS(285),
    [anon_sym_unsetenv] = ACTIONS(285),
    [anon_sym_LT] = ACTIONS(288),
    [anon_sym_GT] = ACTIONS(288),
    [anon_sym_GT_GT] = ACTIONS(288),
    [anon_sym_AMP_GT] = ACTIONS(288),
    [anon_sym_AMP_GT_GT] = ACTIONS(288),
    [anon_sym_LT_AMP] = ACTIONS(288),
    [anon_sym_GT_AMP] = ACTIONS(288),
    [anon_sym_GT_PIPE] = ACTIONS(288),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [sym__special_character] = ACTIONS(294),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [sym_raw_string] = ACTIONS(300),
    [sym_ansi_c_string] = ACTIONS(300),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(303),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(306),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_LT_LPAREN] = ACTIONS(312),
    [anon_sym_GT_LPAREN] = ACTIONS(312),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(315),
    [sym_variable_name] = ACTIONS(318),
  },
  [38] = {
    [sym__statements] = STATE(3387),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(1959),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [39] = {
    [sym__statements] = STATE(3361),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [40] = {
    [sym__statements] = STATE(3360),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [41] = {
    [sym__statements] = STATE(3428),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [42] = {
    [sym__statements] = STATE(3299),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [43] = {
    [sym__statements] = STATE(3331),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [44] = {
    [sym__statements] = STATE(3329),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [45] = {
    [sym__statements] = STATE(3327),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(2058),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [46] = {
    [sym__statements] = STATE(3296),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [47] = {
    [sym__statements] = STATE(3298),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [48] = {
    [sym__statements] = STATE(3301),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(2056),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [49] = {
    [sym__statements] = STATE(3340),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [50] = {
    [sym__statements] = STATE(3341),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [51] = {
    [aux_sym__statements2] = STATE(69),
    [sym_redirected_statement] = STATE(1697),
    [sym_for_statement] = STATE(1697),
    [sym_c_style_for_statement] = STATE(1697),
    [sym_while_statement] = STATE(1697),
    [sym_if_statement] = STATE(1697),
    [sym_case_statement] = STATE(1697),
    [sym_function_definition] = STATE(1697),
    [sym_compound_statement] = STATE(1697),
    [sym_subshell] = STATE(1697),
    [sym_pipeline] = STATE(1697),
    [sym_list] = STATE(1697),
    [sym_negated_command] = STATE(1697),
    [sym_test_command] = STATE(1697),
    [sym_declaration_command] = STATE(1697),
    [sym_unset_command] = STATE(1697),
    [sym_command] = STATE(1697),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(488),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(337),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [52] = {
    [sym__statements] = STATE(3346),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(1974),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [53] = {
    [sym__statements] = STATE(3414),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [54] = {
    [sym__statements] = STATE(3419),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [55] = {
    [sym__statements] = STATE(3423),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(1986),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [56] = {
    [sym__statements] = STATE(3486),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [57] = {
    [sym__statements] = STATE(3487),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [58] = {
    [sym__statements] = STATE(3488),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(2081),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [59] = {
    [aux_sym__statements2] = STATE(24),
    [sym_redirected_statement] = STATE(1703),
    [sym_for_statement] = STATE(1703),
    [sym_c_style_for_statement] = STATE(1703),
    [sym_while_statement] = STATE(1703),
    [sym_if_statement] = STATE(1703),
    [sym_case_statement] = STATE(1703),
    [sym_function_definition] = STATE(1703),
    [sym_compound_statement] = STATE(1703),
    [sym_subshell] = STATE(1703),
    [sym_pipeline] = STATE(1703),
    [sym_list] = STATE(1703),
    [sym_negated_command] = STATE(1703),
    [sym_test_command] = STATE(1703),
    [sym_declaration_command] = STATE(1703),
    [sym_unset_command] = STATE(1703),
    [sym_command] = STATE(1703),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(465),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(339),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [60] = {
    [sym__statements] = STATE(3497),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [61] = {
    [sym__statements] = STATE(3437),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [62] = {
    [sym__statements] = STATE(3500),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [63] = {
    [sym__statements] = STATE(3494),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(2032),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [64] = {
    [sym__statements] = STATE(3480),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [65] = {
    [sym__statements] = STATE(3415),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [66] = {
    [aux_sym__statements2] = STATE(37),
    [sym_redirected_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_c_style_for_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_case_statement] = STATE(1741),
    [sym_function_definition] = STATE(1741),
    [sym_compound_statement] = STATE(1741),
    [sym_subshell] = STATE(1741),
    [sym_pipeline] = STATE(1741),
    [sym_list] = STATE(1741),
    [sym_negated_command] = STATE(1741),
    [sym_test_command] = STATE(1741),
    [sym_declaration_command] = STATE(1741),
    [sym_unset_command] = STATE(1741),
    [sym_command] = STATE(1741),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(501),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [67] = {
    [aux_sym__statements2] = STATE(59),
    [sym_redirected_statement] = STATE(1703),
    [sym_for_statement] = STATE(1703),
    [sym_c_style_for_statement] = STATE(1703),
    [sym_while_statement] = STATE(1703),
    [sym_if_statement] = STATE(1703),
    [sym_case_statement] = STATE(1703),
    [sym_function_definition] = STATE(1703),
    [sym_compound_statement] = STATE(1703),
    [sym_subshell] = STATE(1703),
    [sym_pipeline] = STATE(1703),
    [sym_list] = STATE(1703),
    [sym_negated_command] = STATE(1703),
    [sym_test_command] = STATE(1703),
    [sym_declaration_command] = STATE(1703),
    [sym_unset_command] = STATE(1703),
    [sym_command] = STATE(1703),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(465),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [68] = {
    [aux_sym__statements2] = STATE(70),
    [sym_redirected_statement] = STATE(1703),
    [sym_for_statement] = STATE(1703),
    [sym_c_style_for_statement] = STATE(1703),
    [sym_while_statement] = STATE(1703),
    [sym_if_statement] = STATE(1703),
    [sym_case_statement] = STATE(1703),
    [sym_function_definition] = STATE(1703),
    [sym_compound_statement] = STATE(1703),
    [sym_subshell] = STATE(1703),
    [sym_pipeline] = STATE(1703),
    [sym_list] = STATE(1703),
    [sym_negated_command] = STATE(1703),
    [sym_test_command] = STATE(1703),
    [sym_declaration_command] = STATE(1703),
    [sym_unset_command] = STATE(1703),
    [sym_command] = STATE(1703),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(465),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(345),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [69] = {
    [aux_sym__statements2] = STATE(107),
    [sym_redirected_statement] = STATE(1697),
    [sym_for_statement] = STATE(1697),
    [sym_c_style_for_statement] = STATE(1697),
    [sym_while_statement] = STATE(1697),
    [sym_if_statement] = STATE(1697),
    [sym_case_statement] = STATE(1697),
    [sym_function_definition] = STATE(1697),
    [sym_compound_statement] = STATE(1697),
    [sym_subshell] = STATE(1697),
    [sym_pipeline] = STATE(1697),
    [sym_list] = STATE(1697),
    [sym_negated_command] = STATE(1697),
    [sym_test_command] = STATE(1697),
    [sym_declaration_command] = STATE(1697),
    [sym_unset_command] = STATE(1697),
    [sym_command] = STATE(1697),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(488),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(347),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [70] = {
    [aux_sym__statements2] = STATE(24),
    [sym_redirected_statement] = STATE(1703),
    [sym_for_statement] = STATE(1703),
    [sym_c_style_for_statement] = STATE(1703),
    [sym_while_statement] = STATE(1703),
    [sym_if_statement] = STATE(1703),
    [sym_case_statement] = STATE(1703),
    [sym_function_definition] = STATE(1703),
    [sym_compound_statement] = STATE(1703),
    [sym_subshell] = STATE(1703),
    [sym_pipeline] = STATE(1703),
    [sym_list] = STATE(1703),
    [sym_negated_command] = STATE(1703),
    [sym_test_command] = STATE(1703),
    [sym_declaration_command] = STATE(1703),
    [sym_unset_command] = STATE(1703),
    [sym_command] = STATE(1703),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(465),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(349),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [71] = {
    [sym__statements] = STATE(3479),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [72] = {
    [sym__statements] = STATE(3478),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(2080),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [73] = {
    [sym__statements] = STATE(3468),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [74] = {
    [aux_sym__statements2] = STATE(78),
    [sym_redirected_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_c_style_for_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_case_statement] = STATE(1741),
    [sym_function_definition] = STATE(1741),
    [sym_compound_statement] = STATE(1741),
    [sym_subshell] = STATE(1741),
    [sym_pipeline] = STATE(1741),
    [sym_list] = STATE(1741),
    [sym_negated_command] = STATE(1741),
    [sym_test_command] = STATE(1741),
    [sym_declaration_command] = STATE(1741),
    [sym_unset_command] = STATE(1741),
    [sym_command] = STATE(1741),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(501),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [75] = {
    [sym__statements] = STATE(3432),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(2018),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [76] = {
    [sym__statements] = STATE(3440),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [77] = {
    [sym__statements] = STATE(3466),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [78] = {
    [aux_sym__statements2] = STATE(37),
    [sym_redirected_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_c_style_for_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_case_statement] = STATE(1741),
    [sym_function_definition] = STATE(1741),
    [sym_compound_statement] = STATE(1741),
    [sym_subshell] = STATE(1741),
    [sym_pipeline] = STATE(1741),
    [sym_list] = STATE(1741),
    [sym_negated_command] = STATE(1741),
    [sym_test_command] = STATE(1741),
    [sym_declaration_command] = STATE(1741),
    [sym_unset_command] = STATE(1741),
    [sym_command] = STATE(1741),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(501),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(353),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [79] = {
    [sym__statements] = STATE(3464),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(2052),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [80] = {
    [sym__statements] = STATE(3445),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [81] = {
    [sym__statements] = STATE(3439),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [82] = {
    [sym__statements] = STATE(3489),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [83] = {
    [sym__statements] = STATE(3438),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(2015),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [84] = {
    [sym__statements] = STATE(3474),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(2002),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [85] = {
    [sym__statements] = STATE(3420),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [86] = {
    [sym__statements] = STATE(3384),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [87] = {
    [sym__statements] = STATE(3409),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(1980),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [88] = {
    [sym__statements] = STATE(3398),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [89] = {
    [sym__statements] = STATE(3395),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [90] = {
    [sym__statements] = STATE(3390),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(1923),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [91] = {
    [sym__statements] = STATE(3369),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [92] = {
    [sym__statements] = STATE(3368),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [93] = {
    [sym__statements] = STATE(3435),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(1944),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [94] = {
    [aux_sym__statements2] = STATE(95),
    [sym_redirected_statement] = STATE(1703),
    [sym_for_statement] = STATE(1703),
    [sym_c_style_for_statement] = STATE(1703),
    [sym_while_statement] = STATE(1703),
    [sym_if_statement] = STATE(1703),
    [sym_case_statement] = STATE(1703),
    [sym_function_definition] = STATE(1703),
    [sym_compound_statement] = STATE(1703),
    [sym_subshell] = STATE(1703),
    [sym_pipeline] = STATE(1703),
    [sym_list] = STATE(1703),
    [sym_negated_command] = STATE(1703),
    [sym_test_command] = STATE(1703),
    [sym_declaration_command] = STATE(1703),
    [sym_unset_command] = STATE(1703),
    [sym_command] = STATE(1703),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(465),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [95] = {
    [aux_sym__statements2] = STATE(24),
    [sym_redirected_statement] = STATE(1703),
    [sym_for_statement] = STATE(1703),
    [sym_c_style_for_statement] = STATE(1703),
    [sym_while_statement] = STATE(1703),
    [sym_if_statement] = STATE(1703),
    [sym_case_statement] = STATE(1703),
    [sym_function_definition] = STATE(1703),
    [sym_compound_statement] = STATE(1703),
    [sym_subshell] = STATE(1703),
    [sym_pipeline] = STATE(1703),
    [sym_list] = STATE(1703),
    [sym_negated_command] = STATE(1703),
    [sym_test_command] = STATE(1703),
    [sym_declaration_command] = STATE(1703),
    [sym_unset_command] = STATE(1703),
    [sym_command] = STATE(1703),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(465),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [96] = {
    [aux_sym__statements2] = STATE(102),
    [sym_redirected_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_c_style_for_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_case_statement] = STATE(1741),
    [sym_function_definition] = STATE(1741),
    [sym_compound_statement] = STATE(1741),
    [sym_subshell] = STATE(1741),
    [sym_pipeline] = STATE(1741),
    [sym_list] = STATE(1741),
    [sym_negated_command] = STATE(1741),
    [sym_test_command] = STATE(1741),
    [sym_declaration_command] = STATE(1741),
    [sym_unset_command] = STATE(1741),
    [sym_command] = STATE(1741),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(501),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [97] = {
    [sym__statements] = STATE(3447),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(2062),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [98] = {
    [sym__statements] = STATE(3355),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [99] = {
    [sym__statements] = STATE(3353),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [100] = {
    [sym__statements] = STATE(3349),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(1960),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [101] = {
    [sym__statements] = STATE(3325),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [102] = {
    [aux_sym__statements2] = STATE(37),
    [sym_redirected_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_c_style_for_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_case_statement] = STATE(1741),
    [sym_function_definition] = STATE(1741),
    [sym_compound_statement] = STATE(1741),
    [sym_subshell] = STATE(1741),
    [sym_pipeline] = STATE(1741),
    [sym_list] = STATE(1741),
    [sym_negated_command] = STATE(1741),
    [sym_test_command] = STATE(1741),
    [sym_declaration_command] = STATE(1741),
    [sym_unset_command] = STATE(1741),
    [sym_command] = STATE(1741),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(501),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [103] = {
    [sym__statements] = STATE(3388),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(2013),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [104] = {
    [sym__statements] = STATE(3482),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [105] = {
    [sym__statements] = STATE(3472),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [106] = {
    [sym__statements] = STATE(3321),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [107] = {
    [aux_sym__statements2] = STATE(107),
    [sym_redirected_statement] = STATE(1697),
    [sym_for_statement] = STATE(1697),
    [sym_c_style_for_statement] = STATE(1697),
    [sym_while_statement] = STATE(1697),
    [sym_if_statement] = STATE(1697),
    [sym_case_statement] = STATE(1697),
    [sym_function_definition] = STATE(1697),
    [sym_compound_statement] = STATE(1697),
    [sym_subshell] = STATE(1697),
    [sym_pipeline] = STATE(1697),
    [sym_list] = STATE(1697),
    [sym_negated_command] = STATE(1697),
    [sym_test_command] = STATE(1697),
    [sym_declaration_command] = STATE(1697),
    [sym_unset_command] = STATE(1697),
    [sym_command] = STATE(1697),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(488),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(241),
    [anon_sym_for] = ACTIONS(244),
    [anon_sym_select] = ACTIONS(247),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(250),
    [anon_sym_while] = ACTIONS(253),
    [anon_sym_until] = ACTIONS(253),
    [anon_sym_if] = ACTIONS(256),
    [anon_sym_fi] = ACTIONS(259),
    [anon_sym_case] = ACTIONS(261),
    [anon_sym_function] = ACTIONS(264),
    [anon_sym_LPAREN] = ACTIONS(267),
    [anon_sym_LBRACE] = ACTIONS(270),
    [anon_sym_BANG] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(279),
    [anon_sym_declare] = ACTIONS(282),
    [anon_sym_typeset] = ACTIONS(282),
    [anon_sym_export] = ACTIONS(282),
    [anon_sym_readonly] = ACTIONS(282),
    [anon_sym_local] = ACTIONS(282),
    [anon_sym_unset] = ACTIONS(285),
    [anon_sym_unsetenv] = ACTIONS(285),
    [anon_sym_LT] = ACTIONS(288),
    [anon_sym_GT] = ACTIONS(288),
    [anon_sym_GT_GT] = ACTIONS(288),
    [anon_sym_AMP_GT] = ACTIONS(288),
    [anon_sym_AMP_GT_GT] = ACTIONS(288),
    [anon_sym_LT_AMP] = ACTIONS(288),
    [anon_sym_GT_AMP] = ACTIONS(288),
    [anon_sym_GT_PIPE] = ACTIONS(288),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [sym__special_character] = ACTIONS(294),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [sym_raw_string] = ACTIONS(300),
    [sym_ansi_c_string] = ACTIONS(300),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(303),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(306),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_LT_LPAREN] = ACTIONS(312),
    [anon_sym_GT_LPAREN] = ACTIONS(312),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(315),
    [sym_variable_name] = ACTIONS(318),
  },
  [108] = {
    [sym__statements] = STATE(3495),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [109] = {
    [sym__statements] = STATE(3458),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(2076),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [110] = {
    [sym__statements] = STATE(3320),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(1999),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [111] = {
    [sym__statements] = STATE(3457),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [112] = {
    [sym__statements] = STATE(3335),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [113] = {
    [sym__statements] = STATE(3306),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [114] = {
    [sym__statements] = STATE(3305),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(2044),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [115] = {
    [sym__statements] = STATE(3312),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [116] = {
    [sym__statements] = STATE(3314),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [117] = {
    [sym__statements] = STATE(3316),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(2089),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [118] = {
    [sym__statements] = STATE(3365),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(2004),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [119] = {
    [sym__statements] = STATE(3381),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [120] = {
    [sym__statements] = STATE(3337),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [121] = {
    [sym__statements] = STATE(3350),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(2048),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [122] = {
    [sym__statements] = STATE(3362),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [123] = {
    [sym__statements] = STATE(3364),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [124] = {
    [sym__statements] = STATE(3323),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(1981),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [125] = {
    [sym__statements] = STATE(3376),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [126] = {
    [sym__statements] = STATE(3377),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [127] = {
    [sym__statements] = STATE(3426),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(1948),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [128] = {
    [sym__statements] = STATE(3396),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [129] = {
    [sym__statements] = STATE(3397),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [130] = {
    [aux_sym__statements2] = STATE(66),
    [sym_redirected_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_c_style_for_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_case_statement] = STATE(1741),
    [sym_function_definition] = STATE(1741),
    [sym_compound_statement] = STATE(1741),
    [sym_subshell] = STATE(1741),
    [sym_pipeline] = STATE(1741),
    [sym_list] = STATE(1741),
    [sym_negated_command] = STATE(1741),
    [sym_test_command] = STATE(1741),
    [sym_declaration_command] = STATE(1741),
    [sym_unset_command] = STATE(1741),
    [sym_command] = STATE(1741),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(501),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [131] = {
    [sym__statements] = STATE(3401),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(1962),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [132] = {
    [sym__statements] = STATE(3421),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [133] = {
    [sym__statements] = STATE(3496),
    [sym_redirected_statement] = STATE(1688),
    [sym_for_statement] = STATE(1688),
    [sym_c_style_for_statement] = STATE(1688),
    [sym_while_statement] = STATE(1688),
    [sym_if_statement] = STATE(1688),
    [sym_case_statement] = STATE(1688),
    [sym_function_definition] = STATE(1688),
    [sym_compound_statement] = STATE(1688),
    [sym_subshell] = STATE(1688),
    [sym_pipeline] = STATE(1688),
    [sym_list] = STATE(1688),
    [sym_negated_command] = STATE(1688),
    [sym_test_command] = STATE(1688),
    [sym_declaration_command] = STATE(1688),
    [sym_unset_command] = STATE(1688),
    [sym_command] = STATE(1688),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(293),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(139),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [134] = {
    [sym__statements] = STATE(3422),
    [sym_redirected_statement] = STATE(1679),
    [sym_for_statement] = STATE(1679),
    [sym_c_style_for_statement] = STATE(1679),
    [sym_while_statement] = STATE(1679),
    [sym_if_statement] = STATE(1679),
    [sym_case_statement] = STATE(1679),
    [sym_function_definition] = STATE(1679),
    [sym_compound_statement] = STATE(1679),
    [sym_subshell] = STATE(1679),
    [sym_pipeline] = STATE(1679),
    [sym_list] = STATE(1679),
    [sym_negated_command] = STATE(1679),
    [sym_test_command] = STATE(1679),
    [sym_declaration_command] = STATE(1679),
    [sym_unset_command] = STATE(1679),
    [sym_command] = STATE(1679),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(541),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(147),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [135] = {
    [sym__terminated_statement] = STATE(3277),
    [sym_redirected_statement] = STATE(1704),
    [sym_for_statement] = STATE(1704),
    [sym_c_style_for_statement] = STATE(1704),
    [sym_while_statement] = STATE(1704),
    [sym_if_statement] = STATE(1704),
    [sym_case_statement] = STATE(1704),
    [sym_function_definition] = STATE(1704),
    [sym_compound_statement] = STATE(1704),
    [sym_subshell] = STATE(1704),
    [sym_pipeline] = STATE(1704),
    [sym_list] = STATE(1704),
    [sym_negated_command] = STATE(1704),
    [sym_test_command] = STATE(1704),
    [sym_declaration_command] = STATE(1704),
    [sym_unset_command] = STATE(1704),
    [sym_command] = STATE(1704),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(457),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [136] = {
    [sym_redirected_statement] = STATE(1730),
    [sym_for_statement] = STATE(1730),
    [sym_c_style_for_statement] = STATE(1730),
    [sym_while_statement] = STATE(1730),
    [sym_if_statement] = STATE(1730),
    [sym_case_statement] = STATE(1730),
    [sym_function_definition] = STATE(1730),
    [sym_compound_statement] = STATE(1730),
    [sym_subshell] = STATE(1730),
    [sym_pipeline] = STATE(1730),
    [sym_list] = STATE(1730),
    [sym_negated_command] = STATE(1730),
    [sym_test_command] = STATE(1730),
    [sym_declaration_command] = STATE(1730),
    [sym_unset_command] = STATE(1730),
    [sym_command] = STATE(1730),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(498),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(136),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(365),
    [anon_sym_for] = ACTIONS(368),
    [anon_sym_select] = ACTIONS(371),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(374),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_until] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_case] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(386),
    [anon_sym_LPAREN] = ACTIONS(389),
    [anon_sym_LBRACE] = ACTIONS(392),
    [anon_sym_BANG] = ACTIONS(395),
    [anon_sym_LBRACK] = ACTIONS(398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(401),
    [anon_sym_declare] = ACTIONS(404),
    [anon_sym_typeset] = ACTIONS(404),
    [anon_sym_export] = ACTIONS(404),
    [anon_sym_readonly] = ACTIONS(404),
    [anon_sym_local] = ACTIONS(404),
    [anon_sym_unset] = ACTIONS(407),
    [anon_sym_unsetenv] = ACTIONS(407),
    [anon_sym_LT] = ACTIONS(410),
    [anon_sym_GT] = ACTIONS(410),
    [anon_sym_GT_GT] = ACTIONS(410),
    [anon_sym_AMP_GT] = ACTIONS(410),
    [anon_sym_AMP_GT_GT] = ACTIONS(410),
    [anon_sym_LT_AMP] = ACTIONS(410),
    [anon_sym_GT_AMP] = ACTIONS(410),
    [anon_sym_GT_PIPE] = ACTIONS(410),
    [anon_sym_DOLLAR] = ACTIONS(413),
    [sym__special_character] = ACTIONS(416),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [sym_raw_string] = ACTIONS(422),
    [sym_ansi_c_string] = ACTIONS(422),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(425),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(428),
    [anon_sym_BQUOTE] = ACTIONS(431),
    [anon_sym_LT_LPAREN] = ACTIONS(434),
    [anon_sym_GT_LPAREN] = ACTIONS(434),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(437),
    [sym_variable_name] = ACTIONS(440),
  },
  [137] = {
    [sym__terminated_statement] = STATE(3175),
    [sym_redirected_statement] = STATE(1704),
    [sym_for_statement] = STATE(1704),
    [sym_c_style_for_statement] = STATE(1704),
    [sym_while_statement] = STATE(1704),
    [sym_if_statement] = STATE(1704),
    [sym_case_statement] = STATE(1704),
    [sym_function_definition] = STATE(1704),
    [sym_compound_statement] = STATE(1704),
    [sym_subshell] = STATE(1704),
    [sym_pipeline] = STATE(1704),
    [sym_list] = STATE(1704),
    [sym_negated_command] = STATE(1704),
    [sym_test_command] = STATE(1704),
    [sym_declaration_command] = STATE(1704),
    [sym_unset_command] = STATE(1704),
    [sym_command] = STATE(1704),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(457),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [138] = {
    [sym_redirected_statement] = STATE(1652),
    [sym_for_statement] = STATE(1652),
    [sym_c_style_for_statement] = STATE(1652),
    [sym_while_statement] = STATE(1652),
    [sym_if_statement] = STATE(1652),
    [sym_case_statement] = STATE(1652),
    [sym_function_definition] = STATE(1652),
    [sym_compound_statement] = STATE(1652),
    [sym_subshell] = STATE(1652),
    [sym_pipeline] = STATE(1652),
    [sym_list] = STATE(1652),
    [sym_negated_command] = STATE(1652),
    [sym_test_command] = STATE(1652),
    [sym_declaration_command] = STATE(1652),
    [sym_unset_command] = STATE(1652),
    [sym_command] = STATE(1652),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(275),
    [sym_subscript] = STATE(3250),
    [sym_file_redirect] = STATE(749),
    [sym_concatenation] = STATE(542),
    [sym_string] = STATE(277),
    [sym_translated_string] = STATE(277),
    [sym_simple_expansion] = STATE(277),
    [sym_expansion] = STATE(277),
    [sym_command_substitution] = STATE(277),
    [sym_process_substitution] = STATE(277),
    [aux_sym__statements_repeat1] = STATE(136),
    [aux_sym_command_repeat1] = STATE(749),
    [aux_sym__literal_repeat1] = STATE(311),
    [sym_word] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_select] = ACTIONS(127),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_until] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(153),
    [anon_sym_declare] = ACTIONS(155),
    [anon_sym_typeset] = ACTIONS(155),
    [anon_sym_export] = ACTIONS(155),
    [anon_sym_readonly] = ACTIONS(155),
    [anon_sym_local] = ACTIONS(155),
    [anon_sym_unset] = ACTIONS(157),
    [anon_sym_unsetenv] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [sym__special_character] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_raw_string] = ACTIONS(165),
    [sym_ansi_c_string] = ACTIONS(165),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(167),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(169),
    [anon_sym_BQUOTE] = ACTIONS(171),
    [anon_sym_LT_LPAREN] = ACTIONS(173),
    [anon_sym_GT_LPAREN] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(175),
  },
  [139] = {
    [sym_redirected_statement] = STATE(1664),
    [sym_for_statement] = STATE(1664),
    [sym_c_style_for_statement] = STATE(1664),
    [sym_while_statement] = STATE(1664),
    [sym_if_statement] = STATE(1664),
    [sym_case_statement] = STATE(1664),
    [sym_function_definition] = STATE(1664),
    [sym_compound_statement] = STATE(1664),
    [sym_subshell] = STATE(1664),
    [sym_pipeline] = STATE(1664),
    [sym_list] = STATE(1664),
    [sym_negated_command] = STATE(1664),
    [sym_test_command] = STATE(1664),
    [sym_declaration_command] = STATE(1664),
    [sym_unset_command] = STATE(1664),
    [sym_command] = STATE(1664),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(340),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(136),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [140] = {
    [sym__terminated_statement] = STATE(3345),
    [sym_redirected_statement] = STATE(1704),
    [sym_for_statement] = STATE(1704),
    [sym_c_style_for_statement] = STATE(1704),
    [sym_while_statement] = STATE(1704),
    [sym_if_statement] = STATE(1704),
    [sym_case_statement] = STATE(1704),
    [sym_function_definition] = STATE(1704),
    [sym_compound_statement] = STATE(1704),
    [sym_subshell] = STATE(1704),
    [sym_pipeline] = STATE(1704),
    [sym_list] = STATE(1704),
    [sym_negated_command] = STATE(1704),
    [sym_test_command] = STATE(1704),
    [sym_declaration_command] = STATE(1704),
    [sym_unset_command] = STATE(1704),
    [sym_command] = STATE(1704),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(457),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [141] = {
    [sym__terminated_statement] = STATE(3371),
    [sym_redirected_statement] = STATE(1704),
    [sym_for_statement] = STATE(1704),
    [sym_c_style_for_statement] = STATE(1704),
    [sym_while_statement] = STATE(1704),
    [sym_if_statement] = STATE(1704),
    [sym_case_statement] = STATE(1704),
    [sym_function_definition] = STATE(1704),
    [sym_compound_statement] = STATE(1704),
    [sym_subshell] = STATE(1704),
    [sym_pipeline] = STATE(1704),
    [sym_list] = STATE(1704),
    [sym_negated_command] = STATE(1704),
    [sym_test_command] = STATE(1704),
    [sym_declaration_command] = STATE(1704),
    [sym_unset_command] = STATE(1704),
    [sym_command] = STATE(1704),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(457),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [142] = {
    [sym__terminated_statement] = STATE(3424),
    [sym_redirected_statement] = STATE(1704),
    [sym_for_statement] = STATE(1704),
    [sym_c_style_for_statement] = STATE(1704),
    [sym_while_statement] = STATE(1704),
    [sym_if_statement] = STATE(1704),
    [sym_case_statement] = STATE(1704),
    [sym_function_definition] = STATE(1704),
    [sym_compound_statement] = STATE(1704),
    [sym_subshell] = STATE(1704),
    [sym_pipeline] = STATE(1704),
    [sym_list] = STATE(1704),
    [sym_negated_command] = STATE(1704),
    [sym_test_command] = STATE(1704),
    [sym_declaration_command] = STATE(1704),
    [sym_unset_command] = STATE(1704),
    [sym_command] = STATE(1704),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(457),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [143] = {
    [sym__terminated_statement] = STATE(3195),
    [sym_redirected_statement] = STATE(1704),
    [sym_for_statement] = STATE(1704),
    [sym_c_style_for_statement] = STATE(1704),
    [sym_while_statement] = STATE(1704),
    [sym_if_statement] = STATE(1704),
    [sym_case_statement] = STATE(1704),
    [sym_function_definition] = STATE(1704),
    [sym_compound_statement] = STATE(1704),
    [sym_subshell] = STATE(1704),
    [sym_pipeline] = STATE(1704),
    [sym_list] = STATE(1704),
    [sym_negated_command] = STATE(1704),
    [sym_test_command] = STATE(1704),
    [sym_declaration_command] = STATE(1704),
    [sym_unset_command] = STATE(1704),
    [sym_command] = STATE(1704),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(457),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [144] = {
    [sym_redirected_statement] = STATE(1683),
    [sym_for_statement] = STATE(1683),
    [sym_c_style_for_statement] = STATE(1683),
    [sym_while_statement] = STATE(1683),
    [sym_if_statement] = STATE(1683),
    [sym_case_statement] = STATE(1683),
    [sym_function_definition] = STATE(1683),
    [sym_compound_statement] = STATE(1683),
    [sym_subshell] = STATE(1683),
    [sym_pipeline] = STATE(1683),
    [sym_list] = STATE(1683),
    [sym_negated_command] = STATE(1683),
    [sym_test_command] = STATE(1683),
    [sym_declaration_command] = STATE(1683),
    [sym_unset_command] = STATE(1683),
    [sym_command] = STATE(1683),
    [sym_command_name] = STATE(236),
    [sym_variable_assignment] = STATE(299),
    [sym_subscript] = STATE(3185),
    [sym_file_redirect] = STATE(885),
    [sym_concatenation] = STATE(887),
    [sym_string] = STATE(392),
    [sym_translated_string] = STATE(392),
    [sym_simple_expansion] = STATE(392),
    [sym_expansion] = STATE(392),
    [sym_command_substitution] = STATE(392),
    [sym_process_substitution] = STATE(392),
    [aux_sym__statements_repeat1] = STATE(136),
    [aux_sym_command_repeat1] = STATE(885),
    [aux_sym__literal_repeat1] = STATE(568),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_until] = ACTIONS(15),
    [anon_sym_if] = ACTIONS(17),
    [anon_sym_case] = ACTIONS(19),
    [anon_sym_function] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(25),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(31),
    [anon_sym_declare] = ACTIONS(33),
    [anon_sym_typeset] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(33),
    [anon_sym_readonly] = ACTIONS(33),
    [anon_sym_local] = ACTIONS(33),
    [anon_sym_unset] = ACTIONS(35),
    [anon_sym_unsetenv] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansi_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(57),
  },
  [145] = {
    [sym_redirected_statement] = STATE(1653),
    [sym_for_statement] = STATE(1653),
    [sym_c_style_for_statement] = STATE(1653),
    [sym_while_statement] = STATE(1653),
    [sym_if_statement] = STATE(1653),
    [sym_case_statement] = STATE(1653),
    [sym_function_definition] = STATE(1653),
    [sym_compound_statement] = STATE(1653),
    [sym_subshell] = STATE(1653),
    [sym_pipeline] = STATE(1653),
    [sym_list] = STATE(1653),
    [sym_negated_command] = STATE(1653),
    [sym_test_command] = STATE(1653),
    [sym_declaration_command] = STATE(1653),
    [sym_unset_command] = STATE(1653),
    [sym_command] = STATE(1653),
    [sym_command_name] = STATE(204),
    [sym_variable_assignment] = STATE(282),
    [sym_subscript] = STATE(3241),
    [sym_file_redirect] = STATE(786),
    [sym_concatenation] = STATE(716),
    [sym_string] = STATE(303),
    [sym_translated_string] = STATE(303),
    [sym_simple_expansion] = STATE(303),
    [sym_expansion] = STATE(303),
    [sym_command_substitution] = STATE(303),
    [sym_process_substitution] = STATE(303),
    [aux_sym__statements_repeat1] = STATE(136),
    [aux_sym_command_repeat1] = STATE(786),
    [aux_sym__literal_repeat1] = STATE(490),
    [sym_word] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_select] = ACTIONS(127),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_until] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(209),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(153),
    [anon_sym_declare] = ACTIONS(211),
    [anon_sym_typeset] = ACTIONS(211),
    [anon_sym_export] = ACTIONS(211),
    [anon_sym_readonly] = ACTIONS(211),
    [anon_sym_local] = ACTIONS(211),
    [anon_sym_unset] = ACTIONS(213),
    [anon_sym_unsetenv] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(215),
    [sym__special_character] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [sym_raw_string] = ACTIONS(221),
    [sym_ansi_c_string] = ACTIONS(221),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(223),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_LT_LPAREN] = ACTIONS(229),
    [anon_sym_GT_LPAREN] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(231),
  },
  [146] = {
    [sym__terminated_statement] = STATE(3288),
    [sym_redirected_statement] = STATE(1704),
    [sym_for_statement] = STATE(1704),
    [sym_c_style_for_statement] = STATE(1704),
    [sym_while_statement] = STATE(1704),
    [sym_if_statement] = STATE(1704),
    [sym_case_statement] = STATE(1704),
    [sym_function_definition] = STATE(1704),
    [sym_compound_statement] = STATE(1704),
    [sym_subshell] = STATE(1704),
    [sym_pipeline] = STATE(1704),
    [sym_list] = STATE(1704),
    [sym_negated_command] = STATE(1704),
    [sym_test_command] = STATE(1704),
    [sym_declaration_command] = STATE(1704),
    [sym_unset_command] = STATE(1704),
    [sym_command] = STATE(1704),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(457),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [147] = {
    [sym_redirected_statement] = STATE(1665),
    [sym_for_statement] = STATE(1665),
    [sym_c_style_for_statement] = STATE(1665),
    [sym_while_statement] = STATE(1665),
    [sym_if_statement] = STATE(1665),
    [sym_case_statement] = STATE(1665),
    [sym_function_definition] = STATE(1665),
    [sym_compound_statement] = STATE(1665),
    [sym_subshell] = STATE(1665),
    [sym_pipeline] = STATE(1665),
    [sym_list] = STATE(1665),
    [sym_negated_command] = STATE(1665),
    [sym_test_command] = STATE(1665),
    [sym_declaration_command] = STATE(1665),
    [sym_unset_command] = STATE(1665),
    [sym_command] = STATE(1665),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(520),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym__statements_repeat1] = STATE(136),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [148] = {
    [sym_redirected_statement] = STATE(1686),
    [sym_for_statement] = STATE(1686),
    [sym_c_style_for_statement] = STATE(1686),
    [sym_while_statement] = STATE(1686),
    [sym_if_statement] = STATE(1686),
    [sym_case_statement] = STATE(1686),
    [sym_function_definition] = STATE(1686),
    [sym_compound_statement] = STATE(1686),
    [sym_subshell] = STATE(1686),
    [sym_pipeline] = STATE(1686),
    [sym_list] = STATE(1686),
    [sym_negated_command] = STATE(1686),
    [sym_test_command] = STATE(1686),
    [sym_declaration_command] = STATE(1686),
    [sym_unset_command] = STATE(1686),
    [sym_command] = STATE(1686),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(321),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [149] = {
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(232),
    [sym_variable_assignment] = STATE(323),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(883),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(883),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [150] = {
    [sym_redirected_statement] = STATE(1656),
    [sym_for_statement] = STATE(1656),
    [sym_c_style_for_statement] = STATE(1656),
    [sym_while_statement] = STATE(1656),
    [sym_if_statement] = STATE(1656),
    [sym_case_statement] = STATE(1656),
    [sym_function_definition] = STATE(1656),
    [sym_compound_statement] = STATE(1656),
    [sym_subshell] = STATE(1656),
    [sym_pipeline] = STATE(1656),
    [sym_list] = STATE(1656),
    [sym_negated_command] = STATE(1656),
    [sym_test_command] = STATE(1656),
    [sym_declaration_command] = STATE(1656),
    [sym_unset_command] = STATE(1656),
    [sym_command] = STATE(1656),
    [sym_command_name] = STATE(204),
    [sym_variable_assignment] = STATE(291),
    [sym_subscript] = STATE(3241),
    [sym_file_redirect] = STATE(786),
    [sym_concatenation] = STATE(716),
    [sym_string] = STATE(303),
    [sym_translated_string] = STATE(303),
    [sym_simple_expansion] = STATE(303),
    [sym_expansion] = STATE(303),
    [sym_command_substitution] = STATE(303),
    [sym_process_substitution] = STATE(303),
    [aux_sym_command_repeat1] = STATE(786),
    [aux_sym__literal_repeat1] = STATE(490),
    [sym_word] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_select] = ACTIONS(127),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_until] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(209),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(153),
    [anon_sym_declare] = ACTIONS(211),
    [anon_sym_typeset] = ACTIONS(211),
    [anon_sym_export] = ACTIONS(211),
    [anon_sym_readonly] = ACTIONS(211),
    [anon_sym_local] = ACTIONS(211),
    [anon_sym_unset] = ACTIONS(213),
    [anon_sym_unsetenv] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(215),
    [sym__special_character] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [sym_raw_string] = ACTIONS(221),
    [sym_ansi_c_string] = ACTIONS(221),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(223),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_LT_LPAREN] = ACTIONS(229),
    [anon_sym_GT_LPAREN] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(231),
  },
  [151] = {
    [sym_redirected_statement] = STATE(1680),
    [sym_for_statement] = STATE(1680),
    [sym_c_style_for_statement] = STATE(1680),
    [sym_while_statement] = STATE(1680),
    [sym_if_statement] = STATE(1680),
    [sym_case_statement] = STATE(1680),
    [sym_function_definition] = STATE(1680),
    [sym_compound_statement] = STATE(1680),
    [sym_subshell] = STATE(1680),
    [sym_pipeline] = STATE(1680),
    [sym_list] = STATE(1680),
    [sym_negated_command] = STATE(1680),
    [sym_test_command] = STATE(1680),
    [sym_declaration_command] = STATE(1680),
    [sym_unset_command] = STATE(1680),
    [sym_command] = STATE(1680),
    [sym_command_name] = STATE(236),
    [sym_variable_assignment] = STATE(305),
    [sym_subscript] = STATE(3185),
    [sym_file_redirect] = STATE(885),
    [sym_concatenation] = STATE(887),
    [sym_string] = STATE(392),
    [sym_translated_string] = STATE(392),
    [sym_simple_expansion] = STATE(392),
    [sym_expansion] = STATE(392),
    [sym_command_substitution] = STATE(392),
    [sym_process_substitution] = STATE(392),
    [aux_sym_command_repeat1] = STATE(885),
    [aux_sym__literal_repeat1] = STATE(568),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_until] = ACTIONS(15),
    [anon_sym_if] = ACTIONS(17),
    [anon_sym_case] = ACTIONS(19),
    [anon_sym_function] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(25),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(31),
    [anon_sym_declare] = ACTIONS(33),
    [anon_sym_typeset] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(33),
    [anon_sym_readonly] = ACTIONS(33),
    [anon_sym_local] = ACTIONS(33),
    [anon_sym_unset] = ACTIONS(35),
    [anon_sym_unsetenv] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansi_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(57),
  },
  [152] = {
    [sym_redirected_statement] = STATE(1646),
    [sym_for_statement] = STATE(1646),
    [sym_c_style_for_statement] = STATE(1646),
    [sym_while_statement] = STATE(1646),
    [sym_if_statement] = STATE(1646),
    [sym_case_statement] = STATE(1646),
    [sym_function_definition] = STATE(1646),
    [sym_compound_statement] = STATE(1646),
    [sym_subshell] = STATE(1646),
    [sym_pipeline] = STATE(1646),
    [sym_list] = STATE(1646),
    [sym_negated_command] = STATE(1646),
    [sym_test_command] = STATE(1646),
    [sym_declaration_command] = STATE(1646),
    [sym_unset_command] = STATE(1646),
    [sym_command] = STATE(1646),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(273),
    [sym_subscript] = STATE(3250),
    [sym_file_redirect] = STATE(749),
    [sym_concatenation] = STATE(542),
    [sym_string] = STATE(277),
    [sym_translated_string] = STATE(277),
    [sym_simple_expansion] = STATE(277),
    [sym_expansion] = STATE(277),
    [sym_command_substitution] = STATE(277),
    [sym_process_substitution] = STATE(277),
    [aux_sym_command_repeat1] = STATE(749),
    [aux_sym__literal_repeat1] = STATE(311),
    [sym_word] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_select] = ACTIONS(127),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_until] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(153),
    [anon_sym_declare] = ACTIONS(155),
    [anon_sym_typeset] = ACTIONS(155),
    [anon_sym_export] = ACTIONS(155),
    [anon_sym_readonly] = ACTIONS(155),
    [anon_sym_local] = ACTIONS(155),
    [anon_sym_unset] = ACTIONS(157),
    [anon_sym_unsetenv] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [sym__special_character] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_raw_string] = ACTIONS(165),
    [sym_ansi_c_string] = ACTIONS(165),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(167),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(169),
    [anon_sym_BQUOTE] = ACTIONS(171),
    [anon_sym_LT_LPAREN] = ACTIONS(173),
    [anon_sym_GT_LPAREN] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(175),
  },
  [153] = {
    [sym_redirected_statement] = STATE(1685),
    [sym_for_statement] = STATE(1685),
    [sym_c_style_for_statement] = STATE(1685),
    [sym_while_statement] = STATE(1685),
    [sym_if_statement] = STATE(1685),
    [sym_case_statement] = STATE(1685),
    [sym_function_definition] = STATE(1685),
    [sym_compound_statement] = STATE(1685),
    [sym_subshell] = STATE(1685),
    [sym_pipeline] = STATE(1685),
    [sym_list] = STATE(1685),
    [sym_negated_command] = STATE(1685),
    [sym_test_command] = STATE(1685),
    [sym_declaration_command] = STATE(1685),
    [sym_unset_command] = STATE(1685),
    [sym_command] = STATE(1685),
    [sym_command_name] = STATE(236),
    [sym_variable_assignment] = STATE(304),
    [sym_subscript] = STATE(3185),
    [sym_file_redirect] = STATE(885),
    [sym_concatenation] = STATE(887),
    [sym_string] = STATE(392),
    [sym_translated_string] = STATE(392),
    [sym_simple_expansion] = STATE(392),
    [sym_expansion] = STATE(392),
    [sym_command_substitution] = STATE(392),
    [sym_process_substitution] = STATE(392),
    [aux_sym_command_repeat1] = STATE(885),
    [aux_sym__literal_repeat1] = STATE(568),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_until] = ACTIONS(15),
    [anon_sym_if] = ACTIONS(17),
    [anon_sym_case] = ACTIONS(19),
    [anon_sym_function] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(25),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(31),
    [anon_sym_declare] = ACTIONS(33),
    [anon_sym_typeset] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(33),
    [anon_sym_readonly] = ACTIONS(33),
    [anon_sym_local] = ACTIONS(33),
    [anon_sym_unset] = ACTIONS(35),
    [anon_sym_unsetenv] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansi_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(57),
  },
  [154] = {
    [sym_redirected_statement] = STATE(1660),
    [sym_for_statement] = STATE(1660),
    [sym_c_style_for_statement] = STATE(1660),
    [sym_while_statement] = STATE(1660),
    [sym_if_statement] = STATE(1660),
    [sym_case_statement] = STATE(1660),
    [sym_function_definition] = STATE(1660),
    [sym_compound_statement] = STATE(1660),
    [sym_subshell] = STATE(1660),
    [sym_pipeline] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_negated_command] = STATE(1660),
    [sym_test_command] = STATE(1660),
    [sym_declaration_command] = STATE(1660),
    [sym_unset_command] = STATE(1660),
    [sym_command] = STATE(1660),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(512),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [155] = {
    [sym_redirected_statement] = STATE(1667),
    [sym_for_statement] = STATE(1667),
    [sym_c_style_for_statement] = STATE(1667),
    [sym_while_statement] = STATE(1667),
    [sym_if_statement] = STATE(1667),
    [sym_case_statement] = STATE(1667),
    [sym_function_definition] = STATE(1667),
    [sym_compound_statement] = STATE(1667),
    [sym_subshell] = STATE(1667),
    [sym_pipeline] = STATE(1667),
    [sym_list] = STATE(1667),
    [sym_negated_command] = STATE(1667),
    [sym_test_command] = STATE(1667),
    [sym_declaration_command] = STATE(1667),
    [sym_unset_command] = STATE(1667),
    [sym_command] = STATE(1667),
    [sym_command_name] = STATE(245),
    [sym_variable_assignment] = STATE(511),
    [sym_subscript] = STATE(3234),
    [sym_file_redirect] = STATE(760),
    [sym_concatenation] = STATE(879),
    [sym_string] = STATE(449),
    [sym_translated_string] = STATE(449),
    [sym_simple_expansion] = STATE(449),
    [sym_expansion] = STATE(449),
    [sym_command_substitution] = STATE(449),
    [sym_process_substitution] = STATE(449),
    [aux_sym_command_repeat1] = STATE(760),
    [aux_sym__literal_repeat1] = STATE(570),
    [sym_word] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_until] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(333),
    [anon_sym_typeset] = ACTIONS(333),
    [anon_sym_export] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_local] = ACTIONS(333),
    [anon_sym_unset] = ACTIONS(335),
    [anon_sym_unsetenv] = ACTIONS(335),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansi_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(111),
  },
  [156] = {
    [sym_redirected_statement] = STATE(1658),
    [sym_for_statement] = STATE(1658),
    [sym_c_style_for_statement] = STATE(1658),
    [sym_while_statement] = STATE(1658),
    [sym_if_statement] = STATE(1658),
    [sym_case_statement] = STATE(1658),
    [sym_function_definition] = STATE(1658),
    [sym_compound_statement] = STATE(1658),
    [sym_subshell] = STATE(1658),
    [sym_pipeline] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_negated_command] = STATE(1658),
    [sym_test_command] = STATE(1658),
    [sym_declaration_command] = STATE(1658),
    [sym_unset_command] = STATE(1658),
    [sym_command] = STATE(1658),
    [sym_command_name] = STATE(204),
    [sym_variable_assignment] = STATE(292),
    [sym_subscript] = STATE(3241),
    [sym_file_redirect] = STATE(786),
    [sym_concatenation] = STATE(716),
    [sym_string] = STATE(303),
    [sym_translated_string] = STATE(303),
    [sym_simple_expansion] = STATE(303),
    [sym_expansion] = STATE(303),
    [sym_command_substitution] = STATE(303),
    [sym_process_substitution] = STATE(303),
    [aux_sym_command_repeat1] = STATE(786),
    [aux_sym__literal_repeat1] = STATE(490),
    [sym_word] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_select] = ACTIONS(127),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_until] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(209),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(153),
    [anon_sym_declare] = ACTIONS(211),
    [anon_sym_typeset] = ACTIONS(211),
    [anon_sym_export] = ACTIONS(211),
    [anon_sym_readonly] = ACTIONS(211),
    [anon_sym_local] = ACTIONS(211),
    [anon_sym_unset] = ACTIONS(213),
    [anon_sym_unsetenv] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(215),
    [sym__special_character] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(219),
    [sym_raw_string] = ACTIONS(221),
    [sym_ansi_c_string] = ACTIONS(221),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(223),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_LT_LPAREN] = ACTIONS(229),
    [anon_sym_GT_LPAREN] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(231),
  },
  [157] = {
    [sym_redirected_statement] = STATE(1649),
    [sym_for_statement] = STATE(1649),
    [sym_c_style_for_statement] = STATE(1649),
    [sym_while_statement] = STATE(1649),
    [sym_if_statement] = STATE(1649),
    [sym_case_statement] = STATE(1649),
    [sym_function_definition] = STATE(1649),
    [sym_compound_statement] = STATE(1649),
    [sym_subshell] = STATE(1649),
    [sym_pipeline] = STATE(1649),
    [sym_list] = STATE(1649),
    [sym_negated_command] = STATE(1649),
    [sym_test_command] = STATE(1649),
    [sym_declaration_command] = STATE(1649),
    [sym_unset_command] = STATE(1649),
    [sym_command] = STATE(1649),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(274),
    [sym_subscript] = STATE(3250),
    [sym_file_redirect] = STATE(749),
    [sym_concatenation] = STATE(542),
    [sym_string] = STATE(277),
    [sym_translated_string] = STATE(277),
    [sym_simple_expansion] = STATE(277),
    [sym_expansion] = STATE(277),
    [sym_command_substitution] = STATE(277),
    [sym_process_substitution] = STATE(277),
    [aux_sym_command_repeat1] = STATE(749),
    [aux_sym__literal_repeat1] = STATE(311),
    [sym_word] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(125),
    [anon_sym_select] = ACTIONS(127),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_until] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(153),
    [anon_sym_declare] = ACTIONS(155),
    [anon_sym_typeset] = ACTIONS(155),
    [anon_sym_export] = ACTIONS(155),
    [anon_sym_readonly] = ACTIONS(155),
    [anon_sym_local] = ACTIONS(155),
    [anon_sym_unset] = ACTIONS(157),
    [anon_sym_unsetenv] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_GT] = ACTIONS(37),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(37),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [sym__special_character] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(163),
    [sym_raw_string] = ACTIONS(165),
    [sym_ansi_c_string] = ACTIONS(165),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(167),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(169),
    [anon_sym_BQUOTE] = ACTIONS(171),
    [anon_sym_LT_LPAREN] = ACTIONS(173),
    [anon_sym_GT_LPAREN] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(55),
    [sym_variable_name] = ACTIONS(175),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      sym__simple_heredoc_body,
    ACTIONS(449), 1,
      sym__heredoc_body_beginning,
    STATE(2823), 1,
      sym_heredoc_body,
    ACTIONS(451), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(445), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(443), 39,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [64] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      sym__simple_heredoc_body,
    ACTIONS(449), 1,
      sym__heredoc_body_beginning,
    STATE(2818), 1,
      sym_heredoc_body,
    ACTIONS(451), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(453), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(443), 39,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [128] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(460), 1,
      anon_sym_DOLLAR,
    ACTIONS(463), 1,
      sym__special_character,
    ACTIONS(466), 1,
      anon_sym_DQUOTE,
    ACTIONS(469), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(472), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(475), 1,
      anon_sym_BQUOTE,
    ACTIONS(481), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(484), 1,
      sym_file_descriptor,
    ACTIONS(486), 1,
      sym_variable_name,
    STATE(310), 1,
      aux_sym__literal_repeat1,
    STATE(3244), 1,
      sym_subscript,
    ACTIONS(478), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(455), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(160), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(278), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(458), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [211] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      sym__simple_heredoc_body,
    ACTIONS(449), 1,
      sym__heredoc_body_beginning,
    STATE(2863), 1,
      sym_heredoc_body,
    ACTIONS(451), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(453), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(443), 39,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [274] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(493), 1,
      anon_sym_DOLLAR,
    ACTIONS(495), 1,
      sym__special_character,
    ACTIONS(497), 1,
      anon_sym_DQUOTE,
    ACTIONS(499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(503), 1,
      anon_sym_BQUOTE,
    ACTIONS(507), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(509), 1,
      sym_file_descriptor,
    ACTIONS(511), 1,
      sym_variable_name,
    STATE(310), 1,
      aux_sym__literal_repeat1,
    STATE(3244), 1,
      sym_subscript,
    ACTIONS(505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(489), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(163), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(278), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(491), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [357] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(493), 1,
      anon_sym_DOLLAR,
    ACTIONS(495), 1,
      sym__special_character,
    ACTIONS(497), 1,
      anon_sym_DQUOTE,
    ACTIONS(499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(503), 1,
      anon_sym_BQUOTE,
    ACTIONS(511), 1,
      sym_variable_name,
    ACTIONS(515), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(517), 1,
      sym_file_descriptor,
    STATE(310), 1,
      aux_sym__literal_repeat1,
    STATE(3244), 1,
      sym_subscript,
    ACTIONS(505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(489), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(160), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(278), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(513), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [440] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      sym__simple_heredoc_body,
    ACTIONS(521), 1,
      sym__heredoc_body_beginning,
    STATE(2972), 1,
      sym_heredoc_body,
    ACTIONS(523), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(259), 42,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [501] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      sym__simple_heredoc_body,
    ACTIONS(449), 1,
      sym__heredoc_body_beginning,
    STATE(2889), 1,
      sym_heredoc_body,
    ACTIONS(451), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(445), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(443), 39,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [564] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(163), 1,
      anon_sym_DQUOTE,
    ACTIONS(529), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(531), 1,
      sym_file_descriptor,
    STATE(312), 1,
      sym_string,
    ACTIONS(527), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(525), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [626] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(509), 1,
      sym_file_descriptor,
    ACTIONS(535), 1,
      anon_sym_DOLLAR,
    ACTIONS(537), 1,
      sym__special_character,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(541), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(543), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(545), 1,
      anon_sym_BQUOTE,
    ACTIONS(549), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(551), 1,
      sym_variable_name,
    STATE(487), 1,
      aux_sym__literal_repeat1,
    STATE(3237), 1,
      sym_subscript,
    ACTIONS(547), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(533), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(169), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(302), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(491), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [708] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      sym_file_descriptor,
    ACTIONS(556), 1,
      anon_sym_DOLLAR,
    ACTIONS(559), 1,
      sym__special_character,
    ACTIONS(562), 1,
      anon_sym_DQUOTE,
    ACTIONS(565), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(568), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(571), 1,
      anon_sym_BQUOTE,
    ACTIONS(577), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(580), 1,
      sym_variable_name,
    STATE(487), 1,
      aux_sym__literal_repeat1,
    STATE(3237), 1,
      sym_subscript,
    ACTIONS(574), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(553), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(168), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(302), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(458), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [790] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(517), 1,
      sym_file_descriptor,
    ACTIONS(535), 1,
      anon_sym_DOLLAR,
    ACTIONS(537), 1,
      sym__special_character,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(541), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(543), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(545), 1,
      anon_sym_BQUOTE,
    ACTIONS(551), 1,
      sym_variable_name,
    ACTIONS(583), 1,
      aux_sym__simple_variable_name_token1,
    STATE(487), 1,
      aux_sym__literal_repeat1,
    STATE(3237), 1,
      sym_subscript,
    ACTIONS(547), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(533), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(168), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(302), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(513), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [872] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(219), 1,
      anon_sym_DQUOTE,
    ACTIONS(531), 1,
      sym_file_descriptor,
    ACTIONS(587), 1,
      aux_sym__simple_variable_name_token1,
    STATE(395), 1,
      sym_string,
    ACTIONS(585), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(525), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [933] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(600), 1,
      sym__special_character,
    ACTIONS(603), 1,
      anon_sym_DQUOTE,
    ACTIONS(606), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(609), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(612), 1,
      anon_sym_BQUOTE,
    ACTIONS(618), 1,
      sym_file_descriptor,
    STATE(171), 1,
      aux_sym_command_repeat2,
    STATE(308), 1,
      aux_sym__literal_repeat1,
    STATE(524), 1,
      sym_concatenation,
    ACTIONS(594), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(615), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(589), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(284), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(592), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1012] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_RPAREN,
    ACTIONS(519), 1,
      sym__simple_heredoc_body,
    ACTIONS(521), 1,
      sym__heredoc_body_beginning,
    STATE(2917), 1,
      sym_heredoc_body,
    ACTIONS(451), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(443), 39,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [1073] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      sym__simple_heredoc_body,
    ACTIONS(521), 1,
      sym__heredoc_body_beginning,
    STATE(3003), 1,
      sym_heredoc_body,
    ACTIONS(523), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(259), 40,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_done,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [1132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(453), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(443), 39,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [1187] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      sym__simple_heredoc_body,
    ACTIONS(521), 1,
      sym__heredoc_body_beginning,
    STATE(2974), 1,
      sym_heredoc_body,
    ACTIONS(523), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(259), 40,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [1246] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(517), 1,
      sym_file_descriptor,
    ACTIONS(622), 1,
      anon_sym_DOLLAR,
    ACTIONS(624), 1,
      sym__special_character,
    ACTIONS(626), 1,
      anon_sym_DQUOTE,
    ACTIONS(628), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(630), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(632), 1,
      anon_sym_BQUOTE,
    ACTIONS(636), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(638), 1,
      sym_variable_name,
    STATE(571), 1,
      aux_sym__literal_repeat1,
    STATE(3256), 1,
      sym_subscript,
    ACTIONS(634), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(620), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(194), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(463), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(513), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(445), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(443), 39,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [1382] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(640), 1,
      ts_builtin_sym_end,
    ACTIONS(642), 1,
      sym__simple_heredoc_body,
    ACTIONS(644), 1,
      sym__heredoc_body_beginning,
    STATE(2956), 1,
      sym_heredoc_body,
    ACTIONS(451), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(443), 39,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [1443] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(509), 1,
      sym_file_descriptor,
    ACTIONS(622), 1,
      anon_sym_DOLLAR,
    ACTIONS(624), 1,
      sym__special_character,
    ACTIONS(626), 1,
      anon_sym_DQUOTE,
    ACTIONS(628), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(630), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(632), 1,
      anon_sym_BQUOTE,
    ACTIONS(638), 1,
      sym_variable_name,
    ACTIONS(646), 1,
      aux_sym__simple_variable_name_token1,
    STATE(571), 1,
      aux_sym__literal_repeat1,
    STATE(3256), 1,
      sym_subscript,
    ACTIONS(634), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(620), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(176), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(463), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(491), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1524] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(642), 1,
      sym__simple_heredoc_body,
    ACTIONS(644), 1,
      sym__heredoc_body_beginning,
    ACTIONS(648), 1,
      ts_builtin_sym_end,
    STATE(2952), 1,
      sym_heredoc_body,
    ACTIONS(451), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(443), 39,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [1585] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(497), 1,
      anon_sym_DQUOTE,
    ACTIONS(652), 1,
      aux_sym__simple_variable_name_token1,
    STATE(319), 1,
      sym_string,
    ACTIONS(531), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(650), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(525), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1646] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(657), 1,
      anon_sym_DOLLAR,
    ACTIONS(660), 1,
      sym__special_character,
    ACTIONS(663), 1,
      anon_sym_DQUOTE,
    ACTIONS(666), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(669), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(672), 1,
      anon_sym_BQUOTE,
    ACTIONS(678), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(681), 1,
      sym_variable_name,
    STATE(581), 1,
      aux_sym__literal_repeat1,
    STATE(3268), 1,
      sym_subscript,
    ACTIONS(484), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(675), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(654), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(182), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(466), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(458), 19,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1727] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(445), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(443), 39,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [1782] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(159), 1,
      anon_sym_DOLLAR,
    ACTIONS(161), 1,
      sym__special_character,
    ACTIONS(163), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(169), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(171), 1,
      anon_sym_BQUOTE,
    ACTIONS(690), 1,
      sym_file_descriptor,
    STATE(171), 1,
      aux_sym_command_repeat2,
    STATE(308), 1,
      aux_sym__literal_repeat1,
    STATE(524), 1,
      sym_concatenation,
    ACTIONS(173), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(688), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(684), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(284), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(686), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1861] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(159), 1,
      anon_sym_DOLLAR,
    ACTIONS(161), 1,
      sym__special_character,
    ACTIONS(163), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(169), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(171), 1,
      anon_sym_BQUOTE,
    ACTIONS(694), 1,
      sym_file_descriptor,
    STATE(189), 1,
      aux_sym_command_repeat2,
    STATE(308), 1,
      aux_sym__literal_repeat1,
    STATE(524), 1,
      sym_concatenation,
    ACTIONS(173), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(688), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(684), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(284), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(692), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1940] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(445), 1,
      anon_sym_RPAREN,
    ACTIONS(519), 1,
      sym__simple_heredoc_body,
    ACTIONS(521), 1,
      sym__heredoc_body_beginning,
    STATE(2938), 1,
      sym_heredoc_body,
    ACTIONS(451), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(443), 39,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [2001] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      sym__simple_heredoc_body,
    ACTIONS(521), 1,
      sym__heredoc_body_beginning,
    STATE(2981), 1,
      sym_heredoc_body,
    ACTIONS(523), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(259), 40,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [2060] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(698), 1,
      anon_sym_DOLLAR,
    ACTIONS(700), 1,
      sym__special_character,
    ACTIONS(702), 1,
      anon_sym_DQUOTE,
    ACTIONS(704), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(706), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(708), 1,
      anon_sym_BQUOTE,
    ACTIONS(712), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(714), 1,
      sym_variable_name,
    STATE(581), 1,
      aux_sym__literal_repeat1,
    STATE(3268), 1,
      sym_subscript,
    ACTIONS(509), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(710), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(696), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(192), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(466), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(491), 19,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2141] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(159), 1,
      anon_sym_DOLLAR,
    ACTIONS(161), 1,
      sym__special_character,
    ACTIONS(163), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(169), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(171), 1,
      anon_sym_BQUOTE,
    ACTIONS(718), 1,
      sym_file_descriptor,
    STATE(171), 1,
      aux_sym_command_repeat2,
    STATE(308), 1,
      aux_sym__literal_repeat1,
    STATE(524), 1,
      sym_concatenation,
    ACTIONS(173), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(688), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(684), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(284), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(716), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2220] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(724), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(722), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(720), 39,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [2275] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(159), 1,
      anon_sym_DOLLAR,
    ACTIONS(161), 1,
      sym__special_character,
    ACTIONS(163), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(169), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(171), 1,
      anon_sym_BQUOTE,
    ACTIONS(728), 1,
      sym_file_descriptor,
    STATE(184), 1,
      aux_sym_command_repeat2,
    STATE(308), 1,
      aux_sym__literal_repeat1,
    STATE(524), 1,
      sym_concatenation,
    ACTIONS(173), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(688), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(684), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(284), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(726), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2354] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(698), 1,
      anon_sym_DOLLAR,
    ACTIONS(700), 1,
      sym__special_character,
    ACTIONS(702), 1,
      anon_sym_DQUOTE,
    ACTIONS(704), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(706), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(708), 1,
      anon_sym_BQUOTE,
    ACTIONS(714), 1,
      sym_variable_name,
    ACTIONS(730), 1,
      aux_sym__simple_variable_name_token1,
    STATE(581), 1,
      aux_sym__literal_repeat1,
    STATE(3268), 1,
      sym_subscript,
    ACTIONS(517), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(710), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(696), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(182), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(466), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(513), 19,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(724), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(732), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(720), 39,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [2490] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      sym_file_descriptor,
    ACTIONS(737), 1,
      anon_sym_DOLLAR,
    ACTIONS(740), 1,
      sym__special_character,
    ACTIONS(743), 1,
      anon_sym_DQUOTE,
    ACTIONS(746), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(749), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(752), 1,
      anon_sym_BQUOTE,
    ACTIONS(758), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(761), 1,
      sym_variable_name,
    STATE(571), 1,
      aux_sym__literal_repeat1,
    STATE(3256), 1,
      sym_subscript,
    ACTIONS(755), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(734), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(194), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(463), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(458), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2571] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 1,
      anon_sym_DQUOTE,
    ACTIONS(768), 1,
      aux_sym__simple_variable_name_token1,
    STATE(461), 1,
      sym_string,
    ACTIONS(531), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(764), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(525), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(453), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(443), 39,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [2687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(724), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(732), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(720), 39,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [2742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(724), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(722), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(720), 39,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [2797] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_BQUOTE,
    ACTIONS(519), 1,
      sym__simple_heredoc_body,
    ACTIONS(521), 1,
      sym__heredoc_body_beginning,
    STATE(2949), 1,
      sym_heredoc_body,
    ACTIONS(451), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(443), 38,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [2857] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(531), 1,
      sym_file_descriptor,
    ACTIONS(772), 1,
      aux_sym__simple_variable_name_token1,
    STATE(544), 1,
      sym_string,
    ACTIONS(770), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(525), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2917] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_DOLLAR,
    ACTIONS(217), 1,
      sym__special_character,
    ACTIONS(219), 1,
      anon_sym_DQUOTE,
    ACTIONS(223), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(225), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(227), 1,
      anon_sym_BQUOTE,
    ACTIONS(728), 1,
      sym_file_descriptor,
    STATE(202), 1,
      aux_sym_command_repeat2,
    STATE(479), 1,
      aux_sym__literal_repeat1,
    STATE(672), 1,
      sym_concatenation,
    ACTIONS(229), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(776), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(774), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(301), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(726), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2995] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_DOLLAR,
    ACTIONS(217), 1,
      sym__special_character,
    ACTIONS(219), 1,
      anon_sym_DQUOTE,
    ACTIONS(223), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(225), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(227), 1,
      anon_sym_BQUOTE,
    ACTIONS(690), 1,
      sym_file_descriptor,
    STATE(212), 1,
      aux_sym_command_repeat2,
    STATE(479), 1,
      aux_sym__literal_repeat1,
    STATE(672), 1,
      sym_concatenation,
    ACTIONS(229), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(776), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(774), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(301), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(686), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3073] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(445), 1,
      anon_sym_BQUOTE,
    ACTIONS(519), 1,
      sym__simple_heredoc_body,
    ACTIONS(521), 1,
      sym__heredoc_body_beginning,
    STATE(2950), 1,
      sym_heredoc_body,
    ACTIONS(451), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(443), 38,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [3133] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_DOLLAR,
    ACTIONS(217), 1,
      sym__special_character,
    ACTIONS(219), 1,
      anon_sym_DQUOTE,
    ACTIONS(223), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(225), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(227), 1,
      anon_sym_BQUOTE,
    ACTIONS(694), 1,
      sym_file_descriptor,
    STATE(217), 1,
      aux_sym_command_repeat2,
    STATE(479), 1,
      aux_sym__literal_repeat1,
    STATE(672), 1,
      sym_concatenation,
    ACTIONS(229), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(776), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(774), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(301), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(692), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3211] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(509), 1,
      sym_file_descriptor,
    ACTIONS(622), 1,
      anon_sym_DOLLAR,
    ACTIONS(624), 1,
      sym__special_character,
    ACTIONS(626), 1,
      anon_sym_DQUOTE,
    ACTIONS(628), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(630), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(638), 1,
      sym_variable_name,
    ACTIONS(778), 1,
      aux_sym__simple_variable_name_token1,
    STATE(571), 1,
      aux_sym__literal_repeat1,
    STATE(3256), 1,
      sym_subscript,
    ACTIONS(634), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(620), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(213), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(463), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(491), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [3289] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(782), 1,
      aux_sym__simple_variable_name_token1,
    STATE(602), 1,
      sym_string,
    ACTIONS(531), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(780), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(525), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3349] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(789), 1,
      anon_sym_DOLLAR,
    ACTIONS(792), 1,
      sym__special_character,
    ACTIONS(795), 1,
      anon_sym_DQUOTE,
    ACTIONS(798), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(801), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(804), 1,
      anon_sym_BQUOTE,
    ACTIONS(810), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(813), 1,
      sym_file_descriptor,
    STATE(543), 1,
      aux_sym__literal_repeat1,
    ACTIONS(807), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(207), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(784), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(309), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(787), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(817), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(815), 42,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [3477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(259), 42,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [3529] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(821), 1,
      aux_sym__simple_variable_name_token1,
    STATE(448), 1,
      sym_string,
    ACTIONS(531), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(819), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(525), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3589] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(827), 1,
      anon_sym_DOLLAR,
    ACTIONS(829), 1,
      sym__special_character,
    ACTIONS(831), 1,
      anon_sym_DQUOTE,
    ACTIONS(833), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(835), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(837), 1,
      anon_sym_BQUOTE,
    ACTIONS(841), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(843), 1,
      sym_file_descriptor,
    STATE(543), 1,
      aux_sym__literal_repeat1,
    ACTIONS(839), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(218), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(823), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(309), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(825), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3665] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(618), 1,
      sym_file_descriptor,
    ACTIONS(851), 1,
      anon_sym_DOLLAR,
    ACTIONS(854), 1,
      sym__special_character,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(860), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(863), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(866), 1,
      anon_sym_BQUOTE,
    STATE(212), 1,
      aux_sym_command_repeat2,
    STATE(479), 1,
      aux_sym__literal_repeat1,
    STATE(672), 1,
      sym_concatenation,
    ACTIONS(848), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(869), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(845), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(301), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(592), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3743] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(517), 1,
      sym_file_descriptor,
    ACTIONS(622), 1,
      anon_sym_DOLLAR,
    ACTIONS(624), 1,
      sym__special_character,
    ACTIONS(626), 1,
      anon_sym_DQUOTE,
    ACTIONS(628), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(630), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(636), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(638), 1,
      sym_variable_name,
    STATE(571), 1,
      aux_sym__literal_repeat1,
    STATE(3256), 1,
      sym_subscript,
    ACTIONS(634), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(620), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(194), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(463), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(513), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [3821] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      sym__simple_heredoc_body,
    ACTIONS(521), 1,
      sym__heredoc_body_beginning,
    STATE(2998), 1,
      sym_heredoc_body,
    ACTIONS(451), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(443), 39,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [3879] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_DQUOTE,
    ACTIONS(876), 1,
      aux_sym__simple_variable_name_token1,
    STATE(630), 1,
      sym_string,
    ACTIONS(531), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(872), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(525), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3939] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      sym_file_descriptor,
    ACTIONS(831), 1,
      anon_sym_DQUOTE,
    ACTIONS(880), 1,
      aux_sym__simple_variable_name_token1,
    STATE(517), 1,
      sym_string,
    ACTIONS(878), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(525), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3999] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_DOLLAR,
    ACTIONS(217), 1,
      sym__special_character,
    ACTIONS(219), 1,
      anon_sym_DQUOTE,
    ACTIONS(223), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(225), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(227), 1,
      anon_sym_BQUOTE,
    ACTIONS(718), 1,
      sym_file_descriptor,
    STATE(212), 1,
      aux_sym_command_repeat2,
    STATE(479), 1,
      aux_sym__literal_repeat1,
    STATE(672), 1,
      sym_concatenation,
    ACTIONS(229), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(776), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(774), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(301), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(716), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4077] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(827), 1,
      anon_sym_DOLLAR,
    ACTIONS(829), 1,
      sym__special_character,
    ACTIONS(831), 1,
      anon_sym_DQUOTE,
    ACTIONS(833), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(835), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(837), 1,
      anon_sym_BQUOTE,
    ACTIONS(884), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(886), 1,
      sym_file_descriptor,
    STATE(543), 1,
      aux_sym__literal_repeat1,
    ACTIONS(839), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(207), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(823), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(309), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(882), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4153] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(894), 1,
      anon_sym_DOLLAR,
    ACTIONS(897), 1,
      sym__special_character,
    ACTIONS(900), 1,
      anon_sym_DQUOTE,
    ACTIONS(903), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(906), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(909), 1,
      anon_sym_BQUOTE,
    STATE(219), 1,
      aux_sym_command_repeat2,
    STATE(617), 1,
      aux_sym__literal_repeat1,
    STATE(832), 1,
      sym_concatenation,
    ACTIONS(618), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(891), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(912), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(888), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(475), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(592), 19,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4230] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(690), 1,
      sym_file_descriptor,
    STATE(228), 1,
      aux_sym_command_repeat2,
    STATE(708), 1,
      aux_sym__literal_repeat1,
    STATE(804), 1,
      sym_concatenation,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(917), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(915), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(484), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(686), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4307] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(728), 1,
      sym_file_descriptor,
    STATE(220), 1,
      aux_sym_command_repeat2,
    STATE(708), 1,
      aux_sym__literal_repeat1,
    STATE(804), 1,
      sym_concatenation,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(917), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(915), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(484), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(726), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4384] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      sym_file_descriptor,
    ACTIONS(921), 1,
      anon_sym_DQUOTE,
    ACTIONS(923), 1,
      aux_sym__simple_variable_name_token1,
    STATE(612), 1,
      sym_string,
    ACTIONS(919), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(525), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [4443] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(927), 1,
      anon_sym_DQUOTE,
    ACTIONS(929), 1,
      aux_sym__simple_variable_name_token1,
    STATE(766), 1,
      sym_string,
    ACTIONS(531), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(925), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(525), 28,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [4502] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(702), 1,
      anon_sym_DQUOTE,
    ACTIONS(933), 1,
      aux_sym__simple_variable_name_token1,
    STATE(558), 1,
      sym_string,
    ACTIONS(531), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(931), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(525), 28,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [4561] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(886), 1,
      sym_file_descriptor,
    ACTIONS(921), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_DOLLAR,
    ACTIONS(939), 1,
      sym__special_character,
    ACTIONS(941), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(943), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(945), 1,
      anon_sym_BQUOTE,
    ACTIONS(949), 1,
      aux_sym__simple_variable_name_token1,
    STATE(702), 1,
      aux_sym__literal_repeat1,
    ACTIONS(947), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(231), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(935), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(486), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(882), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4636] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(626), 1,
      anon_sym_DQUOTE,
    ACTIONS(953), 1,
      aux_sym__simple_variable_name_token1,
    STATE(699), 1,
      sym_string,
    ACTIONS(531), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(951), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(525), 29,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [4695] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    STATE(234), 1,
      aux_sym_command_repeat2,
    STATE(617), 1,
      aux_sym__literal_repeat1,
    STATE(832), 1,
      sym_concatenation,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(728), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(957), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(955), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(475), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(726), 19,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4772] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(618), 1,
      sym_file_descriptor,
    ACTIONS(965), 1,
      anon_sym_DOLLAR,
    ACTIONS(968), 1,
      sym__special_character,
    ACTIONS(971), 1,
      anon_sym_DQUOTE,
    ACTIONS(974), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(977), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(980), 1,
      anon_sym_BQUOTE,
    STATE(228), 1,
      aux_sym_command_repeat2,
    STATE(708), 1,
      aux_sym__literal_repeat1,
    STATE(804), 1,
      sym_concatenation,
    ACTIONS(962), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(983), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(959), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(484), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(592), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4849] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(718), 1,
      sym_file_descriptor,
    STATE(228), 1,
      aux_sym_command_repeat2,
    STATE(708), 1,
      aux_sym__literal_repeat1,
    STATE(804), 1,
      sym_concatenation,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(917), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(915), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(484), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(716), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4926] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(843), 1,
      sym_file_descriptor,
    ACTIONS(921), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_DOLLAR,
    ACTIONS(939), 1,
      sym__special_character,
    ACTIONS(941), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(943), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(945), 1,
      anon_sym_BQUOTE,
    ACTIONS(986), 1,
      aux_sym__simple_variable_name_token1,
    STATE(702), 1,
      aux_sym__literal_repeat1,
    ACTIONS(947), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(225), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(935), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(486), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(825), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [5001] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(813), 1,
      sym_file_descriptor,
    ACTIONS(991), 1,
      anon_sym_DOLLAR,
    ACTIONS(994), 1,
      sym__special_character,
    ACTIONS(997), 1,
      anon_sym_DQUOTE,
    ACTIONS(1000), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1003), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1006), 1,
      anon_sym_BQUOTE,
    ACTIONS(1012), 1,
      aux_sym__simple_variable_name_token1,
    STATE(702), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1009), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(231), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(988), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(486), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(787), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [5076] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(694), 1,
      sym_file_descriptor,
    STATE(229), 1,
      aux_sym_command_repeat2,
    STATE(708), 1,
      aux_sym__literal_repeat1,
    STATE(804), 1,
      sym_concatenation,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(917), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(915), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(484), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(692), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [5153] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    STATE(219), 1,
      aux_sym_command_repeat2,
    STATE(617), 1,
      aux_sym__literal_repeat1,
    STATE(832), 1,
      sym_concatenation,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(718), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(957), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(955), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(475), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(716), 19,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [5230] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    STATE(219), 1,
      aux_sym_command_repeat2,
    STATE(617), 1,
      aux_sym__literal_repeat1,
    STATE(832), 1,
      sym_concatenation,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(690), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(957), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(955), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(475), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(686), 19,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [5307] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1019), 1,
      aux_sym__simple_variable_name_token1,
    STATE(866), 1,
      sym_string,
    ACTIONS(531), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1015), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(525), 29,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [5366] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    STATE(233), 1,
      aux_sym_command_repeat2,
    STATE(617), 1,
      aux_sym__literal_repeat1,
    STATE(832), 1,
      sym_concatenation,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(694), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(957), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(955), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(475), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(692), 19,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [5443] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(690), 1,
      sym_file_descriptor,
    STATE(228), 1,
      aux_sym_command_repeat2,
    STATE(708), 1,
      aux_sym__literal_repeat1,
    STATE(804), 1,
      sym_concatenation,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(917), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(915), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(484), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(686), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [5517] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      sym_file_descriptor,
    ACTIONS(1023), 1,
      anon_sym_DQUOTE,
    ACTIONS(1025), 1,
      aux_sym__simple_variable_name_token1,
    STATE(811), 1,
      sym_string,
    ACTIONS(1021), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(525), 29,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [5575] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1029), 1,
      anon_sym_DOLLAR,
    ACTIONS(1031), 1,
      sym__special_character,
    ACTIONS(1033), 1,
      anon_sym_DQUOTE,
    ACTIONS(1035), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1039), 1,
      anon_sym_BQUOTE,
    ACTIONS(1043), 1,
      aux_sym__simple_variable_name_token1,
    STATE(863), 1,
      aux_sym__literal_repeat1,
    ACTIONS(843), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1041), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(250), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1027), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(587), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(825), 19,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [5649] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(843), 1,
      sym_file_descriptor,
    ACTIONS(1023), 1,
      anon_sym_DQUOTE,
    ACTIONS(1047), 1,
      anon_sym_DOLLAR,
    ACTIONS(1049), 1,
      sym__special_character,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1053), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1055), 1,
      anon_sym_BQUOTE,
    ACTIONS(1059), 1,
      aux_sym__simple_variable_name_token1,
    STATE(872), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1057), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(247), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1045), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(572), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(825), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [5723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(640), 1,
      ts_builtin_sym_end,
    ACTIONS(451), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(443), 39,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [5775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(817), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(815), 40,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_done,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [5825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(259), 40,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [5875] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      ts_builtin_sym_end,
    ACTIONS(724), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(720), 39,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [5927] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(694), 1,
      sym_file_descriptor,
    STATE(257), 1,
      aux_sym_command_repeat2,
    STATE(708), 1,
      aux_sym__literal_repeat1,
    STATE(804), 1,
      sym_concatenation,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(917), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(915), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(484), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(692), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [6001] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(813), 1,
      sym_file_descriptor,
    ACTIONS(1066), 1,
      anon_sym_DOLLAR,
    ACTIONS(1069), 1,
      sym__special_character,
    ACTIONS(1072), 1,
      anon_sym_DQUOTE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1078), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1081), 1,
      anon_sym_BQUOTE,
    ACTIONS(1087), 1,
      aux_sym__simple_variable_name_token1,
    STATE(872), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1084), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(246), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1063), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(572), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(787), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6075] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(886), 1,
      sym_file_descriptor,
    ACTIONS(1023), 1,
      anon_sym_DQUOTE,
    ACTIONS(1047), 1,
      anon_sym_DOLLAR,
    ACTIONS(1049), 1,
      sym__special_character,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1053), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1055), 1,
      anon_sym_BQUOTE,
    ACTIONS(1090), 1,
      aux_sym__simple_variable_name_token1,
    STATE(872), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1057), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(246), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1045), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(572), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(882), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(259), 40,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_done,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6199] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1033), 1,
      anon_sym_DQUOTE,
    ACTIONS(1094), 1,
      aux_sym__simple_variable_name_token1,
    STATE(839), 1,
      sym_string,
    ACTIONS(531), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1092), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(525), 28,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [6257] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1029), 1,
      anon_sym_DOLLAR,
    ACTIONS(1031), 1,
      sym__special_character,
    ACTIONS(1033), 1,
      anon_sym_DQUOTE,
    ACTIONS(1035), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1039), 1,
      anon_sym_BQUOTE,
    ACTIONS(1096), 1,
      aux_sym__simple_variable_name_token1,
    STATE(863), 1,
      aux_sym__literal_repeat1,
    ACTIONS(886), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1041), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(251), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1027), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(587), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(882), 19,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6331] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR,
    ACTIONS(1104), 1,
      sym__special_character,
    ACTIONS(1107), 1,
      anon_sym_DQUOTE,
    ACTIONS(1110), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1116), 1,
      anon_sym_BQUOTE,
    ACTIONS(1122), 1,
      aux_sym__simple_variable_name_token1,
    STATE(863), 1,
      aux_sym__literal_repeat1,
    ACTIONS(813), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1119), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(251), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1098), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(587), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(787), 19,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(259), 40,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(817), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(815), 40,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      ts_builtin_sym_end,
    ACTIONS(724), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(720), 39,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(817), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(815), 40,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(648), 1,
      ts_builtin_sym_end,
    ACTIONS(451), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(443), 39,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6659] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(718), 1,
      sym_file_descriptor,
    STATE(228), 1,
      aux_sym_command_repeat2,
    STATE(708), 1,
      aux_sym__literal_repeat1,
    STATE(804), 1,
      sym_concatenation,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(917), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(915), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(484), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(716), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [6733] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(728), 1,
      sym_file_descriptor,
    STATE(237), 1,
      aux_sym_command_repeat2,
    STATE(708), 1,
      aux_sym__literal_repeat1,
    STATE(804), 1,
      sym_concatenation,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(917), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(915), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(484), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(726), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [6807] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_BQUOTE,
    ACTIONS(451), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(443), 38,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6858] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_LBRACK,
    ACTIONS(31), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_file_descriptor,
    ACTIONS(1127), 1,
      sym_word,
    ACTIONS(1129), 1,
      sym_variable_name,
    STATE(236), 1,
      sym_command_name,
    STATE(568), 1,
      aux_sym__literal_repeat1,
    STATE(887), 1,
      sym_concatenation,
    STATE(3282), 1,
      sym_subscript,
    ACTIONS(45), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(885), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(2140), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    STATE(392), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(37), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [6949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(724), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(720), 39,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6998] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      sym_file_descriptor,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(1129), 1,
      sym_variable_name,
    ACTIONS(1131), 1,
      sym_word,
    STATE(232), 1,
      sym_command_name,
    STATE(570), 1,
      aux_sym__literal_repeat1,
    STATE(879), 1,
      sym_concatenation,
    STATE(3282), 1,
      sym_subscript,
    ACTIONS(101), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(883), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1950), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    STATE(449), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(37), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [7089] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      sym_file_descriptor,
    ACTIONS(129), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(145), 1,
      anon_sym_LPAREN,
    ACTIONS(151), 1,
      anon_sym_LBRACK,
    ACTIONS(153), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(215), 1,
      anon_sym_DOLLAR,
    ACTIONS(217), 1,
      sym__special_character,
    ACTIONS(219), 1,
      anon_sym_DQUOTE,
    ACTIONS(223), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(225), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(227), 1,
      anon_sym_BQUOTE,
    ACTIONS(1129), 1,
      sym_variable_name,
    ACTIONS(1133), 1,
      sym_word,
    STATE(204), 1,
      sym_command_name,
    STATE(490), 1,
      aux_sym__literal_repeat1,
    STATE(716), 1,
      sym_concatenation,
    STATE(3282), 1,
      sym_subscript,
    ACTIONS(221), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(229), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(786), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1838), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    STATE(303), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(37), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [7180] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(722), 1,
      anon_sym_BQUOTE,
    ACTIONS(724), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(720), 38,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7231] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(445), 1,
      anon_sym_BQUOTE,
    ACTIONS(451), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(443), 38,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7282] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      sym_file_descriptor,
    ACTIONS(129), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(145), 1,
      anon_sym_LPAREN,
    ACTIONS(151), 1,
      anon_sym_LBRACK,
    ACTIONS(153), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(159), 1,
      anon_sym_DOLLAR,
    ACTIONS(161), 1,
      sym__special_character,
    ACTIONS(163), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(169), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(171), 1,
      anon_sym_BQUOTE,
    ACTIONS(1129), 1,
      sym_variable_name,
    ACTIONS(1135), 1,
      sym_word,
    STATE(185), 1,
      sym_command_name,
    STATE(311), 1,
      aux_sym__literal_repeat1,
    STATE(542), 1,
      sym_concatenation,
    STATE(3282), 1,
      sym_subscript,
    ACTIONS(165), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(173), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(749), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1838), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    STATE(277), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(37), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [7373] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(732), 1,
      anon_sym_BQUOTE,
    ACTIONS(724), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(720), 38,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7424] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      sym_file_descriptor,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(1129), 1,
      sym_variable_name,
    ACTIONS(1131), 1,
      sym_word,
    STATE(245), 1,
      sym_command_name,
    STATE(570), 1,
      aux_sym__literal_repeat1,
    STATE(879), 1,
      sym_concatenation,
    STATE(3282), 1,
      sym_subscript,
    ACTIONS(101), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(760), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1950), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    STATE(449), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(37), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [7515] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(886), 1,
      sym_file_descriptor,
    ACTIONS(1023), 1,
      anon_sym_DQUOTE,
    ACTIONS(1047), 1,
      anon_sym_DOLLAR,
    ACTIONS(1049), 1,
      sym__special_character,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1053), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1090), 1,
      aux_sym__simple_variable_name_token1,
    STATE(872), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1057), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(246), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1045), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(572), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(882), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [7586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(443), 39,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LPAREN_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7635] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(843), 1,
      sym_file_descriptor,
    ACTIONS(1023), 1,
      anon_sym_DQUOTE,
    ACTIONS(1047), 1,
      anon_sym_DOLLAR,
    ACTIONS(1049), 1,
      sym__special_character,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1053), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1137), 1,
      aux_sym__simple_variable_name_token1,
    STATE(872), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1057), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(269), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(1045), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(572), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(825), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [7706] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 1,
      anon_sym_LPAREN,
    ACTIONS(1143), 1,
      sym_file_descriptor,
    ACTIONS(1145), 1,
      sym__concat,
    STATE(279), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1139), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7759] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 1,
      sym_file_descriptor,
    ACTIONS(1153), 1,
      sym_variable_name,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1147), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1149), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [7812] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1157), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1155), 12,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(1147), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7865] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LF,
    ACTIONS(1167), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1153), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1157), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1161), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1163), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1165), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(453), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1147), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7928] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1169), 1,
      anon_sym_LF,
    ACTIONS(1153), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1157), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1163), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1165), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1171), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1173), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1147), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7991] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      sym_file_descriptor,
    ACTIONS(1145), 1,
      sym__concat,
    STATE(279), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1139), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8041] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 1,
      sym__concat,
    STATE(287), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1177), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1175), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8091] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      sym_file_descriptor,
    ACTIONS(1185), 1,
      sym__concat,
    STATE(280), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1181), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8141] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      sym_file_descriptor,
    ACTIONS(1191), 1,
      sym__concat,
    STATE(280), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1187), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8191] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1194), 1,
      sym__concat,
    STATE(281), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1189), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1187), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8241] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      anon_sym_LF,
    ACTIONS(1205), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1153), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1165), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1199), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1201), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1203), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(453), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1657), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1147), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8303] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 1,
      sym__concat,
    STATE(287), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1209), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1207), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8353] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 1,
      sym__concat,
    ACTIONS(1213), 1,
      sym_file_descriptor,
    STATE(279), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1211), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8403] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 1,
      anon_sym_LPAREN,
    ACTIONS(1143), 1,
      sym_file_descriptor,
    ACTIONS(1215), 1,
      sym__concat,
    STATE(375), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1139), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8455] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 1,
      sym__concat,
    ACTIONS(1219), 1,
      sym_file_descriptor,
    STATE(279), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1217), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8505] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      sym__concat,
    STATE(281), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1183), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1181), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8555] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1223), 1,
      anon_sym_LF,
    ACTIONS(1153), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1165), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1201), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1203), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1225), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1173), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1657), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1147), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8617] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 1,
      sym__concat,
    ACTIONS(1209), 1,
      sym_file_descriptor,
    STATE(279), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1207), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8667] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 1,
      sym__concat,
    STATE(287), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1227), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8717] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 1,
      sym_file_descriptor,
    ACTIONS(1153), 1,
      sym_variable_name,
    STATE(1657), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1147), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1149), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [8769] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1201), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1657), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1155), 11,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(1147), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8821] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 1,
      anon_sym_RPAREN,
    ACTIONS(1231), 1,
      anon_sym_LF,
    ACTIONS(1239), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1153), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1233), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1235), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1237), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1225), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1147), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1241), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8927] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      sym__concat,
    STATE(468), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1143), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1139), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8978] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__concat,
    STATE(354), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1227), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9027] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 1,
      ts_builtin_sym_end,
    ACTIONS(1253), 1,
      anon_sym_LF,
    ACTIONS(1263), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1153), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1257), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1259), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1261), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1255), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1663), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1147), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [9088] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 1,
      sym__concat,
    ACTIONS(1219), 1,
      sym_file_descriptor,
    STATE(375), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1217), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9137] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(640), 1,
      ts_builtin_sym_end,
    ACTIONS(1263), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1265), 1,
      anon_sym_LF,
    ACTIONS(1153), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1257), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1259), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1261), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1267), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1663), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1147), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [9198] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 1,
      sym__special_character,
    STATE(358), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1273), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1269), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 1,
      sym_file_descriptor,
    ACTIONS(1215), 1,
      sym__concat,
    STATE(375), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1211), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9296] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1275), 1,
      sym__concat,
    STATE(359), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1177), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1175), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9345] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      sym_file_descriptor,
    ACTIONS(1215), 1,
      sym__concat,
    STATE(375), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1139), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9394] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 1,
      sym_variable_name,
    ACTIONS(1151), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    STATE(1663), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1147), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1149), 19,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [9445] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 1,
      ts_builtin_sym_end,
    ACTIONS(1153), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1257), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1663), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1155), 9,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(1147), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [9498] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1275), 1,
      sym__concat,
    STATE(359), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1227), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9547] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1281), 1,
      sym__special_character,
    ACTIONS(1283), 1,
      sym_file_descriptor,
    STATE(331), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1279), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9596] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1281), 1,
      sym__special_character,
    ACTIONS(1287), 1,
      sym_file_descriptor,
    STATE(331), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1285), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9645] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1291), 1,
      sym_file_descriptor,
    ACTIONS(1293), 1,
      sym__concat,
    STATE(329), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1289), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9694] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 1,
      sym__special_character,
    STATE(358), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1297), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1295), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9743] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1281), 1,
      sym__special_character,
    ACTIONS(1301), 1,
      sym_file_descriptor,
    STATE(331), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1299), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1303), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1307), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1187), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1311), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9972] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1275), 1,
      sym__concat,
    STATE(359), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1209), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1207), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1315), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1319), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1303), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1307), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10201] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1233), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1155), 10,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(1147), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [10252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1187), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10297] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 1,
      sym_file_descriptor,
    ACTIONS(1153), 1,
      sym_variable_name,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1147), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1149), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [10348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1311), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1315), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1319), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1323), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1327), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10573] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      sym_file_descriptor,
    ACTIONS(1331), 1,
      sym__concat,
    STATE(332), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1181), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1333), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10667] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 1,
      sym__special_character,
    ACTIONS(1342), 1,
      sym_file_descriptor,
    STATE(331), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1337), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      sym_file_descriptor,
    ACTIONS(1344), 1,
      sym__concat,
    STATE(332), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1187), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1347), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1351), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1355), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1355), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1359), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1363), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1367), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11080] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_RPAREN,
    ACTIONS(1239), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1371), 1,
      anon_sym_LF,
    ACTIONS(1153), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1233), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1235), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1237), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1199), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1147), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [11141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1373), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1377), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1381), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1385), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1389), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1393), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1397), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1241), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1401), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1405), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11591] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      sym_file_descriptor,
    ACTIONS(1215), 1,
      sym__concat,
    STATE(375), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1207), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1323), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1327), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11730] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      sym__concat,
    STATE(360), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1183), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1181), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1333), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      sym__concat,
    STATE(356), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1189), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1187), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11873] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      sym_file_descriptor,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1416), 1,
      sym__concat,
    STATE(529), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1139), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11924] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 1,
      sym__special_character,
    STATE(358), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1342), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1337), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11973] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 1,
      sym__concat,
    STATE(356), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1183), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1181), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      sym__concat,
    STATE(360), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1189), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1187), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1347), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1351), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1355), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1355), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1359), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1363), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1367), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1373), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1377), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1381), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1385), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1389), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1393), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1397), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12701] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      sym_file_descriptor,
    ACTIONS(1426), 1,
      sym__concat,
    STATE(376), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1181), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12750] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      sym_file_descriptor,
    ACTIONS(1428), 1,
      sym__concat,
    STATE(376), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1187), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12799] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      sym_file_descriptor,
    ACTIONS(1293), 1,
      sym__concat,
    STATE(329), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1207), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1405), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1401), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12938] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__concat,
    STATE(354), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1209), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1207), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12987] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 1,
      sym__special_character,
    STATE(493), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1273), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1269), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1323), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1355), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1355), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13167] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 1,
      sym__concat,
    STATE(510), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1227), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13215] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      sym__concat,
    STATE(468), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1209), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1207), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1351), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1347), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1311), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1187), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13439] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 1,
      sym__special_character,
    STATE(391), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1342), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1337), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13487] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      sym__concat,
    STATE(468), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1143), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1139), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1333), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1307), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1303), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1327), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1323), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1405), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1401), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1241), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1397), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1393), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1389), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1385), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14063] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1438), 1,
      sym__concat,
    STATE(456), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1183), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1181), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1381), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1377), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1363), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1373), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1367), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1363), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1359), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1367), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1355), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1355), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1351), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1347), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14639] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      sym_file_descriptor,
    ACTIONS(1440), 1,
      sym__special_character,
    STATE(418), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1337), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1355), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1333), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1327), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1323), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14863] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 1,
      sym__special_character,
    STATE(391), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1273), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1269), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1319), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1359), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1373), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1377), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1363), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1367), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1381), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1373), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1377), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1381), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1385), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1389), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1319), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1385), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1315), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1393), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1397), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1241), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1401), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1311), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1405), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1187), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1389), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1393), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1303), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16011] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      sym_file_descriptor,
    ACTIONS(1416), 1,
      sym__concat,
    STATE(529), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1139), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1307), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1207), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1397), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1241), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1355), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1401), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16323] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1445), 1,
      sym__concat,
    STATE(456), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1189), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1187), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16371] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1153), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1233), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1235), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1237), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1448), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1147), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [16427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1187), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1307), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1311), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1303), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1315), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16647] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 1,
      sym__concat,
    STATE(510), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1177), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1175), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1405), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16739] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1450), 1,
      anon_sym_LF,
    ACTIONS(1153), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1233), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1235), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1237), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1452), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1147), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [16797] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      sym__concat,
    STATE(405), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1177), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1175), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16845] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      sym_file_descriptor,
    ACTIONS(1456), 1,
      sym__concat,
    STATE(483), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1207), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16893] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1458), 1,
      sym__concat,
    STATE(481), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1183), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1181), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16941] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 1,
      sym_file_descriptor,
    ACTIONS(1460), 1,
      sym__special_character,
    STATE(492), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1279), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1351), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1319), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1323), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17121] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      sym__concat,
    STATE(405), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1209), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1207), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1327), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17213] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      sym__concat,
    STATE(468), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1213), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1211), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1347), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1227), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17349] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      sym__concat,
    STATE(405), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1227), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17397] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 1,
      sym_file_descriptor,
    ACTIONS(1460), 1,
      sym__special_character,
    STATE(492), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1285), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17445] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 1,
      sym__concat,
    STATE(480), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1189), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1187), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17493] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 1,
      sym__concat,
    STATE(481), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1189), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1187), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1468), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17585] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      sym_file_descriptor,
    ACTIONS(1472), 1,
      sym__concat,
    STATE(500), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1181), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17633] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 1,
      sym_file_descriptor,
    ACTIONS(1416), 1,
      sym__concat,
    STATE(529), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1211), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1474), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17725] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1291), 1,
      sym_file_descriptor,
    ACTIONS(1456), 1,
      sym__concat,
    STATE(483), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1289), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17773] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 1,
      sym__special_character,
    STATE(493), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1297), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1295), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17821] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1478), 1,
      anon_sym_LF,
    ACTIONS(1153), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1233), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1235), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1237), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1480), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1147), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [17879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1333), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17923] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      sym_file_descriptor,
    ACTIONS(1460), 1,
      sym__special_character,
    STATE(492), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1299), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17971] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1482), 1,
      anon_sym_LF,
    ACTIONS(1153), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1233), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1235), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1237), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1484), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1147), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [18029] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      sym_file_descriptor,
    ACTIONS(1486), 1,
      sym__special_character,
    STATE(492), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1337), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18077] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1489), 1,
      sym__special_character,
    STATE(493), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1342), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1337), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1319), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 1,
      sym__concat,
    STATE(538), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1227), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1359), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18261] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      sym__concat,
    STATE(468), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1219), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1217), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18309] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1494), 1,
      anon_sym_LF,
    ACTIONS(1153), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1233), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1235), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1237), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1496), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1147), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [18367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1315), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      sym_file_descriptor,
    ACTIONS(1498), 1,
      sym__concat,
    STATE(500), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1187), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18459] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1501), 1,
      anon_sym_LF,
    ACTIONS(1153), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1233), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1235), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1237), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1503), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1147), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [18517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1347), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1351), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1311), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1355), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1187), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1355), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1333), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1219), 1,
      sym_file_descriptor,
    ACTIONS(1217), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18869] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 1,
      sym__concat,
    STATE(514), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1183), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1181), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18917] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1507), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1155), 9,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(1147), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [18967] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 1,
      sym_file_descriptor,
    ACTIONS(1153), 1,
      sym_variable_name,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1147), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1149), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [19017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      sym_file_descriptor,
    ACTIONS(1207), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1509), 1,
      sym__concat,
    STATE(514), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1189), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1187), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1307), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      sym_file_descriptor,
    ACTIONS(1512), 1,
      sym__concat,
    STATE(516), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1187), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1303), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1359), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1363), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19333] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_BQUOTE,
    ACTIONS(1239), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1515), 1,
      anon_sym_LF,
    ACTIONS(1153), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1237), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1507), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1519), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1517), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [19393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1367), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1373), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1377), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 1,
      sym_file_descriptor,
    ACTIONS(1211), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1381), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1385), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1389), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1393), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19745] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      sym_file_descriptor,
    ACTIONS(1521), 1,
      sym__concat,
    STATE(516), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1181), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1397), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1241), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1401), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1315), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19969] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1219), 1,
      sym_file_descriptor,
    ACTIONS(1416), 1,
      sym__concat,
    STATE(529), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1217), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20017] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 1,
      sym__concat,
    STATE(510), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1209), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1207), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1327), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20109] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 1,
      sym__concat,
    STATE(538), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1209), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1207), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20157] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1523), 1,
      sym__concat,
    STATE(480), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1183), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1181), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20205] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      sym_file_descriptor,
    ACTIONS(1416), 1,
      sym__concat,
    STATE(529), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1207), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1405), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20297] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 1,
      anon_sym_BQUOTE,
    ACTIONS(1239), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1525), 1,
      anon_sym_LF,
    ACTIONS(1153), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1237), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1507), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1519), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1527), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [20357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      sym_file_descriptor,
    ACTIONS(1139), 35,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20401] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1531), 1,
      sym__special_character,
    ACTIONS(1533), 1,
      sym_file_descriptor,
    STATE(418), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1529), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1303), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1377), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1385), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1367), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1389), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1393), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1397), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1323), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1385), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1241), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20879] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 1,
      sym__special_character,
    STATE(613), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1273), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1269), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1405), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1327), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      sym__concat,
    STATE(589), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1209), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1207), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1303), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1207), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1347), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1315), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      sym_file_descriptor,
    ACTIONS(1207), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1307), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1333), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1227), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1315), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1187), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21489] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1539), 1,
      sym__special_character,
    STATE(629), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1301), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1299), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1401), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21579] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      sym_file_descriptor,
    ACTIONS(1541), 1,
      sym__special_character,
    STATE(662), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1299), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 1,
      sym__special_character,
    STATE(613), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1297), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1295), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21673] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1291), 1,
      sym_file_descriptor,
    ACTIONS(1543), 1,
      sym__concat,
    STATE(673), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1289), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1363), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1311), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1347), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1351), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1355), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1355), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1315), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1468), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22064] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      sym__special_character,
    STATE(615), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1297), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1295), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1319), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1405), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1359), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1363), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22283] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1547), 1,
      sym__concat,
    STATE(586), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1189), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1187), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22330] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 1,
      sym__concat,
    STATE(614), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1291), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1289), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1367), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22420] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1552), 1,
      sym__concat,
    STATE(586), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1183), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1181), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1474), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1373), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1377), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1381), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22639] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      sym_file_descriptor,
    ACTIONS(1543), 1,
      sym__concat,
    STATE(673), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1207), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1385), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1389), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1393), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1397), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1241), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1323), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1327), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1303), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23030] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1556), 1,
      anon_sym_DQUOTE,
    ACTIONS(1558), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1728), 1,
      sym_string,
    ACTIONS(531), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1554), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(525), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [23081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1323), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1241), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1219), 1,
      sym_file_descriptor,
    ACTIONS(1217), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1307), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1323), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1401), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1333), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1405), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1303), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23468] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1560), 1,
      sym__special_character,
    STATE(613), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1342), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1337), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23515] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1563), 1,
      sym__concat,
    STATE(663), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1183), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1181), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23562] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1565), 1,
      sym__special_character,
    STATE(615), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1337), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1397), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23652] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1539), 1,
      sym__special_character,
    STATE(629), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1287), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1285), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1405), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1401), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1241), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1397), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1327), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1359), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1333), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1319), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1393), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1393), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24129] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1568), 1,
      sym__special_character,
    STATE(628), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1342), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1337), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24176] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1571), 1,
      sym__special_character,
    STATE(629), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1342), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1337), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1303), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1389), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1385), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1381), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1377), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1373), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1347), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1351), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1381), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1355), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1367), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1363), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1359), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1323), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1327), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1373), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1311), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1307), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1333), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1355), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1359), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1363), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1367), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25212] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      sym__special_character,
    STATE(615), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1273), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1269), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1373), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1307), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1355), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1377), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1381), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1377), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1385), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1327), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25603] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      sym_file_descriptor,
    ACTIONS(1574), 1,
      sym__special_character,
    STATE(662), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1337), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25650] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      sym__concat,
    STATE(663), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1189), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1187), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1355), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1355), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1351), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1347), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25869] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1580), 1,
      sym__concat,
    STATE(742), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1227), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      sym_file_descriptor,
    ACTIONS(1582), 1,
      sym__concat,
    STATE(669), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1187), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1333), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1333), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 1,
      sym_file_descriptor,
    ACTIONS(1211), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26092] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      sym_file_descriptor,
    ACTIONS(1585), 1,
      sym__concat,
    STATE(669), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1181), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1389), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1327), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1323), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1319), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1389), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1393), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1397), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1311), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1241), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1187), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1315), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1373), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1311), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1347), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1351), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1355), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1355), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1315), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1311), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1319), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1187), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1351), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1307), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1367), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1363), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1303), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1347), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27300] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      sym_file_descriptor,
    ACTIONS(1587), 1,
      sym__special_character,
    STATE(701), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1337), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 1,
      sym_file_descriptor,
    ACTIONS(1590), 1,
      sym__special_character,
    STATE(701), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1529), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1359), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1401), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1355), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1405), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1351), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27609] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 1,
      sym_file_descriptor,
    ACTIONS(1541), 1,
      sym__special_character,
    STATE(662), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1285), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1355), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27699] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1580), 1,
      sym__concat,
    STATE(742), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1209), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1207), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1307), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1381), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [27832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1187), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      sym_file_descriptor,
    ACTIONS(1207), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1355), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [27961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      sym_file_descriptor,
    ACTIONS(1139), 34,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1311), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1319), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1359), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1363), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1367), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1187), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1315), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1187), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1401), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28391] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 1,
      sym_file_descriptor,
    ACTIONS(1541), 1,
      sym__special_character,
    STATE(662), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1279), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28438] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1592), 1,
      sym__concat,
    STATE(727), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1189), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1187), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28485] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1539), 1,
      sym__special_character,
    STATE(629), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1283), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1279), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1389), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1393), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1397), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1241), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28704] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 1,
      sym__concat,
    STATE(614), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1209), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1207), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28751] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      sym__concat,
    STATE(589), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1227), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1207), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1227), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [28884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1319), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1373), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [28970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1377), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1381), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1385), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29099] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1595), 1,
      sym__concat,
    STATE(727), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1183), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1181), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 1,
      sym__special_character,
    STATE(628), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1273), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1269), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1474), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1401), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1468), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [29322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1405), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1367), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29407] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      sym_file_descriptor,
    ACTIONS(159), 1,
      anon_sym_DOLLAR,
    ACTIONS(161), 1,
      sym__special_character,
    ACTIONS(163), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(169), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(171), 1,
      anon_sym_BQUOTE,
    ACTIONS(1129), 1,
      sym_variable_name,
    ACTIONS(1135), 1,
      sym_word,
    STATE(191), 1,
      sym_command_name,
    STATE(311), 1,
      aux_sym__literal_repeat1,
    STATE(542), 1,
      sym_concatenation,
    STATE(3282), 1,
      sym_subscript,
    ACTIONS(165), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(173), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1687), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(277), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(37), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [29481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1359), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29523] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1599), 1,
      sym__special_character,
    STATE(773), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1273), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1269), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1355), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1355), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1351), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1347), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1333), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1327), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1219), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1217), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1323), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [29905] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      sym_file_descriptor,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(1129), 1,
      sym_variable_name,
    ACTIONS(1131), 1,
      sym_word,
    STATE(258), 1,
      sym_command_name,
    STATE(570), 1,
      aux_sym__literal_repeat1,
    STATE(879), 1,
      sym_concatenation,
    STATE(3282), 1,
      sym_subscript,
    ACTIONS(101), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1687), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(449), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(37), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [29979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1319), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [30021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1315), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [30063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1311), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [30105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1187), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [30147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1307), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [30189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1303), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [30231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1474), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [30273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1474), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1468), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [30357] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1603), 1,
      anon_sym_DQUOTE,
    ACTIONS(1605), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1909), 1,
      sym_string,
    ACTIONS(531), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1601), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(525), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [30407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1227), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [30449] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__special_character,
    STATE(772), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1342), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1337), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30495] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1610), 1,
      sym__special_character,
    STATE(773), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1342), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1337), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [30541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1405), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1401), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1241), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1397), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1393), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1227), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1373), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [30835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1389), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [30877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1377), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [30919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1381), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [30961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1385), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1389), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31045] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      sym_file_descriptor,
    ACTIONS(215), 1,
      anon_sym_DOLLAR,
    ACTIONS(217), 1,
      sym__special_character,
    ACTIONS(219), 1,
      anon_sym_DQUOTE,
    ACTIONS(223), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(225), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(227), 1,
      anon_sym_BQUOTE,
    ACTIONS(1129), 1,
      sym_variable_name,
    ACTIONS(1133), 1,
      sym_word,
    STATE(201), 1,
      sym_command_name,
    STATE(490), 1,
      aux_sym__literal_repeat1,
    STATE(716), 1,
      sym_concatenation,
    STATE(3282), 1,
      sym_subscript,
    ACTIONS(221), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(229), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1687), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(303), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(37), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [31119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1393), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1385), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1381), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1377), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1397), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1241), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1401), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1405), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1468), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31497] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1556), 1,
      anon_sym_DQUOTE,
    ACTIONS(1558), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1728), 1,
      sym_string,
    ACTIONS(531), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1554), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(525), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [31547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1373), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1405), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1367), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1363), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1359), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1319), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31799] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1613), 1,
      sym__special_character,
    STATE(803), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1337), 29,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 1,
      sym_file_descriptor,
    ACTIONS(1211), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1315), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [31929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1401), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [31971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1241), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1397), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1393), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      sym_file_descriptor,
    ACTIONS(1207), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [32139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1303), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [32181] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      sym__special_character,
    STATE(803), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1273), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1269), 29,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1307), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [32269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1355), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [32311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1187), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [32353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1389), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1355), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [32437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1351), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [32479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1347), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [32521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1311), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [32563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1311), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [32605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1227), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [32647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1315), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [32689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      sym_file_descriptor,
    ACTIONS(1207), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1187), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [32773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1319), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [32815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1219), 1,
      sym_file_descriptor,
    ACTIONS(1217), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1385), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1207), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1363), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [32983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1207), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1211), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [33067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1323), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1327), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1207), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1333), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1307), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1333), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1303), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1327), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 3,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
    ACTIONS(1323), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1207), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1347), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1351), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1355), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1355), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1359), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1363), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1367), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1373), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1377), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1381), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1385), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1468), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [33991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1389), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1393), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1397), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1241), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1401), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 2,
      sym_file_descriptor,
      sym__concat,
    ACTIONS(1405), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1381), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34285] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      sym_file_descriptor,
    ACTIONS(1618), 1,
      sym__special_character,
    STATE(862), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1337), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34331] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1621), 1,
      sym__special_character,
    STATE(772), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1533), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1529), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1377), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1474), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1303), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1307), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1187), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1311), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1315), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1319), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 1,
      sym_file_descriptor,
    ACTIONS(1623), 1,
      sym__special_character,
    STATE(862), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1529), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [34759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1323), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1327), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1333), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1347), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1351), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [34969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1355), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      sym_file_descriptor,
    ACTIONS(1139), 33,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1355), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1359), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1363), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35179] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      sym_file_descriptor,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(1129), 1,
      sym_variable_name,
    ACTIONS(1131), 1,
      sym_word,
    STATE(221), 1,
      sym_command_name,
    STATE(570), 1,
      aux_sym__literal_repeat1,
    STATE(879), 1,
      sym_concatenation,
    STATE(3282), 1,
      sym_subscript,
    ACTIONS(101), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1687), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(449), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(37), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [35253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1367), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35295] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_file_descriptor,
    ACTIONS(1127), 1,
      sym_word,
    ACTIONS(1129), 1,
      sym_variable_name,
    STATE(227), 1,
      sym_command_name,
    STATE(568), 1,
      aux_sym__literal_repeat1,
    STATE(887), 1,
      sym_concatenation,
    STATE(3282), 1,
      sym_subscript,
    ACTIONS(45), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1687), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(392), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(37), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [35369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 3,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
    ACTIONS(1373), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1139), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1207), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1207), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35535] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      anon_sym_DQUOTE,
    ACTIONS(1629), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2083), 1,
      sym_string,
    ACTIONS(531), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1625), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(525), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [35584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      sym_file_descriptor,
    ACTIONS(1207), 32,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [35625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1474), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1227), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1227), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(1468), 30,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1468), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1474), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [35871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(1207), 31,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [35912] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1635), 1,
      anon_sym_LPAREN,
    ACTIONS(1639), 1,
      anon_sym_DOLLAR,
    ACTIONS(1641), 1,
      sym__special_character,
    ACTIONS(1643), 1,
      anon_sym_DQUOTE,
    ACTIONS(1645), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1647), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1649), 1,
      anon_sym_BQUOTE,
    STATE(1699), 1,
      aux_sym__literal_repeat1,
    STATE(1945), 1,
      sym__expression,
    ACTIONS(1637), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1651), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1631), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(1633), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1736), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2071), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [35978] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_DQUOTE,
    ACTIONS(1655), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1774), 1,
      sym_string,
    ACTIONS(1653), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(525), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [36024] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1635), 1,
      anon_sym_LPAREN,
    ACTIONS(1639), 1,
      anon_sym_DOLLAR,
    ACTIONS(1641), 1,
      sym__special_character,
    ACTIONS(1643), 1,
      anon_sym_DQUOTE,
    ACTIONS(1645), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1647), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1649), 1,
      anon_sym_BQUOTE,
    STATE(1699), 1,
      aux_sym__literal_repeat1,
    STATE(1929), 1,
      sym__expression,
    ACTIONS(1637), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1651), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1631), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(1657), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1736), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2071), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [36090] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1635), 1,
      anon_sym_LPAREN,
    ACTIONS(1639), 1,
      anon_sym_DOLLAR,
    ACTIONS(1641), 1,
      sym__special_character,
    ACTIONS(1643), 1,
      anon_sym_DQUOTE,
    ACTIONS(1645), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1647), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1649), 1,
      anon_sym_BQUOTE,
    STATE(1699), 1,
      aux_sym__literal_repeat1,
    STATE(1930), 1,
      sym__expression,
    ACTIONS(1637), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1651), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1631), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(1659), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1736), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2071), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [36156] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1635), 1,
      anon_sym_LPAREN,
    ACTIONS(1639), 1,
      anon_sym_DOLLAR,
    ACTIONS(1641), 1,
      sym__special_character,
    ACTIONS(1643), 1,
      anon_sym_DQUOTE,
    ACTIONS(1645), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1647), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1649), 1,
      anon_sym_BQUOTE,
    STATE(1699), 1,
      aux_sym__literal_repeat1,
    STATE(2038), 1,
      sym__expression,
    ACTIONS(1637), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1651), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1631), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(1661), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1736), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2071), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [36222] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1635), 1,
      anon_sym_LPAREN,
    ACTIONS(1639), 1,
      anon_sym_DOLLAR,
    ACTIONS(1641), 1,
      sym__special_character,
    ACTIONS(1643), 1,
      anon_sym_DQUOTE,
    ACTIONS(1645), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1647), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1649), 1,
      anon_sym_BQUOTE,
    STATE(1699), 1,
      aux_sym__literal_repeat1,
    STATE(2082), 1,
      sym__expression,
    ACTIONS(1637), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1651), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1631), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(1663), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1736), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2071), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [36288] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1635), 1,
      anon_sym_LPAREN,
    ACTIONS(1639), 1,
      anon_sym_DOLLAR,
    ACTIONS(1641), 1,
      sym__special_character,
    ACTIONS(1643), 1,
      anon_sym_DQUOTE,
    ACTIONS(1645), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1647), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1649), 1,
      anon_sym_BQUOTE,
    STATE(1699), 1,
      aux_sym__literal_repeat1,
    STATE(2049), 1,
      sym__expression,
    ACTIONS(1637), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1651), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1631), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(1665), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1736), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2071), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [36354] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1635), 1,
      anon_sym_LPAREN,
    ACTIONS(1639), 1,
      anon_sym_DOLLAR,
    ACTIONS(1641), 1,
      sym__special_character,
    ACTIONS(1643), 1,
      anon_sym_DQUOTE,
    ACTIONS(1645), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1647), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1649), 1,
      anon_sym_BQUOTE,
    STATE(1699), 1,
      aux_sym__literal_repeat1,
    STATE(1961), 1,
      sym__expression,
    ACTIONS(1637), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1651), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1631), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(1667), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1736), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2071), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [36420] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_DQUOTE,
    ACTIONS(1673), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1858), 1,
      sym_string,
    ACTIONS(531), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1669), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(525), 18,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36468] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1635), 1,
      anon_sym_LPAREN,
    ACTIONS(1639), 1,
      anon_sym_DOLLAR,
    ACTIONS(1641), 1,
      sym__special_character,
    ACTIONS(1643), 1,
      anon_sym_DQUOTE,
    ACTIONS(1645), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1647), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1649), 1,
      anon_sym_BQUOTE,
    STATE(1699), 1,
      aux_sym__literal_repeat1,
    STATE(1958), 1,
      sym__expression,
    ACTIONS(1637), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1651), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1631), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(1675), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1736), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2071), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [36534] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1635), 1,
      anon_sym_LPAREN,
    ACTIONS(1639), 1,
      anon_sym_DOLLAR,
    ACTIONS(1641), 1,
      sym__special_character,
    ACTIONS(1643), 1,
      anon_sym_DQUOTE,
    ACTIONS(1645), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1647), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1649), 1,
      anon_sym_BQUOTE,
    STATE(1699), 1,
      aux_sym__literal_repeat1,
    STATE(1998), 1,
      sym__expression,
    ACTIONS(1637), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1651), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1631), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(1677), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1736), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2071), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [36600] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1683), 1,
      anon_sym_DQUOTE,
    ACTIONS(1685), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1941), 1,
      sym_string,
    ACTIONS(525), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(1679), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1681), 5,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(531), 15,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [36649] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1689), 1,
      anon_sym_RBRACE,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1707), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1324), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1691), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [36710] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1709), 1,
      anon_sym_RBRACE,
    ACTIONS(1713), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1185), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1711), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [36771] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1725), 1,
      sym__special_character,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    STATE(2047), 1,
      aux_sym__literal_repeat1,
    STATE(2363), 1,
      sym__expression,
    ACTIONS(1721), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [36834] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1737), 1,
      anon_sym_RBRACE,
    ACTIONS(1741), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1371), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1739), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [36895] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1725), 1,
      sym__special_character,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    ACTIONS(1743), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2047), 1,
      aux_sym__literal_repeat1,
    STATE(2355), 1,
      sym__expression,
    ACTIONS(1721), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [36958] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1725), 1,
      sym__special_character,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    ACTIONS(1745), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2047), 1,
      aux_sym__literal_repeat1,
    STATE(2358), 1,
      sym__expression,
    ACTIONS(1721), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [37021] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1747), 1,
      anon_sym_RBRACE,
    ACTIONS(1751), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1397), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1749), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37082] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1753), 1,
      anon_sym_RBRACE,
    ACTIONS(1757), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1221), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1755), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37143] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1759), 1,
      anon_sym_RBRACE,
    ACTIONS(1763), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1224), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1761), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37204] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    ACTIONS(1767), 1,
      sym__special_character,
    ACTIONS(1769), 1,
      sym_regex,
    STATE(2113), 1,
      aux_sym__literal_repeat1,
    STATE(2129), 1,
      sym__expression,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1765), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [37267] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1771), 1,
      anon_sym_RBRACE,
    ACTIONS(1775), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1269), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1773), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37328] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1777), 1,
      anon_sym_RBRACE,
    ACTIONS(1781), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1308), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1779), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37389] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1783), 1,
      anon_sym_RBRACE,
    ACTIONS(1787), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1320), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1785), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37450] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1793), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2310), 1,
      sym_string,
    ACTIONS(525), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(1789), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1791), 5,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(531), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [37497] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1777), 1,
      anon_sym_RBRACE,
    ACTIONS(1797), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1308), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1779), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37558] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1799), 1,
      anon_sym_RBRACE,
    ACTIONS(1803), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1431), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1801), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37619] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1805), 1,
      anon_sym_RBRACE,
    ACTIONS(1809), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1460), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1807), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37680] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1725), 1,
      sym__special_character,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    ACTIONS(1811), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2047), 1,
      aux_sym__literal_repeat1,
    STATE(2392), 1,
      sym__expression,
    ACTIONS(1721), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [37743] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1813), 1,
      anon_sym_RBRACE,
    ACTIONS(1817), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1496), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1815), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37804] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1819), 1,
      anon_sym_RBRACE,
    ACTIONS(1823), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1497), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1821), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37865] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1825), 1,
      anon_sym_RBRACE,
    ACTIONS(1829), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1524), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1827), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37926] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1831), 1,
      anon_sym_RBRACE,
    ACTIONS(1835), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1500), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1833), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [37987] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1837), 1,
      anon_sym_RBRACE,
    ACTIONS(1841), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1597), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1839), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [38048] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1843), 1,
      anon_sym_RBRACE,
    ACTIONS(1847), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1525), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1845), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [38109] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1849), 1,
      anon_sym_RBRACE,
    ACTIONS(1853), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1542), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1851), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [38170] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1843), 1,
      anon_sym_RBRACE,
    ACTIONS(1855), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1525), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1845), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [38231] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1857), 1,
      anon_sym_RBRACE,
    ACTIONS(1861), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1559), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1859), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [38292] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1725), 1,
      sym__special_character,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    ACTIONS(1769), 1,
      sym_regex,
    STATE(2047), 1,
      aux_sym__literal_repeat1,
    STATE(2129), 1,
      sym__expression,
    ACTIONS(1721), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [38355] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1863), 1,
      anon_sym_RBRACE,
    ACTIONS(1867), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1588), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1865), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [38416] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1869), 1,
      anon_sym_RBRACE,
    ACTIONS(1873), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1627), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1871), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [38477] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1875), 1,
      anon_sym_RBRACE,
    ACTIONS(1879), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1644), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1877), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [38538] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1881), 1,
      anon_sym_RBRACE,
    ACTIONS(1885), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1642), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1883), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [38599] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1725), 1,
      sym__special_character,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    ACTIONS(1887), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2047), 1,
      aux_sym__literal_repeat1,
    STATE(2350), 1,
      sym__expression,
    ACTIONS(1721), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [38662] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1725), 1,
      sym__special_character,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    ACTIONS(1889), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2047), 1,
      aux_sym__literal_repeat1,
    STATE(2347), 1,
      sym__expression,
    ACTIONS(1721), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [38725] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1725), 1,
      sym__special_character,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    ACTIONS(1891), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2047), 1,
      aux_sym__literal_repeat1,
    STATE(2346), 1,
      sym__expression,
    ACTIONS(1721), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [38788] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1893), 1,
      anon_sym_RBRACE,
    ACTIONS(1897), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1640), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1895), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [38849] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1725), 1,
      sym__special_character,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    ACTIONS(1899), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2047), 1,
      aux_sym__literal_repeat1,
    STATE(2356), 1,
      sym__expression,
    ACTIONS(1721), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [38912] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1901), 1,
      anon_sym_RBRACE,
    ACTIONS(1905), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1638), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1903), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [38973] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1893), 1,
      anon_sym_RBRACE,
    ACTIONS(1907), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1640), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1895), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39034] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1909), 1,
      anon_sym_RBRACE,
    ACTIONS(1913), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1635), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1911), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39095] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1915), 1,
      anon_sym_RBRACE,
    ACTIONS(1919), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1633), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1917), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39156] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1921), 1,
      anon_sym_RBRACE,
    ACTIONS(1925), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1206), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1923), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39217] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1927), 1,
      anon_sym_RBRACE,
    ACTIONS(1931), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1622), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1929), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39278] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1933), 1,
      anon_sym_RBRACE,
    ACTIONS(1937), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1620), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1935), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39339] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1939), 1,
      anon_sym_RBRACE,
    ACTIONS(1943), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1618), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1941), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39400] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1725), 1,
      sym__special_character,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    ACTIONS(1945), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2047), 1,
      aux_sym__literal_repeat1,
    STATE(2411), 1,
      sym__expression,
    ACTIONS(1721), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [39463] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1725), 1,
      sym__special_character,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    ACTIONS(1947), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2047), 1,
      aux_sym__literal_repeat1,
    STATE(2407), 1,
      sym__expression,
    ACTIONS(1721), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [39526] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1725), 1,
      sym__special_character,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    ACTIONS(1949), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2047), 1,
      aux_sym__literal_repeat1,
    STATE(2380), 1,
      sym__expression,
    ACTIONS(1721), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [39589] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1951), 1,
      anon_sym_RBRACE,
    ACTIONS(1955), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1616), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1953), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39650] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1725), 1,
      sym__special_character,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    ACTIONS(1957), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2047), 1,
      aux_sym__literal_repeat1,
    STATE(2408), 1,
      sym__expression,
    ACTIONS(1721), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [39713] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1959), 1,
      anon_sym_RBRACE,
    ACTIONS(1963), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1614), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1961), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39774] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1951), 1,
      anon_sym_RBRACE,
    ACTIONS(1965), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1616), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1953), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39835] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1967), 1,
      anon_sym_RBRACE,
    ACTIONS(1971), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1204), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1969), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39896] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1973), 1,
      anon_sym_RBRACE,
    ACTIONS(1977), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1611), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1975), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [39957] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1921), 1,
      anon_sym_RBRACE,
    ACTIONS(1979), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1206), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1923), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40018] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1981), 1,
      anon_sym_RBRACE,
    ACTIONS(1985), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1609), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1983), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40079] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1987), 1,
      anon_sym_RBRACE,
    ACTIONS(1991), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1598), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1989), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40140] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1993), 1,
      anon_sym_RBRACE,
    ACTIONS(1997), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1211), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1995), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40201] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1999), 1,
      anon_sym_RBRACE,
    ACTIONS(2003), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1594), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2001), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40262] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2005), 1,
      anon_sym_RBRACE,
    ACTIONS(2009), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1591), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2007), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40323] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2011), 1,
      anon_sym_RBRACE,
    ACTIONS(2015), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1586), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2013), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40384] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2017), 1,
      anon_sym_RBRACE,
    ACTIONS(2021), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1584), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2019), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40445] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2011), 1,
      anon_sym_RBRACE,
    ACTIONS(2023), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1586), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2013), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40506] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2025), 1,
      anon_sym_RBRACE,
    ACTIONS(2029), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1581), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2027), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40567] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2031), 1,
      anon_sym_RBRACE,
    ACTIONS(2035), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1579), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2033), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40628] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2037), 1,
      anon_sym_RBRACE,
    ACTIONS(2041), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1570), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2039), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40689] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2043), 1,
      anon_sym_RBRACE,
    ACTIONS(2047), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1568), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2045), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40750] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2049), 1,
      anon_sym_RBRACE,
    ACTIONS(2053), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1566), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2051), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40811] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2055), 1,
      anon_sym_RBRACE,
    ACTIONS(2059), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1564), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2057), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40872] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2061), 1,
      anon_sym_RBRACE,
    ACTIONS(2065), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1562), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2063), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40933] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2055), 1,
      anon_sym_RBRACE,
    ACTIONS(2067), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1564), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2057), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [40994] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2069), 1,
      anon_sym_RBRACE,
    ACTIONS(2073), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1599), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2071), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41055] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2075), 1,
      anon_sym_RBRACE,
    ACTIONS(2079), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1558), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2077), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41116] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2081), 1,
      anon_sym_RBRACE,
    ACTIONS(2085), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1590), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2083), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41177] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2087), 1,
      anon_sym_RBRACE,
    ACTIONS(2091), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1556), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2089), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41238] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_LPAREN,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2101), 1,
      sym__special_character,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(2113), 1,
      sym_regex,
    STATE(2177), 1,
      aux_sym__literal_repeat1,
    STATE(2406), 1,
      sym__expression,
    ACTIONS(2097), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2093), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2142), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2394), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [41301] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2115), 1,
      anon_sym_RBRACE,
    ACTIONS(2119), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1547), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2117), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41362] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2121), 1,
      anon_sym_RBRACE,
    ACTIONS(2125), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1571), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2123), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41423] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2127), 1,
      anon_sym_RBRACE,
    ACTIONS(2131), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1545), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2129), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41484] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2133), 1,
      anon_sym_RBRACE,
    ACTIONS(2137), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1541), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2135), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41545] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2139), 1,
      anon_sym_RBRACE,
    ACTIONS(2143), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1573), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2141), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41606] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2145), 1,
      anon_sym_RBRACE,
    ACTIONS(2149), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1539), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2147), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41667] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2121), 1,
      anon_sym_RBRACE,
    ACTIONS(2151), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1571), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2123), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41728] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2153), 1,
      anon_sym_RBRACE,
    ACTIONS(2157), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1569), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2155), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41789] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2159), 1,
      anon_sym_RBRACE,
    ACTIONS(2163), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1537), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2161), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41850] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2165), 1,
      anon_sym_RBRACE,
    ACTIONS(2169), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1567), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2167), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41911] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2171), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1552), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2173), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [41972] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2145), 1,
      anon_sym_RBRACE,
    ACTIONS(2177), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1539), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2147), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42033] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2179), 1,
      anon_sym_RBRACE,
    ACTIONS(2183), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1532), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42094] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2185), 1,
      anon_sym_RBRACE,
    ACTIONS(2189), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1530), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2187), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42155] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2193), 1,
      anon_sym_LPAREN,
    ACTIONS(2197), 1,
      anon_sym_DOLLAR,
    ACTIONS(2199), 1,
      sym__special_character,
    ACTIONS(2201), 1,
      anon_sym_DQUOTE,
    ACTIONS(2203), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2205), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2207), 1,
      anon_sym_BQUOTE,
    ACTIONS(2211), 1,
      sym_regex,
    STATE(2187), 1,
      aux_sym__literal_repeat1,
    STATE(2345), 1,
      sym__expression,
    ACTIONS(2195), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(2209), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2191), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2186), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2412), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42218] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2213), 1,
      anon_sym_RBRACE,
    ACTIONS(2217), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1521), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2215), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42279] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2219), 1,
      anon_sym_RBRACE,
    ACTIONS(2223), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1519), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2221), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42340] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2225), 1,
      anon_sym_RBRACE,
    ACTIONS(2229), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1517), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2227), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42401] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2231), 1,
      anon_sym_RBRACE,
    ACTIONS(2235), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1515), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2233), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42462] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2237), 1,
      anon_sym_RBRACE,
    ACTIONS(2241), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1513), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2239), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42523] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2231), 1,
      anon_sym_RBRACE,
    ACTIONS(2243), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1515), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2233), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42584] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2245), 1,
      anon_sym_RBRACE,
    ACTIONS(2249), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1510), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2247), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42645] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2251), 1,
      anon_sym_RBRACE,
    ACTIONS(2255), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1508), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2253), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42706] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2257), 1,
      anon_sym_RBRACE,
    ACTIONS(2261), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1499), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2259), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42767] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2263), 1,
      anon_sym_RBRACE,
    ACTIONS(2267), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1495), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2265), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42828] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2269), 1,
      anon_sym_RBRACE,
    ACTIONS(2273), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1493), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2271), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42889] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2275), 1,
      anon_sym_RBRACE,
    ACTIONS(2279), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1540), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2277), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [42950] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2281), 1,
      anon_sym_RBRACE,
    ACTIONS(2285), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1491), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2283), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43011] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2287), 1,
      anon_sym_RBRACE,
    ACTIONS(2291), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1523), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2289), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43072] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2293), 1,
      anon_sym_RBRACE,
    ACTIONS(2297), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1487), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2295), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43133] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2281), 1,
      anon_sym_RBRACE,
    ACTIONS(2299), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1491), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2283), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43194] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2301), 1,
      anon_sym_RBRACE,
    ACTIONS(2305), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1503), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2303), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43255] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2307), 1,
      anon_sym_RBRACE,
    ACTIONS(2311), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1484), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2309), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43316] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2313), 1,
      anon_sym_RBRACE,
    ACTIONS(2317), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1516), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2315), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43377] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2301), 1,
      anon_sym_RBRACE,
    ACTIONS(2319), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1503), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2303), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43438] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2321), 1,
      anon_sym_RBRACE,
    ACTIONS(2325), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1502), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2323), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43499] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2327), 1,
      anon_sym_RBRACE,
    ACTIONS(2331), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1501), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2329), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43560] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2333), 1,
      anon_sym_RBRACE,
    ACTIONS(2337), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1449), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2335), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43621] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2339), 1,
      anon_sym_RBRACE,
    ACTIONS(2343), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1482), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2341), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43682] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2345), 1,
      anon_sym_RBRACE,
    ACTIONS(2349), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1473), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2347), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43743] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2351), 1,
      anon_sym_RBRACE,
    ACTIONS(2355), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1470), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2353), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43804] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2357), 1,
      anon_sym_RBRACE,
    ACTIONS(2361), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1468), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2359), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43865] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2363), 1,
      anon_sym_RBRACE,
    ACTIONS(2367), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1466), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2365), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43926] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2369), 1,
      anon_sym_RBRACE,
    ACTIONS(2373), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1464), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2371), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [43987] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2363), 1,
      anon_sym_RBRACE,
    ACTIONS(2375), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1466), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2365), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44048] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2377), 1,
      anon_sym_RBRACE,
    ACTIONS(2381), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1461), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2379), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44109] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2383), 1,
      anon_sym_RBRACE,
    ACTIONS(2387), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1458), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2385), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44170] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2389), 1,
      anon_sym_RBRACE,
    ACTIONS(2393), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1448), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2391), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44231] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2395), 1,
      anon_sym_RBRACE,
    ACTIONS(2399), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1446), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2397), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44292] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2401), 1,
      anon_sym_RBRACE,
    ACTIONS(2405), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1444), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2403), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44353] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2407), 1,
      anon_sym_RBRACE,
    ACTIONS(2411), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1476), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2409), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44414] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2413), 1,
      anon_sym_RBRACE,
    ACTIONS(2417), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1442), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2415), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44475] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2419), 1,
      anon_sym_RBRACE,
    ACTIONS(2423), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1474), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2421), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44536] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2425), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1440), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2427), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44597] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2431), 1,
      anon_sym_RBRACE,
    ACTIONS(2435), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1453), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2433), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44658] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2413), 1,
      anon_sym_RBRACE,
    ACTIONS(2437), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1442), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2415), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44719] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2439), 1,
      anon_sym_RBRACE,
    ACTIONS(2443), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1179), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2441), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44780] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2431), 1,
      anon_sym_RBRACE,
    ACTIONS(2445), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1453), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2433), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44841] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2447), 1,
      anon_sym_RBRACE,
    ACTIONS(2451), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1451), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2449), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44902] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2453), 1,
      anon_sym_RBRACE,
    ACTIONS(2457), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1450), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2455), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [44963] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2459), 1,
      anon_sym_RBRACE,
    ACTIONS(2463), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1370), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2461), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45024] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2465), 1,
      anon_sym_RBRACE,
    ACTIONS(2469), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1437), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2467), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45085] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2471), 1,
      anon_sym_RBRACE,
    ACTIONS(2475), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1435), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2473), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45146] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2477), 1,
      anon_sym_RBRACE,
    ACTIONS(2481), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1426), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2479), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45207] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2483), 1,
      anon_sym_RBRACE,
    ACTIONS(2487), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1424), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2485), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45268] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2489), 1,
      anon_sym_RBRACE,
    ACTIONS(2493), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1422), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2491), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45329] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2495), 1,
      anon_sym_RBRACE,
    ACTIONS(2499), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1420), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2497), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45390] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2501), 1,
      anon_sym_RBRACE,
    ACTIONS(2505), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1418), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2503), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45451] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2495), 1,
      anon_sym_RBRACE,
    ACTIONS(2507), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1420), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2497), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45512] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2509), 1,
      anon_sym_RBRACE,
    ACTIONS(2513), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1415), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2511), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45573] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2515), 1,
      anon_sym_RBRACE,
    ACTIONS(2519), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1412), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2517), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45634] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2521), 1,
      anon_sym_RBRACE,
    ACTIONS(2525), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1400), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2523), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45695] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2527), 1,
      anon_sym_RBRACE,
    ACTIONS(2531), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1398), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2529), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45756] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2533), 1,
      anon_sym_RBRACE,
    ACTIONS(2537), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1430), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2535), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45817] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2539), 1,
      anon_sym_RBRACE,
    ACTIONS(2543), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1395), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2541), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45878] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2545), 1,
      anon_sym_RBRACE,
    ACTIONS(2549), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1428), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2547), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [45939] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2551), 1,
      anon_sym_RBRACE,
    ACTIONS(2555), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1393), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2553), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46000] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2557), 1,
      anon_sym_RBRACE,
    ACTIONS(2561), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1407), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2559), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46061] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2563), 1,
      anon_sym_RBRACE,
    ACTIONS(2567), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1391), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2565), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46122] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2569), 1,
      anon_sym_RBRACE,
    ACTIONS(2573), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1423), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2571), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46183] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2557), 1,
      anon_sym_RBRACE,
    ACTIONS(2575), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1407), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2559), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46244] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2577), 1,
      anon_sym_RBRACE,
    ACTIONS(2581), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1406), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2579), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46305] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2583), 1,
      anon_sym_RBRACE,
    ACTIONS(2587), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1405), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2585), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46366] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2589), 1,
      anon_sym_RBRACE,
    ACTIONS(2593), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1404), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2591), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46427] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2551), 1,
      anon_sym_RBRACE,
    ACTIONS(2595), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1393), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2553), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46488] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2597), 1,
      anon_sym_RBRACE,
    ACTIONS(2601), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1387), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2599), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46549] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2603), 1,
      anon_sym_RBRACE,
    ACTIONS(2607), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1385), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2605), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46610] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2609), 1,
      anon_sym_RBRACE,
    ACTIONS(2613), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1376), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2611), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46671] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2615), 1,
      anon_sym_RBRACE,
    ACTIONS(2619), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1374), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2617), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46732] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2621), 1,
      anon_sym_RBRACE,
    ACTIONS(2625), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1372), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2623), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46793] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    ACTIONS(2631), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1369), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2629), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46854] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2633), 1,
      anon_sym_RBRACE,
    ACTIONS(2637), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1367), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2635), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46915] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    ACTIONS(2639), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1369), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2629), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [46976] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2641), 1,
      anon_sym_RBRACE,
    ACTIONS(2645), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1364), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2643), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47037] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2647), 1,
      anon_sym_RBRACE,
    ACTIONS(2651), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1362), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2649), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47098] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2653), 1,
      anon_sym_RBRACE,
    ACTIONS(2657), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1353), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2655), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47159] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2659), 1,
      anon_sym_RBRACE,
    ACTIONS(2663), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1381), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2661), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47220] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2665), 1,
      anon_sym_RBRACE,
    ACTIONS(2669), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1351), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2667), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47281] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2671), 1,
      anon_sym_RBRACE,
    ACTIONS(2675), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1379), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2673), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47342] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2677), 1,
      anon_sym_RBRACE,
    ACTIONS(2681), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1349), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2679), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47403] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2683), 1,
      anon_sym_RBRACE,
    ACTIONS(2687), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1241), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2685), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47464] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2689), 1,
      anon_sym_RBRACE,
    ACTIONS(2693), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1347), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2691), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47525] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    ACTIONS(2699), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1375), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2697), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47586] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2683), 1,
      anon_sym_RBRACE,
    ACTIONS(2701), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1241), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2685), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47647] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2703), 1,
      anon_sym_RBRACE,
    ACTIONS(2707), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1358), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2705), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47708] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2709), 1,
      anon_sym_RBRACE,
    ACTIONS(2713), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1357), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2711), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47769] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2715), 1,
      anon_sym_RBRACE,
    ACTIONS(2719), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1345), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2717), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47830] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2721), 1,
      anon_sym_RBRACE,
    ACTIONS(2725), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1356), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2723), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47891] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2689), 1,
      anon_sym_RBRACE,
    ACTIONS(2727), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1347), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2691), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [47952] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2729), 1,
      anon_sym_RBRACE,
    ACTIONS(2733), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1342), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2731), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48013] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2735), 1,
      anon_sym_RBRACE,
    ACTIONS(2739), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1340), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2737), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48074] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2741), 1,
      anon_sym_RBRACE,
    ACTIONS(2745), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1332), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2743), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48135] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2747), 1,
      anon_sym_RBRACE,
    ACTIONS(2751), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1330), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2749), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48196] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
    ACTIONS(2757), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1328), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2755), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48257] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2759), 1,
      anon_sym_RBRACE,
    ACTIONS(2763), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1326), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2761), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48318] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2759), 1,
      anon_sym_RBRACE,
    ACTIONS(2765), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1326), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2761), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48379] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2767), 1,
      anon_sym_RBRACE,
    ACTIONS(2771), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1321), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2769), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48440] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2773), 1,
      anon_sym_RBRACE,
    ACTIONS(2777), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1318), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2775), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48501] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2779), 1,
      anon_sym_RBRACE,
    ACTIONS(2783), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1309), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2781), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48562] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2785), 1,
      anon_sym_RBRACE,
    ACTIONS(2789), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1307), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2787), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48623] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2791), 1,
      anon_sym_RBRACE,
    ACTIONS(2795), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1305), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2793), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48684] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2797), 1,
      anon_sym_RBRACE,
    ACTIONS(2801), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1348), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2799), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48745] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2803), 1,
      anon_sym_RBRACE,
    ACTIONS(2807), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1303), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2805), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48806] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2809), 1,
      anon_sym_RBRACE,
    ACTIONS(2813), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1334), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2811), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48867] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2815), 1,
      anon_sym_RBRACE,
    ACTIONS(2819), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1301), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2817), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48928] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2803), 1,
      anon_sym_RBRACE,
    ACTIONS(2821), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1303), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2805), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [48989] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2823), 1,
      anon_sym_RBRACE,
    ACTIONS(2827), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1314), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2825), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49050] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2829), 1,
      anon_sym_RBRACE,
    ACTIONS(2833), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1298), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2831), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49111] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2835), 1,
      anon_sym_RBRACE,
    ACTIONS(2839), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1296), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2837), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49172] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2841), 1,
      anon_sym_RBRACE,
    ACTIONS(2845), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1329), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2843), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49233] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2823), 1,
      anon_sym_RBRACE,
    ACTIONS(2847), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1314), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2825), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49294] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2849), 1,
      anon_sym_RBRACE,
    ACTIONS(2853), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1312), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2851), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49355] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2855), 1,
      anon_sym_RBRACE,
    ACTIONS(2859), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1311), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2857), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49416] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2861), 1,
      anon_sym_RBRACE,
    ACTIONS(2865), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1306), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2863), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49477] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2867), 1,
      anon_sym_RBRACE,
    ACTIONS(2871), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1287), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2869), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49538] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2873), 1,
      anon_sym_RBRACE,
    ACTIONS(2877), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1285), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2875), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49599] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2879), 1,
      anon_sym_RBRACE,
    ACTIONS(2883), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1283), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2881), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49660] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2885), 1,
      anon_sym_RBRACE,
    ACTIONS(2889), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1281), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2887), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49721] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2891), 1,
      anon_sym_RBRACE,
    ACTIONS(2895), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1279), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2893), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49782] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2885), 1,
      anon_sym_RBRACE,
    ACTIONS(2897), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1281), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2887), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49843] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2899), 1,
      anon_sym_RBRACE,
    ACTIONS(2903), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1276), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2901), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49904] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2905), 1,
      anon_sym_RBRACE,
    ACTIONS(2909), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1274), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2907), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [49965] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2911), 1,
      anon_sym_RBRACE,
    ACTIONS(2915), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1264), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2913), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50026] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2917), 1,
      anon_sym_RBRACE,
    ACTIONS(2921), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1262), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2919), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50087] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2923), 1,
      anon_sym_RBRACE,
    ACTIONS(2927), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1260), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2925), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50148] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_RBRACE,
    ACTIONS(2933), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1258), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2931), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50209] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2935), 1,
      anon_sym_RBRACE,
    ACTIONS(2939), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1290), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2937), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50270] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2941), 1,
      anon_sym_RBRACE,
    ACTIONS(2945), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1256), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2943), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50331] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2947), 1,
      anon_sym_RBRACE,
    ACTIONS(2951), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1288), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2949), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50392] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_RBRACE,
    ACTIONS(2953), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1258), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2931), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50453] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2955), 1,
      anon_sym_RBRACE,
    ACTIONS(2959), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1267), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2957), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50514] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2961), 1,
      anon_sym_RBRACE,
    ACTIONS(2965), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1253), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2963), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50575] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2967), 1,
      anon_sym_RBRACE,
    ACTIONS(2971), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1282), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2969), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50636] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2973), 1,
      anon_sym_RBRACE,
    ACTIONS(2977), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1251), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2975), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50697] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2955), 1,
      anon_sym_RBRACE,
    ACTIONS(2979), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1267), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2957), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50758] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_RBRACE,
    ACTIONS(2985), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1266), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2983), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50819] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_RBRACE,
    ACTIONS(2991), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1265), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2989), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50880] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2993), 1,
      anon_sym_RBRACE,
    ACTIONS(2997), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1263), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2995), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [50941] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2999), 1,
      anon_sym_RBRACE,
    ACTIONS(3003), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1242), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3001), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51002] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3005), 1,
      anon_sym_RBRACE,
    ACTIONS(3009), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1240), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3007), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51063] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3011), 1,
      anon_sym_RBRACE,
    ACTIONS(3015), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1238), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3013), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51124] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3017), 1,
      anon_sym_RBRACE,
    ACTIONS(3021), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1236), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3019), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51185] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3023), 1,
      anon_sym_RBRACE,
    ACTIONS(3027), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1234), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3025), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51246] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3017), 1,
      anon_sym_RBRACE,
    ACTIONS(3029), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1236), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3019), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51307] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3031), 1,
      anon_sym_RBRACE,
    ACTIONS(3035), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1231), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3033), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51368] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3037), 1,
      anon_sym_RBRACE,
    ACTIONS(3041), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1229), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3039), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51429] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3043), 1,
      anon_sym_RBRACE,
    ACTIONS(3047), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1220), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3045), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51490] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3049), 1,
      anon_sym_RBRACE,
    ACTIONS(3053), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1218), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3051), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51551] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3055), 1,
      anon_sym_RBRACE,
    ACTIONS(3059), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1214), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3057), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51612] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3061), 1,
      anon_sym_RBRACE,
    ACTIONS(3065), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1212), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3063), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51673] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_RBRACE,
    ACTIONS(3071), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1245), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3069), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51734] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3073), 1,
      anon_sym_RBRACE,
    ACTIONS(3077), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1209), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3075), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51795] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3061), 1,
      anon_sym_RBRACE,
    ACTIONS(3079), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1212), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3063), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51856] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3081), 1,
      anon_sym_RBRACE,
    ACTIONS(3085), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1243), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3083), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51917] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3087), 1,
      anon_sym_RBRACE,
    ACTIONS(3091), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1202), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3089), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [51978] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3093), 1,
      anon_sym_RBRACE,
    ACTIONS(3097), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1223), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3095), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52039] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3099), 1,
      anon_sym_RBRACE,
    ACTIONS(3103), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1200), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3101), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52100] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      anon_sym_RBRACE,
    ACTIONS(3109), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1189), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3107), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52161] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1635), 1,
      anon_sym_LPAREN,
    ACTIONS(1639), 1,
      anon_sym_DOLLAR,
    ACTIONS(1641), 1,
      sym__special_character,
    ACTIONS(1643), 1,
      anon_sym_DQUOTE,
    ACTIONS(1645), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1647), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1649), 1,
      anon_sym_BQUOTE,
    ACTIONS(3111), 1,
      sym_regex,
    STATE(1699), 1,
      aux_sym__literal_repeat1,
    STATE(2061), 1,
      sym__expression,
    ACTIONS(1637), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1651), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1631), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1736), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2071), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [52224] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3113), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1187), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3115), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52285] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3119), 1,
      anon_sym_RBRACE,
    ACTIONS(3123), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1237), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3121), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52346] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3093), 1,
      anon_sym_RBRACE,
    ACTIONS(3125), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1223), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3095), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52407] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3127), 1,
      anon_sym_RBRACE,
    ACTIONS(3131), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1222), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3129), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52468] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3133), 1,
      anon_sym_RBRACE,
    ACTIONS(3137), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1219), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3135), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52529] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3139), 1,
      anon_sym_RBRACE,
    ACTIONS(3143), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1195), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3141), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52590] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3149), 1,
      anon_sym_DQUOTE,
    ACTIONS(3151), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2098), 1,
      sym_string,
    ACTIONS(525), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(3145), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_0,
      anon_sym__,
    ACTIONS(3147), 5,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(531), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [52637] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_RBRACE,
    ACTIONS(3157), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1190), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3155), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52698] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3159), 1,
      anon_sym_RBRACE,
    ACTIONS(3163), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1192), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3161), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52759] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3165), 1,
      anon_sym_RBRACE,
    ACTIONS(3169), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1183), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3167), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52820] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3171), 1,
      anon_sym_RBRACE,
    ACTIONS(3175), 1,
      sym_regex,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1181), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3173), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52881] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3165), 1,
      anon_sym_RBRACE,
    ACTIONS(3177), 1,
      anon_sym_SLASH,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1183), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3167), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [52942] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3179), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53000] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3183), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53058] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1190), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3155), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53116] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53174] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1188), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3187), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53232] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53290] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3189), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53348] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3159), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53406] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3191), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53464] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3165), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53522] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3193), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53580] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3171), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53638] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3195), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53696] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3195), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1184), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3197), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53754] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3199), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53812] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1247), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3203), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53870] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1747), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1397), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1749), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53928] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3119), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [53986] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3205), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54044] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2193), 1,
      anon_sym_LPAREN,
    ACTIONS(2197), 1,
      anon_sym_DOLLAR,
    ACTIONS(2199), 1,
      sym__special_character,
    ACTIONS(2201), 1,
      anon_sym_DQUOTE,
    ACTIONS(2203), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2205), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2207), 1,
      anon_sym_BQUOTE,
    STATE(2187), 1,
      aux_sym__literal_repeat1,
    STATE(2385), 1,
      sym__expression,
    ACTIONS(2195), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(2209), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2191), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2186), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2412), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [54104] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3207), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54162] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3209), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54220] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3211), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54278] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3211), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3213), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54336] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3215), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54394] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3215), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1198), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3217), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54452] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1737), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54510] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3099), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1200), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3101), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54568] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1747), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54626] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1725), 1,
      sym__special_character,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    STATE(2047), 1,
      aux_sym__literal_repeat1,
    STATE(2190), 1,
      sym__expression,
    ACTIONS(1721), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [54686] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3219), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1402), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3221), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54744] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3223), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54802] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3223), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1199), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3225), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54860] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3219), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54918] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3099), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [54976] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    ACTIONS(1767), 1,
      sym__special_character,
    STATE(2113), 1,
      aux_sym__literal_repeat1,
    STATE(2129), 1,
      sym__expression,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1765), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [55036] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3087), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55094] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1725), 1,
      sym__special_character,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    STATE(2047), 1,
      aux_sym__literal_repeat1,
    STATE(2404), 1,
      sym__expression,
    ACTIONS(1721), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [55154] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2193), 1,
      anon_sym_LPAREN,
    ACTIONS(2197), 1,
      anon_sym_DOLLAR,
    ACTIONS(2199), 1,
      sym__special_character,
    ACTIONS(2201), 1,
      anon_sym_DQUOTE,
    ACTIONS(2203), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2205), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2207), 1,
      anon_sym_BQUOTE,
    STATE(2187), 1,
      aux_sym__literal_repeat1,
    STATE(2362), 1,
      sym__expression,
    ACTIONS(2195), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(2209), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2191), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2186), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2412), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [55214] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    ACTIONS(1767), 1,
      sym__special_character,
    STATE(2113), 1,
      aux_sym__literal_repeat1,
    STATE(2361), 1,
      sym__expression,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1765), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [55274] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3061), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55332] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3093), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55390] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3073), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55448] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1783), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55506] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3081), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55564] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55622] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1777), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55680] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3227), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1246), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3229), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55738] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3231), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55796] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3233), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55854] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3235), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55912] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3237), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [55970] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3237), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3239), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56028] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3241), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56086] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3241), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1227), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3243), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56144] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3037), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1229), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3039), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56202] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3245), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56260] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3245), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1228), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3247), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56318] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3037), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56376] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3227), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56434] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3031), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56492] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1245), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3069), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56550] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3017), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56608] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2659), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56666] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3023), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56724] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56782] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3249), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1259), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3251), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56840] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3249), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56898] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3253), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [56956] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3255), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57014] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3257), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57072] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3259), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57130] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3261), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57188] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3263), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57246] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3263), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1248), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3265), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57304] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3267), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57362] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3267), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1249), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3269), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57420] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2973), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1251), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2975), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57478] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3271), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57536] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3271), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1250), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3273), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57594] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2973), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57652] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3275), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57710] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2961), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57768] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_LPAREN,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2101), 1,
      sym__special_character,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    STATE(2177), 1,
      aux_sym__literal_repeat1,
    STATE(2351), 1,
      sym__expression,
    ACTIONS(2097), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2093), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2142), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2394), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [57828] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57886] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2967), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [57944] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2941), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58002] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2955), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58060] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2947), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58118] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2935), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58176] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3277), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1291), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3279), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58234] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1799), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58292] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3281), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58350] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3283), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58408] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1725), 1,
      sym__special_character,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    STATE(2047), 1,
      aux_sym__literal_repeat1,
    STATE(2329), 1,
      sym__expression,
    ACTIONS(1721), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [58468] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3285), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58526] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3287), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58584] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3287), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1270), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3289), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58642] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3291), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58700] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3291), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1271), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3293), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58758] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2905), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1274), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2907), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58816] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3295), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58874] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3295), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1273), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3297), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58932] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2905), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [58990] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3277), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59048] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2899), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59106] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2935), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1290), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2937), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59164] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2885), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59222] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3299), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1178), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3301), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59280] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2891), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59338] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3299), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59396] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3303), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1304), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3305), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59454] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3303), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59512] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3307), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59570] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3312), 1,
      anon_sym_RBRACE,
    ACTIONS(3317), 1,
      anon_sym_DOLLAR,
    ACTIONS(3320), 1,
      sym__special_character,
    ACTIONS(3323), 1,
      anon_sym_DQUOTE,
    ACTIONS(3326), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3329), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3332), 1,
      anon_sym_BQUOTE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3335), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3309), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3314), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59628] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3338), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59686] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3340), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59744] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3342), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59802] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3344), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59860] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3344), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1293), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3346), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59918] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3348), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [59976] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3348), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1294), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3350), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60034] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2835), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1296), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2837), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60092] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3352), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60150] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3352), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1295), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3354), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60208] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2835), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60266] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3356), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60324] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2829), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60382] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2841), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60440] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2803), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60498] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1805), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60556] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2815), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60614] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3358), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1471), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3360), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60672] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2823), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60730] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2809), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60788] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1635), 1,
      anon_sym_LPAREN,
    ACTIONS(1639), 1,
      anon_sym_DOLLAR,
    ACTIONS(1641), 1,
      sym__special_character,
    ACTIONS(1643), 1,
      anon_sym_DQUOTE,
    ACTIONS(1645), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1647), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1649), 1,
      anon_sym_BQUOTE,
    STATE(1699), 1,
      aux_sym__literal_repeat1,
    STATE(1939), 1,
      sym__expression,
    ACTIONS(1637), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1651), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1631), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1736), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2071), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [60848] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2797), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60906] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3362), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [60964] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3364), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61022] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3366), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61080] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3368), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61138] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3368), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1315), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3370), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61196] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3358), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61254] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3372), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61312] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3372), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1316), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3374), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61370] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2773), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1318), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2775), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61428] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3376), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61486] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3376), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1317), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3378), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61544] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2773), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61602] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3380), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1350), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3382), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61660] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2767), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61718] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3380), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61776] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2759), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61834] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2797), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1348), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2799), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61892] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1689), 1,
      anon_sym_RBRACE,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [61950] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3384), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1352), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3386), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62008] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3384), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62066] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1805), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1460), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1807), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62124] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3388), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1354), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3390), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62182] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3392), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62240] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3394), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62298] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3396), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62356] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3398), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62414] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3398), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1337), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3400), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62472] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3402), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62530] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3402), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1338), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3404), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62588] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2735), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1340), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2737), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62646] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3406), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62704] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3406), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1339), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3408), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62762] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2735), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62820] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3388), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62878] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2729), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62936] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3410), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [62994] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2689), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63052] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3412), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63110] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2715), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63168] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3414), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63226] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3416), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1544), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3418), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63284] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63342] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2683), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63400] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2671), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63458] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3420), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63516] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3422), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63574] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3424), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63632] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3426), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63690] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3426), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1359), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3428), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63748] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3430), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63806] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3430), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1360), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3432), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63864] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2647), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1362), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2649), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63922] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3434), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [63980] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3434), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1361), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3436), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64038] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2647), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64096] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2439), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64154] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3416), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64212] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2641), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64270] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3438), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1394), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3440), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64328] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64386] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3438), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64444] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2633), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64502] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2659), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1381), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2661), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64560] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3442), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1396), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3444), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64618] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3442), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64676] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3446), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1399), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3448), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64734] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3446), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64792] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3450), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64850] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3452), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64908] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3454), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [64966] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3456), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65024] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3456), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1382), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3458), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65082] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3460), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65140] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3460), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1383), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3462), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65198] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2603), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1385), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2605), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65256] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3464), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1549), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3466), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65314] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3468), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65372] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3468), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1384), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3470), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65430] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2603), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65488] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3472), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65546] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2597), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65604] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3474), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65662] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3464), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65720] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2551), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65778] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3476), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65836] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2563), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [65894] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2193), 1,
      anon_sym_LPAREN,
    ACTIONS(2197), 1,
      anon_sym_DOLLAR,
    ACTIONS(2199), 1,
      sym__special_character,
    ACTIONS(2201), 1,
      anon_sym_DQUOTE,
    ACTIONS(2203), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2205), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2207), 1,
      anon_sym_BQUOTE,
    STATE(2187), 1,
      aux_sym__literal_repeat1,
    STATE(2390), 1,
      sym__expression,
    ACTIONS(2195), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(2209), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2191), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2186), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2412), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [65954] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3478), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66012] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1635), 1,
      anon_sym_LPAREN,
    ACTIONS(1639), 1,
      anon_sym_DOLLAR,
    ACTIONS(1641), 1,
      sym__special_character,
    ACTIONS(1643), 1,
      anon_sym_DQUOTE,
    ACTIONS(1645), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1647), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1649), 1,
      anon_sym_BQUOTE,
    STATE(1699), 1,
      aux_sym__literal_repeat1,
    STATE(2061), 1,
      sym__expression,
    ACTIONS(1637), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1651), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1631), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1736), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2071), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [66072] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2569), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66130] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2557), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66188] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2545), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66246] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2533), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66304] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3480), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66362] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3482), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66420] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3484), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66478] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    ACTIONS(1767), 1,
      sym__special_character,
    STATE(2113), 1,
      aux_sym__literal_repeat1,
    STATE(2190), 1,
      sym__expression,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1765), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [66538] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3486), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66596] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3488), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1478), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3490), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66654] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3486), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1408), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3492), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66712] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3494), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66770] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3494), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1409), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3496), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66828] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2515), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1412), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2517), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66886] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3498), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [66944] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3498), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1410), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3500), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67002] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2515), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67060] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3502), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1443), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3504), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67118] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2509), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67176] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3502), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67234] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2495), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67292] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2533), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1430), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2535), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67350] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2501), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67408] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3506), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1445), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3508), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67466] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3506), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67524] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3510), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1447), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3512), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67582] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3510), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67640] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3488), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67698] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3514), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67756] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3516), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67814] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3518), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67872] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3520), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67930] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3520), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1432), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3522), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [67988] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3524), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68046] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3524), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1433), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3526), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68104] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2471), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1435), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2473), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68162] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3528), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68220] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3528), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1434), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3530), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68278] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2471), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68336] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3532), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68394] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2465), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68452] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3534), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68510] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2413), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68568] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3536), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68626] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2425), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68684] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2313), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68742] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2431), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68800] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2419), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68858] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3538), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1488), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3540), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68916] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2407), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [68974] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3183), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1477), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3542), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69032] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3544), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69090] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3546), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69148] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3548), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69206] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3550), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69264] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3550), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1455), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3552), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69322] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3538), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69380] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3554), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69438] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3554), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1456), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3556), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69496] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2383), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1458), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2385), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69554] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3558), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69612] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3558), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1457), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3560), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69670] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2383), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69728] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3199), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1186), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3562), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69786] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2377), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69844] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2407), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1476), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2409), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69902] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2363), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [69960] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3564), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70018] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3566), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1492), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3568), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70076] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2369), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70134] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3566), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70192] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3570), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1494), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3572), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70250] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3570), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70308] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3574), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70366] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3576), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70424] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3578), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70482] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3580), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70540] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3582), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70598] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3584), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70656] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3584), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1479), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3586), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70714] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3588), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70772] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3588), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1480), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3590), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70830] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2339), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1482), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2341), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70888] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3592), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [70946] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3594), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71004] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3592), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1481), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3596), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71062] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    ACTIONS(1767), 1,
      sym__special_character,
    STATE(2113), 1,
      aux_sym__literal_repeat1,
    STATE(2397), 1,
      sym__expression,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1765), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [71122] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2339), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71180] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3598), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71238] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2307), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71296] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71354] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2281), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71412] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1849), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71470] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1843), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71528] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1725), 1,
      sym__special_character,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    STATE(2047), 1,
      aux_sym__literal_repeat1,
    STATE(2352), 1,
      sym__expression,
    ACTIONS(1721), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [71588] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2293), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71646] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1993), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71704] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2301), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71762] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2287), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71820] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2275), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71878] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3602), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1543), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3604), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71936] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3606), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [71994] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3608), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72052] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3610), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72110] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3612), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72168] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3612), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1505), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3614), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72226] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3616), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72284] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3616), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1506), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3618), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72342] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2251), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1508), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2253), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72400] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3620), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72458] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3620), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1507), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3622), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72516] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2251), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72574] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3602), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72632] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2245), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72690] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2275), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1540), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2277), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72748] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2231), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72806] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1725), 1,
      sym__special_character,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    STATE(2047), 1,
      aux_sym__literal_repeat1,
    STATE(2401), 1,
      sym__expression,
    ACTIONS(1721), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [72866] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2237), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72924] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3624), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1546), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3626), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [72982] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3624), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73040] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1857), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73098] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1863), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73156] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3628), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1548), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3630), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73214] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3632), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73272] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3634), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73330] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3636), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73388] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3638), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73446] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3638), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1527), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3640), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73504] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3642), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73562] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3644), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1589), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3646), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73620] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2193), 1,
      anon_sym_LPAREN,
    ACTIONS(2197), 1,
      anon_sym_DOLLAR,
    ACTIONS(2199), 1,
      sym__special_character,
    ACTIONS(2201), 1,
      anon_sym_DQUOTE,
    ACTIONS(2203), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2205), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2207), 1,
      anon_sym_BQUOTE,
    STATE(2187), 1,
      aux_sym__literal_repeat1,
    STATE(2345), 1,
      sym__expression,
    ACTIONS(2195), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(2209), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2191), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2186), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2412), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [73680] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3642), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1528), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3648), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73738] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2185), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1530), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2187), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73796] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3650), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73854] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3650), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1529), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3652), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73912] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2185), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [73970] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3628), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74028] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2179), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74086] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3644), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74144] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3654), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74202] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3656), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74260] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2145), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74318] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74376] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2159), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74434] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3660), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74492] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3662), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74550] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1863), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1588), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1865), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74608] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3664), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1593), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3666), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74666] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2139), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74724] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3668), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74782] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3670), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74840] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3672), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74898] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3674), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [74956] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3674), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1553), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3676), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75014] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3678), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75072] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3664), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75130] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3678), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1554), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3680), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75188] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2087), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1556), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2089), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75246] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3682), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75304] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3682), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1555), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3684), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75362] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2087), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75420] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_LPAREN,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2101), 1,
      sym__special_character,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    STATE(2177), 1,
      aux_sym__literal_repeat1,
    STATE(2406), 1,
      sym__expression,
    ACTIONS(2097), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2093), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2142), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2394), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [75480] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2075), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75538] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2121), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75596] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2055), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75654] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2081), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75712] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2061), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75770] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2069), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75828] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3686), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1600), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3688), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75886] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3686), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [75944] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2069), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1599), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2071), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76002] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3690), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1602), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3692), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76060] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3694), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76118] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3696), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76176] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3698), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76234] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3700), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76292] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3700), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1576), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3702), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76350] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3704), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76408] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3704), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1577), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3706), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76466] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2031), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1579), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2033), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76524] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3708), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76582] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3708), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1578), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3710), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76640] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2031), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76698] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3712), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1595), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3714), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76756] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3712), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76814] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3716), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76872] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3690), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76930] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2025), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [76988] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3718), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1604), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3720), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77046] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3722), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77104] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2011), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77162] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3724), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77220] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1635), 1,
      anon_sym_LPAREN,
    ACTIONS(1639), 1,
      anon_sym_DOLLAR,
    ACTIONS(1641), 1,
      sym__special_character,
    ACTIONS(1643), 1,
      anon_sym_DQUOTE,
    ACTIONS(1645), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1647), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1649), 1,
      anon_sym_BQUOTE,
    STATE(1699), 1,
      aux_sym__literal_repeat1,
    STATE(2028), 1,
      sym__expression,
    ACTIONS(1637), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1651), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1631), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1736), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2071), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [77280] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1921), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77338] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(2017), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77396] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3718), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77454] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3726), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77512] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1725), 1,
      sym__special_character,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    STATE(2047), 1,
      aux_sym__literal_repeat1,
    STATE(2381), 1,
      sym__expression,
    ACTIONS(1721), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [77572] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3728), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77630] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_LPAREN,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2101), 1,
      sym__special_character,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    STATE(2177), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym__expression,
    ACTIONS(2097), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2093), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2142), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2394), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [77690] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3730), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77748] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1725), 1,
      sym__special_character,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    STATE(2047), 1,
      aux_sym__literal_repeat1,
    STATE(2391), 1,
      sym__expression,
    ACTIONS(1721), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [77808] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3732), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77866] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3734), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77924] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3736), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [77982] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3738), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [78040] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3738), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1606), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3740), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [78098] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3742), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [78156] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3742), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1607), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3744), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [78214] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1981), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1609), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1983), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [78272] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3746), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [78330] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3746), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1608), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3748), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [78388] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1981), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [78446] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2193), 1,
      anon_sym_LPAREN,
    ACTIONS(2197), 1,
      anon_sym_DOLLAR,
    ACTIONS(2199), 1,
      sym__special_character,
    ACTIONS(2201), 1,
      anon_sym_DQUOTE,
    ACTIONS(2203), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2205), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2207), 1,
      anon_sym_BQUOTE,
    STATE(2187), 1,
      aux_sym__literal_repeat1,
    STATE(2388), 1,
      sym__expression,
    ACTIONS(2195), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(2209), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2191), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2186), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2412), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [78506] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1973), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [78564] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    ACTIONS(1767), 1,
      sym__special_character,
    STATE(2113), 1,
      aux_sym__literal_repeat1,
    STATE(2386), 1,
      sym__expression,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1765), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [78624] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1951), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [78682] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_LPAREN,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2101), 1,
      sym__special_character,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    STATE(2177), 1,
      aux_sym__literal_repeat1,
    STATE(2409), 1,
      sym__expression,
    ACTIONS(2097), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2093), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2142), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2394), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [78742] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1959), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [78800] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_LPAREN,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2101), 1,
      sym__special_character,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    STATE(2177), 1,
      aux_sym__literal_repeat1,
    STATE(2371), 1,
      sym__expression,
    ACTIONS(2097), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2093), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2142), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2394), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [78860] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1725), 1,
      sym__special_character,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    STATE(2047), 1,
      aux_sym__literal_repeat1,
    STATE(2368), 1,
      sym__expression,
    ACTIONS(1721), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [78920] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1725), 1,
      sym__special_character,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    STATE(2047), 1,
      aux_sym__literal_repeat1,
    STATE(2374), 1,
      sym__expression,
    ACTIONS(1721), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [78980] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_LPAREN,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2101), 1,
      sym__special_character,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    STATE(2177), 1,
      aux_sym__literal_repeat1,
    STATE(2365), 1,
      sym__expression,
    ACTIONS(2097), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2093), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2142), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2394), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [79040] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1901), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [79098] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_LPAREN,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2101), 1,
      sym__special_character,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    STATE(2177), 1,
      aux_sym__literal_repeat1,
    STATE(2399), 1,
      sym__expression,
    ACTIONS(2097), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2093), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2142), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2394), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [79158] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1725), 1,
      sym__special_character,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    STATE(2047), 1,
      aux_sym__literal_repeat1,
    STATE(2353), 1,
      sym__expression,
    ACTIONS(1721), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [79218] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3750), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [79276] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3752), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [79334] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3754), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [79392] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3756), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [79450] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3756), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1630), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3758), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [79508] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3760), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [79566] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3760), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1631), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3762), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [79624] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1915), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1633), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1917), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [79682] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3764), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [79740] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3764), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1632), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3766), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [79798] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1915), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [79856] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1725), 1,
      sym__special_character,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    STATE(2047), 1,
      aux_sym__literal_repeat1,
    STATE(2129), 1,
      sym__expression,
    ACTIONS(1721), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [79916] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1909), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [79974] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2193), 1,
      anon_sym_LPAREN,
    ACTIONS(2197), 1,
      anon_sym_DOLLAR,
    ACTIONS(2199), 1,
      sym__special_character,
    ACTIONS(2201), 1,
      anon_sym_DQUOTE,
    ACTIONS(2203), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2205), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2207), 1,
      anon_sym_BQUOTE,
    STATE(2187), 1,
      aux_sym__literal_repeat1,
    STATE(2359), 1,
      sym__expression,
    ACTIONS(2195), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(2209), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2191), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2186), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2412), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [80034] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(1893), 1,
      anon_sym_RBRACE,
    STATE(2326), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1292), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(3181), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
  [80092] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    ACTIONS(1767), 1,
      sym__special_character,
    STATE(2113), 1,
      aux_sym__literal_repeat1,
    STATE(2360), 1,
      sym__expression,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1765), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1715), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1837), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(2101), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [80152] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1149), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80189] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3768), 1,
      anon_sym_LF,
    ACTIONS(3774), 1,
      sym_file_descriptor,
    ACTIONS(1165), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3772), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(3770), 10,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
  [80234] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3774), 1,
      sym_file_descriptor,
    ACTIONS(3776), 1,
      anon_sym_LF,
    ACTIONS(1157), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1163), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1165), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1171), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1173), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3772), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [80285] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1277), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1155), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80324] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 1,
      anon_sym_LF,
    ACTIONS(3788), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3791), 1,
      sym_file_descriptor,
    ACTIONS(3785), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1650), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3782), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(3780), 10,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
  [80369] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(3796), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2256), 1,
      sym_string,
    ACTIONS(3794), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(525), 15,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [80410] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3774), 1,
      sym_file_descriptor,
    ACTIONS(3798), 1,
      anon_sym_LF,
    ACTIONS(1157), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1161), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1163), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1165), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(453), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1647), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3772), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [80461] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3800), 1,
      anon_sym_LF,
    ACTIONS(3804), 1,
      sym_file_descriptor,
    ACTIONS(1165), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1199), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1201), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1203), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(453), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1657), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3802), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [80511] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 1,
      anon_sym_LF,
    ACTIONS(3809), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3812), 1,
      sym_file_descriptor,
    ACTIONS(3785), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1654), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3806), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(3780), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
  [80555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3815), 1,
      sym__concat,
    STATE(1673), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1209), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1207), 22,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [80593] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1657), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1149), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80629] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3768), 1,
      anon_sym_LF,
    ACTIONS(3804), 1,
      sym_file_descriptor,
    ACTIONS(1165), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1654), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3802), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(3770), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
  [80673] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1277), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1657), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1155), 18,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80711] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 1,
      anon_sym_LF,
    ACTIONS(3823), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3826), 1,
      sym_file_descriptor,
    ACTIONS(3820), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1659), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3817), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(3780), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [80755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1149), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [80791] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3804), 1,
      sym_file_descriptor,
    ACTIONS(3829), 1,
      anon_sym_LF,
    ACTIONS(1165), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1201), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1203), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1225), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1173), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(1657), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3802), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [80841] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3768), 1,
      anon_sym_LF,
    ACTIONS(3833), 1,
      sym_file_descriptor,
    ACTIONS(1237), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1659), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3831), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(3770), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [80885] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3837), 1,
      sym_file_descriptor,
    ACTIONS(1261), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3768), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1671), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3770), 7,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(3835), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [80928] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_RPAREN,
    ACTIONS(1239), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3833), 1,
      sym_file_descriptor,
    ACTIONS(3839), 1,
      anon_sym_LF,
    ACTIONS(1233), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1235), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1237), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1199), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3831), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [80977] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_BQUOTE,
    ACTIONS(1239), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3833), 1,
      sym_file_descriptor,
    ACTIONS(3841), 1,
      anon_sym_LF,
    ACTIONS(1237), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1507), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1519), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1517), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3831), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [81026] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3843), 1,
      sym__concat,
    STATE(1666), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1189), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1187), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81063] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1507), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1155), 17,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [81100] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3815), 1,
      sym__concat,
    STATE(1673), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3846), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3848), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81137] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 1,
      ts_builtin_sym_end,
    ACTIONS(1263), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3837), 1,
      sym_file_descriptor,
    ACTIONS(3850), 1,
      anon_sym_LF,
    ACTIONS(1257), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1259), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1261), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1255), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1663), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3835), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [81186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(1721), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1207), 23,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
      anon_sym_AMP,
  [81221] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3860), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3863), 1,
      sym_file_descriptor,
    ACTIONS(3778), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3857), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1671), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3780), 7,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(3854), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [81264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3870), 1,
      sym__special_character,
    STATE(1674), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3866), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3868), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81301] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3872), 1,
      sym__concat,
    STATE(1666), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1183), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1181), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81338] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3874), 1,
      sym__special_character,
    STATE(1674), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1342), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1337), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81375] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3815), 1,
      sym__concat,
    STATE(1673), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3877), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3879), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81412] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3870), 1,
      sym__special_character,
    STATE(1674), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3881), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3883), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81449] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3887), 1,
      anon_sym_DQUOTE,
    ACTIONS(3889), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2490), 1,
      sym_string,
    ACTIONS(3885), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(525), 13,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [81488] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3891), 1,
      sym__concat,
    STATE(1719), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1209), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1207), 21,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [81525] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 1,
      anon_sym_BQUOTE,
    ACTIONS(1239), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3833), 1,
      sym_file_descriptor,
    ACTIONS(3893), 1,
      anon_sym_LF,
    ACTIONS(1237), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1507), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1519), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1527), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3831), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [81574] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1277), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1663), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1155), 16,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81611] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3870), 1,
      sym__special_character,
    STATE(1674), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3895), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3897), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3815), 1,
      sym__concat,
    STATE(1673), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3899), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3901), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81685] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(640), 1,
      ts_builtin_sym_end,
    ACTIONS(1263), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3837), 1,
      sym_file_descriptor,
    ACTIONS(3903), 1,
      anon_sym_LF,
    ACTIONS(1257), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1259), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1261), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1267), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1663), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3835), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [81734] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3815), 1,
      sym__concat,
    STATE(1711), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1209), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1207), 21,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [81771] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1663), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1149), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1277), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1155), 17,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81843] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3905), 1,
      sym_word,
    ACTIONS(3912), 1,
      sym_file_descriptor,
    ACTIONS(3915), 1,
      sym_variable_name,
    STATE(3282), 1,
      sym_subscript,
    STATE(1687), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(3907), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(3910), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81886] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 1,
      anon_sym_RPAREN,
    ACTIONS(1239), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3833), 1,
      sym_file_descriptor,
    ACTIONS(3918), 1,
      anon_sym_LF,
    ACTIONS(1233), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1235), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1237), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1225), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3831), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [81935] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3870), 1,
      sym__special_character,
    STATE(1674), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3920), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3922), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81972] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3815), 1,
      sym__concat,
    STATE(1673), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3924), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3926), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1401), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3928), 1,
      sym__concat,
    STATE(1692), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1187), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [82075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1389), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1393), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1397), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1241), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82203] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3833), 1,
      sym_file_descriptor,
    ACTIONS(3931), 1,
      anon_sym_LF,
    ACTIONS(1233), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1235), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1237), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1480), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3831), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [82249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1405), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3935), 1,
      sym__special_character,
    STATE(1737), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3933), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [82315] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3937), 1,
      sym__concat,
    STATE(1710), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1183), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1181), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82351] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3939), 1,
      sym__concat,
    STATE(1700), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3924), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(3926), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82387] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3939), 1,
      sym__concat,
    STATE(1700), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3899), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(3901), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82423] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3833), 1,
      sym_file_descriptor,
    ACTIONS(3941), 1,
      anon_sym_LF,
    ACTIONS(1233), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1235), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1237), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1452), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3831), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [82469] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3833), 1,
      sym_file_descriptor,
    ACTIONS(3943), 1,
      anon_sym_LF,
    ACTIONS(1233), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1235), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1237), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1448), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3831), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [82515] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3833), 1,
      sym_file_descriptor,
    ACTIONS(3945), 1,
      anon_sym_LF,
    ACTIONS(1233), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1235), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1237), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1484), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3831), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [82561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1311), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82593] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3891), 1,
      sym__concat,
    STATE(1719), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3846), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3848), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [82629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1381), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82661] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3947), 1,
      sym__special_character,
    STATE(1712), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3866), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3868), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [82697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3949), 1,
      sym__concat,
    STATE(1710), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1189), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1187), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82733] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3952), 1,
      sym__concat,
    STATE(1666), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1183), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1181), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82769] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3954), 1,
      sym__special_character,
    STATE(1712), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1342), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1337), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [82805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1377), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82837] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3939), 1,
      sym__concat,
    STATE(1700), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1209), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1207), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82873] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3891), 1,
      sym__concat,
    STATE(1719), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3877), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3879), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [82909] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3947), 1,
      sym__special_character,
    STATE(1712), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3881), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3883), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [82945] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3962), 1,
      anon_sym_DOLLAR,
    ACTIONS(3965), 1,
      sym__special_character,
    ACTIONS(3968), 1,
      anon_sym_DQUOTE,
    ACTIONS(3971), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3974), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3977), 1,
      anon_sym_BQUOTE,
    STATE(2498), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3980), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1717), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3957), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(3960), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(2423), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3983), 1,
      sym__concat,
    STATE(1718), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1189), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1187), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [83033] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3986), 1,
      sym__concat,
    STATE(1718), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1183), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1181), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [83069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1373), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83101] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3988), 1,
      sym__concat,
    STATE(1692), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1181), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [83135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1385), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83167] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3990), 1,
      sym__concat,
    STATE(1810), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1209), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1207), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [83203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1367), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1363), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1359), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1207), 22,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [83331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1303), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1307), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83395] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3833), 1,
      sym_file_descriptor,
    ACTIONS(3992), 1,
      anon_sym_LF,
    ACTIONS(1233), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1235), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1237), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1496), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3831), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [83441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1355), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1355), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1351), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1333), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1315), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83601] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(1721), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3994), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [83635] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3996), 1,
      sym__special_character,
    STATE(1737), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1337), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [83669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1347), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1319), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1327), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83765] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3833), 1,
      sym_file_descriptor,
    ACTIONS(3999), 1,
      anon_sym_LF,
    ACTIONS(1233), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1235), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1237), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1503), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1662), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3831), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [83811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3891), 1,
      sym__concat,
    STATE(1719), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3899), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3901), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [83847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1323), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1187), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83911] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3891), 1,
      sym__concat,
    STATE(1719), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3924), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3926), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [83947] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3815), 1,
      sym__concat,
    STATE(1711), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3846), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3848), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [83983] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3887), 1,
      anon_sym_DQUOTE,
    ACTIONS(4005), 1,
      anon_sym_DOLLAR,
    ACTIONS(4007), 1,
      sym__special_character,
    ACTIONS(4009), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4011), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4013), 1,
      anon_sym_BQUOTE,
    STATE(2498), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4015), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1717), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4001), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(4003), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(2423), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84035] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3815), 1,
      sym__concat,
    STATE(1711), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3877), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3879), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84071] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3947), 1,
      sym__special_character,
    STATE(1712), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3920), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3922), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [84107] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3815), 1,
      sym__concat,
    STATE(1711), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3899), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3901), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84143] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3815), 1,
      sym__concat,
    STATE(1711), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3924), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3926), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3947), 1,
      sym__special_character,
    STATE(1712), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3895), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3897), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [84215] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3887), 1,
      anon_sym_DQUOTE,
    ACTIONS(4005), 1,
      anon_sym_DOLLAR,
    ACTIONS(4007), 1,
      sym__special_character,
    ACTIONS(4009), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4011), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4013), 1,
      anon_sym_BQUOTE,
    STATE(2498), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4015), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1717), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4001), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(4017), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(2423), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84267] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3887), 1,
      anon_sym_DQUOTE,
    ACTIONS(4005), 1,
      anon_sym_DOLLAR,
    ACTIONS(4007), 1,
      sym__special_character,
    ACTIONS(4009), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4011), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4013), 1,
      anon_sym_BQUOTE,
    STATE(2498), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4015), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1717), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4001), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(4019), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(2423), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84319] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4023), 1,
      sym__concat,
    STATE(1761), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1207), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1209), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [84354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1311), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [84385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4027), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4029), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4031), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84447] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4033), 1,
      sym__special_character,
    STATE(1889), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3920), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3922), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84482] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3990), 1,
      sym__concat,
    STATE(1810), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3924), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3926), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84517] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4035), 1,
      sym__concat,
    STATE(1776), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1181), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1183), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4033), 1,
      sym__special_character,
    STATE(1889), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3895), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3897), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4037), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4039), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84618] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3990), 1,
      sym__concat,
    STATE(1810), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3899), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3901), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4041), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4043), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4045), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4047), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4051), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4055), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4057), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4059), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4061), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4063), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4033), 1,
      sym__special_character,
    STATE(1889), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3881), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3883), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84874] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4065), 1,
      sym__special_character,
    STATE(1772), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1337), 18,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84909] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3990), 1,
      sym__concat,
    STATE(1810), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3877), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3879), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [84944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 1,
      sym__concat,
    ACTIONS(1303), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [84975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1373), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85006] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4068), 1,
      sym__concat,
    STATE(1776), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1187), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1189), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [85041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4071), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4073), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4075), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4077), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1405), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1401), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 1,
      sym__concat,
    ACTIONS(1307), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [85196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4079), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4081), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      sym__concat,
    ACTIONS(1187), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [85258] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(4085), 1,
      anon_sym_esac,
    ACTIONS(4087), 1,
      sym__special_character,
    STATE(2916), 1,
      aux_sym__literal_repeat1,
    STATE(3044), 1,
      sym_concatenation,
    STATE(3403), 1,
      sym_last_case_item,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2024), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4083), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2924), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 1,
      sym__concat,
    ACTIONS(1311), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [85344] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym__special_character,
    ACTIONS(4089), 1,
      anon_sym_esac,
    STATE(2916), 1,
      aux_sym__literal_repeat1,
    STATE(3044), 1,
      sym_concatenation,
    STATE(3433), 1,
      sym_last_case_item,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2046), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4083), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2924), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4091), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4093), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4095), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4097), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4101), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4103), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4105), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 1,
      sym__concat,
    ACTIONS(1315), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [85554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 1,
      sym__concat,
    ACTIONS(1319), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [85585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3877), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3879), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4107), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4109), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4111), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4113), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1241), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1397), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4115), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4117), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4119), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4121), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [85802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1333), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [85833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1393), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1389), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1385), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1381), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1377), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4123), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4125), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 1,
      sym__concat,
    ACTIONS(1323), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [86050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 1,
      sym__concat,
    ACTIONS(1327), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [86081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4127), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4129), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86112] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4131), 1,
      sym__concat,
    STATE(1815), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1183), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1181), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1367), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1363), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4133), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4135), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1359), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86271] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4137), 1,
      sym__concat,
    STATE(1815), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1189), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1187), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1319), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4140), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4142), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 1,
      sym__concat,
    ACTIONS(1347), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [86399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4144), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4146), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1315), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1355), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1355), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1351), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1347), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1311), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 1,
      sym__concat,
    ACTIONS(1351), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [86647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 1,
      sym__concat,
    ACTIONS(1355), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [86678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 1,
      sym__concat,
    ACTIONS(1355), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [86709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 1,
      sym__concat,
    ACTIONS(1359), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [86740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1187), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4148), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4150), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4152), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4154), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 1,
      sym__concat,
    ACTIONS(1363), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [86864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4158), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4160), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4162), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [86926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      sym__concat,
    ACTIONS(1367), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [86957] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4023), 1,
      sym__concat,
    STATE(1761), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3994), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4164), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [86992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4168), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4170), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4172), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4174), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4176), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87085] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym__special_character,
    ACTIONS(4178), 1,
      anon_sym_esac,
    STATE(2916), 1,
      aux_sym__literal_repeat1,
    STATE(3044), 1,
      sym_concatenation,
    STATE(3295), 1,
      sym_last_case_item,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1966), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4083), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2924), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1333), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [87171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 1,
      sym__concat,
    ACTIONS(1373), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [87202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1307), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [87233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1207), 21,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [87264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1405), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [87295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1401), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [87326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1241), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [87357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1397), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [87388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1393), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [87419] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3939), 1,
      sym__concat,
    STATE(1700), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1227), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [87454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      sym__concat,
    ACTIONS(1377), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [87485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 1,
      sym__concat,
    ACTIONS(1381), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [87516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 1,
      sym__concat,
    ACTIONS(1385), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [87547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1389), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [87578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1385), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [87609] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym__special_character,
    ACTIONS(4180), 1,
      anon_sym_esac,
    STATE(2916), 1,
      aux_sym__literal_repeat1,
    STATE(3044), 1,
      sym_concatenation,
    STATE(3322), 1,
      sym_last_case_item,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1992), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4083), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2924), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1303), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [87695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1327), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [87726] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym__special_character,
    ACTIONS(4182), 1,
      anon_sym_esac,
    STATE(2916), 1,
      aux_sym__literal_repeat1,
    STATE(3044), 1,
      sym_concatenation,
    STATE(3379), 1,
      sym_last_case_item,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1991), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4083), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2924), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87781] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym__special_character,
    ACTIONS(4184), 1,
      anon_sym_esac,
    STATE(2916), 1,
      aux_sym__literal_repeat1,
    STATE(3044), 1,
      sym_concatenation,
    STATE(3375), 1,
      sym_last_case_item,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1989), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4083), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2924), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_word,
    ACTIONS(1323), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [87867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4186), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4188), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4190), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4192), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4194), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4196), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [87960] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4198), 1,
      sym__special_character,
    STATE(1772), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3895), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(3897), 18,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [87995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4200), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4202), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [88026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4204), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4206), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [88057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1381), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1377), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3899), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3901), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [88150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1373), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1367), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1363), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3926), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [88274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      sym__concat,
    ACTIONS(1389), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 1,
      sym__concat,
    ACTIONS(1393), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 1,
      sym__concat,
    ACTIONS(1397), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1359), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 1,
      sym__concat,
    ACTIONS(1241), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88429] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym__special_character,
    ACTIONS(4208), 1,
      anon_sym_esac,
    STATE(2916), 1,
      aux_sym__literal_repeat1,
    STATE(3044), 1,
      sym_concatenation,
    STATE(3347), 1,
      sym_last_case_item,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1913), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4083), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2924), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 1,
      sym__concat,
    ACTIONS(1401), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88515] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym__special_character,
    ACTIONS(4210), 1,
      anon_sym_esac,
    STATE(2916), 1,
      aux_sym__literal_repeat1,
    STATE(3044), 1,
      sym_concatenation,
    STATE(3342), 1,
      sym_last_case_item,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1982), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4083), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2924), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1355), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1355), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1351), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1347), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [88694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 1,
      sym__concat,
    ACTIONS(1405), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [88725] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4212), 1,
      sym__special_character,
    STATE(1889), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1337), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [88760] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym__special_character,
    ACTIONS(4215), 1,
      anon_sym_esac,
    STATE(2916), 1,
      aux_sym__literal_repeat1,
    STATE(3044), 1,
      sym_concatenation,
    STATE(3412), 1,
      sym_last_case_item,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1919), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4083), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2924), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88815] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4198), 1,
      sym__special_character,
    STATE(1772), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3920), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(3922), 18,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [88850] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym__special_character,
    ACTIONS(4217), 1,
      anon_sym_esac,
    STATE(2916), 1,
      aux_sym__literal_repeat1,
    STATE(3044), 1,
      sym_concatenation,
    STATE(3411), 1,
      sym_last_case_item,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1920), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4083), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2924), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3846), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3848), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [88936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4219), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4221), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [88967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 23,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
      anon_sym_AMP,
  [88996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 1,
      sym__concat,
    ACTIONS(1333), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [89027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1327), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89058] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym__special_character,
    ACTIONS(4223), 1,
      anon_sym_esac,
    STATE(2916), 1,
      aux_sym__literal_repeat1,
    STATE(3044), 1,
      sym_concatenation,
    STATE(3343), 1,
      sym_last_case_item,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1925), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4083), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2924), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89113] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym__special_character,
    ACTIONS(4225), 1,
      anon_sym_esac,
    STATE(2916), 1,
      aux_sym__literal_repeat1,
    STATE(3044), 1,
      sym_concatenation,
    STATE(3338), 1,
      sym_last_case_item,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1936), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4083), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2924), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4227), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4229), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [89199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1323), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1319), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1315), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4231), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4233), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [89323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1187), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4033), 1,
      sym__special_character,
    STATE(1889), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3866), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3868), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [89389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1307), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4237), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [89451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1303), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4239), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4241), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [89513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4243), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4245), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [89544] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3990), 1,
      sym__concat,
    STATE(1810), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3846), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3848), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [89579] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym__special_character,
    ACTIONS(4247), 1,
      sym_word,
    STATE(2916), 1,
      aux_sym__literal_repeat1,
    STATE(3044), 1,
      sym_concatenation,
    STATE(3315), 1,
      sym_last_case_item,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4083), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2093), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2924), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(3926), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [89663] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_DOLLAR,
    ACTIONS(537), 1,
      sym__special_character,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(541), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(543), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(545), 1,
      anon_sym_BQUOTE,
    ACTIONS(4249), 1,
      sym_word,
    ACTIONS(4251), 1,
      anon_sym_LPAREN,
    ACTIONS(4255), 1,
      sym__empty_value,
    STATE(381), 1,
      aux_sym__literal_repeat1,
    ACTIONS(547), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4253), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(736), 2,
      sym_concatenation,
      sym_array,
    STATE(306), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89717] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_DQUOTE,
    ACTIONS(4261), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2523), 1,
      sym_string,
    ACTIONS(4257), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(525), 10,
      anon_sym_RPAREN,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4263), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [89781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4243), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4245), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89811] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym__special_character,
    ACTIONS(4247), 1,
      sym_word,
    STATE(2916), 1,
      aux_sym__literal_repeat1,
    STATE(3044), 1,
      sym_concatenation,
    STATE(3459), 1,
      sym_last_case_item,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4083), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2093), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2924), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89865] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym__special_character,
    ACTIONS(4247), 1,
      sym_word,
    STATE(2916), 1,
      aux_sym__literal_repeat1,
    STATE(3044), 1,
      sym_concatenation,
    STATE(3451), 1,
      sym_last_case_item,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4083), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2093), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2924), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89919] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4265), 1,
      sym__concat,
    STATE(2096), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1207), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1209), 15,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [89953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4239), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4241), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [89983] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4267), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [90015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4237), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [90045] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym__special_character,
    ACTIONS(4247), 1,
      sym_word,
    STATE(2916), 1,
      aux_sym__literal_repeat1,
    STATE(3044), 1,
      sym_concatenation,
    STATE(3412), 1,
      sym_last_case_item,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4083), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2093), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2924), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [90099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4200), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4202), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [90129] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1385), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [90159] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1381), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [90189] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4275), 1,
      anon_sym_QMARK,
    ACTIONS(4273), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4269), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4271), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [90225] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4275), 1,
      anon_sym_QMARK,
    ACTIONS(4273), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4279), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4271), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [90261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4160), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4162), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [90291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4158), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [90321] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1377), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1379), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [90351] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1373), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1375), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [90381] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_DQUOTE,
    ACTIONS(4281), 1,
      sym_word,
    ACTIONS(4283), 1,
      anon_sym_LPAREN,
    ACTIONS(4285), 1,
      anon_sym_DOLLAR,
    ACTIONS(4287), 1,
      sym__special_character,
    ACTIONS(4291), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4293), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4295), 1,
      anon_sym_BQUOTE,
    ACTIONS(4299), 1,
      sym__empty_value,
    STATE(2029), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4289), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4297), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2137), 2,
      sym_concatenation,
      sym_array,
    STATE(1851), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [90435] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym__special_character,
    ACTIONS(4247), 1,
      sym_word,
    STATE(2916), 1,
      aux_sym__literal_repeat1,
    STATE(3044), 1,
      sym_concatenation,
    STATE(3411), 1,
      sym_last_case_item,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4083), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2093), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2924), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [90489] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4301), 1,
      sym__special_character,
    STATE(1937), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1337), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1342), 15,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [90523] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1333), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1335), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [90553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4304), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [90581] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1307), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1309), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [90611] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1303), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1305), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [90641] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1327), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1329), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [90671] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1323), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1325), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [90701] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4306), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [90733] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4275), 1,
      anon_sym_QMARK,
    ACTIONS(4273), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4308), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4271), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [90769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4079), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4081), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [90799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4091), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4093), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [90829] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4310), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [90861] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_DQUOTE,
    ACTIONS(4312), 1,
      sym_word,
    ACTIONS(4314), 1,
      anon_sym_LPAREN,
    ACTIONS(4316), 1,
      anon_sym_DOLLAR,
    ACTIONS(4318), 1,
      sym__special_character,
    ACTIONS(4322), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4324), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4326), 1,
      anon_sym_BQUOTE,
    ACTIONS(4330), 1,
      sym__empty_value,
    STATE(743), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4320), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4328), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(771), 2,
      sym_concatenation,
      sym_array,
    STATE(495), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [90915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4168), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [90945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4152), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4154), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [90975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4332), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4095), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4097), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [91037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4148), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4150), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [91067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4101), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [91097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4103), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4105), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [91127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1401), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [91157] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4275), 1,
      anon_sym_QMARK,
    ACTIONS(4273), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4334), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4271), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [91193] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4336), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91225] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4338), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91257] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4275), 1,
      anon_sym_QMARK,
    ACTIONS(4273), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4340), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4271), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [91293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4342), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4144), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4146), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [91355] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(493), 1,
      anon_sym_DOLLAR,
    ACTIONS(495), 1,
      sym__special_character,
    ACTIONS(497), 1,
      anon_sym_DQUOTE,
    ACTIONS(499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(503), 1,
      anon_sym_BQUOTE,
    ACTIONS(4344), 1,
      sym_word,
    ACTIONS(4346), 1,
      anon_sym_LPAREN,
    ACTIONS(4350), 1,
      sym__empty_value,
    STATE(300), 1,
      aux_sym__literal_repeat1,
    ACTIONS(505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4348), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(477), 2,
      sym_concatenation,
      sym_array,
    STATE(290), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [91409] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4352), 1,
      sym__concat,
    STATE(2201), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1207), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1209), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [91443] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym__special_character,
    ACTIONS(4247), 1,
      sym_word,
    STATE(2916), 1,
      aux_sym__literal_repeat1,
    STATE(3044), 1,
      sym_concatenation,
    STATE(3441), 1,
      sym_last_case_item,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4083), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2093), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2924), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [91497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4140), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4142), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [91527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3877), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3879), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [91557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4107), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4109), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [91587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4111), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4113), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [91617] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1367), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1369), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [91647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4127), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4129), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [91677] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1363), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1365), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [91707] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4354), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91739] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1359), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1361), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [91769] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1319), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1321), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [91799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1207), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91829] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1187), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1189), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [91859] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4023), 1,
      sym__concat,
    STATE(1761), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1207), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1209), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [91893] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4356), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4358), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91957] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym__special_character,
    ACTIONS(4247), 1,
      sym_word,
    STATE(2916), 1,
      aux_sym__literal_repeat1,
    STATE(3044), 1,
      sym_concatenation,
    STATE(3313), 1,
      sym_last_case_item,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4083), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2093), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2924), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [92011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4231), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4233), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [92041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4075), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4077), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [92071] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1405), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1407), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [92101] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4360), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [92133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4115), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4117), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [92163] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1401), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1403), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [92193] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym__special_character,
    ACTIONS(4247), 1,
      sym_word,
    STATE(2916), 1,
      aux_sym__literal_repeat1,
    STATE(3044), 1,
      sym_concatenation,
    STATE(3342), 1,
      sym_last_case_item,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4083), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2093), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2924), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [92247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4071), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4073), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [92277] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym__special_character,
    ACTIONS(4247), 1,
      sym_word,
    STATE(2916), 1,
      aux_sym__literal_repeat1,
    STATE(3044), 1,
      sym_concatenation,
    STATE(3347), 1,
      sym_last_case_item,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4083), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2093), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2924), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [92331] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym__special_character,
    ACTIONS(4247), 1,
      sym_word,
    STATE(2916), 1,
      aux_sym__literal_repeat1,
    STATE(3044), 1,
      sym_concatenation,
    STATE(3460), 1,
      sym_last_case_item,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4083), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2093), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2924), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [92385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4119), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4121), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [92415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4133), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4135), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [92445] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1311), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1313), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [92475] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4362), 1,
      sym__special_character,
    STATE(1996), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1337), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1342), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [92509] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1347), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1349), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [92539] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4275), 1,
      anon_sym_QMARK,
    ACTIONS(4273), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4365), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4271), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [92575] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4367), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [92607] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1351), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1353), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [92637] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1355), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1357), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [92667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4369), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [92699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4371), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [92731] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4373), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [92763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4061), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4063), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [92793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1207), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [92823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1405), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [92853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4186), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4188), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [92883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4057), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4059), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [92913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1241), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [92943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1397), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [92973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1393), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [93003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4375), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [93035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1389), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [93065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4377), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [93097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1385), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [93127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1381), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [93157] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [93189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1377), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [93219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1373), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [93249] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1355), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1357), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [93279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1367), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [93309] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1315), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1317), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [93339] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym__special_character,
    ACTIONS(4247), 1,
      sym_word,
    STATE(2916), 1,
      aux_sym__literal_repeat1,
    STATE(3044), 1,
      sym_concatenation,
    STATE(3322), 1,
      sym_last_case_item,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4083), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2093), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2924), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [93393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1363), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [93423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4055), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3899), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(3901), 19,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [93483] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4275), 1,
      anon_sym_QMARK,
    ACTIONS(4273), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4381), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4271), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [93519] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4198), 1,
      sym__special_character,
    STATE(1772), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1273), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1269), 17,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [93553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1359), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [93583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4029), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4031), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93613] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4383), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [93645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1355), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [93675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1355), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [93705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4051), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93735] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 1,
      anon_sym_DQUOTE,
    ACTIONS(4385), 1,
      sym_word,
    ACTIONS(4387), 1,
      anon_sym_LPAREN,
    ACTIONS(4389), 1,
      anon_sym_DOLLAR,
    ACTIONS(4391), 1,
      sym__special_character,
    ACTIONS(4395), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4397), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4399), 1,
      anon_sym_BQUOTE,
    ACTIONS(4403), 1,
      sym__empty_value,
    STATE(423), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4393), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4401), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(565), 2,
      sym_concatenation,
      sym_array,
    STATE(296), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [93789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1351), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [93819] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4275), 1,
      anon_sym_QMARK,
    ACTIONS(4273), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4405), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4271), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [93855] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(698), 1,
      anon_sym_DOLLAR,
    ACTIONS(700), 1,
      sym__special_character,
    ACTIONS(702), 1,
      anon_sym_DQUOTE,
    ACTIONS(704), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(706), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(708), 1,
      anon_sym_BQUOTE,
    ACTIONS(4407), 1,
      sym_word,
    ACTIONS(4409), 1,
      anon_sym_LPAREN,
    ACTIONS(4413), 1,
      sym__empty_value,
    STATE(653), 1,
      aux_sym__literal_repeat1,
    ACTIONS(710), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4411), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(822), 2,
      sym_concatenation,
      sym_array,
    STATE(478), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [93909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4045), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4047), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3926), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1347), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [93999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1333), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [94029] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4415), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [94061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4123), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4125), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94091] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym__special_character,
    ACTIONS(4247), 1,
      sym_word,
    STATE(2916), 1,
      aux_sym__literal_repeat1,
    STATE(3044), 1,
      sym_concatenation,
    STATE(3295), 1,
      sym_last_case_item,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4083), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2093), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2924), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [94145] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4419), 1,
      sym__special_character,
    STATE(1937), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3933), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 15,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [94179] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4421), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [94211] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4275), 1,
      anon_sym_QMARK,
    ACTIONS(4273), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4423), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4271), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [94247] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4425), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [94279] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1241), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1243), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [94309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4427), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [94341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [94373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3899), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3901), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94403] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1397), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1399), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [94433] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4431), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [94465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4433), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [94493] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4435), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [94525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1327), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [94555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1323), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [94585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4433), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [94613] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4437), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [94645] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1393), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1395), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [94675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4219), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4221), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4439), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [94733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3846), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3848), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94763] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(927), 1,
      anon_sym_DQUOTE,
    ACTIONS(4441), 1,
      sym_word,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4445), 1,
      anon_sym_DOLLAR,
    ACTIONS(4447), 1,
      sym__special_character,
    ACTIONS(4451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4455), 1,
      anon_sym_BQUOTE,
    ACTIONS(4459), 1,
      sym__empty_value,
    STATE(812), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4449), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4457), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(893), 2,
      sym_concatenation,
      sym_array,
    STATE(668), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [94817] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1389), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1391), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [94847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4041), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4043), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4170), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4172), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3994), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [94935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4027), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4204), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4206), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4194), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4196), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [95025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1319), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4461), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [95087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1315), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4190), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4192), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [95147] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(4463), 1,
      sym_word,
    ACTIONS(4465), 1,
      anon_sym_LPAREN,
    ACTIONS(4467), 1,
      anon_sym_DOLLAR,
    ACTIONS(4469), 1,
      sym__special_character,
    ACTIONS(4473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4477), 1,
      anon_sym_BQUOTE,
    ACTIONS(4481), 1,
      sym__empty_value,
    STATE(751), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4471), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(894), 2,
      sym_concatenation,
      sym_array,
    STATE(734), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95201] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4483), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [95233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4485), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [95265] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4275), 1,
      anon_sym_QMARK,
    ACTIONS(4273), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4487), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4271), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [95301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1303), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4174), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4176), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [95361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1307), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4037), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4039), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [95421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1311), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95451] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4489), 1,
      sym__concat,
    STATE(2088), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1187), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1189), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [95485] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4492), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1147), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [95517] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(622), 1,
      anon_sym_DOLLAR,
    ACTIONS(624), 1,
      sym__special_character,
    ACTIONS(626), 1,
      anon_sym_DQUOTE,
    ACTIONS(628), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(630), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(632), 1,
      anon_sym_BQUOTE,
    ACTIONS(4494), 1,
      sym_word,
    ACTIONS(4496), 1,
      anon_sym_LPAREN,
    ACTIONS(4500), 1,
      sym__empty_value,
    STATE(554), 1,
      aux_sym__literal_repeat1,
    ACTIONS(634), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4498), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(779), 2,
      sym_concatenation,
      sym_array,
    STATE(385), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1187), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4227), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4229), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [95631] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      sym_word,
    ACTIONS(4505), 1,
      anon_sym_DOLLAR,
    ACTIONS(4508), 1,
      sym__special_character,
    ACTIONS(4511), 1,
      anon_sym_DQUOTE,
    ACTIONS(4517), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4520), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4523), 1,
      anon_sym_BQUOTE,
    STATE(2943), 1,
      aux_sym__literal_repeat1,
    STATE(3138), 1,
      sym_concatenation,
    ACTIONS(4514), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4526), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2093), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2942), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95682] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1187), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1189), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [95711] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1307), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1309), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [95740] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4529), 1,
      sym__concat,
    STATE(2088), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1181), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1183), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [95773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4144), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4146), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95802] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1303), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1305), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [95831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4140), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4142), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1468), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [95889] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(3994), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4164), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [95918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4127), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4129), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [95947] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_DQUOTE,
    ACTIONS(4531), 1,
      sym_word,
    ACTIONS(4533), 1,
      anon_sym_RPAREN,
    ACTIONS(4535), 1,
      anon_sym_DOLLAR,
    ACTIONS(4537), 1,
      sym__special_character,
    ACTIONS(4541), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4543), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4545), 1,
      anon_sym_BQUOTE,
    STATE(2551), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4539), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4547), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2112), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2515), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4075), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4077), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4071), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4073), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4103), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4105), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96085] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1311), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1313), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [96114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4549), 1,
      sym__concat,
    STATE(2180), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1181), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [96145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4158), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4101), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4160), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4162), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96232] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_DQUOTE,
    ACTIONS(4531), 1,
      sym_word,
    ACTIONS(4535), 1,
      anon_sym_DOLLAR,
    ACTIONS(4537), 1,
      sym__special_character,
    ACTIONS(4541), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4543), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4545), 1,
      anon_sym_BQUOTE,
    ACTIONS(4551), 1,
      anon_sym_RPAREN,
    STATE(2551), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4539), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4547), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2198), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2515), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96283] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4553), 1,
      sym__special_character,
    STATE(2204), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3933), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [96316] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1315), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1317), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [96345] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1319), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1321), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [96374] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_DQUOTE,
    ACTIONS(4531), 1,
      sym_word,
    ACTIONS(4535), 1,
      anon_sym_DOLLAR,
    ACTIONS(4537), 1,
      sym__special_character,
    ACTIONS(4541), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4543), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4545), 1,
      anon_sym_BQUOTE,
    ACTIONS(4555), 1,
      anon_sym_RPAREN,
    STATE(2551), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4539), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4547), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2139), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2515), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96425] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4557), 1,
      sym__concat,
    STATE(2108), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1207), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [96456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      sym__concat,
    ACTIONS(4559), 20,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [96485] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_DQUOTE,
    ACTIONS(4531), 1,
      sym_word,
    ACTIONS(4535), 1,
      anon_sym_DOLLAR,
    ACTIONS(4537), 1,
      sym__special_character,
    ACTIONS(4541), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4543), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4545), 1,
      anon_sym_BQUOTE,
    ACTIONS(4563), 1,
      anon_sym_RPAREN,
    STATE(2551), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4539), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4547), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2198), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2515), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4037), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4039), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4133), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4135), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4061), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4063), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96623] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_DQUOTE,
    ACTIONS(4531), 1,
      sym_word,
    ACTIONS(4535), 1,
      anon_sym_DOLLAR,
    ACTIONS(4537), 1,
      sym__special_character,
    ACTIONS(4541), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4543), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4545), 1,
      anon_sym_BQUOTE,
    ACTIONS(4565), 1,
      anon_sym_RPAREN,
    STATE(2551), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4539), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4547), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2198), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2515), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4569), 1,
      sym__concat,
    ACTIONS(4567), 20,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [96703] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_DQUOTE,
    ACTIONS(4531), 1,
      sym_word,
    ACTIONS(4535), 1,
      anon_sym_DOLLAR,
    ACTIONS(4537), 1,
      sym__special_character,
    ACTIONS(4541), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4543), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4545), 1,
      anon_sym_BQUOTE,
    ACTIONS(4571), 1,
      anon_sym_RPAREN,
    STATE(2551), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4539), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4547), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2119), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2515), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4095), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4097), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4123), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4125), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96812] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4439), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4573), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [96841] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4433), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4575), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [96870] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1351), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1353), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [96899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1474), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [96928] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4433), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4575), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [96957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4243), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4245), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [96986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4119), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4121), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4115), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4117), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4057), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4059), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 3,
      sym_file_descriptor,
      sym_variable_name,
      sym_word,
    ACTIONS(1227), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [97102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4152), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4154), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97131] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_DQUOTE,
    ACTIONS(4531), 1,
      sym_word,
    ACTIONS(4535), 1,
      anon_sym_DOLLAR,
    ACTIONS(4537), 1,
      sym__special_character,
    ACTIONS(4541), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4543), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4545), 1,
      anon_sym_BQUOTE,
    ACTIONS(4577), 1,
      anon_sym_RPAREN,
    STATE(2551), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4539), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4547), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2198), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2515), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4168), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4091), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4093), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97240] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4265), 1,
      sym__concat,
    STATE(2096), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3994), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4164), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4079), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4081), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4055), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4045), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4047), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97360] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4579), 1,
      sym__special_character,
    STATE(2146), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1337), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1342), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97393] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_DQUOTE,
    ACTIONS(4531), 1,
      sym_word,
    ACTIONS(4535), 1,
      anon_sym_DOLLAR,
    ACTIONS(4537), 1,
      sym__special_character,
    ACTIONS(4541), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4543), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4545), 1,
      anon_sym_BQUOTE,
    ACTIONS(4582), 1,
      anon_sym_RPAREN,
    STATE(2551), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4539), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4547), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2198), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2515), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97444] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_DQUOTE,
    ACTIONS(4531), 1,
      sym_word,
    ACTIONS(4535), 1,
      anon_sym_DOLLAR,
    ACTIONS(4537), 1,
      sym__special_character,
    ACTIONS(4541), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4543), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4545), 1,
      anon_sym_BQUOTE,
    ACTIONS(4584), 1,
      anon_sym_RPAREN,
    STATE(2551), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4539), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4547), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2157), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2515), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97495] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4557), 1,
      sym__concat,
    STATE(2108), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4586), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [97526] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1323), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1325), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97555] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_DQUOTE,
    ACTIONS(4531), 1,
      sym_word,
    ACTIONS(4535), 1,
      anon_sym_DOLLAR,
    ACTIONS(4537), 1,
      sym__special_character,
    ACTIONS(4541), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4543), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4545), 1,
      anon_sym_BQUOTE,
    ACTIONS(4588), 1,
      anon_sym_RPAREN,
    STATE(2551), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4539), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4547), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2123), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2515), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97606] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1327), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1329), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97635] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1207), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1209), 15,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [97664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4227), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4229), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4174), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4176), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4186), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4188), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97751] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_DQUOTE,
    ACTIONS(4531), 1,
      sym_word,
    ACTIONS(4535), 1,
      anon_sym_DOLLAR,
    ACTIONS(4537), 1,
      sym__special_character,
    ACTIONS(4541), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4543), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4545), 1,
      anon_sym_BQUOTE,
    ACTIONS(4590), 1,
      anon_sym_RPAREN,
    STATE(2551), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4539), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4547), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2198), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2515), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97802] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1333), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1335), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97831] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4592), 1,
      sym__concat,
    STATE(2159), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1187), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1189), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [97864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4041), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4043), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4239), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4241), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [97922] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_DQUOTE,
    ACTIONS(4531), 1,
      sym_word,
    ACTIONS(4535), 1,
      anon_sym_DOLLAR,
    ACTIONS(4537), 1,
      sym__special_character,
    ACTIONS(4541), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4543), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4545), 1,
      anon_sym_BQUOTE,
    ACTIONS(4595), 1,
      anon_sym_RPAREN,
    STATE(2551), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4539), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4547), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2147), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2515), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4190), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4192), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98002] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1347), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1349), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4194), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4196), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4200), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4202), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4111), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4113), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98118] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1355), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1357), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4027), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4107), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4109), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3877), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3879), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4148), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4150), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98263] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4263), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4597), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98292] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_DQUOTE,
    ACTIONS(4531), 1,
      sym_word,
    ACTIONS(4535), 1,
      anon_sym_DOLLAR,
    ACTIONS(4537), 1,
      sym__special_character,
    ACTIONS(4541), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4543), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4545), 1,
      anon_sym_BQUOTE,
    ACTIONS(4599), 1,
      anon_sym_RPAREN,
    STATE(2551), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4539), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4547), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2198), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2515), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98343] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1355), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1357), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4170), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4172), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98401] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4601), 1,
      sym__special_character,
    STATE(1996), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3933), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98434] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_DQUOTE,
    ACTIONS(4531), 1,
      sym_word,
    ACTIONS(4535), 1,
      anon_sym_DOLLAR,
    ACTIONS(4537), 1,
      sym__special_character,
    ACTIONS(4541), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4543), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4545), 1,
      anon_sym_BQUOTE,
    ACTIONS(4603), 1,
      anon_sym_RPAREN,
    STATE(2551), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4539), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4547), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2181), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2515), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4204), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4206), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4605), 1,
      sym__concat,
    STATE(2180), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1187), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [98545] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_DQUOTE,
    ACTIONS(4531), 1,
      sym_word,
    ACTIONS(4535), 1,
      anon_sym_DOLLAR,
    ACTIONS(4537), 1,
      sym__special_character,
    ACTIONS(4541), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4543), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4545), 1,
      anon_sym_BQUOTE,
    ACTIONS(4608), 1,
      anon_sym_RPAREN,
    STATE(2551), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4539), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4547), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2198), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2515), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4051), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4612), 1,
      sym__concat,
    ACTIONS(4610), 20,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [98654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4616), 1,
      sym__concat,
    ACTIONS(4614), 20,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [98683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4237), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98712] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4352), 1,
      sym__concat,
    STATE(2201), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3994), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4164), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98745] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4618), 1,
      sym__special_character,
    STATE(2146), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3933), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4417), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98778] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_DQUOTE,
    ACTIONS(4531), 1,
      sym_word,
    ACTIONS(4535), 1,
      anon_sym_DOLLAR,
    ACTIONS(4537), 1,
      sym__special_character,
    ACTIONS(4541), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4543), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4545), 1,
      anon_sym_BQUOTE,
    ACTIONS(4620), 1,
      anon_sym_RPAREN,
    STATE(2551), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4539), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4547), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2174), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2515), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98829] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1359), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1361), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98858] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4304), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4622), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [98887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3899), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3901), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4029), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4031), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [98945] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_DQUOTE,
    ACTIONS(4531), 1,
      sym_word,
    ACTIONS(4535), 1,
      anon_sym_DOLLAR,
    ACTIONS(4537), 1,
      sym__special_character,
    ACTIONS(4541), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4543), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4545), 1,
      anon_sym_BQUOTE,
    ACTIONS(4624), 1,
      anon_sym_RPAREN,
    STATE(2551), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4539), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4547), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2200), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2515), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98996] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1363), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1365), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99025] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1367), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1369), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99054] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1373), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1375), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99083] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1377), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1379), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99112] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3960), 1,
      anon_sym_RPAREN,
    ACTIONS(4626), 1,
      sym_word,
    ACTIONS(4629), 1,
      anon_sym_DOLLAR,
    ACTIONS(4632), 1,
      sym__special_character,
    ACTIONS(4635), 1,
      anon_sym_DQUOTE,
    ACTIONS(4641), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4644), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4647), 1,
      anon_sym_BQUOTE,
    STATE(2551), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4638), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4650), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2198), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2515), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99163] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1381), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99192] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_DQUOTE,
    ACTIONS(4531), 1,
      sym_word,
    ACTIONS(4535), 1,
      anon_sym_DOLLAR,
    ACTIONS(4537), 1,
      sym__special_character,
    ACTIONS(4541), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4543), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4545), 1,
      anon_sym_BQUOTE,
    ACTIONS(4653), 1,
      anon_sym_RPAREN,
    STATE(2551), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4539), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4547), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2198), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2515), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99243] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4655), 1,
      sym__concat,
    STATE(2159), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1181), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1183), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99276] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1385), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99305] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1207), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1209), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [99334] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4657), 1,
      sym__special_character,
    STATE(2204), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1337), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1342), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99367] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1389), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1391), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3926), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [99425] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1393), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1395), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99454] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1397), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1399), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99483] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1241), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1243), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4219), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4221), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [99541] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1401), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1403), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99570] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1405), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1407), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3846), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3848), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [99628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4231), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4233), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [99657] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_RBRACE,
    ACTIONS(4660), 1,
      sym_word,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    STATE(3037), 1,
      aux_sym__literal_repeat1,
    STATE(3357), 1,
      sym_concatenation,
    ACTIONS(4668), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3041), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99707] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1393), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1395), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99735] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2275), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4678), 1,
      sym_word,
    STATE(3157), 1,
      aux_sym__literal_repeat1,
    STATE(3455), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4680), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3156), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99785] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1207), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1209), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [99813] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3093), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4682), 1,
      sym_word,
    STATE(3154), 1,
      aux_sym__literal_repeat1,
    STATE(3332), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4684), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3158), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99863] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4686), 1,
      sym_word,
    STATE(3146), 1,
      aux_sym__literal_repeat1,
    STATE(3318), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4688), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3149), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99913] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3887), 1,
      anon_sym_DQUOTE,
    ACTIONS(4005), 1,
      anon_sym_DOLLAR,
    ACTIONS(4007), 1,
      sym__special_character,
    ACTIONS(4009), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4011), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4013), 1,
      anon_sym_BQUOTE,
    ACTIONS(4690), 1,
      sym_word,
    STATE(2498), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4001), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4015), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1747), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2423), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      sym__concat,
    ACTIONS(1187), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [99989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 1,
      sym__concat,
    ACTIONS(1311), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [100017] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1187), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1189), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100045] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4692), 1,
      sym_word,
    STATE(3021), 1,
      aux_sym__literal_repeat1,
    STATE(3399), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4694), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3028), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100095] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2413), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4696), 1,
      sym_word,
    STATE(3141), 1,
      aux_sym__literal_repeat1,
    STATE(3309), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4698), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3137), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 1,
      sym__concat,
    ACTIONS(1315), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [100173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 1,
      sym__concat,
    ACTIONS(1319), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [100201] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3037), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4700), 1,
      sym_word,
    STATE(3167), 1,
      aux_sym__literal_repeat1,
    STATE(3374), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4702), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3155), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100251] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1311), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1313), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100279] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1347), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1349), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100307] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1351), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1353), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100335] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2533), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4704), 1,
      sym_word,
    STATE(3104), 1,
      aux_sym__literal_repeat1,
    STATE(3407), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4706), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3102), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100385] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1355), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1357), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100413] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3017), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4708), 1,
      sym_word,
    STATE(3161), 1,
      aux_sym__literal_repeat1,
    STATE(3499), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4710), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3163), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100463] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1355), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1357), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100491] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2069), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4712), 1,
      sym_word,
    STATE(3073), 1,
      aux_sym__literal_repeat1,
    STATE(3382), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4714), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3074), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100541] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2495), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4716), 1,
      sym_word,
    STATE(3160), 1,
      aux_sym__literal_repeat1,
    STATE(3334), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4718), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3153), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100591] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1863), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4720), 1,
      sym_word,
    STATE(3038), 1,
      aux_sym__literal_repeat1,
    STATE(3354), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4722), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3024), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100641] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2145), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4724), 1,
      sym_word,
    STATE(3069), 1,
      aux_sym__literal_repeat1,
    STATE(3373), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4726), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3071), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 1,
      sym__concat,
    ACTIONS(1323), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [100719] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2055), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4728), 1,
      sym_word,
    STATE(3084), 1,
      aux_sym__literal_repeat1,
    STATE(3393), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4730), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3089), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100769] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2121), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4732), 1,
      sym_word,
    STATE(3096), 1,
      aux_sym__literal_repeat1,
    STATE(3406), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4734), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3100), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 1,
      sym__concat,
    ACTIONS(1327), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [100847] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1315), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1317), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100875] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3887), 1,
      anon_sym_DQUOTE,
    ACTIONS(4005), 1,
      anon_sym_DOLLAR,
    ACTIONS(4007), 1,
      sym__special_character,
    ACTIONS(4009), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4011), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4013), 1,
      anon_sym_BQUOTE,
    ACTIONS(4690), 1,
      sym_word,
    STATE(2498), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4001), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4015), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1754), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2423), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [100923] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1319), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1321), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [100951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 1,
      sym__concat,
    ACTIONS(1333), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [100979] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1359), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1361), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [101007] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1405), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1407), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [101035] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4736), 1,
      sym_word,
    STATE(3052), 1,
      aux_sym__literal_repeat1,
    STATE(3372), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4738), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3068), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101085] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2973), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4740), 1,
      sym_word,
    STATE(3110), 1,
      aux_sym__literal_repeat1,
    STATE(3485), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4742), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3101), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101135] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(4744), 1,
      sym_word,
    ACTIONS(4748), 1,
      sym_regex,
    STATE(726), 1,
      aux_sym__literal_repeat1,
    STATE(827), 1,
      sym_concatenation,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4746), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(534), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101185] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3061), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4750), 1,
      sym_word,
    STATE(3081), 1,
      aux_sym__literal_repeat1,
    STATE(3477), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4752), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3082), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101235] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4754), 1,
      sym_word,
    STATE(3093), 1,
      aux_sym__literal_repeat1,
    STATE(3394), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4756), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3091), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 1,
      sym__concat,
    ACTIONS(1303), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [101313] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4758), 1,
      sym_word,
    STATE(3075), 1,
      aux_sym__literal_repeat1,
    STATE(3386), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4760), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3077), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101363] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2471), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4762), 1,
      sym_word,
    STATE(3145), 1,
      aux_sym__literal_repeat1,
    STATE(3310), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4764), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3144), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101413] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2515), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4766), 1,
      sym_word,
    STATE(3168), 1,
      aux_sym__literal_repeat1,
    STATE(3339), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4768), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3165), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101463] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2659), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4770), 1,
      sym_word,
    STATE(3062), 1,
      aux_sym__literal_repeat1,
    STATE(3367), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4772), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3060), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 1,
      sym__concat,
    ACTIONS(1347), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [101541] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4774), 1,
      sym_word,
    STATE(3142), 1,
      aux_sym__literal_repeat1,
    STATE(3456), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4776), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3143), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 1,
      sym__concat,
    ACTIONS(1351), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [101619] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2301), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4778), 1,
      sym_word,
    STATE(3148), 1,
      aux_sym__literal_repeat1,
    STATE(3427), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4780), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3147), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101669] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2929), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4782), 1,
      sym_word,
    STATE(3095), 1,
      aux_sym__literal_repeat1,
    STATE(3481), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4784), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3092), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101719] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2955), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4786), 1,
      sym_word,
    STATE(3118), 1,
      aux_sym__literal_repeat1,
    STATE(3291), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4788), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3124), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [101769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 1,
      sym__concat,
    ACTIONS(1355), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [101797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 1,
      sym__concat,
    ACTIONS(1355), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [101825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 1,
      sym__concat,
    ACTIONS(1359), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [101853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 1,
      sym__concat,
    ACTIONS(1363), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [101881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      sym__concat,
    ACTIONS(1367), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [101909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 1,
      sym__concat,
    ACTIONS(1373), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [101937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      sym__concat,
    ACTIONS(1377), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [101965] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1363), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1365), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [101993] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3099), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4790), 1,
      sym_word,
    STATE(3065), 1,
      aux_sym__literal_repeat1,
    STATE(3465), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4792), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3066), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102043] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2383), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4794), 1,
      sym_word,
    STATE(3132), 1,
      aux_sym__literal_repeat1,
    STATE(3302), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4796), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3131), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 1,
      sym__concat,
    ACTIONS(1381), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [102121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 1,
      sym__concat,
    ACTIONS(1385), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [102149] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4798), 1,
      sym_word,
    STATE(3135), 1,
      aux_sym__literal_repeat1,
    STATE(3417), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4800), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3136), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 1,
      sym__concat,
    ACTIONS(1393), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [102227] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2683), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4802), 1,
      sym_word,
    STATE(3051), 1,
      aux_sym__literal_repeat1,
    STATE(3366), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4804), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3049), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 1,
      sym__concat,
    ACTIONS(1397), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [102305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 1,
      sym__concat,
    ACTIONS(1241), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [102333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 1,
      sym__concat,
    ACTIONS(1401), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [102361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 1,
      sym__concat,
    ACTIONS(1307), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [102389] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2905), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4806), 1,
      sym_word,
    STATE(3079), 1,
      aux_sym__literal_repeat1,
    STATE(3476), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4808), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3076), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102439] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2935), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4810), 1,
      sym_word,
    STATE(3106), 1,
      aux_sym__literal_repeat1,
    STATE(3317), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4812), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3011), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102489] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4814), 1,
      sym_word,
    STATE(3099), 1,
      aux_sym__literal_repeat1,
    STATE(3402), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4816), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3105), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102539] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1367), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1369), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [102567] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4818), 1,
      sym_word,
    STATE(3113), 1,
      aux_sym__literal_repeat1,
    STATE(3484), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4820), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3108), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102617] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2011), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4822), 1,
      sym_word,
    STATE(3107), 1,
      aux_sym__literal_repeat1,
    STATE(3416), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4824), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3111), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 1,
      sym__concat,
    ACTIONS(1405), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [102695] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1373), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1375), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [102723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4610), 20,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [102749] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2363), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4826), 1,
      sym_word,
    STATE(3130), 1,
      aux_sym__literal_repeat1,
    STATE(3290), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4828), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3125), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102799] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4830), 1,
      sym_word,
    STATE(3032), 1,
      aux_sym__literal_repeat1,
    STATE(3352), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4832), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3034), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102849] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_DOLLAR,
    ACTIONS(217), 1,
      sym__special_character,
    ACTIONS(219), 1,
      anon_sym_DQUOTE,
    ACTIONS(223), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(225), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(227), 1,
      anon_sym_BQUOTE,
    ACTIONS(4834), 1,
      sym_word,
    ACTIONS(4838), 1,
      sym_regex,
    STATE(469), 1,
      aux_sym__literal_repeat1,
    STATE(606), 1,
      sym_concatenation,
    ACTIONS(229), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4836), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(298), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102899] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2885), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4840), 1,
      sym_word,
    STATE(3072), 1,
      aux_sym__literal_repeat1,
    STATE(3469), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4842), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3070), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102949] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4844), 1,
      sym_word,
    STATE(3033), 1,
      aux_sym__literal_repeat1,
    STATE(3405), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4846), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3036), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102999] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1843), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4848), 1,
      sym_word,
    STATE(3088), 1,
      aux_sym__literal_repeat1,
    STATE(3319), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4850), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3094), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103049] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1377), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1379), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103077] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2551), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4852), 1,
      sym_word,
    STATE(3087), 1,
      aux_sym__literal_repeat1,
    STATE(3358), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4854), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3109), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103127] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 1,
      sym__special_character,
    STATE(2303), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1337), 18,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [103157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      sym__concat,
    ACTIONS(1389), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [103185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4614), 20,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [103211] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2603), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4859), 1,
      sym_word,
    STATE(3056), 1,
      aux_sym__literal_repeat1,
    STATE(3359), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4861), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3067), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103261] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1323), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1325), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103289] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1381), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103317] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1327), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1329), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103345] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1303), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1305), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103373] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2835), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4863), 1,
      sym_word,
    STATE(3063), 1,
      aux_sym__literal_repeat1,
    STATE(3448), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4865), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3058), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103423] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1385), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1387), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103451] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4867), 1,
      sym_word,
    STATE(3013), 1,
      aux_sym__literal_repeat1,
    STATE(3330), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4869), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3019), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103501] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1389), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1391), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103529] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2803), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4871), 1,
      sym_word,
    STATE(3057), 1,
      aux_sym__literal_repeat1,
    STATE(3443), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4873), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3055), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103579] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4875), 1,
      sym_word,
    STATE(3017), 1,
      aux_sym__literal_repeat1,
    STATE(3370), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4877), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3045), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103629] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2647), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4879), 1,
      sym_word,
    STATE(3020), 1,
      aux_sym__literal_repeat1,
    STATE(3385), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4881), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3018), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103679] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1397), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1399), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103707] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1241), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1243), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103735] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1401), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1403), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [103763] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4883), 1,
      sym_word,
    STATE(3122), 1,
      aux_sym__literal_repeat1,
    STATE(3431), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4885), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3123), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103813] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3887), 1,
      anon_sym_DQUOTE,
    ACTIONS(4005), 1,
      anon_sym_DOLLAR,
    ACTIONS(4007), 1,
      sym__special_character,
    ACTIONS(4009), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4011), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4013), 1,
      anon_sym_BQUOTE,
    ACTIONS(4690), 1,
      sym_word,
    STATE(2498), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4001), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4015), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1753), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2423), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103861] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      sym_word,
    STATE(3025), 1,
      aux_sym__literal_repeat1,
    STATE(3351), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4889), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3023), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103911] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4891), 1,
      sym_word,
    STATE(3047), 1,
      aux_sym__literal_repeat1,
    STATE(3434), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4893), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3129), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103961] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2407), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4895), 1,
      sym_word,
    STATE(3134), 1,
      aux_sym__literal_repeat1,
    STATE(3444), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4897), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3133), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4901), 1,
      sym__special_character,
    STATE(2303), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4899), 18,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [104041] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2759), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4903), 1,
      sym_word,
    STATE(3040), 1,
      aux_sym__literal_repeat1,
    STATE(3430), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4905), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3039), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104091] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2281), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4907), 1,
      sym_word,
    STATE(3050), 1,
      aux_sym__literal_repeat1,
    STATE(3333), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4909), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3046), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104141] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_QMARK,
    ACTIONS(4911), 2,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COLON,
    ACTIONS(4915), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4921), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4917), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [104177] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(4923), 1,
      sym_word,
    ACTIONS(4927), 1,
      sym_regex,
    STATE(728), 1,
      aux_sym__literal_repeat1,
    STATE(758), 1,
      sym_concatenation,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4925), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(497), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104227] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1333), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1335), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [104255] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3165), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4929), 1,
      sym_word,
    STATE(3022), 1,
      aux_sym__literal_repeat1,
    STATE(3400), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4931), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3026), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104305] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1307), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1309), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [104333] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2823), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4933), 1,
      sym_word,
    STATE(3016), 1,
      aux_sym__literal_repeat1,
    STATE(3336), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4935), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3014), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104383] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2735), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4937), 1,
      sym_word,
    STATE(3035), 1,
      aux_sym__literal_repeat1,
    STATE(3408), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4939), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3030), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104433] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2431), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4941), 1,
      sym_word,
    STATE(3128), 1,
      aux_sym__literal_repeat1,
    STATE(3442), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4943), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3127), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104483] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1207), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1209), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [104511] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2339), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4945), 1,
      sym_word,
    STATE(3061), 1,
      aux_sym__literal_repeat1,
    STATE(3304), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4947), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3059), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4949), 20,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [104587] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3153), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4951), 1,
      sym_word,
    STATE(3090), 1,
      aux_sym__literal_repeat1,
    STATE(3307), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4953), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3015), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 20,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [104663] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2689), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4957), 1,
      sym_word,
    STATE(3029), 1,
      aux_sym__literal_repeat1,
    STATE(3404), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4959), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3027), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104713] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(159), 1,
      anon_sym_DOLLAR,
    ACTIONS(161), 1,
      sym__special_character,
    ACTIONS(163), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(169), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(171), 1,
      anon_sym_BQUOTE,
    ACTIONS(4961), 1,
      sym_word,
    ACTIONS(4965), 1,
      sym_regex,
    STATE(307), 1,
      aux_sym__literal_repeat1,
    STATE(509), 1,
      sym_concatenation,
    ACTIONS(173), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4963), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(286), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104763] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1981), 1,
      anon_sym_RBRACE,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4664), 1,
      sym__special_character,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4967), 1,
      sym_word,
    STATE(3119), 1,
      aux_sym__literal_repeat1,
    STATE(3446), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4969), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3120), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104813] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4433), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4575), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [104840] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_QMARK,
    ACTIONS(4971), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4915), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4921), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4917), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [104875] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_QMARK,
    ACTIONS(4973), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4915), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4921), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4917), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [104910] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1603), 1,
      anon_sym_DQUOTE,
    ACTIONS(4975), 1,
      sym_word,
    ACTIONS(4977), 1,
      anon_sym_DOLLAR,
    ACTIONS(4979), 1,
      sym__special_character,
    ACTIONS(4983), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4985), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4987), 1,
      anon_sym_BQUOTE,
    STATE(1752), 1,
      aux_sym__literal_repeat1,
    STATE(2054), 1,
      sym_concatenation,
    ACTIONS(4981), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4989), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1742), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104957] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1603), 1,
      anon_sym_DQUOTE,
    ACTIONS(4977), 1,
      anon_sym_DOLLAR,
    ACTIONS(4979), 1,
      sym__special_character,
    ACTIONS(4983), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4985), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4987), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      sym_word,
    STATE(1749), 1,
      aux_sym__literal_repeat1,
    STATE(2041), 1,
      sym_concatenation,
    ACTIONS(4989), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4993), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1745), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105004] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_QMARK,
    ACTIONS(4995), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4915), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4921), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4917), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105039] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4997), 1,
      anon_sym_RPAREN,
    ACTIONS(5005), 1,
      anon_sym_QMARK,
    ACTIONS(5001), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5007), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5003), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4999), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105074] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_QMARK,
    ACTIONS(5009), 1,
      anon_sym_COLON,
    ACTIONS(4915), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4921), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4917), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105109] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_QMARK,
    ACTIONS(5011), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4915), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4921), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4917), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105144] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      anon_sym_DQUOTE,
    ACTIONS(5013), 1,
      sym_word,
    ACTIONS(5015), 1,
      anon_sym_DOLLAR,
    ACTIONS(5017), 1,
      sym__special_character,
    ACTIONS(5021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5023), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5025), 1,
      anon_sym_BQUOTE,
    STATE(1906), 1,
      aux_sym__literal_repeat1,
    STATE(2213), 1,
      sym_concatenation,
    ACTIONS(5019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(5027), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1912), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105191] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_QMARK,
    ACTIONS(5029), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4915), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4921), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4917), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105226] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_QMARK,
    ACTIONS(5031), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4915), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4921), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4917), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105261] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1556), 1,
      anon_sym_DQUOTE,
    ACTIONS(5033), 1,
      sym_word,
    ACTIONS(5035), 1,
      anon_sym_DOLLAR,
    ACTIONS(5037), 1,
      sym__special_character,
    ACTIONS(5041), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5043), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5045), 1,
      anon_sym_BQUOTE,
    STATE(1672), 1,
      aux_sym__literal_repeat1,
    STATE(1893), 1,
      sym_concatenation,
    ACTIONS(5039), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(5047), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1746), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105308] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_QMARK,
    ACTIONS(5049), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4915), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4921), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4917), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105343] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(5011), 1,
      anon_sym_RBRACK,
    ACTIONS(5057), 1,
      anon_sym_QMARK,
    ACTIONS(5053), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5059), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5055), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5051), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105378] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(5011), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(5067), 1,
      anon_sym_QMARK,
    ACTIONS(4921), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5063), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5065), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5061), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105413] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(5067), 1,
      anon_sym_QMARK,
    ACTIONS(5069), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(4921), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5063), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5065), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5061), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105448] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(5057), 1,
      anon_sym_QMARK,
    ACTIONS(5069), 1,
      anon_sym_RBRACK,
    ACTIONS(5053), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5059), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5055), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5051), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105483] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_QMARK,
    ACTIONS(5071), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4915), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4921), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4917), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105518] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1556), 1,
      anon_sym_DQUOTE,
    ACTIONS(5035), 1,
      anon_sym_DOLLAR,
    ACTIONS(5041), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5043), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5045), 1,
      anon_sym_BQUOTE,
    ACTIONS(5073), 1,
      sym_word,
    ACTIONS(5075), 1,
      sym__special_character,
    STATE(1672), 1,
      aux_sym__literal_repeat1,
    STATE(1893), 1,
      sym_concatenation,
    ACTIONS(5047), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5077), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1668), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105565] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(5005), 1,
      anon_sym_QMARK,
    ACTIONS(5079), 1,
      anon_sym_RPAREN,
    ACTIONS(5001), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5007), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5003), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4999), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105600] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1603), 1,
      anon_sym_DQUOTE,
    ACTIONS(4977), 1,
      anon_sym_DOLLAR,
    ACTIONS(4979), 1,
      sym__special_character,
    ACTIONS(4983), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4985), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4987), 1,
      anon_sym_BQUOTE,
    ACTIONS(5081), 1,
      sym_word,
    STATE(1716), 1,
      aux_sym__literal_repeat1,
    STATE(1968), 1,
      sym_concatenation,
    ACTIONS(4989), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5083), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1715), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 19,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [105672] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_QMARK,
    ACTIONS(5069), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4915), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4921), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4917), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105707] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      anon_sym_DQUOTE,
    ACTIONS(5015), 1,
      anon_sym_DOLLAR,
    ACTIONS(5017), 1,
      sym__special_character,
    ACTIONS(5021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5023), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5025), 1,
      anon_sym_BQUOTE,
    ACTIONS(5085), 1,
      sym_word,
    STATE(1771), 1,
      aux_sym__literal_repeat1,
    STATE(2171), 1,
      sym_concatenation,
    ACTIONS(5027), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5087), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1773), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105754] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(4087), 1,
      sym__special_character,
    ACTIONS(5089), 1,
      sym_word,
    STATE(2978), 1,
      aux_sym__literal_repeat1,
    STATE(3187), 1,
      sym_concatenation,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5091), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2979), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105801] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(5005), 1,
      anon_sym_QMARK,
    ACTIONS(5093), 1,
      anon_sym_RPAREN,
    ACTIONS(5001), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5007), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5003), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4999), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105836] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 1,
      anon_sym_DOLLAR,
    ACTIONS(2201), 1,
      anon_sym_DQUOTE,
    ACTIONS(2203), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2205), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2207), 1,
      anon_sym_BQUOTE,
    ACTIONS(5095), 1,
      sym_word,
    ACTIONS(5097), 1,
      sym__special_character,
    STATE(2992), 1,
      aux_sym__literal_repeat1,
    STATE(3230), 1,
      sym_concatenation,
    ACTIONS(2209), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5099), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3048), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105883] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1556), 1,
      anon_sym_DQUOTE,
    ACTIONS(5035), 1,
      anon_sym_DOLLAR,
    ACTIONS(5041), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5043), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5045), 1,
      anon_sym_BQUOTE,
    ACTIONS(5075), 1,
      sym__special_character,
    ACTIONS(5101), 1,
      sym_word,
    STATE(1676), 1,
      aux_sym__literal_repeat1,
    STATE(1793), 1,
      sym_concatenation,
    ACTIONS(5047), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5103), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1675), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105930] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_QMARK,
    ACTIONS(5105), 1,
      anon_sym_COLON,
    ACTIONS(4915), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4921), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4917), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [105965] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1556), 1,
      anon_sym_DQUOTE,
    ACTIONS(5035), 1,
      anon_sym_DOLLAR,
    ACTIONS(5037), 1,
      sym__special_character,
    ACTIONS(5041), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5043), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5045), 1,
      anon_sym_BQUOTE,
    ACTIONS(5107), 1,
      sym_word,
    STATE(1689), 1,
      aux_sym__literal_repeat1,
    STATE(1875), 1,
      sym_concatenation,
    ACTIONS(5047), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5109), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1751), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106012] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_DQUOTE,
    ACTIONS(4285), 1,
      anon_sym_DOLLAR,
    ACTIONS(4287), 1,
      sym__special_character,
    ACTIONS(4291), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4293), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4295), 1,
      anon_sym_BQUOTE,
    ACTIONS(5111), 1,
      sym_word,
    STATE(1891), 1,
      aux_sym__literal_repeat1,
    STATE(1914), 1,
      sym_concatenation,
    ACTIONS(4297), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5113), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1701), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106059] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1556), 1,
      anon_sym_DQUOTE,
    ACTIONS(5035), 1,
      anon_sym_DOLLAR,
    ACTIONS(5037), 1,
      sym__special_character,
    ACTIONS(5041), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5043), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5045), 1,
      anon_sym_BQUOTE,
    ACTIONS(5115), 1,
      sym_word,
    STATE(1681), 1,
      aux_sym__literal_repeat1,
    STATE(1871), 1,
      sym_concatenation,
    ACTIONS(5047), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5117), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1750), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106106] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1603), 1,
      anon_sym_DQUOTE,
    ACTIONS(4977), 1,
      anon_sym_DOLLAR,
    ACTIONS(4979), 1,
      sym__special_character,
    ACTIONS(4983), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4985), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4987), 1,
      anon_sym_BQUOTE,
    ACTIONS(5119), 1,
      sym_word,
    STATE(1709), 1,
      aux_sym__literal_repeat1,
    STATE(2066), 1,
      sym_concatenation,
    ACTIONS(4989), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1707), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106153] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1556), 1,
      anon_sym_DQUOTE,
    ACTIONS(5035), 1,
      anon_sym_DOLLAR,
    ACTIONS(5041), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5043), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5045), 1,
      anon_sym_BQUOTE,
    ACTIONS(5075), 1,
      sym__special_character,
    ACTIONS(5123), 1,
      sym_word,
    STATE(1689), 1,
      aux_sym__literal_repeat1,
    STATE(1875), 1,
      sym_concatenation,
    ACTIONS(5047), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5125), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1690), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106200] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_QMARK,
    ACTIONS(5127), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4915), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4921), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4917), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [106235] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_QMARK,
    ACTIONS(5129), 1,
      anon_sym_COLON,
    ACTIONS(4915), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4921), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4917), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [106270] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_DQUOTE,
    ACTIONS(4285), 1,
      anon_sym_DOLLAR,
    ACTIONS(4287), 1,
      sym__special_character,
    ACTIONS(4291), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4293), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4295), 1,
      anon_sym_BQUOTE,
    ACTIONS(5131), 1,
      sym_word,
    STATE(1866), 1,
      aux_sym__literal_repeat1,
    STATE(2027), 1,
      sym_concatenation,
    ACTIONS(4297), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5133), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1702), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106317] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4433), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4575), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [106344] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4263), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4597), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [106371] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4911), 1,
      anon_sym_RBRACK,
    ACTIONS(5057), 1,
      anon_sym_QMARK,
    ACTIONS(5053), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5059), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5055), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5051), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [106406] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(5067), 1,
      anon_sym_QMARK,
    ACTIONS(5135), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(4921), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5063), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5065), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5061), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [106441] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(5005), 1,
      anon_sym_QMARK,
    ACTIONS(5137), 1,
      anon_sym_RPAREN,
    ACTIONS(5001), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5007), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5003), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4999), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [106476] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(5057), 1,
      anon_sym_QMARK,
    ACTIONS(5135), 1,
      anon_sym_RBRACK,
    ACTIONS(5053), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5059), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5055), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5051), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [106511] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1556), 1,
      anon_sym_DQUOTE,
    ACTIONS(5035), 1,
      anon_sym_DOLLAR,
    ACTIONS(5041), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5043), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5045), 1,
      anon_sym_BQUOTE,
    ACTIONS(5075), 1,
      sym__special_character,
    ACTIONS(5139), 1,
      sym_word,
    STATE(1681), 1,
      aux_sym__literal_repeat1,
    STATE(1871), 1,
      sym_concatenation,
    ACTIONS(5047), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5141), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1682), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106558] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4304), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4622), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [106585] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_QMARK,
    ACTIONS(5135), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4915), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4921), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4917), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [106620] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_QMARK,
    ACTIONS(5143), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4915), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4921), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4917), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [106655] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 1,
      anon_sym_DOLLAR,
    ACTIONS(2201), 1,
      anon_sym_DQUOTE,
    ACTIONS(2203), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2205), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2207), 1,
      anon_sym_BQUOTE,
    ACTIONS(5097), 1,
      sym__special_character,
    ACTIONS(5145), 1,
      sym_word,
    STATE(2988), 1,
      aux_sym__literal_repeat1,
    STATE(3186), 1,
      sym_concatenation,
    ACTIONS(2209), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5147), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3064), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106702] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(3994), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4164), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [106729] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4439), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4573), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [106756] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1556), 1,
      anon_sym_DQUOTE,
    ACTIONS(5035), 1,
      anon_sym_DOLLAR,
    ACTIONS(5037), 1,
      sym__special_character,
    ACTIONS(5041), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5043), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5045), 1,
      anon_sym_BQUOTE,
    ACTIONS(5149), 1,
      sym_word,
    STATE(1676), 1,
      aux_sym__literal_repeat1,
    STATE(1793), 1,
      sym_concatenation,
    ACTIONS(5047), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5151), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1748), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106803] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4911), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(5067), 1,
      anon_sym_QMARK,
    ACTIONS(4921), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5063), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5065), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5061), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [106838] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      anon_sym_DQUOTE,
    ACTIONS(5015), 1,
      anon_sym_DOLLAR,
    ACTIONS(5017), 1,
      sym__special_character,
    ACTIONS(5021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5023), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5025), 1,
      anon_sym_BQUOTE,
    ACTIONS(5153), 1,
      sym_word,
    STATE(1759), 1,
      aux_sym__literal_repeat1,
    STATE(2206), 1,
      sym_concatenation,
    ACTIONS(5027), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5155), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1760), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106885] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4911), 1,
      anon_sym_RPAREN,
    ACTIONS(5005), 1,
      anon_sym_QMARK,
    ACTIONS(5001), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(5007), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5003), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4999), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [106920] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      anon_sym_DQUOTE,
    ACTIONS(5015), 1,
      anon_sym_DOLLAR,
    ACTIONS(5017), 1,
      sym__special_character,
    ACTIONS(5021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5023), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5025), 1,
      anon_sym_BQUOTE,
    ACTIONS(5157), 1,
      sym_word,
    STATE(1762), 1,
      aux_sym__literal_repeat1,
    STATE(2191), 1,
      sym_concatenation,
    ACTIONS(5027), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1764), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106967] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_QMARK,
    ACTIONS(5161), 1,
      anon_sym_COLON,
    ACTIONS(4915), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4921), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4917), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107002] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4263), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4597), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [107029] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4433), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4575), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [107056] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_QMARK,
    ACTIONS(5163), 1,
      anon_sym_COLON,
    ACTIONS(4915), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4921), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4917), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107091] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4439), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4573), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [107118] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4433), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4575), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [107145] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_QMARK,
    ACTIONS(5165), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4915), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4921), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4917), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107180] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_QMARK,
    ACTIONS(5167), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4915), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4921), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4917), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107215] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4304), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4622), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [107242] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5169), 1,
      sym_word,
    ACTIONS(5171), 1,
      anon_sym_DOLLAR,
    ACTIONS(5173), 1,
      sym__special_character,
    ACTIONS(5175), 1,
      anon_sym_DQUOTE,
    ACTIONS(5179), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5181), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5183), 1,
      anon_sym_BQUOTE,
    STATE(2825), 1,
      aux_sym__literal_repeat1,
    STATE(2914), 1,
      sym_concatenation,
    ACTIONS(5177), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(5185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2832), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107289] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_QMARK,
    ACTIONS(5187), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4915), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4921), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4917), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4913), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [107324] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(3994), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4164), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [107351] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5171), 1,
      anon_sym_DOLLAR,
    ACTIONS(5173), 1,
      sym__special_character,
    ACTIONS(5175), 1,
      anon_sym_DQUOTE,
    ACTIONS(5179), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5181), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5183), 1,
      anon_sym_BQUOTE,
    ACTIONS(5189), 1,
      sym_word,
    STATE(2848), 1,
      aux_sym__literal_repeat1,
    STATE(2931), 1,
      sym_concatenation,
    ACTIONS(5185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5191), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2851), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107398] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5171), 1,
      anon_sym_DOLLAR,
    ACTIONS(5173), 1,
      sym__special_character,
    ACTIONS(5175), 1,
      anon_sym_DQUOTE,
    ACTIONS(5179), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5181), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5183), 1,
      anon_sym_BQUOTE,
    ACTIONS(5193), 1,
      sym_word,
    STATE(2827), 1,
      aux_sym__literal_repeat1,
    STATE(2941), 1,
      sym_concatenation,
    ACTIONS(5185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5195), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2830), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107445] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 1,
      anon_sym_DOLLAR,
    ACTIONS(2201), 1,
      anon_sym_DQUOTE,
    ACTIONS(2203), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2205), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2207), 1,
      anon_sym_BQUOTE,
    ACTIONS(5197), 1,
      sym_word,
    ACTIONS(5199), 1,
      anon_sym_RBRACK,
    ACTIONS(2209), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5201), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2224), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107487] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 1,
      anon_sym_DOLLAR,
    ACTIONS(2201), 1,
      anon_sym_DQUOTE,
    ACTIONS(2203), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2205), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2207), 1,
      anon_sym_BQUOTE,
    ACTIONS(5197), 1,
      sym_word,
    ACTIONS(5203), 1,
      anon_sym_RBRACK,
    ACTIONS(2209), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5201), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2224), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107529] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(5205), 1,
      sym_word,
    ACTIONS(5207), 1,
      anon_sym_DOLLAR,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5209), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2094), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107568] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(159), 1,
      anon_sym_DOLLAR,
    ACTIONS(163), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(169), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(171), 1,
      anon_sym_BQUOTE,
    ACTIONS(5211), 1,
      sym_word,
    ACTIONS(173), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5213), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(314), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107607] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1556), 1,
      anon_sym_DQUOTE,
    ACTIONS(5041), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5043), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5045), 1,
      anon_sym_BQUOTE,
    ACTIONS(5215), 1,
      sym_word,
    ACTIONS(5217), 1,
      anon_sym_DOLLAR,
    ACTIONS(5047), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5219), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1744), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107646] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      anon_sym_DQUOTE,
    ACTIONS(5015), 1,
      anon_sym_DOLLAR,
    ACTIONS(5021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5023), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5025), 1,
      anon_sym_BQUOTE,
    ACTIONS(5221), 1,
      sym_word,
    ACTIONS(5027), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5223), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2091), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107685] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(5225), 1,
      sym_word,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5227), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(722), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107724] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(493), 1,
      anon_sym_DOLLAR,
    ACTIONS(497), 1,
      anon_sym_DQUOTE,
    ACTIONS(499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(503), 1,
      anon_sym_BQUOTE,
    ACTIONS(5229), 1,
      sym_word,
    ACTIONS(505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5231), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(322), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107763] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5235), 1,
      sym__concat,
    STATE(2480), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5233), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [107790] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(163), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(169), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(171), 1,
      anon_sym_BQUOTE,
    ACTIONS(5211), 1,
      sym_word,
    ACTIONS(5237), 1,
      anon_sym_DOLLAR,
    ACTIONS(173), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5213), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(314), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107829] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5235), 1,
      sym__concat,
    STATE(2480), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1207), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [107856] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    ACTIONS(5239), 1,
      sym_word,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5241), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1978), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107895] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_DQUOTE,
    ACTIONS(4322), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4324), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4326), 1,
      anon_sym_BQUOTE,
    ACTIONS(5243), 1,
      sym_word,
    ACTIONS(5245), 1,
      anon_sym_DOLLAR,
    ACTIONS(4328), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5247), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(713), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107934] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(698), 1,
      anon_sym_DOLLAR,
    ACTIONS(702), 1,
      anon_sym_DQUOTE,
    ACTIONS(704), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(706), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(708), 1,
      anon_sym_BQUOTE,
    ACTIONS(5249), 1,
      sym_word,
    ACTIONS(710), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5251), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(567), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107973] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 1,
      anon_sym_DQUOTE,
    ACTIONS(4395), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4397), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4399), 1,
      anon_sym_BQUOTE,
    ACTIONS(5253), 1,
      sym_word,
    ACTIONS(5255), 1,
      anon_sym_DOLLAR,
    ACTIONS(4401), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5257), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(445), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108012] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      anon_sym_DQUOTE,
    ACTIONS(5021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5023), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5025), 1,
      anon_sym_BQUOTE,
    ACTIONS(5221), 1,
      sym_word,
    ACTIONS(5259), 1,
      anon_sym_DOLLAR,
    ACTIONS(5027), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5223), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2091), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108051] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(622), 1,
      anon_sym_DOLLAR,
    ACTIONS(626), 1,
      anon_sym_DQUOTE,
    ACTIONS(628), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(630), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(632), 1,
      anon_sym_BQUOTE,
    ACTIONS(5261), 1,
      sym_word,
    ACTIONS(634), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5263), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(694), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108090] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_DQUOTE,
    ACTIONS(1645), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1647), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1649), 1,
      anon_sym_BQUOTE,
    ACTIONS(5265), 1,
      sym_word,
    ACTIONS(5267), 1,
      anon_sym_DOLLAR,
    ACTIONS(1651), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5269), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1783), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108129] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5273), 1,
      anon_sym_DOLLAR,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5275), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2222), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108168] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_DOLLAR,
    ACTIONS(219), 1,
      anon_sym_DQUOTE,
    ACTIONS(223), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(225), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(227), 1,
      anon_sym_BQUOTE,
    ACTIONS(5277), 1,
      sym_word,
    ACTIONS(229), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5279), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(390), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108207] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1727), 1,
      anon_sym_DQUOTE,
    ACTIONS(1729), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1731), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_BQUOTE,
    ACTIONS(5239), 1,
      sym_word,
    ACTIONS(5281), 1,
      anon_sym_DOLLAR,
    ACTIONS(1735), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5241), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1978), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108246] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      anon_sym_DQUOTE,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1053), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1055), 1,
      anon_sym_BQUOTE,
    ACTIONS(5283), 1,
      sym_word,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(1057), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5287), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(815), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108285] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1556), 1,
      anon_sym_DQUOTE,
    ACTIONS(5035), 1,
      anon_sym_DOLLAR,
    ACTIONS(5041), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5043), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5045), 1,
      anon_sym_BQUOTE,
    ACTIONS(5215), 1,
      sym_word,
    ACTIONS(5047), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5219), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1744), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108324] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2201), 1,
      anon_sym_DQUOTE,
    ACTIONS(2203), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2205), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2207), 1,
      anon_sym_BQUOTE,
    ACTIONS(5197), 1,
      sym_word,
    ACTIONS(5289), 1,
      anon_sym_DOLLAR,
    ACTIONS(2209), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5201), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2224), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108363] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(5291), 1,
      sym_word,
    ACTIONS(5293), 1,
      anon_sym_DOLLAR,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5295), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(683), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108402] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_DQUOTE,
    ACTIONS(4285), 1,
      anon_sym_DOLLAR,
    ACTIONS(4291), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4293), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4295), 1,
      anon_sym_BQUOTE,
    ACTIONS(5297), 1,
      sym_word,
    ACTIONS(4297), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5299), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1830), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108441] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1639), 1,
      anon_sym_DOLLAR,
    ACTIONS(1643), 1,
      anon_sym_DQUOTE,
    ACTIONS(1645), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1647), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1649), 1,
      anon_sym_BQUOTE,
    ACTIONS(5265), 1,
      sym_word,
    ACTIONS(1651), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5269), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1783), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108480] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(927), 1,
      anon_sym_DQUOTE,
    ACTIONS(4445), 1,
      anon_sym_DOLLAR,
    ACTIONS(4451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4455), 1,
      anon_sym_BQUOTE,
    ACTIONS(5301), 1,
      sym_word,
    ACTIONS(4457), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5303), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(764), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108519] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3887), 1,
      anon_sym_DQUOTE,
    ACTIONS(4005), 1,
      anon_sym_DOLLAR,
    ACTIONS(4009), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4011), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4013), 1,
      anon_sym_BQUOTE,
    ACTIONS(5305), 1,
      sym_word,
    ACTIONS(4015), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5307), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2488), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108558] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5171), 1,
      anon_sym_DOLLAR,
    ACTIONS(5175), 1,
      anon_sym_DQUOTE,
    ACTIONS(5179), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5181), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5183), 1,
      anon_sym_BQUOTE,
    ACTIONS(5309), 1,
      sym_word,
    ACTIONS(5185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5311), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2881), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108597] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(541), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(543), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(545), 1,
      anon_sym_BQUOTE,
    ACTIONS(5313), 1,
      sym_word,
    ACTIONS(5315), 1,
      anon_sym_DOLLAR,
    ACTIONS(547), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5317), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(458), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108636] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_DQUOTE,
    ACTIONS(4535), 1,
      anon_sym_DOLLAR,
    ACTIONS(4541), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4543), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4545), 1,
      anon_sym_BQUOTE,
    ACTIONS(5319), 1,
      sym_word,
    ACTIONS(4547), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5321), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2563), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108675] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2201), 1,
      anon_sym_DQUOTE,
    ACTIONS(2203), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2205), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2207), 1,
      anon_sym_BQUOTE,
    ACTIONS(5197), 1,
      sym_word,
    ACTIONS(5323), 1,
      anon_sym_DOLLAR,
    ACTIONS(2209), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5201), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2224), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108714] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(5205), 1,
      sym_word,
    ACTIONS(5325), 1,
      anon_sym_DOLLAR,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5209), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2094), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108753] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(4467), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4477), 1,
      anon_sym_BQUOTE,
    ACTIONS(5327), 1,
      sym_word,
    ACTIONS(4479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5329), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(868), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108792] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(497), 1,
      anon_sym_DQUOTE,
    ACTIONS(499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(503), 1,
      anon_sym_BQUOTE,
    ACTIONS(5229), 1,
      sym_word,
    ACTIONS(5331), 1,
      anon_sym_DOLLAR,
    ACTIONS(505), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5231), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(322), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108831] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(4473), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4475), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4477), 1,
      anon_sym_BQUOTE,
    ACTIONS(5327), 1,
      sym_word,
    ACTIONS(5333), 1,
      anon_sym_DOLLAR,
    ACTIONS(4479), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5329), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(868), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108870] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_DOLLAR,
    ACTIONS(941), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(943), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(945), 1,
      anon_sym_BQUOTE,
    ACTIONS(5335), 1,
      sym_word,
    ACTIONS(947), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5337), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(724), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108909] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1556), 1,
      anon_sym_DQUOTE,
    ACTIONS(5041), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5043), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5045), 1,
      anon_sym_BQUOTE,
    ACTIONS(5215), 1,
      sym_word,
    ACTIONS(5339), 1,
      anon_sym_DOLLAR,
    ACTIONS(5047), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5219), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1744), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108948] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1033), 1,
      anon_sym_DQUOTE,
    ACTIONS(1035), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1039), 1,
      anon_sym_BQUOTE,
    ACTIONS(5341), 1,
      sym_word,
    ACTIONS(5343), 1,
      anon_sym_DOLLAR,
    ACTIONS(1041), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5345), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(825), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [108987] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5175), 1,
      anon_sym_DQUOTE,
    ACTIONS(5179), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5181), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5183), 1,
      anon_sym_BQUOTE,
    ACTIONS(5309), 1,
      sym_word,
    ACTIONS(5347), 1,
      anon_sym_DOLLAR,
    ACTIONS(5185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5311), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2881), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109026] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(927), 1,
      anon_sym_DQUOTE,
    ACTIONS(4451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4455), 1,
      anon_sym_BQUOTE,
    ACTIONS(5301), 1,
      sym_word,
    ACTIONS(5349), 1,
      anon_sym_DOLLAR,
    ACTIONS(4457), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5303), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(764), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109065] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1029), 1,
      anon_sym_DOLLAR,
    ACTIONS(1033), 1,
      anon_sym_DQUOTE,
    ACTIONS(1035), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1039), 1,
      anon_sym_BQUOTE,
    ACTIONS(5341), 1,
      sym_word,
    ACTIONS(1041), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5345), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(825), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109104] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 1,
      anon_sym_DOLLAR,
    ACTIONS(2201), 1,
      anon_sym_DQUOTE,
    ACTIONS(2203), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2205), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2207), 1,
      anon_sym_BQUOTE,
    ACTIONS(5197), 1,
      sym_word,
    ACTIONS(2209), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5201), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2224), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109143] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1603), 1,
      anon_sym_DQUOTE,
    ACTIONS(4983), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4985), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4987), 1,
      anon_sym_BQUOTE,
    ACTIONS(5351), 1,
      sym_word,
    ACTIONS(5353), 1,
      anon_sym_DOLLAR,
    ACTIONS(4989), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5355), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1905), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109182] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      anon_sym_DQUOTE,
    ACTIONS(1047), 1,
      anon_sym_DOLLAR,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1053), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1055), 1,
      anon_sym_BQUOTE,
    ACTIONS(5283), 1,
      sym_word,
    ACTIONS(1057), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5287), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(815), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109221] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(702), 1,
      anon_sym_DQUOTE,
    ACTIONS(704), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(706), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(708), 1,
      anon_sym_BQUOTE,
    ACTIONS(5249), 1,
      sym_word,
    ACTIONS(5357), 1,
      anon_sym_DOLLAR,
    ACTIONS(710), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5251), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(567), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109260] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(219), 1,
      anon_sym_DQUOTE,
    ACTIONS(223), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(225), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(227), 1,
      anon_sym_BQUOTE,
    ACTIONS(5277), 1,
      sym_word,
    ACTIONS(5359), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5279), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(390), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109299] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_DQUOTE,
    ACTIONS(4541), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4543), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4545), 1,
      anon_sym_BQUOTE,
    ACTIONS(5319), 1,
      sym_word,
    ACTIONS(5361), 1,
      anon_sym_DOLLAR,
    ACTIONS(4547), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5321), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2563), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109338] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      anon_sym_LF,
    ACTIONS(5175), 1,
      anon_sym_DQUOTE,
    ACTIONS(5365), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2911), 1,
      sym_string,
    ACTIONS(525), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(5363), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [109371] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1603), 1,
      anon_sym_DQUOTE,
    ACTIONS(4977), 1,
      anon_sym_DOLLAR,
    ACTIONS(4983), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4985), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4987), 1,
      anon_sym_BQUOTE,
    ACTIONS(5351), 1,
      sym_word,
    ACTIONS(4989), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5355), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1905), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109410] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(5291), 1,
      sym_word,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5295), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(683), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109449] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(5367), 1,
      sym_word,
    ACTIONS(5369), 1,
      anon_sym_DOLLAR,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5371), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3251), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109488] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 1,
      anon_sym_DQUOTE,
    ACTIONS(4389), 1,
      anon_sym_DOLLAR,
    ACTIONS(4395), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4397), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4399), 1,
      anon_sym_BQUOTE,
    ACTIONS(5253), 1,
      sym_word,
    ACTIONS(4401), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5257), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(445), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109527] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 1,
      anon_sym_DQUOTE,
    ACTIONS(941), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(943), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(945), 1,
      anon_sym_BQUOTE,
    ACTIONS(5335), 1,
      sym_word,
    ACTIONS(5373), 1,
      anon_sym_DOLLAR,
    ACTIONS(947), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5337), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(724), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109566] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(626), 1,
      anon_sym_DQUOTE,
    ACTIONS(628), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(630), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(632), 1,
      anon_sym_BQUOTE,
    ACTIONS(5261), 1,
      sym_word,
    ACTIONS(5375), 1,
      anon_sym_DOLLAR,
    ACTIONS(634), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5263), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(694), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109605] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(5367), 1,
      sym_word,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5371), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3251), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      sym__concat,
    STATE(2472), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1187), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109671] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(831), 1,
      anon_sym_DQUOTE,
    ACTIONS(833), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(835), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(837), 1,
      anon_sym_BQUOTE,
    ACTIONS(5380), 1,
      sym_word,
    ACTIONS(5382), 1,
      anon_sym_DOLLAR,
    ACTIONS(839), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5384), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(506), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109710] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_DOLLAR,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(541), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(543), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(545), 1,
      anon_sym_BQUOTE,
    ACTIONS(5313), 1,
      sym_word,
    ACTIONS(547), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5317), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(458), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109749] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3887), 1,
      anon_sym_DQUOTE,
    ACTIONS(4009), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4011), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4013), 1,
      anon_sym_BQUOTE,
    ACTIONS(5305), 1,
      sym_word,
    ACTIONS(5386), 1,
      anon_sym_DOLLAR,
    ACTIONS(4015), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5307), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2488), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109788] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_DQUOTE,
    ACTIONS(4316), 1,
      anon_sym_DOLLAR,
    ACTIONS(4322), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4324), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4326), 1,
      anon_sym_BQUOTE,
    ACTIONS(5243), 1,
      sym_word,
    ACTIONS(4328), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5247), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(713), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109827] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(827), 1,
      anon_sym_DOLLAR,
    ACTIONS(831), 1,
      anon_sym_DQUOTE,
    ACTIONS(833), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(835), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(837), 1,
      anon_sym_BQUOTE,
    ACTIONS(5380), 1,
      sym_word,
    ACTIONS(839), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5384), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(506), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109866] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(5225), 1,
      sym_word,
    ACTIONS(5388), 1,
      anon_sym_DOLLAR,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5227), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(722), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109905] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_DQUOTE,
    ACTIONS(4291), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4293), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4295), 1,
      anon_sym_BQUOTE,
    ACTIONS(5297), 1,
      sym_word,
    ACTIONS(5390), 1,
      anon_sym_DOLLAR,
    ACTIONS(4297), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5299), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1830), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [109944] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 1,
      sym__concat,
    STATE(2472), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1181), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [109971] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_BQUOTE,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(1705), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5275), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2222), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110010] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_DOLLAR,
    ACTIONS(2103), 1,
      anon_sym_DQUOTE,
    ACTIONS(2105), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2109), 1,
      anon_sym_BQUOTE,
    ACTIONS(5205), 1,
      sym_word,
    ACTIONS(2111), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5209), 3,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2094), 6,
      sym_string,
      sym_translated_string,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [110049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 1,
      sym__concat,
    ACTIONS(1347), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 1,
      sym__concat,
    ACTIONS(1401), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 1,
      sym__concat,
    ACTIONS(1385), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 1,
      sym__concat,
    ACTIONS(1241), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 1,
      sym__concat,
    ACTIONS(1381), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      sym__concat,
    ACTIONS(1187), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      sym__concat,
    ACTIONS(1377), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 1,
      sym__concat,
    ACTIONS(1303), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 1,
      sym__concat,
    ACTIONS(1373), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      sym__concat,
    ACTIONS(1367), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 1,
      sym__concat,
    ACTIONS(1311), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 1,
      sym__concat,
    ACTIONS(1397), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 1,
      sym__concat,
    ACTIONS(1363), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 1,
      sym__concat,
    ACTIONS(1393), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 1,
      sym__concat,
    ACTIONS(1359), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 1,
      sym__special_character,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5394), 14,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 1,
      sym__concat,
    ACTIONS(1405), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 1,
      sym__concat,
    ACTIONS(1307), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 1,
      sym__concat,
    ACTIONS(1315), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 1,
      sym__concat,
    ACTIONS(1355), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 1,
      sym__concat,
    ACTIONS(1355), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 1,
      sym__concat,
    ACTIONS(1351), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5398), 1,
      sym__special_character,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1337), 14,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 1,
      sym__concat,
    ACTIONS(1319), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      sym__concat,
    ACTIONS(1389), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 1,
      sym__concat,
    ACTIONS(1333), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 1,
      sym__concat,
    ACTIONS(1327), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 1,
      sym__concat,
    ACTIONS(1323), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 15,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [110746] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      sym_word,
    ACTIONS(5401), 1,
      sym__concat,
    STATE(2512), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1187), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      sym_word,
    ACTIONS(5404), 1,
      sym__concat,
    STATE(2512), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1181), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110798] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3149), 1,
      anon_sym_DQUOTE,
    ACTIONS(3151), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2098), 1,
      sym_string,
    ACTIONS(531), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
    ACTIONS(3145), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(3147), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [110828] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5406), 1,
      sym_word,
    ACTIONS(5408), 1,
      sym__concat,
    STATE(2513), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5233), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110854] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1793), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2310), 1,
      sym_string,
    ACTIONS(531), 2,
      sym__concat,
      anon_sym_RBRACK,
    ACTIONS(1789), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1791), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [110884] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      sym_word,
    ACTIONS(5408), 1,
      sym__concat,
    STATE(2513), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1207), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 2,
      sym__concat,
      sym_word,
    ACTIONS(1355), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110931] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5410), 1,
      anon_sym_RBRACE,
    ACTIONS(5416), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5420), 1,
      sym_variable_name,
    STATE(977), 1,
      sym_subscript,
    ACTIONS(5412), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5418), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5414), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [110962] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_RBRACE,
    ACTIONS(5428), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5432), 1,
      sym_variable_name,
    STATE(1170), 1,
      sym_subscript,
    ACTIONS(5424), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5430), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5426), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [110993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 2,
      sym__concat,
      sym_word,
    ACTIONS(1355), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111014] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5434), 1,
      anon_sym_RBRACE,
    ACTIONS(5440), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5444), 1,
      sym_variable_name,
    STATE(1099), 1,
      sym_subscript,
    ACTIONS(5436), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5442), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5438), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 2,
      sym__concat,
      sym_word,
    ACTIONS(1303), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 2,
      sym__concat,
      sym_word,
    ACTIONS(1359), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 2,
      sym__concat,
      sym_word,
    ACTIONS(1363), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111108] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 1,
      anon_sym_RBRACE,
    ACTIONS(5452), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5456), 1,
      sym_variable_name,
    STATE(1075), 1,
      sym_subscript,
    ACTIONS(5448), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5454), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5450), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111139] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      anon_sym_RBRACE,
    ACTIONS(5460), 1,
      anon_sym_DQUOTE,
    ACTIONS(5462), 1,
      aux_sym__simple_variable_name_token1,
    STATE(3245), 1,
      sym_string,
    ACTIONS(5464), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5458), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [111168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 2,
      sym__concat,
      sym_word,
    ACTIONS(1367), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 2,
      sym__concat,
      sym_word,
    ACTIONS(1373), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 2,
      sym__concat,
      sym_word,
    ACTIONS(1377), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111231] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 1,
      anon_sym_RBRACE,
    ACTIONS(5472), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5476), 1,
      sym_variable_name,
    STATE(954), 1,
      sym_subscript,
    ACTIONS(5468), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5474), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5470), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111262] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 1,
      anon_sym_RBRACE,
    ACTIONS(5484), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5488), 1,
      sym_variable_name,
    STATE(969), 1,
      sym_subscript,
    ACTIONS(5480), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5486), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5482), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 2,
      sym__concat,
      sym_word,
    ACTIONS(1351), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 2,
      sym__concat,
      sym_word,
    ACTIONS(1347), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 2,
      sym__concat,
      sym_word,
    ACTIONS(1307), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 2,
      sym__concat,
      sym_word,
    ACTIONS(1333), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 2,
      sym__concat,
      sym_word,
    ACTIONS(1381), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111398] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5490), 1,
      anon_sym_RBRACE,
    ACTIONS(5496), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5500), 1,
      sym_variable_name,
    STATE(1027), 1,
      sym_subscript,
    ACTIONS(5492), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5498), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5494), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111429] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      anon_sym_RBRACE,
    ACTIONS(5508), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5512), 1,
      sym_variable_name,
    STATE(1059), 1,
      sym_subscript,
    ACTIONS(5504), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5510), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5506), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111460] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 1,
      anon_sym_RBRACE,
    ACTIONS(5520), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5524), 1,
      sym_variable_name,
    STATE(919), 1,
      sym_subscript,
    ACTIONS(5516), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5522), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5518), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 2,
      sym__concat,
      sym_word,
    ACTIONS(1319), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111512] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5526), 1,
      anon_sym_RBRACE,
    ACTIONS(5532), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5536), 1,
      sym_variable_name,
    STATE(1166), 1,
      sym_subscript,
    ACTIONS(5528), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5534), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5530), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111543] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 1,
      anon_sym_RBRACE,
    ACTIONS(5544), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5548), 1,
      sym_variable_name,
    STATE(1023), 1,
      sym_subscript,
    ACTIONS(5540), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5546), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5542), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 2,
      sym__concat,
      sym_word,
    ACTIONS(1327), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 2,
      sym__concat,
      sym_word,
    ACTIONS(1385), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 2,
      sym__concat,
      sym_word,
    ACTIONS(1389), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 2,
      sym__concat,
      sym_word,
    ACTIONS(1393), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111658] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 1,
      anon_sym_RBRACE,
    ACTIONS(5556), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5560), 1,
      sym_variable_name,
    STATE(1146), 1,
      sym_subscript,
    ACTIONS(5552), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5558), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5554), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 2,
      sym__concat,
      sym_word,
    ACTIONS(1397), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 2,
      sym__concat,
      sym_word,
    ACTIONS(1323), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111731] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5562), 1,
      sym_word,
    ACTIONS(5564), 1,
      sym__special_character,
    STATE(2560), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5394), 10,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111756] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5566), 1,
      anon_sym_RBRACE,
    ACTIONS(5572), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5576), 1,
      sym_variable_name,
    STATE(1122), 1,
      sym_subscript,
    ACTIONS(5568), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5574), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5570), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111787] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 1,
      anon_sym_RBRACE,
    ACTIONS(5584), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5588), 1,
      sym_variable_name,
    STATE(1092), 1,
      sym_subscript,
    ACTIONS(5580), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5586), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5582), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111818] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 1,
      anon_sym_RBRACE,
    ACTIONS(5596), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5600), 1,
      sym_variable_name,
    STATE(1051), 1,
      sym_subscript,
    ACTIONS(5592), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5598), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5594), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111849] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5602), 1,
      anon_sym_RBRACE,
    ACTIONS(5608), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5612), 1,
      sym_variable_name,
    STATE(1130), 1,
      sym_subscript,
    ACTIONS(5604), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5610), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5606), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111880] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_RBRACE,
    ACTIONS(5620), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5624), 1,
      sym_variable_name,
    STATE(1069), 1,
      sym_subscript,
    ACTIONS(5616), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5622), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5618), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111911] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_RBRACE,
    ACTIONS(5632), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5636), 1,
      sym_variable_name,
    STATE(1106), 1,
      sym_subscript,
    ACTIONS(5628), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5634), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5630), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111942] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5638), 1,
      anon_sym_RBRACE,
    ACTIONS(5644), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5648), 1,
      sym_variable_name,
    STATE(930), 1,
      sym_subscript,
    ACTIONS(5640), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5646), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5642), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [111973] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5650), 1,
      anon_sym_RBRACE,
    ACTIONS(5656), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5660), 1,
      sym_variable_name,
    STATE(996), 1,
      sym_subscript,
    ACTIONS(5652), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5658), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5654), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [112004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      sym_word,
    ACTIONS(5662), 1,
      sym__special_character,
    STATE(2560), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1337), 10,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112029] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 1,
      anon_sym_RBRACE,
    ACTIONS(5671), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5675), 1,
      sym_variable_name,
    STATE(933), 1,
      sym_subscript,
    ACTIONS(5667), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5673), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5669), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [112060] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5677), 1,
      anon_sym_RBRACE,
    ACTIONS(5683), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5687), 1,
      sym_variable_name,
    STATE(1084), 1,
      sym_subscript,
    ACTIONS(5679), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5685), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5681), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [112091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 2,
      sym__concat,
      sym_word,
    ACTIONS(1187), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112112] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_RBRACE,
    ACTIONS(5695), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5699), 1,
      sym_variable_name,
    STATE(1003), 1,
      sym_subscript,
    ACTIONS(5691), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5697), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5693), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [112143] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5701), 1,
      anon_sym_RBRACE,
    ACTIONS(5707), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5711), 1,
      sym_variable_name,
    STATE(941), 1,
      sym_subscript,
    ACTIONS(5703), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5709), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5705), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [112174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 2,
      sym__concat,
      sym_word,
    ACTIONS(1311), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112195] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5713), 1,
      anon_sym_RBRACE,
    ACTIONS(5719), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5723), 1,
      sym_variable_name,
    STATE(1143), 1,
      sym_subscript,
    ACTIONS(5715), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5721), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5717), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [112226] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5725), 1,
      anon_sym_RBRACE,
    ACTIONS(5731), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5735), 1,
      sym_variable_name,
    STATE(1119), 1,
      sym_subscript,
    ACTIONS(5727), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5733), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5729), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [112257] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5737), 1,
      anon_sym_RBRACE,
    ACTIONS(5743), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5747), 1,
      sym_variable_name,
    STATE(989), 1,
      sym_subscript,
    ACTIONS(5739), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5745), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5741), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [112288] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 1,
      anon_sym_RBRACE,
    ACTIONS(5755), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5759), 1,
      sym_variable_name,
    STATE(1046), 1,
      sym_subscript,
    ACTIONS(5751), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5757), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5753), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [112319] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5761), 1,
      anon_sym_RBRACE,
    ACTIONS(5767), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5771), 1,
      sym_variable_name,
    STATE(1011), 1,
      sym_subscript,
    ACTIONS(5763), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5769), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5765), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [112350] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5773), 1,
      anon_sym_RBRACE,
    ACTIONS(5779), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5783), 1,
      sym_variable_name,
    STATE(1035), 1,
      sym_subscript,
    ACTIONS(5775), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5781), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5777), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [112381] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5785), 1,
      anon_sym_RBRACE,
    ACTIONS(5791), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5795), 1,
      sym_variable_name,
    STATE(1154), 1,
      sym_subscript,
    ACTIONS(5787), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5793), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5789), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [112412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 2,
      sym__concat,
      sym_word,
    ACTIONS(1405), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 2,
      sym__concat,
      sym_word,
    ACTIONS(1315), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 2,
      sym__concat,
      sym_word,
    ACTIONS(1401), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 2,
      sym__concat,
      sym_word,
    ACTIONS(1241), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112496] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1683), 1,
      anon_sym_DQUOTE,
    ACTIONS(1685), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1941), 1,
      sym_string,
    ACTIONS(1679), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1681), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [112522] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5799), 1,
      anon_sym_DQUOTE,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [112546] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5805), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [112570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5809), 1,
      anon_sym_esac,
    ACTIONS(5807), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5813), 1,
      anon_sym_esac,
    ACTIONS(5811), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112610] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5815), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [112634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      sym_word,
    ACTIONS(1207), 11,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112654] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4261), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5819), 1,
      anon_sym_DQUOTE,
    STATE(2523), 1,
      sym_string,
    ACTIONS(4257), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5817), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [112680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5821), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [112704] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5823), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [112728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5827), 1,
      anon_sym_esac,
    ACTIONS(5825), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112748] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5460), 1,
      anon_sym_DQUOTE,
    ACTIONS(5462), 1,
      aux_sym__simple_variable_name_token1,
    STATE(3245), 1,
      sym_string,
    ACTIONS(5464), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5458), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [112774] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5829), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [112798] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(772), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5833), 1,
      anon_sym_DQUOTE,
    STATE(544), 1,
      sym_string,
    ACTIONS(770), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5831), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [112824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5835), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [112848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5837), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [112872] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5839), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [112896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5841), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [112920] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3149), 1,
      anon_sym_DQUOTE,
    ACTIONS(3151), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2098), 1,
      sym_string,
    ACTIONS(3145), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(3147), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [112946] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(929), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5845), 1,
      anon_sym_DQUOTE,
    STATE(766), 1,
      sym_string,
    ACTIONS(925), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5843), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [112972] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [112996] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5849), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5851), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113044] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5853), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113068] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(782), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5857), 1,
      anon_sym_DQUOTE,
    STATE(602), 1,
      sym_string,
    ACTIONS(780), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5855), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [113094] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5859), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113118] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5861), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113142] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5863), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113166] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5867), 1,
      anon_sym_DQUOTE,
    STATE(2083), 1,
      sym_string,
    ACTIONS(1625), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5865), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [113192] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(876), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5871), 1,
      anon_sym_DQUOTE,
    STATE(630), 1,
      sym_string,
    ACTIONS(872), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5869), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [113218] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3889), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5875), 1,
      anon_sym_DQUOTE,
    STATE(2490), 1,
      sym_string,
    ACTIONS(3885), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5873), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [113244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5879), 1,
      anon_sym_esac,
    ACTIONS(5877), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5881), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113288] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5883), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113312] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5885), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113336] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5887), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113360] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(768), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5891), 1,
      anon_sym_DQUOTE,
    STATE(461), 1,
      sym_string,
    ACTIONS(764), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5889), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [113386] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5893), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5895), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113434] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5897), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5827), 1,
      anon_sym_esac,
    ACTIONS(5825), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5899), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113502] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5901), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5903), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113550] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5905), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5809), 1,
      anon_sym_esac,
    ACTIONS(5807), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113594] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5907), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113618] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5909), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113642] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5911), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113666] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5913), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113690] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5915), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113714] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5917), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113738] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1793), 1,
      anon_sym_DQUOTE,
    ACTIONS(1795), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2310), 1,
      sym_string,
    ACTIONS(1789), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1791), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [113764] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(923), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5921), 1,
      anon_sym_DQUOTE,
    STATE(612), 1,
      sym_string,
    ACTIONS(919), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5919), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [113790] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5923), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113814] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5925), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 1,
      anon_sym_esac,
    ACTIONS(5927), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113858] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5931), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113882] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1094), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5935), 1,
      anon_sym_DQUOTE,
    STATE(839), 1,
      sym_string,
    ACTIONS(1092), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5933), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [113908] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5937), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5939), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [113956] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3796), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5943), 1,
      anon_sym_DQUOTE,
    STATE(2256), 1,
      sym_string,
    ACTIONS(3794), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5941), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [113982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5945), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5947), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114030] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(529), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5951), 1,
      anon_sym_DQUOTE,
    STATE(312), 1,
      sym_string,
    ACTIONS(527), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5949), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [114056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5955), 1,
      anon_sym_esac,
    ACTIONS(5953), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [114076] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(587), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5959), 1,
      anon_sym_DQUOTE,
    STATE(395), 1,
      sym_string,
    ACTIONS(585), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5957), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [114102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5961), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5965), 1,
      anon_sym_esac,
    ACTIONS(5963), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [114146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5967), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114170] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5969), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114194] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1605), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5973), 1,
      anon_sym_DQUOTE,
    STATE(1909), 1,
      sym_string,
    ACTIONS(1601), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5971), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [114220] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5977), 1,
      anon_sym_DQUOTE,
    STATE(866), 1,
      sym_string,
    ACTIONS(1015), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5975), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [114246] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5979), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5981), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114294] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1025), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5985), 1,
      anon_sym_DQUOTE,
    STATE(811), 1,
      sym_string,
    ACTIONS(1021), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5983), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [114320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114344] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5989), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114368] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(821), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5993), 1,
      anon_sym_DQUOTE,
    STATE(448), 1,
      sym_string,
    ACTIONS(819), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5991), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [114394] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5995), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114418] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5365), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5999), 1,
      anon_sym_DQUOTE,
    STATE(2911), 1,
      sym_string,
    ACTIONS(5363), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5997), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [114444] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6001), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114468] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1558), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6005), 1,
      anon_sym_DQUOTE,
    STATE(1728), 1,
      sym_string,
    ACTIONS(1554), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6003), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [114494] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6009), 1,
      anon_sym_DQUOTE,
    STATE(517), 1,
      sym_string,
    ACTIONS(878), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6007), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [114520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6011), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114544] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6013), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114568] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6015), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114592] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1673), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6019), 1,
      anon_sym_DQUOTE,
    STATE(1858), 1,
      sym_string,
    ACTIONS(1669), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6017), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [114618] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6021), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114642] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6023), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 1,
      anon_sym_esac,
    ACTIONS(6025), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [114686] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6029), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114710] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(953), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6033), 1,
      anon_sym_DQUOTE,
    STATE(699), 1,
      sym_string,
    ACTIONS(951), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6031), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [114736] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(652), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6037), 1,
      anon_sym_DQUOTE,
    STATE(319), 1,
      sym_string,
    ACTIONS(650), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6035), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [114762] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1655), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6041), 1,
      anon_sym_DQUOTE,
    STATE(1774), 1,
      sym_string,
    ACTIONS(1653), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6039), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [114788] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(933), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6045), 1,
      anon_sym_DQUOTE,
    STATE(558), 1,
      sym_string,
    ACTIONS(931), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6043), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [114814] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6047), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6049), 1,
      anon_sym_DQUOTE,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [114862] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6051), 1,
      anon_sym_RBRACE,
    ACTIONS(6055), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6059), 1,
      sym_variable_name,
    STATE(934), 1,
      sym_subscript,
    ACTIONS(6057), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6053), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114889] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6061), 1,
      anon_sym_RBRACE,
    ACTIONS(6065), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6069), 1,
      sym_variable_name,
    STATE(959), 1,
      sym_subscript,
    ACTIONS(6067), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6063), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114916] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6071), 1,
      anon_sym_RBRACE,
    ACTIONS(6075), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6079), 1,
      sym_variable_name,
    STATE(1156), 1,
      sym_subscript,
    ACTIONS(6077), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6073), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114943] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6081), 1,
      anon_sym_RBRACE,
    ACTIONS(6085), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6089), 1,
      sym_variable_name,
    STATE(1141), 1,
      sym_subscript,
    ACTIONS(6087), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6083), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114970] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6091), 1,
      anon_sym_RBRACE,
    ACTIONS(6095), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6099), 1,
      sym_variable_name,
    STATE(946), 1,
      sym_subscript,
    ACTIONS(6097), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6093), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [114997] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6101), 1,
      anon_sym_RBRACE,
    ACTIONS(6105), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6109), 1,
      sym_variable_name,
    STATE(979), 1,
      sym_subscript,
    ACTIONS(6107), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6103), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6111), 1,
      sym_word,
    ACTIONS(6113), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115043] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6115), 1,
      anon_sym_RBRACE,
    ACTIONS(6119), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6123), 1,
      sym_variable_name,
    STATE(965), 1,
      sym_subscript,
    ACTIONS(6121), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6117), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6125), 1,
      sym_word,
    ACTIONS(6127), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115089] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6129), 1,
      anon_sym_RBRACE,
    ACTIONS(6133), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6137), 1,
      sym_variable_name,
    STATE(971), 1,
      sym_subscript,
    ACTIONS(6135), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6131), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115116] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6139), 1,
      anon_sym_RBRACE,
    ACTIONS(6143), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6147), 1,
      sym_variable_name,
    STATE(1038), 1,
      sym_subscript,
    ACTIONS(6145), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6141), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6149), 1,
      sym_word,
    ACTIONS(5927), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115162] = 6,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6155), 1,
      anon_sym_LT_LT,
    ACTIONS(6157), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(6159), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(6151), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(6153), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [115187] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6161), 1,
      anon_sym_RBRACE,
    ACTIONS(6165), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6169), 1,
      sym_variable_name,
    STATE(1109), 1,
      sym_subscript,
    ACTIONS(6167), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6163), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115214] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      sym__string_content,
    ACTIONS(5803), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(5797), 9,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [115235] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6171), 1,
      anon_sym_RBRACE,
    ACTIONS(6175), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6179), 1,
      sym_variable_name,
    STATE(992), 1,
      sym_subscript,
    ACTIONS(6177), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6173), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115262] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6181), 1,
      anon_sym_RBRACE,
    ACTIONS(6185), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6189), 1,
      sym_variable_name,
    STATE(993), 1,
      sym_subscript,
    ACTIONS(6187), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6183), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6191), 1,
      sym_word,
    ACTIONS(6193), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115308] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6195), 1,
      anon_sym_RBRACE,
    ACTIONS(6199), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6203), 1,
      sym_variable_name,
    STATE(1053), 1,
      sym_subscript,
    ACTIONS(6201), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6197), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6125), 1,
      sym_word,
    ACTIONS(6127), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115354] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6205), 1,
      anon_sym_RBRACE,
    ACTIONS(6209), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6213), 1,
      sym_variable_name,
    STATE(1014), 1,
      sym_subscript,
    ACTIONS(6211), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6207), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115381] = 6,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6219), 1,
      anon_sym_LT_LT,
    ACTIONS(6221), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(6223), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(6215), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(6217), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [115406] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6225), 1,
      anon_sym_RBRACE,
    ACTIONS(6229), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6233), 1,
      sym_variable_name,
    STATE(1124), 1,
      sym_subscript,
    ACTIONS(6231), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6227), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115433] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6235), 1,
      anon_sym_RBRACE,
    ACTIONS(6239), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6243), 1,
      sym_variable_name,
    STATE(1148), 1,
      sym_subscript,
    ACTIONS(6241), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6237), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      sym_word,
    ACTIONS(6247), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115479] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6249), 1,
      anon_sym_RBRACE,
    ACTIONS(6253), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6257), 1,
      sym_variable_name,
    STATE(1168), 1,
      sym_subscript,
    ACTIONS(6255), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6251), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115506] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6259), 1,
      anon_sym_RBRACE,
    ACTIONS(6263), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6267), 1,
      sym_variable_name,
    STATE(1177), 1,
      sym_subscript,
    ACTIONS(6265), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6261), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115533] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6269), 1,
      anon_sym_RBRACE,
    ACTIONS(6273), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6277), 1,
      sym_variable_name,
    STATE(1063), 1,
      sym_subscript,
    ACTIONS(6275), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6271), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115560] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6279), 1,
      anon_sym_RBRACE,
    ACTIONS(6283), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6287), 1,
      sym_variable_name,
    STATE(1044), 1,
      sym_subscript,
    ACTIONS(6285), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6281), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6289), 1,
      sym_word,
    ACTIONS(6291), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115606] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6293), 1,
      anon_sym_RBRACE,
    ACTIONS(6297), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6301), 1,
      sym_variable_name,
    STATE(1090), 1,
      sym_subscript,
    ACTIONS(6299), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6295), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6289), 1,
      sym_word,
    ACTIONS(6291), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115652] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6303), 1,
      anon_sym_RBRACE,
    ACTIONS(6307), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6311), 1,
      sym_variable_name,
    STATE(1101), 1,
      sym_subscript,
    ACTIONS(6309), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6305), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6313), 1,
      sym_word,
    ACTIONS(6315), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6111), 1,
      sym_word,
    ACTIONS(6113), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6317), 1,
      sym_word,
    ACTIONS(5877), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6319), 1,
      sym_word,
    ACTIONS(5811), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115755] = 6,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6325), 1,
      anon_sym_LT_LT,
    ACTIONS(6327), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(6329), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(6321), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(6323), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [115780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6331), 1,
      sym_word,
    ACTIONS(6333), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6331), 1,
      sym_word,
    ACTIONS(6333), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6289), 1,
      sym_word,
    ACTIONS(6291), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6335), 1,
      sym_word,
    ACTIONS(5953), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6289), 1,
      sym_word,
    ACTIONS(6291), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6337), 1,
      sym_word,
    ACTIONS(6339), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115894] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6341), 1,
      anon_sym_RBRACE,
    ACTIONS(6345), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6349), 1,
      sym_variable_name,
    STATE(1117), 1,
      sym_subscript,
    ACTIONS(6347), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6343), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [115921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6125), 1,
      sym_word,
    ACTIONS(6127), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6125), 1,
      sym_word,
    ACTIONS(6127), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6351), 1,
      sym_word,
    ACTIONS(5825), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6351), 1,
      sym_word,
    ACTIONS(5825), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115997] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6353), 1,
      anon_sym_RBRACE,
    ACTIONS(6357), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6361), 1,
      sym_variable_name,
    STATE(1005), 1,
      sym_subscript,
    ACTIONS(6359), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6355), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [116024] = 6,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6325), 1,
      anon_sym_LT_LT,
    ACTIONS(6327), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(6367), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(6363), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(6365), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [116049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6369), 1,
      sym_word,
    ACTIONS(5963), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [116068] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6371), 1,
      anon_sym_RBRACE,
    ACTIONS(6375), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6379), 1,
      sym_variable_name,
    STATE(1029), 1,
      sym_subscript,
    ACTIONS(6377), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6373), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [116095] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6381), 1,
      anon_sym_RBRACE,
    ACTIONS(6385), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6389), 1,
      sym_variable_name,
    STATE(1067), 1,
      sym_subscript,
    ACTIONS(6387), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6383), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [116122] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6391), 1,
      anon_sym_RBRACE,
    ACTIONS(6395), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6399), 1,
      sym_variable_name,
    STATE(1088), 1,
      sym_subscript,
    ACTIONS(6397), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6393), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [116149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6401), 1,
      sym_word,
    ACTIONS(5807), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [116168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6401), 1,
      sym_word,
    ACTIONS(5807), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [116187] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6403), 1,
      anon_sym_RBRACE,
    ACTIONS(6407), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6411), 1,
      sym_variable_name,
    STATE(1077), 1,
      sym_subscript,
    ACTIONS(6409), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6405), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [116214] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6413), 1,
      anon_sym_RBRACE,
    ACTIONS(6417), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6421), 1,
      sym_variable_name,
    STATE(922), 1,
      sym_subscript,
    ACTIONS(6419), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6415), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [116241] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6423), 1,
      anon_sym_RBRACE,
    ACTIONS(6427), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6431), 1,
      sym_variable_name,
    STATE(1132), 1,
      sym_subscript,
    ACTIONS(6429), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6425), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [116268] = 7,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6433), 1,
      anon_sym_RBRACE,
    ACTIONS(6437), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6441), 1,
      sym_variable_name,
    STATE(1021), 1,
      sym_subscript,
    ACTIONS(6439), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6435), 5,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_STAR,
      anon_sym_AT,
  [116295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6443), 1,
      sym_word,
    ACTIONS(6025), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [116314] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6445), 1,
      anon_sym_DOLLAR,
    ACTIONS(6447), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    STATE(2783), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116344] = 8,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6457), 1,
      anon_sym_DOLLAR,
    ACTIONS(6459), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6461), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6463), 1,
      anon_sym_BQUOTE,
    ACTIONS(6465), 1,
      sym__heredoc_body_middle,
    ACTIONS(6467), 1,
      sym__heredoc_body_end,
    STATE(2780), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [116372] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6469), 1,
      anon_sym_DOLLAR,
    ACTIONS(6471), 1,
      anon_sym_DQUOTE,
    STATE(2743), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116402] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6473), 1,
      anon_sym_DOLLAR,
    ACTIONS(6475), 1,
      anon_sym_DQUOTE,
    STATE(2753), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116432] = 8,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6477), 1,
      anon_sym_DOLLAR,
    ACTIONS(6480), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6483), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6486), 1,
      anon_sym_BQUOTE,
    ACTIONS(6489), 1,
      sym__heredoc_body_middle,
    ACTIONS(6492), 1,
      sym__heredoc_body_end,
    STATE(2742), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [116460] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5839), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6494), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116490] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6496), 1,
      anon_sym_DOLLAR,
    ACTIONS(6498), 1,
      anon_sym_DQUOTE,
    STATE(2745), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116520] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5853), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6500), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116550] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5863), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6502), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116580] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6504), 1,
      anon_sym_DOLLAR,
    ACTIONS(6506), 1,
      anon_sym_DQUOTE,
    STATE(2789), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116610] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6508), 1,
      anon_sym_DOLLAR,
    ACTIONS(6510), 1,
      anon_sym_DQUOTE,
    STATE(2775), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116640] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5837), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6512), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116670] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5883), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6514), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116700] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5861), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6516), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116730] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6518), 1,
      anon_sym_DOLLAR,
    ACTIONS(6520), 1,
      anon_sym_DQUOTE,
    STATE(2751), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116760] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5881), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6522), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116790] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6524), 1,
      anon_sym_DOLLAR,
    ACTIONS(6526), 1,
      anon_sym_DQUOTE,
    STATE(2760), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116820] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6528), 1,
      anon_sym_DOLLAR,
    ACTIONS(6530), 1,
      anon_sym_DQUOTE,
    STATE(2765), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116850] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5887), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6532), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116880] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6023), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6534), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116910] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6536), 1,
      anon_sym_DOLLAR,
    ACTIONS(6538), 1,
      anon_sym_DQUOTE,
    STATE(2766), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116940] = 8,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6457), 1,
      anon_sym_DOLLAR,
    ACTIONS(6459), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6461), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6463), 1,
      anon_sym_BQUOTE,
    ACTIONS(6540), 1,
      sym__heredoc_body_middle,
    ACTIONS(6542), 1,
      sym__heredoc_body_end,
    STATE(2803), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [116968] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5821), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6544), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [116998] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6546), 1,
      anon_sym_DOLLAR,
    ACTIONS(6548), 1,
      anon_sym_DQUOTE,
    STATE(2756), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117028] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      anon_sym_DOLLAR,
    ACTIONS(6553), 1,
      anon_sym_DQUOTE,
    ACTIONS(6555), 1,
      sym__string_content,
    ACTIONS(6558), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6561), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6564), 1,
      anon_sym_BQUOTE,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117058] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6567), 1,
      anon_sym_DOLLAR,
    ACTIONS(6569), 1,
      anon_sym_DQUOTE,
    STATE(2750), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117088] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5895), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6571), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117118] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6573), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117148] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5915), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6575), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117178] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6577), 1,
      anon_sym_DOLLAR,
    ACTIONS(6579), 1,
      anon_sym_DQUOTE,
    STATE(2757), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117208] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6581), 1,
      anon_sym_DOLLAR,
    ACTIONS(6583), 1,
      anon_sym_DQUOTE,
    STATE(2770), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117238] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5841), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6585), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117268] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5885), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6587), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117298] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5939), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6589), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117328] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6591), 1,
      anon_sym_DOLLAR,
    ACTIONS(6593), 1,
      anon_sym_DQUOTE,
    STATE(2746), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117358] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6595), 1,
      anon_sym_DOLLAR,
    ACTIONS(6597), 1,
      anon_sym_DQUOTE,
    STATE(2771), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117388] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5917), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6599), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117418] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6029), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6601), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117448] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6603), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117478] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6605), 1,
      anon_sym_DOLLAR,
    ACTIONS(6607), 1,
      anon_sym_DQUOTE,
    STATE(2781), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117508] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6609), 1,
      anon_sym_DOLLAR,
    ACTIONS(6611), 1,
      anon_sym_DQUOTE,
    STATE(2749), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117538] = 8,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6457), 1,
      anon_sym_DOLLAR,
    ACTIONS(6459), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6461), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6463), 1,
      anon_sym_BQUOTE,
    ACTIONS(6613), 1,
      sym__heredoc_body_middle,
    ACTIONS(6615), 1,
      sym__heredoc_body_end,
    STATE(2742), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [117566] = 8,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6457), 1,
      anon_sym_DOLLAR,
    ACTIONS(6459), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6461), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6463), 1,
      anon_sym_BQUOTE,
    ACTIONS(6613), 1,
      sym__heredoc_body_middle,
    ACTIONS(6617), 1,
      sym__heredoc_body_end,
    STATE(2742), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [117594] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6619), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117624] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5945), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6621), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117654] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5931), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6623), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117684] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5923), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6625), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117714] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6627), 1,
      anon_sym_DOLLAR,
    ACTIONS(6629), 1,
      anon_sym_DQUOTE,
    STATE(2764), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117744] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6631), 1,
      anon_sym_DOLLAR,
    ACTIONS(6633), 1,
      anon_sym_DQUOTE,
    STATE(2769), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117774] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5981), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6635), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117804] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6637), 1,
      anon_sym_DOLLAR,
    ACTIONS(6639), 1,
      anon_sym_DQUOTE,
    STATE(2787), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117834] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5995), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6641), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117864] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6643), 1,
      anon_sym_DOLLAR,
    ACTIONS(6645), 1,
      anon_sym_DQUOTE,
    STATE(2795), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117894] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6647), 1,
      anon_sym_DOLLAR,
    ACTIONS(6649), 1,
      anon_sym_DQUOTE,
    STATE(2784), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117924] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6651), 1,
      anon_sym_DOLLAR,
    ACTIONS(6653), 1,
      anon_sym_DQUOTE,
    STATE(2793), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117954] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6655), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [117984] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5989), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6657), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118014] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6021), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6659), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118044] = 8,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6457), 1,
      anon_sym_DOLLAR,
    ACTIONS(6459), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6461), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6463), 1,
      anon_sym_BQUOTE,
    ACTIONS(6661), 1,
      sym__heredoc_body_middle,
    ACTIONS(6663), 1,
      sym__heredoc_body_end,
    STATE(2779), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [118072] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6665), 1,
      anon_sym_DOLLAR,
    ACTIONS(6667), 1,
      anon_sym_DQUOTE,
    STATE(2802), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118102] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6669), 1,
      anon_sym_DOLLAR,
    ACTIONS(6671), 1,
      anon_sym_DQUOTE,
    STATE(2774), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118132] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6673), 1,
      anon_sym_DOLLAR,
    ACTIONS(6675), 1,
      anon_sym_DQUOTE,
    STATE(2776), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118162] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6677), 1,
      anon_sym_DOLLAR,
    ACTIONS(6679), 1,
      anon_sym_DQUOTE,
    STATE(2794), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118192] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6683), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(6685), 2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(6681), 7,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_STAR,
      anon_sym_AT,
  [118212] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6001), 1,
      anon_sym_DQUOTE,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6687), 1,
      anon_sym_DOLLAR,
    STATE(2762), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118242] = 8,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6457), 1,
      anon_sym_DOLLAR,
    ACTIONS(6459), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6461), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6463), 1,
      anon_sym_BQUOTE,
    ACTIONS(6613), 1,
      sym__heredoc_body_middle,
    ACTIONS(6689), 1,
      sym__heredoc_body_end,
    STATE(2742), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [118270] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6449), 1,
      sym__string_content,
    ACTIONS(6451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6455), 1,
      anon_sym_BQUOTE,
    ACTIONS(6691), 1,
      anon_sym_DOLLAR,
    ACTIONS(6693), 1,
      anon_sym_DQUOTE,
    STATE(2782), 1,
      aux_sym_string_repeat1,
    STATE(2824), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [118300] = 7,
    ACTIONS(151), 1,
      anon_sym_LBRACK,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6695), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(6701), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(1910), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [118324] = 7,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_LBRACK,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6703), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6707), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(2167), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [118348] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      anon_sym_LF,
    ACTIONS(6709), 1,
      sym__concat,
    STATE(2819), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1207), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      anon_sym_AMP,
  [118368] = 7,
    ACTIONS(29), 1,
      anon_sym_LBRACK,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6703), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6707), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6711), 1,
      anon_sym_LPAREN,
    STATE(2161), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [118392] = 7,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_LBRACK,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6703), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6707), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(2143), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [118416] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6713), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(6715), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [118432] = 7,
    ACTIONS(145), 1,
      anon_sym_LPAREN,
    ACTIONS(151), 1,
      anon_sym_LBRACK,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6695), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(6701), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(1782), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [118456] = 7,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6717), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6721), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(1970), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [118480] = 7,
    ACTIONS(145), 1,
      anon_sym_LPAREN,
    ACTIONS(151), 1,
      anon_sym_LBRACK,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6695), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(6701), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(1795), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [118504] = 7,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6717), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6721), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(1946), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [118528] = 7,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6717), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6721), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LPAREN,
    STATE(1922), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [118552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 1,
      sym__concat,
    ACTIONS(1373), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 1,
      sym__concat,
    ACTIONS(1405), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6725), 1,
      anon_sym_LF,
    ACTIONS(6727), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(445), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [118599] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      anon_sym_LF,
    ACTIONS(6729), 1,
      sym__concat,
    STATE(2838), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1181), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6731), 1,
      sym__concat,
    ACTIONS(6553), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6733), 1,
      anon_sym_LF,
    ACTIONS(6735), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP,
  [118648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6737), 1,
      anon_sym_LF,
    ACTIONS(6739), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP,
  [118663] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6741), 1,
      anon_sym_LF,
    ACTIONS(6743), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(722), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [118680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6747), 1,
      sym__concat,
    ACTIONS(6745), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118695] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6749), 1,
      anon_sym_LF,
    ACTIONS(6751), 1,
      anon_sym_in,
    ACTIONS(6755), 1,
      sym__special_character,
    STATE(2826), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6753), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      anon_sym_LF,
    ACTIONS(6757), 1,
      sym__special_character,
    STATE(2826), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1337), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118735] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6755), 1,
      sym__special_character,
    ACTIONS(6760), 1,
      anon_sym_LF,
    ACTIONS(6762), 1,
      anon_sym_in,
    STATE(2826), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6764), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 1,
      sym__concat,
    ACTIONS(1323), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 1,
      sym__concat,
    ACTIONS(1327), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118786] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6709), 1,
      sym__concat,
    ACTIONS(6766), 1,
      anon_sym_LF,
    ACTIONS(6768), 1,
      anon_sym_in,
    STATE(2819), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6770), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 1,
      sym__concat,
    ACTIONS(1333), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118822] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6709), 1,
      sym__concat,
    ACTIONS(6772), 1,
      anon_sym_LF,
    ACTIONS(6774), 1,
      anon_sym_in,
    STATE(2819), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6776), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6778), 1,
      anon_sym_LF,
    ACTIONS(6780), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP,
  [118858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      sym__concat,
    ACTIONS(1377), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 1,
      sym__concat,
    ACTIONS(1347), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 1,
      sym__concat,
    ACTIONS(1351), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 1,
      sym__concat,
    ACTIONS(1355), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_LF,
    ACTIONS(6782), 1,
      sym__concat,
    STATE(2838), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1187), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [118937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 1,
      sym__concat,
    ACTIONS(1381), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 1,
      sym__concat,
    ACTIONS(1385), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      sym__concat,
    ACTIONS(1389), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 1,
      sym__concat,
    ACTIONS(1355), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [118997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 1,
      sym__concat,
    ACTIONS(1393), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 1,
      sym__concat,
    ACTIONS(1397), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 1,
      sym__concat,
    ACTIONS(1241), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 1,
      sym__concat,
    ACTIONS(1401), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 1,
      sym__concat,
    ACTIONS(1359), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119072] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6755), 1,
      sym__special_character,
    ACTIONS(6785), 1,
      anon_sym_LF,
    ACTIONS(6787), 1,
      anon_sym_in,
    STATE(2826), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6789), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 1,
      sym__concat,
    ACTIONS(1363), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      sym__concat,
    ACTIONS(1367), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119123] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6709), 1,
      sym__concat,
    ACTIONS(6791), 1,
      anon_sym_LF,
    ACTIONS(6793), 1,
      anon_sym_in,
    STATE(2819), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6795), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119144] = 6,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6797), 1,
      anon_sym_fi,
    ACTIONS(6799), 1,
      anon_sym_elif,
    ACTIONS(6801), 1,
      anon_sym_else,
    STATE(3463), 1,
      sym_else_clause,
    STATE(2925), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [119164] = 3,
    ACTIONS(1367), 1,
      anon_sym_DOLLAR,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1369), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6803), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1311), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6737), 1,
      anon_sym_LF,
    ACTIONS(6739), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [119218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1347), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1351), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1355), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1355), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119274] = 6,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6799), 1,
      anon_sym_elif,
    ACTIONS(6801), 1,
      anon_sym_else,
    ACTIONS(6805), 1,
      anon_sym_fi,
    STATE(3292), 1,
      sym_else_clause,
    STATE(2925), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [119294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1315), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6807), 1,
      anon_sym_LF,
    ACTIONS(6809), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(445), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [119324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1319), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1359), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1363), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1307), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119380] = 3,
    ACTIONS(1405), 1,
      anon_sym_DOLLAR,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1407), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119394] = 3,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1403), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119408] = 6,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6799), 1,
      anon_sym_elif,
    ACTIONS(6801), 1,
      anon_sym_else,
    ACTIONS(6811), 1,
      anon_sym_fi,
    STATE(3461), 1,
      sym_else_clause,
    STATE(2925), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [119428] = 3,
    ACTIONS(1241), 1,
      anon_sym_DOLLAR,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1243), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119442] = 6,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6799), 1,
      anon_sym_elif,
    ACTIONS(6801), 1,
      anon_sym_else,
    ACTIONS(6813), 1,
      anon_sym_fi,
    STATE(3389), 1,
      sym_else_clause,
    STATE(2925), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [119462] = 3,
    ACTIONS(1397), 1,
      anon_sym_DOLLAR,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1399), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119476] = 3,
    ACTIONS(1393), 1,
      anon_sym_DOLLAR,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1395), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1367), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119504] = 3,
    ACTIONS(1389), 1,
      anon_sym_DOLLAR,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1391), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119518] = 3,
    ACTIONS(1385), 1,
      anon_sym_DOLLAR,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1387), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119532] = 3,
    ACTIONS(1381), 1,
      anon_sym_DOLLAR,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1383), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119546] = 3,
    ACTIONS(1377), 1,
      anon_sym_DOLLAR,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1379), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119560] = 3,
    ACTIONS(1373), 1,
      anon_sym_DOLLAR,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1375), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1187), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      anon_sym_LF,
    ACTIONS(1207), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      anon_sym_AMP,
  [119602] = 3,
    ACTIONS(1363), 1,
      anon_sym_DOLLAR,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1365), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119616] = 3,
    ACTIONS(1359), 1,
      anon_sym_DOLLAR,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1361), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6733), 1,
      anon_sym_LF,
    ACTIONS(6735), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [119644] = 6,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6799), 1,
      anon_sym_elif,
    ACTIONS(6801), 1,
      anon_sym_else,
    ACTIONS(6815), 1,
      anon_sym_fi,
    STATE(3348), 1,
      sym_else_clause,
    STATE(2925), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [119664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6778), 1,
      anon_sym_LF,
    ACTIONS(6780), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [119678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1333), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119692] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6817), 1,
      anon_sym_LF,
    ACTIONS(6819), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(722), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [119708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1373), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1377), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119736] = 3,
    ACTIONS(1355), 1,
      anon_sym_DOLLAR,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1357), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119750] = 3,
    ACTIONS(1355), 1,
      anon_sym_DOLLAR,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1357), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119764] = 3,
    ACTIONS(1351), 1,
      anon_sym_DOLLAR,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1353), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119778] = 3,
    ACTIONS(1347), 1,
      anon_sym_DOLLAR,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1349), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1381), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1385), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119820] = 3,
    ACTIONS(1333), 1,
      anon_sym_DOLLAR,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1335), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119834] = 3,
    ACTIONS(1327), 1,
      anon_sym_DOLLAR,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1329), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1389), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119862] = 3,
    ACTIONS(1323), 1,
      anon_sym_DOLLAR,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1325), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1393), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1397), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1241), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119918] = 6,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6799), 1,
      anon_sym_elif,
    ACTIONS(6801), 1,
      anon_sym_else,
    ACTIONS(6821), 1,
      anon_sym_fi,
    STATE(3324), 1,
      sym_else_clause,
    STATE(2925), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [119938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1401), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1405), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6553), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [119978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1323), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [119992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1327), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1303), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120020] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6823), 1,
      anon_sym_SEMI,
    ACTIONS(6825), 1,
      anon_sym_do,
    STATE(2026), 2,
      sym_do_group,
      sym_compound_statement,
  [120037] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(6827), 1,
      anon_sym_SEMI,
    ACTIONS(6829), 1,
      anon_sym_do,
    STATE(1757), 2,
      sym_do_group,
      sym_compound_statement,
  [120054] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6772), 1,
      anon_sym_LF,
    ACTIONS(6774), 1,
      anon_sym_in,
    ACTIONS(6776), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120069] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6825), 1,
      anon_sym_do,
    ACTIONS(6831), 1,
      anon_sym_SEMI,
    STATE(2072), 2,
      sym_do_group,
      sym_compound_statement,
  [120086] = 6,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4601), 1,
      sym__special_character,
    ACTIONS(6833), 1,
      anon_sym_PIPE,
    ACTIONS(6835), 1,
      anon_sym_RPAREN,
    STATE(1996), 1,
      aux_sym__literal_repeat1,
    STATE(3085), 1,
      aux_sym_case_item_repeat1,
  [120105] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(445), 1,
      anon_sym_RPAREN,
    ACTIONS(6807), 1,
      anon_sym_LF,
    ACTIONS(6809), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120120] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym_LF,
    ACTIONS(6839), 1,
      anon_sym_in,
    ACTIONS(6841), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120135] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(6829), 1,
      anon_sym_do,
    ACTIONS(6843), 1,
      anon_sym_SEMI,
    STATE(1817), 2,
      sym_do_group,
      sym_compound_statement,
  [120152] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6825), 1,
      anon_sym_do,
    ACTIONS(6845), 1,
      anon_sym_SEMI,
    STATE(1967), 2,
      sym_do_group,
      sym_compound_statement,
  [120169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6778), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(6780), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120182] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(6829), 1,
      anon_sym_do,
    ACTIONS(6847), 1,
      anon_sym_SEMI,
    STATE(1831), 2,
      sym_do_group,
      sym_compound_statement,
  [120199] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(6829), 1,
      anon_sym_do,
    ACTIONS(6849), 1,
      anon_sym_SEMI,
    STATE(1834), 2,
      sym_do_group,
      sym_compound_statement,
  [120216] = 6,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4265), 1,
      sym__concat,
    ACTIONS(6833), 1,
      anon_sym_PIPE,
    ACTIONS(6851), 1,
      anon_sym_RPAREN,
    STATE(2977), 1,
      aux_sym_concatenation_repeat1,
    STATE(3121), 1,
      aux_sym_case_item_repeat1,
  [120235] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6855), 1,
      anon_sym_elif,
    ACTIONS(6853), 2,
      anon_sym_fi,
      anon_sym_else,
    STATE(2925), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [120250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_LF,
    ACTIONS(6860), 1,
      anon_sym_in,
    ACTIONS(6862), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120265] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(6829), 1,
      anon_sym_do,
    ACTIONS(6864), 1,
      anon_sym_SEMI,
    STATE(1865), 2,
      sym_do_group,
      sym_compound_statement,
  [120282] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(6829), 1,
      anon_sym_do,
    ACTIONS(6866), 1,
      anon_sym_SEMI,
    STATE(1767), 2,
      sym_do_group,
      sym_compound_statement,
  [120299] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6868), 1,
      anon_sym_SEMI,
    ACTIONS(6870), 1,
      anon_sym_do,
    STATE(2169), 2,
      sym_do_group,
      sym_compound_statement,
  [120316] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6870), 1,
      anon_sym_do,
    ACTIONS(6872), 1,
      anon_sym_SEMI,
    STATE(2172), 2,
      sym_do_group,
      sym_compound_statement,
  [120333] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6791), 1,
      anon_sym_LF,
    ACTIONS(6793), 1,
      anon_sym_in,
    ACTIONS(6795), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120348] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(6829), 1,
      anon_sym_do,
    ACTIONS(6874), 1,
      anon_sym_SEMI,
    STATE(1768), 2,
      sym_do_group,
      sym_compound_statement,
  [120365] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6825), 1,
      anon_sym_do,
    ACTIONS(6876), 1,
      anon_sym_SEMI,
    STATE(1954), 2,
      sym_do_group,
      sym_compound_statement,
  [120382] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6870), 1,
      anon_sym_do,
    ACTIONS(6878), 1,
      anon_sym_SEMI,
    STATE(2109), 2,
      sym_do_group,
      sym_compound_statement,
  [120399] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(6829), 1,
      anon_sym_do,
    ACTIONS(6880), 1,
      anon_sym_SEMI,
    STATE(1769), 2,
      sym_do_group,
      sym_compound_statement,
  [120416] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6825), 1,
      anon_sym_do,
    ACTIONS(6882), 1,
      anon_sym_SEMI,
    STATE(1932), 2,
      sym_do_group,
      sym_compound_statement,
  [120433] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6870), 1,
      anon_sym_do,
    ACTIONS(6884), 1,
      anon_sym_SEMI,
    STATE(2099), 2,
      sym_do_group,
      sym_compound_statement,
  [120450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(722), 1,
      anon_sym_RPAREN,
    ACTIONS(6817), 1,
      anon_sym_LF,
    ACTIONS(6819), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120465] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4265), 1,
      sym__concat,
    STATE(2977), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1209), 3,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym__special_character,
  [120480] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6825), 1,
      anon_sym_do,
    ACTIONS(6886), 1,
      anon_sym_SEMI,
    STATE(2035), 2,
      sym_do_group,
      sym_compound_statement,
  [120497] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6766), 1,
      anon_sym_LF,
    ACTIONS(6768), 1,
      anon_sym_in,
    ACTIONS(6770), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120512] = 6,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4265), 1,
      sym__concat,
    ACTIONS(6833), 1,
      anon_sym_PIPE,
    ACTIONS(6888), 1,
      anon_sym_RPAREN,
    STATE(2977), 1,
      aux_sym_concatenation_repeat1,
    STATE(3117), 1,
      aux_sym_case_item_repeat1,
  [120531] = 6,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4601), 1,
      sym__special_character,
    ACTIONS(6833), 1,
      anon_sym_PIPE,
    ACTIONS(6890), 1,
      anon_sym_RPAREN,
    STATE(1996), 1,
      aux_sym__literal_repeat1,
    STATE(3116), 1,
      aux_sym_case_item_repeat1,
  [120550] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6825), 1,
      anon_sym_do,
    ACTIONS(6892), 1,
      anon_sym_SEMI,
    STATE(2009), 2,
      sym_do_group,
      sym_compound_statement,
  [120567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6737), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(6739), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120580] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6825), 1,
      anon_sym_do,
    ACTIONS(6894), 1,
      anon_sym_SEMI,
    STATE(2074), 2,
      sym_do_group,
      sym_compound_statement,
  [120597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6733), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(6735), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120610] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6870), 1,
      anon_sym_do,
    ACTIONS(6896), 1,
      anon_sym_SEMI,
    STATE(2182), 2,
      sym_do_group,
      sym_compound_statement,
  [120627] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(445), 1,
      anon_sym_BQUOTE,
    ACTIONS(6898), 1,
      anon_sym_LF,
    ACTIONS(6900), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(722), 1,
      anon_sym_BQUOTE,
    ACTIONS(6902), 1,
      anon_sym_LF,
    ACTIONS(6904), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120657] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6870), 1,
      anon_sym_do,
    ACTIONS(6906), 1,
      anon_sym_SEMI,
    STATE(2165), 2,
      sym_do_group,
      sym_compound_statement,
  [120674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      ts_builtin_sym_end,
    ACTIONS(6908), 1,
      anon_sym_LF,
    ACTIONS(6910), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120689] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6870), 1,
      anon_sym_do,
    ACTIONS(6912), 1,
      anon_sym_SEMI,
    STATE(2136), 2,
      sym_do_group,
      sym_compound_statement,
  [120706] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6870), 1,
      anon_sym_do,
    ACTIONS(6914), 1,
      anon_sym_SEMI,
    STATE(2144), 2,
      sym_do_group,
      sym_compound_statement,
  [120723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6916), 1,
      anon_sym_LF,
    ACTIONS(6918), 1,
      anon_sym_in,
    ACTIONS(6920), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(648), 1,
      ts_builtin_sym_end,
    ACTIONS(6922), 1,
      anon_sym_LF,
    ACTIONS(6924), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6926), 1,
      anon_sym_LF,
    ACTIONS(6928), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6930), 1,
      anon_sym_LF,
    ACTIONS(6932), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6934), 1,
      anon_sym_LF,
    ACTIONS(6936), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6938), 1,
      anon_sym_LF,
    ACTIONS(6940), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120801] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6870), 1,
      anon_sym_do,
    STATE(2156), 2,
      sym_do_group,
      sym_compound_statement,
  [120815] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6870), 1,
      anon_sym_do,
    STATE(2163), 2,
      sym_do_group,
      sym_compound_statement,
  [120829] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6870), 1,
      anon_sym_do,
    STATE(2155), 2,
      sym_do_group,
      sym_compound_statement,
  [120843] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6825), 1,
      anon_sym_do,
    STATE(2073), 2,
      sym_do_group,
      sym_compound_statement,
  [120857] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6942), 1,
      anon_sym_esac,
    ACTIONS(6944), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6946), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(6948), 1,
      anon_sym_SEMI_SEMI_AMP,
  [120873] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6942), 1,
      anon_sym_esac,
    ACTIONS(6950), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6952), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(6954), 1,
      anon_sym_SEMI_SEMI_AMP,
  [120889] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6825), 1,
      anon_sym_do,
    STATE(2078), 2,
      sym_do_group,
      sym_compound_statement,
  [120903] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6956), 1,
      anon_sym_esac,
    ACTIONS(6958), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6960), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(6962), 1,
      anon_sym_SEMI_SEMI_AMP,
  [120919] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6964), 1,
      anon_sym_esac,
    ACTIONS(6966), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6968), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [120933] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6970), 1,
      anon_sym_esac,
    ACTIONS(6972), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6974), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [120947] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6870), 1,
      anon_sym_do,
    STATE(2097), 2,
      sym_do_group,
      sym_compound_statement,
  [120961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6976), 1,
      anon_sym_LF,
    ACTIONS(6978), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120973] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6870), 1,
      anon_sym_do,
    STATE(2179), 2,
      sym_do_group,
      sym_compound_statement,
  [120987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6980), 1,
      anon_sym_LF,
    ACTIONS(6982), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [120999] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6825), 1,
      anon_sym_do,
    STATE(2008), 2,
      sym_do_group,
      sym_compound_statement,
  [121013] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6825), 1,
      anon_sym_do,
    STATE(2084), 2,
      sym_do_group,
      sym_compound_statement,
  [121027] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6984), 1,
      sym__concat,
    STATE(2088), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1183), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [121041] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4601), 1,
      sym__special_character,
    STATE(1996), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6986), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [121055] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(4265), 1,
      sym__concat,
    STATE(2977), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6988), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [121069] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6825), 1,
      anon_sym_do,
    STATE(1963), 2,
      sym_do_group,
      sym_compound_statement,
  [121083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6990), 1,
      anon_sym_LF,
    ACTIONS(6992), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6994), 1,
      anon_sym_LF,
    ACTIONS(6996), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6998), 1,
      anon_sym_LF,
    ACTIONS(7000), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7002), 1,
      anon_sym_LF,
    ACTIONS(7004), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121131] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(6829), 1,
      anon_sym_do,
    STATE(1868), 2,
      sym_do_group,
      sym_compound_statement,
  [121145] = 5,
    ACTIONS(1207), 1,
      sym__special_character,
    ACTIONS(1209), 1,
      anon_sym_RBRACE,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [121161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7008), 1,
      anon_sym_LF,
    ACTIONS(7010), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121173] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7012), 1,
      anon_sym_RBRACK,
    ACTIONS(7014), 1,
      sym__special_character,
    ACTIONS(7016), 1,
      sym__concat,
    STATE(3008), 1,
      aux_sym__literal_repeat1,
  [121189] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6825), 1,
      anon_sym_do,
    STATE(2040), 2,
      sym_do_group,
      sym_compound_statement,
  [121203] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(6829), 1,
      anon_sym_do,
    STATE(1864), 2,
      sym_do_group,
      sym_compound_statement,
  [121217] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(6829), 1,
      anon_sym_do,
    STATE(1863), 2,
      sym_do_group,
      sym_compound_statement,
  [121231] = 5,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7014), 1,
      sym__special_character,
    ACTIONS(7018), 1,
      anon_sym_RBRACK,
    ACTIONS(7020), 1,
      sym__concat,
    STATE(3008), 1,
      aux_sym__literal_repeat1,
  [121247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7022), 1,
      anon_sym_LF,
    ACTIONS(7024), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121259] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(6829), 1,
      anon_sym_do,
    STATE(1766), 2,
      sym_do_group,
      sym_compound_statement,
  [121273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7026), 1,
      anon_sym_LF,
    ACTIONS(7028), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121285] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(6829), 1,
      anon_sym_do,
    STATE(1840), 2,
      sym_do_group,
      sym_compound_statement,
  [121299] = 4,
    ACTIONS(1207), 1,
      sym__special_character,
    ACTIONS(4021), 1,
      sym_comment,
    STATE(3103), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1209), 2,
      sym__concat,
      anon_sym_RBRACK,
  [121313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7030), 1,
      anon_sym_LF,
    ACTIONS(7032), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7034), 1,
      anon_sym_LF,
    ACTIONS(7036), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121337] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6870), 1,
      anon_sym_do,
    STATE(2102), 2,
      sym_do_group,
      sym_compound_statement,
  [121351] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6870), 1,
      anon_sym_do,
    STATE(2104), 2,
      sym_do_group,
      sym_compound_statement,
  [121365] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(6829), 1,
      anon_sym_do,
    STATE(1819), 2,
      sym_do_group,
      sym_compound_statement,
  [121379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7038), 1,
      anon_sym_LF,
    ACTIONS(7040), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121391] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6825), 1,
      anon_sym_do,
    STATE(1972), 2,
      sym_do_group,
      sym_compound_statement,
  [121405] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(6829), 1,
      anon_sym_do,
    STATE(1809), 2,
      sym_do_group,
      sym_compound_statement,
  [121419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7042), 1,
      anon_sym_LF,
    ACTIONS(7044), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [121431] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_LBRACE,
    ACTIONS(6829), 1,
      anon_sym_do,
    STATE(1778), 2,
      sym_do_group,
      sym_compound_statement,
  [121445] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7046), 1,
      sym__special_character,
    STATE(3008), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1342), 2,
      sym__concat,
      anon_sym_RBRACK,
  [121459] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6825), 1,
      anon_sym_do,
    STATE(1984), 2,
      sym_do_group,
      sym_compound_statement,
  [121473] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6870), 1,
      anon_sym_do,
    STATE(2145), 2,
      sym_do_group,
      sym_compound_statement,
  [121487] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7049), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [121500] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6946), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(6948), 1,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(7051), 1,
      anon_sym_SEMI_SEMI,
  [121513] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7053), 1,
      anon_sym_RBRACE,
    ACTIONS(7055), 1,
      sym__special_character,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [121526] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7057), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [121539] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7059), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [121552] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7061), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [121565] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7063), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [121578] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7065), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [121591] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7067), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [121604] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7069), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [121617] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7071), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [121630] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7073), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [121643] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7075), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [121656] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7077), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [121669] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7079), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [121682] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7081), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [121695] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7083), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [121708] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7085), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [121721] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7087), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [121734] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7089), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [121747] = 3,
    ACTIONS(1207), 1,
      sym__special_character,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1209), 2,
      sym__concat,
      anon_sym_RBRACK,
  [121758] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7091), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [121771] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7093), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [121784] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7095), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [121797] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7097), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [121810] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7099), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [121823] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7101), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [121836] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7103), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [121849] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7105), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [121862] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7107), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [121875] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7109), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [121888] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym_LBRACK,
    ACTIONS(7113), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [121899] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym_LBRACK,
    ACTIONS(7115), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [121910] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6833), 1,
      anon_sym_PIPE,
    ACTIONS(6851), 1,
      anon_sym_RPAREN,
    STATE(3086), 1,
      aux_sym_case_item_repeat1,
  [121923] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7117), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [121936] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7119), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [121949] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7121), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [121962] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7123), 1,
      anon_sym_RBRACK,
    ACTIONS(7125), 1,
      sym__concat,
    STATE(3103), 1,
      aux_sym_concatenation_repeat1,
  [121975] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7127), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [121988] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7129), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122001] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7131), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122014] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7133), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122027] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7137), 1,
      sym__concat,
    ACTIONS(7135), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [122038] = 4,
    ACTIONS(1342), 1,
      anon_sym_RBRACE,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7139), 1,
      sym__special_character,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122051] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7142), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122064] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7144), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122077] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7146), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122090] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7148), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122103] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7150), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122116] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7152), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122129] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7154), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122142] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7156), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122155] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7158), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122168] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7160), 1,
      anon_sym_RBRACK,
    ACTIONS(7162), 1,
      sym__concat,
    STATE(3103), 1,
      aux_sym_concatenation_repeat1,
  [122181] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7164), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122194] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7166), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122207] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7168), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122220] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7170), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122233] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7172), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122246] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7174), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122259] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7176), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122272] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7178), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122285] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7180), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122298] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7182), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122311] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7184), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122324] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7186), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122337] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7188), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122350] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7192), 1,
      sym__concat,
    ACTIONS(7190), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [122361] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7194), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122374] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6960), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(6962), 1,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(7196), 1,
      anon_sym_SEMI_SEMI,
  [122387] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7198), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122400] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7200), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122413] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6952), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(6954), 1,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(7202), 1,
      anon_sym_SEMI_SEMI,
  [122426] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7204), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122439] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6833), 1,
      anon_sym_PIPE,
    ACTIONS(7206), 1,
      anon_sym_RPAREN,
    STATE(3140), 1,
      aux_sym_case_item_repeat1,
  [122452] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6833), 1,
      anon_sym_PIPE,
    ACTIONS(7208), 1,
      anon_sym_RPAREN,
    STATE(3140), 1,
      aux_sym_case_item_repeat1,
  [122465] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7210), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122478] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7212), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122491] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7214), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122504] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7216), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122517] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7218), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122530] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7220), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122543] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7222), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122556] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7224), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122569] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7226), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122582] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7228), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122595] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7230), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6968), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [122606] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7232), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6974), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [122617] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7234), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122630] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7236), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122643] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7238), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122656] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7240), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122669] = 4,
    ACTIONS(1183), 1,
      anon_sym_RBRACK,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7242), 1,
      sym__concat,
    STATE(2159), 1,
      aux_sym_concatenation_repeat1,
  [122682] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7244), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122695] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7246), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122708] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7248), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122721] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7250), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122734] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7252), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122747] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7254), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122760] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7256), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122773] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7258), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122786] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym_LBRACK,
    ACTIONS(7260), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [122797] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7262), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122810] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym_LBRACK,
    ACTIONS(7264), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [122821] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6833), 1,
      anon_sym_PIPE,
    ACTIONS(7266), 1,
      anon_sym_RPAREN,
    STATE(3140), 1,
      aux_sym_case_item_repeat1,
  [122834] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6833), 1,
      anon_sym_PIPE,
    ACTIONS(7268), 1,
      anon_sym_RPAREN,
    STATE(3140), 1,
      aux_sym_case_item_repeat1,
  [122847] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6833), 1,
      anon_sym_PIPE,
    ACTIONS(7270), 1,
      anon_sym_RPAREN,
    STATE(3140), 1,
      aux_sym_case_item_repeat1,
  [122860] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7272), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122873] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7274), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122886] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7276), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122899] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6833), 1,
      anon_sym_PIPE,
    ACTIONS(7278), 1,
      anon_sym_RPAREN,
    STATE(3140), 1,
      aux_sym_case_item_repeat1,
  [122912] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7280), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [122925] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7282), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122938] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7284), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122951] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7286), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122964] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7290), 1,
      sym__concat,
    ACTIONS(7288), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [122975] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7292), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [122988] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7294), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [123001] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7296), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [123014] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7298), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [123027] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7300), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [123040] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7302), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [123053] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7304), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [123066] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7306), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [123079] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7308), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [123092] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7310), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [123105] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7312), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [123118] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6833), 1,
      anon_sym_PIPE,
    ACTIONS(6888), 1,
      anon_sym_RPAREN,
    STATE(3115), 1,
      aux_sym_case_item_repeat1,
  [123131] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym_LBRACK,
    ACTIONS(7314), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123142] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7316), 1,
      anon_sym_PIPE,
    ACTIONS(7319), 1,
      anon_sym_RPAREN,
    STATE(3140), 1,
      aux_sym_case_item_repeat1,
  [123155] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7321), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [123168] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7323), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [123181] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7325), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [123194] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7327), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [123207] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7329), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [123220] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7331), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [123233] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7333), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [123246] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7335), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [123259] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7337), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [123272] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym_LBRACK,
    ACTIONS(7339), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123283] = 4,
    ACTIONS(1189), 1,
      anon_sym_RBRACE,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7341), 1,
      sym__concat,
    STATE(3151), 1,
      aux_sym_concatenation_repeat1,
  [123296] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym_LBRACK,
    ACTIONS(7344), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123307] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7346), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [123320] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7348), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [123333] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7350), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [123346] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7352), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [123359] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7354), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [123372] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7356), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [123385] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym_LBRACK,
    ACTIONS(7358), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123396] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7360), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [123409] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7362), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [123422] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7366), 1,
      sym__concat,
    ACTIONS(7364), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123433] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7368), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [123446] = 4,
    ACTIONS(1183), 1,
      anon_sym_RBRACE,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7370), 1,
      sym__concat,
    STATE(3151), 1,
      aux_sym_concatenation_repeat1,
  [123459] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7006), 1,
      sym__concat,
    ACTIONS(7372), 1,
      anon_sym_RBRACE,
    STATE(3164), 1,
      aux_sym_concatenation_repeat1,
  [123472] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym_LBRACK,
    ACTIONS(7374), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123483] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7376), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [123496] = 4,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7055), 1,
      sym__special_character,
    ACTIONS(7378), 1,
      anon_sym_RBRACE,
    STATE(3054), 1,
      aux_sym__literal_repeat1,
  [123509] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7382), 1,
      anon_sym_EQ,
  [123519] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7384), 1,
      anon_sym_EQ,
  [123529] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7364), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123537] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7386), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(7388), 1,
      aux_sym__simple_variable_name_token1,
  [123547] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7288), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123555] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7390), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(7392), 1,
      aux_sym__simple_variable_name_token1,
  [123565] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6825), 1,
      anon_sym_do,
    STATE(1924), 1,
      sym_do_group,
  [123575] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7394), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(7396), 1,
      aux_sym__simple_variable_name_token1,
  [123585] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7398), 1,
      anon_sym_EQ,
  [123595] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7400), 1,
      anon_sym_EQ,
  [123605] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7402), 1,
      anon_sym_EQ,
  [123615] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7404), 1,
      anon_sym_EQ,
  [123625] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7406), 1,
      anon_sym_EQ,
  [123635] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7408), 1,
      anon_sym_EQ,
  [123645] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7410), 1,
      anon_sym_EQ,
  [123655] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7412), 1,
      anon_sym_EQ,
  [123665] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7374), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [123673] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7160), 1,
      anon_sym_RBRACK,
    ACTIONS(7414), 1,
      sym__concat,
  [123683] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6988), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [123691] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7416), 1,
      anon_sym_EQ,
  [123701] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7418), 1,
      anon_sym_EQ,
  [123711] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6825), 1,
      anon_sym_do,
    STATE(2045), 1,
      sym_do_group,
  [123721] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7420), 1,
      anon_sym_EQ,
  [123731] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7422), 1,
      anon_sym_EQ,
  [123741] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7424), 1,
      anon_sym_EQ,
  [123751] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7426), 1,
      anon_sym_EQ,
  [123761] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6870), 1,
      anon_sym_do,
    STATE(2185), 1,
      sym_do_group,
  [123771] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7428), 1,
      anon_sym_EQ,
  [123781] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7430), 1,
      anon_sym_EQ,
  [123791] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7432), 1,
      anon_sym_EQ,
  [123801] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7434), 1,
      anon_sym_EQ,
  [123811] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7436), 1,
      anon_sym_EQ,
  [123821] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7438), 1,
      anon_sym_EQ,
  [123831] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7440), 1,
      anon_sym_EQ,
  [123841] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_EQ,
  [123851] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7444), 1,
      anon_sym_EQ,
  [123861] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7446), 1,
      anon_sym_EQ,
  [123871] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_EQ,
  [123881] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7450), 1,
      anon_sym_EQ,
  [123891] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7452), 1,
      anon_sym_EQ,
  [123901] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7454), 1,
      anon_sym_EQ,
  [123911] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6825), 1,
      anon_sym_do,
    STATE(2031), 1,
      sym_do_group,
  [123921] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7456), 1,
      anon_sym_EQ,
  [123931] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7458), 1,
      anon_sym_EQ,
  [123941] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7460), 1,
      anon_sym_EQ,
  [123951] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7462), 1,
      anon_sym_EQ,
  [123961] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7464), 1,
      anon_sym_EQ,
  [123971] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7466), 1,
      anon_sym_EQ,
  [123981] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7468), 1,
      anon_sym_EQ,
  [123991] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7470), 1,
      anon_sym_EQ,
  [124001] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6870), 1,
      anon_sym_do,
    STATE(2192), 1,
      sym_do_group,
  [124011] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7472), 1,
      anon_sym_EQ,
  [124021] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7474), 1,
      anon_sym_EQ,
  [124031] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7476), 1,
      anon_sym_EQ,
  [124041] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7478), 1,
      anon_sym_EQ,
  [124051] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7480), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [124059] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7482), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [124067] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7484), 1,
      anon_sym_EQ,
  [124077] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1329), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124085] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7486), 1,
      anon_sym_EQ,
  [124095] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7488), 1,
      anon_sym_EQ,
  [124105] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7123), 1,
      anon_sym_RBRACK,
    ACTIONS(7490), 1,
      sym__concat,
  [124115] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7492), 1,
      anon_sym_EQ,
  [124125] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7494), 1,
      anon_sym_EQ,
  [124135] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6870), 1,
      anon_sym_do,
    STATE(2127), 1,
      sym_do_group,
  [124145] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7115), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [124153] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7496), 1,
      anon_sym_EQ,
  [124163] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7498), 1,
      anon_sym_EQ,
  [124173] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7264), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [124181] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7500), 1,
      anon_sym_EQ,
  [124191] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7502), 1,
      anon_sym_EQ,
  [124201] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7504), 1,
      anon_sym_EQ,
  [124211] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7113), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [124219] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7506), 1,
      anon_sym_EQ,
  [124229] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7508), 1,
      anon_sym_EQ,
  [124239] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7358), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [124247] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1305), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124255] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7510), 1,
      anon_sym_EQ,
  [124265] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7512), 2,
      anon_sym_do,
      anon_sym_then,
  [124273] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7514), 1,
      anon_sym_EQ,
  [124283] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1309), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124291] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7344), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [124299] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1189), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124307] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7516), 1,
      anon_sym_EQ,
  [124317] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6829), 1,
      anon_sym_do,
    STATE(1758), 1,
      sym_do_group,
  [124327] = 3,
    ACTIONS(1207), 1,
      sym__special_character,
    ACTIONS(1209), 1,
      anon_sym_RBRACE,
    ACTIONS(4021), 1,
      sym_comment,
  [124337] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7518), 1,
      anon_sym_EQ,
  [124347] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7339), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [124355] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1407), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124363] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1403), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124371] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1243), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124379] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1399), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124387] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1313), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124395] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1395), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124403] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1391), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124411] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1387), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124419] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7520), 1,
      anon_sym_EQ,
  [124429] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1317), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124437] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7522), 1,
      anon_sym_EQ,
  [124447] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7314), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [124455] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1383), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124463] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1321), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124471] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1325), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124479] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1379), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124487] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1375), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124495] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1369), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124503] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1335), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124511] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1365), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124519] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6829), 1,
      anon_sym_do,
    STATE(1908), 1,
      sym_do_group,
  [124529] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1349), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124537] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7524), 1,
      anon_sym_EQ,
  [124547] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1353), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124555] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1361), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124563] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7260), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [124571] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1357), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124579] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(1357), 2,
      sym__concat,
      anon_sym_RBRACE,
  [124587] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6829), 1,
      anon_sym_do,
    STATE(1806), 1,
      sym_do_group,
  [124597] = 3,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_LBRACK,
    ACTIONS(7526), 1,
      anon_sym_EQ,
  [124607] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_RPAREN,
  [124614] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7530), 1,
      anon_sym_then,
  [124621] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7532), 1,
      sym_heredoc_start,
  [124628] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7286), 1,
      anon_sym_RBRACE,
  [124635] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7284), 1,
      anon_sym_RBRACE,
  [124642] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7534), 1,
      anon_sym_fi,
  [124649] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7536), 1,
      anon_sym_RPAREN,
  [124656] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7538), 1,
      anon_sym_BQUOTE,
  [124663] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7540), 1,
      anon_sym_esac,
  [124670] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7542), 1,
      anon_sym_RPAREN,
  [124677] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7544), 1,
      anon_sym_RPAREN,
  [124684] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7546), 1,
      anon_sym_BQUOTE,
  [124691] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7548), 1,
      anon_sym_RPAREN,
  [124698] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7550), 1,
      sym_heredoc_start,
  [124705] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7552), 1,
      anon_sym_RPAREN,
  [124712] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7300), 1,
      anon_sym_RBRACE,
  [124719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7554), 1,
      sym_word,
  [124726] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7150), 1,
      anon_sym_RBRACE,
  [124733] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7556), 1,
      anon_sym_RPAREN,
  [124740] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7558), 1,
      anon_sym_BQUOTE,
  [124747] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7059), 1,
      anon_sym_RBRACE,
  [124754] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7560), 1,
      sym_heredoc_start,
  [124761] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_RBRACE,
  [124768] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7327), 1,
      anon_sym_RBRACE,
  [124775] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6821), 1,
      anon_sym_fi,
  [124782] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7562), 1,
      anon_sym_RPAREN,
  [124789] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7564), 1,
      anon_sym_esac,
  [124796] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7566), 1,
      anon_sym_BQUOTE,
  [124803] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7568), 1,
      anon_sym_esac,
  [124810] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7570), 1,
      anon_sym_RPAREN,
  [124817] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7049), 1,
      anon_sym_RBRACE,
  [124824] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7337), 1,
      anon_sym_RBRACE,
  [124831] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7224), 1,
      anon_sym_RBRACE,
  [124838] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7572), 1,
      anon_sym_RPAREN,
  [124845] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7574), 1,
      anon_sym_BQUOTE,
  [124852] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_esac,
  [124859] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7578), 1,
      anon_sym_RPAREN,
  [124866] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6811), 1,
      anon_sym_fi,
  [124873] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7580), 1,
      anon_sym_RPAREN,
  [124880] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7582), 1,
      anon_sym_in,
  [124887] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7584), 1,
      anon_sym_RPAREN,
  [124894] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7586), 1,
      anon_sym_in,
  [124901] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7588), 1,
      anon_sym_BQUOTE,
  [124908] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7067), 1,
      anon_sym_RBRACE,
  [124915] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7590), 1,
      anon_sym_RPAREN,
  [124922] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7356), 1,
      anon_sym_RBRACE,
  [124929] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7119), 1,
      anon_sym_RBRACE,
  [124936] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7346), 1,
      anon_sym_RBRACE,
  [124943] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7592), 1,
      anon_sym_RPAREN,
  [124950] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7057), 1,
      anon_sym_RBRACE,
  [124957] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7594), 1,
      anon_sym_BQUOTE,
  [124964] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7596), 1,
      anon_sym_esac,
  [124971] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7372), 1,
      anon_sym_RBRACE,
  [124978] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7598), 1,
      anon_sym_RPAREN,
  [124985] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7600), 1,
      anon_sym_BQUOTE,
  [124992] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7602), 1,
      anon_sym_esac,
  [124999] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7604), 1,
      anon_sym_esac,
  [125006] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7606), 1,
      anon_sym_RPAREN,
  [125013] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7608), 1,
      anon_sym_then,
  [125020] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7610), 1,
      anon_sym_RPAREN,
  [125027] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_esac,
  [125034] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_fi,
  [125041] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_RPAREN,
  [125048] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7618), 1,
      anon_sym_RPAREN,
  [125055] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7075), 1,
      anon_sym_RBRACE,
  [125062] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7095), 1,
      anon_sym_RBRACE,
  [125069] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym_BQUOTE,
  [125076] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7077), 1,
      anon_sym_RBRACE,
  [125083] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7622), 1,
      anon_sym_RPAREN,
  [125090] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7624), 1,
      anon_sym_RPAREN,
  [125097] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7109), 1,
      anon_sym_RBRACE,
  [125104] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7254), 1,
      anon_sym_RBRACE,
  [125111] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7168), 1,
      anon_sym_RBRACE,
  [125118] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7626), 1,
      anon_sym_BQUOTE,
  [125125] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7628), 1,
      anon_sym_RPAREN,
  [125132] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_RPAREN,
  [125139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7632), 1,
      sym_word,
  [125146] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7634), 1,
      anon_sym_BQUOTE,
  [125153] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym_RPAREN,
  [125160] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7127), 1,
      anon_sym_RBRACE,
  [125167] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7152), 1,
      anon_sym_RBRACE,
  [125174] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7638), 1,
      anon_sym_BQUOTE,
  [125181] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7640), 1,
      anon_sym_RPAREN,
  [125188] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7117), 1,
      anon_sym_RBRACE,
  [125195] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7642), 1,
      anon_sym_then,
  [125202] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7170), 1,
      anon_sym_RBRACE,
  [125209] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7176), 1,
      anon_sym_RBRACE,
  [125216] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7350), 1,
      anon_sym_RBRACE,
  [125223] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7644), 1,
      anon_sym_esac,
  [125230] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7646), 1,
      anon_sym_RPAREN,
  [125237] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7648), 1,
      anon_sym_BQUOTE,
  [125244] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7650), 1,
      sym_heredoc_start,
  [125251] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7652), 1,
      anon_sym_esac,
  [125258] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7654), 1,
      anon_sym_RPAREN,
  [125265] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7656), 1,
      anon_sym_RPAREN,
  [125272] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7182), 1,
      anon_sym_RBRACE,
  [125279] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7658), 1,
      anon_sym_RPAREN,
  [125286] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7660), 1,
      anon_sym_BQUOTE,
  [125293] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7065), 1,
      anon_sym_RBRACE,
  [125300] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7188), 1,
      anon_sym_RBRACE,
  [125307] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7662), 1,
      anon_sym_RPAREN,
  [125314] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7664), 1,
      anon_sym_RPAREN,
  [125321] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_fi,
  [125328] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7666), 1,
      anon_sym_RPAREN,
  [125335] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7668), 1,
      anon_sym_BQUOTE,
  [125342] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7670), 1,
      anon_sym_RPAREN,
  [125349] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7214), 1,
      anon_sym_RBRACE,
  [125356] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7218), 1,
      anon_sym_RBRACE,
  [125363] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7672), 1,
      anon_sym_BQUOTE,
  [125370] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7674), 1,
      anon_sym_RPAREN,
  [125377] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7676), 1,
      anon_sym_BQUOTE,
  [125384] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7678), 1,
      anon_sym_RPAREN,
  [125391] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7085), 1,
      anon_sym_RBRACE,
  [125398] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7081), 1,
      anon_sym_RBRACE,
  [125405] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7680), 1,
      anon_sym_RPAREN,
  [125412] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7246), 1,
      anon_sym_RBRACE,
  [125419] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7682), 1,
      anon_sym_esac,
  [125426] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7083), 1,
      anon_sym_RBRACE,
  [125433] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7099), 1,
      anon_sym_RBRACE,
  [125440] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7236), 1,
      anon_sym_RBRACE,
  [125447] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7240), 1,
      anon_sym_RBRACE,
  [125454] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7089), 1,
      anon_sym_RBRACE,
  [125461] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7684), 1,
      anon_sym_RPAREN,
  [125468] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7686), 1,
      anon_sym_BQUOTE,
  [125475] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7688), 1,
      anon_sym_esac,
  [125482] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7690), 1,
      anon_sym_esac,
  [125489] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6813), 1,
      anon_sym_fi,
  [125496] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7692), 1,
      anon_sym_RPAREN,
  [125503] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7694), 1,
      anon_sym_RPAREN,
  [125510] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7258), 1,
      anon_sym_RBRACE,
  [125517] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7310), 1,
      anon_sym_RBRACE,
  [125524] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7696), 1,
      anon_sym_RBRACK,
  [125531] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7698), 1,
      anon_sym_BQUOTE,
  [125538] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_RPAREN,
  [125545] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7702), 1,
      anon_sym_RPAREN,
  [125552] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7704), 1,
      anon_sym_BQUOTE,
  [125559] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7706), 1,
      anon_sym_RPAREN,
  [125566] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7708), 1,
      anon_sym_then,
  [125573] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7710), 1,
      anon_sym_RBRACK,
  [125580] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7712), 1,
      anon_sym_RPAREN,
  [125587] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7333), 1,
      anon_sym_RBRACE,
  [125594] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7714), 1,
      anon_sym_BQUOTE,
  [125601] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7716), 1,
      sym_heredoc_start,
  [125608] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_RBRACE,
  [125615] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7282), 1,
      anon_sym_RBRACE,
  [125622] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7718), 1,
      anon_sym_RPAREN,
  [125629] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7720), 1,
      anon_sym_esac,
  [125636] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7296), 1,
      anon_sym_RBRACE,
  [125643] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7722), 1,
      anon_sym_RPAREN,
  [125650] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7724), 1,
      anon_sym_RPAREN,
  [125657] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_BQUOTE,
  [125664] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7728), 1,
      anon_sym_RPAREN,
  [125671] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_RPAREN,
  [125678] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7732), 1,
      anon_sym_RPAREN,
  [125685] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7734), 1,
      anon_sym_esac,
  [125692] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7292), 1,
      anon_sym_RBRACE,
  [125699] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7142), 1,
      anon_sym_RBRACE,
  [125706] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7304), 1,
      anon_sym_RBRACE,
  [125713] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_BQUOTE,
  [125720] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7276), 1,
      anon_sym_RBRACE,
  [125727] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7738), 1,
      anon_sym_RPAREN,
  [125734] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7148), 1,
      anon_sym_RBRACE,
  [125741] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7740), 1,
      ts_builtin_sym_end,
  [125748] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7742), 1,
      ts_builtin_sym_end,
  [125755] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7744), 1,
      anon_sym_esac,
  [125762] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7746), 1,
      anon_sym_RPAREN,
  [125769] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7748), 1,
      sym_heredoc_start,
  [125776] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7750), 1,
      anon_sym_RPAREN,
  [125783] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7352), 1,
      anon_sym_RBRACE,
  [125790] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7325), 1,
      anon_sym_RBRACE,
  [125797] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7752), 1,
      anon_sym_BQUOTE,
  [125804] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7754), 1,
      anon_sym_RPAREN,
  [125811] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7756), 1,
      anon_sym_esac,
  [125818] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7758), 1,
      anon_sym_esac,
  [125825] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7760), 1,
      anon_sym_fi,
  [125832] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7396), 1,
      aux_sym__simple_variable_name_token1,
  [125839] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6805), 1,
      anon_sym_fi,
  [125846] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7762), 1,
      anon_sym_RPAREN,
  [125853] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7166), 1,
      anon_sym_RBRACE,
  [125860] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_BQUOTE,
  [125867] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7766), 1,
      anon_sym_RBRACK,
  [125874] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7768), 1,
      anon_sym_RPAREN,
  [125881] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7174), 1,
      anon_sym_RBRACE,
  [125888] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7770), 1,
      anon_sym_in,
  [125895] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7772), 1,
      anon_sym_in,
  [125902] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7774), 1,
      anon_sym_RPAREN,
  [125909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7776), 1,
      sym_word,
  [125916] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7778), 1,
      anon_sym_RPAREN,
  [125923] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(6797), 1,
      anon_sym_fi,
  [125930] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7186), 1,
      anon_sym_RBRACE,
  [125937] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7200), 1,
      anon_sym_RBRACE,
  [125944] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7780), 1,
      anon_sym_RPAREN,
  [125951] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7782), 1,
      anon_sym_BQUOTE,
  [125958] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7784), 1,
      anon_sym_RPAREN,
  [125965] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7220), 1,
      anon_sym_RBRACE,
  [125972] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_BQUOTE,
  [125979] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7392), 1,
      aux_sym__simple_variable_name_token1,
  [125986] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7252), 1,
      anon_sym_RBRACE,
  [125993] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7238), 1,
      anon_sym_RBRACE,
  [126000] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7788), 1,
      anon_sym_RPAREN,
  [126007] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7790), 1,
      anon_sym_BQUOTE,
  [126014] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_RPAREN,
  [126021] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7794), 1,
      anon_sym_BQUOTE,
  [126028] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7796), 1,
      anon_sym_in,
  [126035] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7798), 1,
      anon_sym_in,
  [126042] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7800), 1,
      anon_sym_RBRACK,
  [126049] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7388), 1,
      aux_sym__simple_variable_name_token1,
  [126056] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7802), 1,
      anon_sym_RPAREN,
  [126063] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7804), 1,
      anon_sym_RPAREN,
  [126070] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7806), 1,
      anon_sym_RPAREN,
  [126077] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7808), 1,
      anon_sym_RPAREN,
  [126084] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7810), 1,
      anon_sym_BQUOTE,
  [126091] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7368), 1,
      anon_sym_RBRACE,
  [126098] = 2,
    ACTIONS(4021), 1,
      sym_comment,
    ACTIONS(7812), 1,
      anon_sym_BQUOTE,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(158)] = 0,
  [SMALL_STATE(159)] = 64,
  [SMALL_STATE(160)] = 128,
  [SMALL_STATE(161)] = 211,
  [SMALL_STATE(162)] = 274,
  [SMALL_STATE(163)] = 357,
  [SMALL_STATE(164)] = 440,
  [SMALL_STATE(165)] = 501,
  [SMALL_STATE(166)] = 564,
  [SMALL_STATE(167)] = 626,
  [SMALL_STATE(168)] = 708,
  [SMALL_STATE(169)] = 790,
  [SMALL_STATE(170)] = 872,
  [SMALL_STATE(171)] = 933,
  [SMALL_STATE(172)] = 1012,
  [SMALL_STATE(173)] = 1073,
  [SMALL_STATE(174)] = 1132,
  [SMALL_STATE(175)] = 1187,
  [SMALL_STATE(176)] = 1246,
  [SMALL_STATE(177)] = 1327,
  [SMALL_STATE(178)] = 1382,
  [SMALL_STATE(179)] = 1443,
  [SMALL_STATE(180)] = 1524,
  [SMALL_STATE(181)] = 1585,
  [SMALL_STATE(182)] = 1646,
  [SMALL_STATE(183)] = 1727,
  [SMALL_STATE(184)] = 1782,
  [SMALL_STATE(185)] = 1861,
  [SMALL_STATE(186)] = 1940,
  [SMALL_STATE(187)] = 2001,
  [SMALL_STATE(188)] = 2060,
  [SMALL_STATE(189)] = 2141,
  [SMALL_STATE(190)] = 2220,
  [SMALL_STATE(191)] = 2275,
  [SMALL_STATE(192)] = 2354,
  [SMALL_STATE(193)] = 2435,
  [SMALL_STATE(194)] = 2490,
  [SMALL_STATE(195)] = 2571,
  [SMALL_STATE(196)] = 2632,
  [SMALL_STATE(197)] = 2687,
  [SMALL_STATE(198)] = 2742,
  [SMALL_STATE(199)] = 2797,
  [SMALL_STATE(200)] = 2857,
  [SMALL_STATE(201)] = 2917,
  [SMALL_STATE(202)] = 2995,
  [SMALL_STATE(203)] = 3073,
  [SMALL_STATE(204)] = 3133,
  [SMALL_STATE(205)] = 3211,
  [SMALL_STATE(206)] = 3289,
  [SMALL_STATE(207)] = 3349,
  [SMALL_STATE(208)] = 3425,
  [SMALL_STATE(209)] = 3477,
  [SMALL_STATE(210)] = 3529,
  [SMALL_STATE(211)] = 3589,
  [SMALL_STATE(212)] = 3665,
  [SMALL_STATE(213)] = 3743,
  [SMALL_STATE(214)] = 3821,
  [SMALL_STATE(215)] = 3879,
  [SMALL_STATE(216)] = 3939,
  [SMALL_STATE(217)] = 3999,
  [SMALL_STATE(218)] = 4077,
  [SMALL_STATE(219)] = 4153,
  [SMALL_STATE(220)] = 4230,
  [SMALL_STATE(221)] = 4307,
  [SMALL_STATE(222)] = 4384,
  [SMALL_STATE(223)] = 4443,
  [SMALL_STATE(224)] = 4502,
  [SMALL_STATE(225)] = 4561,
  [SMALL_STATE(226)] = 4636,
  [SMALL_STATE(227)] = 4695,
  [SMALL_STATE(228)] = 4772,
  [SMALL_STATE(229)] = 4849,
  [SMALL_STATE(230)] = 4926,
  [SMALL_STATE(231)] = 5001,
  [SMALL_STATE(232)] = 5076,
  [SMALL_STATE(233)] = 5153,
  [SMALL_STATE(234)] = 5230,
  [SMALL_STATE(235)] = 5307,
  [SMALL_STATE(236)] = 5366,
  [SMALL_STATE(237)] = 5443,
  [SMALL_STATE(238)] = 5517,
  [SMALL_STATE(239)] = 5575,
  [SMALL_STATE(240)] = 5649,
  [SMALL_STATE(241)] = 5723,
  [SMALL_STATE(242)] = 5775,
  [SMALL_STATE(243)] = 5825,
  [SMALL_STATE(244)] = 5875,
  [SMALL_STATE(245)] = 5927,
  [SMALL_STATE(246)] = 6001,
  [SMALL_STATE(247)] = 6075,
  [SMALL_STATE(248)] = 6149,
  [SMALL_STATE(249)] = 6199,
  [SMALL_STATE(250)] = 6257,
  [SMALL_STATE(251)] = 6331,
  [SMALL_STATE(252)] = 6405,
  [SMALL_STATE(253)] = 6455,
  [SMALL_STATE(254)] = 6505,
  [SMALL_STATE(255)] = 6557,
  [SMALL_STATE(256)] = 6607,
  [SMALL_STATE(257)] = 6659,
  [SMALL_STATE(258)] = 6733,
  [SMALL_STATE(259)] = 6807,
  [SMALL_STATE(260)] = 6858,
  [SMALL_STATE(261)] = 6949,
  [SMALL_STATE(262)] = 6998,
  [SMALL_STATE(263)] = 7089,
  [SMALL_STATE(264)] = 7180,
  [SMALL_STATE(265)] = 7231,
  [SMALL_STATE(266)] = 7282,
  [SMALL_STATE(267)] = 7373,
  [SMALL_STATE(268)] = 7424,
  [SMALL_STATE(269)] = 7515,
  [SMALL_STATE(270)] = 7586,
  [SMALL_STATE(271)] = 7635,
  [SMALL_STATE(272)] = 7706,
  [SMALL_STATE(273)] = 7759,
  [SMALL_STATE(274)] = 7812,
  [SMALL_STATE(275)] = 7865,
  [SMALL_STATE(276)] = 7928,
  [SMALL_STATE(277)] = 7991,
  [SMALL_STATE(278)] = 8041,
  [SMALL_STATE(279)] = 8091,
  [SMALL_STATE(280)] = 8141,
  [SMALL_STATE(281)] = 8191,
  [SMALL_STATE(282)] = 8241,
  [SMALL_STATE(283)] = 8303,
  [SMALL_STATE(284)] = 8353,
  [SMALL_STATE(285)] = 8403,
  [SMALL_STATE(286)] = 8455,
  [SMALL_STATE(287)] = 8505,
  [SMALL_STATE(288)] = 8555,
  [SMALL_STATE(289)] = 8617,
  [SMALL_STATE(290)] = 8667,
  [SMALL_STATE(291)] = 8717,
  [SMALL_STATE(292)] = 8769,
  [SMALL_STATE(293)] = 8821,
  [SMALL_STATE(294)] = 8882,
  [SMALL_STATE(295)] = 8927,
  [SMALL_STATE(296)] = 8978,
  [SMALL_STATE(297)] = 9027,
  [SMALL_STATE(298)] = 9088,
  [SMALL_STATE(299)] = 9137,
  [SMALL_STATE(300)] = 9198,
  [SMALL_STATE(301)] = 9247,
  [SMALL_STATE(302)] = 9296,
  [SMALL_STATE(303)] = 9345,
  [SMALL_STATE(304)] = 9394,
  [SMALL_STATE(305)] = 9445,
  [SMALL_STATE(306)] = 9498,
  [SMALL_STATE(307)] = 9547,
  [SMALL_STATE(308)] = 9596,
  [SMALL_STATE(309)] = 9645,
  [SMALL_STATE(310)] = 9694,
  [SMALL_STATE(311)] = 9743,
  [SMALL_STATE(312)] = 9792,
  [SMALL_STATE(313)] = 9837,
  [SMALL_STATE(314)] = 9882,
  [SMALL_STATE(315)] = 9927,
  [SMALL_STATE(316)] = 9972,
  [SMALL_STATE(317)] = 10021,
  [SMALL_STATE(318)] = 10066,
  [SMALL_STATE(319)] = 10111,
  [SMALL_STATE(320)] = 10156,
  [SMALL_STATE(321)] = 10201,
  [SMALL_STATE(322)] = 10252,
  [SMALL_STATE(323)] = 10297,
  [SMALL_STATE(324)] = 10348,
  [SMALL_STATE(325)] = 10393,
  [SMALL_STATE(326)] = 10438,
  [SMALL_STATE(327)] = 10483,
  [SMALL_STATE(328)] = 10528,
  [SMALL_STATE(329)] = 10573,
  [SMALL_STATE(330)] = 10622,
  [SMALL_STATE(331)] = 10667,
  [SMALL_STATE(332)] = 10716,
  [SMALL_STATE(333)] = 10765,
  [SMALL_STATE(334)] = 10810,
  [SMALL_STATE(335)] = 10855,
  [SMALL_STATE(336)] = 10900,
  [SMALL_STATE(337)] = 10945,
  [SMALL_STATE(338)] = 10990,
  [SMALL_STATE(339)] = 11035,
  [SMALL_STATE(340)] = 11080,
  [SMALL_STATE(341)] = 11141,
  [SMALL_STATE(342)] = 11186,
  [SMALL_STATE(343)] = 11231,
  [SMALL_STATE(344)] = 11276,
  [SMALL_STATE(345)] = 11321,
  [SMALL_STATE(346)] = 11366,
  [SMALL_STATE(347)] = 11411,
  [SMALL_STATE(348)] = 11456,
  [SMALL_STATE(349)] = 11501,
  [SMALL_STATE(350)] = 11546,
  [SMALL_STATE(351)] = 11591,
  [SMALL_STATE(352)] = 11640,
  [SMALL_STATE(353)] = 11685,
  [SMALL_STATE(354)] = 11730,
  [SMALL_STATE(355)] = 11779,
  [SMALL_STATE(356)] = 11824,
  [SMALL_STATE(357)] = 11873,
  [SMALL_STATE(358)] = 11924,
  [SMALL_STATE(359)] = 11973,
  [SMALL_STATE(360)] = 12022,
  [SMALL_STATE(361)] = 12071,
  [SMALL_STATE(362)] = 12116,
  [SMALL_STATE(363)] = 12161,
  [SMALL_STATE(364)] = 12206,
  [SMALL_STATE(365)] = 12251,
  [SMALL_STATE(366)] = 12296,
  [SMALL_STATE(367)] = 12341,
  [SMALL_STATE(368)] = 12386,
  [SMALL_STATE(369)] = 12431,
  [SMALL_STATE(370)] = 12476,
  [SMALL_STATE(371)] = 12521,
  [SMALL_STATE(372)] = 12566,
  [SMALL_STATE(373)] = 12611,
  [SMALL_STATE(374)] = 12656,
  [SMALL_STATE(375)] = 12701,
  [SMALL_STATE(376)] = 12750,
  [SMALL_STATE(377)] = 12799,
  [SMALL_STATE(378)] = 12848,
  [SMALL_STATE(379)] = 12893,
  [SMALL_STATE(380)] = 12938,
  [SMALL_STATE(381)] = 12987,
  [SMALL_STATE(382)] = 13035,
  [SMALL_STATE(383)] = 13079,
  [SMALL_STATE(384)] = 13123,
  [SMALL_STATE(385)] = 13167,
  [SMALL_STATE(386)] = 13215,
  [SMALL_STATE(387)] = 13263,
  [SMALL_STATE(388)] = 13307,
  [SMALL_STATE(389)] = 13351,
  [SMALL_STATE(390)] = 13395,
  [SMALL_STATE(391)] = 13439,
  [SMALL_STATE(392)] = 13487,
  [SMALL_STATE(393)] = 13535,
  [SMALL_STATE(394)] = 13579,
  [SMALL_STATE(395)] = 13623,
  [SMALL_STATE(396)] = 13667,
  [SMALL_STATE(397)] = 13711,
  [SMALL_STATE(398)] = 13755,
  [SMALL_STATE(399)] = 13799,
  [SMALL_STATE(400)] = 13843,
  [SMALL_STATE(401)] = 13887,
  [SMALL_STATE(402)] = 13931,
  [SMALL_STATE(403)] = 13975,
  [SMALL_STATE(404)] = 14019,
  [SMALL_STATE(405)] = 14063,
  [SMALL_STATE(406)] = 14111,
  [SMALL_STATE(407)] = 14155,
  [SMALL_STATE(408)] = 14199,
  [SMALL_STATE(409)] = 14243,
  [SMALL_STATE(410)] = 14287,
  [SMALL_STATE(411)] = 14331,
  [SMALL_STATE(412)] = 14375,
  [SMALL_STATE(413)] = 14419,
  [SMALL_STATE(414)] = 14463,
  [SMALL_STATE(415)] = 14507,
  [SMALL_STATE(416)] = 14551,
  [SMALL_STATE(417)] = 14595,
  [SMALL_STATE(418)] = 14639,
  [SMALL_STATE(419)] = 14687,
  [SMALL_STATE(420)] = 14731,
  [SMALL_STATE(421)] = 14775,
  [SMALL_STATE(422)] = 14819,
  [SMALL_STATE(423)] = 14863,
  [SMALL_STATE(424)] = 14911,
  [SMALL_STATE(425)] = 14955,
  [SMALL_STATE(426)] = 14999,
  [SMALL_STATE(427)] = 15043,
  [SMALL_STATE(428)] = 15087,
  [SMALL_STATE(429)] = 15131,
  [SMALL_STATE(430)] = 15175,
  [SMALL_STATE(431)] = 15219,
  [SMALL_STATE(432)] = 15263,
  [SMALL_STATE(433)] = 15307,
  [SMALL_STATE(434)] = 15351,
  [SMALL_STATE(435)] = 15395,
  [SMALL_STATE(436)] = 15439,
  [SMALL_STATE(437)] = 15483,
  [SMALL_STATE(438)] = 15527,
  [SMALL_STATE(439)] = 15571,
  [SMALL_STATE(440)] = 15615,
  [SMALL_STATE(441)] = 15659,
  [SMALL_STATE(442)] = 15703,
  [SMALL_STATE(443)] = 15747,
  [SMALL_STATE(444)] = 15791,
  [SMALL_STATE(445)] = 15835,
  [SMALL_STATE(446)] = 15879,
  [SMALL_STATE(447)] = 15923,
  [SMALL_STATE(448)] = 15967,
  [SMALL_STATE(449)] = 16011,
  [SMALL_STATE(450)] = 16059,
  [SMALL_STATE(451)] = 16103,
  [SMALL_STATE(452)] = 16147,
  [SMALL_STATE(453)] = 16191,
  [SMALL_STATE(454)] = 16235,
  [SMALL_STATE(455)] = 16279,
  [SMALL_STATE(456)] = 16323,
  [SMALL_STATE(457)] = 16371,
  [SMALL_STATE(458)] = 16427,
  [SMALL_STATE(459)] = 16471,
  [SMALL_STATE(460)] = 16515,
  [SMALL_STATE(461)] = 16559,
  [SMALL_STATE(462)] = 16603,
  [SMALL_STATE(463)] = 16647,
  [SMALL_STATE(464)] = 16695,
  [SMALL_STATE(465)] = 16739,
  [SMALL_STATE(466)] = 16797,
  [SMALL_STATE(467)] = 16845,
  [SMALL_STATE(468)] = 16893,
  [SMALL_STATE(469)] = 16941,
  [SMALL_STATE(470)] = 16989,
  [SMALL_STATE(471)] = 17033,
  [SMALL_STATE(472)] = 17077,
  [SMALL_STATE(473)] = 17121,
  [SMALL_STATE(474)] = 17169,
  [SMALL_STATE(475)] = 17213,
  [SMALL_STATE(476)] = 17261,
  [SMALL_STATE(477)] = 17305,
  [SMALL_STATE(478)] = 17349,
  [SMALL_STATE(479)] = 17397,
  [SMALL_STATE(480)] = 17445,
  [SMALL_STATE(481)] = 17493,
  [SMALL_STATE(482)] = 17541,
  [SMALL_STATE(483)] = 17585,
  [SMALL_STATE(484)] = 17633,
  [SMALL_STATE(485)] = 17681,
  [SMALL_STATE(486)] = 17725,
  [SMALL_STATE(487)] = 17773,
  [SMALL_STATE(488)] = 17821,
  [SMALL_STATE(489)] = 17879,
  [SMALL_STATE(490)] = 17923,
  [SMALL_STATE(491)] = 17971,
  [SMALL_STATE(492)] = 18029,
  [SMALL_STATE(493)] = 18077,
  [SMALL_STATE(494)] = 18125,
  [SMALL_STATE(495)] = 18169,
  [SMALL_STATE(496)] = 18217,
  [SMALL_STATE(497)] = 18261,
  [SMALL_STATE(498)] = 18309,
  [SMALL_STATE(499)] = 18367,
  [SMALL_STATE(500)] = 18411,
  [SMALL_STATE(501)] = 18459,
  [SMALL_STATE(502)] = 18517,
  [SMALL_STATE(503)] = 18561,
  [SMALL_STATE(504)] = 18605,
  [SMALL_STATE(505)] = 18649,
  [SMALL_STATE(506)] = 18693,
  [SMALL_STATE(507)] = 18737,
  [SMALL_STATE(508)] = 18781,
  [SMALL_STATE(509)] = 18825,
  [SMALL_STATE(510)] = 18869,
  [SMALL_STATE(511)] = 18917,
  [SMALL_STATE(512)] = 18967,
  [SMALL_STATE(513)] = 19017,
  [SMALL_STATE(514)] = 19061,
  [SMALL_STATE(515)] = 19109,
  [SMALL_STATE(516)] = 19153,
  [SMALL_STATE(517)] = 19201,
  [SMALL_STATE(518)] = 19245,
  [SMALL_STATE(519)] = 19289,
  [SMALL_STATE(520)] = 19333,
  [SMALL_STATE(521)] = 19393,
  [SMALL_STATE(522)] = 19437,
  [SMALL_STATE(523)] = 19481,
  [SMALL_STATE(524)] = 19525,
  [SMALL_STATE(525)] = 19569,
  [SMALL_STATE(526)] = 19613,
  [SMALL_STATE(527)] = 19657,
  [SMALL_STATE(528)] = 19701,
  [SMALL_STATE(529)] = 19745,
  [SMALL_STATE(530)] = 19793,
  [SMALL_STATE(531)] = 19837,
  [SMALL_STATE(532)] = 19881,
  [SMALL_STATE(533)] = 19925,
  [SMALL_STATE(534)] = 19969,
  [SMALL_STATE(535)] = 20017,
  [SMALL_STATE(536)] = 20065,
  [SMALL_STATE(537)] = 20109,
  [SMALL_STATE(538)] = 20157,
  [SMALL_STATE(539)] = 20205,
  [SMALL_STATE(540)] = 20253,
  [SMALL_STATE(541)] = 20297,
  [SMALL_STATE(542)] = 20357,
  [SMALL_STATE(543)] = 20401,
  [SMALL_STATE(544)] = 20449,
  [SMALL_STATE(545)] = 20492,
  [SMALL_STATE(546)] = 20535,
  [SMALL_STATE(547)] = 20578,
  [SMALL_STATE(548)] = 20621,
  [SMALL_STATE(549)] = 20664,
  [SMALL_STATE(550)] = 20707,
  [SMALL_STATE(551)] = 20750,
  [SMALL_STATE(552)] = 20793,
  [SMALL_STATE(553)] = 20836,
  [SMALL_STATE(554)] = 20879,
  [SMALL_STATE(555)] = 20926,
  [SMALL_STATE(556)] = 20969,
  [SMALL_STATE(557)] = 21012,
  [SMALL_STATE(558)] = 21059,
  [SMALL_STATE(559)] = 21102,
  [SMALL_STATE(560)] = 21145,
  [SMALL_STATE(561)] = 21188,
  [SMALL_STATE(562)] = 21231,
  [SMALL_STATE(563)] = 21274,
  [SMALL_STATE(564)] = 21317,
  [SMALL_STATE(565)] = 21360,
  [SMALL_STATE(566)] = 21403,
  [SMALL_STATE(567)] = 21446,
  [SMALL_STATE(568)] = 21489,
  [SMALL_STATE(569)] = 21536,
  [SMALL_STATE(570)] = 21579,
  [SMALL_STATE(571)] = 21626,
  [SMALL_STATE(572)] = 21673,
  [SMALL_STATE(573)] = 21720,
  [SMALL_STATE(574)] = 21763,
  [SMALL_STATE(575)] = 21806,
  [SMALL_STATE(576)] = 21849,
  [SMALL_STATE(577)] = 21892,
  [SMALL_STATE(578)] = 21935,
  [SMALL_STATE(579)] = 21978,
  [SMALL_STATE(580)] = 22021,
  [SMALL_STATE(581)] = 22064,
  [SMALL_STATE(582)] = 22111,
  [SMALL_STATE(583)] = 22154,
  [SMALL_STATE(584)] = 22197,
  [SMALL_STATE(585)] = 22240,
  [SMALL_STATE(586)] = 22283,
  [SMALL_STATE(587)] = 22330,
  [SMALL_STATE(588)] = 22377,
  [SMALL_STATE(589)] = 22420,
  [SMALL_STATE(590)] = 22467,
  [SMALL_STATE(591)] = 22510,
  [SMALL_STATE(592)] = 22553,
  [SMALL_STATE(593)] = 22596,
  [SMALL_STATE(594)] = 22639,
  [SMALL_STATE(595)] = 22686,
  [SMALL_STATE(596)] = 22729,
  [SMALL_STATE(597)] = 22772,
  [SMALL_STATE(598)] = 22815,
  [SMALL_STATE(599)] = 22858,
  [SMALL_STATE(600)] = 22901,
  [SMALL_STATE(601)] = 22944,
  [SMALL_STATE(602)] = 22987,
  [SMALL_STATE(603)] = 23030,
  [SMALL_STATE(604)] = 23081,
  [SMALL_STATE(605)] = 23124,
  [SMALL_STATE(606)] = 23167,
  [SMALL_STATE(607)] = 23210,
  [SMALL_STATE(608)] = 23253,
  [SMALL_STATE(609)] = 23296,
  [SMALL_STATE(610)] = 23339,
  [SMALL_STATE(611)] = 23382,
  [SMALL_STATE(612)] = 23425,
  [SMALL_STATE(613)] = 23468,
  [SMALL_STATE(614)] = 23515,
  [SMALL_STATE(615)] = 23562,
  [SMALL_STATE(616)] = 23609,
  [SMALL_STATE(617)] = 23652,
  [SMALL_STATE(618)] = 23699,
  [SMALL_STATE(619)] = 23742,
  [SMALL_STATE(620)] = 23785,
  [SMALL_STATE(621)] = 23828,
  [SMALL_STATE(622)] = 23871,
  [SMALL_STATE(623)] = 23914,
  [SMALL_STATE(624)] = 23957,
  [SMALL_STATE(625)] = 24000,
  [SMALL_STATE(626)] = 24043,
  [SMALL_STATE(627)] = 24086,
  [SMALL_STATE(628)] = 24129,
  [SMALL_STATE(629)] = 24176,
  [SMALL_STATE(630)] = 24223,
  [SMALL_STATE(631)] = 24266,
  [SMALL_STATE(632)] = 24309,
  [SMALL_STATE(633)] = 24352,
  [SMALL_STATE(634)] = 24395,
  [SMALL_STATE(635)] = 24438,
  [SMALL_STATE(636)] = 24481,
  [SMALL_STATE(637)] = 24524,
  [SMALL_STATE(638)] = 24567,
  [SMALL_STATE(639)] = 24610,
  [SMALL_STATE(640)] = 24653,
  [SMALL_STATE(641)] = 24696,
  [SMALL_STATE(642)] = 24739,
  [SMALL_STATE(643)] = 24782,
  [SMALL_STATE(644)] = 24825,
  [SMALL_STATE(645)] = 24868,
  [SMALL_STATE(646)] = 24911,
  [SMALL_STATE(647)] = 24954,
  [SMALL_STATE(648)] = 24997,
  [SMALL_STATE(649)] = 25040,
  [SMALL_STATE(650)] = 25083,
  [SMALL_STATE(651)] = 25126,
  [SMALL_STATE(652)] = 25169,
  [SMALL_STATE(653)] = 25212,
  [SMALL_STATE(654)] = 25259,
  [SMALL_STATE(655)] = 25302,
  [SMALL_STATE(656)] = 25345,
  [SMALL_STATE(657)] = 25388,
  [SMALL_STATE(658)] = 25431,
  [SMALL_STATE(659)] = 25474,
  [SMALL_STATE(660)] = 25517,
  [SMALL_STATE(661)] = 25560,
  [SMALL_STATE(662)] = 25603,
  [SMALL_STATE(663)] = 25650,
  [SMALL_STATE(664)] = 25697,
  [SMALL_STATE(665)] = 25740,
  [SMALL_STATE(666)] = 25783,
  [SMALL_STATE(667)] = 25826,
  [SMALL_STATE(668)] = 25869,
  [SMALL_STATE(669)] = 25916,
  [SMALL_STATE(670)] = 25963,
  [SMALL_STATE(671)] = 26006,
  [SMALL_STATE(672)] = 26049,
  [SMALL_STATE(673)] = 26092,
  [SMALL_STATE(674)] = 26139,
  [SMALL_STATE(675)] = 26182,
  [SMALL_STATE(676)] = 26225,
  [SMALL_STATE(677)] = 26268,
  [SMALL_STATE(678)] = 26311,
  [SMALL_STATE(679)] = 26354,
  [SMALL_STATE(680)] = 26397,
  [SMALL_STATE(681)] = 26440,
  [SMALL_STATE(682)] = 26483,
  [SMALL_STATE(683)] = 26526,
  [SMALL_STATE(684)] = 26569,
  [SMALL_STATE(685)] = 26612,
  [SMALL_STATE(686)] = 26655,
  [SMALL_STATE(687)] = 26698,
  [SMALL_STATE(688)] = 26741,
  [SMALL_STATE(689)] = 26784,
  [SMALL_STATE(690)] = 26827,
  [SMALL_STATE(691)] = 26870,
  [SMALL_STATE(692)] = 26913,
  [SMALL_STATE(693)] = 26956,
  [SMALL_STATE(694)] = 26999,
  [SMALL_STATE(695)] = 27042,
  [SMALL_STATE(696)] = 27085,
  [SMALL_STATE(697)] = 27128,
  [SMALL_STATE(698)] = 27171,
  [SMALL_STATE(699)] = 27214,
  [SMALL_STATE(700)] = 27257,
  [SMALL_STATE(701)] = 27300,
  [SMALL_STATE(702)] = 27347,
  [SMALL_STATE(703)] = 27394,
  [SMALL_STATE(704)] = 27437,
  [SMALL_STATE(705)] = 27480,
  [SMALL_STATE(706)] = 27523,
  [SMALL_STATE(707)] = 27566,
  [SMALL_STATE(708)] = 27609,
  [SMALL_STATE(709)] = 27656,
  [SMALL_STATE(710)] = 27699,
  [SMALL_STATE(711)] = 27746,
  [SMALL_STATE(712)] = 27789,
  [SMALL_STATE(713)] = 27832,
  [SMALL_STATE(714)] = 27875,
  [SMALL_STATE(715)] = 27918,
  [SMALL_STATE(716)] = 27961,
  [SMALL_STATE(717)] = 28004,
  [SMALL_STATE(718)] = 28047,
  [SMALL_STATE(719)] = 28090,
  [SMALL_STATE(720)] = 28133,
  [SMALL_STATE(721)] = 28176,
  [SMALL_STATE(722)] = 28219,
  [SMALL_STATE(723)] = 28262,
  [SMALL_STATE(724)] = 28305,
  [SMALL_STATE(725)] = 28348,
  [SMALL_STATE(726)] = 28391,
  [SMALL_STATE(727)] = 28438,
  [SMALL_STATE(728)] = 28485,
  [SMALL_STATE(729)] = 28532,
  [SMALL_STATE(730)] = 28575,
  [SMALL_STATE(731)] = 28618,
  [SMALL_STATE(732)] = 28661,
  [SMALL_STATE(733)] = 28704,
  [SMALL_STATE(734)] = 28751,
  [SMALL_STATE(735)] = 28798,
  [SMALL_STATE(736)] = 28841,
  [SMALL_STATE(737)] = 28884,
  [SMALL_STATE(738)] = 28927,
  [SMALL_STATE(739)] = 28970,
  [SMALL_STATE(740)] = 29013,
  [SMALL_STATE(741)] = 29056,
  [SMALL_STATE(742)] = 29099,
  [SMALL_STATE(743)] = 29146,
  [SMALL_STATE(744)] = 29193,
  [SMALL_STATE(745)] = 29236,
  [SMALL_STATE(746)] = 29279,
  [SMALL_STATE(747)] = 29322,
  [SMALL_STATE(748)] = 29365,
  [SMALL_STATE(749)] = 29407,
  [SMALL_STATE(750)] = 29481,
  [SMALL_STATE(751)] = 29523,
  [SMALL_STATE(752)] = 29569,
  [SMALL_STATE(753)] = 29611,
  [SMALL_STATE(754)] = 29653,
  [SMALL_STATE(755)] = 29695,
  [SMALL_STATE(756)] = 29737,
  [SMALL_STATE(757)] = 29779,
  [SMALL_STATE(758)] = 29821,
  [SMALL_STATE(759)] = 29863,
  [SMALL_STATE(760)] = 29905,
  [SMALL_STATE(761)] = 29979,
  [SMALL_STATE(762)] = 30021,
  [SMALL_STATE(763)] = 30063,
  [SMALL_STATE(764)] = 30105,
  [SMALL_STATE(765)] = 30147,
  [SMALL_STATE(766)] = 30189,
  [SMALL_STATE(767)] = 30231,
  [SMALL_STATE(768)] = 30273,
  [SMALL_STATE(769)] = 30315,
  [SMALL_STATE(770)] = 30357,
  [SMALL_STATE(771)] = 30407,
  [SMALL_STATE(772)] = 30449,
  [SMALL_STATE(773)] = 30495,
  [SMALL_STATE(774)] = 30541,
  [SMALL_STATE(775)] = 30583,
  [SMALL_STATE(776)] = 30625,
  [SMALL_STATE(777)] = 30667,
  [SMALL_STATE(778)] = 30709,
  [SMALL_STATE(779)] = 30751,
  [SMALL_STATE(780)] = 30793,
  [SMALL_STATE(781)] = 30835,
  [SMALL_STATE(782)] = 30877,
  [SMALL_STATE(783)] = 30919,
  [SMALL_STATE(784)] = 30961,
  [SMALL_STATE(785)] = 31003,
  [SMALL_STATE(786)] = 31045,
  [SMALL_STATE(787)] = 31119,
  [SMALL_STATE(788)] = 31161,
  [SMALL_STATE(789)] = 31203,
  [SMALL_STATE(790)] = 31245,
  [SMALL_STATE(791)] = 31287,
  [SMALL_STATE(792)] = 31329,
  [SMALL_STATE(793)] = 31371,
  [SMALL_STATE(794)] = 31413,
  [SMALL_STATE(795)] = 31455,
  [SMALL_STATE(796)] = 31497,
  [SMALL_STATE(797)] = 31547,
  [SMALL_STATE(798)] = 31589,
  [SMALL_STATE(799)] = 31631,
  [SMALL_STATE(800)] = 31673,
  [SMALL_STATE(801)] = 31715,
  [SMALL_STATE(802)] = 31757,
  [SMALL_STATE(803)] = 31799,
  [SMALL_STATE(804)] = 31845,
  [SMALL_STATE(805)] = 31887,
  [SMALL_STATE(806)] = 31929,
  [SMALL_STATE(807)] = 31971,
  [SMALL_STATE(808)] = 32013,
  [SMALL_STATE(809)] = 32055,
  [SMALL_STATE(810)] = 32097,
  [SMALL_STATE(811)] = 32139,
  [SMALL_STATE(812)] = 32181,
  [SMALL_STATE(813)] = 32227,
  [SMALL_STATE(814)] = 32269,
  [SMALL_STATE(815)] = 32311,
  [SMALL_STATE(816)] = 32353,
  [SMALL_STATE(817)] = 32395,
  [SMALL_STATE(818)] = 32437,
  [SMALL_STATE(819)] = 32479,
  [SMALL_STATE(820)] = 32521,
  [SMALL_STATE(821)] = 32563,
  [SMALL_STATE(822)] = 32605,
  [SMALL_STATE(823)] = 32647,
  [SMALL_STATE(824)] = 32689,
  [SMALL_STATE(825)] = 32731,
  [SMALL_STATE(826)] = 32773,
  [SMALL_STATE(827)] = 32815,
  [SMALL_STATE(828)] = 32857,
  [SMALL_STATE(829)] = 32899,
  [SMALL_STATE(830)] = 32941,
  [SMALL_STATE(831)] = 32983,
  [SMALL_STATE(832)] = 33025,
  [SMALL_STATE(833)] = 33067,
  [SMALL_STATE(834)] = 33109,
  [SMALL_STATE(835)] = 33151,
  [SMALL_STATE(836)] = 33193,
  [SMALL_STATE(837)] = 33235,
  [SMALL_STATE(838)] = 33277,
  [SMALL_STATE(839)] = 33319,
  [SMALL_STATE(840)] = 33361,
  [SMALL_STATE(841)] = 33403,
  [SMALL_STATE(842)] = 33445,
  [SMALL_STATE(843)] = 33487,
  [SMALL_STATE(844)] = 33529,
  [SMALL_STATE(845)] = 33571,
  [SMALL_STATE(846)] = 33613,
  [SMALL_STATE(847)] = 33655,
  [SMALL_STATE(848)] = 33697,
  [SMALL_STATE(849)] = 33739,
  [SMALL_STATE(850)] = 33781,
  [SMALL_STATE(851)] = 33823,
  [SMALL_STATE(852)] = 33865,
  [SMALL_STATE(853)] = 33907,
  [SMALL_STATE(854)] = 33949,
  [SMALL_STATE(855)] = 33991,
  [SMALL_STATE(856)] = 34033,
  [SMALL_STATE(857)] = 34075,
  [SMALL_STATE(858)] = 34117,
  [SMALL_STATE(859)] = 34159,
  [SMALL_STATE(860)] = 34201,
  [SMALL_STATE(861)] = 34243,
  [SMALL_STATE(862)] = 34285,
  [SMALL_STATE(863)] = 34331,
  [SMALL_STATE(864)] = 34377,
  [SMALL_STATE(865)] = 34419,
  [SMALL_STATE(866)] = 34461,
  [SMALL_STATE(867)] = 34503,
  [SMALL_STATE(868)] = 34545,
  [SMALL_STATE(869)] = 34587,
  [SMALL_STATE(870)] = 34629,
  [SMALL_STATE(871)] = 34671,
  [SMALL_STATE(872)] = 34713,
  [SMALL_STATE(873)] = 34759,
  [SMALL_STATE(874)] = 34801,
  [SMALL_STATE(875)] = 34843,
  [SMALL_STATE(876)] = 34885,
  [SMALL_STATE(877)] = 34927,
  [SMALL_STATE(878)] = 34969,
  [SMALL_STATE(879)] = 35011,
  [SMALL_STATE(880)] = 35053,
  [SMALL_STATE(881)] = 35095,
  [SMALL_STATE(882)] = 35137,
  [SMALL_STATE(883)] = 35179,
  [SMALL_STATE(884)] = 35253,
  [SMALL_STATE(885)] = 35295,
  [SMALL_STATE(886)] = 35369,
  [SMALL_STATE(887)] = 35411,
  [SMALL_STATE(888)] = 35453,
  [SMALL_STATE(889)] = 35494,
  [SMALL_STATE(890)] = 35535,
  [SMALL_STATE(891)] = 35584,
  [SMALL_STATE(892)] = 35625,
  [SMALL_STATE(893)] = 35666,
  [SMALL_STATE(894)] = 35707,
  [SMALL_STATE(895)] = 35748,
  [SMALL_STATE(896)] = 35789,
  [SMALL_STATE(897)] = 35830,
  [SMALL_STATE(898)] = 35871,
  [SMALL_STATE(899)] = 35912,
  [SMALL_STATE(900)] = 35978,
  [SMALL_STATE(901)] = 36024,
  [SMALL_STATE(902)] = 36090,
  [SMALL_STATE(903)] = 36156,
  [SMALL_STATE(904)] = 36222,
  [SMALL_STATE(905)] = 36288,
  [SMALL_STATE(906)] = 36354,
  [SMALL_STATE(907)] = 36420,
  [SMALL_STATE(908)] = 36468,
  [SMALL_STATE(909)] = 36534,
  [SMALL_STATE(910)] = 36600,
  [SMALL_STATE(911)] = 36649,
  [SMALL_STATE(912)] = 36710,
  [SMALL_STATE(913)] = 36771,
  [SMALL_STATE(914)] = 36834,
  [SMALL_STATE(915)] = 36895,
  [SMALL_STATE(916)] = 36958,
  [SMALL_STATE(917)] = 37021,
  [SMALL_STATE(918)] = 37082,
  [SMALL_STATE(919)] = 37143,
  [SMALL_STATE(920)] = 37204,
  [SMALL_STATE(921)] = 37267,
  [SMALL_STATE(922)] = 37328,
  [SMALL_STATE(923)] = 37389,
  [SMALL_STATE(924)] = 37450,
  [SMALL_STATE(925)] = 37497,
  [SMALL_STATE(926)] = 37558,
  [SMALL_STATE(927)] = 37619,
  [SMALL_STATE(928)] = 37680,
  [SMALL_STATE(929)] = 37743,
  [SMALL_STATE(930)] = 37804,
  [SMALL_STATE(931)] = 37865,
  [SMALL_STATE(932)] = 37926,
  [SMALL_STATE(933)] = 37987,
  [SMALL_STATE(934)] = 38048,
  [SMALL_STATE(935)] = 38109,
  [SMALL_STATE(936)] = 38170,
  [SMALL_STATE(937)] = 38231,
  [SMALL_STATE(938)] = 38292,
  [SMALL_STATE(939)] = 38355,
  [SMALL_STATE(940)] = 38416,
  [SMALL_STATE(941)] = 38477,
  [SMALL_STATE(942)] = 38538,
  [SMALL_STATE(943)] = 38599,
  [SMALL_STATE(944)] = 38662,
  [SMALL_STATE(945)] = 38725,
  [SMALL_STATE(946)] = 38788,
  [SMALL_STATE(947)] = 38849,
  [SMALL_STATE(948)] = 38912,
  [SMALL_STATE(949)] = 38973,
  [SMALL_STATE(950)] = 39034,
  [SMALL_STATE(951)] = 39095,
  [SMALL_STATE(952)] = 39156,
  [SMALL_STATE(953)] = 39217,
  [SMALL_STATE(954)] = 39278,
  [SMALL_STATE(955)] = 39339,
  [SMALL_STATE(956)] = 39400,
  [SMALL_STATE(957)] = 39463,
  [SMALL_STATE(958)] = 39526,
  [SMALL_STATE(959)] = 39589,
  [SMALL_STATE(960)] = 39650,
  [SMALL_STATE(961)] = 39713,
  [SMALL_STATE(962)] = 39774,
  [SMALL_STATE(963)] = 39835,
  [SMALL_STATE(964)] = 39896,
  [SMALL_STATE(965)] = 39957,
  [SMALL_STATE(966)] = 40018,
  [SMALL_STATE(967)] = 40079,
  [SMALL_STATE(968)] = 40140,
  [SMALL_STATE(969)] = 40201,
  [SMALL_STATE(970)] = 40262,
  [SMALL_STATE(971)] = 40323,
  [SMALL_STATE(972)] = 40384,
  [SMALL_STATE(973)] = 40445,
  [SMALL_STATE(974)] = 40506,
  [SMALL_STATE(975)] = 40567,
  [SMALL_STATE(976)] = 40628,
  [SMALL_STATE(977)] = 40689,
  [SMALL_STATE(978)] = 40750,
  [SMALL_STATE(979)] = 40811,
  [SMALL_STATE(980)] = 40872,
  [SMALL_STATE(981)] = 40933,
  [SMALL_STATE(982)] = 40994,
  [SMALL_STATE(983)] = 41055,
  [SMALL_STATE(984)] = 41116,
  [SMALL_STATE(985)] = 41177,
  [SMALL_STATE(986)] = 41238,
  [SMALL_STATE(987)] = 41301,
  [SMALL_STATE(988)] = 41362,
  [SMALL_STATE(989)] = 41423,
  [SMALL_STATE(990)] = 41484,
  [SMALL_STATE(991)] = 41545,
  [SMALL_STATE(992)] = 41606,
  [SMALL_STATE(993)] = 41667,
  [SMALL_STATE(994)] = 41728,
  [SMALL_STATE(995)] = 41789,
  [SMALL_STATE(996)] = 41850,
  [SMALL_STATE(997)] = 41911,
  [SMALL_STATE(998)] = 41972,
  [SMALL_STATE(999)] = 42033,
  [SMALL_STATE(1000)] = 42094,
  [SMALL_STATE(1001)] = 42155,
  [SMALL_STATE(1002)] = 42218,
  [SMALL_STATE(1003)] = 42279,
  [SMALL_STATE(1004)] = 42340,
  [SMALL_STATE(1005)] = 42401,
  [SMALL_STATE(1006)] = 42462,
  [SMALL_STATE(1007)] = 42523,
  [SMALL_STATE(1008)] = 42584,
  [SMALL_STATE(1009)] = 42645,
  [SMALL_STATE(1010)] = 42706,
  [SMALL_STATE(1011)] = 42767,
  [SMALL_STATE(1012)] = 42828,
  [SMALL_STATE(1013)] = 42889,
  [SMALL_STATE(1014)] = 42950,
  [SMALL_STATE(1015)] = 43011,
  [SMALL_STATE(1016)] = 43072,
  [SMALL_STATE(1017)] = 43133,
  [SMALL_STATE(1018)] = 43194,
  [SMALL_STATE(1019)] = 43255,
  [SMALL_STATE(1020)] = 43316,
  [SMALL_STATE(1021)] = 43377,
  [SMALL_STATE(1022)] = 43438,
  [SMALL_STATE(1023)] = 43499,
  [SMALL_STATE(1024)] = 43560,
  [SMALL_STATE(1025)] = 43621,
  [SMALL_STATE(1026)] = 43682,
  [SMALL_STATE(1027)] = 43743,
  [SMALL_STATE(1028)] = 43804,
  [SMALL_STATE(1029)] = 43865,
  [SMALL_STATE(1030)] = 43926,
  [SMALL_STATE(1031)] = 43987,
  [SMALL_STATE(1032)] = 44048,
  [SMALL_STATE(1033)] = 44109,
  [SMALL_STATE(1034)] = 44170,
  [SMALL_STATE(1035)] = 44231,
  [SMALL_STATE(1036)] = 44292,
  [SMALL_STATE(1037)] = 44353,
  [SMALL_STATE(1038)] = 44414,
  [SMALL_STATE(1039)] = 44475,
  [SMALL_STATE(1040)] = 44536,
  [SMALL_STATE(1041)] = 44597,
  [SMALL_STATE(1042)] = 44658,
  [SMALL_STATE(1043)] = 44719,
  [SMALL_STATE(1044)] = 44780,
  [SMALL_STATE(1045)] = 44841,
  [SMALL_STATE(1046)] = 44902,
  [SMALL_STATE(1047)] = 44963,
  [SMALL_STATE(1048)] = 45024,
  [SMALL_STATE(1049)] = 45085,
  [SMALL_STATE(1050)] = 45146,
  [SMALL_STATE(1051)] = 45207,
  [SMALL_STATE(1052)] = 45268,
  [SMALL_STATE(1053)] = 45329,
  [SMALL_STATE(1054)] = 45390,
  [SMALL_STATE(1055)] = 45451,
  [SMALL_STATE(1056)] = 45512,
  [SMALL_STATE(1057)] = 45573,
  [SMALL_STATE(1058)] = 45634,
  [SMALL_STATE(1059)] = 45695,
  [SMALL_STATE(1060)] = 45756,
  [SMALL_STATE(1061)] = 45817,
  [SMALL_STATE(1062)] = 45878,
  [SMALL_STATE(1063)] = 45939,
  [SMALL_STATE(1064)] = 46000,
  [SMALL_STATE(1065)] = 46061,
  [SMALL_STATE(1066)] = 46122,
  [SMALL_STATE(1067)] = 46183,
  [SMALL_STATE(1068)] = 46244,
  [SMALL_STATE(1069)] = 46305,
  [SMALL_STATE(1070)] = 46366,
  [SMALL_STATE(1071)] = 46427,
  [SMALL_STATE(1072)] = 46488,
  [SMALL_STATE(1073)] = 46549,
  [SMALL_STATE(1074)] = 46610,
  [SMALL_STATE(1075)] = 46671,
  [SMALL_STATE(1076)] = 46732,
  [SMALL_STATE(1077)] = 46793,
  [SMALL_STATE(1078)] = 46854,
  [SMALL_STATE(1079)] = 46915,
  [SMALL_STATE(1080)] = 46976,
  [SMALL_STATE(1081)] = 47037,
  [SMALL_STATE(1082)] = 47098,
  [SMALL_STATE(1083)] = 47159,
  [SMALL_STATE(1084)] = 47220,
  [SMALL_STATE(1085)] = 47281,
  [SMALL_STATE(1086)] = 47342,
  [SMALL_STATE(1087)] = 47403,
  [SMALL_STATE(1088)] = 47464,
  [SMALL_STATE(1089)] = 47525,
  [SMALL_STATE(1090)] = 47586,
  [SMALL_STATE(1091)] = 47647,
  [SMALL_STATE(1092)] = 47708,
  [SMALL_STATE(1093)] = 47769,
  [SMALL_STATE(1094)] = 47830,
  [SMALL_STATE(1095)] = 47891,
  [SMALL_STATE(1096)] = 47952,
  [SMALL_STATE(1097)] = 48013,
  [SMALL_STATE(1098)] = 48074,
  [SMALL_STATE(1099)] = 48135,
  [SMALL_STATE(1100)] = 48196,
  [SMALL_STATE(1101)] = 48257,
  [SMALL_STATE(1102)] = 48318,
  [SMALL_STATE(1103)] = 48379,
  [SMALL_STATE(1104)] = 48440,
  [SMALL_STATE(1105)] = 48501,
  [SMALL_STATE(1106)] = 48562,
  [SMALL_STATE(1107)] = 48623,
  [SMALL_STATE(1108)] = 48684,
  [SMALL_STATE(1109)] = 48745,
  [SMALL_STATE(1110)] = 48806,
  [SMALL_STATE(1111)] = 48867,
  [SMALL_STATE(1112)] = 48928,
  [SMALL_STATE(1113)] = 48989,
  [SMALL_STATE(1114)] = 49050,
  [SMALL_STATE(1115)] = 49111,
  [SMALL_STATE(1116)] = 49172,
  [SMALL_STATE(1117)] = 49233,
  [SMALL_STATE(1118)] = 49294,
  [SMALL_STATE(1119)] = 49355,
  [SMALL_STATE(1120)] = 49416,
  [SMALL_STATE(1121)] = 49477,
  [SMALL_STATE(1122)] = 49538,
  [SMALL_STATE(1123)] = 49599,
  [SMALL_STATE(1124)] = 49660,
  [SMALL_STATE(1125)] = 49721,
  [SMALL_STATE(1126)] = 49782,
  [SMALL_STATE(1127)] = 49843,
  [SMALL_STATE(1128)] = 49904,
  [SMALL_STATE(1129)] = 49965,
  [SMALL_STATE(1130)] = 50026,
  [SMALL_STATE(1131)] = 50087,
  [SMALL_STATE(1132)] = 50148,
  [SMALL_STATE(1133)] = 50209,
  [SMALL_STATE(1134)] = 50270,
  [SMALL_STATE(1135)] = 50331,
  [SMALL_STATE(1136)] = 50392,
  [SMALL_STATE(1137)] = 50453,
  [SMALL_STATE(1138)] = 50514,
  [SMALL_STATE(1139)] = 50575,
  [SMALL_STATE(1140)] = 50636,
  [SMALL_STATE(1141)] = 50697,
  [SMALL_STATE(1142)] = 50758,
  [SMALL_STATE(1143)] = 50819,
  [SMALL_STATE(1144)] = 50880,
  [SMALL_STATE(1145)] = 50941,
  [SMALL_STATE(1146)] = 51002,
  [SMALL_STATE(1147)] = 51063,
  [SMALL_STATE(1148)] = 51124,
  [SMALL_STATE(1149)] = 51185,
  [SMALL_STATE(1150)] = 51246,
  [SMALL_STATE(1151)] = 51307,
  [SMALL_STATE(1152)] = 51368,
  [SMALL_STATE(1153)] = 51429,
  [SMALL_STATE(1154)] = 51490,
  [SMALL_STATE(1155)] = 51551,
  [SMALL_STATE(1156)] = 51612,
  [SMALL_STATE(1157)] = 51673,
  [SMALL_STATE(1158)] = 51734,
  [SMALL_STATE(1159)] = 51795,
  [SMALL_STATE(1160)] = 51856,
  [SMALL_STATE(1161)] = 51917,
  [SMALL_STATE(1162)] = 51978,
  [SMALL_STATE(1163)] = 52039,
  [SMALL_STATE(1164)] = 52100,
  [SMALL_STATE(1165)] = 52161,
  [SMALL_STATE(1166)] = 52224,
  [SMALL_STATE(1167)] = 52285,
  [SMALL_STATE(1168)] = 52346,
  [SMALL_STATE(1169)] = 52407,
  [SMALL_STATE(1170)] = 52468,
  [SMALL_STATE(1171)] = 52529,
  [SMALL_STATE(1172)] = 52590,
  [SMALL_STATE(1173)] = 52637,
  [SMALL_STATE(1174)] = 52698,
  [SMALL_STATE(1175)] = 52759,
  [SMALL_STATE(1176)] = 52820,
  [SMALL_STATE(1177)] = 52881,
  [SMALL_STATE(1178)] = 52942,
  [SMALL_STATE(1179)] = 53000,
  [SMALL_STATE(1180)] = 53058,
  [SMALL_STATE(1181)] = 53116,
  [SMALL_STATE(1182)] = 53174,
  [SMALL_STATE(1183)] = 53232,
  [SMALL_STATE(1184)] = 53290,
  [SMALL_STATE(1185)] = 53348,
  [SMALL_STATE(1186)] = 53406,
  [SMALL_STATE(1187)] = 53464,
  [SMALL_STATE(1188)] = 53522,
  [SMALL_STATE(1189)] = 53580,
  [SMALL_STATE(1190)] = 53638,
  [SMALL_STATE(1191)] = 53696,
  [SMALL_STATE(1192)] = 53754,
  [SMALL_STATE(1193)] = 53812,
  [SMALL_STATE(1194)] = 53870,
  [SMALL_STATE(1195)] = 53928,
  [SMALL_STATE(1196)] = 53986,
  [SMALL_STATE(1197)] = 54044,
  [SMALL_STATE(1198)] = 54104,
  [SMALL_STATE(1199)] = 54162,
  [SMALL_STATE(1200)] = 54220,
  [SMALL_STATE(1201)] = 54278,
  [SMALL_STATE(1202)] = 54336,
  [SMALL_STATE(1203)] = 54394,
  [SMALL_STATE(1204)] = 54452,
  [SMALL_STATE(1205)] = 54510,
  [SMALL_STATE(1206)] = 54568,
  [SMALL_STATE(1207)] = 54626,
  [SMALL_STATE(1208)] = 54686,
  [SMALL_STATE(1209)] = 54744,
  [SMALL_STATE(1210)] = 54802,
  [SMALL_STATE(1211)] = 54860,
  [SMALL_STATE(1212)] = 54918,
  [SMALL_STATE(1213)] = 54976,
  [SMALL_STATE(1214)] = 55036,
  [SMALL_STATE(1215)] = 55094,
  [SMALL_STATE(1216)] = 55154,
  [SMALL_STATE(1217)] = 55214,
  [SMALL_STATE(1218)] = 55274,
  [SMALL_STATE(1219)] = 55332,
  [SMALL_STATE(1220)] = 55390,
  [SMALL_STATE(1221)] = 55448,
  [SMALL_STATE(1222)] = 55506,
  [SMALL_STATE(1223)] = 55564,
  [SMALL_STATE(1224)] = 55622,
  [SMALL_STATE(1225)] = 55680,
  [SMALL_STATE(1226)] = 55738,
  [SMALL_STATE(1227)] = 55796,
  [SMALL_STATE(1228)] = 55854,
  [SMALL_STATE(1229)] = 55912,
  [SMALL_STATE(1230)] = 55970,
  [SMALL_STATE(1231)] = 56028,
  [SMALL_STATE(1232)] = 56086,
  [SMALL_STATE(1233)] = 56144,
  [SMALL_STATE(1234)] = 56202,
  [SMALL_STATE(1235)] = 56260,
  [SMALL_STATE(1236)] = 56318,
  [SMALL_STATE(1237)] = 56376,
  [SMALL_STATE(1238)] = 56434,
  [SMALL_STATE(1239)] = 56492,
  [SMALL_STATE(1240)] = 56550,
  [SMALL_STATE(1241)] = 56608,
  [SMALL_STATE(1242)] = 56666,
  [SMALL_STATE(1243)] = 56724,
  [SMALL_STATE(1244)] = 56782,
  [SMALL_STATE(1245)] = 56840,
  [SMALL_STATE(1246)] = 56898,
  [SMALL_STATE(1247)] = 56956,
  [SMALL_STATE(1248)] = 57014,
  [SMALL_STATE(1249)] = 57072,
  [SMALL_STATE(1250)] = 57130,
  [SMALL_STATE(1251)] = 57188,
  [SMALL_STATE(1252)] = 57246,
  [SMALL_STATE(1253)] = 57304,
  [SMALL_STATE(1254)] = 57362,
  [SMALL_STATE(1255)] = 57420,
  [SMALL_STATE(1256)] = 57478,
  [SMALL_STATE(1257)] = 57536,
  [SMALL_STATE(1258)] = 57594,
  [SMALL_STATE(1259)] = 57652,
  [SMALL_STATE(1260)] = 57710,
  [SMALL_STATE(1261)] = 57768,
  [SMALL_STATE(1262)] = 57828,
  [SMALL_STATE(1263)] = 57886,
  [SMALL_STATE(1264)] = 57944,
  [SMALL_STATE(1265)] = 58002,
  [SMALL_STATE(1266)] = 58060,
  [SMALL_STATE(1267)] = 58118,
  [SMALL_STATE(1268)] = 58176,
  [SMALL_STATE(1269)] = 58234,
  [SMALL_STATE(1270)] = 58292,
  [SMALL_STATE(1271)] = 58350,
  [SMALL_STATE(1272)] = 58408,
  [SMALL_STATE(1273)] = 58468,
  [SMALL_STATE(1274)] = 58526,
  [SMALL_STATE(1275)] = 58584,
  [SMALL_STATE(1276)] = 58642,
  [SMALL_STATE(1277)] = 58700,
  [SMALL_STATE(1278)] = 58758,
  [SMALL_STATE(1279)] = 58816,
  [SMALL_STATE(1280)] = 58874,
  [SMALL_STATE(1281)] = 58932,
  [SMALL_STATE(1282)] = 58990,
  [SMALL_STATE(1283)] = 59048,
  [SMALL_STATE(1284)] = 59106,
  [SMALL_STATE(1285)] = 59164,
  [SMALL_STATE(1286)] = 59222,
  [SMALL_STATE(1287)] = 59280,
  [SMALL_STATE(1288)] = 59338,
  [SMALL_STATE(1289)] = 59396,
  [SMALL_STATE(1290)] = 59454,
  [SMALL_STATE(1291)] = 59512,
  [SMALL_STATE(1292)] = 59570,
  [SMALL_STATE(1293)] = 59628,
  [SMALL_STATE(1294)] = 59686,
  [SMALL_STATE(1295)] = 59744,
  [SMALL_STATE(1296)] = 59802,
  [SMALL_STATE(1297)] = 59860,
  [SMALL_STATE(1298)] = 59918,
  [SMALL_STATE(1299)] = 59976,
  [SMALL_STATE(1300)] = 60034,
  [SMALL_STATE(1301)] = 60092,
  [SMALL_STATE(1302)] = 60150,
  [SMALL_STATE(1303)] = 60208,
  [SMALL_STATE(1304)] = 60266,
  [SMALL_STATE(1305)] = 60324,
  [SMALL_STATE(1306)] = 60382,
  [SMALL_STATE(1307)] = 60440,
  [SMALL_STATE(1308)] = 60498,
  [SMALL_STATE(1309)] = 60556,
  [SMALL_STATE(1310)] = 60614,
  [SMALL_STATE(1311)] = 60672,
  [SMALL_STATE(1312)] = 60730,
  [SMALL_STATE(1313)] = 60788,
  [SMALL_STATE(1314)] = 60848,
  [SMALL_STATE(1315)] = 60906,
  [SMALL_STATE(1316)] = 60964,
  [SMALL_STATE(1317)] = 61022,
  [SMALL_STATE(1318)] = 61080,
  [SMALL_STATE(1319)] = 61138,
  [SMALL_STATE(1320)] = 61196,
  [SMALL_STATE(1321)] = 61254,
  [SMALL_STATE(1322)] = 61312,
  [SMALL_STATE(1323)] = 61370,
  [SMALL_STATE(1324)] = 61428,
  [SMALL_STATE(1325)] = 61486,
  [SMALL_STATE(1326)] = 61544,
  [SMALL_STATE(1327)] = 61602,
  [SMALL_STATE(1328)] = 61660,
  [SMALL_STATE(1329)] = 61718,
  [SMALL_STATE(1330)] = 61776,
  [SMALL_STATE(1331)] = 61834,
  [SMALL_STATE(1332)] = 61892,
  [SMALL_STATE(1333)] = 61950,
  [SMALL_STATE(1334)] = 62008,
  [SMALL_STATE(1335)] = 62066,
  [SMALL_STATE(1336)] = 62124,
  [SMALL_STATE(1337)] = 62182,
  [SMALL_STATE(1338)] = 62240,
  [SMALL_STATE(1339)] = 62298,
  [SMALL_STATE(1340)] = 62356,
  [SMALL_STATE(1341)] = 62414,
  [SMALL_STATE(1342)] = 62472,
  [SMALL_STATE(1343)] = 62530,
  [SMALL_STATE(1344)] = 62588,
  [SMALL_STATE(1345)] = 62646,
  [SMALL_STATE(1346)] = 62704,
  [SMALL_STATE(1347)] = 62762,
  [SMALL_STATE(1348)] = 62820,
  [SMALL_STATE(1349)] = 62878,
  [SMALL_STATE(1350)] = 62936,
  [SMALL_STATE(1351)] = 62994,
  [SMALL_STATE(1352)] = 63052,
  [SMALL_STATE(1353)] = 63110,
  [SMALL_STATE(1354)] = 63168,
  [SMALL_STATE(1355)] = 63226,
  [SMALL_STATE(1356)] = 63284,
  [SMALL_STATE(1357)] = 63342,
  [SMALL_STATE(1358)] = 63400,
  [SMALL_STATE(1359)] = 63458,
  [SMALL_STATE(1360)] = 63516,
  [SMALL_STATE(1361)] = 63574,
  [SMALL_STATE(1362)] = 63632,
  [SMALL_STATE(1363)] = 63690,
  [SMALL_STATE(1364)] = 63748,
  [SMALL_STATE(1365)] = 63806,
  [SMALL_STATE(1366)] = 63864,
  [SMALL_STATE(1367)] = 63922,
  [SMALL_STATE(1368)] = 63980,
  [SMALL_STATE(1369)] = 64038,
  [SMALL_STATE(1370)] = 64096,
  [SMALL_STATE(1371)] = 64154,
  [SMALL_STATE(1372)] = 64212,
  [SMALL_STATE(1373)] = 64270,
  [SMALL_STATE(1374)] = 64328,
  [SMALL_STATE(1375)] = 64386,
  [SMALL_STATE(1376)] = 64444,
  [SMALL_STATE(1377)] = 64502,
  [SMALL_STATE(1378)] = 64560,
  [SMALL_STATE(1379)] = 64618,
  [SMALL_STATE(1380)] = 64676,
  [SMALL_STATE(1381)] = 64734,
  [SMALL_STATE(1382)] = 64792,
  [SMALL_STATE(1383)] = 64850,
  [SMALL_STATE(1384)] = 64908,
  [SMALL_STATE(1385)] = 64966,
  [SMALL_STATE(1386)] = 65024,
  [SMALL_STATE(1387)] = 65082,
  [SMALL_STATE(1388)] = 65140,
  [SMALL_STATE(1389)] = 65198,
  [SMALL_STATE(1390)] = 65256,
  [SMALL_STATE(1391)] = 65314,
  [SMALL_STATE(1392)] = 65372,
  [SMALL_STATE(1393)] = 65430,
  [SMALL_STATE(1394)] = 65488,
  [SMALL_STATE(1395)] = 65546,
  [SMALL_STATE(1396)] = 65604,
  [SMALL_STATE(1397)] = 65662,
  [SMALL_STATE(1398)] = 65720,
  [SMALL_STATE(1399)] = 65778,
  [SMALL_STATE(1400)] = 65836,
  [SMALL_STATE(1401)] = 65894,
  [SMALL_STATE(1402)] = 65954,
  [SMALL_STATE(1403)] = 66012,
  [SMALL_STATE(1404)] = 66072,
  [SMALL_STATE(1405)] = 66130,
  [SMALL_STATE(1406)] = 66188,
  [SMALL_STATE(1407)] = 66246,
  [SMALL_STATE(1408)] = 66304,
  [SMALL_STATE(1409)] = 66362,
  [SMALL_STATE(1410)] = 66420,
  [SMALL_STATE(1411)] = 66478,
  [SMALL_STATE(1412)] = 66538,
  [SMALL_STATE(1413)] = 66596,
  [SMALL_STATE(1414)] = 66654,
  [SMALL_STATE(1415)] = 66712,
  [SMALL_STATE(1416)] = 66770,
  [SMALL_STATE(1417)] = 66828,
  [SMALL_STATE(1418)] = 66886,
  [SMALL_STATE(1419)] = 66944,
  [SMALL_STATE(1420)] = 67002,
  [SMALL_STATE(1421)] = 67060,
  [SMALL_STATE(1422)] = 67118,
  [SMALL_STATE(1423)] = 67176,
  [SMALL_STATE(1424)] = 67234,
  [SMALL_STATE(1425)] = 67292,
  [SMALL_STATE(1426)] = 67350,
  [SMALL_STATE(1427)] = 67408,
  [SMALL_STATE(1428)] = 67466,
  [SMALL_STATE(1429)] = 67524,
  [SMALL_STATE(1430)] = 67582,
  [SMALL_STATE(1431)] = 67640,
  [SMALL_STATE(1432)] = 67698,
  [SMALL_STATE(1433)] = 67756,
  [SMALL_STATE(1434)] = 67814,
  [SMALL_STATE(1435)] = 67872,
  [SMALL_STATE(1436)] = 67930,
  [SMALL_STATE(1437)] = 67988,
  [SMALL_STATE(1438)] = 68046,
  [SMALL_STATE(1439)] = 68104,
  [SMALL_STATE(1440)] = 68162,
  [SMALL_STATE(1441)] = 68220,
  [SMALL_STATE(1442)] = 68278,
  [SMALL_STATE(1443)] = 68336,
  [SMALL_STATE(1444)] = 68394,
  [SMALL_STATE(1445)] = 68452,
  [SMALL_STATE(1446)] = 68510,
  [SMALL_STATE(1447)] = 68568,
  [SMALL_STATE(1448)] = 68626,
  [SMALL_STATE(1449)] = 68684,
  [SMALL_STATE(1450)] = 68742,
  [SMALL_STATE(1451)] = 68800,
  [SMALL_STATE(1452)] = 68858,
  [SMALL_STATE(1453)] = 68916,
  [SMALL_STATE(1454)] = 68974,
  [SMALL_STATE(1455)] = 69032,
  [SMALL_STATE(1456)] = 69090,
  [SMALL_STATE(1457)] = 69148,
  [SMALL_STATE(1458)] = 69206,
  [SMALL_STATE(1459)] = 69264,
  [SMALL_STATE(1460)] = 69322,
  [SMALL_STATE(1461)] = 69380,
  [SMALL_STATE(1462)] = 69438,
  [SMALL_STATE(1463)] = 69496,
  [SMALL_STATE(1464)] = 69554,
  [SMALL_STATE(1465)] = 69612,
  [SMALL_STATE(1466)] = 69670,
  [SMALL_STATE(1467)] = 69728,
  [SMALL_STATE(1468)] = 69786,
  [SMALL_STATE(1469)] = 69844,
  [SMALL_STATE(1470)] = 69902,
  [SMALL_STATE(1471)] = 69960,
  [SMALL_STATE(1472)] = 70018,
  [SMALL_STATE(1473)] = 70076,
  [SMALL_STATE(1474)] = 70134,
  [SMALL_STATE(1475)] = 70192,
  [SMALL_STATE(1476)] = 70250,
  [SMALL_STATE(1477)] = 70308,
  [SMALL_STATE(1478)] = 70366,
  [SMALL_STATE(1479)] = 70424,
  [SMALL_STATE(1480)] = 70482,
  [SMALL_STATE(1481)] = 70540,
  [SMALL_STATE(1482)] = 70598,
  [SMALL_STATE(1483)] = 70656,
  [SMALL_STATE(1484)] = 70714,
  [SMALL_STATE(1485)] = 70772,
  [SMALL_STATE(1486)] = 70830,
  [SMALL_STATE(1487)] = 70888,
  [SMALL_STATE(1488)] = 70946,
  [SMALL_STATE(1489)] = 71004,
  [SMALL_STATE(1490)] = 71062,
  [SMALL_STATE(1491)] = 71122,
  [SMALL_STATE(1492)] = 71180,
  [SMALL_STATE(1493)] = 71238,
  [SMALL_STATE(1494)] = 71296,
  [SMALL_STATE(1495)] = 71354,
  [SMALL_STATE(1496)] = 71412,
  [SMALL_STATE(1497)] = 71470,
  [SMALL_STATE(1498)] = 71528,
  [SMALL_STATE(1499)] = 71588,
  [SMALL_STATE(1500)] = 71646,
  [SMALL_STATE(1501)] = 71704,
  [SMALL_STATE(1502)] = 71762,
  [SMALL_STATE(1503)] = 71820,
  [SMALL_STATE(1504)] = 71878,
  [SMALL_STATE(1505)] = 71936,
  [SMALL_STATE(1506)] = 71994,
  [SMALL_STATE(1507)] = 72052,
  [SMALL_STATE(1508)] = 72110,
  [SMALL_STATE(1509)] = 72168,
  [SMALL_STATE(1510)] = 72226,
  [SMALL_STATE(1511)] = 72284,
  [SMALL_STATE(1512)] = 72342,
  [SMALL_STATE(1513)] = 72400,
  [SMALL_STATE(1514)] = 72458,
  [SMALL_STATE(1515)] = 72516,
  [SMALL_STATE(1516)] = 72574,
  [SMALL_STATE(1517)] = 72632,
  [SMALL_STATE(1518)] = 72690,
  [SMALL_STATE(1519)] = 72748,
  [SMALL_STATE(1520)] = 72806,
  [SMALL_STATE(1521)] = 72866,
  [SMALL_STATE(1522)] = 72924,
  [SMALL_STATE(1523)] = 72982,
  [SMALL_STATE(1524)] = 73040,
  [SMALL_STATE(1525)] = 73098,
  [SMALL_STATE(1526)] = 73156,
  [SMALL_STATE(1527)] = 73214,
  [SMALL_STATE(1528)] = 73272,
  [SMALL_STATE(1529)] = 73330,
  [SMALL_STATE(1530)] = 73388,
  [SMALL_STATE(1531)] = 73446,
  [SMALL_STATE(1532)] = 73504,
  [SMALL_STATE(1533)] = 73562,
  [SMALL_STATE(1534)] = 73620,
  [SMALL_STATE(1535)] = 73680,
  [SMALL_STATE(1536)] = 73738,
  [SMALL_STATE(1537)] = 73796,
  [SMALL_STATE(1538)] = 73854,
  [SMALL_STATE(1539)] = 73912,
  [SMALL_STATE(1540)] = 73970,
  [SMALL_STATE(1541)] = 74028,
  [SMALL_STATE(1542)] = 74086,
  [SMALL_STATE(1543)] = 74144,
  [SMALL_STATE(1544)] = 74202,
  [SMALL_STATE(1545)] = 74260,
  [SMALL_STATE(1546)] = 74318,
  [SMALL_STATE(1547)] = 74376,
  [SMALL_STATE(1548)] = 74434,
  [SMALL_STATE(1549)] = 74492,
  [SMALL_STATE(1550)] = 74550,
  [SMALL_STATE(1551)] = 74608,
  [SMALL_STATE(1552)] = 74666,
  [SMALL_STATE(1553)] = 74724,
  [SMALL_STATE(1554)] = 74782,
  [SMALL_STATE(1555)] = 74840,
  [SMALL_STATE(1556)] = 74898,
  [SMALL_STATE(1557)] = 74956,
  [SMALL_STATE(1558)] = 75014,
  [SMALL_STATE(1559)] = 75072,
  [SMALL_STATE(1560)] = 75130,
  [SMALL_STATE(1561)] = 75188,
  [SMALL_STATE(1562)] = 75246,
  [SMALL_STATE(1563)] = 75304,
  [SMALL_STATE(1564)] = 75362,
  [SMALL_STATE(1565)] = 75420,
  [SMALL_STATE(1566)] = 75480,
  [SMALL_STATE(1567)] = 75538,
  [SMALL_STATE(1568)] = 75596,
  [SMALL_STATE(1569)] = 75654,
  [SMALL_STATE(1570)] = 75712,
  [SMALL_STATE(1571)] = 75770,
  [SMALL_STATE(1572)] = 75828,
  [SMALL_STATE(1573)] = 75886,
  [SMALL_STATE(1574)] = 75944,
  [SMALL_STATE(1575)] = 76002,
  [SMALL_STATE(1576)] = 76060,
  [SMALL_STATE(1577)] = 76118,
  [SMALL_STATE(1578)] = 76176,
  [SMALL_STATE(1579)] = 76234,
  [SMALL_STATE(1580)] = 76292,
  [SMALL_STATE(1581)] = 76350,
  [SMALL_STATE(1582)] = 76408,
  [SMALL_STATE(1583)] = 76466,
  [SMALL_STATE(1584)] = 76524,
  [SMALL_STATE(1585)] = 76582,
  [SMALL_STATE(1586)] = 76640,
  [SMALL_STATE(1587)] = 76698,
  [SMALL_STATE(1588)] = 76756,
  [SMALL_STATE(1589)] = 76814,
  [SMALL_STATE(1590)] = 76872,
  [SMALL_STATE(1591)] = 76930,
  [SMALL_STATE(1592)] = 76988,
  [SMALL_STATE(1593)] = 77046,
  [SMALL_STATE(1594)] = 77104,
  [SMALL_STATE(1595)] = 77162,
  [SMALL_STATE(1596)] = 77220,
  [SMALL_STATE(1597)] = 77280,
  [SMALL_STATE(1598)] = 77338,
  [SMALL_STATE(1599)] = 77396,
  [SMALL_STATE(1600)] = 77454,
  [SMALL_STATE(1601)] = 77512,
  [SMALL_STATE(1602)] = 77572,
  [SMALL_STATE(1603)] = 77630,
  [SMALL_STATE(1604)] = 77690,
  [SMALL_STATE(1605)] = 77748,
  [SMALL_STATE(1606)] = 77808,
  [SMALL_STATE(1607)] = 77866,
  [SMALL_STATE(1608)] = 77924,
  [SMALL_STATE(1609)] = 77982,
  [SMALL_STATE(1610)] = 78040,
  [SMALL_STATE(1611)] = 78098,
  [SMALL_STATE(1612)] = 78156,
  [SMALL_STATE(1613)] = 78214,
  [SMALL_STATE(1614)] = 78272,
  [SMALL_STATE(1615)] = 78330,
  [SMALL_STATE(1616)] = 78388,
  [SMALL_STATE(1617)] = 78446,
  [SMALL_STATE(1618)] = 78506,
  [SMALL_STATE(1619)] = 78564,
  [SMALL_STATE(1620)] = 78624,
  [SMALL_STATE(1621)] = 78682,
  [SMALL_STATE(1622)] = 78742,
  [SMALL_STATE(1623)] = 78800,
  [SMALL_STATE(1624)] = 78860,
  [SMALL_STATE(1625)] = 78920,
  [SMALL_STATE(1626)] = 78980,
  [SMALL_STATE(1627)] = 79040,
  [SMALL_STATE(1628)] = 79098,
  [SMALL_STATE(1629)] = 79158,
  [SMALL_STATE(1630)] = 79218,
  [SMALL_STATE(1631)] = 79276,
  [SMALL_STATE(1632)] = 79334,
  [SMALL_STATE(1633)] = 79392,
  [SMALL_STATE(1634)] = 79450,
  [SMALL_STATE(1635)] = 79508,
  [SMALL_STATE(1636)] = 79566,
  [SMALL_STATE(1637)] = 79624,
  [SMALL_STATE(1638)] = 79682,
  [SMALL_STATE(1639)] = 79740,
  [SMALL_STATE(1640)] = 79798,
  [SMALL_STATE(1641)] = 79856,
  [SMALL_STATE(1642)] = 79916,
  [SMALL_STATE(1643)] = 79974,
  [SMALL_STATE(1644)] = 80034,
  [SMALL_STATE(1645)] = 80092,
  [SMALL_STATE(1646)] = 80152,
  [SMALL_STATE(1647)] = 80189,
  [SMALL_STATE(1648)] = 80234,
  [SMALL_STATE(1649)] = 80285,
  [SMALL_STATE(1650)] = 80324,
  [SMALL_STATE(1651)] = 80369,
  [SMALL_STATE(1652)] = 80410,
  [SMALL_STATE(1653)] = 80461,
  [SMALL_STATE(1654)] = 80511,
  [SMALL_STATE(1655)] = 80555,
  [SMALL_STATE(1656)] = 80593,
  [SMALL_STATE(1657)] = 80629,
  [SMALL_STATE(1658)] = 80673,
  [SMALL_STATE(1659)] = 80711,
  [SMALL_STATE(1660)] = 80755,
  [SMALL_STATE(1661)] = 80791,
  [SMALL_STATE(1662)] = 80841,
  [SMALL_STATE(1663)] = 80885,
  [SMALL_STATE(1664)] = 80928,
  [SMALL_STATE(1665)] = 80977,
  [SMALL_STATE(1666)] = 81026,
  [SMALL_STATE(1667)] = 81063,
  [SMALL_STATE(1668)] = 81100,
  [SMALL_STATE(1669)] = 81137,
  [SMALL_STATE(1670)] = 81186,
  [SMALL_STATE(1671)] = 81221,
  [SMALL_STATE(1672)] = 81264,
  [SMALL_STATE(1673)] = 81301,
  [SMALL_STATE(1674)] = 81338,
  [SMALL_STATE(1675)] = 81375,
  [SMALL_STATE(1676)] = 81412,
  [SMALL_STATE(1677)] = 81449,
  [SMALL_STATE(1678)] = 81488,
  [SMALL_STATE(1679)] = 81525,
  [SMALL_STATE(1680)] = 81574,
  [SMALL_STATE(1681)] = 81611,
  [SMALL_STATE(1682)] = 81648,
  [SMALL_STATE(1683)] = 81685,
  [SMALL_STATE(1684)] = 81734,
  [SMALL_STATE(1685)] = 81771,
  [SMALL_STATE(1686)] = 81806,
  [SMALL_STATE(1687)] = 81843,
  [SMALL_STATE(1688)] = 81886,
  [SMALL_STATE(1689)] = 81935,
  [SMALL_STATE(1690)] = 81972,
  [SMALL_STATE(1691)] = 82009,
  [SMALL_STATE(1692)] = 82041,
  [SMALL_STATE(1693)] = 82075,
  [SMALL_STATE(1694)] = 82107,
  [SMALL_STATE(1695)] = 82139,
  [SMALL_STATE(1696)] = 82171,
  [SMALL_STATE(1697)] = 82203,
  [SMALL_STATE(1698)] = 82249,
  [SMALL_STATE(1699)] = 82281,
  [SMALL_STATE(1700)] = 82315,
  [SMALL_STATE(1701)] = 82351,
  [SMALL_STATE(1702)] = 82387,
  [SMALL_STATE(1703)] = 82423,
  [SMALL_STATE(1704)] = 82469,
  [SMALL_STATE(1705)] = 82515,
  [SMALL_STATE(1706)] = 82561,
  [SMALL_STATE(1707)] = 82593,
  [SMALL_STATE(1708)] = 82629,
  [SMALL_STATE(1709)] = 82661,
  [SMALL_STATE(1710)] = 82697,
  [SMALL_STATE(1711)] = 82733,
  [SMALL_STATE(1712)] = 82769,
  [SMALL_STATE(1713)] = 82805,
  [SMALL_STATE(1714)] = 82837,
  [SMALL_STATE(1715)] = 82873,
  [SMALL_STATE(1716)] = 82909,
  [SMALL_STATE(1717)] = 82945,
  [SMALL_STATE(1718)] = 82997,
  [SMALL_STATE(1719)] = 83033,
  [SMALL_STATE(1720)] = 83069,
  [SMALL_STATE(1721)] = 83101,
  [SMALL_STATE(1722)] = 83135,
  [SMALL_STATE(1723)] = 83167,
  [SMALL_STATE(1724)] = 83203,
  [SMALL_STATE(1725)] = 83235,
  [SMALL_STATE(1726)] = 83267,
  [SMALL_STATE(1727)] = 83299,
  [SMALL_STATE(1728)] = 83331,
  [SMALL_STATE(1729)] = 83363,
  [SMALL_STATE(1730)] = 83395,
  [SMALL_STATE(1731)] = 83441,
  [SMALL_STATE(1732)] = 83473,
  [SMALL_STATE(1733)] = 83505,
  [SMALL_STATE(1734)] = 83537,
  [SMALL_STATE(1735)] = 83569,
  [SMALL_STATE(1736)] = 83601,
  [SMALL_STATE(1737)] = 83635,
  [SMALL_STATE(1738)] = 83669,
  [SMALL_STATE(1739)] = 83701,
  [SMALL_STATE(1740)] = 83733,
  [SMALL_STATE(1741)] = 83765,
  [SMALL_STATE(1742)] = 83811,
  [SMALL_STATE(1743)] = 83847,
  [SMALL_STATE(1744)] = 83879,
  [SMALL_STATE(1745)] = 83911,
  [SMALL_STATE(1746)] = 83947,
  [SMALL_STATE(1747)] = 83983,
  [SMALL_STATE(1748)] = 84035,
  [SMALL_STATE(1749)] = 84071,
  [SMALL_STATE(1750)] = 84107,
  [SMALL_STATE(1751)] = 84143,
  [SMALL_STATE(1752)] = 84179,
  [SMALL_STATE(1753)] = 84215,
  [SMALL_STATE(1754)] = 84267,
  [SMALL_STATE(1755)] = 84319,
  [SMALL_STATE(1756)] = 84354,
  [SMALL_STATE(1757)] = 84385,
  [SMALL_STATE(1758)] = 84416,
  [SMALL_STATE(1759)] = 84447,
  [SMALL_STATE(1760)] = 84482,
  [SMALL_STATE(1761)] = 84517,
  [SMALL_STATE(1762)] = 84552,
  [SMALL_STATE(1763)] = 84587,
  [SMALL_STATE(1764)] = 84618,
  [SMALL_STATE(1765)] = 84653,
  [SMALL_STATE(1766)] = 84684,
  [SMALL_STATE(1767)] = 84715,
  [SMALL_STATE(1768)] = 84746,
  [SMALL_STATE(1769)] = 84777,
  [SMALL_STATE(1770)] = 84808,
  [SMALL_STATE(1771)] = 84839,
  [SMALL_STATE(1772)] = 84874,
  [SMALL_STATE(1773)] = 84909,
  [SMALL_STATE(1774)] = 84944,
  [SMALL_STATE(1775)] = 84975,
  [SMALL_STATE(1776)] = 85006,
  [SMALL_STATE(1777)] = 85041,
  [SMALL_STATE(1778)] = 85072,
  [SMALL_STATE(1779)] = 85103,
  [SMALL_STATE(1780)] = 85134,
  [SMALL_STATE(1781)] = 85165,
  [SMALL_STATE(1782)] = 85196,
  [SMALL_STATE(1783)] = 85227,
  [SMALL_STATE(1784)] = 85258,
  [SMALL_STATE(1785)] = 85313,
  [SMALL_STATE(1786)] = 85344,
  [SMALL_STATE(1787)] = 85399,
  [SMALL_STATE(1788)] = 85430,
  [SMALL_STATE(1789)] = 85461,
  [SMALL_STATE(1790)] = 85492,
  [SMALL_STATE(1791)] = 85523,
  [SMALL_STATE(1792)] = 85554,
  [SMALL_STATE(1793)] = 85585,
  [SMALL_STATE(1794)] = 85616,
  [SMALL_STATE(1795)] = 85647,
  [SMALL_STATE(1796)] = 85678,
  [SMALL_STATE(1797)] = 85709,
  [SMALL_STATE(1798)] = 85740,
  [SMALL_STATE(1799)] = 85771,
  [SMALL_STATE(1800)] = 85802,
  [SMALL_STATE(1801)] = 85833,
  [SMALL_STATE(1802)] = 85864,
  [SMALL_STATE(1803)] = 85895,
  [SMALL_STATE(1804)] = 85926,
  [SMALL_STATE(1805)] = 85957,
  [SMALL_STATE(1806)] = 85988,
  [SMALL_STATE(1807)] = 86019,
  [SMALL_STATE(1808)] = 86050,
  [SMALL_STATE(1809)] = 86081,
  [SMALL_STATE(1810)] = 86112,
  [SMALL_STATE(1811)] = 86147,
  [SMALL_STATE(1812)] = 86178,
  [SMALL_STATE(1813)] = 86209,
  [SMALL_STATE(1814)] = 86240,
  [SMALL_STATE(1815)] = 86271,
  [SMALL_STATE(1816)] = 86306,
  [SMALL_STATE(1817)] = 86337,
  [SMALL_STATE(1818)] = 86368,
  [SMALL_STATE(1819)] = 86399,
  [SMALL_STATE(1820)] = 86430,
  [SMALL_STATE(1821)] = 86461,
  [SMALL_STATE(1822)] = 86492,
  [SMALL_STATE(1823)] = 86523,
  [SMALL_STATE(1824)] = 86554,
  [SMALL_STATE(1825)] = 86585,
  [SMALL_STATE(1826)] = 86616,
  [SMALL_STATE(1827)] = 86647,
  [SMALL_STATE(1828)] = 86678,
  [SMALL_STATE(1829)] = 86709,
  [SMALL_STATE(1830)] = 86740,
  [SMALL_STATE(1831)] = 86771,
  [SMALL_STATE(1832)] = 86802,
  [SMALL_STATE(1833)] = 86833,
  [SMALL_STATE(1834)] = 86864,
  [SMALL_STATE(1835)] = 86895,
  [SMALL_STATE(1836)] = 86926,
  [SMALL_STATE(1837)] = 86957,
  [SMALL_STATE(1838)] = 86992,
  [SMALL_STATE(1839)] = 87023,
  [SMALL_STATE(1840)] = 87054,
  [SMALL_STATE(1841)] = 87085,
  [SMALL_STATE(1842)] = 87140,
  [SMALL_STATE(1843)] = 87171,
  [SMALL_STATE(1844)] = 87202,
  [SMALL_STATE(1845)] = 87233,
  [SMALL_STATE(1846)] = 87264,
  [SMALL_STATE(1847)] = 87295,
  [SMALL_STATE(1848)] = 87326,
  [SMALL_STATE(1849)] = 87357,
  [SMALL_STATE(1850)] = 87388,
  [SMALL_STATE(1851)] = 87419,
  [SMALL_STATE(1852)] = 87454,
  [SMALL_STATE(1853)] = 87485,
  [SMALL_STATE(1854)] = 87516,
  [SMALL_STATE(1855)] = 87547,
  [SMALL_STATE(1856)] = 87578,
  [SMALL_STATE(1857)] = 87609,
  [SMALL_STATE(1858)] = 87664,
  [SMALL_STATE(1859)] = 87695,
  [SMALL_STATE(1860)] = 87726,
  [SMALL_STATE(1861)] = 87781,
  [SMALL_STATE(1862)] = 87836,
  [SMALL_STATE(1863)] = 87867,
  [SMALL_STATE(1864)] = 87898,
  [SMALL_STATE(1865)] = 87929,
  [SMALL_STATE(1866)] = 87960,
  [SMALL_STATE(1867)] = 87995,
  [SMALL_STATE(1868)] = 88026,
  [SMALL_STATE(1869)] = 88057,
  [SMALL_STATE(1870)] = 88088,
  [SMALL_STATE(1871)] = 88119,
  [SMALL_STATE(1872)] = 88150,
  [SMALL_STATE(1873)] = 88181,
  [SMALL_STATE(1874)] = 88212,
  [SMALL_STATE(1875)] = 88243,
  [SMALL_STATE(1876)] = 88274,
  [SMALL_STATE(1877)] = 88305,
  [SMALL_STATE(1878)] = 88336,
  [SMALL_STATE(1879)] = 88367,
  [SMALL_STATE(1880)] = 88398,
  [SMALL_STATE(1881)] = 88429,
  [SMALL_STATE(1882)] = 88484,
  [SMALL_STATE(1883)] = 88515,
  [SMALL_STATE(1884)] = 88570,
  [SMALL_STATE(1885)] = 88601,
  [SMALL_STATE(1886)] = 88632,
  [SMALL_STATE(1887)] = 88663,
  [SMALL_STATE(1888)] = 88694,
  [SMALL_STATE(1889)] = 88725,
  [SMALL_STATE(1890)] = 88760,
  [SMALL_STATE(1891)] = 88815,
  [SMALL_STATE(1892)] = 88850,
  [SMALL_STATE(1893)] = 88905,
  [SMALL_STATE(1894)] = 88936,
  [SMALL_STATE(1895)] = 88967,
  [SMALL_STATE(1896)] = 88996,
  [SMALL_STATE(1897)] = 89027,
  [SMALL_STATE(1898)] = 89058,
  [SMALL_STATE(1899)] = 89113,
  [SMALL_STATE(1900)] = 89168,
  [SMALL_STATE(1901)] = 89199,
  [SMALL_STATE(1902)] = 89230,
  [SMALL_STATE(1903)] = 89261,
  [SMALL_STATE(1904)] = 89292,
  [SMALL_STATE(1905)] = 89323,
  [SMALL_STATE(1906)] = 89354,
  [SMALL_STATE(1907)] = 89389,
  [SMALL_STATE(1908)] = 89420,
  [SMALL_STATE(1909)] = 89451,
  [SMALL_STATE(1910)] = 89482,
  [SMALL_STATE(1911)] = 89513,
  [SMALL_STATE(1912)] = 89544,
  [SMALL_STATE(1913)] = 89579,
  [SMALL_STATE(1914)] = 89633,
  [SMALL_STATE(1915)] = 89663,
  [SMALL_STATE(1916)] = 89717,
  [SMALL_STATE(1917)] = 89753,
  [SMALL_STATE(1918)] = 89781,
  [SMALL_STATE(1919)] = 89811,
  [SMALL_STATE(1920)] = 89865,
  [SMALL_STATE(1921)] = 89919,
  [SMALL_STATE(1922)] = 89953,
  [SMALL_STATE(1923)] = 89983,
  [SMALL_STATE(1924)] = 90015,
  [SMALL_STATE(1925)] = 90045,
  [SMALL_STATE(1926)] = 90099,
  [SMALL_STATE(1927)] = 90129,
  [SMALL_STATE(1928)] = 90159,
  [SMALL_STATE(1929)] = 90189,
  [SMALL_STATE(1930)] = 90225,
  [SMALL_STATE(1931)] = 90261,
  [SMALL_STATE(1932)] = 90291,
  [SMALL_STATE(1933)] = 90321,
  [SMALL_STATE(1934)] = 90351,
  [SMALL_STATE(1935)] = 90381,
  [SMALL_STATE(1936)] = 90435,
  [SMALL_STATE(1937)] = 90489,
  [SMALL_STATE(1938)] = 90523,
  [SMALL_STATE(1939)] = 90553,
  [SMALL_STATE(1940)] = 90581,
  [SMALL_STATE(1941)] = 90611,
  [SMALL_STATE(1942)] = 90641,
  [SMALL_STATE(1943)] = 90671,
  [SMALL_STATE(1944)] = 90701,
  [SMALL_STATE(1945)] = 90733,
  [SMALL_STATE(1946)] = 90769,
  [SMALL_STATE(1947)] = 90799,
  [SMALL_STATE(1948)] = 90829,
  [SMALL_STATE(1949)] = 90861,
  [SMALL_STATE(1950)] = 90915,
  [SMALL_STATE(1951)] = 90945,
  [SMALL_STATE(1952)] = 90975,
  [SMALL_STATE(1953)] = 91007,
  [SMALL_STATE(1954)] = 91037,
  [SMALL_STATE(1955)] = 91067,
  [SMALL_STATE(1956)] = 91097,
  [SMALL_STATE(1957)] = 91127,
  [SMALL_STATE(1958)] = 91157,
  [SMALL_STATE(1959)] = 91193,
  [SMALL_STATE(1960)] = 91225,
  [SMALL_STATE(1961)] = 91257,
  [SMALL_STATE(1962)] = 91293,
  [SMALL_STATE(1963)] = 91325,
  [SMALL_STATE(1964)] = 91355,
  [SMALL_STATE(1965)] = 91409,
  [SMALL_STATE(1966)] = 91443,
  [SMALL_STATE(1967)] = 91497,
  [SMALL_STATE(1968)] = 91527,
  [SMALL_STATE(1969)] = 91557,
  [SMALL_STATE(1970)] = 91587,
  [SMALL_STATE(1971)] = 91617,
  [SMALL_STATE(1972)] = 91647,
  [SMALL_STATE(1973)] = 91677,
  [SMALL_STATE(1974)] = 91707,
  [SMALL_STATE(1975)] = 91739,
  [SMALL_STATE(1976)] = 91769,
  [SMALL_STATE(1977)] = 91799,
  [SMALL_STATE(1978)] = 91829,
  [SMALL_STATE(1979)] = 91859,
  [SMALL_STATE(1980)] = 91893,
  [SMALL_STATE(1981)] = 91925,
  [SMALL_STATE(1982)] = 91957,
  [SMALL_STATE(1983)] = 92011,
  [SMALL_STATE(1984)] = 92041,
  [SMALL_STATE(1985)] = 92071,
  [SMALL_STATE(1986)] = 92101,
  [SMALL_STATE(1987)] = 92133,
  [SMALL_STATE(1988)] = 92163,
  [SMALL_STATE(1989)] = 92193,
  [SMALL_STATE(1990)] = 92247,
  [SMALL_STATE(1991)] = 92277,
  [SMALL_STATE(1992)] = 92331,
  [SMALL_STATE(1993)] = 92385,
  [SMALL_STATE(1994)] = 92415,
  [SMALL_STATE(1995)] = 92445,
  [SMALL_STATE(1996)] = 92475,
  [SMALL_STATE(1997)] = 92509,
  [SMALL_STATE(1998)] = 92539,
  [SMALL_STATE(1999)] = 92575,
  [SMALL_STATE(2000)] = 92607,
  [SMALL_STATE(2001)] = 92637,
  [SMALL_STATE(2002)] = 92667,
  [SMALL_STATE(2003)] = 92699,
  [SMALL_STATE(2004)] = 92731,
  [SMALL_STATE(2005)] = 92763,
  [SMALL_STATE(2006)] = 92793,
  [SMALL_STATE(2007)] = 92823,
  [SMALL_STATE(2008)] = 92853,
  [SMALL_STATE(2009)] = 92883,
  [SMALL_STATE(2010)] = 92913,
  [SMALL_STATE(2011)] = 92943,
  [SMALL_STATE(2012)] = 92973,
  [SMALL_STATE(2013)] = 93003,
  [SMALL_STATE(2014)] = 93035,
  [SMALL_STATE(2015)] = 93065,
  [SMALL_STATE(2016)] = 93097,
  [SMALL_STATE(2017)] = 93127,
  [SMALL_STATE(2018)] = 93157,
  [SMALL_STATE(2019)] = 93189,
  [SMALL_STATE(2020)] = 93219,
  [SMALL_STATE(2021)] = 93249,
  [SMALL_STATE(2022)] = 93279,
  [SMALL_STATE(2023)] = 93309,
  [SMALL_STATE(2024)] = 93339,
  [SMALL_STATE(2025)] = 93393,
  [SMALL_STATE(2026)] = 93423,
  [SMALL_STATE(2027)] = 93453,
  [SMALL_STATE(2028)] = 93483,
  [SMALL_STATE(2029)] = 93519,
  [SMALL_STATE(2030)] = 93553,
  [SMALL_STATE(2031)] = 93583,
  [SMALL_STATE(2032)] = 93613,
  [SMALL_STATE(2033)] = 93645,
  [SMALL_STATE(2034)] = 93675,
  [SMALL_STATE(2035)] = 93705,
  [SMALL_STATE(2036)] = 93735,
  [SMALL_STATE(2037)] = 93789,
  [SMALL_STATE(2038)] = 93819,
  [SMALL_STATE(2039)] = 93855,
  [SMALL_STATE(2040)] = 93909,
  [SMALL_STATE(2041)] = 93939,
  [SMALL_STATE(2042)] = 93969,
  [SMALL_STATE(2043)] = 93999,
  [SMALL_STATE(2044)] = 94029,
  [SMALL_STATE(2045)] = 94061,
  [SMALL_STATE(2046)] = 94091,
  [SMALL_STATE(2047)] = 94145,
  [SMALL_STATE(2048)] = 94179,
  [SMALL_STATE(2049)] = 94211,
  [SMALL_STATE(2050)] = 94247,
  [SMALL_STATE(2051)] = 94279,
  [SMALL_STATE(2052)] = 94309,
  [SMALL_STATE(2053)] = 94341,
  [SMALL_STATE(2054)] = 94373,
  [SMALL_STATE(2055)] = 94403,
  [SMALL_STATE(2056)] = 94433,
  [SMALL_STATE(2057)] = 94465,
  [SMALL_STATE(2058)] = 94493,
  [SMALL_STATE(2059)] = 94525,
  [SMALL_STATE(2060)] = 94555,
  [SMALL_STATE(2061)] = 94585,
  [SMALL_STATE(2062)] = 94613,
  [SMALL_STATE(2063)] = 94645,
  [SMALL_STATE(2064)] = 94675,
  [SMALL_STATE(2065)] = 94705,
  [SMALL_STATE(2066)] = 94733,
  [SMALL_STATE(2067)] = 94763,
  [SMALL_STATE(2068)] = 94817,
  [SMALL_STATE(2069)] = 94847,
  [SMALL_STATE(2070)] = 94877,
  [SMALL_STATE(2071)] = 94907,
  [SMALL_STATE(2072)] = 94935,
  [SMALL_STATE(2073)] = 94965,
  [SMALL_STATE(2074)] = 94995,
  [SMALL_STATE(2075)] = 95025,
  [SMALL_STATE(2076)] = 95055,
  [SMALL_STATE(2077)] = 95087,
  [SMALL_STATE(2078)] = 95117,
  [SMALL_STATE(2079)] = 95147,
  [SMALL_STATE(2080)] = 95201,
  [SMALL_STATE(2081)] = 95233,
  [SMALL_STATE(2082)] = 95265,
  [SMALL_STATE(2083)] = 95301,
  [SMALL_STATE(2084)] = 95331,
  [SMALL_STATE(2085)] = 95361,
  [SMALL_STATE(2086)] = 95391,
  [SMALL_STATE(2087)] = 95421,
  [SMALL_STATE(2088)] = 95451,
  [SMALL_STATE(2089)] = 95485,
  [SMALL_STATE(2090)] = 95517,
  [SMALL_STATE(2091)] = 95571,
  [SMALL_STATE(2092)] = 95601,
  [SMALL_STATE(2093)] = 95631,
  [SMALL_STATE(2094)] = 95682,
  [SMALL_STATE(2095)] = 95711,
  [SMALL_STATE(2096)] = 95740,
  [SMALL_STATE(2097)] = 95773,
  [SMALL_STATE(2098)] = 95802,
  [SMALL_STATE(2099)] = 95831,
  [SMALL_STATE(2100)] = 95860,
  [SMALL_STATE(2101)] = 95889,
  [SMALL_STATE(2102)] = 95918,
  [SMALL_STATE(2103)] = 95947,
  [SMALL_STATE(2104)] = 95998,
  [SMALL_STATE(2105)] = 96027,
  [SMALL_STATE(2106)] = 96056,
  [SMALL_STATE(2107)] = 96085,
  [SMALL_STATE(2108)] = 96114,
  [SMALL_STATE(2109)] = 96145,
  [SMALL_STATE(2110)] = 96174,
  [SMALL_STATE(2111)] = 96203,
  [SMALL_STATE(2112)] = 96232,
  [SMALL_STATE(2113)] = 96283,
  [SMALL_STATE(2114)] = 96316,
  [SMALL_STATE(2115)] = 96345,
  [SMALL_STATE(2116)] = 96374,
  [SMALL_STATE(2117)] = 96425,
  [SMALL_STATE(2118)] = 96456,
  [SMALL_STATE(2119)] = 96485,
  [SMALL_STATE(2120)] = 96536,
  [SMALL_STATE(2121)] = 96565,
  [SMALL_STATE(2122)] = 96594,
  [SMALL_STATE(2123)] = 96623,
  [SMALL_STATE(2124)] = 96674,
  [SMALL_STATE(2125)] = 96703,
  [SMALL_STATE(2126)] = 96754,
  [SMALL_STATE(2127)] = 96783,
  [SMALL_STATE(2128)] = 96812,
  [SMALL_STATE(2129)] = 96841,
  [SMALL_STATE(2130)] = 96870,
  [SMALL_STATE(2131)] = 96899,
  [SMALL_STATE(2132)] = 96928,
  [SMALL_STATE(2133)] = 96957,
  [SMALL_STATE(2134)] = 96986,
  [SMALL_STATE(2135)] = 97015,
  [SMALL_STATE(2136)] = 97044,
  [SMALL_STATE(2137)] = 97073,
  [SMALL_STATE(2138)] = 97102,
  [SMALL_STATE(2139)] = 97131,
  [SMALL_STATE(2140)] = 97182,
  [SMALL_STATE(2141)] = 97211,
  [SMALL_STATE(2142)] = 97240,
  [SMALL_STATE(2143)] = 97273,
  [SMALL_STATE(2144)] = 97302,
  [SMALL_STATE(2145)] = 97331,
  [SMALL_STATE(2146)] = 97360,
  [SMALL_STATE(2147)] = 97393,
  [SMALL_STATE(2148)] = 97444,
  [SMALL_STATE(2149)] = 97495,
  [SMALL_STATE(2150)] = 97526,
  [SMALL_STATE(2151)] = 97555,
  [SMALL_STATE(2152)] = 97606,
  [SMALL_STATE(2153)] = 97635,
  [SMALL_STATE(2154)] = 97664,
  [SMALL_STATE(2155)] = 97693,
  [SMALL_STATE(2156)] = 97722,
  [SMALL_STATE(2157)] = 97751,
  [SMALL_STATE(2158)] = 97802,
  [SMALL_STATE(2159)] = 97831,
  [SMALL_STATE(2160)] = 97864,
  [SMALL_STATE(2161)] = 97893,
  [SMALL_STATE(2162)] = 97922,
  [SMALL_STATE(2163)] = 97973,
  [SMALL_STATE(2164)] = 98002,
  [SMALL_STATE(2165)] = 98031,
  [SMALL_STATE(2166)] = 98060,
  [SMALL_STATE(2167)] = 98089,
  [SMALL_STATE(2168)] = 98118,
  [SMALL_STATE(2169)] = 98147,
  [SMALL_STATE(2170)] = 98176,
  [SMALL_STATE(2171)] = 98205,
  [SMALL_STATE(2172)] = 98234,
  [SMALL_STATE(2173)] = 98263,
  [SMALL_STATE(2174)] = 98292,
  [SMALL_STATE(2175)] = 98343,
  [SMALL_STATE(2176)] = 98372,
  [SMALL_STATE(2177)] = 98401,
  [SMALL_STATE(2178)] = 98434,
  [SMALL_STATE(2179)] = 98485,
  [SMALL_STATE(2180)] = 98514,
  [SMALL_STATE(2181)] = 98545,
  [SMALL_STATE(2182)] = 98596,
  [SMALL_STATE(2183)] = 98625,
  [SMALL_STATE(2184)] = 98654,
  [SMALL_STATE(2185)] = 98683,
  [SMALL_STATE(2186)] = 98712,
  [SMALL_STATE(2187)] = 98745,
  [SMALL_STATE(2188)] = 98778,
  [SMALL_STATE(2189)] = 98829,
  [SMALL_STATE(2190)] = 98858,
  [SMALL_STATE(2191)] = 98887,
  [SMALL_STATE(2192)] = 98916,
  [SMALL_STATE(2193)] = 98945,
  [SMALL_STATE(2194)] = 98996,
  [SMALL_STATE(2195)] = 99025,
  [SMALL_STATE(2196)] = 99054,
  [SMALL_STATE(2197)] = 99083,
  [SMALL_STATE(2198)] = 99112,
  [SMALL_STATE(2199)] = 99163,
  [SMALL_STATE(2200)] = 99192,
  [SMALL_STATE(2201)] = 99243,
  [SMALL_STATE(2202)] = 99276,
  [SMALL_STATE(2203)] = 99305,
  [SMALL_STATE(2204)] = 99334,
  [SMALL_STATE(2205)] = 99367,
  [SMALL_STATE(2206)] = 99396,
  [SMALL_STATE(2207)] = 99425,
  [SMALL_STATE(2208)] = 99454,
  [SMALL_STATE(2209)] = 99483,
  [SMALL_STATE(2210)] = 99512,
  [SMALL_STATE(2211)] = 99541,
  [SMALL_STATE(2212)] = 99570,
  [SMALL_STATE(2213)] = 99599,
  [SMALL_STATE(2214)] = 99628,
  [SMALL_STATE(2215)] = 99657,
  [SMALL_STATE(2216)] = 99707,
  [SMALL_STATE(2217)] = 99735,
  [SMALL_STATE(2218)] = 99785,
  [SMALL_STATE(2219)] = 99813,
  [SMALL_STATE(2220)] = 99863,
  [SMALL_STATE(2221)] = 99913,
  [SMALL_STATE(2222)] = 99961,
  [SMALL_STATE(2223)] = 99989,
  [SMALL_STATE(2224)] = 100017,
  [SMALL_STATE(2225)] = 100045,
  [SMALL_STATE(2226)] = 100095,
  [SMALL_STATE(2227)] = 100145,
  [SMALL_STATE(2228)] = 100173,
  [SMALL_STATE(2229)] = 100201,
  [SMALL_STATE(2230)] = 100251,
  [SMALL_STATE(2231)] = 100279,
  [SMALL_STATE(2232)] = 100307,
  [SMALL_STATE(2233)] = 100335,
  [SMALL_STATE(2234)] = 100385,
  [SMALL_STATE(2235)] = 100413,
  [SMALL_STATE(2236)] = 100463,
  [SMALL_STATE(2237)] = 100491,
  [SMALL_STATE(2238)] = 100541,
  [SMALL_STATE(2239)] = 100591,
  [SMALL_STATE(2240)] = 100641,
  [SMALL_STATE(2241)] = 100691,
  [SMALL_STATE(2242)] = 100719,
  [SMALL_STATE(2243)] = 100769,
  [SMALL_STATE(2244)] = 100819,
  [SMALL_STATE(2245)] = 100847,
  [SMALL_STATE(2246)] = 100875,
  [SMALL_STATE(2247)] = 100923,
  [SMALL_STATE(2248)] = 100951,
  [SMALL_STATE(2249)] = 100979,
  [SMALL_STATE(2250)] = 101007,
  [SMALL_STATE(2251)] = 101035,
  [SMALL_STATE(2252)] = 101085,
  [SMALL_STATE(2253)] = 101135,
  [SMALL_STATE(2254)] = 101185,
  [SMALL_STATE(2255)] = 101235,
  [SMALL_STATE(2256)] = 101285,
  [SMALL_STATE(2257)] = 101313,
  [SMALL_STATE(2258)] = 101363,
  [SMALL_STATE(2259)] = 101413,
  [SMALL_STATE(2260)] = 101463,
  [SMALL_STATE(2261)] = 101513,
  [SMALL_STATE(2262)] = 101541,
  [SMALL_STATE(2263)] = 101591,
  [SMALL_STATE(2264)] = 101619,
  [SMALL_STATE(2265)] = 101669,
  [SMALL_STATE(2266)] = 101719,
  [SMALL_STATE(2267)] = 101769,
  [SMALL_STATE(2268)] = 101797,
  [SMALL_STATE(2269)] = 101825,
  [SMALL_STATE(2270)] = 101853,
  [SMALL_STATE(2271)] = 101881,
  [SMALL_STATE(2272)] = 101909,
  [SMALL_STATE(2273)] = 101937,
  [SMALL_STATE(2274)] = 101965,
  [SMALL_STATE(2275)] = 101993,
  [SMALL_STATE(2276)] = 102043,
  [SMALL_STATE(2277)] = 102093,
  [SMALL_STATE(2278)] = 102121,
  [SMALL_STATE(2279)] = 102149,
  [SMALL_STATE(2280)] = 102199,
  [SMALL_STATE(2281)] = 102227,
  [SMALL_STATE(2282)] = 102277,
  [SMALL_STATE(2283)] = 102305,
  [SMALL_STATE(2284)] = 102333,
  [SMALL_STATE(2285)] = 102361,
  [SMALL_STATE(2286)] = 102389,
  [SMALL_STATE(2287)] = 102439,
  [SMALL_STATE(2288)] = 102489,
  [SMALL_STATE(2289)] = 102539,
  [SMALL_STATE(2290)] = 102567,
  [SMALL_STATE(2291)] = 102617,
  [SMALL_STATE(2292)] = 102667,
  [SMALL_STATE(2293)] = 102695,
  [SMALL_STATE(2294)] = 102723,
  [SMALL_STATE(2295)] = 102749,
  [SMALL_STATE(2296)] = 102799,
  [SMALL_STATE(2297)] = 102849,
  [SMALL_STATE(2298)] = 102899,
  [SMALL_STATE(2299)] = 102949,
  [SMALL_STATE(2300)] = 102999,
  [SMALL_STATE(2301)] = 103049,
  [SMALL_STATE(2302)] = 103077,
  [SMALL_STATE(2303)] = 103127,
  [SMALL_STATE(2304)] = 103157,
  [SMALL_STATE(2305)] = 103185,
  [SMALL_STATE(2306)] = 103211,
  [SMALL_STATE(2307)] = 103261,
  [SMALL_STATE(2308)] = 103289,
  [SMALL_STATE(2309)] = 103317,
  [SMALL_STATE(2310)] = 103345,
  [SMALL_STATE(2311)] = 103373,
  [SMALL_STATE(2312)] = 103423,
  [SMALL_STATE(2313)] = 103451,
  [SMALL_STATE(2314)] = 103501,
  [SMALL_STATE(2315)] = 103529,
  [SMALL_STATE(2316)] = 103579,
  [SMALL_STATE(2317)] = 103629,
  [SMALL_STATE(2318)] = 103679,
  [SMALL_STATE(2319)] = 103707,
  [SMALL_STATE(2320)] = 103735,
  [SMALL_STATE(2321)] = 103763,
  [SMALL_STATE(2322)] = 103813,
  [SMALL_STATE(2323)] = 103861,
  [SMALL_STATE(2324)] = 103911,
  [SMALL_STATE(2325)] = 103961,
  [SMALL_STATE(2326)] = 104011,
  [SMALL_STATE(2327)] = 104041,
  [SMALL_STATE(2328)] = 104091,
  [SMALL_STATE(2329)] = 104141,
  [SMALL_STATE(2330)] = 104177,
  [SMALL_STATE(2331)] = 104227,
  [SMALL_STATE(2332)] = 104255,
  [SMALL_STATE(2333)] = 104305,
  [SMALL_STATE(2334)] = 104333,
  [SMALL_STATE(2335)] = 104383,
  [SMALL_STATE(2336)] = 104433,
  [SMALL_STATE(2337)] = 104483,
  [SMALL_STATE(2338)] = 104511,
  [SMALL_STATE(2339)] = 104561,
  [SMALL_STATE(2340)] = 104587,
  [SMALL_STATE(2341)] = 104637,
  [SMALL_STATE(2342)] = 104663,
  [SMALL_STATE(2343)] = 104713,
  [SMALL_STATE(2344)] = 104763,
  [SMALL_STATE(2345)] = 104813,
  [SMALL_STATE(2346)] = 104840,
  [SMALL_STATE(2347)] = 104875,
  [SMALL_STATE(2348)] = 104910,
  [SMALL_STATE(2349)] = 104957,
  [SMALL_STATE(2350)] = 105004,
  [SMALL_STATE(2351)] = 105039,
  [SMALL_STATE(2352)] = 105074,
  [SMALL_STATE(2353)] = 105109,
  [SMALL_STATE(2354)] = 105144,
  [SMALL_STATE(2355)] = 105191,
  [SMALL_STATE(2356)] = 105226,
  [SMALL_STATE(2357)] = 105261,
  [SMALL_STATE(2358)] = 105308,
  [SMALL_STATE(2359)] = 105343,
  [SMALL_STATE(2360)] = 105378,
  [SMALL_STATE(2361)] = 105413,
  [SMALL_STATE(2362)] = 105448,
  [SMALL_STATE(2363)] = 105483,
  [SMALL_STATE(2364)] = 105518,
  [SMALL_STATE(2365)] = 105565,
  [SMALL_STATE(2366)] = 105600,
  [SMALL_STATE(2367)] = 105647,
  [SMALL_STATE(2368)] = 105672,
  [SMALL_STATE(2369)] = 105707,
  [SMALL_STATE(2370)] = 105754,
  [SMALL_STATE(2371)] = 105801,
  [SMALL_STATE(2372)] = 105836,
  [SMALL_STATE(2373)] = 105883,
  [SMALL_STATE(2374)] = 105930,
  [SMALL_STATE(2375)] = 105965,
  [SMALL_STATE(2376)] = 106012,
  [SMALL_STATE(2377)] = 106059,
  [SMALL_STATE(2378)] = 106106,
  [SMALL_STATE(2379)] = 106153,
  [SMALL_STATE(2380)] = 106200,
  [SMALL_STATE(2381)] = 106235,
  [SMALL_STATE(2382)] = 106270,
  [SMALL_STATE(2383)] = 106317,
  [SMALL_STATE(2384)] = 106344,
  [SMALL_STATE(2385)] = 106371,
  [SMALL_STATE(2386)] = 106406,
  [SMALL_STATE(2387)] = 106441,
  [SMALL_STATE(2388)] = 106476,
  [SMALL_STATE(2389)] = 106511,
  [SMALL_STATE(2390)] = 106558,
  [SMALL_STATE(2391)] = 106585,
  [SMALL_STATE(2392)] = 106620,
  [SMALL_STATE(2393)] = 106655,
  [SMALL_STATE(2394)] = 106702,
  [SMALL_STATE(2395)] = 106729,
  [SMALL_STATE(2396)] = 106756,
  [SMALL_STATE(2397)] = 106803,
  [SMALL_STATE(2398)] = 106838,
  [SMALL_STATE(2399)] = 106885,
  [SMALL_STATE(2400)] = 106920,
  [SMALL_STATE(2401)] = 106967,
  [SMALL_STATE(2402)] = 107002,
  [SMALL_STATE(2403)] = 107029,
  [SMALL_STATE(2404)] = 107056,
  [SMALL_STATE(2405)] = 107091,
  [SMALL_STATE(2406)] = 107118,
  [SMALL_STATE(2407)] = 107145,
  [SMALL_STATE(2408)] = 107180,
  [SMALL_STATE(2409)] = 107215,
  [SMALL_STATE(2410)] = 107242,
  [SMALL_STATE(2411)] = 107289,
  [SMALL_STATE(2412)] = 107324,
  [SMALL_STATE(2413)] = 107351,
  [SMALL_STATE(2414)] = 107398,
  [SMALL_STATE(2415)] = 107445,
  [SMALL_STATE(2416)] = 107487,
  [SMALL_STATE(2417)] = 107529,
  [SMALL_STATE(2418)] = 107568,
  [SMALL_STATE(2419)] = 107607,
  [SMALL_STATE(2420)] = 107646,
  [SMALL_STATE(2421)] = 107685,
  [SMALL_STATE(2422)] = 107724,
  [SMALL_STATE(2423)] = 107763,
  [SMALL_STATE(2424)] = 107790,
  [SMALL_STATE(2425)] = 107829,
  [SMALL_STATE(2426)] = 107856,
  [SMALL_STATE(2427)] = 107895,
  [SMALL_STATE(2428)] = 107934,
  [SMALL_STATE(2429)] = 107973,
  [SMALL_STATE(2430)] = 108012,
  [SMALL_STATE(2431)] = 108051,
  [SMALL_STATE(2432)] = 108090,
  [SMALL_STATE(2433)] = 108129,
  [SMALL_STATE(2434)] = 108168,
  [SMALL_STATE(2435)] = 108207,
  [SMALL_STATE(2436)] = 108246,
  [SMALL_STATE(2437)] = 108285,
  [SMALL_STATE(2438)] = 108324,
  [SMALL_STATE(2439)] = 108363,
  [SMALL_STATE(2440)] = 108402,
  [SMALL_STATE(2441)] = 108441,
  [SMALL_STATE(2442)] = 108480,
  [SMALL_STATE(2443)] = 108519,
  [SMALL_STATE(2444)] = 108558,
  [SMALL_STATE(2445)] = 108597,
  [SMALL_STATE(2446)] = 108636,
  [SMALL_STATE(2447)] = 108675,
  [SMALL_STATE(2448)] = 108714,
  [SMALL_STATE(2449)] = 108753,
  [SMALL_STATE(2450)] = 108792,
  [SMALL_STATE(2451)] = 108831,
  [SMALL_STATE(2452)] = 108870,
  [SMALL_STATE(2453)] = 108909,
  [SMALL_STATE(2454)] = 108948,
  [SMALL_STATE(2455)] = 108987,
  [SMALL_STATE(2456)] = 109026,
  [SMALL_STATE(2457)] = 109065,
  [SMALL_STATE(2458)] = 109104,
  [SMALL_STATE(2459)] = 109143,
  [SMALL_STATE(2460)] = 109182,
  [SMALL_STATE(2461)] = 109221,
  [SMALL_STATE(2462)] = 109260,
  [SMALL_STATE(2463)] = 109299,
  [SMALL_STATE(2464)] = 109338,
  [SMALL_STATE(2465)] = 109371,
  [SMALL_STATE(2466)] = 109410,
  [SMALL_STATE(2467)] = 109449,
  [SMALL_STATE(2468)] = 109488,
  [SMALL_STATE(2469)] = 109527,
  [SMALL_STATE(2470)] = 109566,
  [SMALL_STATE(2471)] = 109605,
  [SMALL_STATE(2472)] = 109644,
  [SMALL_STATE(2473)] = 109671,
  [SMALL_STATE(2474)] = 109710,
  [SMALL_STATE(2475)] = 109749,
  [SMALL_STATE(2476)] = 109788,
  [SMALL_STATE(2477)] = 109827,
  [SMALL_STATE(2478)] = 109866,
  [SMALL_STATE(2479)] = 109905,
  [SMALL_STATE(2480)] = 109944,
  [SMALL_STATE(2481)] = 109971,
  [SMALL_STATE(2482)] = 110010,
  [SMALL_STATE(2483)] = 110049,
  [SMALL_STATE(2484)] = 110073,
  [SMALL_STATE(2485)] = 110097,
  [SMALL_STATE(2486)] = 110121,
  [SMALL_STATE(2487)] = 110145,
  [SMALL_STATE(2488)] = 110169,
  [SMALL_STATE(2489)] = 110193,
  [SMALL_STATE(2490)] = 110217,
  [SMALL_STATE(2491)] = 110241,
  [SMALL_STATE(2492)] = 110265,
  [SMALL_STATE(2493)] = 110289,
  [SMALL_STATE(2494)] = 110313,
  [SMALL_STATE(2495)] = 110337,
  [SMALL_STATE(2496)] = 110361,
  [SMALL_STATE(2497)] = 110385,
  [SMALL_STATE(2498)] = 110409,
  [SMALL_STATE(2499)] = 110435,
  [SMALL_STATE(2500)] = 110459,
  [SMALL_STATE(2501)] = 110483,
  [SMALL_STATE(2502)] = 110507,
  [SMALL_STATE(2503)] = 110531,
  [SMALL_STATE(2504)] = 110555,
  [SMALL_STATE(2505)] = 110579,
  [SMALL_STATE(2506)] = 110605,
  [SMALL_STATE(2507)] = 110629,
  [SMALL_STATE(2508)] = 110653,
  [SMALL_STATE(2509)] = 110677,
  [SMALL_STATE(2510)] = 110701,
  [SMALL_STATE(2511)] = 110725,
  [SMALL_STATE(2512)] = 110746,
  [SMALL_STATE(2513)] = 110772,
  [SMALL_STATE(2514)] = 110798,
  [SMALL_STATE(2515)] = 110828,
  [SMALL_STATE(2516)] = 110854,
  [SMALL_STATE(2517)] = 110884,
  [SMALL_STATE(2518)] = 110910,
  [SMALL_STATE(2519)] = 110931,
  [SMALL_STATE(2520)] = 110962,
  [SMALL_STATE(2521)] = 110993,
  [SMALL_STATE(2522)] = 111014,
  [SMALL_STATE(2523)] = 111045,
  [SMALL_STATE(2524)] = 111066,
  [SMALL_STATE(2525)] = 111087,
  [SMALL_STATE(2526)] = 111108,
  [SMALL_STATE(2527)] = 111139,
  [SMALL_STATE(2528)] = 111168,
  [SMALL_STATE(2529)] = 111189,
  [SMALL_STATE(2530)] = 111210,
  [SMALL_STATE(2531)] = 111231,
  [SMALL_STATE(2532)] = 111262,
  [SMALL_STATE(2533)] = 111293,
  [SMALL_STATE(2534)] = 111314,
  [SMALL_STATE(2535)] = 111335,
  [SMALL_STATE(2536)] = 111356,
  [SMALL_STATE(2537)] = 111377,
  [SMALL_STATE(2538)] = 111398,
  [SMALL_STATE(2539)] = 111429,
  [SMALL_STATE(2540)] = 111460,
  [SMALL_STATE(2541)] = 111491,
  [SMALL_STATE(2542)] = 111512,
  [SMALL_STATE(2543)] = 111543,
  [SMALL_STATE(2544)] = 111574,
  [SMALL_STATE(2545)] = 111595,
  [SMALL_STATE(2546)] = 111616,
  [SMALL_STATE(2547)] = 111637,
  [SMALL_STATE(2548)] = 111658,
  [SMALL_STATE(2549)] = 111689,
  [SMALL_STATE(2550)] = 111710,
  [SMALL_STATE(2551)] = 111731,
  [SMALL_STATE(2552)] = 111756,
  [SMALL_STATE(2553)] = 111787,
  [SMALL_STATE(2554)] = 111818,
  [SMALL_STATE(2555)] = 111849,
  [SMALL_STATE(2556)] = 111880,
  [SMALL_STATE(2557)] = 111911,
  [SMALL_STATE(2558)] = 111942,
  [SMALL_STATE(2559)] = 111973,
  [SMALL_STATE(2560)] = 112004,
  [SMALL_STATE(2561)] = 112029,
  [SMALL_STATE(2562)] = 112060,
  [SMALL_STATE(2563)] = 112091,
  [SMALL_STATE(2564)] = 112112,
  [SMALL_STATE(2565)] = 112143,
  [SMALL_STATE(2566)] = 112174,
  [SMALL_STATE(2567)] = 112195,
  [SMALL_STATE(2568)] = 112226,
  [SMALL_STATE(2569)] = 112257,
  [SMALL_STATE(2570)] = 112288,
  [SMALL_STATE(2571)] = 112319,
  [SMALL_STATE(2572)] = 112350,
  [SMALL_STATE(2573)] = 112381,
  [SMALL_STATE(2574)] = 112412,
  [SMALL_STATE(2575)] = 112433,
  [SMALL_STATE(2576)] = 112454,
  [SMALL_STATE(2577)] = 112475,
  [SMALL_STATE(2578)] = 112496,
  [SMALL_STATE(2579)] = 112522,
  [SMALL_STATE(2580)] = 112546,
  [SMALL_STATE(2581)] = 112570,
  [SMALL_STATE(2582)] = 112590,
  [SMALL_STATE(2583)] = 112610,
  [SMALL_STATE(2584)] = 112634,
  [SMALL_STATE(2585)] = 112654,
  [SMALL_STATE(2586)] = 112680,
  [SMALL_STATE(2587)] = 112704,
  [SMALL_STATE(2588)] = 112728,
  [SMALL_STATE(2589)] = 112748,
  [SMALL_STATE(2590)] = 112774,
  [SMALL_STATE(2591)] = 112798,
  [SMALL_STATE(2592)] = 112824,
  [SMALL_STATE(2593)] = 112848,
  [SMALL_STATE(2594)] = 112872,
  [SMALL_STATE(2595)] = 112896,
  [SMALL_STATE(2596)] = 112920,
  [SMALL_STATE(2597)] = 112946,
  [SMALL_STATE(2598)] = 112972,
  [SMALL_STATE(2599)] = 112996,
  [SMALL_STATE(2600)] = 113020,
  [SMALL_STATE(2601)] = 113044,
  [SMALL_STATE(2602)] = 113068,
  [SMALL_STATE(2603)] = 113094,
  [SMALL_STATE(2604)] = 113118,
  [SMALL_STATE(2605)] = 113142,
  [SMALL_STATE(2606)] = 113166,
  [SMALL_STATE(2607)] = 113192,
  [SMALL_STATE(2608)] = 113218,
  [SMALL_STATE(2609)] = 113244,
  [SMALL_STATE(2610)] = 113264,
  [SMALL_STATE(2611)] = 113288,
  [SMALL_STATE(2612)] = 113312,
  [SMALL_STATE(2613)] = 113336,
  [SMALL_STATE(2614)] = 113360,
  [SMALL_STATE(2615)] = 113386,
  [SMALL_STATE(2616)] = 113410,
  [SMALL_STATE(2617)] = 113434,
  [SMALL_STATE(2618)] = 113458,
  [SMALL_STATE(2619)] = 113478,
  [SMALL_STATE(2620)] = 113502,
  [SMALL_STATE(2621)] = 113526,
  [SMALL_STATE(2622)] = 113550,
  [SMALL_STATE(2623)] = 113574,
  [SMALL_STATE(2624)] = 113594,
  [SMALL_STATE(2625)] = 113618,
  [SMALL_STATE(2626)] = 113642,
  [SMALL_STATE(2627)] = 113666,
  [SMALL_STATE(2628)] = 113690,
  [SMALL_STATE(2629)] = 113714,
  [SMALL_STATE(2630)] = 113738,
  [SMALL_STATE(2631)] = 113764,
  [SMALL_STATE(2632)] = 113790,
  [SMALL_STATE(2633)] = 113814,
  [SMALL_STATE(2634)] = 113838,
  [SMALL_STATE(2635)] = 113858,
  [SMALL_STATE(2636)] = 113882,
  [SMALL_STATE(2637)] = 113908,
  [SMALL_STATE(2638)] = 113932,
  [SMALL_STATE(2639)] = 113956,
  [SMALL_STATE(2640)] = 113982,
  [SMALL_STATE(2641)] = 114006,
  [SMALL_STATE(2642)] = 114030,
  [SMALL_STATE(2643)] = 114056,
  [SMALL_STATE(2644)] = 114076,
  [SMALL_STATE(2645)] = 114102,
  [SMALL_STATE(2646)] = 114126,
  [SMALL_STATE(2647)] = 114146,
  [SMALL_STATE(2648)] = 114170,
  [SMALL_STATE(2649)] = 114194,
  [SMALL_STATE(2650)] = 114220,
  [SMALL_STATE(2651)] = 114246,
  [SMALL_STATE(2652)] = 114270,
  [SMALL_STATE(2653)] = 114294,
  [SMALL_STATE(2654)] = 114320,
  [SMALL_STATE(2655)] = 114344,
  [SMALL_STATE(2656)] = 114368,
  [SMALL_STATE(2657)] = 114394,
  [SMALL_STATE(2658)] = 114418,
  [SMALL_STATE(2659)] = 114444,
  [SMALL_STATE(2660)] = 114468,
  [SMALL_STATE(2661)] = 114494,
  [SMALL_STATE(2662)] = 114520,
  [SMALL_STATE(2663)] = 114544,
  [SMALL_STATE(2664)] = 114568,
  [SMALL_STATE(2665)] = 114592,
  [SMALL_STATE(2666)] = 114618,
  [SMALL_STATE(2667)] = 114642,
  [SMALL_STATE(2668)] = 114666,
  [SMALL_STATE(2669)] = 114686,
  [SMALL_STATE(2670)] = 114710,
  [SMALL_STATE(2671)] = 114736,
  [SMALL_STATE(2672)] = 114762,
  [SMALL_STATE(2673)] = 114788,
  [SMALL_STATE(2674)] = 114814,
  [SMALL_STATE(2675)] = 114838,
  [SMALL_STATE(2676)] = 114862,
  [SMALL_STATE(2677)] = 114889,
  [SMALL_STATE(2678)] = 114916,
  [SMALL_STATE(2679)] = 114943,
  [SMALL_STATE(2680)] = 114970,
  [SMALL_STATE(2681)] = 114997,
  [SMALL_STATE(2682)] = 115024,
  [SMALL_STATE(2683)] = 115043,
  [SMALL_STATE(2684)] = 115070,
  [SMALL_STATE(2685)] = 115089,
  [SMALL_STATE(2686)] = 115116,
  [SMALL_STATE(2687)] = 115143,
  [SMALL_STATE(2688)] = 115162,
  [SMALL_STATE(2689)] = 115187,
  [SMALL_STATE(2690)] = 115214,
  [SMALL_STATE(2691)] = 115235,
  [SMALL_STATE(2692)] = 115262,
  [SMALL_STATE(2693)] = 115289,
  [SMALL_STATE(2694)] = 115308,
  [SMALL_STATE(2695)] = 115335,
  [SMALL_STATE(2696)] = 115354,
  [SMALL_STATE(2697)] = 115381,
  [SMALL_STATE(2698)] = 115406,
  [SMALL_STATE(2699)] = 115433,
  [SMALL_STATE(2700)] = 115460,
  [SMALL_STATE(2701)] = 115479,
  [SMALL_STATE(2702)] = 115506,
  [SMALL_STATE(2703)] = 115533,
  [SMALL_STATE(2704)] = 115560,
  [SMALL_STATE(2705)] = 115587,
  [SMALL_STATE(2706)] = 115606,
  [SMALL_STATE(2707)] = 115633,
  [SMALL_STATE(2708)] = 115652,
  [SMALL_STATE(2709)] = 115679,
  [SMALL_STATE(2710)] = 115698,
  [SMALL_STATE(2711)] = 115717,
  [SMALL_STATE(2712)] = 115736,
  [SMALL_STATE(2713)] = 115755,
  [SMALL_STATE(2714)] = 115780,
  [SMALL_STATE(2715)] = 115799,
  [SMALL_STATE(2716)] = 115818,
  [SMALL_STATE(2717)] = 115837,
  [SMALL_STATE(2718)] = 115856,
  [SMALL_STATE(2719)] = 115875,
  [SMALL_STATE(2720)] = 115894,
  [SMALL_STATE(2721)] = 115921,
  [SMALL_STATE(2722)] = 115940,
  [SMALL_STATE(2723)] = 115959,
  [SMALL_STATE(2724)] = 115978,
  [SMALL_STATE(2725)] = 115997,
  [SMALL_STATE(2726)] = 116024,
  [SMALL_STATE(2727)] = 116049,
  [SMALL_STATE(2728)] = 116068,
  [SMALL_STATE(2729)] = 116095,
  [SMALL_STATE(2730)] = 116122,
  [SMALL_STATE(2731)] = 116149,
  [SMALL_STATE(2732)] = 116168,
  [SMALL_STATE(2733)] = 116187,
  [SMALL_STATE(2734)] = 116214,
  [SMALL_STATE(2735)] = 116241,
  [SMALL_STATE(2736)] = 116268,
  [SMALL_STATE(2737)] = 116295,
  [SMALL_STATE(2738)] = 116314,
  [SMALL_STATE(2739)] = 116344,
  [SMALL_STATE(2740)] = 116372,
  [SMALL_STATE(2741)] = 116402,
  [SMALL_STATE(2742)] = 116432,
  [SMALL_STATE(2743)] = 116460,
  [SMALL_STATE(2744)] = 116490,
  [SMALL_STATE(2745)] = 116520,
  [SMALL_STATE(2746)] = 116550,
  [SMALL_STATE(2747)] = 116580,
  [SMALL_STATE(2748)] = 116610,
  [SMALL_STATE(2749)] = 116640,
  [SMALL_STATE(2750)] = 116670,
  [SMALL_STATE(2751)] = 116700,
  [SMALL_STATE(2752)] = 116730,
  [SMALL_STATE(2753)] = 116760,
  [SMALL_STATE(2754)] = 116790,
  [SMALL_STATE(2755)] = 116820,
  [SMALL_STATE(2756)] = 116850,
  [SMALL_STATE(2757)] = 116880,
  [SMALL_STATE(2758)] = 116910,
  [SMALL_STATE(2759)] = 116940,
  [SMALL_STATE(2760)] = 116968,
  [SMALL_STATE(2761)] = 116998,
  [SMALL_STATE(2762)] = 117028,
  [SMALL_STATE(2763)] = 117058,
  [SMALL_STATE(2764)] = 117088,
  [SMALL_STATE(2765)] = 117118,
  [SMALL_STATE(2766)] = 117148,
  [SMALL_STATE(2767)] = 117178,
  [SMALL_STATE(2768)] = 117208,
  [SMALL_STATE(2769)] = 117238,
  [SMALL_STATE(2770)] = 117268,
  [SMALL_STATE(2771)] = 117298,
  [SMALL_STATE(2772)] = 117328,
  [SMALL_STATE(2773)] = 117358,
  [SMALL_STATE(2774)] = 117388,
  [SMALL_STATE(2775)] = 117418,
  [SMALL_STATE(2776)] = 117448,
  [SMALL_STATE(2777)] = 117478,
  [SMALL_STATE(2778)] = 117508,
  [SMALL_STATE(2779)] = 117538,
  [SMALL_STATE(2780)] = 117566,
  [SMALL_STATE(2781)] = 117594,
  [SMALL_STATE(2782)] = 117624,
  [SMALL_STATE(2783)] = 117654,
  [SMALL_STATE(2784)] = 117684,
  [SMALL_STATE(2785)] = 117714,
  [SMALL_STATE(2786)] = 117744,
  [SMALL_STATE(2787)] = 117774,
  [SMALL_STATE(2788)] = 117804,
  [SMALL_STATE(2789)] = 117834,
  [SMALL_STATE(2790)] = 117864,
  [SMALL_STATE(2791)] = 117894,
  [SMALL_STATE(2792)] = 117924,
  [SMALL_STATE(2793)] = 117954,
  [SMALL_STATE(2794)] = 117984,
  [SMALL_STATE(2795)] = 118014,
  [SMALL_STATE(2796)] = 118044,
  [SMALL_STATE(2797)] = 118072,
  [SMALL_STATE(2798)] = 118102,
  [SMALL_STATE(2799)] = 118132,
  [SMALL_STATE(2800)] = 118162,
  [SMALL_STATE(2801)] = 118192,
  [SMALL_STATE(2802)] = 118212,
  [SMALL_STATE(2803)] = 118242,
  [SMALL_STATE(2804)] = 118270,
  [SMALL_STATE(2805)] = 118300,
  [SMALL_STATE(2806)] = 118324,
  [SMALL_STATE(2807)] = 118348,
  [SMALL_STATE(2808)] = 118368,
  [SMALL_STATE(2809)] = 118392,
  [SMALL_STATE(2810)] = 118416,
  [SMALL_STATE(2811)] = 118432,
  [SMALL_STATE(2812)] = 118456,
  [SMALL_STATE(2813)] = 118480,
  [SMALL_STATE(2814)] = 118504,
  [SMALL_STATE(2815)] = 118528,
  [SMALL_STATE(2816)] = 118552,
  [SMALL_STATE(2817)] = 118567,
  [SMALL_STATE(2818)] = 118582,
  [SMALL_STATE(2819)] = 118599,
  [SMALL_STATE(2820)] = 118618,
  [SMALL_STATE(2821)] = 118633,
  [SMALL_STATE(2822)] = 118648,
  [SMALL_STATE(2823)] = 118663,
  [SMALL_STATE(2824)] = 118680,
  [SMALL_STATE(2825)] = 118695,
  [SMALL_STATE(2826)] = 118716,
  [SMALL_STATE(2827)] = 118735,
  [SMALL_STATE(2828)] = 118756,
  [SMALL_STATE(2829)] = 118771,
  [SMALL_STATE(2830)] = 118786,
  [SMALL_STATE(2831)] = 118807,
  [SMALL_STATE(2832)] = 118822,
  [SMALL_STATE(2833)] = 118843,
  [SMALL_STATE(2834)] = 118858,
  [SMALL_STATE(2835)] = 118873,
  [SMALL_STATE(2836)] = 118888,
  [SMALL_STATE(2837)] = 118903,
  [SMALL_STATE(2838)] = 118918,
  [SMALL_STATE(2839)] = 118937,
  [SMALL_STATE(2840)] = 118952,
  [SMALL_STATE(2841)] = 118967,
  [SMALL_STATE(2842)] = 118982,
  [SMALL_STATE(2843)] = 118997,
  [SMALL_STATE(2844)] = 119012,
  [SMALL_STATE(2845)] = 119027,
  [SMALL_STATE(2846)] = 119042,
  [SMALL_STATE(2847)] = 119057,
  [SMALL_STATE(2848)] = 119072,
  [SMALL_STATE(2849)] = 119093,
  [SMALL_STATE(2850)] = 119108,
  [SMALL_STATE(2851)] = 119123,
  [SMALL_STATE(2852)] = 119144,
  [SMALL_STATE(2853)] = 119164,
  [SMALL_STATE(2854)] = 119178,
  [SMALL_STATE(2855)] = 119190,
  [SMALL_STATE(2856)] = 119204,
  [SMALL_STATE(2857)] = 119218,
  [SMALL_STATE(2858)] = 119232,
  [SMALL_STATE(2859)] = 119246,
  [SMALL_STATE(2860)] = 119260,
  [SMALL_STATE(2861)] = 119274,
  [SMALL_STATE(2862)] = 119294,
  [SMALL_STATE(2863)] = 119308,
  [SMALL_STATE(2864)] = 119324,
  [SMALL_STATE(2865)] = 119338,
  [SMALL_STATE(2866)] = 119352,
  [SMALL_STATE(2867)] = 119366,
  [SMALL_STATE(2868)] = 119380,
  [SMALL_STATE(2869)] = 119394,
  [SMALL_STATE(2870)] = 119408,
  [SMALL_STATE(2871)] = 119428,
  [SMALL_STATE(2872)] = 119442,
  [SMALL_STATE(2873)] = 119462,
  [SMALL_STATE(2874)] = 119476,
  [SMALL_STATE(2875)] = 119490,
  [SMALL_STATE(2876)] = 119504,
  [SMALL_STATE(2877)] = 119518,
  [SMALL_STATE(2878)] = 119532,
  [SMALL_STATE(2879)] = 119546,
  [SMALL_STATE(2880)] = 119560,
  [SMALL_STATE(2881)] = 119574,
  [SMALL_STATE(2882)] = 119588,
  [SMALL_STATE(2883)] = 119602,
  [SMALL_STATE(2884)] = 119616,
  [SMALL_STATE(2885)] = 119630,
  [SMALL_STATE(2886)] = 119644,
  [SMALL_STATE(2887)] = 119664,
  [SMALL_STATE(2888)] = 119678,
  [SMALL_STATE(2889)] = 119692,
  [SMALL_STATE(2890)] = 119708,
  [SMALL_STATE(2891)] = 119722,
  [SMALL_STATE(2892)] = 119736,
  [SMALL_STATE(2893)] = 119750,
  [SMALL_STATE(2894)] = 119764,
  [SMALL_STATE(2895)] = 119778,
  [SMALL_STATE(2896)] = 119792,
  [SMALL_STATE(2897)] = 119806,
  [SMALL_STATE(2898)] = 119820,
  [SMALL_STATE(2899)] = 119834,
  [SMALL_STATE(2900)] = 119848,
  [SMALL_STATE(2901)] = 119862,
  [SMALL_STATE(2902)] = 119876,
  [SMALL_STATE(2903)] = 119890,
  [SMALL_STATE(2904)] = 119904,
  [SMALL_STATE(2905)] = 119918,
  [SMALL_STATE(2906)] = 119938,
  [SMALL_STATE(2907)] = 119952,
  [SMALL_STATE(2908)] = 119966,
  [SMALL_STATE(2909)] = 119978,
  [SMALL_STATE(2910)] = 119992,
  [SMALL_STATE(2911)] = 120006,
  [SMALL_STATE(2912)] = 120020,
  [SMALL_STATE(2913)] = 120037,
  [SMALL_STATE(2914)] = 120054,
  [SMALL_STATE(2915)] = 120069,
  [SMALL_STATE(2916)] = 120086,
  [SMALL_STATE(2917)] = 120105,
  [SMALL_STATE(2918)] = 120120,
  [SMALL_STATE(2919)] = 120135,
  [SMALL_STATE(2920)] = 120152,
  [SMALL_STATE(2921)] = 120169,
  [SMALL_STATE(2922)] = 120182,
  [SMALL_STATE(2923)] = 120199,
  [SMALL_STATE(2924)] = 120216,
  [SMALL_STATE(2925)] = 120235,
  [SMALL_STATE(2926)] = 120250,
  [SMALL_STATE(2927)] = 120265,
  [SMALL_STATE(2928)] = 120282,
  [SMALL_STATE(2929)] = 120299,
  [SMALL_STATE(2930)] = 120316,
  [SMALL_STATE(2931)] = 120333,
  [SMALL_STATE(2932)] = 120348,
  [SMALL_STATE(2933)] = 120365,
  [SMALL_STATE(2934)] = 120382,
  [SMALL_STATE(2935)] = 120399,
  [SMALL_STATE(2936)] = 120416,
  [SMALL_STATE(2937)] = 120433,
  [SMALL_STATE(2938)] = 120450,
  [SMALL_STATE(2939)] = 120465,
  [SMALL_STATE(2940)] = 120480,
  [SMALL_STATE(2941)] = 120497,
  [SMALL_STATE(2942)] = 120512,
  [SMALL_STATE(2943)] = 120531,
  [SMALL_STATE(2944)] = 120550,
  [SMALL_STATE(2945)] = 120567,
  [SMALL_STATE(2946)] = 120580,
  [SMALL_STATE(2947)] = 120597,
  [SMALL_STATE(2948)] = 120610,
  [SMALL_STATE(2949)] = 120627,
  [SMALL_STATE(2950)] = 120642,
  [SMALL_STATE(2951)] = 120657,
  [SMALL_STATE(2952)] = 120674,
  [SMALL_STATE(2953)] = 120689,
  [SMALL_STATE(2954)] = 120706,
  [SMALL_STATE(2955)] = 120723,
  [SMALL_STATE(2956)] = 120738,
  [SMALL_STATE(2957)] = 120753,
  [SMALL_STATE(2958)] = 120765,
  [SMALL_STATE(2959)] = 120777,
  [SMALL_STATE(2960)] = 120789,
  [SMALL_STATE(2961)] = 120801,
  [SMALL_STATE(2962)] = 120815,
  [SMALL_STATE(2963)] = 120829,
  [SMALL_STATE(2964)] = 120843,
  [SMALL_STATE(2965)] = 120857,
  [SMALL_STATE(2966)] = 120873,
  [SMALL_STATE(2967)] = 120889,
  [SMALL_STATE(2968)] = 120903,
  [SMALL_STATE(2969)] = 120919,
  [SMALL_STATE(2970)] = 120933,
  [SMALL_STATE(2971)] = 120947,
  [SMALL_STATE(2972)] = 120961,
  [SMALL_STATE(2973)] = 120973,
  [SMALL_STATE(2974)] = 120987,
  [SMALL_STATE(2975)] = 120999,
  [SMALL_STATE(2976)] = 121013,
  [SMALL_STATE(2977)] = 121027,
  [SMALL_STATE(2978)] = 121041,
  [SMALL_STATE(2979)] = 121055,
  [SMALL_STATE(2980)] = 121069,
  [SMALL_STATE(2981)] = 121083,
  [SMALL_STATE(2982)] = 121095,
  [SMALL_STATE(2983)] = 121107,
  [SMALL_STATE(2984)] = 121119,
  [SMALL_STATE(2985)] = 121131,
  [SMALL_STATE(2986)] = 121145,
  [SMALL_STATE(2987)] = 121161,
  [SMALL_STATE(2988)] = 121173,
  [SMALL_STATE(2989)] = 121189,
  [SMALL_STATE(2990)] = 121203,
  [SMALL_STATE(2991)] = 121217,
  [SMALL_STATE(2992)] = 121231,
  [SMALL_STATE(2993)] = 121247,
  [SMALL_STATE(2994)] = 121259,
  [SMALL_STATE(2995)] = 121273,
  [SMALL_STATE(2996)] = 121285,
  [SMALL_STATE(2997)] = 121299,
  [SMALL_STATE(2998)] = 121313,
  [SMALL_STATE(2999)] = 121325,
  [SMALL_STATE(3000)] = 121337,
  [SMALL_STATE(3001)] = 121351,
  [SMALL_STATE(3002)] = 121365,
  [SMALL_STATE(3003)] = 121379,
  [SMALL_STATE(3004)] = 121391,
  [SMALL_STATE(3005)] = 121405,
  [SMALL_STATE(3006)] = 121419,
  [SMALL_STATE(3007)] = 121431,
  [SMALL_STATE(3008)] = 121445,
  [SMALL_STATE(3009)] = 121459,
  [SMALL_STATE(3010)] = 121473,
  [SMALL_STATE(3011)] = 121487,
  [SMALL_STATE(3012)] = 121500,
  [SMALL_STATE(3013)] = 121513,
  [SMALL_STATE(3014)] = 121526,
  [SMALL_STATE(3015)] = 121539,
  [SMALL_STATE(3016)] = 121552,
  [SMALL_STATE(3017)] = 121565,
  [SMALL_STATE(3018)] = 121578,
  [SMALL_STATE(3019)] = 121591,
  [SMALL_STATE(3020)] = 121604,
  [SMALL_STATE(3021)] = 121617,
  [SMALL_STATE(3022)] = 121630,
  [SMALL_STATE(3023)] = 121643,
  [SMALL_STATE(3024)] = 121656,
  [SMALL_STATE(3025)] = 121669,
  [SMALL_STATE(3026)] = 121682,
  [SMALL_STATE(3027)] = 121695,
  [SMALL_STATE(3028)] = 121708,
  [SMALL_STATE(3029)] = 121721,
  [SMALL_STATE(3030)] = 121734,
  [SMALL_STATE(3031)] = 121747,
  [SMALL_STATE(3032)] = 121758,
  [SMALL_STATE(3033)] = 121771,
  [SMALL_STATE(3034)] = 121784,
  [SMALL_STATE(3035)] = 121797,
  [SMALL_STATE(3036)] = 121810,
  [SMALL_STATE(3037)] = 121823,
  [SMALL_STATE(3038)] = 121836,
  [SMALL_STATE(3039)] = 121849,
  [SMALL_STATE(3040)] = 121862,
  [SMALL_STATE(3041)] = 121875,
  [SMALL_STATE(3042)] = 121888,
  [SMALL_STATE(3043)] = 121899,
  [SMALL_STATE(3044)] = 121910,
  [SMALL_STATE(3045)] = 121923,
  [SMALL_STATE(3046)] = 121936,
  [SMALL_STATE(3047)] = 121949,
  [SMALL_STATE(3048)] = 121962,
  [SMALL_STATE(3049)] = 121975,
  [SMALL_STATE(3050)] = 121988,
  [SMALL_STATE(3051)] = 122001,
  [SMALL_STATE(3052)] = 122014,
  [SMALL_STATE(3053)] = 122027,
  [SMALL_STATE(3054)] = 122038,
  [SMALL_STATE(3055)] = 122051,
  [SMALL_STATE(3056)] = 122064,
  [SMALL_STATE(3057)] = 122077,
  [SMALL_STATE(3058)] = 122090,
  [SMALL_STATE(3059)] = 122103,
  [SMALL_STATE(3060)] = 122116,
  [SMALL_STATE(3061)] = 122129,
  [SMALL_STATE(3062)] = 122142,
  [SMALL_STATE(3063)] = 122155,
  [SMALL_STATE(3064)] = 122168,
  [SMALL_STATE(3065)] = 122181,
  [SMALL_STATE(3066)] = 122194,
  [SMALL_STATE(3067)] = 122207,
  [SMALL_STATE(3068)] = 122220,
  [SMALL_STATE(3069)] = 122233,
  [SMALL_STATE(3070)] = 122246,
  [SMALL_STATE(3071)] = 122259,
  [SMALL_STATE(3072)] = 122272,
  [SMALL_STATE(3073)] = 122285,
  [SMALL_STATE(3074)] = 122298,
  [SMALL_STATE(3075)] = 122311,
  [SMALL_STATE(3076)] = 122324,
  [SMALL_STATE(3077)] = 122337,
  [SMALL_STATE(3078)] = 122350,
  [SMALL_STATE(3079)] = 122361,
  [SMALL_STATE(3080)] = 122374,
  [SMALL_STATE(3081)] = 122387,
  [SMALL_STATE(3082)] = 122400,
  [SMALL_STATE(3083)] = 122413,
  [SMALL_STATE(3084)] = 122426,
  [SMALL_STATE(3085)] = 122439,
  [SMALL_STATE(3086)] = 122452,
  [SMALL_STATE(3087)] = 122465,
  [SMALL_STATE(3088)] = 122478,
  [SMALL_STATE(3089)] = 122491,
  [SMALL_STATE(3090)] = 122504,
  [SMALL_STATE(3091)] = 122517,
  [SMALL_STATE(3092)] = 122530,
  [SMALL_STATE(3093)] = 122543,
  [SMALL_STATE(3094)] = 122556,
  [SMALL_STATE(3095)] = 122569,
  [SMALL_STATE(3096)] = 122582,
  [SMALL_STATE(3097)] = 122595,
  [SMALL_STATE(3098)] = 122606,
  [SMALL_STATE(3099)] = 122617,
  [SMALL_STATE(3100)] = 122630,
  [SMALL_STATE(3101)] = 122643,
  [SMALL_STATE(3102)] = 122656,
  [SMALL_STATE(3103)] = 122669,
  [SMALL_STATE(3104)] = 122682,
  [SMALL_STATE(3105)] = 122695,
  [SMALL_STATE(3106)] = 122708,
  [SMALL_STATE(3107)] = 122721,
  [SMALL_STATE(3108)] = 122734,
  [SMALL_STATE(3109)] = 122747,
  [SMALL_STATE(3110)] = 122760,
  [SMALL_STATE(3111)] = 122773,
  [SMALL_STATE(3112)] = 122786,
  [SMALL_STATE(3113)] = 122797,
  [SMALL_STATE(3114)] = 122810,
  [SMALL_STATE(3115)] = 122821,
  [SMALL_STATE(3116)] = 122834,
  [SMALL_STATE(3117)] = 122847,
  [SMALL_STATE(3118)] = 122860,
  [SMALL_STATE(3119)] = 122873,
  [SMALL_STATE(3120)] = 122886,
  [SMALL_STATE(3121)] = 122899,
  [SMALL_STATE(3122)] = 122912,
  [SMALL_STATE(3123)] = 122925,
  [SMALL_STATE(3124)] = 122938,
  [SMALL_STATE(3125)] = 122951,
  [SMALL_STATE(3126)] = 122964,
  [SMALL_STATE(3127)] = 122975,
  [SMALL_STATE(3128)] = 122988,
  [SMALL_STATE(3129)] = 123001,
  [SMALL_STATE(3130)] = 123014,
  [SMALL_STATE(3131)] = 123027,
  [SMALL_STATE(3132)] = 123040,
  [SMALL_STATE(3133)] = 123053,
  [SMALL_STATE(3134)] = 123066,
  [SMALL_STATE(3135)] = 123079,
  [SMALL_STATE(3136)] = 123092,
  [SMALL_STATE(3137)] = 123105,
  [SMALL_STATE(3138)] = 123118,
  [SMALL_STATE(3139)] = 123131,
  [SMALL_STATE(3140)] = 123142,
  [SMALL_STATE(3141)] = 123155,
  [SMALL_STATE(3142)] = 123168,
  [SMALL_STATE(3143)] = 123181,
  [SMALL_STATE(3144)] = 123194,
  [SMALL_STATE(3145)] = 123207,
  [SMALL_STATE(3146)] = 123220,
  [SMALL_STATE(3147)] = 123233,
  [SMALL_STATE(3148)] = 123246,
  [SMALL_STATE(3149)] = 123259,
  [SMALL_STATE(3150)] = 123272,
  [SMALL_STATE(3151)] = 123283,
  [SMALL_STATE(3152)] = 123296,
  [SMALL_STATE(3153)] = 123307,
  [SMALL_STATE(3154)] = 123320,
  [SMALL_STATE(3155)] = 123333,
  [SMALL_STATE(3156)] = 123346,
  [SMALL_STATE(3157)] = 123359,
  [SMALL_STATE(3158)] = 123372,
  [SMALL_STATE(3159)] = 123385,
  [SMALL_STATE(3160)] = 123396,
  [SMALL_STATE(3161)] = 123409,
  [SMALL_STATE(3162)] = 123422,
  [SMALL_STATE(3163)] = 123433,
  [SMALL_STATE(3164)] = 123446,
  [SMALL_STATE(3165)] = 123459,
  [SMALL_STATE(3166)] = 123472,
  [SMALL_STATE(3167)] = 123483,
  [SMALL_STATE(3168)] = 123496,
  [SMALL_STATE(3169)] = 123509,
  [SMALL_STATE(3170)] = 123519,
  [SMALL_STATE(3171)] = 123529,
  [SMALL_STATE(3172)] = 123537,
  [SMALL_STATE(3173)] = 123547,
  [SMALL_STATE(3174)] = 123555,
  [SMALL_STATE(3175)] = 123565,
  [SMALL_STATE(3176)] = 123575,
  [SMALL_STATE(3177)] = 123585,
  [SMALL_STATE(3178)] = 123595,
  [SMALL_STATE(3179)] = 123605,
  [SMALL_STATE(3180)] = 123615,
  [SMALL_STATE(3181)] = 123625,
  [SMALL_STATE(3182)] = 123635,
  [SMALL_STATE(3183)] = 123645,
  [SMALL_STATE(3184)] = 123655,
  [SMALL_STATE(3185)] = 123665,
  [SMALL_STATE(3186)] = 123673,
  [SMALL_STATE(3187)] = 123683,
  [SMALL_STATE(3188)] = 123691,
  [SMALL_STATE(3189)] = 123701,
  [SMALL_STATE(3190)] = 123711,
  [SMALL_STATE(3191)] = 123721,
  [SMALL_STATE(3192)] = 123731,
  [SMALL_STATE(3193)] = 123741,
  [SMALL_STATE(3194)] = 123751,
  [SMALL_STATE(3195)] = 123761,
  [SMALL_STATE(3196)] = 123771,
  [SMALL_STATE(3197)] = 123781,
  [SMALL_STATE(3198)] = 123791,
  [SMALL_STATE(3199)] = 123801,
  [SMALL_STATE(3200)] = 123811,
  [SMALL_STATE(3201)] = 123821,
  [SMALL_STATE(3202)] = 123831,
  [SMALL_STATE(3203)] = 123841,
  [SMALL_STATE(3204)] = 123851,
  [SMALL_STATE(3205)] = 123861,
  [SMALL_STATE(3206)] = 123871,
  [SMALL_STATE(3207)] = 123881,
  [SMALL_STATE(3208)] = 123891,
  [SMALL_STATE(3209)] = 123901,
  [SMALL_STATE(3210)] = 123911,
  [SMALL_STATE(3211)] = 123921,
  [SMALL_STATE(3212)] = 123931,
  [SMALL_STATE(3213)] = 123941,
  [SMALL_STATE(3214)] = 123951,
  [SMALL_STATE(3215)] = 123961,
  [SMALL_STATE(3216)] = 123971,
  [SMALL_STATE(3217)] = 123981,
  [SMALL_STATE(3218)] = 123991,
  [SMALL_STATE(3219)] = 124001,
  [SMALL_STATE(3220)] = 124011,
  [SMALL_STATE(3221)] = 124021,
  [SMALL_STATE(3222)] = 124031,
  [SMALL_STATE(3223)] = 124041,
  [SMALL_STATE(3224)] = 124051,
  [SMALL_STATE(3225)] = 124059,
  [SMALL_STATE(3226)] = 124067,
  [SMALL_STATE(3227)] = 124077,
  [SMALL_STATE(3228)] = 124085,
  [SMALL_STATE(3229)] = 124095,
  [SMALL_STATE(3230)] = 124105,
  [SMALL_STATE(3231)] = 124115,
  [SMALL_STATE(3232)] = 124125,
  [SMALL_STATE(3233)] = 124135,
  [SMALL_STATE(3234)] = 124145,
  [SMALL_STATE(3235)] = 124153,
  [SMALL_STATE(3236)] = 124163,
  [SMALL_STATE(3237)] = 124173,
  [SMALL_STATE(3238)] = 124181,
  [SMALL_STATE(3239)] = 124191,
  [SMALL_STATE(3240)] = 124201,
  [SMALL_STATE(3241)] = 124211,
  [SMALL_STATE(3242)] = 124219,
  [SMALL_STATE(3243)] = 124229,
  [SMALL_STATE(3244)] = 124239,
  [SMALL_STATE(3245)] = 124247,
  [SMALL_STATE(3246)] = 124255,
  [SMALL_STATE(3247)] = 124265,
  [SMALL_STATE(3248)] = 124273,
  [SMALL_STATE(3249)] = 124283,
  [SMALL_STATE(3250)] = 124291,
  [SMALL_STATE(3251)] = 124299,
  [SMALL_STATE(3252)] = 124307,
  [SMALL_STATE(3253)] = 124317,
  [SMALL_STATE(3254)] = 124327,
  [SMALL_STATE(3255)] = 124337,
  [SMALL_STATE(3256)] = 124347,
  [SMALL_STATE(3257)] = 124355,
  [SMALL_STATE(3258)] = 124363,
  [SMALL_STATE(3259)] = 124371,
  [SMALL_STATE(3260)] = 124379,
  [SMALL_STATE(3261)] = 124387,
  [SMALL_STATE(3262)] = 124395,
  [SMALL_STATE(3263)] = 124403,
  [SMALL_STATE(3264)] = 124411,
  [SMALL_STATE(3265)] = 124419,
  [SMALL_STATE(3266)] = 124429,
  [SMALL_STATE(3267)] = 124437,
  [SMALL_STATE(3268)] = 124447,
  [SMALL_STATE(3269)] = 124455,
  [SMALL_STATE(3270)] = 124463,
  [SMALL_STATE(3271)] = 124471,
  [SMALL_STATE(3272)] = 124479,
  [SMALL_STATE(3273)] = 124487,
  [SMALL_STATE(3274)] = 124495,
  [SMALL_STATE(3275)] = 124503,
  [SMALL_STATE(3276)] = 124511,
  [SMALL_STATE(3277)] = 124519,
  [SMALL_STATE(3278)] = 124529,
  [SMALL_STATE(3279)] = 124537,
  [SMALL_STATE(3280)] = 124547,
  [SMALL_STATE(3281)] = 124555,
  [SMALL_STATE(3282)] = 124563,
  [SMALL_STATE(3283)] = 124571,
  [SMALL_STATE(3284)] = 124579,
  [SMALL_STATE(3285)] = 124587,
  [SMALL_STATE(3286)] = 124597,
  [SMALL_STATE(3287)] = 124607,
  [SMALL_STATE(3288)] = 124614,
  [SMALL_STATE(3289)] = 124621,
  [SMALL_STATE(3290)] = 124628,
  [SMALL_STATE(3291)] = 124635,
  [SMALL_STATE(3292)] = 124642,
  [SMALL_STATE(3293)] = 124649,
  [SMALL_STATE(3294)] = 124656,
  [SMALL_STATE(3295)] = 124663,
  [SMALL_STATE(3296)] = 124670,
  [SMALL_STATE(3297)] = 124677,
  [SMALL_STATE(3298)] = 124684,
  [SMALL_STATE(3299)] = 124691,
  [SMALL_STATE(3300)] = 124698,
  [SMALL_STATE(3301)] = 124705,
  [SMALL_STATE(3302)] = 124712,
  [SMALL_STATE(3303)] = 124719,
  [SMALL_STATE(3304)] = 124726,
  [SMALL_STATE(3305)] = 124733,
  [SMALL_STATE(3306)] = 124740,
  [SMALL_STATE(3307)] = 124747,
  [SMALL_STATE(3308)] = 124754,
  [SMALL_STATE(3309)] = 124761,
  [SMALL_STATE(3310)] = 124768,
  [SMALL_STATE(3311)] = 124775,
  [SMALL_STATE(3312)] = 124782,
  [SMALL_STATE(3313)] = 124789,
  [SMALL_STATE(3314)] = 124796,
  [SMALL_STATE(3315)] = 124803,
  [SMALL_STATE(3316)] = 124810,
  [SMALL_STATE(3317)] = 124817,
  [SMALL_STATE(3318)] = 124824,
  [SMALL_STATE(3319)] = 124831,
  [SMALL_STATE(3320)] = 124838,
  [SMALL_STATE(3321)] = 124845,
  [SMALL_STATE(3322)] = 124852,
  [SMALL_STATE(3323)] = 124859,
  [SMALL_STATE(3324)] = 124866,
  [SMALL_STATE(3325)] = 124873,
  [SMALL_STATE(3326)] = 124880,
  [SMALL_STATE(3327)] = 124887,
  [SMALL_STATE(3328)] = 124894,
  [SMALL_STATE(3329)] = 124901,
  [SMALL_STATE(3330)] = 124908,
  [SMALL_STATE(3331)] = 124915,
  [SMALL_STATE(3332)] = 124922,
  [SMALL_STATE(3333)] = 124929,
  [SMALL_STATE(3334)] = 124936,
  [SMALL_STATE(3335)] = 124943,
  [SMALL_STATE(3336)] = 124950,
  [SMALL_STATE(3337)] = 124957,
  [SMALL_STATE(3338)] = 124964,
  [SMALL_STATE(3339)] = 124971,
  [SMALL_STATE(3340)] = 124978,
  [SMALL_STATE(3341)] = 124985,
  [SMALL_STATE(3342)] = 124992,
  [SMALL_STATE(3343)] = 124999,
  [SMALL_STATE(3344)] = 125006,
  [SMALL_STATE(3345)] = 125013,
  [SMALL_STATE(3346)] = 125020,
  [SMALL_STATE(3347)] = 125027,
  [SMALL_STATE(3348)] = 125034,
  [SMALL_STATE(3349)] = 125041,
  [SMALL_STATE(3350)] = 125048,
  [SMALL_STATE(3351)] = 125055,
  [SMALL_STATE(3352)] = 125062,
  [SMALL_STATE(3353)] = 125069,
  [SMALL_STATE(3354)] = 125076,
  [SMALL_STATE(3355)] = 125083,
  [SMALL_STATE(3356)] = 125090,
  [SMALL_STATE(3357)] = 125097,
  [SMALL_STATE(3358)] = 125104,
  [SMALL_STATE(3359)] = 125111,
  [SMALL_STATE(3360)] = 125118,
  [SMALL_STATE(3361)] = 125125,
  [SMALL_STATE(3362)] = 125132,
  [SMALL_STATE(3363)] = 125139,
  [SMALL_STATE(3364)] = 125146,
  [SMALL_STATE(3365)] = 125153,
  [SMALL_STATE(3366)] = 125160,
  [SMALL_STATE(3367)] = 125167,
  [SMALL_STATE(3368)] = 125174,
  [SMALL_STATE(3369)] = 125181,
  [SMALL_STATE(3370)] = 125188,
  [SMALL_STATE(3371)] = 125195,
  [SMALL_STATE(3372)] = 125202,
  [SMALL_STATE(3373)] = 125209,
  [SMALL_STATE(3374)] = 125216,
  [SMALL_STATE(3375)] = 125223,
  [SMALL_STATE(3376)] = 125230,
  [SMALL_STATE(3377)] = 125237,
  [SMALL_STATE(3378)] = 125244,
  [SMALL_STATE(3379)] = 125251,
  [SMALL_STATE(3380)] = 125258,
  [SMALL_STATE(3381)] = 125265,
  [SMALL_STATE(3382)] = 125272,
  [SMALL_STATE(3383)] = 125279,
  [SMALL_STATE(3384)] = 125286,
  [SMALL_STATE(3385)] = 125293,
  [SMALL_STATE(3386)] = 125300,
  [SMALL_STATE(3387)] = 125307,
  [SMALL_STATE(3388)] = 125314,
  [SMALL_STATE(3389)] = 125321,
  [SMALL_STATE(3390)] = 125328,
  [SMALL_STATE(3391)] = 125335,
  [SMALL_STATE(3392)] = 125342,
  [SMALL_STATE(3393)] = 125349,
  [SMALL_STATE(3394)] = 125356,
  [SMALL_STATE(3395)] = 125363,
  [SMALL_STATE(3396)] = 125370,
  [SMALL_STATE(3397)] = 125377,
  [SMALL_STATE(3398)] = 125384,
  [SMALL_STATE(3399)] = 125391,
  [SMALL_STATE(3400)] = 125398,
  [SMALL_STATE(3401)] = 125405,
  [SMALL_STATE(3402)] = 125412,
  [SMALL_STATE(3403)] = 125419,
  [SMALL_STATE(3404)] = 125426,
  [SMALL_STATE(3405)] = 125433,
  [SMALL_STATE(3406)] = 125440,
  [SMALL_STATE(3407)] = 125447,
  [SMALL_STATE(3408)] = 125454,
  [SMALL_STATE(3409)] = 125461,
  [SMALL_STATE(3410)] = 125468,
  [SMALL_STATE(3411)] = 125475,
  [SMALL_STATE(3412)] = 125482,
  [SMALL_STATE(3413)] = 125489,
  [SMALL_STATE(3414)] = 125496,
  [SMALL_STATE(3415)] = 125503,
  [SMALL_STATE(3416)] = 125510,
  [SMALL_STATE(3417)] = 125517,
  [SMALL_STATE(3418)] = 125524,
  [SMALL_STATE(3419)] = 125531,
  [SMALL_STATE(3420)] = 125538,
  [SMALL_STATE(3421)] = 125545,
  [SMALL_STATE(3422)] = 125552,
  [SMALL_STATE(3423)] = 125559,
  [SMALL_STATE(3424)] = 125566,
  [SMALL_STATE(3425)] = 125573,
  [SMALL_STATE(3426)] = 125580,
  [SMALL_STATE(3427)] = 125587,
  [SMALL_STATE(3428)] = 125594,
  [SMALL_STATE(3429)] = 125601,
  [SMALL_STATE(3430)] = 125608,
  [SMALL_STATE(3431)] = 125615,
  [SMALL_STATE(3432)] = 125622,
  [SMALL_STATE(3433)] = 125629,
  [SMALL_STATE(3434)] = 125636,
  [SMALL_STATE(3435)] = 125643,
  [SMALL_STATE(3436)] = 125650,
  [SMALL_STATE(3437)] = 125657,
  [SMALL_STATE(3438)] = 125664,
  [SMALL_STATE(3439)] = 125671,
  [SMALL_STATE(3440)] = 125678,
  [SMALL_STATE(3441)] = 125685,
  [SMALL_STATE(3442)] = 125692,
  [SMALL_STATE(3443)] = 125699,
  [SMALL_STATE(3444)] = 125706,
  [SMALL_STATE(3445)] = 125713,
  [SMALL_STATE(3446)] = 125720,
  [SMALL_STATE(3447)] = 125727,
  [SMALL_STATE(3448)] = 125734,
  [SMALL_STATE(3449)] = 125741,
  [SMALL_STATE(3450)] = 125748,
  [SMALL_STATE(3451)] = 125755,
  [SMALL_STATE(3452)] = 125762,
  [SMALL_STATE(3453)] = 125769,
  [SMALL_STATE(3454)] = 125776,
  [SMALL_STATE(3455)] = 125783,
  [SMALL_STATE(3456)] = 125790,
  [SMALL_STATE(3457)] = 125797,
  [SMALL_STATE(3458)] = 125804,
  [SMALL_STATE(3459)] = 125811,
  [SMALL_STATE(3460)] = 125818,
  [SMALL_STATE(3461)] = 125825,
  [SMALL_STATE(3462)] = 125832,
  [SMALL_STATE(3463)] = 125839,
  [SMALL_STATE(3464)] = 125846,
  [SMALL_STATE(3465)] = 125853,
  [SMALL_STATE(3466)] = 125860,
  [SMALL_STATE(3467)] = 125867,
  [SMALL_STATE(3468)] = 125874,
  [SMALL_STATE(3469)] = 125881,
  [SMALL_STATE(3470)] = 125888,
  [SMALL_STATE(3471)] = 125895,
  [SMALL_STATE(3472)] = 125902,
  [SMALL_STATE(3473)] = 125909,
  [SMALL_STATE(3474)] = 125916,
  [SMALL_STATE(3475)] = 125923,
  [SMALL_STATE(3476)] = 125930,
  [SMALL_STATE(3477)] = 125937,
  [SMALL_STATE(3478)] = 125944,
  [SMALL_STATE(3479)] = 125951,
  [SMALL_STATE(3480)] = 125958,
  [SMALL_STATE(3481)] = 125965,
  [SMALL_STATE(3482)] = 125972,
  [SMALL_STATE(3483)] = 125979,
  [SMALL_STATE(3484)] = 125986,
  [SMALL_STATE(3485)] = 125993,
  [SMALL_STATE(3486)] = 126000,
  [SMALL_STATE(3487)] = 126007,
  [SMALL_STATE(3488)] = 126014,
  [SMALL_STATE(3489)] = 126021,
  [SMALL_STATE(3490)] = 126028,
  [SMALL_STATE(3491)] = 126035,
  [SMALL_STATE(3492)] = 126042,
  [SMALL_STATE(3493)] = 126049,
  [SMALL_STATE(3494)] = 126056,
  [SMALL_STATE(3495)] = 126063,
  [SMALL_STATE(3496)] = 126070,
  [SMALL_STATE(3497)] = 126077,
  [SMALL_STATE(3498)] = 126084,
  [SMALL_STATE(3499)] = 126091,
  [SMALL_STATE(3500)] = 126098,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3172),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3493),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2410),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3473),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2748),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2561),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(26),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3176),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3462),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2110),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2413),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3363),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2558),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(35),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1789),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3174),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3483),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2414),
  [137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 2, .production_id = 38),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2700),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3303),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2642),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2777),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2542),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(55),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 2, .production_id = 39),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 47),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2588),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2718),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 51),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2705),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(38),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(43),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2723),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(357),
  [244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(3176),
  [247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(3462),
  [250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1605),
  [253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(137),
  [256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(140),
  [259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements2, 2),
  [261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2413),
  [264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(3363),
  [267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(105),
  [270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(68),
  [273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(262),
  [276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1617),
  [279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1619),
  [282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(179),
  [285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(240),
  [288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2382),
  [291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2591),
  [294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(539),
  [297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2741),
  [300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(449),
  [303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2558),
  [306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(31),
  [309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(34),
  [312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(35),
  [315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2810),
  [318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(3043),
  [321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 4),
  [323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 3),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2814),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2811),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2809),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 1),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(357),
  [368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3176),
  [371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3462),
  [374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1605),
  [377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(137),
  [380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(140),
  [383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2413),
  [386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3363),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(105),
  [392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(68),
  [395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(262),
  [398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1617),
  [401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1619),
  [404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(179),
  [407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(240),
  [410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2382),
  [413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2591),
  [416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(539),
  [419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2741),
  [422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(449),
  [425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2558),
  [428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(31),
  [431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(34),
  [434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(35),
  [437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2810),
  [440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3043),
  [443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2),
  [445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 3),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2),
  [453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 2),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(278),
  [458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2),
  [460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2671),
  [463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(283),
  [466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2786),
  [469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2520),
  [472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(52),
  [475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(50),
  [478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(56),
  [481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(160),
  [484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2),
  [486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3159),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_command, 1),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2671),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2520),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_command, 1),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_command, 2),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_command, 2),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements2, 2),
  [525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation, 4),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation, 4),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2656),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2798),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(302),
  [556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2656),
  [559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(316),
  [562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2798),
  [565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2570),
  [568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(29),
  [571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(28),
  [574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(39),
  [577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(168),
  [580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3114),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(284),
  [592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20),
  [594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2343),
  [597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2642),
  [600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(289),
  [603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2777),
  [606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2542),
  [609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(55),
  [612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(54),
  [615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(60),
  [618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20),
  [620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2790),
  [628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2554),
  [630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 2),
  [642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 3),
  [650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(466),
  [657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2673),
  [660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(473),
  [663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2767),
  [666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2532),
  [669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(118),
  [672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(134),
  [675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(132),
  [678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(182),
  [681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3139),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 3, .production_id = 21),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 3, .production_id = 21),
  [692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 1, .production_id = 1),
  [694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 1, .production_id = 1),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2767),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 2, .production_id = 8),
  [718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, .production_id = 8),
  [720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 4),
  [722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 4),
  [724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 4),
  [726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 2, .production_id = 10),
  [728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, .production_id = 10),
  [730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 5),
  [734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(463),
  [737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2670),
  [740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(535),
  [743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2790),
  [746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2554),
  [749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(110),
  [752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(106),
  [755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(112),
  [758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(194),
  [761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3150),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2758),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(309),
  [787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2),
  [789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2661),
  [792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(377),
  [795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2804),
  [798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2567),
  [801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(48),
  [804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(47),
  [807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(53),
  [810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(207),
  [813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2),
  [815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements2, 4),
  [817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements2, 4),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_command, 1),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2804),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_command, 1),
  [845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(301),
  [848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2297),
  [851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2644),
  [854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(351),
  [857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2755),
  [860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2556),
  [863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(38),
  [866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(33),
  [869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(43),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_command, 2),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_command, 2),
  [888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(475),
  [891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2330),
  [894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2602),
  [897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(386),
  [900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2748),
  [903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2561),
  [906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(103),
  [909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(86),
  [912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(26),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2785),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(484),
  [962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2253),
  [965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2591),
  [968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(539),
  [971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2741),
  [974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2558),
  [977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(31),
  [980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(34),
  [983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(35),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(486),
  [991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2631),
  [994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(467),
  [997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2785),
  [1000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2543),
  [1003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(97),
  [1006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(80),
  [1009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(30),
  [1012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(231),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2792),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2788),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2763),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2539),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [1061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 5),
  [1063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(572),
  [1066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2653),
  [1069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(594),
  [1072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2788),
  [1075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2539),
  [1078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(100),
  [1081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(99),
  [1084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(101),
  [1087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(246),
  [1090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [1092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [1098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(587),
  [1101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2636),
  [1104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(733),
  [1107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2763),
  [1110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2519),
  [1113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(131),
  [1116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(129),
  [1119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(128),
  [1122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(251),
  [1125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 4),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [1139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_name, 1),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3287),
  [1143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_name, 1),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [1147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 1),
  [1149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipeline, 3),
  [1151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipeline, 3),
  [1153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1),
  [1155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3289),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2364),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [1173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 1),
  [1175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 1),
  [1177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 1),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [1181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation, 2),
  [1183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation, 2),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [1187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2),
  [1189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2),
  [1191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2418),
  [1194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2422),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2357),
  [1207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 1),
  [1209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 1),
  [1211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 7),
  [1213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 7),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [1217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 18),
  [1219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 18),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [1223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [1227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_assignment, 3, .production_id = 13),
  [1229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_assignment, 3, .production_id = 13),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3453),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [1241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6, .production_id = 5),
  [1243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6, .production_id = 5),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3380),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [1251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 1),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3378),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2354),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [1269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_assignment, 3, .production_id = 14),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [1273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_assignment, 3, .production_id = 14),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [1277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3),
  [1279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 19),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [1283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 19),
  [1285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 9),
  [1287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 9),
  [1289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 1),
  [1291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 1),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [1295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 1, .production_id = 2),
  [1297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 1, .production_id = 2),
  [1299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_name, 1, .production_id = 2),
  [1301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_name, 1, .production_id = 2),
  [1303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_translated_string, 2),
  [1305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translated_string, 2),
  [1307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [1309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [1311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [1313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [1315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_process_substitution, 3),
  [1317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_process_substitution, 3),
  [1319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 4),
  [1321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 4),
  [1323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_expansion, 2, .production_id = 5),
  [1325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_expansion, 2, .production_id = 5),
  [1327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_expansion, 2),
  [1329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_expansion, 2),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [1333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 2),
  [1335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 2),
  [1337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2),
  [1339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(513),
  [1342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2),
  [1344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2477),
  [1347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 3),
  [1349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 3),
  [1351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 3, .production_id = 5),
  [1353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 3, .production_id = 5),
  [1355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_substitution, 3),
  [1357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_substitution, 3),
  [1359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 4),
  [1361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 4),
  [1363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 4, .production_id = 27),
  [1365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 4, .production_id = 27),
  [1367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 4, .production_id = 5),
  [1369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 4, .production_id = 5),
  [1371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [1373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5),
  [1375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5),
  [1377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5, .production_id = 34),
  [1379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5, .production_id = 34),
  [1381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5, .production_id = 27),
  [1383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5, .production_id = 27),
  [1385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5, .production_id = 5),
  [1387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5, .production_id = 5),
  [1389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6),
  [1391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6),
  [1393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6, .production_id = 40),
  [1395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6, .production_id = 40),
  [1397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6, .production_id = 27),
  [1399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6, .production_id = 27),
  [1401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 7, .production_id = 27),
  [1403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 7, .production_id = 27),
  [1405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 7),
  [1407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 7),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [1411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2474),
  [1414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3344),
  [1416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [1418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(451),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [1423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2468),
  [1426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [1428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2434),
  [1431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [1435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(559),
  [1438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [1440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(562),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [1445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2428),
  [1448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3247),
  [1450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [1452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [1454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [1456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [1458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [1460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [1462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2476),
  [1465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2421),
  [1468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [1472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [1474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [1478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [1480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [1482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [1484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [1486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(714),
  [1489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(735),
  [1492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [1494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [1496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [1498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2452),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [1507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [1509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2431),
  [1512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2466),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [1529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 1, .production_id = 2),
  [1531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [1533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 1, .production_id = 2),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [1547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2449),
  [1550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [1552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [1554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [1556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2799),
  [1558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [1560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(842),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [1565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(835),
  [1568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(831),
  [1571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(829),
  [1574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(824),
  [1577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2457),
  [1580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [1582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2460),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [1587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(810),
  [1590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [1592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2442),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2791),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [1607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(898),
  [1610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(889),
  [1613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(888),
  [1616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [1618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(891),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2752),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2672),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [1647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [1651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [1653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [1655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [1659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2800),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [1693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2773),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2526),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [1709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2929),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [1725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2540),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [1739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2954),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2953),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [1757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [1759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [1765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1973),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [1775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [1779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [1781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [1807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [1811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2934),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [1815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [1819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [1823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [1827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [1829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [1841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2858),
  [1871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2857),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2866),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2923),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2935),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2932),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2865),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2913),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2875),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2896),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2890),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2936),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2944),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2912),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [1955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [1957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2915),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [1961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [1971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [1973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [1975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2293),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [1987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [2007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [2027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [2039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [2069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [2081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [2083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [2099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [2103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2744),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [2115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [2119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [2123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [2127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [2129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [2133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [2137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [2141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1573),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [2147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [2173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [2181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [2185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [2187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [2193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [2201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2761),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [2205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [2209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [2213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2836),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2835),
  [2221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [2223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [2225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2849),
  [2227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [2229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [2231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2847),
  [2233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [2235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [2237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2850),
  [2239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [2245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2839),
  [2247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [2251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2816),
  [2253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [2257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [2259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [2261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [2263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [2265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [2267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [2269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [2271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [2273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [2277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [2281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [2283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [2285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [2287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [2289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [2293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [2301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [2309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [2313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [2315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [2319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [2321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [2323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [2327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [2349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [2353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [2355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [2357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [2361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [2363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [2365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [2371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [2379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [2389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [2391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [2393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [2395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [2397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [2399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [2403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [2405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [2407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [2409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [2413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [2415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [2421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [2425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [2427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [2433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [2441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [2445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [2449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [2451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [2453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [2455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [2457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [2465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [2471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [2473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [2477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [2479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [2481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [2483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [2485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [2487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [2489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [2491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [2493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [2495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [2497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [2499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [2501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [2503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [2509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [2511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [2515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [2517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [2523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [2525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [2527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [2531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [2533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [2535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [2539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [2541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [2551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [2553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2263),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2261),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [2619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [2623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [2625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [2633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [2635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [2641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [2643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [2647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [2649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [2653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [2655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [2657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [2659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [2661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [2665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [2667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [2669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [2671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [2673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [2677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [2679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [2681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [2683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [2685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [2689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [2691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [2693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [2697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [2703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [2705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [2707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [2709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [2711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [2713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [2715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [2717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [2721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [2723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [2725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [2729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [2731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [2735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [2737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [2743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [2745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [2747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [2749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [2751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2525),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [2757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [2759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [2761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [2767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [2769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [2773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [2775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [2779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2504),
  [2781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [2785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [2791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [2793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [2795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [2797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [2799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2497),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [2811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [2815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [2817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [2829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2487),
  [2831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [2835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [2837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [2843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [2847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [2849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [2851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [2853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [2855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [2861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [2863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [2865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [2867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [2869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [2871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [2873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [2875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [2877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [2879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [2885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [2887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [2889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [2891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [2893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [2899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [2901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [2905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [2907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [2911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [2913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [2915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [2917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [2919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [2921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [2925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [2927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [2929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [2931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [2933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [2935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [2941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [2943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [2947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [2949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [2955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [2957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [2963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [2967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [2969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [2975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [2979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [2981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [2983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [2985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [2987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [2989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [2991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [2993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [2995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [2997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [2999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3280),
  [3001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [3003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [3005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3278),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [3009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [3011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3276),
  [3013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [3015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [3017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3281),
  [3019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [3023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3274),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [3031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3269),
  [3033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [3037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3273),
  [3039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [3043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2894),
  [3045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [3047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [3049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2895),
  [3051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [3053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [3055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2883),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [3059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [3061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2884),
  [3063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [3065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [3067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [3069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [3073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2853),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [3081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [3087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2878),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [3093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [3095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [3099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2880),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [3109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [3113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [3117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [3119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [3121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [3125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [3129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [3131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [3133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [3135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [3137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [3139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [3141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [3143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [3145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [3151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [3153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [3155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [3159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [3161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [3165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [3167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [3171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [3173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [3177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [3179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [3181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [3183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [3185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [3187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [3189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [3191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [3193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [3195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [3197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [3199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [3201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [3203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [3205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2868),
  [3207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2869),
  [3209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2871),
  [3211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2876),
  [3213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [3215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2873),
  [3217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [3219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [3221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2877),
  [3225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [3227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [3229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [3231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3257),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3258),
  [3235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3259),
  [3237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3263),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [3241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3260),
  [3243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [3245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3264),
  [3247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [3249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [3251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [3253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [3255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [3257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [3259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [3261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [3263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [3267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [3269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [3271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [3275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [3277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [3279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [3281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [3283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [3285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [3287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [3289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [3291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [3293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [3295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [3297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [3299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [3301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [3303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [3305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [3307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [3309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2149),
  [3312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2),
  [3314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1292),
  [3317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2639),
  [3320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2117),
  [3323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2773),
  [3326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2526),
  [3329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(93),
  [3332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(92),
  [3335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(98),
  [3338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2499),
  [3340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [3342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2486),
  [3344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2507),
  [3346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [3348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [3350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [3352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2485),
  [3354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [3356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [3358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [3360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [3362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [3364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [3366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [3368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2546),
  [3370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [3372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [3374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [3376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2545),
  [3378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [3380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [3382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [3384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [3386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [3388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [3390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [3392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [3394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1957),
  [3396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [3398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [3400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [3402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [3404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [3406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [3408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [3410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [3412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [3414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [3416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [3418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [3420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2292),
  [3422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2284),
  [3424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [3426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [3428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [3430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [3432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [3434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [3436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [3438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [3440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [3442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [3444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [3446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [3448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [3450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [3452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [3454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [3456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [3458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [3460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [3462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [3464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [3466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [3468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [3470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [3472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [3474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [3476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1698),
  [3478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [3480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [3482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [3484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [3486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [3488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [3490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [3492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [3494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [3496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [3498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [3500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [3502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [3504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [3506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [3508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [3510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [3512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [3514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [3516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [3518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [3520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [3522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [3524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [3526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [3528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [3530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [3532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [3534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [3536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [3538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [3540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [3542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [3544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [3546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [3548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [3550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [3552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [3554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [3556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [3558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [3560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [3562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [3564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [3566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [3568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [3570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [3572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [3574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [3576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [3578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [3580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [3582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [3584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [3586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [3588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [3590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [3592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [3594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [3596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [3598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [3600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [3602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [3604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [3606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2817),
  [3608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2846),
  [3610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2845),
  [3612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2841),
  [3614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [3616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2844),
  [3618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [3620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2840),
  [3622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [3624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [3626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [3628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [3630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [3632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [3634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1780),
  [3636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [3638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [3640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [3642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [3644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [3646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [3648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [3650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [3652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [3654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [3656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [3658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [3660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [3662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [3664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [3666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [3668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [3670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [3672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [3674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [3676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [3678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [3680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [3682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [3684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [3686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [3688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [3690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [3692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [3694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [3696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [3698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [3700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [3702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [3704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [3706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [3708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [3710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [3712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [3714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [3716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [3718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [3720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [3722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [3724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [3726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [3728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [3730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [3732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [3734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [3736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [3738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [3740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [3742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [3744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [3746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2312),
  [3748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [3750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2907),
  [3752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2906),
  [3754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2904),
  [3756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2900),
  [3758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [3760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2903),
  [3762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [3764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2897),
  [3766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [3768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirected_statement, 2, .production_id = 6),
  [3770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redirected_statement, 2, .production_id = 6),
  [3772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [3778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2),
  [3780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2),
  [3782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2389),
  [3785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3289),
  [3788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2364),
  [3791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2726),
  [3794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [3796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [3798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [3802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2377),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [3806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2377),
  [3809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2357),
  [3812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2713),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [3817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2348),
  [3820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3453),
  [3823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2378),
  [3826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2697),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [3831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [3835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [3843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2437),
  [3846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_herestring_redirect, 2),
  [3848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_herestring_redirect, 2),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [3854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2400),
  [3857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3378),
  [3860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2354),
  [3863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2688),
  [3866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_herestring_redirect, 2, .production_id = 17),
  [3868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_herestring_redirect, 2, .production_id = 17),
  [3870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [3874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1727),
  [3877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_herestring_redirect, 3, .production_id = 29),
  [3879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_herestring_redirect, 3, .production_id = 29),
  [3881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_herestring_redirect, 3, .production_id = 30),
  [3883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_herestring_redirect, 3, .production_id = 30),
  [3885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2510),
  [3887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2768),
  [3889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2509),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [3895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 2, .production_id = 4),
  [3897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 2, .production_id = 4),
  [3899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 2, .production_id = 3),
  [3901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 2, .production_id = 3),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [3905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2),
  [3907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(2382),
  [3910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2),
  [3912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(2810),
  [3915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(3112),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [3920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 3, .production_id = 12),
  [3922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 3, .production_id = 12),
  [3924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 3, .production_id = 11),
  [3926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 3, .production_id = 11),
  [3928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2441),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [3933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, .production_id = 2),
  [3935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [3947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [3949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2440),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [3954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1845),
  [3957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2423),
  [3960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2),
  [3962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2608),
  [3965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2425),
  [3968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2768),
  [3971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2557),
  [3974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(83),
  [3977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(82),
  [3980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(85),
  [3983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2465),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [3990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [3994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [3996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1895),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [4001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2423),
  [4003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3253),
  [4005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [4007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2425),
  [4009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2557),
  [4011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [4013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [4015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [4017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3219),
  [4019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3210),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [4025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 6, .production_id = 35),
  [4027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 6, .production_id = 35),
  [4029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 36),
  [4031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 36),
  [4033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [4037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 26),
  [4039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 26),
  [4041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 6, .production_id = 32),
  [4043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 6, .production_id = 32),
  [4045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 41),
  [4047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 41),
  [4049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 42),
  [4051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 42),
  [4053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 43),
  [4055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 43),
  [4057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 44),
  [4059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 44),
  [4061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 26),
  [4063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 26),
  [4065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1977),
  [4068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2426),
  [4071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 7, .production_id = 32),
  [4073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 7, .production_id = 32),
  [4075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 52),
  [4077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 52),
  [4079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 33),
  [4081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 33),
  [4083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2924),
  [4085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [4087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2939),
  [4089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [4091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 5, .production_id = 32),
  [4093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, .production_id = 32),
  [4095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 5, .production_id = 31),
  [4097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, .production_id = 31),
  [4099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 26),
  [4101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 26),
  [4103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_group, 3),
  [4105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_group, 3),
  [4107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 3, .production_id = 29),
  [4109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 3, .production_id = 29),
  [4111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 28),
  [4113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 28),
  [4115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 26),
  [4117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 26),
  [4119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_group, 2),
  [4121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_group, 2),
  [4123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 4, .production_id = 24),
  [4125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 4, .production_id = 24),
  [4127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 53),
  [4129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 53),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [4133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 7, .production_id = 31),
  [4135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 7, .production_id = 31),
  [4137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2420),
  [4140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 54),
  [4142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 54),
  [4144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 55),
  [4146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 55),
  [4148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 56),
  [4150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 56),
  [4152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2),
  [4154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2),
  [4156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 57),
  [4158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 57),
  [4160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 8, .production_id = 31),
  [4162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 8, .production_id = 31),
  [4164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [4166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_negated_command, 2),
  [4168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_negated_command, 2),
  [4170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 6, .production_id = 31),
  [4172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 6, .production_id = 31),
  [4174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 66),
  [4176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 66),
  [4178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [4180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [4182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [4184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [4186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 67),
  [4188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 67),
  [4190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 68),
  [4192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 68),
  [4194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 69),
  [4196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 69),
  [4198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [4200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_test_command, 3),
  [4202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_test_command, 3),
  [4204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 10, .production_id = 74),
  [4206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 10, .production_id = 74),
  [4208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [4210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [4212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2006),
  [4215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [4217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [4219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 2),
  [4221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 2),
  [4223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [4225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [4227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 8, .production_id = 32),
  [4229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 8, .production_id = 32),
  [4231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3),
  [4233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3),
  [4235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 15),
  [4237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 15),
  [4239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, .production_id = 16),
  [4241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, .production_id = 16),
  [4243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subshell, 3),
  [4245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subshell, 3),
  [4247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [4249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [4251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [4253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [4257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2550),
  [4259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2778),
  [4261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [4263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_expression, 2),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [4267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [4269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [4271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [4273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [4275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [4277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [4279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [4281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [4283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [4285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [4287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [4289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [4291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [4293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [4295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [4297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [4299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [4301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2203),
  [4304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, .production_id = 37),
  [4306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [4308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [4310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [4314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [4316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [4318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [4320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [4322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [4324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [4326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [4328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [4332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [4334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [4336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [4338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [4340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [4342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [4346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [4348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [4354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [4356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2518),
  [4358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2837),
  [4360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [4362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2153),
  [4365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [4367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [4369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [4371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [4373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [4375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [4377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [4379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [4381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2),
  [4383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3283),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [4387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [4389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [4391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [4393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [4395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [4397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [4399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(44),
  [4401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [4405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [4409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [4411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [4415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [4417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, .production_id = 2),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [4421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [4423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [4425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2859),
  [4427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [4429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [4431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [4433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 25),
  [4435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [4437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [4439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [4443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [4445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [4447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [4449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [4451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [4453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [4455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [4457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [4461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [4465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [4467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [4469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [4471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [4473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [4475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [4477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [4479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [4483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [4485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2893),
  [4487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [4489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2482),
  [4492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [4496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [4498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [4502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2942),
  [4505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2596),
  [4508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2939),
  [4511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2744),
  [4514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2942),
  [4517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2572),
  [4520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(114),
  [4523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(113),
  [4526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(115),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [4533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [4535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [4537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [4539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2515),
  [4541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2522),
  [4543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [4545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [4547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [4549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [4551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [4553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [4555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [4559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, .production_id = 22),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [4563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [4565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [4567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, .production_id = 23),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [4571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [4573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [4575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 25),
  [4577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [4579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2218),
  [4582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [4584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [4586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 1),
  [4588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [4590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [4592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2458),
  [4595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [4597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_expression, 2),
  [4599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [4603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [4605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2481),
  [4608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [4610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 22),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [4614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 23),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [4618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [4620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [4622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 37),
  [4624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [4626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2515),
  [4629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2585),
  [4632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2517),
  [4635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2778),
  [4638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2515),
  [4641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2522),
  [4644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(87),
  [4647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(25),
  [4650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(88),
  [4653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [4657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2337),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [4662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [4664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2986),
  [4666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [4668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3041),
  [4670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [4672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [4674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [4676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(64),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [4680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3156),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [4684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3158),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [4688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3149),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [4694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3028),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [4698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3137),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [4702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3155),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [4706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [4710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3163),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [4714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3074),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [4718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3153),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [4722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3024),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [4726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3071),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [4730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3089),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [4734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3100),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [4738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3068),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [4742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3101),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [4746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [4752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3082),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [4756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3091),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [4760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3077),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [4764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3144),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [4768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3165),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [4772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3060),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [4776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3143),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [4780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3147),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [4784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3092),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [4788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3124),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [4792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [4796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3131),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [4800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3136),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [4804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3049),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [4808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3076),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [4812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3011),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [4816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3105),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [4820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3108),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [4824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3111),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [4828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3125),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [4832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3034),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [4836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [4842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3070),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [4846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3036),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [4850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3094),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [4854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [4856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2367),
  [4859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [4861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3067),
  [4863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [4865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3058),
  [4867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [4869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3019),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [4873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3055),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [4877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3045),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [4881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3018),
  [4883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [4885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3123),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [4889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3023),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [4893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3129),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [4897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3133),
  [4899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 1, .production_id = 2),
  [4901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2367),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [4905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3039),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [4909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3046),
  [4911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [4917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [4925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [4931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [4935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3014),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [4939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3030),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [4943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3127),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [4947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3059),
  [4949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, .production_id = 22),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [4953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3015),
  [4955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, .production_id = 23),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [4959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3027),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [4963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [4969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3120),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [4977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [4979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1678),
  [4981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [4983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2555),
  [4985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [4987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [4989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [4993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1745),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [5003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [5015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [5017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [5019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [5021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2562),
  [5023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [5025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [5027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [5029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [5035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2660),
  [5037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1684),
  [5039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [5041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [5043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [5045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [5047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [5049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [5053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [5055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [5061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [5065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [5067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [5075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [5077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [5083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [5087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [5091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2979),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [5097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2997),
  [5099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3048),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [5103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [5105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [5109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [5111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [5113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [5115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [5117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [5121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1707),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [5125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [5133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1702),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [5141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [5147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3064),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [5151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [5155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1760),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [5159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [5167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [5169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [5171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [5173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2807),
  [5175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [5177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2832),
  [5179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2565),
  [5181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [5183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [5185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [5187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [5189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [5191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2851),
  [5193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [5195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2830),
  [5197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [5199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [5201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [5203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3126),
  [5205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [5207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [5209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [5211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [5213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [5215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [5217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [5219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1744),
  [5221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [5223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [5225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [5227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [5229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [5231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [5233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 1),
  [5235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [5237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [5239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [5241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [5243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [5245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [5247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [5249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [5251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [5255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [5257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [5259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [5261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [5263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [5265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [5267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [5269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [5271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [5273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [5275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [5277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [5279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [5281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [5283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [5285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [5287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [5289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2516),
  [5291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [5293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [5295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [5297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [5299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [5301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [5303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [5305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [5307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [5311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2881),
  [5313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [5315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [5317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [5319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [5321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [5323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [5325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2514),
  [5327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [5329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [5331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [5333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [5337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [5339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [5341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [5343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [5345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [5347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2464),
  [5349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [5351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [5353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [5355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [5357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [5359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [5361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [5363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2909),
  [5365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2910),
  [5367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [5369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2527),
  [5371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3251),
  [5373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [5375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [5377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2443),
  [5380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [5382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [5384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [5386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [5388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [5390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [5392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [5394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 1, .production_id = 2),
  [5396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2511),
  [5398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2511),
  [5401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2446),
  [5404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [5406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 1),
  [5408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [5410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [5412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [5414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [5416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [5418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [5420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [5422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [5424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [5426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [5428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [5430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [5432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [5434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [5436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [5438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [5440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [5442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [5444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [5446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [5448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [5450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [5452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [5454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [5456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [5458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [5460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [5462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3227),
  [5464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3271),
  [5466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [5468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [5470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [5472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [5474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [5476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [5480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [5482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [5484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [5486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [5488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [5490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [5492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [5496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [5498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [5500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [5502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [5504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [5506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [5508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [5510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [5512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [5514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [5516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [5518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [5520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [5522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [5524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [5526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [5528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [5530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [5532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [5534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [5536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [5538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [5540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [5542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [5544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [5546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [5548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [5550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [5552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [5554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [5556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [5558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [5560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [5562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 1, .production_id = 2),
  [5564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [5566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [5568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [5570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [5572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [5574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [5576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [5578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [5580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [5582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [5584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [5586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [5588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [5590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [5592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [5594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [5596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [5598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [5602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [5604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [5608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [5610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [5612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [5616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [5618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [5620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [5622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [5624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [5626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [5632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [5634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [5638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [5640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [5642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [5644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [5646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [5648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [5650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [5652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [5654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [5656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [5658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [5660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [5662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2584),
  [5665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [5667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [5669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [5671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [5673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [5675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [5677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [5679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [5681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [5683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [5685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [5687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [5689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [5691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [5693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [5695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [5697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [5699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [5701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [5703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [5705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [5707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [5709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [5711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [5713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [5715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [5717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [5719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [5721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [5723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [5725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [5727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [5729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [5731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [5733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [5735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [5737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [5739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [5741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [5743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [5745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [5747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [5749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [5751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [5753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [5755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [5757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [5759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [5761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [5763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [5765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [5767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [5769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [5771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [5773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [5775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [5777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [5779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [5781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [5783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [5785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [5787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [5789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [5791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [5793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [5795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [5797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2828),
  [5799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [5801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2820),
  [5803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2829),
  [5805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [5807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 70),
  [5809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 47),
  [5811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 58),
  [5813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 38),
  [5815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [5817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [5819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [5821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [5823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [5825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 60),
  [5827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 47),
  [5829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [5831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [5833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [5835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [5837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [5839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3261),
  [5841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [5843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [5845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [5847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [5849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [5851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [5853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [5855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [5857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [5859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3270),
  [5861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [5863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [5865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [5867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [5869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [5871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [5873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [5875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [5877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 64),
  [5879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 51),
  [5881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [5883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [5885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2493),
  [5887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [5889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [5891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [5893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [5895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [5897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [5899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [5901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [5903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2506),
  [5905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [5907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [5909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [5911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [5913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [5915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [5917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [5919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [5921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [5923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [5925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [5927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 49),
  [5929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 39),
  [5931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [5933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [5935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [5937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [5939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [5941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [5943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [5945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [5947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [5949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [5951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [5953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 45),
  [5955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 38),
  [5957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [5959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [5961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [5963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 62),
  [5965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 39),
  [5967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [5969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [5971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [5973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [5975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [5977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [5979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [5981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [5983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [5985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [5987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [5989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [5991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [5993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [5995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [5997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [5999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [6001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2855),
  [6003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [6005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [6007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [6009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [6011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [6013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [6015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [6017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [6019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [6021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [6023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [6025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 72),
  [6027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 51),
  [6029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [6031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [6033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [6035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [6037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [6039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [6041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [6043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [6045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [6047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2864),
  [6049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [6051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [6053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [6055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [6057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [6059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [6061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [6063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [6065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [6067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [6069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [6071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [6073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [6075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [6077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [6079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [6081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [6083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [6085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [6087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [6089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [6091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [6093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [6095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [6097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [6099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [6101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [6103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [6105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [6107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [6109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [6111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 73),
  [6113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 73),
  [6115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [6117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [6119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [6121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [6123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [6125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 71),
  [6127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 71),
  [6129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [6131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [6133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [6135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [6137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [6139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [6141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [6143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [6145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [6147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [6149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 49),
  [6151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2398),
  [6153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [6155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3308),
  [6157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [6159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [6161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [6163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [6165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [6167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [6169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [6171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [6173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [6175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [6177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [6179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [6181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [6183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [6185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [6187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [6189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [6191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 50),
  [6193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 50),
  [6195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [6197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [6199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [6201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [6203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [6205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [6207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [6209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [6211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [6213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [6215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [6217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [6219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3429),
  [6221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [6225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [6227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [6229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [6231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [6233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [6235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [6237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [6239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [6241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [6243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [6245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 46),
  [6247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 46),
  [6249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [6251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [6253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [6255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [6257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [6259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [6261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [6263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [6265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [6267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [6269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [6271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [6273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [6275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [6277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [6279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [6281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [6283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [6285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [6287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [6289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 61),
  [6291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 61),
  [6293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [6295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [6297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [6299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [6301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [6303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [6305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [6307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [6309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [6311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [6313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 63),
  [6315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 63),
  [6317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 64),
  [6319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 58),
  [6321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2375),
  [6323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [6325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3300),
  [6327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [6329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [6331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 65),
  [6333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 65),
  [6335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 45),
  [6337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 59),
  [6339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 59),
  [6341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [6343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [6345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [6347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [6349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [6351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 60),
  [6353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [6355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [6357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [6359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [6361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [6363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2379),
  [6365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [6367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [6369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 62),
  [6371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [6373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [6375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [6377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [6379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [6381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [6383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [6385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [6387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [6391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [6393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [6395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [6397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [6399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [6401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 70),
  [6403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [6405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [6407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [6409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [6411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [6413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [6415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [6417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [6419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [6421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [6423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [6425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [6427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [6429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [6431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [6433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [6435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [6437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [6439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [6441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [6443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 72),
  [6445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [6447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [6449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2824),
  [6451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2564),
  [6453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [6455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [6457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2801),
  [6459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [6461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [6463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [6465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [6467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [6469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [6471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3249),
  [6473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2610),
  [6475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [6477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2801),
  [6480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2573),
  [6483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(58),
  [6486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(57),
  [6489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2742),
  [6492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2),
  [6494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [6496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2601),
  [6498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [6500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [6502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [6504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2657),
  [6506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [6508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [6510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [6512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [6514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [6516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [6518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [6520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [6522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [6524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [6526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [6528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [6530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [6532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [6534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [6536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [6538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [6540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [6542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [6544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [6546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [6548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [6550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2690),
  [6553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [6555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2824),
  [6558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2564),
  [6561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(124),
  [6564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(123),
  [6567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [6569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [6571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [6573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [6575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [6577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2667),
  [6579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [6581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2612),
  [6583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [6585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [6587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2621),
  [6589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [6591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [6593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [6595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [6597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [6599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [6601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [6603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [6605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [6607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [6609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [6611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2535),
  [6613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [6615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [6617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [6619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [6621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [6623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [6625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [6627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [6629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [6631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [6633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [6635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [6637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [6639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [6641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [6643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [6645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [6647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [6649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [6651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [6653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [6655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [6657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [6659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [6661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [6665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [6667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2867),
  [6669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [6671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [6673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [6675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [6677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [6679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [6681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [6683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2899),
  [6685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2901),
  [6687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2674),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [6691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [6693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [6695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [6697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [6699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [6701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [6705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [6707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [6711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [6713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [6715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [6717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [6719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [6723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [6727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [6733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 1),
  [6735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_body, 1),
  [6737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2),
  [6739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_body, 2),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [6743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [6745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1),
  [6747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [6749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [6751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [6753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3326),
  [6755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2882),
  [6757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2882),
  [6760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [6762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2957),
  [6764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3491),
  [6766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [6768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2958),
  [6770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3490),
  [6772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [6774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2987),
  [6776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3328),
  [6778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 3),
  [6780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_body, 3),
  [6782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2444),
  [6785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [6787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2999),
  [6789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3471),
  [6791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [6793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [6795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3470),
  [6797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [6799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [6803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 3),
  [6805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [6807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [6809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [6811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [6813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [6815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [6817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [6819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [6821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [6823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [6825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [6829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [6831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [6833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [6835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [6837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [6839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [6841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3190),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [6851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [6853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2),
  [6855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2), SHIFT_REPEAT(141),
  [6858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [6860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [6862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3233),
  [6864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [6866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [6868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [6870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [6872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [6874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [6876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [6878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [6880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [6882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [6884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [6886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [6888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [6890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [6892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [6894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [6896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [6898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [6900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [6902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [6904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [6906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [6908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [6910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [6912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [6914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [6916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [6918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [6920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3285),
  [6922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [6924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [6926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [6928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [6930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [6932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [6934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [6936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [6938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [6940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [6942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 4, .production_id = 47),
  [6944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [6946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [6948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [6950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [6952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [6954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [6956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 4, .production_id = 51),
  [6958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [6960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [6962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [6964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 3, .production_id = 39),
  [6966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2646),
  [6968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [6970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 3, .production_id = 38),
  [6972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [6974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [6976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [6978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [6982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [6986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 32),
  [6988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 31),
  [6990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [6992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [6994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [6996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [6998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [7000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [7002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [7004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [7006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [7008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [7010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [7014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3031),
  [7016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [7020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [7022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [7024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [7026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [7028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [7030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [7032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [7034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [7036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [7038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [7040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [7042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [7044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [7046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(3031),
  [7049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [7051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [7053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [7055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3254),
  [7057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [7059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [7061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [7063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [7065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [7069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [7071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [7073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [7075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [7083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [7085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [7089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [7091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [7093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [7095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [7099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [7101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [7103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [7109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [7119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [7123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [7125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [7131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [7133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [7135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, .production_id = 22),
  [7137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [7139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(3254),
  [7142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [7144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [7146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [7148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [7150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [7152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [7154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [7156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [7158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [7160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [7162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [7164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [7166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [7168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [7170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [7172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [7174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [7176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [7178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [7180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [7182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [7184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [7186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [7188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [7190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, .production_id = 23),
  [7192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [7194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [7196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [7198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [7200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [7202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [7204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [7206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [7208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [7210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [7212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [7214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [7216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [7218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [7220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [7222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [7224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [7226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [7228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [7230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2727),
  [7232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [7234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [7236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [7238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [7240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [7242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [7244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [7246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [7248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [7250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [7252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [7254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [7256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [7258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [7260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [7262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [7264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [7266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [7268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [7270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [7272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [7274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [7276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [7278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [7280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [7282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [7284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [7286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [7288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 22),
  [7290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [7292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [7294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [7296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [7298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [7300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [7302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [7304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [7306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [7308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [7310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [7312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [7314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [7316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 48), SHIFT_REPEAT(2370),
  [7319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 48),
  [7321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [7323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [7325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [7329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [7331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [7333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [7335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [7337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [7339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [7341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(2471),
  [7344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [7346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [7348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [7350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [7352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [7354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [7356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [7358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [7360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [7362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [7364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 23),
  [7366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [7368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [7370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [7372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [7374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [7376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [7378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [7380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [7382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [7384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [7386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [7388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [7390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [7392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [7394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [7396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [7398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [7400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [7402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [7404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [7406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [7408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [7410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [7412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [7414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [7416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [7418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [7420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [7422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [7424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [7426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [7428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [7430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [7432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [7434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [7436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [7438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [7440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [7442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [7444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [7446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [7448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [7450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [7452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [7454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [7456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [7458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [7460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [7464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [7466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [7468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [7470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [7472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [7474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [7476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [7478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [7480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, .production_id = 22),
  [7482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, .production_id = 23),
  [7484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [7486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [7488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [7490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [7492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [7494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [7496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [7498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [7500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [7502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [7504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [7506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [7508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [7510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [7512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__terminated_statement, 2),
  [7514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [7516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [7518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [7520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [7522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [7524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [7526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [7528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [7530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [7532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [7534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [7536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [7538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [7540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [7544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [7546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [7548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [7550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [7552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [7554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [7556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [7558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [7560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [7562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [7564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [7566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [7568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [7570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [7572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [7574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [7576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [7578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [7580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [7582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [7584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [7586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [7588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [7590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [7592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [7594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [7596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [7598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [7600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [7602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [7604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [7606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [7608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [7610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [7612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [7614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [7616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [7618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [7620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [7622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [7624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [7626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [7628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [7630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [7632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [7634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [7636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [7638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [7640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [7642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [7646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [7648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [7650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [7652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [7658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [7660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [7662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [7664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [7668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [7670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [7674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [7676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [7678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [7680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [7682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [7684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [7686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [7688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [7690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [7692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [7694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [7696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [7698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [7700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [7704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [7706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [7708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [7710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [7714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [7716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [7718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [7720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [7722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [7724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [7726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [7728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [7730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [7732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [7734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [7736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [7738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [7740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [7742] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [7744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [7746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [7748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [7750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [7754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [7756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [7758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [7760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [7764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [7766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [7768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [7772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [7774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [7776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [7778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [7780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [7782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [7784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [7786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [7788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [7790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [7792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [7794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [7796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [7798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [7804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [7808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [7810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [7812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_bash_external_scanner_create(void);
void tree_sitter_bash_external_scanner_destroy(void *);
bool tree_sitter_bash_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_bash_external_scanner_serialize(void *, char *);
void tree_sitter_bash_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_bash(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_word,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_bash_external_scanner_create,
      tree_sitter_bash_external_scanner_destroy,
      tree_sitter_bash_external_scanner_scan,
      tree_sitter_bash_external_scanner_serialize,
      tree_sitter_bash_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
